<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="root" select="'/Fiben/'"/>  
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyName" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
 	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
<!--	<xsl:param name="Lang" select="''"/>
	<xsl:param name="codeLib" select="''"/>
	<xsl:param name="NonResident" select="''"/>
	<xsl:param name="titleUK" select="''"/>  -->  

<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR | /FIBEN/MODULESC"/>
		</xsl:call-template>		
		<body bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
      
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
				<xsl:call-template name="genLigneConfidentiel"/>
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">
				<tr> 
					<td width="14"></td>
					<td colspan="3">
						<table width="635" border="0" cellspacing="0" cellpadding="0">
							<tr> 
								<td width="617" class="clCouleur1">FIBEN au quotidien<br/>
									<img src="{$root}Images/risque/shim.gif" width="617" height="1"/><br/>
									Suivi consommations du mois en cours
								</td>
                <td width="18" align="center" valign="middle">
                  <span id="imgNumMod">
                    <xsl:value-of select="$moddem"/>
                  </span>
                </td>
							</tr>
						</table>
					</td>
					<td width="103"></td>
				</tr>
				<tr> 
					<td width="14">&#160;</td>
					<td colspan="3"><br/></td>
					<td width="103">&#160;</td>
				</tr>
				<tr> 
					<td>&#160;</td>
					<td colspan="3"> 
						<table width="531" border="0" cellspacing="0" cellpadding="0">
							<tr> 
							  <td colspan="6" class="clTexte1"><xsl:value-of select="//DENOMB"/></td>
							</tr>
							<tr height="10"> 
							  <td height="10"></td>
							  <td height="10"></td>
							  <td height="10"></td>
							  <td height="10"></td>
							  <td colspan="2" class="clTexte">&#160;</td>
							</tr>
							<tr> 
							  <td width="154" class="clCouleur2" align="right">Code banque </td>
							  <td width="56" class="clTexteGras">&#160;&#160;<xsl:value-of select="//CODBANQ"/></td>
							  <td width="71" class="clCouleur2" align="right">Nclient </td>
							  <td width="39" class="clTexteGras">&#160;&#160;<xsl:value-of select="//CODCLT"/>&#160;</td>
							  <td width="107" align="right" class="clCouleur2">Consommation au </td>
                <td class="clTexteGras">
                  &#160;&#160;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(//DATCONSO)"/>
                  </xsl:call-template>
                </td>
							</tr>
							<tr> 
							  <td class="clCouleur2">&#160;</td>
							  <td class="clTexte">&#160;</td>
							  <td class="clCouleur2">&#160;</td>
							  <td class="clTexte">&#160;</td>
							  <td colspan="2" class="clTexte">&#160;</td>
							</tr>
							<tr height="10"> 
							  <td class="clCouleur2">&#160;</td>
							  <td class="clTexte">&#160;</td>
							  <td class="clCouleur2">&#160;</td>
							  <td class="clTexte">&#160;</td>
							  <td colspan="2" class="clTexte">&#160;</td>
							</tr>
							
							<xsl:if test="//TXFORFAI">
							 <tr> 
							   <td colspan="5" align="right" class="clCouleur2"><font size="3">Remise du <xsl:value-of select="//TFORFAIT"/>&#160;&#160;</font></td>
							   <td width="104" align="center" class="clGrasFondbd01b"><font size="3"><xsl:value-of select="//TXFORFAI"/> %</font></td>
							 </tr>
							</xsl:if>
							
							<tr> 
							  <td colspan="2" class="clCouleur2">&#160;</td>
							  <td class="clTexte" align="center"></td>
							  <td class="clTexte">&#160;</td>
							  <td colspan="2" class="clTexte">&#160;</td>
							</tr>
						</table>
					</td>
					<td>&#160;</td>
				</tr>
  
				<!-- PARTIE TEXTE EXPLICATION -->    
			    <tr> 
					<td>&#160;</td>
					<td colspan="3"><img src="{$root}Images/risque/shim.gif" width="635" height="1"/></td>
					<td>&#160;</td>
				</tr>
			    <tr> 
					<td height="55">&#160;</td>
					<td colspan="3" ALIGN="left" class="clcouleur2"> Le "Suivi consommation" (SC) 
			      permet de connatre le cumul des points FIBEN correspondant aux consultations 
			      de modules (dont Suivi direct Fiben) et des IGE du mois en cours de votre tablissement. Le total 
			      est tabli au dernier jour ouvr prcdent.<br/>
			      En aucun cas, ce document ne peut remplacer la facture.</td>
					<td colspan="1"></td>
				</tr>
			    <tr> 
					<td>&#160;</td>
					<td colspan="3"><img src="{$root}Images/risque/shim.gif" width="635" height="1"/></td>
					<td>&#160;</td>
			    </tr> 

				<!-- PARTIE FORFAIT -->	
				<tr> 
					<td>&#160;</td>
					<td colspan="3">	
						<table width="635" border="0" cellspacing="0" cellpadding="0">
							<xsl:if test="//TFORFAIT"> 
								<tr>
									<td colspan="5"></td>
								</tr>
								<tr>
									<td height="10" class="clCouleur2">&#160;</td>
									<td colspan="4"></td>
								</tr>
								<tr>
									<td width="418" align="left" class="clcouleur2"> Points disponibles au titre du forfait : </td>
									<td colspan="4"></td>
								</tr>
								<tr>
									<td height="10" class="clCouleur2">&#160;</td>
									<td colspan="4"></td>
								</tr>
								<xsl:if test="//PTREPORT">
									<tr>
										<td class="clGrasFondbd01" align="left">&#160;Points Forfait - report du mois prcdent</td>
										<td/>
										<td class="clGrasFondbd01" align="right"><xsl:value-of select="//PTREPORT"/></td>
										<td colspan="2"></td>
									</tr>
								</xsl:if>
								<tr>
									<td colspan="4"></td>
									<td align="center" class="clcouleur4">&#160;</td>
								</tr>
								<tr>
									<td class="clGrasFondbd01">&#160;Points FIBEN - <xsl:value-of select="//TFORFAIT"/>du mois en cours</td>
									<td width="17">&#160;</td>
									<td width="78" class="clGrasFondbd01" align="right"><xsl:value-of select="//PTFORFAI"/></td>
									<td width="31">&#160;</td>
									<td width="91">&#160;</td>
								</tr>
								<tr>
								   <td colspan="4"></td>
								   <td class="clcouleur4">&#160;</td>
								</tr>
								<tr>
								   <td class="clGrasFondbd01b"><font size="3">&#160;Total Points Forfait disponibles du mois en cours</font></td>
								   <td>&#160;</td>
								   <td class="clGrasFondbd01b" bgcolor="#fce7cd" bordercolor="#3366CC" align="right"><font size="3"><xsl:value-of select="//TOTPTFOR"/></font></td>
								   <td>&#160;</td>
								   <td class="clcouleur4">&#160;</td>
								</tr>
								<tr>
								   <td colspan="5"></td>
								</tr>
								<tr>
								   <td colspan="4"></td>
								   <td class="clcouleur4">&#160;</td>
								</tr>
								<tr>
								   <td colspan="4"></td>
								   <td class="clcouleur4">&#160;</td>
								</tr>
							</xsl:if>   
    
							<!-- PARTIE CONSOMMATION MENSUELLE -->
							<xsl:if test="//TOTPTCF">
							<tr>
								<td class="clCouleur2" align="left"> Consommation mensuelle (en points)</td>
								<td colspan="4"></td>
							</tr>
							<tr>
								<td colspan="4"></td>
								<td class="clcouleur4">&#160;</td>
							</tr>
							<xsl:if test="//PTCM">
								<tr>
									<td class="clGrasFondbd01">&#160;Points consomms au titre des modules depuis le dbut du mois</td>
									<td >&#160;</td>
									<td class="clGrasFondbd01" align="right"><xsl:value-of select="//PTCM"/></td>
									<td>&#160;</td>
									<td align="center">&#160;</td>
								</tr>
								<tr>
									<td colspan="4"></td>
									<td align="center" class="clCouleur4"></td>
								</tr>
								<tr>
								    <td colspan="4"></td>
								    <td class="clcouleur4">&#160;</td>
								</tr>
							</xsl:if>
						  
							<xsl:if test="//PTCIGE">
								<tr>
									<td class="clGrasFondbd01">&#160;Points consomms au titre des IGE depuis le dbut du mois </td>
									<td>&#160;</td>
									<td class="clGrasFondbd01" align="right"><xsl:value-of select="//PTCIGE"/></td>
									<td colspan="2"></td>
								</tr>
								<tr>
									<td colspan="4"></td>
									<td class="clcouleur4" align="center">&#160;</td>
								</tr>
								<tr>
								   <td colspan="4"></td>
								   <td class="clcouleur4">&#160;</td>
								</tr>
							</xsl:if> 
						    
							<tr>
								<td class="clGrasFondbd01b"><font size="3">&#160;Total Points consomms </font></td>
								<td>&#160;</td>
								<td class="clGrasFondbd01b" align="right"><font size="3"><xsl:value-of select="//TOTPTCF"/></font></td>
								<td>&#160;</td>
								<td></td>
							</tr>
							<tr>
								<td colspan="4"></td>
							</tr>
							<tr>
								<td colspan="4"></td>
							</tr>
							<tr>
								<td colspan="4"></td>
								<td class="clcouleur4">&#160;</td>
							</tr>
							<tr>
								<td colspan="4"></td>
								<td class="clcouleur4">&#160;</td>
							</tr>        
						    </xsl:if>
							
							
							<!-- PARTIE CONSOMMATION ENTRANT DANS LE FORFAIT --> 
							<xsl:if test="//PTCFOR">
								<tr>
									<td class="clCouleur2" align="left"> Consommation entrant dans le forfait depuis le dbut du mois (en points)</td>
									<td colspan="4"></td>
								</tr>
								<tr>
									<td colspan="4"></td>
									<td class="clcouleur4">&#160;</td>
								</tr>    
							  
								<xsl:if test="//TXDISPO">
									<tr>
										<td colspan="4"></td>
										<td class="clcouleur4" align="center">Taux disponible</td>
									</tr>
								</xsl:if>
							  
								<tr>
									<td class="clGrasFondbd01b"><font size="3">&#160;Total Points consomms dans le Forfait </font></td>
									<td>&#160;</td>
									<td class="clGrasFondbd01b" align="right"><font size="3"><xsl:value-of select="//PTCFOR"/></font></td>
									<td>&#160;</td>
							    
									<xsl:if test="//TXDISPO">
										<td align="center" class="clGrasFondbd01b"><font size="3"><xsl:value-of select="//TXDISPO"/> %</font></td>
									</xsl:if>
									<xsl:if test="not(//TXDISPO)">
										<td align="center" class="clCouleur2">&#160;</td>
									</xsl:if>
								</tr>
								<tr>
									<td colspan="5"></td>
								</tr>
								<tr>
									<td colspan="4"></td>
									<td class="clcouleur4">&#160;</td>
								</tr>    
							  
								<xsl:if test="//PTCAUDF"> 
									<tr>
										<td class="clGrasFondbd01b"><font size="3">&#160;Total Points consomms au-del du Forfait</font></td>
										<td>&#160;</td>
										<td class="clGrasFondbd01b" align="right"><font size="3"><xsl:value-of select="//PTCAUDF"/></font></td>
										<td colspan="2"></td>
									</tr>
								</xsl:if>
							  
								<tr>
									<td colspan="5"></td>
								</tr>
								<tr>
									<td colspan="5"></td>
								</tr>
							</xsl:if> 
  
							<!-- PARTIE CONSOMMATION HORS FORFAIT -->
							<xsl:if test="//PTCHF"> 
								<tr>
									<td class="clCouleur2" align="left"> Consommation hors forfait depuis le dbut du mois (en points)</td>
									<td colspan="4"></td>
								</tr>
								<tr>
									<td colspan="4"></td>
									<td class="clcouleur4" align="center">&#160;</td>
								</tr>
								<tr>
									<td class="clGrasFondbd01b"><font size="3">&#160;Total Points consomms hors Forfait </font></td>
									<td>&#160;</td>
									<td class="clGrasFondbd01b" align="right"><font size="3"><xsl:value-of select="//PTCHF"/></font></td>
									<td>&#160;</td>
									<td></td>
								</tr>
								<tr>
									<td colspan="5"></td>
								</tr>
								<tr>
									<td colspan="5"></td>
								</tr>
							</xsl:if> 
   
						

						</table>
					</td>
				</tr>

				
				</xsl:if>
			</table>
      <xsl:call-template name="genBasPage"/>
		</body>
	</html>
</xsl:template>

</xsl:stylesheet>
