<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../Ressources/XSL/Commun.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
	<xsl:param name="langage" select="'fr'"/>
  <xsl:param name="root" select="''"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyName" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="moduleTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>


<xsl:template match="/">
		<html>
			<xsl:call-template name="genHead">
				<xsl:with-param name="ident" select="/FIBEN/ident"/>
			</xsl:call-template>
			<body bgcolor="#ffffff" ><a name="ancHaut"></a>
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
				<tr> 
					<td width="636" class="clCouleur2" valign="top" colspan="2">
						<xsl:call-template name="genEnTete">
							<xsl:with-param name="ident" select="/FIBEN/ident"/>
							<xsl:with-param name="nom" select="/FIBEN/nom"/>
							<xsl:with-param name="nomconj" select="/FIBEN/nomconj"/>
							<xsl:with-param name="valcot" select="/FIBEN/valcot"/>
							<xsl:with-param name="datcot" select="/FIBEN/datcot"/>
							<xsl:with-param name="datexa" select="/FIBEN/datexa"/>
							<xsl:with-param name="idrenv" select="/FIBEN/idrenv"/>
						</xsl:call-template>
					</td>
				</tr>
				<xsl:apply-templates select="FIBEN/graphe"/>
				
		  </table>
        <xsl:call-template name="genBasPage"/>
		</body>
	</html>
</xsl:template>

<xsl:template match="graphe">
	<xsl:if test="position()=1">
		<xsl:if test="./titre">
	
			<tr><td width="636" class="t2" colspan="2">
			<br />
		      <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" />
		      <table width="635" border="0" cellpadding="0" height="10">
		        <tr> 
				
				<xsl:if test="./serie">
		       	   <td class="clCouleur2">
			          <div align="center"><xsl:value-of select="./titre"/></div>
				  </td>
				</xsl:if>
				<xsl:if test="not(./serie)">
		       	   <td class="clItalic2">
			            <div align="left">Graphique <xsl:value-of select="./titre"/> non disponible</div>
				  </td>
				</xsl:if>
			</tr>
		       </table>
		      <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" /> 
		      <table border="0" height="10">
            <span></span>
		    </table>
		      <br />
			</td>
			</tr>
		</xsl:if>
	</xsl:if>
	<xsl:if test="not(./serie)">
		<tr><td width="636" class="t2" colspan="2">
			<br />
		      <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" />
		 <table width="635" border="0" cellpadding="0" height="10">
		        <tr> 
		       	   <td class="clItalic2">
				         <div align="left">Graphique <xsl:value-of select="./titre"/> non disponible</div>
				  </td>
			</tr>
		</table>
		<img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" /> 
	      <table border="0" height="10">
          <span></span>
        </table>
		      <br />
		</td>
		</tr>
	</xsl:if>
	
	<xsl:if test="(position() != 1) and (position() mod 2 = 1)">
		<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
	</xsl:if>
	<xsl:if test="position() = 1">
		<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
	</xsl:if>
	 <td width="318" class="t2" valign="bottom">
	<a name="Graphe{position()}"></a> 
	<xsl:if test="./serie">
		<center>
			<xsl:element name="img">
				<xsl:attribute name="src">M<xsl:value-of select="/FIBEN/@MODDEM"/>/Graphiques/graphe1.aspx?date=<xsl:value-of select="/FIBEN/@DATJOUR"/><xsl:apply-templates select="serie|abcisse|unite"/>
				</xsl:attribute>
			</xsl:element>
		</center>
		<br />
	</xsl:if>
	</td>
	<xsl:if test="position() mod 2 = 0 or position()=last()">
		<xsl:if test="position() mod 2=1"><td width="318" class="t2" valign="bottom"></td></xsl:if>
		<xsl:call-template name="genFlecheHaut"/>
		<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="serie">
	<xsl:variable name="pos" select="position()"/>
	<xsl:for-each select="val">&amp;s<xsl:value-of select="$pos"/>v<xsl:value-of select="position()"/>=<xsl:value-of select="."/></xsl:for-each>
	<xsl:if test="titre">&amp;s<xsl:value-of select="$pos"/>t=<xsl:value-of select="./titre"/></xsl:if>
</xsl:template>

<xsl:template match="abcisse">
	<xsl:for-each select="val">&amp;ab<xsl:value-of select="position()"/>
		=<xsl:value-of select="."/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="unite">
	&amp;<xsl:value-of select="name(.)"/>=<xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>
