<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
	<xsl:import href="../../Ressources/XSL/Commun_RALPH.xsl"/>   
<!-- IMPORTANT : commun_RALPH aprs Commun pour respecter l'ordre des surcharges -->
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyName" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
	<xsl:param name="Lang" select="'FR'"/>
	<xsl:param name="codeLib" select="''"/>
	<xsl:param name="NonResident" select="''"/>
	
	

<!--TEMPLATE PRINCIPAL-->
  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="//RECHDEN"/>
      </xsl:call-template>
      <body bgcolor="#ffffff" >
        <link rel="stylesheet" href="{$root}Ressources/CSS/Commun.css" />
        <xsl:element name="link">
          <xsl:attribute name="rel">stylesheet</xsl:attribute>
          <xsl:attribute name="href">
            <xsl:value-of select="$root"/>Ressources/CSS/risque.css
          </xsl:attribute>
        </xsl:element>
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
          <xsl:with-param name="type" select="'ralph'" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        <xsl:call-template name="insertClientScripts"/>
        <table class="maincontainer horizontal-auto" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel" />
          <xsl:apply-templates select="/FIBEN/ERREUR">
            <xsl:with-param name="alerte" select="false()"/>
          </xsl:apply-templates>
          <xsl:if test="not(/FIBEN/ERREUR)">
            <tr>
              <td colspan="2"  height="10"></td>
            </tr>
            <tr>
              <td width="64"></td>
              <td width="739"  class="clCouleur2" valign="top">
                <table width="635" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="635" class="clCouleur2" valign="top">

                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m07_VotRech'"/>
                      </xsl:call-template>
                    </td>
                  </tr>
                </table>
                <table width="635" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td valign="top">
                      <xsl:apply-templates select="/FIBEN/DEMANDE"/>
                    </td>
                  </tr>
                </table>
                <xsl:apply-templates select="//IRECH|//SCR|//IST07|//U051|//U052|//U057" mode="genLib"/>
                <xsl:if test="not(//IRECH|//SCR|//U051|//U052|//U057)">
                  <!--Partie Spcifique demande simple-->
                  <table width="739" border="0" cellspacing="0" cellpadding="0">
                    <xsl:call-template name="shim"/>
                    <tr>
                      <td>
                        <table width="635" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <!--<td width="19">&#160;</td>-->
                            <td class="clCouleur2" align="center" valign="middle">
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m07_Reponses'"/>
                              </xsl:call-template>
                              (<xsl:value-of select="/FIBEN/nbReponsesAffichees"/>
                              <xsl:if test ="(/FIBEN/nbReponsesTotales) != (/FIBEN/nbReponsesAffichees)">
                                &#160;
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m07_RepDisp'"/>
                                </xsl:call-template>&#160;
                                <xsl:value-of select="/FIBEN/nbReponsesTotales"/>
                              </xsl:if>)
                            </td>
                          </tr>
                          <xsl:if test ="(/FIBEN/nbReponsesTotales) > 150">
                            <tr>
                              <td class="clCouleur2"  align="center" valign="middle">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m07_PlusInfo'"/>
                                </xsl:call-template>
                              </td>
                            </tr>
                          </xsl:if>
                          <br />
                        </table>
                        <!-- ********************** partie reponse ***************************-->
                        <xsl:if test ="(/FIBEN/nbReponsesTotales) > 0">
                          <table width="739" border="0" cellspacing="0" cellpadding="0">
                            <xsl:call-template name="shim"/>
                            <tr>
                              <td colspan="4" width="600" class="clCouleur2">
                                &#160;
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m07_CliSurRep'"/>
                                </xsl:call-template> >>
                              </td>
                              <td width="139">
                                <a href="#nullepart" onclick="requestStatic('',cstExportRalph,'')">
                                  <img src="{$root}Images/Boutons/Excel.jpg" border="0"/>
                                </a>
                              </td>
                            </tr>
                            <tr>
                              <td colspan="5">&#160;</td>
                            </tr>

                            <xsl:apply-templates select="/FIBEN/reponses/ReponseFibenDetail">
                              <xsl:with-param name ="nbReponsesAffichees" select ="/FIBEN/nbReponsesAffichees"></xsl:with-param>
                            </xsl:apply-templates>

                          </table>
                        </xsl:if>
                        <table width="635" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td colspan="5">
                              <xsl:call-template name="shim"/>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>
                </xsl:if>
              </td>
            </tr>
          </xsl:if>
          
        </table>
        <xsl:call-template name="genBasPage"/>
        
        
      </body>
    </html>
  </xsl:template>





</xsl:stylesheet>

			