<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                        xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>
  <xsl:param name="Lang" select="''"/>
  <xsl:variable name="condGraph1" select="(//MTCBCT[position()=1] != 0)"/>
  <xsl:variable name="condGraph2" select="(//MTCMLT[position()=1] != 0)"/>
  <xsl:variable name="condGraph3" select="(//MTCBM[position()=1] != 0) or (//MTCBI[position()=1] != 0)" />
  <xsl:variable name="condGraph4" select="(//MTTOT6[position()=1] != 0)"/>
  <xsl:variable name="condGraph5" select="(//MTCC[position()=1] != 0) or (//MTCD[position()=1] != 0)"/>
  <xsl:variable name="condGraph6" select="(//MTAC[position()=1] != 0)"/>
  <xsl:variable name="condGraph" select="boolean($condGraph1 or $condGraph2 or $condGraph3 or $condGraph4 or $condGraph5 or $condGraph6 or $condGraph7 or $condGraph8 or $condGraph9 or $condGraph10 or $condGraph11 or $condGraph12)"/>
  <xsl:variable name="condGraph7" select="(//MTCBCT[position()=1] != 0)"/>
  <xsl:variable name="condGraph8" select="(//MTCMLT[position()=1] != 0)"/>
  <xsl:variable name="condGraph9" select="(//MTCBM[position()=1] != 0) or (//MTCBI[position()=1] != 0)" />
  <xsl:variable name="condGraph10" select="(//MTTOT6[position()=1] != 0)"/>
  <xsl:variable name="condGraph11" select="(//MTCC[position()=1] != 0) or (//MTCD[position()=1] != 0)"/>
  <xsl:variable name="condGraph12" select="(//MTAC[position()=1] != 0)"/>
  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE28/PM/EI/IDENTC | FIBEN/PERSONNE/MODULE28/PM/EI/IDENTS | FIBEN/PERSONNE/MODULE28/PM/EJ/IDENTS"/>
      </xsl:call-template>
      <body  bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        <table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel" />
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">

            <tr>
              <td width="64"></td>
              <td width="739" colspan="4" class="clCouleur2" valign="top">
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE28/PM/EJ"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE28/PM/EI"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE28/ICB01" mode="genLib"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE28/ICB05" mode="genLib"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE28/DIFF28"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE28/PM/EI/IDLIES"/>
              </td>
            </tr>

           
          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
        <xsl:call-template name="genGraph28"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="FIBEN/PERSONNE/MODULE28/PM/EJ">
    <xsl:call-template name="genEnTete">
      <xsl:with-param name="ident" select="IDENTS"/>
      <xsl:with-param name="nom" select="DENOM"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="FIBEN/PERSONNE/MODULE28/PM/EI">
    <xsl:call-template name="genEnTete">
      <xsl:with-param name="ident" select="IDENTS|IDENTC"/>
      <xsl:with-param name="idrenv" select="IDRENV"/>
      <xsl:with-param name="nom">
        <xsl:call-template name ="displayInLowerCaseXsl">
          <xsl:with-param name ="InputStringNom" select ="(IDENTITE/NOM)"/>
          <xsl:with-param name ="InputStringPrenom" select ="(IDENTITE/PRENOM)"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="nomconj" select="IDENTITE/NOMCONJ"/>
      <xsl:with-param name="idnouv" select="/FIBEN/PERSONNE/IDNOUV"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="ICB01" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="ICB05" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="335" height="12">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
        <td width="400" class="clCouleur2" height="12">
        </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" class="clCouleur2">
          <br/>
          <div align="left">
            &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
          </div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ICB03" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="ICB04" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="DATCENTR">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200" height="12">&#160;DERNIRE CENTRALISATION AU</td>
        <td width="200" class="clFond" height="12">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(.)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="235" class="clCouleur2" height="12" align="center">
          <div align="right">&#160;&#160;(en milliers d'euros)</div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="BILTRE">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200">&#160;BILLETS DE TRSORERIE AU</td>
        <td width="200" class="clFond">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATENRBT)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="117" class="clCouleur2" align="right">&#160;MONTANT&#160;&#160;</td>
        <td width="118" class="clFond">
          <div align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(MTBT)"/>
            </xsl:call-template>&#160;
          </div>
        </td>
      </tr>
    </table>

    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="CBEURO">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="335" height="12">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
        <td width="400" class="clCouleur2" height="12">
        </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" class="clCouleur2">
          <br/>
          <div align="left">
            &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
          </div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <!--DTAILS DES CREDITS-->

  <xsl:template match="DIFF28">
    <xsl:apply-templates select="DATCENTR"/>
    <xsl:apply-templates select="BILTRE"/>
    <xsl:apply-templates select="CBEURO"/>
    <xsl:if test="CUMULCB">
      <xsl:call-template name="CUMULCB" />
    </xsl:if>
    <xsl:apply-templates select="ICB04" />
    <xsl:if test="ICB04">
      <xsl:call-template name="shim"/>
      <br/>
    </xsl:if>
    <xsl:apply-templates select="ICB03" />

    <xsl:if test="CUMULCBC">
      <xsl:call-template name="CUMULCBC" />
    </xsl:if>
  </xsl:template>



  <xsl:template name="CUMULCB">
    <div class="clBreakPage"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          D&#201;TAILS DES CONCOURS INDIVIDUELS
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCB/@MOISREF"/>
        <xsl:apply-templates select="CUMULCB/MTCODCCT"/>
      </tr>
      <tr>
        <td colspan="11" class="clItalic"></td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCB/@MOISREF"/>
        <xsl:apply-templates select="CUMULCB/MTCMLT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <div class="clBreakPage"/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCB/@MOISREF"/>
        <xsl:apply-templates select="CUMULCB/MTCC"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

  </xsl:template>

  <xsl:template match="CUMULCB/@MOISREF">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="45" height="20" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="25" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="45" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" class="clItalic" valign="bottom" align="center" height="5"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td  width="45" class="clFond" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td  width="45" class="clTexte" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td  width="45" class="clItalic" align="right" height="15" >&#160;</td>
      </tr>
      <tr>
        <td   width="45" class="clFond" align="right" height="15">
          <b>Moyenne</b>
        </td>
      </tr>
      <tr>
        <td height="1" width="45" class="clItalic">&#160; </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <!--CREDIT COURT-->

  <xsl:template match="CUMULCB/MTCODCCT">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <a name="credit_ct"></a>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td height="20"  width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          <a name="credit_mobiliseInd"></a>CREDITS MOBILISES
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="25" width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          Court terme
          <xsl:if test="$condGraph1">
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe1';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </xsl:if>
          <xsl:if test="not($condGraph1)">
            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </xsl:if>

        </td>

      </tr>
      <tr>
        <td height="30" width="108" class="clCouleur2" align="right" valign="top">
          Cptes ordinaires dbiteurs<br/>(CO)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Crances commerciales<br/>(CC)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Affacturage<br/>(AF)
        </td>
        <td width="10" class="clCouleur2">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Autres crdits  court terme<br/>(CA)
        </td>
        <td width="10" class="clCouleur2" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Total court terme <br/>[I]
        </td>
        <td width="114" align="right"></td>
      </tr>
      <tr>
        <td colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="462" colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic" align="right"></td>
        <td width="114"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCODCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAFCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTACCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160; </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>
  <!--CREDIT MOYEN ET LONG TERME-->

  <xsl:template match="CUMULCB/MTCMLT">

    <xsl:if test="position()=1">

      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>

      <tr>
        <xsl:if test="($condGraph2)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe2';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph2)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph3)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe3';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph3)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          <a name="credit_titr"/>Titriss<br/>(IT)<br/>[V]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph4)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe4';window.document.forms['FormGraphes'].submit();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph4)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>

        <td  align="right" width="114">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Mobiliers (BM)<br/>[III]
        </td>
        <td width="10" class="clCouleur2" align="center">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Immobiliers (BI)<br/>[IV]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="114" ></td>
      </tr>
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>

    <xsl:if test="position() mod 2 != 0">
      <tr>

        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>

        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>

        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCMLT)"/>
            </xsl:call-template >
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBM)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBI)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTITR)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT6)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>





  <!-- CREDIT MOBILISABLE -->

  <xsl:template match="CUMULCB/MTCC">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <xsl:if test="($condGraph5)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_mobilisableInd">
              CREDITS MOBILISABLES
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe5';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph5)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_mobilisableInd">
              CREDITS MOBILISABLES

              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          Total crdits mobiliss et mobilisables [VIII]<br/>
          [VI]+[VII]
        </td>
        <td width="10" valign="bottom" align="center" rowspan="2">
          <img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/>
        </td>
        <xsl:if test="($condGraph6)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe6';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph6)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </td>
        </xsl:if>
        <td width="114" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Partie disponible des crdits mobilisables<br/>(OC)
        </td>
        <td width="10"></td>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Crdits documentaires<br/>(OD)
        </td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/>
        </td>
        <td class="clCouleur2" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/>
        </td>
        <td width="114"></td>
      </tr>

    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="cltexte">&#160;</td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center"></td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center"></td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCD)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT7)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT8)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>





  <xsl:template name="CUMULCBC">
    <div class="clBreakPage"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <xsl:if test="ICB03">
        <xsl:call-template name="shim"/>
      </xsl:if>
      <tr align="center">
        <td class="clCouleur2">
          D&#201;TAILS DES PARTICIPATIONS EN COMPTE COLLECTIF
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCBC/@MOISREF"/>
        <xsl:apply-templates select="CUMULCBC/MTCODCCT"/>
      </tr>
      <tr>
        <td colspan="11" class="clItalic"></td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCBC/@MOISREF"/>
        <xsl:apply-templates select="CUMULCBC/MTCMLT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <div class="clBreakPage"/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCBC/@MOISREF"/>
        <xsl:apply-templates select="CUMULCBC/MTCC"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

  </xsl:template>

  <xsl:template match="CUMULCBC/@MOISREF">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="45" height="20" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="25" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="45" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" class="clItalic" valign="bottom" align="center" height="5"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td  width="45" class="clFond" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td  width="45" class="clTexte" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td  width="45" class="clItalic" align="right" height="15" >&#160;</td>
      </tr>
      <tr>
        <td   width="45" class="clFond" align="right" height="15">
          <b>Moyenne</b>
        </td>
      </tr>
      <tr>
        <td height="1" width="45" class="clItalic">&#160; </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <!--CREDIT COURT-->

  <xsl:template match="CUMULCBC/MTCODCCT">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <a name="credit_ct"></a>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td height="20"  width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          <a name="MobiliseColl"></a>CREDITS MOBILISES
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="25" width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          Court terme
          <xsl:if test="$condGraph7">
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe7';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </xsl:if>
          <xsl:if test="not($condGraph7)">
            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </xsl:if>

        </td>

      </tr>
      <tr>
        <td height="30" width="108" class="clCouleur2" align="right" valign="top">
          Cptes ordinaires dbiteurs<br/>(CO)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Crances commerciales<br/>(CC)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Affacturage<br/>(AF)
        </td>
        <td width="10" class="clCouleur2">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Autres crdits  court terme<br/>(CA)
        </td>
        <td width="10" class="clCouleur2" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Total court terme <br/>[I]
        </td>
        <td width="114" align="right"></td>
      </tr>
      <tr>
        <td colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="462" colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic" align="right"></td>
        <td width="114"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCODCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTAFCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTACCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160; </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>
  <!--CREDIT MOYEN ET LONG TERME-->

  <xsl:template match="CUMULCBC/MTCMLT">

    <xsl:if test="position()=1">

      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>

      <tr>
        <xsl:if test="($condGraph8)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe8';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph8)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph9)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe9';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph9)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          <a name="credit_titr"/>Titriss<br/>(IT)<br/>[V]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph10)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe10';window.document.forms['FormGraphes'].submit();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph10)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>

        <td  align="right" width="114">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Mobiliers (BM)<br/>[III]
        </td>
        <td width="10" class="clCouleur2" align="center">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Immobiliers (BI)<br/>[IV]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="114" ></td>
      </tr>
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>

    <xsl:if test="position() mod 2 != 0">
      <tr>

        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>

        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>

        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCMLT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBM)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBI)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTITR)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT6)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>





  <!-- CREDIT MOBILISABLE -->

  <xsl:template match="CUMULCBC/MTCC">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <xsl:if test="($condGraph11)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="MobilisableColl">
              CREDITS MOBILISABLES
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe11';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph11)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="MobilisableColl">
              CREDITS MOBILISABLES

              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          Total crdits mobiliss et mobilisables [VIII]<br/>
          [VI]+[VII]
        </td>
        <td width="10" valign="bottom" align="center" rowspan="2">
          <img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/>
        </td>
        <xsl:if test="($condGraph12)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe12';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph6)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </td>
        </xsl:if>
        <td width="114" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Partie disponible des crdits mobilisables<br/>(OC)
        </td>
        <td width="10"></td>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Crdits documentaires<br/>(OD)
        </td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/>
        </td>
        <td class="clCouleur2" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/>
        </td>
        <td width="114"></td>
      </tr>

    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="cltexte">&#160;</td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center"></td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center"></td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCD)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT7)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT8)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTAC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <xsl:template name="genGraph28">

    <xsl:if test="$condGraph">
      <form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
        <input name="familyNumber" type="hidden" value="1"/>
        <input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
        <xsl:element name="input">
          <xsl:attribute name="name">GrapheData</xsl:attribute>
          <xsl:attribute name="type">hidden</xsl:attribute>
          <xsl:attribute name="value">
            &lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
              <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
            </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE28/PM/EJ/IDENTS|FIBEN/PERSONNE/MODULE28/PM/EI/IDENTS|FIBEN/PERSONNE/MODULE28/PM/EI/IDENTC"/>&lt;/ident&gt;

            <xsl:if test="FIBEN/PERSONNE/MODULE28/PM/EJ">
              &lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE28/PM/EJ/DENOM"/>&lt;/nom&gt;
            </xsl:if>

            <xsl:if test="FIBEN/PERSONNE/MODULE28/PM/EI">
              &lt;nom&gt;<xsl:call-template name ="displayInLowerCaseXsl">
                <xsl:with-param name ="InputStringNom" select ="(FIBEN/PERSONNE/MODULE28/PM/EI/IDENTITE/NOM)"/>
                <xsl:with-param name ="InputStringPrenom" select ="(FIBEN/PERSONNE/MODULE28/PM/EI/IDENTITE/PRENOM)"/>
              </xsl:call-template>&lt;/nom&gt;
              &lt;nomconj&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE28/PM/EI/IDENTITE/NOMCONJ"/>&lt;/nomconj&gt;
              <xsl:if test="FIBEN/PERSONNE/MODULE28/PM/EI/IDENTC">
                &lt;idrenv&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE28/PM/EI/IDRENV"/>&lt;/idrenv&gt;
              </xsl:if>
            </xsl:if>

            <xsl:if test="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB" >



              &lt;graphe&gt;
              <xsl:if test="$condGraph1">

                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCODCCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCCCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTAFCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTACCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;

              </xsl:if>

              &lt;titre&gt;Concours individuels  court terme&lt;/titre&gt;&lt;signet&gt;Court terme individuel &lt;/signet&gt;&lt;/graphe&gt;


              &lt;graphe&gt;
              <xsl:if test="$condGraph2">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels  moyen et long terme&lt;/titre&gt;&lt;signet&gt;Moyen et long terme individuel&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph3">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCBI"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCBM"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Crdits-bails&lt;/titre&gt;&lt;signet&gt;Crdits-bails individuels&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph4">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCBCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:call-template name="doubleFlux">
                    <xsl:with-param name = "fMTCBM" >
                      <xsl:value-of select="MTCBM"/>
                    </xsl:with-param>
                    <xsl:with-param name = "fMTCBI" >
                      <xsl:value-of select="MTCBI"/>
                    </xsl:with-param>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTTITR"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;



                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Crdits mobiliss(Total VI)&lt;/titre&gt;&lt;signet&gt;Total VI individuel&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph5">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCD"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Crdits mobilisables(Total VII)&lt;/titre&gt;&lt;signet&gt;Crdits mobilisables individuels&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph6">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTAC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Engagements de garantie&lt;/titre&gt;&lt;signet&gt;Engagements de garantie individuels&lt;/signet&gt;&lt;/graphe&gt;

            </xsl:if>
            <xsl:if test="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">

              &lt;graphe&gt;
              <xsl:if test="$condGraph7">

                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCODCCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCCCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTAFCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTACCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;

              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits  court terme&lt;/titre&gt;&lt;signet&gt;Court terme collectif&lt;/signet&gt;&lt;/graphe&gt;


              &lt;graphe&gt;
              <xsl:if test="$condGraph8">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits  moyen et long terme&lt;/titre&gt;&lt;signet&gt;Moyen et long terme collectif&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph9">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCBI"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCBM"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits-bails&lt;/titre&gt;&lt;signet&gt;Crdits-bails collectifs&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph10">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCBCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:call-template name="doubleFlux">
                    <xsl:with-param name = "fMTCBM" >
                      <xsl:value-of select="MTCBM"/>
                    </xsl:with-param>
                    <xsl:with-param name = "fMTCBI" >
                      <xsl:value-of select="MTCBI"/>
                    </xsl:with-param>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTTITR"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;



                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits mobiliss(Total VI)&lt;/titre&gt;&lt;signet&gt;Total VI collectif&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph11">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCD"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits mobilisables(Total VII)&lt;/titre&gt;&lt;signet&gt;Crdits mobilisables collectifs&lt;/signet&gt;&lt;/graphe&gt;

              &lt;graphe&gt;
              <xsl:if test="$condGraph12">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTAC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE28/DIFF28/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Engagements de garantie&lt;/titre&gt;&lt;signet&gt;Engagements de garantie collectifs&lt;/signet&gt;&lt;/graphe&gt;
            </xsl:if>
            &lt;/FIBEN&gt;
          </xsl:attribute>
        </xsl:element>
      </form>
    </xsl:if>
  </xsl:template>

  <xsl:template match="/FIBEN/PERSONNE/MODULE28/DIFF28/ICB03" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="cltexte">
          <font class="clCouleur2">
            <xsl:apply-templates select="ICB03"/>
          </font>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>
  <xsl:template match="/FIBEN/PERSONNE/MODULE28/DIFF28/ICB04" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="cltexte">
          <font class="clCouleur2">
            <xsl:apply-templates select="ICB04"/>
          </font>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template name="doubleFlux">
    <xsl:param name = "fMTCBM" />
    <xsl:param name = "fMTCBI" />
    <xsl:value-of select = "$fMTCBM+$fMTCBI" />
  </xsl:template>
  <xsl:template match="MTCCCT">
    <xsl:if test="@ETAT">
      <xsl:value-of select="@ETAT"/>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(../MTCCCT)"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>
  <xsl:template match="MTAFCT">
    <xsl:if test="@ETAT">
      <xsl:value-of select="@ETAT"/>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(../MTAFCT)"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>
</xsl:stylesheet>
