<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
	<xsl:param name="sIPEbrkPage" select="''"/>
  <xsl:param name="Lang" select="''"/>
	<xsl:variable name="condGraph1" select="((count(/FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM/MTMIPE[text()!='0'])) >= '6') and ((count(/FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM/MTMIPE[text()!='0,0'])) >= '6') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[1]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[2]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[3]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[4]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[5]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[6]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[1]/MTCC = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[2]/MTCC = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[3]/MTCC = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[4]/MTCC = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[5]/MTCC = '99999') and not(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM[6]/MTCC = '99999')"/>


<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE29/PM/EI/IDENTC | FIBEN/PERSONNE/MODULE29/PM/EI/IDENTS | FIBEN/PERSONNE/MODULE29/PM/EJ/IDENTS"/>
		</xsl:call-template>
		<body  bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="genLigneConfidentiel" />
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">

					<tr>
						<td width="64"></td>
						<td width="739" colspan="4" class="clCouleur2" valign="top">
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE29/PM/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE29/PM/EI"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE29/ICIP01" mode="genDiv"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME"/>
							<xsl:call-template name="shim"/><br/>
							<a name="detail"></a>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE29/DIFF29/CIP03" mode="genDiv"/>
							<xsl:if test="FIBEN/PERSONNE/MODULE29/DIFF29/IPEDETAIL">
								<table width="635" border="0" cellspacing="0" cellpadding="0">
									<tr>
										<td width="635" align="center" class="clCouleur2">DTAIL DES INCIDENTS DE PAIEMENT EFFETS SUPRIEURS OU GAUX  1524 EUROS</td>
									</tr>
								</table>
							      <xsl:call-template name="shim"/><br/>
								<xsl:apply-templates select="FIBEN/PERSONNE/MODULE29/DIFF29/IPEDETAIL"/>
							</xsl:if>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE29/PM/EI/IDLIES"/>
						</td>
					</tr>

				</xsl:if>
			</table>
			<xsl:call-template name="genBasPage"/>

			<xsl:call-template name="genGraph29"/>

		</body>
	</html>
</xsl:template>
	
<xsl:template match="EVJANT">
	<xsl:call-template name="shim" />
<br />
      <font class="clCouleur2"></font><br />
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE29/PM/EJ">
	<xsl:call-template name="genEnTete">
		<xsl:with-param name="ident" select="IDENTS"/>
		<xsl:with-param name="nom" select="DENOM"/>
		<xsl:with-param name="idnouv" select="/FIBEN/PERSONNE/IDNOUV"/>
	</xsl:call-template>
</xsl:template>

  <xsl:template match="FIBEN/PERSONNE/MODULE29/PM/EI">
    <xsl:call-template name="genEnTete">
      <xsl:with-param name="ident" select="IDENTS|IDENTC"/>
      <xsl:with-param name="idrenv" select="IDRENV"/>
      <xsl:with-param name="nom" >
        <xsl:call-template name ="displayInLowerCaseXsl">
          <xsl:with-param name ="InputStringNom" select ="(IDENTITE/NOM)"/>
          <xsl:with-param name ="InputStringPrenom" select ="(IDENTITE/PRENOM)"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="nomconj" select="IDENTITE/NOMCONJ"/>
      <xsl:with-param name="idnouv" select="/FIBEN/PERSONNE/IDNOUV"/>
    </xsl:call-template>
  </xsl:template>


<xsl:template match="FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME">
	<a name="situation"></a>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="19">&#160;</td>
      <td width="597" align="center" class="clCouleur2">
        SITUATION RSUME SUR 15 MOIS&#160;(en
        <xsl:call-template name ="displayUnitXsl">
          <xsl:with-param name ="InputUnit" select ="(./@UNITE)"/>
        </xsl:call-template> euros)
      </td>
			<td width="19">
				<xsl:if test="not($condGraph1)">
					<img name="Image69" border="0" src="{$root}images/boutons/diagramme_in.gif" width="19" height="20"/>
				</xsl:if>
				<xsl:if test="$condGraph1">
					<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#graphe1';window.document.forms['FormGraphes'].submit();"><img name="Image69" border="0" src="{$root}images/risque/diagramme.gif" width="19" height="20"/></a>
				</xsl:if>
			</td>
		</tr>
	</table>
      <xsl:call-template name="shim"/> 
      <table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td class="clCouleur2" width="110" align="right" valign="top">&#160;</td>
			<td width="210" colspan="2" align="right" class="clCouleur2">Incapacit 
            de payer&#160;&#160;&#160;&#160;&#160;&#160;</td>
			<td width="210" colspan="2" align="right" class="clCouleur2">Contestation de 
            crance&#160;&#160;&#160;</td>
			<td width="105" align="right" valign="top" class="clCouleur2">&#160;</td>
		</tr>
		<tr> 
			<td class="clCouleur2" width="110" align="right">Mois&#160;</td>
			<td width="105" align="right" class="clCouleur2" height="17">Nombre&#160;</td>
			<td width="105" align="right" class="clCouleur2" height="17">Montant&#160;</td>
			<td width="105" align="right" class="clCouleur2" height="17">Nombre&#160;</td>
			<td width="105" align="right" class="clCouleur2" height="17">Montant&#160;</td>
			<td width="105" align="right" class="clCouleur2">Total&#160;</td>
		</tr>
		<xsl:apply-templates select="SITRESM"/> 
		<xsl:apply-templates select="SITREST"/>
	</table>
	<div class="clBreakPage"/>
</xsl:template>

<xsl:template match="SITRESM">
	<tr align="right">
		<xsl:if test="position() mod 2 = 0">
      <td class="clTexte" width="110">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clTexte">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(NBIP)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clTexte">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTIP)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clTexte">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(NBCC)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clTexte">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTCC)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clTexteGras">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTMIPE)"/>
        </xsl:call-template>&#160;
      </td>
		</xsl:if>
		<xsl:if test="position() mod 2 != 0">
      <td class="clFond" width="110">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(NBIP)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTIP)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(NBCC)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTCC)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTMIPE)"/>
        </xsl:call-template>&#160;
      </td>
		</xsl:if>
	</tr>
</xsl:template>

<xsl:template match="SITREST">
	<tr align="right">
		<td class="clTexte" width="110">&#160;</td>
		<td width="105" class="clTexte">&#160;</td>
		<td width="105" class="clTexte">&#160;</td>
		<td width="105" class="clTexte">&#160;</td>
		<td width="105" class="clTexte">&#160;</td>
		<td width="105" class="t3b">&#160;</td>
	</tr>
	<tr align="right"> 
		<td width="110" class="clCouleur2">Total&#160;</td>
		<td width="105" class="clGrasFond">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(TOTNBIP)"/>
      </xsl:call-template>&#160;
    </td>
		<td width="105" class="clGrasFond">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(TOTMTIP)"/>
      </xsl:call-template>&#160;
    </td>
		<td width="105" class="clGrasFond">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(TOTNBCC)"/>
      </xsl:call-template>&#160;
    </td>
		<td width="105" class="clGrasFond">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(TOTMTCC)"/>
      </xsl:call-template>&#160;
    </td>
		<td width="105" class="clGrasFond">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(TOTSEIPE)"/>
      </xsl:call-template>&#160;
    </td>
	</tr>
</xsl:template>

<xsl:template match="ICIP01" mode="genDiv">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="left">
			<td class="clCouleur2">
				<xsl:apply-templates select="."/>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="CIP03" mode="genDiv">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="left">
			<td class="clCouleur2">
				<xsl:apply-templates select="."/>
			</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE29/DIFF29/IPEDETAIL">
	<table width="739" border="0" cellspacing="0" cellpadding="0">

		<xsl:if test="position() > 1">
			<xsl:call-template name="StrSplit"> 
				<xsl:with-param name="str" select="$sIPEbrkPage"/>
				<xsl:with-param name="moisRefCourant" select="IPEMENS/MOISREF"/>
			</xsl:call-template> 
		</xsl:if>

		<xsl:apply-templates select="IPEMENS"/>
		<tr> 
			<td width="51" class="clCouleur2" align="right" valign="bottom">Banque&#160;</td>
			<td width="46" class="clCouleur2" align="right" valign="bottom">Guichet&#160;</td>
			<td width="67" class="clCouleur2" align="right" valign="bottom">chance&#160;</td>
			<td width="43" class="clCouleur2" align="right"><p>Code<br/>Accept.</p></td>
			<td width="7" class="clCouleur2" align="right">&#160;</td>
			<td width="49" class="clCouleur2" align="right">&#160;MdNP<br/>(1)</td>
			<td width="68" class="clCouleur2" valign="bottom" align="right">&#160;Montant</td>
			<td width="96" class="clCouleur2" valign="bottom" align="right">Identifiant</td>
			<td width="208" class="clCouleur2" valign="bottom" align="right">&#160;Nom du crancier</td>
			<xsl:if test="position() mod 2 = 0">
				<xsl:call-template name="genFlecheHaut"/>
			</xsl:if>
			<xsl:if test="position() mod 2 != 0">
				<td width="103"></td>
			</xsl:if>
		</tr>
		<xsl:apply-templates select="IPEDET"/>
		<xsl:if test="position() = last()">
		<tr>
			<td colspan="9" class="clCouleur2" valign="middle"><br/> (1) MdNP : Motif de non paiement</td> 
		</tr>
	</xsl:if>
	</table>
	
	<img src="{$root}images/risque/shim.gif" width="635" height="1" vspace="8"/>


</xsl:template>

<xsl:template match="IPEMENS">
	<tr>
		<td colspan="2" class="clCouleur2">&#160;Mois de rejet</td>
    <td width="67" class="clGrasFond">
      &#160;<xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
      </xsl:call-template>
    </td>
		<td width="43" class="clCouleur2" align="right">&#160;</td>
		<td width="7" class="clCouleur2" align="right">&#160;</td>
		<td width="46" class="clCouleur2">&#160;Montant</td>
		<td width="68" class="clGrasFond" align="right">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(MT1500E)"/>
      </xsl:call-template>
      <xsl:call-template name ="displayUnitXsl2">
        <xsl:with-param name ="InputUnit" select ="(./@UNITE)"/>
        <xsl:with-param name ="Indic" select ='"1"'/>
      </xsl:call-template>
      <img src="{$root}images/risque/euro_symb_bold.gif" width="8" height="9"/>&#160;
		</td>
		<td height="10" class="clTexte" align="right" width="96"></td>
		<!--td width="208" class="clTexte">&#160;</td-->
	</tr>
	<tr> 
		<td height="10" class="clCouleur2" width="51"></td>
		<td height="10" class="clTexte" align="center" width="46"></td>
		<td height="10" class="clTexte" width="67"></td>
		<td height="10" class="clCouleur2" align="right" width="43"></td>
		<td height="10" class="clCouleur2" align="right" width="7"></td>
		<td height="10" class="clCouleur2" width="49"></td>
		<td height="10" class="clTexte" align="right" width="68"></td>
		<td height="10" class="clTexte" align="right" width="96"></td>
		<!--<td height="10" class="clTexte" width="208"></td>-->
	</tr>
</xsl:template>

<xsl:template match="IPEDET">
 
	<xsl:variable name="COACCEP">
		<xsl:call-template name="traduction">
			<xsl:with-param name="code" select="COACCEP"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="COMOTIF">
		<xsl:call-template name="traduction">
			<xsl:with-param name="code" select="COMOTIF"/>
		</xsl:call-template>
	</xsl:variable>
 <!--pour remplacer bdf:escapestring-->
  <xsl:variable name="valCOACCEP" select="COACCEP"/>
    <xsl:variable name="valCOMOTIF" select="COMOTIF"/>
 <xsl:variable name="from">'</xsl:variable>
  <xsl:variable name="to">&#146;</xsl:variable>
  <xsl:variable name="LibCOACCEP" select="translate($dictionnaire/mot[@id=$valCOACCEP],$from,$to)"/>
  <xsl:variable name="LibCOMOTIF" select="translate($dictionnaire/mot[@id=$valCOMOTIF],$from,$to)"/> 
    <xsl:choose>
    <xsl:when test="position() = 55">
		<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
    </xsl:when>
    <xsl:when test="position() > 67 and (position()+5) mod 60=0">
		<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
    </xsl:when>
    <xsl:otherwise>
		<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
    </xsl:otherwise>
    </xsl:choose>	

		<xsl:if test="position() mod 2 != 0">
			<td width="51" class="clFond" align="right"><xsl:value-of select="COBAN"/>&#160;</td>
			<td width="46" class="clFond" align="right"><xsl:value-of select="COGUI"/>&#160;</td>
      <td width="67" class="clFond" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATECHIPE)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="43" align="right" class="clFond"><a href="#nullePart" onclick="requestVariousInfos('{$LibCOACCEP}',cstWording)" class="clTexte"><u><xsl:value-of select="COACCEP"/></u></a>&#160;</td>
			<td width="7" class="clFond" align="right">&#160;</td>
			<td width="49" align="right" class="clFond"><a href="#nullePart" onclick="requestVariousInfos('{$LibCOMOTIF}',cstWording)" class="clTexte"><u><xsl:value-of select="COMOTIF"/></u></a></td>
      <td width="68" class="clFond" align="right">
        &#160;
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTUNIT)"/>
        </xsl:call-template>
      </td>
      <td width="96" class="clFond" valign="bottom" align="right">&#160;
        <xsl:if test="string-length(IDENTCR) != 0">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(IDENTCR)"/>
          </xsl:call-template>
        </xsl:if>
      </td>
			<td width="208" class="clFond" align="right">&#160;<xsl:value-of select="CREAN"/>&#160;</td>
		</xsl:if>
		<xsl:if test="position() mod 2 = 0">
			<td width="51" class="clTexte" align="right"><xsl:value-of select="COBAN"/>&#160;</td>
			<td width="46" class="clTexte" align="right"><xsl:value-of select="COGUI"/>&#160;</td>
      <td width="67" class="clTexte" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATECHIPE)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="43" align="right" class="clTexte"><a href="#nullePart" onclick="requestVariousInfos('{$LibCOACCEP}',cstWording)" class="clTexte"><u><xsl:value-of select="COACCEP"/></u></a>&#160;</td>
			<td width="7" class="clTexte" align="right">&#160;</td>
			<td width="49" align="right" class="clTexte"><a href="#nullePart" onclick="requestVariousInfos('{$LibCOMOTIF}',cstWording)" class="clTexte"><u><xsl:value-of select="COMOTIF"/></u></a></td>
      <td width="68" class="clTexte" align="right">
        &#160;
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTUNIT)"/>
        </xsl:call-template>
      </td>
      <td width="96" class="clTexte" valign="bottom" align="right">&#160;
        <xsl:if test="string-length(IDENTCR) != 0">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(IDENTCR)"/>
          </xsl:call-template>
        </xsl:if>
      </td>
			<td width="208" class="clTexte" align="right">&#160;<xsl:value-of select="CREAN"/>&#160;</td>
   </xsl:if>
   <xsl:if test="position() mod 10 = 0">
		  	<xsl:call-template name="genFlecheHaut"/>
		  </xsl:if>
		  <xsl:if test="position() mod 10 != 0">
			  <td width="103"></td>
		  </xsl:if>
	    <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>	
  
    <!--<02/06/2008 tec 9303 ajout d'un lien pour interroger autre module> revu le 21 juillet par pierre-->
  <xsl:choose>
    <xsl:when test="IDENTCR != ''">
      <tr>
        <td colspan="9" align="right">
          <a href="#nullepart" onClick="requestBDFInfos('27','','','{IDENTCR}',cstSimpleConfirm,false,this);">
            <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90" />
          </a>
        </td>
      </tr>
    </xsl:when>
    <xsl:when test="CREAN != ''">
      <tr>
        <td colspan="9" align="right">
          <a href="#nullepart" onClick="requestBDFInfos('07','','','{CREAN}',cstSimpleConfirm,false,this);">
            <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90" />
          </a>
        </td>
      </tr>
    </xsl:when>
    <xsl:otherwise>
     <tr>
        <td colspan="9" align="right">&#160;</td>
      </tr> 
      
    </xsl:otherwise>
  </xsl:choose>

  <!--fin<02/06/2008>-->  
 
</xsl:template>

<xsl:template name="StrSplit">
        <xsl:param name="str"/>
        <xsl:param name="moisRefCourant"/>

        <xsl:choose>
        <xsl:when test="contains($str,',')">
			<xsl:if test="$moisRefCourant = substring-before($str,',')">
				<div class="clBreakPage"/>
			</xsl:if>
             
            <xsl:call-template name="StrSplit">
        		<xsl:with-param name="str" select="substring-after($str,',')" />
		        <xsl:with-param name="moisRefCourant" select="$moisRefCourant"/>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
			<xsl:if test="$moisRefCourant = $str">
				<div class="clBreakPage"/>
			</xsl:if>
        </xsl:otherwise>
        </xsl:choose>
</xsl:template>


<xsl:template name="genGraph29">
	<xsl:if test="$condGraph1">
		<form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
			<input name="familyNumber" type="hidden" value="1"/>
			<input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
			<xsl:element name="input">
				<xsl:attribute name="name">GrapheData</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value">&lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
          <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
        </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE29/PM/EJ/IDENTS|FIBEN/PERSONNE/MODULE29/PM/EI/IDENTS|FIBEN/PERSONNE/MODULE29/PM/EI/IDENTC"/>&lt;/ident&gt;<xsl:if test="FIBEN/PERSONNE/MODULE29/PM/EJ">&lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE29/PM/EJ/DENOM"/>&lt;/nom&gt;</xsl:if><xsl:if test="FIBEN/PERSONNE/MODULE29/PM/EI">&lt;nom&gt;<xsl:call-template name ="displayInLowerCaseXsl">
          <xsl:with-param name ="InputStringNom" select ="(FIBEN/PERSONNE/MODULE29/PM/EI/IDENTITE/NOM)"/>
          <xsl:with-param name ="InputStringPrenom" select ="(FIBEN/PERSONNE/MODULE29/PM/EI/IDENTITE/PRENOM)"/>
        </xsl:call-template>&lt;/nom&gt;&lt;nomconj&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE29/PM/EI/IDENTITE/NOMCONJ"/>&lt;/nomconj&gt;<xsl:if test="FIBEN/PERSONNE/MODULE29/PM/EI/IDENTC">&lt;idrenv&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE29/PM/EI/IDRENV"/>&lt;/idrenv&gt;</xsl:if></xsl:if>&lt;graphe&gt;&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM">&lt;val&gt;<xsl:value-of select="MTIP"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM">&lt;val&gt;<xsl:value-of select="MTCC"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/SITRESM">&lt;val&gt;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
        </xsl:call-template>&lt;/val&gt;</xsl:for-each>&lt;/abcisse&gt;&lt;titre&gt;Incidents de paiement effets au cours des 15 derniers mois (en
          <xsl:call-template name ="displayUnitXsl">
          <xsl:with-param name ="InputUnit" select ="(FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/@UNITE)"/>
        </xsl:call-template>
         euros)&lt;/titre&gt;&lt;signet&gt;Situation rsume&lt;/signet&gt;&lt;unite&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE29/DIFF29/IPERESUME/@UNITE"/>&lt;/unite&gt;&lt;/graphe&gt;&lt;/FIBEN&gt;		
				</xsl:attribute>
			</xsl:element>
		</form>
	</xsl:if>
</xsl:template>

<xsl:template match="text()"/>

</xsl:stylesheet>

