<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
  <xsl:param name="Lang" select="''"/>
	<xsl:variable name="condGraph1" select="(//CREDITCT[position()=1] != 0)"/>  
	<xsl:variable name="condGraph2" select="(//CREDITMLT[position()=1] != 0)"/>
	<xsl:variable name="condGraph3" select="(//CREDITBM[position()=1] != 0) or (//CREDITBI[position()=1] != 0)" />
	<xsl:variable name="condGraph4" select="(//CREDITTOT6[position()=1] != 0)"/>
	<xsl:variable name="condGraph5" select="(//CREDITOC[position()=1] != 0) or (//CREDITOD[position()=1] != 0)"/>
	<xsl:variable name="condGraph6" select="(//CREDITAC[position()=1] != 0)"/>
	<xsl:variable name="condGraph" select="boolean($condGraph1 or $condGraph2 or $condGraph3 or $condGraph4 or $condGraph5 or $condGraph6)"/>
	<xsl:variable name="nbSurgroupes" select="count(//SURGROUPE)"/>	
		
<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE30/EJ/IDENTS"/>
		</xsl:call-template>
		<body  bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="genLigneConfidentiel" />
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">

					<tr>
						<td width="64"></td>
						<td width="739" colspan="4" class="clCouleur2" valign="top">
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE30/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE30/IST/ICB01|FIBEN/PERSONNE/MODULE30/IST/IST02|FIBEN/PERSONNE/MODULE30/IST/IST03|FIBEN/PERSONNE/MODULE30/IST/IST04|FIBEN/PERSONNE/MODULE30/IST/IST10|FIBEN/PERSONNE/MODULE30/IST/IST12|FIBEN/PERSONNE/MODULE30/IST/IST13|FIBEN/PERSONNE/MODULE30/IST/IST14|FIBEN/PERSONNE/MODULE30/IST/IST15|FIBEN/PERSONNE/MODULE30/IST/IST20" mode="genLib"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE30/IST/ICB02" mode="displayLib"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE30/IST/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE30/DIFF30"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE30/DIFF30LF"/>
						</td>
					</tr>

				</xsl:if>
			</table>
      <xsl:call-template name="genBasPage"/>

			<xsl:call-template name="genGraph30"/>
		</body>
	</html>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE30/EJ">
	<xsl:call-template name="genEnTete30">
		<xsl:with-param name="ident" select="IDENTS"/>
		<xsl:with-param name="nom" select="DENOM"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="ICB01|IST02|IST03|IST04|IST10|IST12|IST13|IST14|IST15|IST20" mode="genLib">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td class="clCouleur2">
				<xsl:apply-templates select="."/><br/>
			</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="ICB02" mode="displayLib">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="14"></td>
			<td class="clCouleur2" valign="top">
				<xsl:call-template name="traduction">
					<xsl:with-param name="code" select="'ICB02'"/>
				</xsl:call-template>&#160;
				<xsl:apply-templates select="." mode="displayAfterLibelle"/>
			</td>
		</tr>
		<tr>
			<td width="14"></td>
			<td><xsl:call-template name="shim"/></td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="DIFF30">
			
	<xsl:apply-templates select="NOMGROUP"/>
	
	<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30/SURGROUPE/EJ/IDENTS">
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr> 
				<td class="clCouleur2" height="12">&#160;Prsence de sur-groupe(s)</td>
			</tr>
			</table>
		<xsl:apply-templates select="SURGROUPE"/>
	</xsl:if>
	<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30/SOUSGROUPE/EJ/IDENTS">
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr> 
				<td class="clCouleur2" height="12">&#160;Prsence de sous-groupe(s)</td>
			</tr>
		</table>
		<xsl:apply-templates select="SOUSGROUPE"/>
	</xsl:if>
	
<!--	<xsl:apply-templates select="PERIMETRE30/NBFILIALES"/>	-->
	
	<xsl:apply-templates select="PERIMETRE30"/>
	
	<xsl:apply-templates select="@DATCENTR"/>

	<xsl:apply-templates select="BILTREGR"/>

	<xsl:if test="CONCOURS"><xsl:call-template name="CONCOURS" /></xsl:if>

	<xsl:apply-templates select="PERIMETRE30/ENTCONSO"/>

	<xsl:apply-templates select="PERIMETRE30/FILIALEIG1"/>

	<xsl:apply-templates select="PERIMETRE30/FILIALEIPME"/>

	<xsl:apply-templates select="PERIMETRE30/FILIALEIG2"/>
	<xsl:apply-templates select="EJ"/>
<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>

</xsl:template>

<xsl:template match="DIFF30LF">
	
	<xsl:if test="ASSOCIEMAJORITAIRE/EJ/IDENTS">
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td class="clCouleur2" colspan="2" height="12" valign="top">Associ majoritaire</td>
			</tr>
			<tr>
				<td colspan="2" height="5" />
			</tr>
			<tr>
				<td class="clFond" width="130" height="12">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="ASSOCIEMAJORITAIRE/EJ/IDENTS"/>
          </xsl:call-template>
        </td>
				<td width="505" class="clFond" height="12"><xsl:value-of select="ASSOCIEMAJORITAIRE/EJ/DENOM"/></td>
			</tr>
			<tr>
				<td colspan="2" width="100%" height="14" align="right" valign="middle"><a href="#nullepart" onClick="requestBDFInfos('27|30|','','1','{ASSOCIEMAJORITAIRE/EJ/IDENTS}',cstMultipleConfirm);"><img src="../images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" /></a></td>
			</tr>
		</table>
		
		<xsl:call-template name="shim"/><br/>
	</xsl:if>
	
	<xsl:apply-templates select="LIENSPARTICIPATION"/>
	
	<xsl:apply-templates select="@DATCENTR"/>

	<xsl:apply-templates select="BILTREGR"/>

	<xsl:if test="CONCOURS"><xsl:call-template name="CONCOURS" /></xsl:if>

	<xsl:apply-templates select="LIENSPARTICIPATION/ENTCONSO"/>

	<xsl:apply-templates select="LIENSPARTICIPATION/PARTICIPSUP1"/>

	<xsl:apply-templates select="LIENSPARTICIPATION/PARTICIPINF"/>

	<xsl:apply-templates select="LIENSPARTICIPATION/PARTICIPSUP2"/>
	<xsl:apply-templates select="EJ"/>
	<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
</xsl:template>

<xsl:template match="NOMGROUP">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td class="clCouleur2" width="130" height="12">&#160;Nom du groupe</td>
			<td width="505" class="clFond" height="12">&#160;<xsl:value-of select="."/>	</td>
		</tr>
	</table>
      <xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="SURGROUPE|SOUSGROUPE">
	<table width="635" border="0" cellspacing="0" cellpadding="0">

		<xsl:choose>
			<xsl:when test="name(.)='SURGROUPE'">
				<xsl:if test="(((position()-1) mod 20) = 0) and (position()!=1)">
					<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="((((position()-1)+$nbSurgroupes) mod 20) = 0) and (position()!=1)">
					<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>

		<tr>
      <td class="clFond" width="130" height="12">
        &#160;<xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(./EJ/IDENTS)"/>
        </xsl:call-template>
      </td>	
			<td width="505" class="clFond" height="12">&#160;<xsl:value-of select="EJ/DENOM"/></td>
		</tr>
		<tr> 
			<td colspan="2" width="100%" height="14" align="right" valign="middle">
				<a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{EJ/IDENTS}',cstMultipleConfirm);"><img src="../images/Commun/clignotant2.gif" width="85" 	height="12" border="0" align="absbottom" /></a>
			</td>
		</tr>
		<xsl:choose>
			<xsl:when test="name(.)='SURGROUPE'">
				<xsl:if test="(((position()-1) mod 20) = 0) and (position()!=1)">
					<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="((((position()-1)+$nbSurgroupes) mod 20) = 0) and (position()!=1)">
					<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>

	</table>
		<xsl:if test="position()=last()">
	    	<xsl:call-template name="shim"/><br/>
		</xsl:if>
	</xsl:template>

<xsl:template match="PERIMETRE30">
<div class="clBreakPage" />
	 <table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="175" class="clCouleur2" height="15">Primtre collect complet </td>
			<td width="60" class="clFond" align="right" height="15"><xsl:value-of select="@PERIMCPL"/></td>
			<td width="60" class="clCouleur2" align="right" height="15">au</td>
      <td width="60" class="clFond" align="right" height="15">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(@DATPERI)"/>
        </xsl:call-template>
      </td>
			<td width="280" colspan="4" height="15"></td>
			<td class="clCouleur2"></td>
		</tr>
		<xsl:apply-templates select="NBFILIALES"/>
	</table>
      <xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="LIENSPARTICIPATION">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="500"  class="clCouleur2" height="15">Nombre de participations</td>
			<td width="60" class="clFond" align="right" height="15"><xsl:value-of select="NBPARTICIPATION30/NBPARTICIPATIONTOTAL"/></td>
			<td width="75" class="clCouleur2" height="15"></td>
		</tr>
		<tr>
			<td width="500"  class="clCouleur2" height="15">Nombre de participations dtenues  plus de 50%</td>
			<td width="60" class="clFond" align="right" height="15"><xsl:value-of select="NBPARTICIPATION30/NBPARTICIPATIONSUP"/></td>
			<td width="75" class="clCouleur2" height="15"></td>
		</tr>
		<tr>
			<td width="500"  class="clCouleur2" height="15">Nombre de participations incluses dans le calcul des concours bancaires cumuls (1)</td>
			<td width="60" class="clFond" align="right" height="15"><xsl:value-of select="NBPARTICIPATION30/NBPARTICIPATIONSUPCB"/></td>
			<td width="75" class="clCouleur2" height="15"></td>
		</tr>
		<tr>
			<td colspan="3" height="10"></td>
		</tr>
		<tr>
			<td colspan="3" class="clItalic" width="635">(1) Seules les entits dtenues  plus de 50% sont incluses dans le calcul des concours bancaires cumuls sur les treize derniers mois</td>
		</tr>
	</table>
	
	<xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="NBFILIALES">
	<tr>
		<td width="455" colspan="5" class="clCouleur2" height="15"></td>
		<td width="60" class="clCouleur2" align="right" height="15">IG</td>
		<td width="60" class="clCouleur2" align="right" height="15">IP</td>
		<td width="60" class="clCouleur2" align="right" height="15">ME</td>
		<td class="clCouleur2"></td>
	</tr>
  <tr>
    <td width="235" colspan="2" class="clCouleur2" height="15">Nombre de filiales consolides</td>
    <td width="60" class="clFond" align="right" height="15">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(NBFILTOT)"/>
      </xsl:call-template>
    </td>
    <td width="60" height="15"></td>
    <td width="100" class="clCouleur2" height="15">rparties en (1)</td>
    <td width="60" class="clFond" align="right" height="15">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(NBFILIG)"/>
      </xsl:call-template>
    </td>
    <td width="60" class="clFond" align="right" height="15">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(NBFILIP)"/>
      </xsl:call-template>
    </td>
    <td width="60" class="clFond" align="right" height="15">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(NBFILME)"/>
      </xsl:call-template>
    </td>
    <td class="clCouleur2"></td>
  </tr>
	<tr>
		<td width="455" colspan="5" class="clCouleur2" height="15">Nombre de filiales incluses dans le calcul des concours bancaires cumuls</td>
    <td width="60" class="clFond" align="right" height="15">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(NBFILIG1)"/>
      </xsl:call-template>
    </td>
	</tr>
	<tr>
		<td colspan="7" height="10"></td>
	</tr>
	<tr>
	  <td colspan="8" class="clItalic" width="635">(1) Seules les entits 
	    en intgration globale sont incluses dans le calcul des concours bancaires 
	    cumuls sur les treize derniers mois</td>
	</tr>
	<tr><td colspan="7" class="clItalic">&#160; </td></tr>
	<tr><td colspan="7" class="clItalic">IG : Filiale consolide selon la mthode de l'intgration globale</td></tr>
	<tr><td colspan="7" class="clItalic">IP : Filiale consolide selon la mthode de l'intgation proportionnelle</td></tr>
	<tr><td colspan="7" class="clItalic">ME : Filiale consolide selon la mthode de la mise en quivalence</td></tr>
</xsl:template>

<xsl:template match="@DATCENTR">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td class="clCouleur2" width="200" height="12">&#160;DERNIRE CENTRALISATION AU</td>
      <td width="200" class="clFond" height="12">
        <div align="right">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </div>
      </td>
			<td width="235" class="clCouleur2" height="12" align="center"> 
				<div align="right">&#160;&#160;(en milliers d'euros)</div>
			</td>
		</tr>
	</table>
      <xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="BILTREGR">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td class="clCouleur2" width="200">BILLETS DE TRSORERIE AU</td>
      <td width="200" class="clFond">
        <div align="right">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(./@MOISREF)"/>
          </xsl:call-template>
        </div>
      </td>
			<td width="117" class="clCouleur2" align="right">MONTANT</td>
      <td width="118" class="clFond">
        <div align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>
          <xsl:if test="string-length(.)=0">0</xsl:if>
        </div>
      </td>
		</tr>
		<tr>
			<td class="clCouleur2" width="200" colspan="4" height="10"> </td>
		</tr>
		<tr>
			<td  class="clCouleur2" colspan="2" width="400">Moyenne des billets de trsorerie sur les treize derniers mois</td>
			<td width="117" class="clCouleur2" align="right"> </td>
      <td width="118" class="clFond">
        <div align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(./@MOYENNE)"/>
          </xsl:call-template>
        </div>
      </td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	
</xsl:template>

<!--DTAILS DES CONCOURS BANCAIRES-->

<xsl:template name="CONCOURS">

	<div class="clBreakPage"/>

	<table width="737" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">
				<a name="concours">DTAIL DES CONCOURS BANCAIRES CUMULS SUR LES TREIZE DERNIERS MOIS</a>	
			</td>
			<td align="right" width="102">
				<xsl:call-template name="fleche_haut"/>
			</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	<table width="739" border="0"  cellspacing="0" cellpadding="0">
		<tr>
			<xsl:apply-templates select="CONCOURS/@MOISREF"/>
			<xsl:apply-templates select="CONCOURS/CREDITCO"/>
		</tr>
		<tr>
			<td colspan="11" class="clItalic">NA : non applicable</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	
	<table width="739" border="0"  cellspacing="0" cellpadding="0">
		<tr>
			<xsl:apply-templates select="CONCOURS/@MOISREF"/>
			<xsl:apply-templates select="CONCOURS/CREDITMLT"/>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
		<div class="clBreakPage"/>
	<table width="739" border="0"  cellspacing="0" cellpadding="0">
		<tr>
			<xsl:apply-templates select="CONCOURS/@MOISREF"/>
			<xsl:apply-templates select="CONCOURS/CREDITOC"/>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	<div class="clBreakPage"/>
</xsl:template>

<xsl:template match="@MOISREF">
	<xsl:if test="position()=1">
		<xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
		<tr>
			<td width="45" height="20" class="clCouleur2"></td>
		</tr>
		<tr>
			<td width="45" height="25" class="clCouleur2"></td>
		</tr>
		<tr>
			<td width="45" height="45" class="clCouleur2"></td>
		</tr>
		<tr>
			<td width="45" class="clItalic" valign="bottom" align="center" height="5"></td>
		</tr>
	</xsl:if>
	<xsl:if test="position() mod 2 != 0">
		<tr>
			<td  width="45" class="clFond" align="right" height="15">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>
      </td>
		</tr>
	</xsl:if>
	<xsl:if test="position() mod 2 = 0">
		<tr>
			<td  width="45" class="clTexte" align="right" height="15">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>
      </td>
		</tr>
	</xsl:if>
	<xsl:if test="position()=last()">

		<tr>
			<td  width="45" class="clItalic" align="right" height="15" >&#160;</td>
		</tr>
		<tr>
			<td   width="45" class="clFond" align="right" height="15"><b>Moyenne</b></td>
		</tr>
		<tr>
			<td height="1" width="45" class="clItalic">&#160; </td>
		</tr>
		<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
	</xsl:if>
</xsl:template>

<!--CREDIT COURT-->

<xsl:template match="CREDITCO">
	<xsl:if test="position()=1">
		<xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
		<a name="credit_ct"></a>
		<xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
			<tr>
				<td height="20"  width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">CREDITS MOBILISES</td>
				<td width="114"></td>
			</tr>
			<tr> 
				<td height="25" width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">Court terme
					<xsl:if test="$condGraph1">
						<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe1';window.document.forms['FormGraphes'].submit	();">
							<img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
						</a>
					</xsl:if>
					<xsl:if test="not($condGraph1)">
						<img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
					</xsl:if>				
				</td>
				
			</tr>
			<tr>
				<td height="30" width="108" class="clCouleur2" align="right" valign="top">Cptes ordinaires dbiteurs<br/>(CO)</td>
				<td width="10"></td>
				<td width="108" class="clCouleur2" align="right" valign="top">Crances commerciales<br/>(CC)</td>
				<td width="10"></td>
				<td width="108" class="clCouleur2" align="right" valign="top">Affacturage<br/>(AF)</td>
				<td width="10" class="clCouleur2">&#160;</td>
				<td width="108" class="clCouleur2" align="right" valign="top">Autres crdits  court terme<br/>(CA)</td>
				<td width="10" class="clCouleur2" valign="bottom" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/></td>
				<td width="108" class="clCouleur2" align="right" valign="top">Total court terme <br/>[I] </td>
				<td width="114" align="right"></td>
			</tr>
			<tr>
				<td colspan="7" class="clItalic"></td>
				<td width="10" class="clItalic" valign="bottom" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/></td>
				<td colspan="2" class="clItalic"></td>
			</tr>
	</xsl:if>
	<xsl:if test="position() mod 2 != 0">
		<tr>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="10" class="clFond" align="right">&#160;</td>
			<td width="108" class="clFond" align="right"><xsl:apply-templates select="../CREDITCC"/>&#160;</td>
			<td width="10" class="clFond" align="right">&#160;</td>
			<td width="108" class="clFond" align="right"><xsl:apply-templates select="../CREDITAF"/>&#160;</td>
      <td width="10" class="clFond" align="right">&#160;</td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITCA)"/>
        </xsl:call-template>&#160;
      </td>
			<td width="10" class="clFond" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITCT)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="114"></td>
	        </tr>
	</xsl:if>
	<xsl:if test="position() mod 2 = 0">
    <tr>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clTexte" align="right">&#160;</td>
      <td width="108" class="clTexte" align="right">
        <xsl:apply-templates select="../CREDITCC"/>&#160;
      </td>
      <td width="10" class="clTexte" align="right">&#160;</td>
      <td width="108" class="clTexte" align="right">
        <xsl:apply-templates select="../CREDITAF"/>&#160;
      </td>
      <td width="10" class="clTexte" align="right">&#160;</td>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITCA)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10"  class="clTexte" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITCT)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="114"></td>
    </tr>
	</xsl:if>
	<xsl:if test="position()=last()">
		<tr>
			<td width="462" colspan="7" class="clItalic"></td>
			<td width="10" class="clItalic" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
			<td width="108" class="clItalic" align="right"></td>
			<td width="114"></td>
		</tr>
    <tr>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITCO)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="right">&#160;</td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITCC)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="right">&#160;</td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITAF)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="right">&#160;</td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITCA)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITCT)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="114"></td>
    </tr>
		<tr>
			<td height="1" colspan="10" class="clItalic">&#160; </td>
		</tr>
		
		<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
	</xsl:if>
</xsl:template>

<!--CREDIT MOYEN ET LONG TERME-->

<xsl:template match="CREDITMLT">

	<xsl:if test="position()=1">
	 
		<xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
			
			<tr>
				<xsl:if test="($condGraph2)">
					<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true"><a name="credit_mlt"/>Moyen 
						<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe2';window.document.forms['FormGraphes'].submit	();">
						<img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a><br/> et long terme<br/>(TE+TA)<br/>[II]</td>
				</xsl:if>
				<xsl:if test="not($condGraph2)">
					<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true"><a name="credit_mlt"/>Moyen 
						<img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/> et long terme<br/>(TE+TA)<br/>[II]</td>
				</xsl:if>	
				<td width="10" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/></td>
				<xsl:if test="($condGraph3)">
					<td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true"><a name="credit_b">Crdits-bails
						<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe3';window.document.forms['FormGraphes'].submit	();">
						<img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a></a></td>
				</xsl:if>
				<xsl:if test="not($condGraph3)">
					<td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true"><a name="credit_b">Crdits-bails
						
						<img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/></a></td>
				</xsl:if>
					<td width="10" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/></td>
					<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true"><a name="credit_titr"/>Titriss<br/>(IT)<br/>[V]</td>
					<td width="10"  align="center"><img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/></td>
				<xsl:if test="($condGraph4)">
					<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
						Total <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe4';window.document.forms['FormGraphes'].submit();"><img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a><br/>
						des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]</td>
				</xsl:if>
				<xsl:if test="not($condGraph4)">
					<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
						Total <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/>
						des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]</td>
				</xsl:if>
				
				<td  align="right" width="114"><a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/></a></td>
			</tr>
			<tr>
				<td width="10" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/></td>
				<td width="108" class="clCouleur2" align="right" valign="middle">Mobiliers (BM)<br/>[III]</td>
				<td width="10" class="clCouleur2" align="center">&#160;</td>
				<td width="108" class="clCouleur2" align="right" valign="middle">Immobiliers (BI)<br/>[IV]</td>
				<td width="10"  align="center"><img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/></td>
				<td width="10"  align="center"><img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/></td>
				<td width="114" ></td>
			</tr>
			<tr>
				<td width="108" class="clItalic"></td>
				<td width="10" class="clItalic" valign="bottom" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
				<td width="226" colspan="3" class="clItalic">&#160;</td>
				<td width="10" class="clItalic" valign="bottom" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td> 
				<td width="108" class="clItalic"></td>
				<td width="10" class="clItalic" valign="bottom" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
				<td colspan="2" class="clItalic"></td>
			</tr>
		</xsl:if>
	
	<xsl:if test="position() mod 2 != 0">
    <tr>

      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITBM)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond">&#160;</td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITBI)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTIT)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTOT6)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="114"></td>
    </tr>
	</xsl:if>
	<xsl:if test="position() mod 2 = 0">
    <tr>

      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clTexte" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITBM)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clTexte">&#160;</td>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITBI)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clTexte"  align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTIT)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clTexte"  align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTOT6)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="114"></td>
    </tr>
	 </xsl:if>
	<xsl:if test="position()=last()">
			<tr>
				<td width="108" class="clItalic"></td>
				<td width="10" class="clItalic" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
				<td width="226" colspan="3" class="clItalic">&#160;</td>
				<td width="10" class="clItalic" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td> 
				<td width="108" class="clItalic"></td>
				<td width="10" class="clItalic" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
				<td colspan="2" class="clItalic"></td>
			</tr>
    <tr>

      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITMLT)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITBM)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="right">&#160;</td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITBI)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITTIT)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
      </td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITTOT6)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="114"></td>
    </tr>
		<tr>
			<td height="1" colspan="10" class="clItalic">&#160;</td>
		</tr>
		
		<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
	</xsl:if>
</xsl:template>





<!-- CREDIT MOBILISABLE -->

<xsl:template match="CREDITOC">
	<xsl:if test="position()=1">
		<xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
		<tr>
				<xsl:if test="($condGraph5)">
					<td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true"><a name="credit_mobilisable">CREDITS MOBILISABLES
						<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe5';window.document.forms['FormGraphes'].submit	();">
						<img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a></a></td>
				</xsl:if>
				<xsl:if test="not($condGraph5)">
					<td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true"><a name="credit_mobilisable">CREDITS MOBILISABLES
						
						<img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/></a></td>
				</xsl:if>
			<td width="10" valign="bottom" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/></td>
			<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">Total crdits mobiliss et mobilisables [VIII]<br/>
			    [VI]+[VII]</td>
			<td width="10" valign="bottom" align="center" rowspan="2"><img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/></td>
			<xsl:if test="($condGraph6)">
				<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true"><a name="credit_eg"></a>
					ENGAGEMENTS DE GARANTIE<br/>
					(AC)<br/>
					<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe6';window.document.forms['FormGraphes'].submit	();">
					<img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a></td>
			</xsl:if>
			<xsl:if test="not($condGraph6)">
				<td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true"><a name="credit_eg"></a>
					ENGAGEMENTS DE GARANTIE<br/>
					(AC)<br/>
					
					<img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/></td>
			</xsl:if>
			<td width="114" align="right"><a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/></a></td>
		</tr>
		<tr>
			<td class="clCouleur2" width="108" align="right" valign="middle">Partie disponible des crdits mobilisables<br/>(OC)</td>
			<td width="10"></td>
			<td class="clCouleur2" width="108" align="right" valign="middle">Crdits documentaires<br/>(OD)</td>
			<td width="10" valign="bottom" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/></td>
			<td class="clCouleur2" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
			<td width="10" valign="bottom" align="center"><img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/></td>
			<td width="114"></td>
		</tr>
		<!--tr>
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic"></td>
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic" valign="bottom" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="1" vspace="0"/></td> 
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic" valign="bottom" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="1" vspace="0"/></td>
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic" valign="bottom" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="1" vspace="0"/></td>
			<td colspan="2" class="clItalic"></td>
		</tr-->
	</xsl:if> 
	<xsl:if test="position() mod 2 != 0">
    <tr>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond">&#160;</td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITOD)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond" valign="bottom" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTOT7)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond" valign="bottom" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTOT8)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="clFond" valign="bottom" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITAC)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="114"></td>
    </tr>
	</xsl:if>
	<xsl:if test="position() mod 2 = 0">
    <tr>
      <td width="108" class="cltexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10" class="cltexte">&#160;</td>
      <td width="108" class="cltexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITOD)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10"  class="cltexte" valign="bottom" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="cltexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTOT7)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10"  class="cltexte" valign="bottom" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="cltexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITTOT8)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="10"  class="cltexte" valign="bottom" align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clTexte" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(../CREDITAC)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="114"></td>
    </tr>
	</xsl:if>
	<xsl:if test="position()=last()">
		<tr>
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic" align="center"></td>
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td> 
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
			<td width="108" class="clItalic"></td>
			<td width="10" class="clItalic" align="center"><img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/></td>
			<td colspan="2" class="clItalic"></td>
		</tr>
    <tr>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITOC)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="center"></td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITOD)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond" align="center">
        <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITTOT7)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond"  align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITTOT8)"/>
          </xsl:call-template>
        </b>&#160;
      </td>
      <td width="10" class="clFond"  align="center">
        <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
      </td>
      <td width="108" class="clFond" align="right">
        <b>
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../../MOYENNES/CREDITAC)"/>
          </xsl:call-template>
          </b>&#160;
      </td>
      <td width="114"></td>
    </tr>
		<tr>
			<td height="1" colspan="10" class="clItalic">&#160;</td>
		</tr>
		<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="ENTCONSO">
	<table width="635" border="0"  cellspacing="0" cellpadding="0">
		<tr align="center"> 
			<td class="clCouleur2"><a name="consolidante">
			<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30">SOCIT CONSOLIDANTE</xsl:if>
			<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30LF">ENTREPRISE INTERROGE</xsl:if></a></td>
		</tr>
    </table>
	<xsl:call-template name="shim"/><br/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td colspan="3" height="6"></td>
		</tr>
		<tr>
      <td width="139" class="clFond">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(./EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
			<td width="247" class="clFond"><xsl:value-of select="./EJ/DENOM"/></td>
			<td width="169" class="clFond"><xsl:value-of select="./LOCALI"/></td>
		
			
		</tr>
	</table>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td  class="clCouleur2" width="470">Moyenne des crdits mobiliss sur les treize derniers mois (Total [VI])</td>
      <td class="clfond" width="75" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(./@CREDMOY)"/>
        </xsl:call-template>
      </td>
			<td width="90" height="14" colspan="4" align="right"><a href="#nullepart" onClick="requestBDFInfos('28|66|67|','','5','{EJ/IDENTS}',cstMultipleConfirm);"><img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/></a></td>
		</tr>
	</table>
      <xsl:call-template name="shim"/><br/>
      <xsl:if test="position() = last()">
		<div class="clBreakPage"/>
	  </xsl:if>		
</xsl:template>

<xsl:template match="FILIALEIG1">
	<xsl:if test="position()=1">
		<table width="737" border="0"  cellspacing="0" cellpadding="0">
			<tr align="center"> 
				<td class="clCouleur2"><a name="IG">FILIALES EN INTGRATION GLOBALE (<xsl:value-of select="count(/FIBEN/PERSONNE/MODULE30/DIFF30/PERIMETRE30/FILIALEIG1)"/>) </a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</tr>
	      </table>
	      <xsl:call-template name="shim"/><br/>
	</xsl:if>

	<table width="635" border="0" cellspacing="0" cellpadding="0">
		
		<xsl:if test="((position()-1) mod 15 = 0) and (position()!=1)">
			<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
			
		</xsl:if>
		<xsl:if test="not((position()-1) mod 15 = 0) and (position()!=1)">
			<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
		</xsl:if>
			<td colspan="3" height="6"></td>
		<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
		<tr>
      <td width="139" class="clFond">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
			<td width="247" class="clFond"><xsl:value-of select="EJ/DENOM"/></td>
			<td width="249" class="clFond"><xsl:value-of select="LOCALI"/></td>
		</tr>
	
			
	</table>

	<table width="737" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td  class="clCouleur2" width="470">Moyenne des crdits mobiliss sur les treize derniers mois (Total [VI])</td>
      <td class="clfond" width="75" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(@CREDMOY)"/>
        </xsl:call-template>
      </td>
      <xsl:call-template name ="isFrenchLocali2">
        <xsl:with-param name ="Locali" select ="LOCALI"/>
      </xsl:call-template>
            
      
		<xsl:if test="position() mod 10 != 0">
			<td width="102">&#160;</td>
		</xsl:if>
		<xsl:if test="position() mod 10 = 0">
			<td align="right" width="102">
				<xsl:call-template name="fleche_haut"/>
			</td>
		</xsl:if>
		</tr>
	</table>
      <xsl:call-template name="shim"/><br/>
   

</xsl:template>

<xsl:template match="FILIALEIPME">
	<xsl:if test="position()=1">
	<div class="clBreakPage" />

		      <table width="737" border="0"  cellspacing="0" cellpadding="0">
		
				<tr align="center"> 
				<td class="clCouleur2"><a name="autres_filiales">FILIALES N'ENTRANT PAS DANS LE CALCUL DES CONCOURS BANCAIRES DU GROUPE (<xsl:value-of select="count(/FIBEN/PERSONNE/MODULE30/DIFF30/PERIMETRE30/FILIALEIPME)"/>) </a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</tr>
			
	      </table>
	      <xsl:call-template name="shim"/><br/>
	</xsl:if>
	<table width="737" border="0" cellspacing="0" cellpadding="0">
		<xsl:if test="((position()-1) mod 15 = 0) and (position() !=1) ">
			 <xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="not((position()-1) mod 15 = 0) and (position() !=1) ">
			<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
		</xsl:if>
			<td colspan="5" height="6"></td>
		<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
		<tr>
      <td width="139" class="clFond">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
			<td width="247" class="clFond"><xsl:value-of select="EJ/DENOM"/></td>
			<td width="241" class="clFond"><xsl:value-of select="LOCALI"/></td>
			<td width="45" class="clFond" align="right"><xsl:value-of select="@MODCONSO"/></td>
		<xsl:if test="position() mod 10 != 0">
			<td width="102">&#160;</td>
		</xsl:if>
		<xsl:if test="position() mod 10 = 0">
			<td align="right" width="102">
				<xsl:call-template name="fleche_haut"/>
			</td>
		</xsl:if>
		</tr>
		
	</table>
  <xsl:call-template name ="isFrenchLocali3">
    <xsl:with-param name ="Locali" select ="LOCALI"/>
  </xsl:call-template>
  
	<!--<xsl:if test="bdf:isFrenchLocali(LOCALI)='true'">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td  class="clCouleur2" width="535"></td>
			<td width="90" height="14" colspan="4" align="right"><a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);"><img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/></a></td>
		</tr>
	</table>
	</xsl:if>-->
      <xsl:call-template name="shim"/><br/>
 
</xsl:template>

<xsl:template match="FILIALEIG2">
	<xsl:if test="position()=1">
	<div class="clBreakPage" />

	      <table width="737" border="0"  cellspacing="0" cellpadding="0">
			
				<tr align="center"> 
				<td class="clCouleur2"><a name="sans_concours">FILIALES EN INTEGRATION GLOBALE SANS CONCOURS BANCAIRES (<xsl:value-of select="count(/FIBEN/PERSONNE/MODULE30/DIFF30/PERIMETRE30/FILIALEIG2)"/>)  </a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</tr>
			
	      </table>
	     <!-- <xsl:call-template name="shim"/><br/>-->
	</xsl:if>
	<table width="737" border="0" cellspacing="0" cellpadding="0">
		<xsl:if test="((position()-1) mod 20 = 0) and (position() !=1) ">
			<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="not((position()-1) mod 20 = 0) and (position() !=1) ">
			<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
		</xsl:if>
			<td colspan="4" height="6"></td>
		<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
		<tr>
      <td width="139" class="clFond">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
			<td width="247" class="clFond"><xsl:value-of select="EJ/DENOM"/></td>
			<td width="249" class="clFond"><xsl:value-of select="LOCALI"/></td>
		<xsl:if test="position() mod 10 != 0">
			<td width="102">&#160;</td>
		</xsl:if>
		<xsl:if test="position() mod 10 = 0">
			<td align="right" width="102">
				<xsl:call-template name="fleche_haut"/>
			</td>
		</xsl:if>
		</tr>
	<xsl:call-template name="shim"/><br/>
	
	</table>
     <xsl:if test="position()=last()">
		<xsl:call-template name="shim"/><br/>	
	</xsl:if>
</xsl:template>

<xsl:template match="PARTICIPSUP1">
	<xsl:if test="position()=1">
		<table width="737" border="0"  cellspacing="0" cellpadding="0">
			<tr align="center"> 
				<td class="clCouleur2">
				<a name="SUP1">PARTICIPATIONS DETENUES &#192; PLUS DE 50% AYANT DES CONCOURS BANCAIRES (<xsl:value-of select="count(/FIBEN/PERSONNE/MODULE30/DIFF30LF/LIENSPARTICIPATION/PARTICIPSUP1)"/>) </a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</tr>
	      </table>
	      <xsl:call-template name="shim"/><br/>
	</xsl:if>

	<table width="635" border="0" cellspacing="0" cellpadding="0">
		
		<xsl:if test="((position() mod 15) = 0) and (position()!=1)">
			<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
			
		</xsl:if>
		<xsl:if test="not((position() mod 15) = 0) and (position()!=1)">
			<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
		</xsl:if>
			<td colspan="3" height="6"></td>
		<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
		<tr>
      <td width="139" class="clFond">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
			<td width="247" class="clFond"><xsl:value-of select="EJ/DENOM"/></td>
			<td width="249" class="clFond"><xsl:value-of select="LOCALI"/></td>
		</tr>
	</table>
	
	<table width="737" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td  class="clCouleur2" width="470">Moyenne des crdits mobiliss sur les treize derniers mois (Total [VI])</td>
      <td class="clfond" width="75" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(@CREDMOY)"/>
        </xsl:call-template>
      </td>

      <xsl:call-template name ="isFrenchLocali2">
        <xsl:with-param name ="Locali" select ="LOCALI"/>
      </xsl:call-template>
      
    
		<xsl:if test="position() mod 10 != 0">
			<td width="102">&#160;</td>
		</xsl:if>
		<xsl:if test="position() mod 10 = 0">
			<td align="right" width="102">
				<xsl:call-template name="fleche_haut"/>
			</td>
		</xsl:if>
		</tr>
	</table>
	
      <xsl:call-template name="shim"/><br/>

</xsl:template>

  
  
  
  
  
<xsl:template match="PARTICIPINF">
	<xsl:if test="position()=1">
	<div class="clBreakPage" />

		      <table width="737" border="0"  cellspacing="0" cellpadding="0">
		
				<tr align="center"> 
				<td class="clCouleur2"><a name="INF">PARTICIPATIONS DETENUES &#192; MOINS DE 50% (<xsl:value-of select="count(/FIBEN/PERSONNE/MODULE30/DIFF30LF/LIENSPARTICIPATION/PARTICIPINF)"/>) </a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</tr>
			
	      </table>
	      <xsl:call-template name="shim"/><br/>
	</xsl:if>
	<table width="737" border="0" cellspacing="0" cellpadding="0">
		<xsl:if test="((position()-1) mod 15 = 0) and (position() !=1) ">
			 <xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="not((position()-1) mod 15 = 0) and (position() !=1) ">
			<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
		</xsl:if>
			<td colspan="5" height="6"></td>
		<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
		<tr>
			<td width="139" class="clFond"><xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
      </xsl:call-template>
    </td>
			<td width="247" class="clFond"><xsl:value-of select="EJ/DENOM"/></td>
			<td width="241" class="clFond"><xsl:value-of select="LOCALI"/></td>
			<td width="45" class="clFond" align="right"></td>
		<xsl:if test="position() mod 10 != 0">
			<td width="102">&#160;</td>
		</xsl:if>
		<xsl:if test="position() mod 10 = 0">
			<td align="right" width="102">
				<xsl:call-template name="fleche_haut"/>
			</td>
		</xsl:if>
		</tr>
		
	</table>
  <xsl:call-template name ="isFrenchLocali3">
    <xsl:with-param name ="Locali" select ="LOCALI"/>
  </xsl:call-template>
	<!--<xsl:if test="bdf:isFrenchLocali(LOCALI)='true'">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td  class="clCouleur2" width="535"></td>
			<td width="90" height="14" colspan="4" align="right"><a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);"><img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/></a></td>
		</tr>
	</table>
	</xsl:if>-->
      <xsl:call-template name="shim"/><br/>
 
</xsl:template>

<xsl:template match="PARTICIPSUP2">
	<xsl:if test="position()=1">
	<div class="clBreakPage" />

	      <table width="737" border="0"  cellspacing="0" cellpadding="0">
			
				<tr align="center"> 
				<td class="clCouleur2"><a name="SUP2">PARTICIPATIONS DETENUES &#192; PLUS DE 50% SANS CONCOURS BANCAIRE (<xsl:value-of select="count(/FIBEN/PERSONNE/MODULE30/DIFF30LF/LIENSPARTICIPATION/PARTICIPSUP2)"/>)  </a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</tr>
			
	      </table>
	     <!-- <xsl:call-template name="shim"/><br/>-->
	</xsl:if>
	<table width="737" border="0" cellspacing="0" cellpadding="0">
		<xsl:if test="((position()-1) mod 20 = 0) and (position() !=1) ">
			<xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="not((position()-1) mod 20 = 0) and (position() !=1) ">
			<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
		</xsl:if>
			<td colspan="4" height="6"></td>
		<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
		<tr>
			<td width="139" class="clFond"><xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
      </xsl:call-template>
    </td>
			<td width="247" class="clFond"><xsl:value-of select="EJ/DENOM"/></td>
			<td width="249" class="clFond"><xsl:value-of select="LOCALI"/></td>
		<xsl:if test="position() mod 10 != 0">
			<td width="102">&#160;</td>
		</xsl:if>
		<xsl:if test="position() mod 10 = 0">
			<td align="right" width="102">
				<xsl:call-template name="fleche_haut"/>
			</td>
		</xsl:if>
		</tr>
	<xsl:call-template name="shim"/><br/>
	
	</table>
     <xsl:if test="position()=last()">
		<xsl:call-template name="shim"/><br/>	
	</xsl:if>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE30/IST/EJ">
	<xsl:if test="position()=1">
	      <table width="737" border="0"  cellspacing="0" cellpadding="0">
			<tr align="center" class="clBreakPage"> 
				<td class="clCouleur2"><a name="consolidant">SOCIT(S) CONSOLIDANT L'ENTREPRISE</a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>	
			</tr>
	      </table>
	      <xsl:call-template name="shim"/><br/>
	</xsl:if>
	<table width="737" border="0" cellspacing="0" cellpadding="0">

		<tr>
			<td width="130" class="clFond" height="14"><xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(IDENTS)"/>
      </xsl:call-template>
    </td>
			<td width="425" class="clFond" height="14"><xsl:value-of select="DENOM"/></td>
      <td width="80" class="clFond">
        au <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(@DATPERI)"/>
        </xsl:call-template>
      </td>
			<xsl:if test="position() mod 10 != 0">
				<td width="102">&#160;</td>
			</xsl:if>	
			<xsl:if test="position() mod 10 = 0">
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</xsl:if>
		</tr>
		<tr> 
			<td colspan="3" width="635" align="right" valign="middle">
				<a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{IDENTS}',cstMultipleConfirm);"><img src="../images/Commun/clignotant2.gif" width="85" 	height="12" border="0" align="absbottom" /></a>
			</td>
			<td width="102">&#160;</td>
		</tr>
	</table>
	<xsl:if test="position()=last()">
		<xsl:call-template name="shim"/><br/>
	</xsl:if>
</xsl:template>
<xsl:template match="EJ">
	<xsl:if test="position()=1">
	      <table width="737" border="0"  cellspacing="0" cellpadding="0">
			<tr align="center" class="clBreakPage"> 
				<td class="clCouleur2"><a name="consolidant">SOCIT(S) CONSOLIDANT L'ENTREPRISE</a></td>
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>	
			</tr>
	      </table>
	      <xsl:call-template name="shim"/><br/>
	</xsl:if>
	<table width="737" border="0" cellspacing="0" cellpadding="0">

		<tr>
			<td width="130" class="clFond" height="14"><xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(IDENTS)"/>
      </xsl:call-template>
    </td>
			<td width="425" class="clFond" height="14"><xsl:value-of select="DENOM"/></td>
      <td width="80" class="clFond">
        au <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(@DATPERI)"/>
        </xsl:call-template>
      </td>
			<xsl:if test="position() mod 10 != 0">
				<td width="102">&#160;</td>
			</xsl:if>	
			<xsl:if test="position() mod 10 = 0">
				<td align="right" width="102">
					<xsl:call-template name="fleche_haut"/>
				</td>
			</xsl:if>
		</tr>
		<tr> 
			<td colspan="3" width="635" align="right" valign="middle">
				<a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{IDENTS}',cstMultipleConfirm);"><img src="../images/Commun/clignotant2.gif" width="85" 	height="12" border="0" align="absbottom" /></a>
			</td>
			<td width="102">&#160;</td>
		</tr>
	</table>
	<xsl:if test="position()=last()">
		<xsl:call-template name="shim"/><br/>
	</xsl:if>
</xsl:template>

  <!--isFrenchLocali2-->
  <xsl:template name ="isFrenchLocali2">
    <xsl:param name ='Locali'/>
    <xsl:variable name ='CodeLocali' select ='(substring ($Locali,1,2))'/>
    <xsl:choose>
      <xsl:when test ="string-length($CodeLocali)= 0">
        <td width="90" height="14" colspan="4" align="right">
          <a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);">
            <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
          </a>
        </td>
      </xsl:when>
      <xsl:when test ="(number($CodeLocali)&gt; 1 ) and (number($CodeLocali)&lt; 98)">
        <td width="90" height="14" colspan="4" align="right">
          <a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);">
            <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
          </a>
        </td>
      </xsl:when>
      <xsl:when test ="($CodeLocali='MC') or (CodeLocali='2A') or (CodeLocali='2B')">
        <td width="90" height="14" colspan="4" align="right">
          <a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);">
            <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
          </a>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td width="90" height="14" colspan="4">&#160;</td>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--isFrenchLocali3-->
  <xsl:template name ="isFrenchLocali3">
    <xsl:param name ='Locali'/>
    <xsl:variable name ='CodeLocali' select ='(substring ($Locali,1,2))'/>
    <xsl:choose>
      <xsl:when test ="string-length($CodeLocali)= 0">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td  class="clCouleur2" width="535"></td>
            <td width="90" height="14" colspan="4" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
        </table>
      </xsl:when>
      <xsl:when test ="(number($CodeLocali)&gt; 1 ) and (number($CodeLocali)&lt; 98)">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td  class="clCouleur2" width="535"></td>
            <td width="90" height="14" colspan="4" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
        </table>
      </xsl:when>
      <xsl:when test ="($CodeLocali='MC') or (CodeLocali='2A') or (CodeLocali='2B')">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td  class="clCouleur2" width="535"></td>
            <td width="90" height="14" colspan="4" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('28','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
        </table>
      </xsl:when>
      <xsl:otherwise>
        
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

<xsl:template name="genEnTete30">
	<xsl:param name="ident"/>
	<xsl:param name="nom"/>
	<xsl:param name="nomconj"/>
	<xsl:param name="valcot"/>
	<xsl:param name="datcot"/>
	<xsl:param name="datexa"/>
	<xsl:param name="idrenv"/>
	
	<xsl:call-template name="genTitreModule30"/>
	<xsl:call-template name="genIdentification">
		<xsl:with-param name="ident" select="$ident"/>
		<xsl:with-param name="nom" select="$nom"/>
		<xsl:with-param name="nomconj" select="$nomconj"/>
		<xsl:with-param name="valcot" select="$valcot"/>
		<xsl:with-param name="datcot" select="$datcot"/>
		<xsl:with-param name="datexa" select="$datexa"/>
		<xsl:with-param name="idrenv" select="$idrenv"/>
	</xsl:call-template>
	<xsl:apply-templates select="/FIBEN/PERSONNE/IDNOUV"/>
	<xsl:apply-templates select="/FIBEN/PERSONNE/ENTMORT"/>
	<xsl:apply-templates select="/FIBEN/PERSONNE/LIEU"/>
	<xsl:apply-templates select="/FIBEN/RALPH/DEMANDE"/>

</xsl:template>

<xsl:template name="genTitreModule30">
  <br/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="617" align="left" valign="top" class="clCouleur1">
				
				<xsl:value-of disable-output-escaping="yes" select="$dictionnaire/titre[@module=$moddem]"/>
				<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30">
					(Analyse sur groupe consolid)
				</xsl:if>
				<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30LF">
					(Analyse sur liens de participation)
				</xsl:if>
				<xsl:if test="/FIBEN/@GRAPHE"> - Graphique(s)<br />
					<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30">
						(Analyse sur groupe consolid)
					</xsl:if>
					<xsl:if test="/FIBEN/PERSONNE/MODULE30/DIFF30LF">
						(Analyse sur liens de participation)
					</xsl:if>
				</xsl:if>
			</td>
			<td width="18" align="center" valign="middle">
        <span id="imgNumMod"><xsl:value-of select="$moddem"/></span>
			</td>
		</tr>
	</table>
	<br/>
</xsl:template>

<xsl:template name="genGraph30">
	<xsl:if test="$condGraph">
		<form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
			<input name="familyNumber" type="hidden" value="1"/>
			<input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
			<xsl:element name="input">
				<xsl:attribute name="name">GrapheData</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value">
&lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
          <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
        </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE30/EJ/IDENTS"/>&lt;/ident&gt;
<xsl:if test="FIBEN/PERSONNE/MODULE30/EJ">&lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE30/EJ/DENOM"/>&lt;/nom&gt;</xsl:if>
<xsl:if test="FIBEN/PERSONNE/MODULE30/DIFF30">&lt;typeM30&gt;DIFF30&lt;/typeM30&gt;</xsl:if>
<xsl:if test="FIBEN/PERSONNE/MODULE30/DIFF30LF">&lt;typeM30&gt;DIFF30LF&lt;/typeM30&gt;</xsl:if>

&lt;graphe&gt;
<xsl:if test="$condGraph1">
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITCO"/>&lt;/val&gt;</xsl:for-each>
	&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITCC"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITAF"/>&lt;/val&gt;</xsl:for-each>
	&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITCA"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS/@MOISREF">&lt;val&gt;<xsl:call-template name ="displayDateXsl">
    <xsl:with-param name ="InputDate" select ="(.)"/>
  </xsl:call-template>&lt;/val&gt;
	</xsl:for-each>&lt;/abcisse&gt;
</xsl:if>
&lt;titre&gt;Crdits  court terme&lt;/titre&gt;&lt;signet&gt;Court terme&lt;/signet&gt;&lt;/graphe&gt;

&lt;graphe&gt;
<xsl:if test="$condGraph2">
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITMLT"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS/@MOISREF">&lt;val&gt;<xsl:call-template name ="displayDateXsl">
    <xsl:with-param name ="InputDate" select ="(.)"/>
  </xsl:call-template>&lt;/val&gt;
	</xsl:for-each>&lt;/abcisse&gt;
</xsl:if>
&lt;titre&gt;Crdits  moyen et long terme&lt;/titre&gt;&lt;signet&gt;Moyen et long terme&lt;/signet&gt;&lt;/graphe&gt;

&lt;graphe&gt;
<xsl:if test="$condGraph3">
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITBI"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITBM"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS/@MOISREF">&lt;val&gt;<xsl:call-template name ="displayDateXsl">
    <xsl:with-param name ="InputDate" select ="(.)"/>
  </xsl:call-template>&lt;/val&gt;
	</xsl:for-each>&lt;/abcisse&gt;
</xsl:if>
&lt;titre&gt;Crdits-bails&lt;/titre&gt;&lt;signet&gt;Crdits-bails&lt;/signet&gt;&lt;/graphe&gt;

&lt;graphe&gt;
<xsl:if test="$condGraph4">
	
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITCT"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITMLT"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:call-template name="doubleFlux">
	    <xsl:with-param name = "fCREDITBM" ><xsl:value-of select="CREDITBM"/></xsl:with-param> 
        <xsl:with-param name = "fCREDITBI" ><xsl:value-of select="CREDITBI"/></xsl:with-param> 
		</xsl:call-template>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITTIT"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS/@MOISREF">&lt;val&gt;<xsl:call-template name ="displayDateXsl">
    <xsl:with-param name ="InputDate" select ="(.)"/>
  </xsl:call-template>&lt;/val&gt;
	</xsl:for-each>&lt;/abcisse&gt;
</xsl:if>
&lt;titre&gt;Crdits mobiliss(Total VI)&lt;/titre&gt;&lt;signet&gt;Total VI&lt;/signet&gt;&lt;/graphe&gt;

&lt;graphe&gt;
<xsl:if test="$condGraph5">
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITOC"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITOD"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS/@MOISREF">&lt;val&gt;<xsl:call-template name ="displayDateXsl">
    <xsl:with-param name ="InputDate" select ="(.)"/>
  </xsl:call-template>&lt;/val&gt;
	</xsl:for-each>&lt;/abcisse&gt;
</xsl:if>
&lt;titre&gt;Crdits mobilisables(Total VII)&lt;/titre&gt;&lt;signet&gt;Crdits mobilisables&lt;/signet&gt;&lt;/graphe&gt;

&lt;graphe&gt;
<xsl:if test="$condGraph6">
	&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS">&lt;val&gt;<xsl:value-of select="CREDITAC"/>&lt;/val&gt;</xsl:for-each>&lt;/serie&gt;
	&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE30/*/CONCOURS/@MOISREF">&lt;val&gt;<xsl:call-template name ="displayDateXsl">
    <xsl:with-param name ="InputDate" select ="(.)"/>
  </xsl:call-template>&lt;/val&gt;
	</xsl:for-each>&lt;/abcisse&gt;
</xsl:if>
&lt;titre&gt;Engagements de garantie&lt;/titre&gt;&lt;signet&gt;Engagements de garantie&lt;/signet&gt;&lt;/graphe&gt;&lt;/FIBEN&gt;
				</xsl:attribute>
			</xsl:element>
		</form>
	</xsl:if>
</xsl:template>

<xsl:template name="doubleFlux">
	    <xsl:param name = "fCREDITBM" />
        <xsl:param name = "fCREDITBI" />
        <xsl:value-of select = "$fCREDITBM+$fCREDITBI" />        
</xsl:template>
<xsl:template match="CREDITCC">
				<xsl:if test="@ETAT">
					<xsl:value-of select="@ETAT"/>
				</xsl:if>
				<xsl:if test="not(@ETAT)">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../CREDITCC)"/>
          </xsl:call-template>					
				</xsl:if>
				
</xsl:template>	
<xsl:template match="CREDITAF">
				<xsl:if test="@ETAT">
					<xsl:value-of select="@ETAT"/>
				</xsl:if>
				<xsl:if test="not(@ETAT)">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../CREDITAF)"/>
          </xsl:call-template>					
				</xsl:if>
				
</xsl:template>	
</xsl:stylesheet>
