<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="Langage" select="'fr'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1" />
  <xsl:param name="Lang" select="'FR'"/>
  <xsl:param name="codeLib" select="''"/>
  <xsl:param name="NonResident" select="''"/>
  <xsl:param name="titleUK" select="''"/>

  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | /FIBEN/PERSONNE/MODULE37/*//IDENTC|/FIBEN/PERSONNE/MODULE37/*//IDENTS"/>
      </xsl:call-template>
      <body bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
                
        <table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel"/>
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">

            <tr>
              <td width="64"></td>
              <td width="636" colspan="3" class="clCouleur2" valign="top">
                <xsl:call-template name="genEnTete">
                  <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULE37/*//IDENTC|/FIBEN/PERSONNE/MODULE37/*//IDENTS"/>
                  <xsl:with-param name="nom">
                    <xsl:if test ="//EJ37/DENOM">
                      <xsl:value-of select ="//EJ37/DENOM"/>
                    </xsl:if>
                    <xsl:if test ="//IDENTITE/NOM">
                      <xsl:call-template name ="displayInLowerCaseXsl">
                        <xsl:with-param name ="InputStringNom" select ="(//IDENTITE/NOM)"/>
                        <xsl:with-param name ="InputStringPrenom" select ="(//IDENTITE/PRENOM)"/>
                      </xsl:call-template>
                    </xsl:if>
                  </xsl:with-param>
                  <xsl:with-param name="nomconj" select="//IDENTITE/NOMCONJ"/>
                  <xsl:with-param name="valcot" select="//COTATION/VALCOT"/>
                  <xsl:with-param name="datcot" select="//COTATION/DATCOT"/>
                  <xsl:with-param name="datexa" select="//COTATION/DATEXA"/>
                  <xsl:with-param name="idrenv" select="/FIBEN/PERSONNE/MODULE37/PM37/EI37/IDRENV | /FIBEN/PERSONNE/MODULE37/PPEI37/IDRENV"/>
                </xsl:call-template>
                  <xsl:apply-templates select="//ACTBDF"/>                 
                  <xsl:apply-templates select="//COTATION/COTPREC"/>              
                <xsl:if test="//COTATION/COTPREC">
                  <xsl:call-template name="shim"/>
                </xsl:if>
                <xsl:apply-templates select="//COTATION/DATBILS"/>
                <xsl:apply-templates select="//COTATION/DATBILC"/>
                <xsl:if test="//COTATION/DATBILS or //COTATION/DATBILC">
                  <xsl:call-template name="shim"/>
                </xsl:if>
                <xsl:if test="//INFLUENCANTE">
                  <xsl:call-template name="Influencante"/>
                </xsl:if>
                <xsl:if test="//TETEDEGROUPE">
                  <xsl:call-template name="TeteGroupe">
                    <xsl:with-param name ="IdentInfluencante" select ="//INFLUENCANTE/EJ/IDENTS"/>
                    <xsl:with-param name ="IdentTeteGroupe" select ="//TETEDEGROUPE/EJ/IDENTS"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:if test="//INFLUENCANTE or //TETEDEGROUPE">
                  <xsl:call-template name="shim"/>
                  <br />
                </xsl:if>
                <xsl:if test="not(//IEC01)">
                  <xsl:if test="//INDIG|//INDIS|//INDIT">

                    <div align="center">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m37_Caract'"/>
                      </xsl:call-template>
                      <br/>
                    </div>

                    <xsl:call-template name="shim"/>
                    <table width="635" border="0" cellspacing="0" cellpadding="0">
                      <xsl:apply-templates select="//INDIG/*" mode="displayLib"/>
                      <xsl:apply-templates select="//INDIS/*" mode="displayLib"/>
                      <xsl:apply-templates select="//INDIT/*" mode="displayLib"/>
                    </table>
                    <xsl:call-template name="shim"/>
                  </xsl:if>
                  <xsl:if test="//COTECA">
                    <div align="center">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m37_CotAct'"/>
                      </xsl:call-template>
                      <br/>
                    </div>
                    <xsl:apply-templates select="//COTECA"/>
                  </xsl:if>
                  <xsl:if test="//COTECC">
                    <div align="center">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m37_CotCre'"/>
                      </xsl:call-template>
                      <br/>
                    </div>
                    <xsl:call-template name="coteDeCredit"/>
                    <xsl:call-template name="TableauBRIDGJES"/>
                    <xsl:if test ="//REPARTITIONSOCSECTEUR">
                      <xsl:call-template name="GrapheSocieteSecteur"/>
                    </xsl:if>                    
                  </xsl:if>                  
                  <xsl:if test="//MPP">
                    <a name="ancIndic"></a>
                    <div align="center">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="codeLib" select="'m37_Indica'"/>
                      </xsl:call-template>
                      <br/>
                    </div>
                    <xsl:call-template name="Indicateur"/>
                    <xsl:call-template name="TableauBRIDGJES"/>
                  </xsl:if>
                  <xsl:call-template name="shim"/>
                </xsl:if>
                
                <xsl:if test="//IEC01">
                  <table width="635" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td class="clCouleur2" align="left">
                        <xsl:apply-templates select="//IEC01"/>
                      </td>
                    </tr>
                  </table>
                  <xsl:call-template name="shim"/>
                  <br />
                </xsl:if>               
              </td>
              <xsl:call-template name="genFlecheHaut"/>
            </tr>
            
            
          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="ACTBDF">     
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_ActBDF'"/>
          </xsl:call-template>
        </td>
        <td class="clTexte" colspan="3">
          &#160;<xsl:value-of select="//ACTBDF"/>&#160;&#160;
          <xsl:if test="$Lang = 'UK'">
            <xsl:call-template name="tradLibNaf">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codelib" select="//ACTBDF"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$Lang = 'FR'">
            <xsl:value-of select="//LIBACT"/>
          </xsl:if>
        </td>
      </tr>
    </table>
   <xsl:call-template name="shim"/>
  </xsl:template>


  <xsl:template name ="Influencante">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_EntInf'"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="80">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(//INFLUENCANTE/EJ/IDENTS)"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="345" align="left">
          &#160;<xsl:value-of select="//INFLUENCANTE/EJ/DENOM"/>
        </td>
        <xsl:choose>
          <xsl:when test ="not($NonResident='NR')">
            <td width="80" class="clFond" height="14" align="center" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|VB|','','1','{//INFLUENCANTE/EJ/IDENTS}',cstMultipleConfirm);">
                <img src="../images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
              </a>
            </td>
          </xsl:when>
          <xsl:otherwise>
            <td width="80" class="clFond">&#160;</td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
    </table>
  </xsl:template>

  <xsl:template name ="TeteGroupe">
    <xsl:param name ="IdentInfluencante"></xsl:param>
    <xsl:param name ="IdentTeteGroupe"></xsl:param>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130" class="clCouleur2" height="14">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="codeLib" select="'m37_TetGro'"/>
          </xsl:call-template>
        </td>
        <td class="clTexteGras" width="80">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(//TETEDEGROUPE/EJ/IDENTS)"/>
          </xsl:call-template>
        </td>
        <td class="clTexteGras" width="345" align="left" >
          &#160;<xsl:value-of select="//TETEDEGROUPE/EJ/DENOM"/>
        </td>
        <xsl:choose>
          <xsl:when test ="(not($NonResident='NR')) and ($IdentInfluencante != $IdentTeteGroupe)">
            <td width="80" class="clTexte" height="14" align="center" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|VB|','','1','{//TETEDEGROUPE/EJ/IDENTS}',cstMultipleConfirm);">
                <img src="../images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
              </a>
            </td>
          </xsl:when>
          <xsl:otherwise>
            <td width="80" class="clTexte">&#160;</td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
    </table>
  </xsl:template>



  <xsl:template match="IS01|IS02|IS03|IS04|IS05|IS06|IS07|IS08|IG01|IG02|IG03|B5|B6|B7|B8|B9|IT01" mode="displayLib">
    <tr>
      <td width="130"></td>
      <td width="505" class="clTexte">
        - <xsl:apply-templates select="."/>
      </td>
    </tr>
  </xsl:template>

  <!--Cote d'activit-->

  <xsl:template match="COTECA">
    <table width="635" border="0" cellspacing="0" cellpadding="2">
      <tr>
        <td class="clCouleur2" width="7">&#160;</td>
        <td width="30" align="left"  class="clCouleur2">
          &#160;<xsl:value-of select="substring(//COTATION/VALCOT,1,1)"/>&#160;:&#160;
        </td>
        <td width="423" class="clTexte">
          <!--Il faut mettre seulement le 1er lment du noeud en cours <xsl:apply-templates select="./*[1]"/>  sinon nous avons la date dans le message -->
          <xsl:apply-templates select="./*[1]"/>
        </td>
        <td class="clCouleur2" width="75" align="right">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_Attribuee'"/>
          </xsl:call-template>&#160;
        </td>
        <td class="clTexte" width="100" align="left">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="//DATCA"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!--Cote de crdit-->

  <xsl:template name="coteDeCredit">
    <xsl:variable name ="ValeurJauge" select ="substring(//COTATION/VALCOT,2,3)"></xsl:variable>
    <table width="635" border="0" cellspacing="0" cellpadding="2">
      <xsl:if test="//PM37">      
        <tr>
          <td class="clCouleur2" width="7">&#160;</td>
          <td width="30" align="left" class="clCouleur2">
            &#160;<xsl:value-of select="substring(//COTATION/VALCOT,2,3)"/>&#160;:&#160;
          </td>
          <xsl:apply-templates select="//CC01|//MG3pp|//MG3p|//MG3|//MG4p|//MG4|//MG5p|//MG5|//MG6|//MG7|//MG8|//MG9|//MGP" mode="displayLib"/>
        </tr>
        <tr>
          <td width="7">&#160;</td>
          <td width="30">&#160;</td>
          <td width="423">&#160;</td>
          <td class="clCouleur2" width="75" align="right">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m37_Attribuee'"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="100" align="left">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(//DATCC)"/>
            </xsl:call-template>
          </td>
        </tr>
      </xsl:if>
    </table>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr height="5">
              <td width="40" class="clTexte">&#160;</td>
              <td width="555" class="clTexte">&#160;</td>
              <td width="40" class="clTexte">&#160;</td>
          </tr>
          <tr>
              <td width="40" class="clTexte"></td>
              <td width="555" class="clTexte" align="center">
                  <xsl:call-template name="tradlib">
                      <xsl:with-param name="Lang" select="$Lang"/>
                      <xsl:with-param name="codeLib" select="'m37_Position'"/>
                  </xsl:call-template>
              </td>
              <td width="40" class="clTexte"></td>
          </tr>
          <tr height="5">
              <td width="40" class="clTexte">&#160;</td>
              <td width="555" class="clTexte">&#160;</td>
              <td width="40" class="clTexte">&#160;</td>
          </tr>
      </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="40"></td>
        <td width="555">
          <xsl:element name="img">
            <!--xsl:attribute name="src">M<xsl:value-of select="/FIBEN/@MODDEM"/>/Graphiques/graphe1.aspx?valcot=<xsl:value-of select="translate($ValeurJauge,'+','x')"/-->
              <xsl:attribute name="src">/Fiben/modules/m<xsl:value-of select="/FIBEN/@MODDEM"/>/Graphiques/graphe1.png</xsl:attribute>
          </xsl:element>
        </td>
        <td width="40"></td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template name="Indicateur">
    <table width="635" border="0" cellspacing="0" cellpadding="2">      
      <tr>
        <td class="clCouleur2" width="8">&#160;</td>
        <td width="120" align="left"  class="clCouleur2">
          &#160;&#160;<xsl:value-of select="(//COTATION/VALCOT)"/>&#160;:&#160;
        </td>
        <xsl:apply-templates select="//CEX0|//CEX4|//CEX5|//CEX6" mode="displayLib"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template name="TableauBRIDGJES">
    <a name="ancExpliCC"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">

      <xsl:choose>
        <xsl:when test ="//COTECC">
          <tr>
            <td width="635" align="center" class="clCouleur2" height="14">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_ExpCotcre'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="635" align="center" class="clCouleur2" height="14">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Expindtitre'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <tr>
        <td width="635" class="clCouleur2">&#160;</td>
      </tr>
    </table>
    <table width="635" cellspacing="0" cellpadding="2" class="clTableauExpli">
      <tr>
        <td width="260" align="center" class="clCouleur2Border">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_Elementan'"/>
          </xsl:call-template>
        </td>
        <td width="260" align="center" class="clCouleur2Border">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_Observ'"/>
          </xsl:call-template>
        </td>
        <td width="115" align="center" class="clCouleur2Border">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_ElementDet'"/>
          </xsl:call-template>
        </td>
      </tr>
      <xsl:variable name="ElemBDetermin" select ="//ELEMB/@DETERMIN"/>
      <xsl:variable name="ElemBValeur" select ="//ELEMB/@VALEUR"/>
      <xsl:variable name="ElemBMessage" select ="//ELEMB/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemBDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurB'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">                
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemBMessage]"/>
                <xsl:if test ="$ElemBValeur = '1'">
                    <xsl:if test="not($NonResident='NR')">
                        <br></br>
                        <br></br>
                        <a href="#nullePart" onclick="requestBDFInfos('VB','','4','',false,false,this);" class="clCouleur2">
                            Pour plus de renseignement :&#160;
                            <u>
                                Module VB (vitrine bilans)
                            </u>
                        </a>
                    </xsl:if>
                </xsl:if>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemBMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemBMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemBDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurB'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemBMessage]"/>
                <xsl:if test ="$ElemBValeur = '1'">
                    <xsl:if test="not($NonResident='NR')">
                        <br></br>
                        <br></br>
                        <a href="#nullePart" onclick="requestBDFInfos('VB','','4','',false,false,this);" class="clCouleur2">
                            Pour plus de renseignement :&#160;
                            <u>
                                Module VB (vitrine bilans)
                            </u>
                        </a>
                    </xsl:if>
                </xsl:if>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemBMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemBMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurB'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="ElemRDetermin" select ="//ELEMR/@DETERMIN"/>
      <xsl:variable name ="ElemRValeur" select ="//ELEMR/@VALEUR"/>
      <xsl:variable name="ElemRMessage" select ="//ELEMR/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemRDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurR'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemRMessage]"/>
                <xsl:if test ="$ElemRValeur = '1'">
                    <xsl:if test="not($NonResident='NR')">
                        <br></br>
                        <br></br>
                        <a href="#nullePart" onclick="requestBDFInfos('VB','','4','',false,false,this);" class="clCouleur2">
                            Pour plus de renseignement :&#160;
                            <u>
                                Module VB (vitrine bilans)
                            </u>
                        </a>
                    </xsl:if>
                </xsl:if>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemRMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemRMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemRDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurR'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemRMessage]"/>
                <xsl:if test ="$ElemRValeur = '1'">
                    <xsl:if test="not($NonResident='NR')">
                        <br></br>
                        <br></br>
                        <a href="#nullePart" onclick="requestBDFInfos('VB','','4','',false,false,this);" class="clCouleur2">
                            Pour plus de renseignement :&#160;
                            <u>
                                Module VB (vitrine bilans)
                            </u>
                        </a>
                    </xsl:if>
                </xsl:if>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemRMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemRMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurR'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="ElemIDetermin" select ="//ELEMI/@DETERMIN"/>
      <xsl:variable name="ElemIValeur" select ="//ELEMI/@VALEUR"/>
      <xsl:variable name="ElemIMessage" select ="//ELEMI/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemIDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurI'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemIMessage]"/>
                <xsl:if test ="($ElemIValeur = '1') or ($ElemIValeur = '3') or ($ElemIValeur ='5')">
                    <xsl:if test="not($NonResident='NR')">
                        <br></br>
                        <br></br>
                        <a href="#nullePart" onclick="requestBDFInfos('29','','2','',cstSimpleConfirm);" class="clCouleur2">
                            Pour plus de renseignement :&#160;
                            <u>
                                Module 29 (Incidents effets)
                            </u>
                        </a>
                    </xsl:if>
                </xsl:if>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemIMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemIMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemIDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurI'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemIMessage]"/>
                <xsl:if test ="($ElemIValeur = '1') or ($ElemIValeur = '3') or ($ElemIValeur ='5')">
                    <xsl:if test="not($NonResident='NR')">
                        <br></br>
                        <br></br>
                        <a href="#nullePart" onclick="requestBDFInfos('29','','2','',cstSimpleConfirm);" class="clCouleur2">
                            Pour plus de renseignement :&#160;
                            <u>
                                Module 29 (incidents effets)
                            </u>
                        </a>
                    </xsl:if>
                </xsl:if>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemIMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemIMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurI'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="ElemDDetermin" select ="//ELEMD/@DETERMIN"/>
      <xsl:variable name ="ElemDValeur" select ="//ELEMD/@VALEUR"/>
      <xsl:variable name="ElemDMessage" select ="//ELEMD/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemDDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurD'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">
                <xsl:if test="$Lang = 'FR'">
                    <xsl:value-of select="$dictionnaire/mot[@id=$ElemDMessage]"/>
                    <xsl:if test="not($NonResident='NR')">
                        <xsl:if test ="$ElemDValeur = '1'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('51','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 51 (Dirigeants)
                                </u>
                            </a>
                        </xsl:if>
                        <xsl:if test ="$ElemDValeur = '2'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('56','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 56 (Fonctions de direction)
                                </u>
                            </a>
                        </xsl:if>
                        <xsl:if test ="$ElemDValeur = '3'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('51|56|','','3','',cstMultipleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 51 (Dirigeants) ou Module 56 (Fonctions de direction)
                                </u>
                            </a>
                        </xsl:if>
                    </xsl:if>
                </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemDMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemDMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemDDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurD'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
                <xsl:if test="$Lang = 'FR'">
                    <xsl:value-of select="$dictionnaire/mot[@id=$ElemDMessage]"/>
                    <xsl:if test="not($NonResident='NR')">
                        <xsl:if test ="$ElemDValeur = '1'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('51','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 51 (Dirigeants)
                                </u>
                            </a>
                        </xsl:if>
                        <xsl:if test ="$ElemDValeur = '2'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('56','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 56 (Fonctions de direction)
                                </u>
                            </a>
                        </xsl:if>
                        <xsl:if test ="$ElemDValeur = '3'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('51|56|','','3','',cstMultipleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 51 (Dirigeants) ou Module 56 (Fonctions de direction)
                                </u>
                            </a>
                        </xsl:if>
                    </xsl:if>
                </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemDMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemDMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurD'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="ElemGDetermin" select ="//ELEMG/@DETERMIN"/>
      <xsl:variable name ="ElemGValeur" select ="//ELEMG/@VALEUR"/>
      <xsl:variable name="ElemGMessage" select ="//ELEMG/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemGDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurG'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemGMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemGMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemGMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemGDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurG'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemGMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemGMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemGMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurG'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="ElemJDetermin" select ="//ELEMJ/@DETERMIN"/>
      <xsl:variable name ="ElemJValeur" select ="//ELEMJ/@VALEUR"/>
      <xsl:variable name="ElemJMessage" select ="//ELEMJ/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemJDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurJ'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemJMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemJMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemJMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemJDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurJ'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
              <xsl:if test="$Lang = 'FR'">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemJMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemJMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemJMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurJ'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="ElemEDetermin" select ="//ELEME/@DETERMIN"/>
      <xsl:variable name ="ElemEValeur" select ="//ELEME/@VALEUR"/>
      <xsl:variable name="ElemEMessage" select ="//ELEME/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemEDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurE'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">
                <xsl:if test="$Lang = 'FR'">
                    <xsl:value-of select="$dictionnaire/mot[@id=$ElemEMessage]"/>
                    <xsl:if test="not($NonResident='NR')">
                        <xsl:if test ="($ElemEValeur = '1') or ($ElemEValeur = '2') or ($ElemEValeur ='3')">                            
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('53','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 53 (Associs et Participations)
                                </u>
                            </a>
                        </xsl:if>
                        <xsl:if test ="$ElemEValeur = '8'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('29','','2','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 29 (Incidents effets)
                                </u>
                            </a>
                        </xsl:if>
                    </xsl:if>
                </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemEMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemEMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemEDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurE'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
                <xsl:if test="$Lang = 'FR'">
                    <xsl:value-of select="$dictionnaire/mot[@id=$ElemEMessage]"/>
                    <xsl:if test="not($NonResident='NR')">
                        <xsl:if test ="($ElemEValeur = '1') or ($ElemEValeur = '2') or ($ElemEValeur ='3')">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('53','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 53 (Associs et Participations)
                                </u>
                            </a>
                        </xsl:if>                       
                        <xsl:if test ="$ElemEValeur = '8'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('29','','2','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 29 (Incidents effets)
                                </u>
                            </a>
                        </xsl:if>
                    </xsl:if>
                </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemEMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemEMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurE'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="ElemSDetermin" select ="//ELEMS/@DETERMIN"/>
      <xsl:variable name ="ElemSValeur" select ="//ELEMS/@VALEUR"/>
      <xsl:variable name="ElemSMessage" select ="//ELEMS/@MESSAGE"/>
      <xsl:choose>
        <xsl:when test ="$ElemSDetermin = 'N'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurS'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlanc">
                <xsl:if test="$Lang = 'FR'">
                    <xsl:value-of select="$dictionnaire/mot[@id=$ElemSMessage]"/>
                    <xsl:if test="not($NonResident='NR')">
                        <xsl:if test ="$ElemSValeur = '1'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('45','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 45 (Jugements)
                                </u>
                            </a>

                        </xsl:if>
                    </xsl:if>
                </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemSMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemSMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Non'"/>
              </xsl:call-template>
            </td>
          </tr>

        </xsl:when>
        <xsl:when test ="$ElemSDetermin = 'O'">
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelBlanc">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurS'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelBlancGras">
                <xsl:if test="$Lang = 'FR'">
                    <xsl:value-of select="$dictionnaire/mot[@id=$ElemSMessage]"/>
                    <xsl:if test="not($NonResident='NR')">
                        <xsl:if test ="$ElemSValeur = '1'">
                            <br></br>
                            <br></br>
                            <a href="#nullePart" onclick="requestBDFInfos('45','','3','',cstSimpleConfirm);" class="clCouleur2">
                                Pour plus de renseignement :&#160;
                                <u>
                                    Module 45 (Jugements)
                                </u>
                            </a>
                        </xsl:if>
                    </xsl:if>
                </xsl:if>
              <xsl:if test="$Lang = ''">
                <xsl:value-of select="$dictionnaire/mot[@id=$ElemSMessage]"/>
              </xsl:if>
              <xsl:if test="$Lang = 'UK'" >
                <xsl:value-of select="$dictionnaireUK/mot[@id=$ElemSMessage]"/>
              </xsl:if>
            </td>
            <td width="115" align="center" class="clTableauCelBlanc">
              &#160;<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_Oui'"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td width="260" align="left" valign="top" class="clTableauCelGris">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m37_DescripteurS'"/>
              </xsl:call-template>
            </td>
            <td width="260" align="left" class="clTableauCelGris">
              &#160;
            </td>
            <td width="115" align="center" class="clTableauCelGris">
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <tr>
        <td width="260" align="left" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_DateMaj'"/>
          </xsl:call-template>&#160;
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(//DESCRIPTEUR/DATEDESC)"/>
          </xsl:call-template>
        </td>
        <td width="260">
          &#160;
        </td>
        <td width="115">
          &#160;
        </td>
      </tr>
    </table>

  </xsl:template>


  <xsl:template name="GrapheSocieteSecteur">
    <xsl:call-template name="shim"/>
    <a name="ancRepartition"></a>

    <table width="635" border="0" cellspacing="0" cellpadding="2">
      <tr>
        <td width ="635" align="center" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="codeLib" select="'m37_RepCotSect'"/>
          </xsl:call-template>
          <br/>
        </td>
      </tr>
      <tr>
        <td width ="635" align="center" class="clCouleur2">
      <xsl:call-template name="tradlib">
        <xsl:with-param name="codeLib" select="'m37_RepCotSectL2'"/>
      </xsl:call-template>
      </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="40"></td>
        <td width="555">
          <xsl:element name="img">
            <xsl:attribute name="src">
              M<xsl:value-of select="/FIBEN/@MODDEM"/>/Graphiques/graphe2.aspx?date=<xsl:value-of select="FIBEN/@DATJOUR"/>&amp;v1=<xsl:value-of select ="//REPARTITIONSOCSECTEUR/NBCOT3PP"/>&amp;v2=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT3P"/>&amp;v3=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT3"/>&amp;v4=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT4P"/>&amp;v5=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT4"/>&amp;v6=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT5P"/>&amp;v7=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT5"/>&amp;v8=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT6"/>&amp;v9=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT7"/>&amp;v10=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT8"/>&amp;v11=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOT9"/>&amp;v12=<xsl:value-of select="//REPARTITIONSOCSECTEUR/NBCOTP"/>&amp;ab1=Cotes 3XX&#160;&amp;ab2=Cotes 3X&#160;&amp;ab3=Cotes 3&#160;&amp;ab4=Cotes 4X&amp;ab5=Cotes 4&amp;ab6=Cotes 5X&amp;ab7=Cotes 5&amp;ab8=Cotes 6&amp;ab9=Cotes 7&amp;ab10=Cotes 8&amp;ab11=Cotes 9&amp;ab12=Cotes P&amp;actbdf=<xsl:value-of select ="//ACTBDF"/>&amp;libact=<xsl:value-of select ="//LIBACT"/>
            </xsl:attribute>
          </xsl:element>
        </td>
        <td width="40"></td>
      </tr>
    </table>    
  </xsl:template>

  <xsl:template match="CC01|MG3pp|MG3p|MG3|MG4p|MG4|MG5p|MG5|MG6|MG7|MG8|MG9|MGP" mode="displayLib">

    <td colspan="3" width="600" class="clGrasFond">

      <xsl:variable name="attribute" select="name(.)"/>
      <xsl:if test="$Lang = 'FR'">
        <xsl:value-of select="$dictionnaire/mot[@id=$attribute]"/>
      </xsl:if>
      <xsl:if test="$Lang = ''">
        <xsl:value-of select="$dictionnaire/mot[@id=$attribute]"/>
      </xsl:if>
      <xsl:if test="$Lang = 'UK'" >
        <xsl:value-of select="$dictionnaireUK/mot[@id=$attribute]"/>
      </xsl:if>
    </td>
  </xsl:template>

  <xsl:template match="CEX0|CEX4|CEX5|CEX6" mode="displayLib">

    <td colspan="3" width="507" class="clGrasFond">
      <xsl:variable name="attribute" select="name(.)"/>
      <xsl:if test="$Lang = 'FR'">
        <xsl:value-of select="$dictionnaire/mot[@id=$attribute]"/>
      </xsl:if>
      <xsl:if test="$Lang = ''">
        <xsl:value-of select="$dictionnaire/mot[@id=$attribute]"/>
      </xsl:if>
      <xsl:if test="$Lang = 'UK'" >
        <xsl:value-of select="$dictionnaireUK/mot[@id=$attribute]"/>
      </xsl:if>
    </td>
  </xsl:template>


</xsl:stylesheet>
