<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
  <xsl:param name="Lang" select="''"/>
	<xsl:variable name="condGraph1" select="boolean(//DIFF38)"/>
	<xsl:template match="/">
		<html>
			<xsl:call-template name="genHead">
				<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE38/EJ/IDENTS"/>
			</xsl:call-template>
			<body bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
				<table class="mainmodule horizontal-auto"  border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel" />
					<xsl:apply-templates select="/FIBEN/ERREUR"/>
					<xsl:if test="not(/FIBEN/ERREUR)">

						<tr>
							<td width="64"/>
							<td width="739" colspan="4" class="clCouleur2" valign="top">
								<xsl:apply-templates select="FIBEN/PERSONNE/MODULE38/EJ"/>
								<xsl:apply-templates select="//IST10|//IST18|//IST19|//ISEF18" mode="genTable"/>
								<xsl:apply-templates select="FIBEN/PERSONNE/MODULE38/DIFF38"/>
							</td>
						</tr>
						
					</xsl:if>
				</table>
        <xsl:call-template name="genBasPage"/>
				<xsl:call-template name="genGraph38"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="FIBEN/PERSONNE/MODULE38/EJ">
		<xsl:call-template name="genEnTete">
			<xsl:with-param name="ident" select="IDENTS"/>
			<xsl:with-param name="nom" select="DENOM"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="IST10|IST18|IST19|ISEF18" mode="genTable">
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="14"/>
				<td class="clCouleur2" valign="top">
					<xsl:apply-templates select="."/>
				</td>
			</tr>
			<tr>
				<td width="14"/>
				<td>
					<xsl:call-template name="shim"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="DIFF38">
		<xsl:apply-templates select="ACTIVITE"/>
		<a name="ancIndicdefaill"/>
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr align="center">
				<td class="clCouleur2">INDICATEURS DE DFAILLANCE</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
		<br/>
		<xsl:apply-templates select="DEFAILLANCE[last()]"/>
		<xsl:apply-templates select="TXDEF"/>
		<xsl:apply-templates select="POSITIONNEMENT[last()]"/>
		<a name="ancScorecontrib"/>
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="19">&#160;</td>
				<td width="597" class="clCouleur2" align="center">SCORE ET CONTRIBUTIONS DES RATIOS (comparaison aux mdianes du secteur)</td>
				<td width="19">
					<xsl:if test="$condGraph1">
						<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe1';window.document.forms	['FormGraphes'].submit();">
							<img title="Graphique" alt="Graphique" border="0" height="20" name="dia2" src="{$root}Images/risque/diagramme.gif" width="19"/>
						</a>
					</xsl:if>
				</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="435" height="14"/>
				<td width="196" class="clCouleur2" colspan="2" height="14" align="center">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Individuels</td>
				<td/>
				<td width="98" class="clCouleur2" align="right">Secteur&#160;(1)</td>
				<!--<td rowspan="15" width="103"/>-->
				<xsl:apply-templates select="SCOREBDF/*/*[1]"/>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
	</xsl:template>
	<xsl:template match="ACTIVITE">
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td class="clCouleur2" width="130">&#160;Secteur d'activit</td>
				<td width="365" class="clFond">&#160;<xsl:value-of select="ACTBDF"/>&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="LIBACT"/>
				</td>
				<td width="40" class="clCouleur2" align="right">&#160;au&#160;&#160;</td>
				<td width="100" class="clFond" align="right">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(@DATCLOT)"/>
          </xsl:call-template>&#160;</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
	</xsl:template>
	<xsl:template match="DEFAILLANCE">
		<xsl:variable name="nbContrib" select="count(../DEFAILLANCE)"/>
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Date de clture</td>
				<xsl:apply-templates select="../DEFAILLANCE/@DATCLOT">
					<xsl:with-param name="nombre" select="$nbContrib"/>
					<xsl:with-param name="max" select="'3'"/>
				</xsl:apply-templates>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Dure</td>
				<xsl:apply-templates select="../DEFAILLANCE/@DUREEEX" mode="etendu"/>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Effectif</td>
				<xsl:apply-templates select="../DEFAILLANCE/p2058YP" mode="etendu"/>
			</tr>
			<tr>
				<td height="2" width="335"/>
				<td height="2" width="100"/>
				<td height="2" width="100"/>
				<td height="2" width="100"/>
			</tr>
			<tr>
				<td width="335"/>
				<td width="100"/>
				<td width="100"/>
				<td width="100"/>
			</tr>
			<tr>
				<td width="335" class="clCouleur2">&#160;Probabilit de dfaillance  3 ans (%)</td>
				<xsl:apply-templates select="../DEFAILLANCE/PROBDEF" mode="etendu"/>
			</tr>
			<tr>
				<td width="635" colspan="4" height="10"/>
			</tr>
			<tr>
				<td width="635" colspan="4" class="clItalic2">&#160;La probabilit est  relativiser en cas d'effectifs suprieurs  500</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
	</xsl:template>
	<xsl:template match="@DATCLOT">
		<xsl:param name="nombre"/>
		<xsl:param name="max" select="2"/>
    <td class="clGrasFond" width="100" height="14" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
		<xsl:if test="(position()=$nombre) and ($max!=$nombre)">
			<xsl:variable name="nbIntervalle" select="$max - $nombre"/>
			<xsl:choose>
				<xsl:when test="$nbIntervalle=1">
					<td class="clGrasFond" width="100" height="14" align="right">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
					
					</xsl:when>
				<xsl:when test="$nbIntervalle=2">
					<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
					<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
				</xsl:when>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="@DATSECT">
		<td class="clGrasFond" width="100" height="14" align="right">
			<xsl:value-of select="."/>&#160;</td>
	</xsl:template>
	<xsl:template match="@DUREEEX" mode="etendu">
    <td class="clFond" width="100" height="14" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
		<xsl:if test="position()=last() and position()=1">
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
		<xsl:if test="position()=last() and position()=2">
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="p2058YP" mode="etendu">
		<td class="clFond" width="100" height="14" align="right">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
		<xsl:if test="position()=last() and position()=1">
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
		<xsl:if test="position()=last() and position()=2">
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="PROBDEF" mode="etendu">
		<td class="clFond" width="100" height="14" align="right">
			<xsl:value-of select="."/>&#160;</td>
		<xsl:if test="position()=last() and position()=1">
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
		<xsl:if test="position()=last() and position()=2">
			<td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="TXDEF">
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td class="clCouleur2" width="335">&#160;Taux de dfaillance sur 3 ans
				<xsl:if test="../SECTEUR='INDUSTRIE'">de l'industrie</xsl:if>
					<xsl:if test="../SECTEUR='COMMERCE'">du commerce</xsl:if>
					<xsl:if test="../SECTEUR='TRANSPORT'">du transport</xsl:if>
					<xsl:if test="../SECTEUR='CONSTRUCTION'">de la construction</xsl:if>
					<xsl:if test="../SECTEUR='RESTAURATION'">de la restauration</xsl:if>
					<xsl:if test="../SECTEUR='HOTELLERIE'">de l'htellerie</xsl:if>
					<xsl:if test="../SECTEUR='COMMERCE DE DETAIL'">du commerce de dtail</xsl:if>
					<xsl:if test="../SECTEUR='COMMERCE DE GROS'">du commerce de gros</xsl:if>
					<xsl:if test="../SECTEUR='SERVICES AUX ENTREPRISES'">des 
            services aux entreprises (publicit, architecture, scurit, nettoyage, assainissement, recherche et dveloppement)</xsl:if>
					<xsl:if test="../SECTEUR='SERVICES PROFESSIONNELS'">des 
            services aux entreprises (informatique, services professionnels, location sans oprateur, 
            slection et fourniture de personnel)</xsl:if>
				</td>
				<td width="300" class="clFond">&#160;<xsl:value-of select="."/>%</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
	</xsl:template>
	<xsl:template match="POSITIONNEMENT">
		<a name="ancPosition"/>
		<table width="739" border="0" cellspacing="0" cellpadding="0">
			<tr align="center">
				<td class="clCouleur2">POSITIONNEMENT DE L'ENTREPRISE PAR RAPPORT AU SECTEUR</td>
				<td align="right">
					<a href="#ancHaut">
						<img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0"/>
					</a>
				</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
		<br/>
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td class="clCouleur2" width="130">&#160;Secteur d'activit</td>
				<td class="clFond" width="35">&#160;<xsl:value-of select="../CODNAF"/>
				</td>
				<td class="clFond" width="480">&#160;<xsl:value-of select="../LIBNAF"/>
				</td>
			</tr>
		</table>
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td colspan="4" height="10"/>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Date de clture</td>
				<xsl:variable name="nbContrib" select="count(../POSITIONNEMENT)"/>
				<xsl:apply-templates select="../POSITIONNEMENT/@DATCLOT">
					<xsl:with-param name="nombre" select="$nbContrib"/>
					<xsl:with-param name="max" select="'3'"/>
				</xsl:apply-templates>
			</tr>
			<tr>
				<td width="635" colspan="4" height="10"/>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Score suprieur au 9me dcile</td>
				<xsl:call-template name="genTDforScore">
					<xsl:with-param name="score">SUPD9</xsl:with-param>
					<xsl:with-param name="class">clGrasFond</xsl:with-param>
				</xsl:call-template>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 3me quartile et le 9me dcile</td>
				<xsl:call-template name="genTDforScore">
					<xsl:with-param name="score">Q3D9</xsl:with-param>
					<xsl:with-param name="class">clTexteGras</xsl:with-param>
				</xsl:call-template>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 2me et le 3me quartile</td>
				<xsl:call-template name="genTDforScore">
					<xsl:with-param name="score">Q2Q3</xsl:with-param>
					<xsl:with-param name="class">clGrasFond</xsl:with-param>
				</xsl:call-template>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 1er et le 2me quartile</td>
				<xsl:call-template name="genTDforScore">
					<xsl:with-param name="score">Q1Q2</xsl:with-param>
					<xsl:with-param name="class">clTexteGras</xsl:with-param>
				</xsl:call-template>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 1er dcile et le 1er quartile </td>
				<xsl:call-template name="genTDforScore">
					<xsl:with-param name="score">D1Q1</xsl:with-param>
					<xsl:with-param name="class">clGrasFond</xsl:with-param>
				</xsl:call-template>
			</tr>
			<tr>
				<td width="335" class="clCouleur2" height="14">&#160;Score infrieur au 1er dcile</td>
				<xsl:call-template name="genTDforScore">
					<xsl:with-param name="score">INFD1</xsl:with-param>
					<xsl:with-param name="class">clTexteGras</xsl:with-param>
				</xsl:call-template>
			</tr>
			<tr>
				<td height="10" width="335"/>
				<td height="10" width="100"/>
				<td height="10" width="100"/>
				<td height="10" width="100"/>
			</tr>
			<tr>
				<td colspan="4" class="clItalic2">&#160;Plus le score est lev, meilleur est le positionnement de l'entreprise par rapport  son secteur</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
	</xsl:template>
	<xsl:template name="genTDforScore">
		<xsl:param name="score"/>
		<xsl:param name="class"/>
		<xsl:for-each select="//POSITIONNEMENT">
			<xsl:if test="@SCORE=$score">
				<td class="{$class}" width="100" height="14" align="right">X&#160;</td>
			</xsl:if>
			<xsl:if test="@SCORE!=$score">
				<td class="{$class}" width="100" height="14" align="right">&#160;</td>
			</xsl:if>
		</xsl:for-each>
		<xsl:if test="count(//POSITIONNEMENT)=1">
			<td class="{$class}" width="100" height="14" align="right">&#160;</td>
			<td class="{$class}" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
		<xsl:if test="count(//POSITIONNEMENT)=2">
			<td class="{$class}" width="100" height="14" align="right">&#160;</td>
		</xsl:if>
	</xsl:template>

  <xsl:template match="SCOREBDF/*/*">
    <!-- noeud courrant : BDFI , on remonte d'un cran : SCBDFI  et on compte son nombre de fils -->
    <xsl:variable name="nbAnnees" select="count(../*)"/>
    <tr>

      <xsl:if test="$nbAnnees=2">
        <td width="570" class="clCouleur2" height="14">Date de clture</td>
        <xsl:apply-templates select="@DATCLOT">
          <xsl:with-param name="nombre" select="1"/>
        </xsl:apply-templates>

        <td width="5"></td>
        <!-- noeud courrant : BDFI , on remonte d'un cran : SCBDFI et on descend vers le 2eme fils (BDFIS) duquel on prend l'attribut @DATSECT-->
        <xsl:apply-templates select="(../*[2])/@DATSECT">
          <xsl:with-param name="nombre" select="1"/> 
        </xsl:apply-templates>
        <!--td class="clCouleur2">(*)</td-->
      </xsl:if>

      <xsl:if test="$nbAnnees=3">
        <td width="570" class="clCouleur2"  border="0" height="14">&#160;Date de clture</td>
        <xsl:apply-templates select="@DATCLOT">
          <xsl:with-param name="nombre" select="2"/>
        </xsl:apply-templates>

        <xsl:apply-templates select="(../*[2])/@DATCLOT">
          <xsl:with-param name="nombre" select="2"/>
        </xsl:apply-templates>

        <td width="5"></td>
        <xsl:apply-templates select="(../*[3])/@DATSECT">
          <xsl:with-param name="nombre" select="2"/> 
        </xsl:apply-templates>
         <!--td class="clCouleur2">(*)</td-->

      </xsl:if>
    </tr>
    <tr>
      <td colspan="6" height="10"/>
    </tr>

    <!-- noeud courrant : BDFI , pour chaque descendant de BDFI (CONT1..CONT2...), chaque descendant, devient le noeud courrant-->
    <xsl:for-each select="descendant::*">
      <xsl:variable name="nbCont" select="count(../*)"/>
      <xsl:variable name="PosContribution" select="position()"/>
      <tr>
        <xsl:variable name="contribution" select="name(.)"/>
        <xsl:variable name="score" select="name(../..)"/>
        <xsl:if test="$PosContribution &lt;$nbCont">
          <td width="460" class="clCouleur2" height="14" border="0">
            <!--on recupere dans le dictionnaire xml, a la balise "score" la ligne qui correspond a l' id de $score et sa contribution qui correspond a l'id $contribution-->
            &#160;<xsl:value-of select="$dictionnaire/score[@id=$score]/contribution[@id=$contribution]"/>

          </td>
          <!-- on selection le noeud textuel du noeud courrant-->

          <td class="clFond" width="140" height="14" align="right">
            <xsl:value-of select="child::text()"/>&#160;
          </td>

          <xsl:if test="$nbAnnees = 2">
            <td class="clFond" width="140" height="14" align="right">&#160;</td>
            <td width="5" height="14"></td>
            <td class="clFond" width="140" height="14" align="right">
              &#160;
              <!-- meme fonctionnement que : <xsl:value-of select="../../*[1]/*[$PosContribution]"/ -->
              <xsl:value-of select="../following-sibling::*[position()=1]/*[$PosContribution]"/>&#160;
            </td>

          </xsl:if>

          <xsl:if test="$nbAnnees = 3">
            <td class="clFond" width="140" height="14" align="right">
              &#160;
              <xsl:value-of select="../following-sibling::*[position()=1]/*[$PosContribution]"/>&#160;
            </td>
            <td width="5" height="14"></td>
            <td class="clFond" width="140" height="14" align="right">
              &#160;
              <xsl:value-of select="../following-sibling::*[position()=2]/*[$PosContribution]"/>&#160;
            </td>
          </xsl:if>
        </xsl:if>


        <xsl:if test="$PosContribution = $nbCont">
          <tr> </tr>
          <td width="460" class="clCouleur2" height="14" border="0">

            &#160;<xsl:value-of select="$dictionnaire/score[@id=$score]/contribution[@id=$contribution]"/>
            <td class="clGrasFond" width="140" height="14" align="right">
              &#160;<xsl:value-of select="child::text()"/>&#160;
            </td>

            <xsl:if test="$nbAnnees = 2">
              <td class="clGrasFond" width="140" height="14" align="right">&#160;</td>
              <td width="5" height="14"></td>
              <td class="clGrasFond" width="140" height="14" align="right">
                <xsl:value-of select="../following-sibling::*[position()=1]/*[last()]"/>&#160;
              </td>
            </xsl:if>

            <xsl:if test="$nbAnnees = 3">
              <td class="clGrasFond" width="140" height="14" align="right">
                &#160;<xsl:value-of select="../following-sibling::*[position()=1]/*[last()]"/>&#160;
              </td>
              <td width="5" height="14" ></td>
              <td class="clGrasFond" width="140" height="14" align="right">
                &#160;<xsl:value-of select="../following-sibling::*[position()=2]/*[last()]"/>&#160;
              </td>
            </xsl:if>
          </td>
        </xsl:if>
      </tr>
    </xsl:for-each>
    <tr><td colspan="6" class="clItalic" height="14"/></tr>
    <tr><td colspan="6"   class="clItalic"> (1) anne de centralisation des ratios sectoriels calcule du 1er juillet de l'anne de rfrence au 30 juin de l'anne suivante</td></tr>
  </xsl:template>
	
	
	
	<xsl:template name="genGraph38">
		<xsl:if test="$condGraph1">
			<form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
				<input name="familyNumber" type="hidden" value="1"/>
				<input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
				<xsl:element name="input">
					<xsl:attribute name="name">GrapheData</xsl:attribute>
					<xsl:attribute name="type">hidden</xsl:attribute>
					<xsl:attribute name="value">&lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
            <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
          </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE38/EJ/IDENTS"/>&lt;/ident&gt;&lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE38/EJ/DENOM"/>&lt;/nom&gt;

<xsl:for-each select="FIBEN/PERSONNE/MODULE38/DIFF38/SCOREBDF/*/*[position()=1]">

	<xsl:variable name="nbAnnees" select="count(../*)"/>
	
	<xsl:variable name="nbCont" select="count(./*)"/>
	
	<xsl:variable name="score" select="name(..)"/>
	

	<xsl:if test="$nbAnnees=3">
		<xsl:for-each select="./*[position() &lt;$nbCont]">

			<xsl:variable name="contribution" select="name(.)"/>
			<xsl:variable name="Nomdicolibelle" select="$dictionnaire/score[@id=$score]/contribution[@id=$contribution]"/>
			<xsl:variable name="PosContribution" select="position()"/>
			
			
			<xsl:variable name="CONTN1" select="."/>
			<xsl:variable name="LAST1" select="../*[last()]"/>
				
		
			<xsl:variable name="CONTN2" select="../../*[position()=2]/*[$PosContribution]"/>
			<xsl:variable name="LAST2" select="../../*[position()=2]/*[last()]"/>
			
			
			<xsl:variable name="CONTN3" select="../../*[position()=3]/*[$PosContribution]"/>
			<xsl:variable name="LAST3" select="../../*[position()=3]/*[last()]"/>
		
			&lt;graphe&gt;
				&lt;serie&gt;
					&lt;val&gt;<xsl:value-of select="$CONTN1"/>&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$LAST1"/>&lt;/val&gt;
					&lt;titre&gt;donn%E9es individuelles <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(../@DATCLOT)"/>
    </xsl:call-template>
      &lt;/titre&gt;
				&lt;/serie&gt;
				&lt;serie&gt;
					&lt;val&gt;<xsl:value-of select="$CONTN2"/>&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$LAST2"/>&lt;/val&gt;
				&lt;titre&gt;donn%E9es individuelles <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(../../*[position()=2]/@DATCLOT)"/>
    </xsl:call-template>
      &lt;/titre&gt;
				&lt;/serie&gt;
				&lt;serie&gt;
					&lt;val&gt;<xsl:value-of select="$CONTN3"/>&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$LAST3"/>&lt;/val&gt;
					&lt;titre&gt;donn%E9es sectorielles <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(../../*[position()=3]/@DATSECT)"/>
    </xsl:call-template>
      &lt;/titre&gt;
				&lt;/serie&gt;
				
				&lt;abcisse&gt;
					
					&lt;val&gt;<xsl:value-of select="$Nomdicolibelle"/>&lt;/val&gt;
					&lt;val&gt;Score BdF&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$score"/>&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$contribution"/>&lt;/val&gt;
				&lt;/abcisse&gt;
				&lt;titre&gt;Score et contribution des ratios&lt;/titre&gt;
				&lt;signet&gt;<xsl:value-of select="$Nomdicolibelle"/>&lt;/signet&gt;-->
			&lt;/graphe&gt;
		</xsl:for-each>	
	</xsl:if>

	<xsl:if test="$nbAnnees=2">
	
		<xsl:for-each select="./*[position() &lt;$nbCont]">

			<xsl:variable name="contribution" select="name(.)"/>
			<xsl:variable name="Nomdicolibelle" select="$dictionnaire/score[@id=$score]/contribution[@id=$contribution]"/>
			<xsl:variable name="PosContribution" select="position()"/>
			
			
			<xsl:variable name="CONTN1" select="."/>
			<xsl:variable name="LAST1" select="../*[last()]"/>
				
			
			<xsl:variable name="CONTN3" select="../../*[position()=2]/*[$PosContribution]"/>
			<xsl:variable name="LAST3" select="../../*[position()=2]/*[last()]"/>
				
			&lt;graphe&gt;
				&lt;serie&gt;
					&lt;val&gt;<xsl:value-of select="$CONTN1"/>&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$LAST1"/>&lt;/val&gt;
					&lt;titre&gt;donn%E9es individuelles <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(../@DATCLOT)"/>
    </xsl:call-template>
      &lt;/titre&gt;
				&lt;/serie&gt;
				
				&lt;serie&gt;
					&lt;val&gt;<xsl:value-of select="$CONTN3"/>&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$LAST3"/>&lt;/val&gt;
					&lt;titre&gt;donn%E9es sectorielles <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(../../*[position()=2]/@DATSECT)"/>
    </xsl:call-template>&lt;/titre&gt;
				&lt;/serie&gt;
				
				&lt;abcisse&gt;
					
					&lt;val&gt;<xsl:value-of select="$Nomdicolibelle"/>&lt;/val&gt;
					&lt;val&gt;Score BdF&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$score"/>&lt;/val&gt;
					&lt;val&gt;<xsl:value-of select="$contribution"/>&lt;/val&gt;
				&lt;/abcisse&gt;
				&lt;titre&gt;Score et contribution des ratios&lt;/titre&gt;
				&lt;signet&gt;<xsl:value-of select="$Nomdicolibelle"/>&lt;/signet&gt;
			&lt;/graphe&gt;
			
		</xsl:for-each>	
	</xsl:if>
	
</xsl:for-each>
&lt;/FIBEN&gt;
				</xsl:attribute>
				</xsl:element>
			</form>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
