<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyName" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
	
<xsl:template match="/">
		<html>
			<xsl:call-template name="genHead">
				<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | /FIBEN/PERSONNE/MODULE40/PM/*/IDENTS|/FIBEN/PERSONNE/MODULE40/PM/EI/IDENTC"/>
			</xsl:call-template>
			<body bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
				<xsl:call-template name="genLigneConfidentiel"/>
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">
					<tr> 
						<td width="64"></td>
						<td colspan="4" class="clCouleur2" valign="top">
							<xsl:call-template name="genEnTete">
								<xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULE40/PM/	*/IDENTS|/FIBEN/PERSONNE/MODULE40/PM/EI/IDENTC"/>
                <xsl:with-param name="nom">
                  <xsl:if test ="/FIBEN/PERSONNE/MODULE40/PM/EJ/DENOM">
                    <xsl:value-of select ="/FIBEN/PERSONNE/MODULE40/PM/EJ/DENOM"/>
                  </xsl:if>
                  <xsl:if test ="/FIBEN/PERSONNE/MODULE40/PM/EI/IDENTITE/NOM">
                    <xsl:call-template name ="displayInLowerCaseXsl">
                      <xsl:with-param name ="InputStringNom" select ="(/FIBEN/PERSONNE/MODULE40/PM/EI/IDENTITE/NOM)"/>
                      <xsl:with-param name ="InputStringPrenom" select ="(/FIBEN/PERSONNE/MODULE40/PM/EI/IDENTITE/PRENOM)"/>
                    </xsl:call-template>
                  </xsl:if>
                </xsl:with-param>                              
                                
								<xsl:with-param name="nomconj" select="//IDENTITE/NOMCONJ"/>
								<xsl:with-param name="idrenv" select="/FIBEN/PERSONNE/MODULE40/PM/EI/IDRENV"/>
							</xsl:call-template>
							<xsl:if test="not(//IRELB01)">
								<xsl:apply-templates select="/FIBEN/PERSONNE/MODULE40/DIFF40/NBRELBAN"/>
								<table width="739" border="0" cellspacing="0" cellpadding="0">
									<tr> 
										<td width="24" class="clCouleur2" align="right"></td>
										<td width="66" class="clCouleur2">Banque</td>
										<td width="79" class="clCouleur2">Guichet</td>
										<td width="304" class="clCouleur2">Libell de l'tablissement bancaire </td>
                    <td width="162" class="clCouleur2" align="center">Date de mise  jour</td>
										<td width="104"> &#160;</td>
									</tr>
									<xsl:apply-templates select="/FIBEN/PERSONNE/MODULE40/DIFF40/RELBAN"/>
								</table>
							</xsl:if>
							<xsl:if test="//IRELB01">
								<table width="739" border="0" cellspacing="0" cellpadding="0">
									<tr> 
										<td class="clCouleur2" align="left"><xsl:apply-templates select="//IRELB01"/></td>
									</tr>
								</table>
							</xsl:if>
							<img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" /> 
							<xsl:apply-templates select="//IDLIES"/>
						</td>
					</tr>
					
				</xsl:if>
			</table>
      <xsl:call-template name="genBasPage"/>
		</body>
	</html>
</xsl:template>
	
<xsl:template match="NBRELBAN">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">
				LISTE DES RELATIONS BANCAIRES (<xsl:value-of select="."/>)<br/>
				<xsl:call-template name="shim"/>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="RELBAN">
	<xsl:if test="position() mod 2 != 0">
		<tr> 
			<td width="24" class="clFond">&#160;</td>
			<td width="66" class="clFond"><xsl:value-of select="COBAN"/></td>
			<td width="79" class="clFond"><xsl:value-of select="COGUI"/></td>
			<td width="304" class="clFond"><xsl:value-of select="LIBBAN"/></td>
      <td width="162" class="clFond" align="center">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
        </xsl:call-template>
      </td>
			<td align="right">&#160;</td>
		</tr>
	</xsl:if>
	<xsl:if test="position() mod 2 = 0">
		<tr> 
			<td width="24" class="clTexte" align="right"></td>
			<td width="66" class="clTexte"><xsl:value-of select="COBAN"/></td>
			<td width="79" class="clTexte"><xsl:value-of select="COGUI"/></td>
			<td width="304" class="clTexte"><xsl:value-of select="LIBBAN"/></td>
      <td width="162" class="clTexte" align="center">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
        </xsl:call-template>
      </td>
			<xsl:if test="position() mod 10 = 0">
				<td align="right">
					<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" 	name="Image112" /></a>
				</td>
			</xsl:if>
			<xsl:if test="position() mod 10 != 0">
				<td align="right">
					&#160;
				</td>
			</xsl:if>
		</tr>
	</xsl:if>
</xsl:template>
	
</xsl:stylesheet>
