<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">                       
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>

  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE41/EJ/IDENTS"/>
      </xsl:call-template>
      <body  bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        <table class="mainmodule horizontal-auto"  border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel"/>
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">
            <tr>
              <td width="64"></td>
              <td width="739" colspan="4" class="clCouleur2" valign="top">
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE41/EJ"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE41/IST10|FIBEN/PERSONNE/MODULE41/IET02" mode="genTable"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE41/DIFF41"/>
              </td>
            </tr>

          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>

      </body>
    </html>
  </xsl:template>

  <xsl:template match="FIBEN/PERSONNE/MODULE41/EJ">
    <xsl:call-template name="genEnTete">
      <xsl:with-param name="ident" select="IDENTS"/>
      <xsl:with-param name="nom" select="DENOM"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="IST10|IET02" mode="genTable">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="14"></td>
        <td class="clCouleur2" valign="top">
          <xsl:apply-templates select="."/>
        </td>
      </tr>
      <tr>
        <td width="14"></td>
        <td>
          <xsl:call-template name="shim"/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="DIFF41">
    <xsl:apply-templates select="DATCRE"/>
    <xsl:apply-templates select="MONOETABLISSEMENT"/>
    <xsl:apply-templates select="MULTIETABLISSEMENT"/>
  </xsl:template>

  <xsl:template match="DATCRE">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="210">Anne de cration de l'entreprise</td>
        <td width="425" class="clFond">
          &#160;<xsl:value-of select="."/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="MONOETABLISSEMENT">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">ENTREPRISE MONO-ETABLISSEMENT</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <xsl:apply-templates select="INVENTAIRE"/>
  </xsl:template>

  <xsl:template match="MULTIETABLISSEMENT">
    <xsl:if test="ETABLISSEMENT/SIEGE">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td class="clCouleur2">SIGE SOCIAL</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <xsl:apply-templates select="ETABLISSEMENT[SIEGE]"/>
    </xsl:if>
    <xsl:choose>

      <xsl:when test="(480 > NBETAB)">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td class="clCouleur2">
              TABLISSEMENTS (<xsl:value-of select="count(ETABLISSEMENT)-count(ETABLISSEMENT[SIEGE])"/>)
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
        <xsl:apply-templates select="ETABLISSEMENT[not(SIEGE)]"/>
      </xsl:when>

      <xsl:when test="(NBETABTOT &gt; 480)">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td height="25" class="clCouleur2">
              TABLISSEMENTS (<xsl:value-of select="count(ETABLISSEMENT)-count(ETABLISSEMENT[SIEGE])"/> tablissements affichs sur un total de <xsl:value-of select="NBETABTOT"/>)
            </td>
          </tr>
        </table>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="25"></td>
            <td width="580" align="center" class="clCouleur2">
              <xsl:apply-templates select="//NBETABTOT" />
            </td>

          </tr>
        </table>

        <xsl:call-template name="shim"/>
        <br />
        <xsl:apply-templates select="ETABLISSEMENT[not(SIEGE)]"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="ETABLISSEMENT">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="50" class="clCouleur2">&#160;SIRET</td>
        <td width="160" class="clFond">
          &#160;<xsl:call-template name ="displaySiretXsl">
            <xsl:with-param name ="InputSiret" select ="(SIRET)"/>
          </xsl:call-template>          
        </td>
        <td width="336" class="clgRASFond">
          <xsl:value-of select="LOCALI"/>
        </td>
        <td width="45" class="clCouleur2">&#160;Anne</td>
        <td width="45" class="clFond">
          &#160;<xsl:value-of select="INVENTAIRE/DATINV"/>
        </td>
        <xsl:if test="position() mod 3 = 0">
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="2" class="clTexte">
          &#160;<xsl:value-of select="DENOM"/>
        </td>
        <xsl:if test="CESSACT">
          <td width="140" class="clCouleur2">&#160;Cessation d'activit</td>
          <td width="177" class="clTexte">
            &#160;<xsl:value-of select="CESSACT"/>
          </td>
        </xsl:if>
        <xsl:if test="not(CESSACT)">
          <td width="140" class="clCouleur2">&#160;</td>
          <td width="177" class="clTexte">&#160;</td>
        </xsl:if>
      </tr>
    </table>
    <xsl:apply-templates select="INVENTAIRE"/>
  </xsl:template>

  <xsl:template match="INVENTAIRE">

    <xsl:variable name="ACTBDF" select="ACTBDF"/>
    <xsl:variable name="CODNAF" select="CODNAF"/>
    <xsl:variable name="from">'</xsl:variable>
    <xsl:variable name="to">&#146;</xsl:variable>
    <xsl:variable name="LibActivite" select="translate($dictionnaire//ssclasse[@id=$ACTBDF],$from,$to)"/>
    <xsl:variable name="LibNAF" select="translate($dictionnaire//ssclasse[@id=$CODNAF],$from,$to)"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="140" class="clCouleur2">&#160;Activit INSEE</td>
        <td width="178" class="clFond">
          &#160;<a href="#nullePart" onclick="requestVariousInfos('{$LibNAF}',cstWording)" class="clTexte">
            <u>
              <xsl:value-of select="CODNAF"/>
            </u>
          </a>
        </td>
        <td width="140" class="clCouleur2">&#160;Activit BDF</td>
        <td width="177" class="clFond">
          <xsl:if test="normalize-space(ACTBDF)='ND'">
            &#160;ND
          </xsl:if>
          <xsl:if test="normalize-space(ACTBDF)!='ND'">
            &#160;<a href="#nullePart" onclick="requestVariousInfos('{$LibActivite}',cstWording)" class="clTexte">
              <u>
                <xsl:value-of select="ACTBDF"/>
              </u>
            </a>
          </xsl:if>
        </td>
      </tr>
      <xsl:apply-templates select="DINV|DINSEE"/>
    </table>
    <xsl:call-template name="shim"/>
    <br />
  </xsl:template>

  <xsl:template match="DINSEE">
    <tr>
      <td width="140" class="clCouleur2">&#160;Tranche effectif</td>
      <td width="178" class="clTexte">
        &#160;<xsl:value-of select="TREFF"/><xsl:value-of select="TREFF/@ETAT"/>
      </td>
      <td width="140" class="clCouleur2">&#160;Tranche C.A. HT</td>
      <td width="177" class="clTexte">
        &#160;<xsl:value-of select="TRCA"/><xsl:value-of select="TRCA/@ETAT"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="DINV">
    <tr>
      <td width="140" class="clCouleur2">&#160;Effectif</td>
      <td width="178" class="clTexte">
        <xsl:if test="p2058YP/@ETAT">
          &#160;<xsl:value-of select="p2058YP/@ETAT"/>
        </xsl:if>
        <xsl:if test="not(p2058YP/@ETAT)">
          &#160;<xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(p2058YP)"/>
        </xsl:call-template>          
        </xsl:if>
      </td>
      <td width="140" class="clCouleur2">&#160;C.A. HT</td>
      <td width="177" class="clTexte">
        <xsl:if test="pCAHT/@ETAT">
          &#160;<xsl:value-of select="pCAHT/@ETAT"/>
        </xsl:if>
        <xsl:if test="not(pCAHT/@ETAT)">
          &#160;<xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(pCAHT)"/>
        </xsl:call-template>&#160;<xsl:value-of select="@UNITE"/><img height="9" src="{$root}Images/Commun/euro_symb.gif" width="8" />
        </xsl:if>
      </td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
