<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
    <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
    <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
    <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
    <xsl:param name="langage" select="'fr'"/>
    <xsl:param name="familyName" select="''"/>
    <xsl:param name="root" select="'/Fiben/'"/>
    <xsl:param name="familyNumber" select="''"/>
    <xsl:param name="familyTitle" select="''"/>
    <xsl:param name="nextModule" select="''"/>
    <xsl:param name="nextId" select="''"/>
    <xsl:param name="nextFamily" select="''"/>
    <xsl:param name="menuHTML1"/>
    <xsl:variable name="condGraph1" select="//NBASSOCIE>1"/>

    <xsl:template match="/">
        <html>
            <xsl:call-template name="genHead">
                <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | /FIBEN/PERSONNE/MODULE53/PM53/EJ/IDENTS | /FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTS | /FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTC | FIBEN/PERSONNE/MODULE53/PP/IDENTC"/>
            </xsl:call-template>
            <body  bgcolor="#ffffff" >
              <xsl:call-template name="genFondMenu">
                <xsl:with-param name="root" select="$root" />
              </xsl:call-template>
              <xsl:copy-of select="$menuHTML1"/>
              
                <table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
                  <xsl:call-template name="genLigneConfidentiel" />
                    <xsl:apply-templates select="/FIBEN/ERREUR"/>
                    <xsl:if test="not(/FIBEN/ERREUR)">

                        <tr>
                            <td width="64">&#160;</td>
                            <td width="739" colspan="4" class="clCouleur2" valign="top">
                                <!-- appel du template avec parametre segment  pas -->

                                <xsl:choose>
                                    <!-- Cas d'une PM (EJ ou EI)  -->
                                    <xsl:when test ="/FIBEN/PERSONNE/MODULE53/PM53/ */IDENTS">
                                        <xsl:call-template name="genEnTete">
                                            <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULE53/PM53/EJ/IDENTS | /FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTS" />
                                            <xsl:with-param name="nom">
                                                <xsl:if test ="/FIBEN/PERSONNE/MODULE53/PM53/EJ/DENOM">
                                                    <xsl:value-of select ="/FIBEN/PERSONNE/MODULE53/PM53/EJ/DENOM"/>
                                                </xsl:if>
                                                <xsl:if test ="/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/NOM">
                                                    <xsl:call-template name ="displayInLowerCaseXsl">
                                                        <xsl:with-param name ="InputStringNom" select ="(/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/NOM)"/>
                                                        <xsl:with-param name ="InputStringPrenom" select ="(/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/PRENOM)"/>
                                                    </xsl:call-template>
                                                </xsl:if>
                                            </xsl:with-param>
                                            <xsl:with-param name="nomconj" select="/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/NOMCONJ"/>
                                            <xsl:with-param name="valcot" select="/FIBEN/PERSONNE/MODULE53/DIFF53/VALCOT"/>                                                                       
                                            <xsl:with-param name="valindic" select="/FIBEN/PERSONNE/MODULE53/DIFF53/VALINDIC"/>
                                            <xsl:with-param name="idrenv" select="/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDRENV"/>
                                            <xsl:with-param name ="segment">
                                                <xsl:if test ="/FIBEN/PERSONNE/MODULE53/DIFF53/SEGMENT">
                                                    <xsl:value-of select="/FIBEN/PERSONNE/MODULE53/DIFF53/SEGMENT"/>
                                                </xsl:if>
                                            </xsl:with-param>
                                        </xsl:call-template>
                                    </xsl:when>
                                    <!-- Cas d'une PP (PP ou PPEI)  -->
                                    <xsl:otherwise>
                                        <xsl:call-template name="genEnTete">
                                            <xsl:with-param name="ident" select="FIBEN/PERSONNE/MODULE53/PP/IDENTC | FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTC" />
                                            <xsl:with-param name="idrenv" select="/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDRENV"/>
                                            <xsl:with-param name="nom">
                                                <xsl:if test ="/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/NOM">
                                                    <xsl:call-template name ="displayInLowerCaseXsl">
                                                        <xsl:with-param name ="InputStringNom" select ="(/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/NOM)"/>
                                                        <xsl:with-param name ="InputStringPrenom" select ="(/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/PRENOM)"/>
                                                    </xsl:call-template>
                                                </xsl:if>
                                                <xsl:if test ="/FIBEN/PERSONNE/MODULE53/PP/IDENTITE/NOM">
                                                    <xsl:call-template name ="displayInLowerCaseXsl">
                                                        <xsl:with-param name ="InputStringNom" select ="(/FIBEN/PERSONNE/MODULE53/PP/IDENTITE/NOM)"/>
                                                        <xsl:with-param name ="InputStringPrenom" select ="(/FIBEN/PERSONNE/MODULE53/PP/IDENTITE/PRENOM)"/>
                                                    </xsl:call-template>
                                                </xsl:if>
                                            </xsl:with-param>
                                            <xsl:with-param name="nomconj" select="/FIBEN/PERSONNE/MODULE53/PP/IDENTITE/NOMCONJ | /FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTITE/NOMCONJ"/>
                                            <xsl:with-param name="valcot" select="/FIBEN/PERSONNE/MODULE53/DIFF53/VALCOT"/>
                                            <xsl:with-param name="valindic" select="/FIBEN/PERSONNE/MODULE53/DIFF53/VALINDIC"/>                                            
                                        </xsl:call-template>
                                    </xsl:otherwise> 
                                </xsl:choose>

                                <xsl:if test="/FIBEN/PERSONNE/MODULE53/IEC01|/FIBEN/PERSONNE/MODULE53/IST10">
                                    <table width="635" border="0" cellspacing="0" cellpadding="0">
                                        <tr>
                                            <td width="14"></td>
                                            <td colspan="4" class="clCouleur2" valign="top">
                                                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE53/IEC01|/FIBEN/PERSONNE/MODULE53/IST10"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="14"></td>
                                            <td colspan="4">
                                                <xsl:call-template name="shim"/>
                                            </td>
                                        </tr>
                                    </table>
                                </xsl:if>
                                
                               
                                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE53/DIFF53"/>
                                <xsl:apply-templates select="//HOMONYME"/>
                                <xsl:apply-templates select="//IDLIES"/>
                                
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4"></td>
                        </tr>

                    </xsl:if>
                </table>
                <xsl:call-template name="genBasPage"/>
                <xsl:call-template name="genGraph53"/>
            </body>
        </html>
    </xsl:template>

    
    <xsl:template match="IEC01|IST10" mode="genTable">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="14"></td>
                <td class="clCouleur2" valign="top">
                    <xsl:apply-templates select="."/>
                </td>
            </tr>
            <tr>
                <td width="14"></td>
                <td>
                    <xsl:call-template name="shim"/>
                </td>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="DIFF53">        
        <xsl:choose >
            <xsl:when test ="/FIBEN/PERSONNE/MODULE53/DIFF53/IST53A">
                <xsl:apply-templates select="IST53A"/>
            </xsl:when>
            <xsl:when test ="/FIBEN/PERSONNE/MODULE53/DIFF53/IST53B">
                <xsl:apply-templates select="IST53B"/>
            </xsl:when>
            <xsl:when test="/FIBEN/PERSONNE/MODULE53/DIFF53/IST53C">
                <xsl:apply-templates select="IST53C"/>
            </xsl:when>          
            <xsl:otherwise >
               
                        <table width="635" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                                <td class="clCouleur2" width="130">&#160;Capital</td>
                                <td width="365" class="clFond">
                                    <xsl:if test="p2051DA/@ETAT">
                                        &#160;<xsl:value-of select="p2051DA/@ETAT"/>
                                    </xsl:if>
                                    <xsl:if test="not(p2051DA/@ETAT)">
                                        &#160;<xsl:call-template name ="displayNumberXsl">
                                            <xsl:with-param name ="InputStringNumber" select ="(p2051DA)"/>
                                        </xsl:call-template>
                                        &#160;<img src="{$root}Images/risque/euro_symb_fond.gif" width="8" />
                                    </xsl:if>
                                </td>
                                <td width="45" class="clCouleur2" align="right">au&#160;</td>
                                <td width="95" class="clFond" align="right">
                                    &#160;&#160;<xsl:call-template name ="displayDateXsl">
                                        <xsl:with-param name ="InputDate" select ="(DATAG)"/>
                                    </xsl:call-template>&#160;
                                </td>
                            </tr>
                        </table>
                        <xsl:call-template name="shim"/>                      
            </xsl:otherwise>
        </xsl:choose>
        <!-- Partie ASSOCIE -->
      <xsl:choose >
      <xsl:when test="/FIBEN/PERSONNE/MODULE53/DIFF53/IST53D">
        <xsl:apply-templates select="IST53D"/>
      </xsl:when>
        <xsl:otherwise >
            <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE53/DIFF53/INFOASSOCIES53/NBASSOCIE"/>
            <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE53/DIFF53/INFOASSOCIES53/ASSOCIE"/>
        </xsl:otherwise>
      </xsl:choose>
        <xsl:choose >
            <!-- Partie PARTICIPATION -->
            <xsl:when test ="/FIBEN/PERSONNE/MODULE53/DIFF53/IST53E">
                <xsl:apply-templates select="IST53E"/>
            </xsl:when>           
            <xsl:otherwise >
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE53/DIFF53/INFOPARTICIPATIONS53/AUTRFDPP"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE53/DIFF53/INFOPARTICIPATIONS53/AUTRFDEI"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE53/DIFF53/INFOPARTICIPATIONS53/NBPARTICIPATION"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE53/DIFF53/INFOPARTICIPATIONS53/PARTICIPATION"/>               
            </xsl:otherwise>
        </xsl:choose>

    </xsl:template>


    <xsl:template match="IST53A">
        <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
            <tr>
                <td  width="522" align="left">
                    <!--Pas d'information recense concernant le capital de cet identifiant)-->
                    <xsl:value-of select="($dictionnaire/mot[@id='IST53A'])"/>
                </td>
                <td width="103" align="right">
                </td>
            </tr>

        </table>
        <xsl:call-template name="shim"/>
        <br/>
    </xsl:template>
    
    <xsl:template match="IST53B">
        <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
            <tr>
                <td  width="522" align="left">
                    <!--Pas d'information disponible sur les associs pour les personnes physiques)-->
                    <xsl:value-of select="($dictionnaire/mot[@id='IST53B'])"/>
                </td>
                <td width="103" align="right">
                </td>
            </tr>

        </table>
        <xsl:call-template name="shim"/>
        <br/>
    </xsl:template>

    <xsl:template match="IST53C">
        <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
            <tr>
                <td  width="522" align="left">
                    <!--Pas d'information disponible sur les associs pour les entreprises individuelles)-->
                    <xsl:value-of select="($dictionnaire/mot[@id='IST53C'])"/>
                </td>
                <td width="103" align="right">
                </td>
            </tr>

        </table>
        <xsl:call-template name="shim"/>
        <br/>
    </xsl:template>

    <xsl:template match="IST53D">
        <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
            <tr>
                <td  width="522" align="left">
                    <!--Pas d'information recense sur les associs pour cet identifiant)-->
                    <xsl:value-of select="($dictionnaire/mot[@id='IST53D'])"/>
                </td>
                <td width="103" align="right">
                </td>
            </tr>

        </table>
        <xsl:call-template name="shim"/>
        <br/>
    </xsl:template>
    
    <xsl:template match="NBASSOCIE">
        <a name="ancAssoc"></a>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="19">&#160;</td>
                <td class="clCouleur2" width="597" align="center">
                    PRINCIPAL(AUX) ASSOCI(S) (<xsl:value-of select="."/>)
                </td>
                <td width="19">
                    <xsl:if test="$condGraph1">
                        <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe1';window.document.forms	['FormGraphes'].submit();">
                            <img title="Graphique" alt="Graphique" border="0" height="20" name="dia2" src="{$root}Images/risque/diagramme.gif" width="19"/>
                        </a>
                    </xsl:if>
                    <xsl:if test="$condGraph1!='true'">
                        <img src="{$root}Images/boutons/diagramme_in.gif" width="19" height="20" border="0" title="Graphique" alt="Graphique" />
                    </xsl:if>
                </td>
            </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
    </xsl:template>
    
    <xsl:template match="ASSOCIE">
        <xsl:apply-templates select="CAPITAL">
            <xsl:with-param name="indice" select="position()"/>
        </xsl:apply-templates>
        
        <xsl:apply-templates select="ASSOCSPE|ASSOCPP|ASSOCEJ"/>
    </xsl:template>

    <xsl:template match="CAPITAL">

        <xsl:param name="indice"/>

        <table width="739" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="130" class="clCouleur2">&#160;Pourcentage dtenu</td>
                <td width="182" class="clFond">
                    &#160;<xsl:value-of select="POURCENTAGE"/>
                </td>
                <td width="80" class="clFond">&#160;</td>
                <xsl:if test="DATDET">
                    <td class="clFond" align="right" width="148">&#160;Depuis le</td>
                    <td class="clFond" align="right" width="95">
                        <xsl:call-template name ="displayDateXsl">
                            <xsl:with-param name ="InputDate" select ="(DATDET)"/>
                        </xsl:call-template>&#160;
                    </td>
                </xsl:if>
                <xsl:if test="not(DATDET)">
                    <td class="clFond" align="right" width="148">&#160;</td>
                    <td class="clFond" align="right" width="95">&#160;</td>
                </xsl:if>
                <xsl:if test="$indice mod 3 = 0">
                    <td width="103" align="right">
                        <a href="#ancHaut">
                            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
                        </a>
                    </td>
                </xsl:if>
                <xsl:if test="$indice mod 3 != 0">
                    <td width="103" align="right">
                        &#160;
                    </td>
                </xsl:if>
            </tr>
        </table>
    </xsl:template>


    <xsl:template match="ASSOCSPE">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr align="left" valign="middle">
                <td class="clTexte" width="130">
                    &#160;<xsl:value-of select="DENOM"/>
                </td>
                <td width="182"></td>
                <td width="80"></td>
                <td width="148"></td>
                <td width="95"></td>
            </tr>
            <tr>
                <td colspan="4">
                    &#160;
                </td>
                <td width="95" >
                    &#160;
                </td>
            </tr>

        </table>
        <xsl:call-template name="shim"/>

    </xsl:template>

    <xsl:template match="ASSOCPP">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td colspan="2" class="clTexte" width="312">
                    &#160;<xsl:call-template name ="displayInLowerCaseXsl">
                        <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
                        <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
                    </xsl:call-template>
                </td>
                <xsl:if test="PP/IDENTITE/NOMCONJ">
                    <td width="80" class="clCouleur2" align="left">&#160;Nom marital</td>
                    <td class="clTexte" colspan="2" width="243">
                        &#160;<xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
                    </td>
                </xsl:if>
                <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
                    <td width="80" class="clCouleur2">&#160;</td>
                    <td class="clTexte" colspan="2" width="243">&#160;</td>
                </xsl:if>
            </tr>

            <xsl:choose>
                <xsl:when test ="AUTRFDPP">
                    <tr valign="middle">
                        <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
                        <td class="clFond" width="182" align="left">
                            &#160;<xsl:value-of select="PP/IDENTC"/>
                        </td>
                      <xsl:if test="not(VALCOT='NS')">
                        <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
                        <td class="clFond" width="148" align="left">
                            &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                                <u>
                                    <xsl:value-of select="VALCOT"/>
                                </u>
                            </a>
                        </td>
                        <td class="clFond" width="95" align="right">
                            <a href="#nullepart" onClick="requestBDFInfos('27|37|53|56|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                                <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                            </a>
                        </td>
                      </xsl:if>
                      <xsl:if test="(VALCOT='NS')">
                        <td class="clFond" width="323" align="right" colspan="3">
                          <a href="#nullepart" onClick="requestBDFInfos('27|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                            <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                          </a>
                        </td>
                      </xsl:if>
                    </tr>
                    <tr>
                        <td class="clTexte" colspan="4" align="left">
                            &#160;Prsence de fonction de reprsentant(s) lgal(aux) dans une/des socit(s)
                        </td>
                        <td width="95" >
                            &#160;
                        </td>
                    </tr>
                </xsl:when>
                <xsl:otherwise>
                    <tr valign="middle">
                        <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
                        <td class="clFond" width="182" align="left">
                            &#160;<xsl:value-of select="PP/IDENTC"/>
                        </td>
                      <xsl:if test="not(VALCOT='NS')">
                        <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
                        <td class="clFond" width="148" align="left">
                            &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                                <u>
                                    <xsl:value-of select="VALCOT"/>
                                </u>
                            </a>
                        </td>
                        <td class="clFond" width="95" align="right">
                            <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                                <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                            </a>
                        </td>
                      </xsl:if>
                      <xsl:if test="(VALCOT='NS')">
                        <td class="clFond" width="323" align="right" colspan="3">
                          <a href="#nullepart" onClick="requestBDFInfos('27|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                            <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                          </a>
                        </td>
                      </xsl:if>
                    </tr>
                    <tr>
                        <td class="clTexteGras" colspan="4" align="left">
                            &#160;
                        </td>
                        <td width="95" >
                            &#160;
                        </td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>

        </table>
        <xsl:call-template name="shim"/>
    </xsl:template>

    <xsl:template match="ASSOCEJ">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td class="clTexte" colspan="5" height="14" width="635">
                    &#160;<xsl:value-of select="EJ/DENOM"/>
                </td>
            </tr>
            <tr>
                <td class="clFond" colspan="5" width="635">
                    &#160;<xsl:value-of select="LOCALI"/>
                </td>
            </tr>
        </table>
        <xsl:if test="not(SEGMENT)">
            <table width="635" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
                    <td class="clTexte" width="182" align="left">
                        &#160;<xsl:call-template name ="displaySirenXsl">
                            <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                        </xsl:call-template>
                    </td>
                    <xsl:variable name="locali" select="LOCALI"></xsl:variable>
                    <xsl:choose>
                        <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
                        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
                            <td class="clCouleur2" width="80" align="left">&#160;Cotation</td>
                            <td class="clTexte" width="148" align="left">
                                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                                    <u>
                                        <xsl:value-of select="VALCOT"/>
                                    </u>
                                </a>
                            </td>
                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','1','{EJ/IDENTS}',cstMultipleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:when>
                        <xsl:otherwise>
                            <td class="clCouleur2" width="80" align="left">&#160;</td>
                            <td class="clTexte" width="148" align="left">&#160;</td>
                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:otherwise>
                    </xsl:choose>
                </tr>
                <tr>
                    <td colspan="4">
                        &#160;
                    </td>
                    <td width="95" >
                        &#160;
                    </td>
                </tr>
            </table>
        </xsl:if>
        <xsl:if test="SEGMENT">
            <table width="635" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
                    <td class="clTexte" width="107" align="left">
                        &#160;<xsl:call-template name ="displaySirenXsl">
                            <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                        </xsl:call-template>
                    </td>
                    <xsl:variable name="locali" select="LOCALI"></xsl:variable>
                    <xsl:choose>
                        <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
                        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
                            <td class="clCouleur2" width="155" align="left">&#160;Cotation | Segmentation</td>
                            <td class="clTexte" width="148" align="left">
                                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                                    <u>
                                        <xsl:value-of select="VALCOT"/>
                                    </u>
                                </a><a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                                    &#160;|&#160;<u>
                                        <xsl:value-of select="SEGMENT"/>
                                    </u>
                                </a>
                            </td>
                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27|37|39|53|','','1','{EJ/IDENTS}',cstMultipleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:when>
                        <xsl:otherwise>
                            <td class="clCouleur2" width="155" align="left">&#160;</td>
                            <td class="clTexte" width="148" align="left">&#160;&#160;|&#160;</td>
                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:otherwise>
                    </xsl:choose>
                </tr>
                <tr>
                    <td colspan="4">
                        &#160;
                    </td>
                    <td width="95" >
                        &#160;
                    </td>
                </tr>
            </table>
        </xsl:if>

        <xsl:call-template name="shim"/>

    </xsl:template>

    <xsl:template match="AUTRFDEI">
        <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
            <tr>
                <td  width="532" align="left">
                    <!--Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)-->
                    <xsl:value-of select="($dictionnaire/mot[@id='AUTRFDEI'])"/>
                </td>

                <td width="103" align="right">
                    <a href="#nullepart" onclick="requestBDFInfos('56','','','',cstSimpleConfirm);">
                        <img border="0" height="12" 	src="{$root}images/Commun/clignotant2.gif" width="90"/>
                    </a>
                </td>
            </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br/>
    </xsl:template>

    <xsl:template match="AUTRFDPP">
        <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
            <tr>
                <td  width="532" align="left">
                    <!--Prsence de fonction de reprsentant(s) lgal(aux) dans une/des socit(s)-->
                    <xsl:value-of select="($dictionnaire/mot[@id='AUTRFDPP'])"/>
                </td>

                <td width="103" align="right">
                    <a href="#nullepart" onclick="requestBDFInfos('56','','','',cstSimpleConfirm);">
                        <img border="0" height="12" 	src="{$root}images/Commun/clignotant2.gif" width="90"/>
                    </a>
                </td>
            </tr>

        </table>
        <xsl:call-template name="shim"/>
        <br/>
    </xsl:template>

    <xsl:template match="IST53E">
        <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
            <tr>
                <td  width="522" align="left">
                    <!--Pas d'information recense sur les participations pour cet identifiant)-->
                    <xsl:value-of select="($dictionnaire/mot[@id='IST53E'])"/>
                </td>
                <td width="103" align="right">
                </td>
            </tr>

        </table>
        <xsl:call-template name="shim"/>
        <br/>
    </xsl:template>

    <xsl:template match="NBPARTICIPATION">
        <a name="ancPartic"></a>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr align="center">
                <td class="clCouleur2">
                    PRINCIPALE(S) PARTICIPATION(S) (<xsl:value-of select="."/>)
                </td>
            </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
    </xsl:template>

    <xsl:template match="IEC01|IST10" mode="genTable">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="14"></td>
                <td class="clCouleur2" valign="top">
                    <xsl:apply-templates select="."/>
                </td>
            </tr>
            <tr>
                <td width="14"></td>
                <td>
                    <xsl:call-template name="shim"/>
                </td>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="PARTICIPATION">
        <xsl:variable name="actbdf" select="ACTBDF"/>
        <xsl:variable name="from">'</xsl:variable>
        <xsl:variable name="to">&#146;</xsl:variable>
        <xsl:variable name="libActivite" select="translate($dictionnaire//ssclasse[@id=$actbdf],$from,$to)" />
        <table width="739" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="130" class="clCouleur2">&#160;Pourcentage d&#233;tenu</td>
                <td width="107" class="clFond">
                    &#160;<xsl:value-of select="CAPITAL/POURCENTAGE"/>
                </td>
                <td width="155" class="clFond">&#160;</td>
                <xsl:if test="CAPITAL/DATDET">
                    <td class="clFond" align="right" width="148">Depuis le</td>
                    <td class="clFond" align="right" width="95">
                        <xsl:call-template name ="displayDateXsl">
                            <xsl:with-param name ="InputDate" select ="(CAPITAL/DATDET)"/>
                        </xsl:call-template>&#160;
                    </td>
                </xsl:if>
                <xsl:if test="not(CAPITAL/DATDET)">
                    <td class="clFond" align="right" width="148">&#160;</td>
                    <td class="clFond" align="right" width="95">&#160;</td>
                </xsl:if>
                <xsl:if test="position() mod 3 = 0">
                    <td rowspan="4" width="103" align="right">
                        <a href="#ancHaut">
                            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
                        </a>
                    </td>
                </xsl:if>
                <xsl:if test="position() mod 3 != 0">
                    <td rowspan="4" width="103" align="right">
                        &#160;
                    </td>
                </xsl:if>
            </tr>
        </table>

        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="635" class="clTexte" colspan="5">
                    &#160;<xsl:value-of select="EJ/DENOM"/>
                </td>
            </tr>
        </table>

        <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td class="clFond" colspan="2" width="312">
                    &#160;<xsl:value-of select="LOCALI"/>
                </td>
                <td width="80" class="clCouleur2" align="left">&#160;Activit&#233; BDF</td>
                <td colspan="2" class="clFond" width="243">
                    <a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{$libActivite}',cstWording)" >
                        <u>
                            <xsl:value-of select="ACTBDF"/>
                        </u>
                    </a>
                </td>
            </tr>
        </table>

        <xsl:if test="not(SEGMENT)">
            <table width="635" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td class="clCouleur2" width="130">&#160;Identifiant</td>
                    <td class="clTexte" width="182">
                        &#160;<xsl:call-template name ="displaySirenXsl">
                            <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                        </xsl:call-template>
                    </td>
                    <xsl:variable name="locali" select="LOCALI"></xsl:variable>
                    <xsl:choose>
                        <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
                        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
                            <td class="clCouleur2" width="80" align="left">&#160;Cotation</td>
                            <td class="clTexte" width="148">
                                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                                    <u>
                                        <xsl:value-of select="VALCOT"/>
                                    </u>
                                </a>
                            </td>

                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','1','{EJ/IDENTS}',cstMultipleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:when>
                        <xsl:otherwise>
                            <td class="clCouleur2" width="80" align="left">&#160;</td>
                            <td class="clTexte" width="148">&#160;</td>
                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:otherwise>
                    </xsl:choose>
                </tr>
            </table>
        </xsl:if>

        <xsl:if test ="SEGMENT">
            <table width="635" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td class="clCouleur2" width="130">&#160;Identifiant</td>
                    <td class="clTexte" width="107">
                        &#160;<xsl:call-template name ="displaySirenXsl">
                            <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                        </xsl:call-template>
                    </td>
                    <xsl:variable name="locali" select="LOCALI"></xsl:variable>
                    <xsl:choose>
                        <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
                        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
                            <td class="clCouleur2" width="155">&#160;Cotation | Segmentation</td>
                            <td class="clTexte" width="148">
                                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                                    <u>
                                        <xsl:value-of select="VALCOT"/>
                                    </u>
                                </a>&#160;|&#160;
                                <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment)">
                                    <u>
                                        <xsl:value-of select="SEGMENT"/>
                                    </u>
                                </a>
                            </td>
                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27|37|39|53|','','1','{EJ/IDENTS}',cstMultipleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:when>
                        <xsl:otherwise>
                            <td class="clCouleur2" width="155">&#160;</td>
                            <td class="clTexte" width="148">&#160;&#160;&#160;</td>
                            <td class="clTexte" width="95" align="right">
                                <a href="#nullepart" onClick="requestBDFInfos('27','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                                    <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                </a>
                            </td>
                        </xsl:otherwise>
                    </xsl:choose>
                </tr>
            </table>
        </xsl:if>
        <xsl:call-template name="shim"/>
    </xsl:template>


    <xsl:template name="genGraph53">
        <xsl:if test="$condGraph1">
            <form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
                <input name="familyNumber" type="hidden" value="1"/>
                <input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
                <xsl:element name="input">
                    <xsl:attribute name="name">GrapheData</xsl:attribute>
                    <xsl:attribute name="type">hidden</xsl:attribute>
                    <xsl:attribute name="value">
                        &lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
                            <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
                        </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE53/PM53/EJ/IDENTS"/>&lt;/ident&gt;&lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE53/PM53/EJ/DENOM"/>&lt;/nom&gt;&lt;valcot&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE53/DIFF53/VALCOT"/>&lt;/valcot&gt;&lt;segment&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE53/DIFF53/SEGMENT"/>&lt;/segment&gt;&lt;datcot&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE53/DIFF53/DATCOT"/>&lt;/datcot&gt;&lt;datexa&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE53/DIFF53/DATEXA"/>&lt;/datexa&gt;&lt;graphe&gt;&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE53/DIFF53/INFOASSOCIES53/ASSOCIE">
                            &lt;val&gt;<xsl:value-of select="CAPITAL/POURCENTAGE"/>&lt;/val&gt;
                        </xsl:for-each>&lt;/serie&gt;&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULE53/DIFF53/INFOASSOCIES53/ASSOCIE">
                            &lt;val&gt;<xsl:if test="ASSOCEJ/EJ">
                                <xsl:value-of select="concat(ASSOCEJ/EJ/IDENTS,'     - ',ASSOCEJ/EJ/DENOM)"/>
                            </xsl:if><xsl:if test="ASSOCPP/PP">
                                <xsl:call-template name ="displayInLowerCaseXsl">
                                    <xsl:with-param name ="InputIdentc" select ="(ASSOCPP/PP/IDENTC)"/>
                                    <xsl:with-param name ="InputStringNom" select ="(ASSOCPP/PP/IDENTITE/NOM)"/>
                                    <xsl:with-param name ="InputStringPrenom" select ="(ASSOCPP/PP/IDENTITE/PRENOM)"/>
                                </xsl:call-template>
                            </xsl:if><xsl:if test="ASSOCSPE/DENOM">
                                <xsl:value-of select="concat('              - ',ASSOCSPE/DENOM)"/>
                            </xsl:if>&lt;/val&gt;
                        </xsl:for-each>&lt;/abcisse&gt;&lt;titre&gt;Rpartition du capital entre les associs (en pourcentage)&lt;/titre&gt;&lt;/graphe&gt;&lt;/FIBEN&gt;
                    </xsl:attribute>
                </xsl:element>
            </form>
        </xsl:if>
    </xsl:template>



</xsl:stylesheet>
