<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:import href="../../Ressources/XSL/Commun_orga.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
	<xsl:variable name="condGraph1" select="count(//DIFF57/ASSOCEJ57|//DIFF57/ASSOCSPE57|//DIFF57/ASSOCPP57)>1"/>

	<xsl:param name="maxAssocDAssoc" select="0"/>
	<xsl:param name="maxParticipations" select="0"/>

	<xsl:param name="nbAssoc" select="count(//DIFF57/ASSOCEJ57|//DIFF57/ASSOCPP57|//DIFF57/ASSOCSPE57)"/>
	<xsl:param name="nbFiliales" select="count(//DIFF57/PARTICIPATION57)"/>
	<!--<xsl:variable name="condImprime" select="(10>$nbAssoc and $nbAssoc>0) and not(($maxAssocDAssoc>9 and 6>$nbAssoc) or ($maxAssocDAssoc>5 and $nbAssoc>5))"/>-->
  <xsl:variable name="condImprime" select="0"/>
	<xsl:param name="condNavig" select="0"/>
	

<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE57/EJ/IDENTS"/>
		</xsl:call-template>
		<body  bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
      
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="genLigneConfidentiel" />
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">
					<tr>
						<td width="64"></td>
						<td width="739" colspan="4" class="clCouleur2" valign="top">
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE57/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE57/IEC01|FIBEN/PERSONNE/MODULE57/IST10|FIBEN/PERSONNE/MODULE57/IST53F|FIBEN/PERSONNE/MODULE57/IST53G" mode="genTable"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE57/DIFF57"/>
							<xsl:apply-templates select="//SUITE"/>
						</td>
					</tr>

				</xsl:if>
			</table>
      <xsl:call-template name="genBasPage"/>
			<xsl:call-template name="genGraph57"/>
		</body>
	</html>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE57/EJ">
  <!-- appel du template avec parametre segment  pas -->
  <xsl:choose>
    <xsl:when test ="../DIFF57/SEGMENT">
      <xsl:call-template name="genEnTete">
        <xsl:with-param name="ident" select="IDENTS"/>
        <xsl:with-param name="nom" select="DENOM"/>
        <xsl:with-param name="valcot" select="../DIFF57/VALCOT"/>
        <xsl:with-param name="segment" select="../DIFF57/SEGMENT"/>
        <xsl:with-param name="datcot" select="../DIFF57/DATCOT"/>
        <xsl:with-param name="datexa" select="../DIFF57/DATEXA"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="genEnTete">
        <xsl:with-param name="ident" select="IDENTS"/>
        <xsl:with-param name="nom" select="DENOM"/>
        <xsl:with-param name="valcot" select="../DIFF57/VALCOT"/>
        <xsl:with-param name="datcot" select="../DIFF57/DATCOT"/>
        <xsl:with-param name="datexa" select="../DIFF57/DATEXA"/>
      </xsl:call-template> 
    </xsl:otherwise> 
  </xsl:choose> 
</xsl:template>

<xsl:template match="IEC01|IST10|IST53F|IST53G" mode="genTable">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="14"></td>
			<td class="clCouleur2" valign="top">
				<xsl:apply-templates select="."/>
			</td>
		</tr>
		<tr>
			<td width="14"></td>
			<td><xsl:call-template name="shim"/></td>
		</tr>
	</table>
</xsl:template>

<!--ORGANIGRAMME-->

<xsl:template match="DIFF57">
	<div class="clBreakPage"/>
	<table border="0" cellspacing="0" cellpadding="0">
		<tr>
      <td width="605" class="clCouleur2" align="center">
        ORGANIGRAMME AU <xsl:call-template name ="displayDateJourXsl">
          <xsl:with-param name ="InputDate" select ="(/FIBEN/@DATJOUR)"/>
        </xsl:call-template>
      </td>
		</tr>
		<tr>
			<td><xsl:call-template name="shim"/></td>
		</tr>
		<tr>
			<td width="605" class="clItalic"><br />&#160;</td>
		</tr>
	</table>
	<table border="0" cellspacing="0" cellpadding="0">
		<xsl:if test="count(ASSOCEJ57/ASSOCEJ57|ASSOCEJ57/ASSOCPP57|ASSOCEJ57/ASSOCSPE57)>0">
			<tr> 
				<td>&#160;</td>
				<td>&#160;</td>
				<td>&#160;</td>
				<td colspan="{$nbAssoc}" align="center" class="clOrgLibelleZoneOrange">ASSOCIS PRINCIPAUX D'ASSOCIS</td>
			</tr>
			<tr> 
				<td width="5">&#160;</td>
				<td>&#160;</td>
				<td>&#160;</td>
				<xsl:apply-templates select="//DIFF57/ASSOCEJ57|//DIFF57/ASSOCPP57|//DIFF57/ASSOCSPE57" mode="ASSOC2"/>
			</tr>
		</xsl:if>
		<tr> 
			<td>&#160;</td>
			<td align="right">
				<xsl:if test="$condGraph1">
					<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe1';window.document.forms	['FormGraphes'].submit();">
            <img title="Graphique" alt="Graphique" border="0" height="20" name="dia2" src="{$root}Images/risque/diagramme.gif" width="19"/></a>
				</xsl:if>
				<xsl:if test="not($condGraph1)">
					<img src="{$root}Images/boutons/diagramme_in.gif" width="19" height="20" border="0" title="Graphique" alt="Graphique" />
				</xsl:if>
			</td>
			<td rowspan="7" valign="top" class="clOrgLibelleZoneRouge" align="center">&#160;A<br/>&#160;S<br/>&#160;S<br/>&#160;O<br/>&#160;C<br/>&#160;I<br/>&#160;<br/>&#160;S</td>
			<xsl:apply-templates select="//DIFF57/ASSOCEJ57|//DIFF57/ASSOCPP57|//DIFF57/ASSOCSPE57" mode="FlecheAssoc2"/>
		</tr>
		<tr> 
			<td align="right">&#160;</td>
			<td align="right" valign="bottom"><img src="{$root}Images/Commun/org_gde_fleche_red.gif" width="138" height="72" /></td>
			<xsl:apply-templates select="//DIFF57/ASSOCEJ57|//DIFF57/ASSOCPP57|//DIFF57/ASSOCSPE57" mode="ASSOC1"/>
		</tr>
		<tr> 
			<td>&#160;</td>
			<td>&#160;</td>
			<xsl:apply-templates select="//DIFF57/ASSOCEJ57|//DIFF57/ASSOCPP57|//DIFF57/ASSOCSPE57" mode="FlecheParticip2"/>
		</tr>
		<tr> 
			<td rowspan="2">&#160;</td>
			<td rowspan="2" valign="top">
				<table border="0" cellspacing="0" cellpadding="0" width="139">
					<tr> 
						<td colspan="3"><img src="{$root}Images/Commun/org_ellipse_top.gif" width="138" height="23" /></td>
					</tr>
					<tr> 
						<td><img src="{$root}Images/Commun/org_ellipse_left.gif" width="18" height="48" /></td>
						<td width="102" bgcolor="#5789DD" class="clOrgCadreEllipse" align="left">
							<xsl:value-of select="substring(//MODULE57/EJ/DENOM,1,13)"/><br />
							<xsl:value-of select="substring(//MODULE57/EJ/DENOM,14,13)"/><br />
							<xsl:value-of select="substring(//MODULE57/EJ/DENOM,27,11)"/>
							<xsl:if test="substring(//MODULE57/EJ/DENOM,38)!=''">
								<a href="#"><img src="{$root}Images/Commun/org_denom_blanc.gif" width="20" height="10" hspace="0" border="0" title="{//MODULE57/EJ/DENOM}" alt="{//MODULE57/EJ/DENOM}" /></a>
							</xsl:if>
						</td>
						<td><img src="{$root}Images/Commun/org_ellipse_right.gif" width="18" height="48" /></td>
					</tr>
					<tr> 
						<td colspan="3" align="center" style="line-height : 1 mm">
							<xsl:if test="not(//DIFF57/PARTICIPATION57)">
								<img src="{$root}Images/Commun/org_ellipse_bottom.gif" width="138" height="23" />
							</xsl:if>
							<xsl:if test="//DIFF57/PARTICIPATION57">
								<img src="{$root}Images/Commun/org_ellipse_bottom_fleche.gif" width="138" height="23" />
							</xsl:if>
						</td>
					</tr>
				</table>
				<xsl:if test="//DIFF57/PARTICIPATION57">
					<table border="0" cellspacing="0" cellpadding="0" width="139">
						<tr>
							<td valign="top" class="clOrgLibelleZoneVert" align="center">FILIALES<br />
								<table width="138" border="0" cellspacing="0" cellpadding="2">
									<xsl:apply-templates select="//DIFF57/PARTICIPATION57" mode="PARTICIP1"/>
								</table>
							</td>
						</tr>
					</table>
				</xsl:if>
			</td>
			<xsl:if test="//ASSOCEJ57/PARTICIPATION57">
				<xsl:apply-templates select="//DIFF57/ASSOCEJ57|//DIFF57/ASSOCPP57|//DIFF57/ASSOCSPE57" mode="PARTICIP2"/>
			</xsl:if>
		</tr>
		<xsl:if test="//ASSOCEJ57/PARTICIPATION57">
			<tr> 
				<td height="95" colspan="{$nbAssoc}" align="center" valign="top" class="clOrgLibelleZoneBleu">SOCITS SOEURS</td>
			</tr>
		</xsl:if>
	</table>
	<img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" />
</xsl:template>

<!--PARTICIPATION DE l'ENTITE  INTERROGE-->

<xsl:template match="PARTICIPATION57" mode="PARTICIP1">
	<tr align="center"> 
		<td height="95" width="138" align="center"> 
			<table width="130" border="0" cellspacing="0" cellpadding="0" height="100">
				<tr> 
					<td rowspan="3"><img src="{$root}Images/Commun/org_left_vert.gif" width="6" height="101"/></td>
					<td height="6"><img src="{$root}Images/Commun/org_top_vert.gif" width="118" height="6"/></td>
					<td rowspan="3"><img src="{$root}Images/Commun/org_right_vert.gif" width="6" height="101"/></td>
				</tr>
				<tr> 
					<td height="75" class="clTexteGras" align="left">
						<xsl:apply-templates select="."/>
					</td>
				</tr>
				<tr> 
					<td height="4"><img src="{$root}Images/Commun/org_bottom_vert.gif" width="118" height="6"/></td>
				</tr>
			</table>
		</td>
	</tr>
</xsl:template>

<!--ASSOCIE DE L'ENTITE INTERROGE-->

<xsl:template match="DIFF57/ASSOCEJ57|DIFF57/ASSOCPP57|DIFF57/ASSOCSPE57" mode="ASSOC1">
	<td height="95" width="138" align="center" bgcolor="#FCEDED"> 
		<table width="130" border="0" cellspacing="0" cellpadding="0" height="100">
			<tr> 
				<td rowspan="3"><img src="{$root}Images/Commun/org_left_red.gif" width="6" height="101" /></td>
				<td height="6"><img src="{$root}Images/Commun/org_top_red.gif" width="118" height="6" /></td>
				<td rowspan="3"><img src="{$root}Images/Commun/org_right_red.gif" width="6" height="101" /></td>
			</tr>
			<tr> 
				<td height="75" class="clTexteGras" align="left">
					<xsl:apply-templates select="."/>
				</td>
			</tr>
			<tr> 
				<td height="6"><img src="{$root}Images/Commun/org_bottom_red.gif" width="118" height="6" /></td>
			</tr>
		</table>
	</td>
</xsl:template>

<!--ASSOCIE DES ASSOCIES-->

<xsl:template match="DIFF57/ASSOCPP57|DIFF57/ASSOCSPE57" mode="ASSOC2">
	<td height="95" width="138" bgcolor="#FEF5E2">&#160;</td>
</xsl:template>

<xsl:template match="DIFF57/ASSOCEJ57" mode="ASSOC2">
	<td height="95" width="138" bgcolor="#FEF5E2" align="center" valign="bottom">
		<xsl:if test="count(ASSOCEJ57|ASSOCPP57|ASSOCSPE57)>0">
			<table border="0" cellpadding="2" cellspacing="0">
				<xsl:apply-templates select="ASSOCEJ57|ASSOCPP57|ASSOCSPE57" mode="ASSOC2"/>
			</table>
		</xsl:if>
		<xsl:if test="count(ASSOCEJ57|ASSOCPP57|ASSOCSPE57)=0">
			&#160;
		</xsl:if>
	</td>
</xsl:template>

<xsl:template match="ASSOCEJ57|ASSOCPP57|ASSOCSPE57" mode="ASSOC2">
	<tr>
		<td>
			<table width="130" border="0" cellspacing="0" cellpadding="0" height="100">
				<tr> 
					<td rowspan="3"><img src="{$root}Images/Commun/org_left_orange.gif" width="6" height="101" /></td>
					<td height="6"><img src="{$root}Images/Commun/org_top_orange.gif" width="118" height="6" /></td>
					<td rowspan="3"><img src="{$root}Images/Commun/org_right_orange.gif" width="6" height="101" /></td>
				</tr>
				<tr> 
					<td height="75" class="clTexteGras" align="left">
						<xsl:apply-templates select="."/>
					</td>
				</tr>
				<tr> 
					<td height="6"><img src="{$root}Images/Commun/org_bottom_orange.gif" width="118" height="6" /></td>
				</tr>
			</table>
		</td>
	</tr>
</xsl:template>

<!--PARTICIPATIONS DES ASSOCIES-->

<xsl:template match="DIFF57/ASSOCPP57|DIFF57/ASSOCSPE57" mode="PARTICIP2">
	<td height="95" width="138" bgcolor="#F0F3FD">&#160;</td>
</xsl:template>

<xsl:template match="DIFF57/ASSOCEJ57" mode="PARTICIP2">
	<td height="95" width="138" bgcolor="#F0F3FD" align="center" valign="top">
		<xsl:if test="count(PARTICIPATION57)>0">
			<table border="0" cellpadding="2" cellspacing="0">
				<xsl:apply-templates select="PARTICIPATION57" mode="PARTICIP2"/>
			</table>
		</xsl:if>
		<xsl:if test="count(PARTICIPATION57)=0">
			&#160;
		</xsl:if>
	</td>
</xsl:template>

<xsl:template match="PARTICIPATION57" mode="PARTICIP2">
	<tr>
		<td>
			<table width="130" border="0" cellspacing="0" cellpadding="0" height="100">
				<tr> 
					<td rowspan="3"><img src="{$root}Images/Commun/org_left_bleu.gif" width="6" height="101" /></td>
					<td height="6"><img src="{$root}Images/Commun/org_top_bleu.gif" width="118" height="6" /></td>
					<td rowspan="3"><img src="{$root}Images/Commun/org_right_bleu.gif" width="6" height="101" /></td>
				</tr>
				<tr> 
					<td height="75" class="clTexteGras" align="left">
						<xsl:apply-templates select="."/>
					</td>
				</tr>
				<tr> 
					<td height="6"><img src="{$root}Images/Commun/org_bottom_bleu.gif" width="118" height="6" /></td>
				</tr>
			</table>
		</td>
	</tr>
</xsl:template>

<!--FLECHE ASSOCIES des ASSOCIES / ASSOCIES / PARTICIPATIONS des ASSOCIES-->

<xsl:template match="DIFF57/ASSOCEJ57|DIFF57/ASSOCPP57|DIFF57/ASSOCSPE57" mode="FlecheAssoc2">
	<xsl:if test="count(ASSOCEJ57|ASSOCPP57|ASSOCSPE57)>0">
		<td align="center"><img src="{$root}Images/Commun/org_fleche_red.gif" width="15" height="8" /></td>
	</xsl:if>
	<xsl:if test="count(ASSOCEJ57|ASSOCPP57|ASSOCSPE57)=0">
		<td align="center">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="DIFF57/ASSOCEJ57|DIFF57/ASSOCPP57|DIFF57/ASSOCSPE57" mode="FlecheParticip2">
	<xsl:if test="count(PARTICIPATION57)>0">
		<td align="center"><img src="{$root}Images/Commun/org_fleche_red.gif" width="15" height="8" /></td>
	</xsl:if>
	<xsl:if test="count(PARTICIPATION57)=0">
		<td align="center">&#160;</td>
	</xsl:if>
</xsl:template>

<!--template dans cadre-->

	<xsl:template match="PARTICIPATION57">
		<xsl:apply-templates select="EJ/DENOM" mode="display3lignes"/>
		<!--<xsl:apply-templates select="EJ/IDENTS" mode="LienMultiple"/>-->
		<xsl:apply-templates select="CAPITAL"/>

		<xsl:if test ="not(SEGMENT)">
			<xsl:apply-templates select="EJ/IDENTS" mode="LienMultiple"/>
			<xsl:if test="GEODIFF">
			<div align="center">
				<xsl:value-of select="VALCOT"/>
			</div>
			</xsl:if>
		</xsl:if>
		<xsl:if test ="SEGMENT">
			<xsl:apply-templates select="EJ/IDENTS" mode="LienMultipleSegment"/>
			<xsl:if test="GEODIFF">
			<div align="center">
				<xsl:value-of select="VALCOT"/>&#160;|&#160;<xsl:value-of select="SEGMENT"/>
			</div>
			</xsl:if>
		</xsl:if>


	</xsl:template>

	<xsl:template match="ASSOCEJ57">
		<xsl:apply-templates select="EJ/DENOM" mode="display3lignes"/>
		<!--<xsl:apply-templates select="EJ/IDENTS" mode="LienMultiple"/>-->
		<xsl:apply-templates select="CAPITAL"/>
		<xsl:if test ="not(SEGMENT)">
			<xsl:apply-templates select="EJ/IDENTS" mode="LienMultiple"/>
			<xsl:if test="GEODIFF">
				<div align="center">
					<xsl:value-of select="VALCOT"/>
				</div>
			</xsl:if>
		</xsl:if>
		<xsl:if test ="SEGMENT">
			<xsl:apply-templates select="EJ/IDENTS" mode="LienMultipleSegment"/>
			<xsl:if test="GEODIFF">
				<div align="center">
					<xsl:value-of select="VALCOT"/>&#160;|&#160;<xsl:value-of select="SEGMENT"/>
				</div>
			</xsl:if>
		</xsl:if>
	</xsl:template>

<xsl:template match="ASSOCPP57">
	<xsl:apply-templates select="PP" mode="display2lignes"/>
  <xsl:apply-templates select="PP/IDENTC" mode="LienMultiple">
    <xsl:with-param name ="valcot" select ="VALCOT"></xsl:with-param>
  </xsl:apply-templates>
  <xsl:apply-templates select="CAPITAL"/>
  <xsl:if test="not(VALCOT='NS')">
    <div align="center"><xsl:value-of select="VALCOT"/></div>
  </xsl:if>
</xsl:template>

<xsl:template match="ASSOCSPE57">
	<xsl:apply-templates select="DENOM" mode="display3lignes"/>
	<br />
	<xsl:apply-templates select="CAPITAL"/>
	<br />
</xsl:template>

<xsl:template match="CAPITAL">
	<div align="center" class="clOrgTexte2">
		<xsl:value-of select="POURCENTAGE"/>%
		<xsl:if test="DATDET">
			au <xsl:call-template name ="displayDateOrg2">
        <xsl:with-param name ="InputDateOrg" select ="DATDET"/>
      </xsl:call-template>
         
		</xsl:if>
	</div>
</xsl:template>

<!--SUITE-->

<xsl:template match="SUITE">
	<xsl:if test="position()=1">
		<xsl:text disable-output-escaping="yes">
			&lt;table width=&quot;635&quot; border=&quot;0&quot; cellspacing=&quot;1&quot; cellpadding=&quot;0&quot;&gt;
				&lt;tr&gt;
					&lt;td width=&quot;635&quot; class=&quot;clItalic&quot; height=&quot;2&quot;&gt;
		</xsl:text>
						Les entits suivantes comportent plus que les 50 fililales affiches. Pour obtenir la liste complte, cliquez sur l'identifiant afin de gnrer le module correspondant : "53 - Associs et Participations" : 
	</xsl:if>
	<xsl:if test="position()!=last()">
		<xsl:apply-templates select=".." mode="displaySirenForSuite"/> - 
	</xsl:if>
	<xsl:if test="position()=last()">
		<xsl:apply-templates select=".." mode="displaySirenForSuite"/>
		<xsl:text disable-output-escaping="yes">
					&lt;/td&gt;
				&lt;/tr&gt;
			&lt;/table&gt;
		</xsl:text>
		<img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" /><br /><br />
	</xsl:if>
</xsl:template>

<xsl:template match="DIFF57" mode="displaySirenForSuite">
  <a href="#nullepart" onclick="requestBDFInfos('53','','{$familyNumber}','{../EJ/IDENTS}',false,false,this)" class="clItalic">
    <u>
      <xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(../EJ/IDENTS)"/>
      </xsl:call-template>
    </u>
  </a>
</xsl:template>

<xsl:template match="ASSOCEJ57" mode="displaySirenForSuite">
  <a href="#nullepart" onclick="requestBDFInfos('53','','{$familyNumber}','{EJ/IDENTS}',false,false,this)" class="clItalic">
    <u>
      <xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
      </xsl:call-template>
    </u>
  </a>
</xsl:template>

<xsl:template match="EJ/IDENTS" mode="LienMultiple">
	<div align="center">
		<xsl:if test="../../GEODIFF">
			<!--PARTICIPATION DE L'ENTITE ; niveau n-1-->
			<xsl:if test="name(../..)='PARTICIPATION57' and name(../../..)='DIFF57'">
				<a href="#nullepart" onclick="requestBDFInfos('27|37|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(.)"/>
          </xsl:call-template>
        </a>
			</xsl:if>
			<!--PARTICIPATION DES ASSOCIES ; niveau n-->
			<xsl:if test="name(../..)='PARTICIPATION57' and name(../../..)='ASSOCEJ57'">
				<a href="#nullepart" onclick="requestBDFInfos('27|37|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(.)"/>
          </xsl:call-template>
        </a>
			</xsl:if>
			<!--ASSOCIE d'ASSOCIE ; niveau n+2-->
			<xsl:if test="name(../..)='ASSOCEJ57' and name(../../..)='ASSOCEJ57'">
				<a href="#nullepart" onclick="requestBDFInfos('27|37|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(.)"/>
          </xsl:call-template>
        </a>
			</xsl:if>
			<!--ASSOCIE de L'ENTITE INTERROGE ; niveau n+1-->
			<xsl:if test="name(../..)='ASSOCEJ57' and name(../../..)='DIFF57'">
				<xsl:if test="../../PARTICIPATION57 and (../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
					<a href="#nullepart" onclick="requestBDFInfos('27|37|53|57|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(.)"/>
            </xsl:call-template>
          </a>
				</xsl:if>
				<xsl:if test="not(../../PARTICIPATION57) and (../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
					<a href="#nullepart" onclick="requestBDFInfos('27|37|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(.)"/>
            </xsl:call-template>
          </a>
				</xsl:if>
				<xsl:if test="../../PARTICIPATION57 and not(../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
					<a href="#nullepart" onclick="requestBDFInfos('27|37|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(.)"/>
            </xsl:call-template>
          </a>
				</xsl:if>
				<xsl:if test="not(../../PARTICIPATION57) and not(../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
          <a href="#nullepart" onclick="requestBDFInfos('27|37|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(.)"/>
            </xsl:call-template>
          </a>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not(../../GEODIFF)">
			<div class="clOrgBold">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(.)"/>
        </xsl:call-template>
      </div>
		</xsl:if>
	</div>
</xsl:template>
<xsl:template match="EJ/IDENTS" mode="LienMultipleSegment">
    <div align="center">
      <xsl:if test="../../GEODIFF">
        <!--PARTICIPATION DE L'ENTITE ; niveau n-1-->
        <xsl:if test="name(../..)='PARTICIPATION57' and name(../../..)='DIFF57'">
          <a href="#nullepart" onclick="requestBDFInfos('27|37|39|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(.)"/>
            </xsl:call-template>
          </a>
        </xsl:if>
        <!--PARTICIPATION DES ASSOCIES ; niveau n-->
        <xsl:if test="name(../..)='PARTICIPATION57' and name(../../..)='ASSOCEJ57'">
          <a href="#nullepart" onclick="requestBDFInfos('27|37|39|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(.)"/>
            </xsl:call-template>
          </a>
        </xsl:if>
        <!--ASSOCIE d'ASSOCIE ; niveau n+2-->
        <xsl:if test="name(../..)='ASSOCEJ57' and name(../../..)='ASSOCEJ57'">
          <a href="#nullepart" onclick="requestBDFInfos('27|37|39|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(.)"/>
            </xsl:call-template>
          </a>
        </xsl:if>
        <!--ASSOCIE de L'ENTITE INTERROGE ; niveau n+1-->
        <xsl:if test="name(../..)='ASSOCEJ57' and name(../../..)='DIFF57'">
          <xsl:if test="../../PARTICIPATION57 and (../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
            <a href="#nullepart" onclick="requestBDFInfos('27|37|39|53|57|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
              <xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(.)"/>
              </xsl:call-template>
            </a>
          </xsl:if>
          <xsl:if test="not(../../PARTICIPATION57) and (../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
            <a href="#nullepart" onclick="requestBDFInfos('27|37|39|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
              <xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(.)"/>
              </xsl:call-template>
            </a>
          </xsl:if>
          <xsl:if test="../../PARTICIPATION57 and not(../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
            <a href="#nullepart" onclick="requestBDFInfos('27|37|39|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
              <xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(.)"/>
              </xsl:call-template>
            </a>
          </xsl:if>
          <xsl:if test="not(../../PARTICIPATION57) and not(../../ASSOCEJ57|../../ASSOCPP57|../../ASSOCSPE57)">
            <a href="#nullepart" onclick="requestBDFInfos('27|37|39|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
              <xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(.)"/>
              </xsl:call-template>
            </a>
          </xsl:if>
        </xsl:if>
      </xsl:if>
      <xsl:if test="not(../../GEODIFF)">
        <div class="clOrgBold">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(.)"/>
          </xsl:call-template>
        </div>
      </xsl:if>
    </div>
  </xsl:template>

<xsl:template match="PP/IDENTC" mode="LienMultiple">
  <xsl:param name ="valcot"></xsl:param> 
	<div align="center">
		<!--ASSOCIE d'ASSOCIE ; niveau n+2-->
		<xsl:if test="name(../../..)='ASSOCEJ57'">
			<a href="#nullepart" onclick="requestBDFInfos('27|37|53|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien"><xsl:value-of select="."/></a>
		</xsl:if>
		<!--ASSOCIE de L'ENTITE INTERROGE ; niveau n+1-->
		<xsl:if test="name(../../..)='DIFF57'">
      <xsl:if test ="not($valcot='NS')">
        <a href="#nullepart" onclick="requestBDFInfos('27|37|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
          <xsl:value-of select="."/>
        </a>
      </xsl:if>
      <!--ASSOCIE NON RESIDENTS-->
      <xsl:if test ="($valcot='NS')">
        <a href="#nullepart" onclick="requestBDFInfos('27|','','{$familyNumber}','{.}',cstMultipleConfirm)" class="clOrgBoldlien"><xsl:value-of select="."/></a>
      </xsl:if>
		</xsl:if>
	</div>
</xsl:template>

<xsl:template name="genGraph57">
	<xsl:if test="$condGraph1">
		<form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
			<input name="familyNumber" type="hidden" value="{$familyNumber}"/>
			<input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
      <xsl:element name="input">
        <xsl:attribute name="name">GrapheData</xsl:attribute>
        <xsl:attribute name="type">hidden</xsl:attribute>
        <xsl:attribute name="value">
          &lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
            <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
          </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE57/EJ/IDENTS"/>&lt;/ident&gt;&lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE57/EJ/DENOM"/>&lt;/nom&gt;&lt;valcot&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE57/DIFF57/VALCOT"/>&lt;/valcot&gt;&lt;segment&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE57/DIFF57/SEGMENT"/>&lt;/segment&gt;&lt;datcot&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE57/DIFF57/DATCOT"/>&lt;/datcot&gt;&lt;datexa&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE57/DIFF57/DATEXA"/>&lt;/datexa&gt;&lt;graphe&gt;&lt;serie&gt;<xsl:for-each select="//DIFF57/ASSOCEJ57|//DIFF57/ASSOCSPE57|//DIFF57/ASSOCPP57">
            &lt;val&gt;<xsl:value-of select="CAPITAL/POURCENTAGE"/>&lt;/val&gt;
          </xsl:for-each>&lt;/serie&gt;&lt;abcisse&gt;<xsl:for-each select="//DIFF57/ASSOCEJ57|//DIFF57/ASSOCSPE57|//DIFF57/ASSOCPP57">
            &lt;val&gt;<xsl:value-of select="concat(EJ/IDENTS,DENOM,concat(PP/IDENTC,' ',PP/IDENTITE/NOM),EJ/DENOM,' ',PP/IDENTITE/PRENOM)"/>&lt;/val&gt;
          </xsl:for-each>&lt;/abcisse&gt;&lt;titre&gt;Rpartition du capital entre les associs (en pourcentage)&lt;/titre&gt;&lt;/graphe&gt;&lt;/FIBEN&gt;
        </xsl:attribute>
      </xsl:element>
		</form>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>
