<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:import href="../../Ressources/XSL/Commun_orga.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
	<xsl:param name="maxFoncDir" select="0"/>

	<xsl:param name="nbRepLegaux" select="count(//DIFF58/REPLEGAUX/REPLEGAL)"/>
	<xsl:variable name="condImprime" select="10> $nbRepLegaux and $nbRepLegaux > 0"/>
	<xsl:param name="condNavig" select="0"/>


<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE58/EJ/IDENTS"/>
		</xsl:call-template>
		<body  bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
      
			<table class="mainmodule horizontal-auto"  border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="genLigneConfidentiel" />
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">
					<tr>
						<td width="64"></td>
						<td width="739" colspan="4" class="clCouleur2" valign="top">
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE58/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE58/IEC01|FIBEN/PERSONNE/MODULE58/IST10|FIBEN/PERSONNE/MODULE58/U101|FIBEN/PERSONNE/MODULE58/IST51|FIBEN/PERSONNE/MODULE58/IST56" mode="genTable"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE58/DIFF58"/>
							<xsl:apply-templates select="//DIRECTIONS/SUITE"/>
							<xsl:apply-templates select="//REPLEGAUX/SUITE"/>
							<xsl:apply-templates select="//REPLEGAUX/REPLEGAL" mode="printnext"/>
						</td>
					</tr>

				</xsl:if>
			</table>
			<xsl:call-template name="genBasPage"/>

		</body>
	</html>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE58/EJ">
  <!-- appel du template avec parametre segment  pas -->
  <xsl:choose>
    <xsl:when test ="../DIFF58/SEGMENT">
      <xsl:call-template name="genEnTete">
        <xsl:with-param name="ident" select="IDENTS"/>
        <xsl:with-param name="nom" select="DENOM"/>
        <xsl:with-param name="valcot" select="../DIFF58/VALCOT"/>
        <xsl:with-param name="segment" select="../DIFF58/SEGMENT"/>
        <xsl:with-param name="datcot" select="../DIFF58/DATCOT"/>
        <xsl:with-param name="datexa" select="../DIFF58/DATEXA"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="genEnTete">
        <xsl:with-param name="ident" select="IDENTS"/>
        <xsl:with-param name="nom" select="DENOM"/>
        <xsl:with-param name="valcot" select="../DIFF58/VALCOT"/>
        <xsl:with-param name="datcot" select="../DIFF58/DATCOT"/>
        <xsl:with-param name="datexa" select="../DIFF58/DATEXA"/>
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="IEC01|IST10|U101|IST51|IST56" mode="genTable">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="14"></td>
			<td class="clCouleur2" valign="top">
				<xsl:apply-templates select="."/>
			</td>
		</tr>
		<tr>
			<td width="14"></td>
			<td><xsl:call-template name="shim"/></td>
		</tr>
	</table>
</xsl:template>

<!--ORGANIGRAMME-->

<xsl:template match="DIFF58">
	<div class="clBreakPage"/>
	<table border="0" cellspacing="0" cellpadding="0">
		<tr>
      <td width="605" class="clCouleur2" align="center">
        ORGANIGRAMME AU <xsl:call-template name ="displayDateJourXsl">
          <xsl:with-param name ="InputDate" select ="(/FIBEN/@DATJOUR)"/>
        </xsl:call-template>
      </td>
		</tr>
		<tr>
			<td><xsl:call-template name="shim"/></td>
		</tr>
		<tr>
			<td width="605" class="clItalic"><br />&#160;</td>
		</tr>
	</table>
	<table border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td>&#160;</td>
			<td>&#160;</td>
			<td  colspan="{$nbRepLegaux}" class="clOrgLibelleZoneRouge" align="center">REPRSENTANTS LGAUX</td>
		</tr>
		<tr> 
			<td align="right">&#160;</td>
			<td align="right" valign="bottom"><img src="{$root}Images/Commun/org_gde_fleche_red.gif" width="138" height="72" /></td>
			<xsl:apply-templates select="//DIFF58/REPLEGAUX/REPLEGAL" mode="rep_legaux"/>
		</tr>
		<tr> 
			<td>&#160;</td>
			<td>&#160;</td>
			<xsl:apply-templates select="//DIFF58/REPLEGAUX/REPLEGAL" mode="FlecheFonction2"/>
		</tr>
		<tr> 
			<td rowspan="2">&#160;</td>
			<td rowspan="2" valign="top">
				<table border="0" cellspacing="0" cellpadding="0" width="139">
					<tr> 
						<td colspan="3"><img src="{$root}Images/Commun/org_ellipse_top.gif" width="138" height="23" /></td>
					</tr>
					<tr> 
						<td><img src="{$root}Images/Commun/org_ellipse_left.gif" width="18" height="48" /></td>
						<td width="102" bgcolor="#5789DD" class="clOrgCadreEllipse" align="left">
							<xsl:value-of select="substring(//MODULE58/EJ/DENOM,1,13)"/><br />
							<xsl:value-of select="substring(//MODULE58/EJ/DENOM,14,13)"/><br />
							<xsl:value-of select="substring(//MODULE58/EJ/DENOM,27,11)"/>
							<xsl:if test="substring(//MODULE58/EJ/DENOM,38)!=''">
								<a href="#"><img src="{$root}Images/Commun/org_denom_blanc.gif" width="20" height="10" hspace="0" border="0" title="{//MODULE58/EJ/DENOM}" alt="{//MODULE58/EJ/DENOM}" /></a>
							</xsl:if>
						</td>
						<td><img src="{$root}Images/Commun/org_ellipse_right.gif" width="18" height="48" /></td>
					</tr>
					<tr> 
						<td colspan="3" align="center" style="line-height : 1 mm">
							<xsl:if test="not(//DIFF58/DIRECTIONS)">
								<img src="{$root}Images/Commun/org_ellipse_bottom.gif" width="138" height="23" />
							</xsl:if>
							<xsl:if test="//DIFF58/DIRECTIONS">
								<img src="{$root}Images/Commun/org_ellipse_bottom_fleche.gif" width="138" height="23" />
							</xsl:if>
						</td>
					</tr>
				</table>
				<xsl:if test="//DIFF58/DIRECTIONS">
					<table border="0" cellspacing="0" cellpadding="0" width="139">
						<tr>
							<td valign="top" class="clOrgLibelleZoneVert" align="center">FONCTIONS DE DIRECTION EXERCES<br />
								<table width="138" border="0" cellspacing="0" cellpadding="2">
									<xsl:apply-templates select="//DIFF58/DIRECTIONS/DIRECTION58" mode="direction1"/>
								</table>
							</td>
						</tr>
					</table>
				</xsl:if>
			</td>
			<xsl:if test="//REPLEGAL/DIRECTIONS">
				<xsl:apply-templates select="//DIFF58/REPLEGAUX/REPLEGAL" mode="direction2"/>
			</xsl:if>
		</tr>
		<xsl:if test="//REPLEGAL/DIRECTIONS">
			<tr> 
				<td height="95" width="{139*$nbRepLegaux}" colspan="{$nbRepLegaux}" align="center" valign="top" class="clOrgLibelleZoneBleu">FONCTIONS DE DIRECTION EXERCES PAR LES REPRSENTANTS LGAUX</td>
			</tr>
		</xsl:if>
	</table>
	<img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" />
</xsl:template>

<xsl:template match="EJ/IDENTS|EI58/IDENTS|PP/IDENTC" mode="LienMultiple">
	<div align="center">
		<xsl:if test="../../GEODIFF">
			<xsl:if test="../../../REPLEGAL">
        <a href="#nullepart" onclick="requestBDFInfos('27|37|','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
          <xsl:call-template name ="displayIdentXsl">
            <xsl:with-param name ="InputIdent" select ="(.)"/>
          </xsl:call-template>
        </a>
			</xsl:if>
			<xsl:if test="not(../../../REPLEGAL)">
				<xsl:if test="../../EJ">
          <a href="#nullepart" onclick="requestBDFInfos('27|37|51|','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displayIdentXsl">
              <xsl:with-param name ="InputIdent" select ="(.)"/>
            </xsl:call-template>
          </a>
				</xsl:if>
				<xsl:if test="../../EI58">
          <a href="#nullepart" onclick="requestBDFInfos('27|37|','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displayIdentXsl">
              <xsl:with-param name ="InputIdent" select ="(.)"/>
            </xsl:call-template>
          </a>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not(../../GEODIFF)">
			<a href="#nullepart" onclick="requestBDFInfos('27','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
				<xsl:call-template name ="displayIdentXsl">
					<xsl:with-param name ="InputIdent" select ="(.)"/>
				</xsl:call-template>
			</a>
		</xsl:if>
	</div>
</xsl:template>
<xsl:template match="EJ/IDENTS|EI58/IDENTS|PP/IDENTC" mode="LienMultipleSegment">
    <div align="center">
      <xsl:if test="../../GEODIFF">
        <xsl:if test="../../../REPLEGAL">
          <a href="#nullepart" onclick="requestBDFInfos('27|37|39|','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
            <xsl:call-template name ="displayIdentXsl">
              <xsl:with-param name ="InputIdent" select ="(.)"/>
            </xsl:call-template>
          </a>
        </xsl:if>
        <xsl:if test="not(../../../REPLEGAL)">
          <xsl:if test="../../EJ">
            <a href="#nullepart" onclick="requestBDFInfos('27|37|39|51|','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
              <xsl:call-template name ="displayIdentXsl">
                <xsl:with-param name ="InputIdent" select ="(.)"/>
              </xsl:call-template>
            </a>
          </xsl:if>
          <xsl:if test="../../EI58">
            <a href="#nullepart" onclick="requestBDFInfos('27|37|39|','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
              <xsl:call-template name ="displayIdentXsl">
                <xsl:with-param name ="InputIdent" select ="(.)"/>
              </xsl:call-template>
            </a>
          </xsl:if>
        </xsl:if>
      </xsl:if>
      <xsl:if test="not(../../GEODIFF)">
		  <a href="#nullepart" onclick="requestBDFInfos('27','','1','{.}',cstMultipleConfirm)" class="clOrgBoldlien">
			  <xsl:call-template name ="displayIdentXsl">
				  <xsl:with-param name ="InputIdent" select ="(.)"/>
			  </xsl:call-template>
		  </a>
	  </xsl:if>
    </div>
</xsl:template>  
  

<!--Reprsentant lgaux de L'ENTITE INTERROGE-->

<xsl:template match="//DIFF58/REPLEGAUX/REPLEGAL" mode="rep_legaux">
	<xsl:variable name="preced" select="preceding-sibling::*"/>
	<xsl:if test="not($preced/PP/IDENTC=PP/IDENTC or $preced/EJ/IDENTS=EJ/IDENTS)">


		<td height="95" width="138" align="center" bgcolor="#FCEDED"> 
		 <table border="0" cellpadding="2" cellspacing="0">
		  <tr>
		   <td>
			<table width="130" border="0" cellspacing="0" cellpadding="0" height="100">
				<tr> 
					<td rowspan="3"><img src="{$root}Images/Commun/org_left_red.gif" width="6" height="101" /></td>
					<td height="6"><img src="{$root}Images/Commun/org_top_red.gif" width="118" height="6" /></td>
					<td rowspan="3"><img src="{$root}Images/Commun/org_right_red.gif" width="6" height="101" /></td>
				</tr>
				<tr> 
					<td height="75" class="clTexteGras" align="left">
						<xsl:apply-templates select="."/>
					</td>
				</tr>
				<tr> 
					<td height="6"><img src="{$root}Images/Commun/org_bottom_red.gif" width="118" height="6" /></td>
				</tr>
			</table>
		      </td>
		    </tr>
		  </table>
		</td>
	</xsl:if>
</xsl:template>

<xsl:template match="//DIFF58/REPLEGAUX/REPLEGAL" mode="FlecheFonction2">
	<xsl:variable name="preced" select="preceding-sibling::*"/>
	<xsl:if test="not($preced/PP/IDENTC=PP/IDENTC or $preced/EJ/IDENTS=EJ/IDENTS)">
		<xsl:if test="count(DIRECTIONS)>0">
			<td width="138" align="center"><img src="{$root}Images/Commun/org_fleche_red.gif" width="15" height="8" /></td>
		</xsl:if>
		<xsl:if test="count(DIRECTIONS)=0">
			<td width="138" align="center">&#160;</td>
		</xsl:if>
	</xsl:if>
</xsl:template>

  <xsl:template match="REPLEGAL" mode="printnext">
    
    <xsl:variable name="preced" select="preceding-sibling::*"/>
    <xsl:if test="PP">
      <xsl:variable name="val" select="PP/IDENTC"/>
      <xsl:variable name="nbPreced" select="count($preced/PP[IDENTC=$val])"/>
      <xsl:if test="$nbPreced=1">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
               <xsl:variable name="lib_fonct1" select="name(FONCTCOT/*[position()=1])"/>
                <xsl:variable name="from">'</xsl:variable>
                <xsl:variable name="to">&#146;</xsl:variable>
                <xsl:variable name="Libfonction1" select="translate($dictionnaire/mot[@id=$lib_fonct1],$from,$to)"/>
      
            <td class="clItalic" width="100%">
               
          
              <xsl:value-of select="$val"/> exerce d'autres fonctions de direction : <a href="#nullepart" onclick="requestVariousInfos('{$Libfonction1}',cstWording)" class="clItalic">
                <u>
                  <xsl:value-of select="substring(name(FONCTCOT/*[1]),3)"/>
                </u>
              </a>
              <xsl:if test="FONCTCOT/DATFONCT">
                &#160;LE <xsl:call-template name ="displayDateOrg2">
                  <xsl:with-param name ="InputDateOrg" select ="FONCTCOT/DATFONCT"/>
                </xsl:call-template>
                
              </xsl:if>
              <xsl:variable name="follows" select="following-sibling::*"/>
              <xsl:for-each select="$follows">
                      <xsl:variable name="lib_fonct2" select="name(FONCTCOT/*[position()=1])"/>
                      <xsl:variable name="Libfonction2" select="translate($dictionnaire/mot[@id=$lib_fonct2],$from,$to)"/>
                  <xsl:if test="PP/IDENTC=$val">
                  , <a href="#nullepart" onclick="requestVariousInfos('{$val}',cstWording)">
                    <u>
                      <xsl:value-of select="substring(name(FONCTCOT/*[1]),3)"/>
                    </u>
                  </a>
                  <xsl:if test="FONCTCOT/DATFONCT">
                    &#160;LE <xsl:call-template name ="displayDateOrg2">
                      <xsl:with-param name ="InputDateOrg" select ="FONCTCOT/DATFONCT"/>
                    </xsl:call-template>
                    
                  </xsl:if>
                </xsl:if>
              </xsl:for-each>
            </td>
          </tr>
        </table>
        <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" />
      </xsl:if>
    </xsl:if>
    <xsl:if test="EJ">
      <xsl:variable name="val" select="EJ/IDENTS"/>
      <xsl:variable name="nbPreced" select="count($preced/EJ[IDENTS=$val])"/>

      <xsl:if test="$nbPreced=1">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <xsl:variable name="from">'</xsl:variable>
            <xsl:variable name="to">&#146;</xsl:variable>
            <xsl:variable name="lib_fonct1" select="name(FONCTCOT/*[position()=1])"/>
                         <xsl:variable name="Libfonction1" select="translate($dictionnaire/mot[@id=$lib_fonct1],$from,$to)"/>
            <td class="clItalic" width="100%">
              <xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="($val)"/>
              </xsl:call-template> exerce d'autres fonctions de direction : <a href="#nullepart"  onclick="requestVariousInfos('{$Libfonction1}',cstWording)" class="clItalic">
                <u>
                  <xsl:value-of select="substring(name(FONCTCOT/*[1]),3)"/>
                </u>
              </a>
              <xsl:if test="FONCTCOT/DATFONCT">
                &#160;LE <xsl:call-template name ="displayDateOrg2">
                  <xsl:with-param name ="InputDateOrg" select ="FONCTCOT/DATFONCT"/>
                </xsl:call-template>
                
              </xsl:if>
              <xsl:variable name="follows" select="following-sibling::*"/>
              <xsl:for-each select="$follows">
                   <xsl:variable name="lib_fonct2"  select="name(FONCTCOT/*[position()=1])"/>
                 
                <xsl:variable name="Libfonction2" select="translate($dictionnaire/mot[@id=$lib_fonct2],$from,$to)"/>
                <xsl:if test="EJ/IDENTS=$val">
                  , <a href="#nullepart" onclick="requestVariousInfos('{$Libfonction2}',cstWording)">
                    <u>
                      <xsl:value-of select="substring(name(FONCTCOT/*[1]),3)"/>
                    </u>
                  </a><xsl:if test="FONCTCOT/DATFONCT">
                    &#160;LE <xsl:call-template name ="displayDateOrg2">
                      <xsl:with-param name ="InputDateOrg" select ="FONCTCOT/DATFONCT"/>
                    </xsl:call-template>
                    
                  </xsl:if>
                </xsl:if>
              </xsl:for-each>
            </td>
          </tr>
        </table>
        <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" />
      </xsl:if>
    </xsl:if>
  </xsl:template>

<!--FONCTION DE DIRECTION DE l'ENTITE  INTERROGE-->

<xsl:template match="//DIFF58/DIRECTIONS/DIRECTION58" mode="direction1">
	<tr align="center"> 
		<td height="95" width="138" align="center"> 
			<table width="130" border="0" cellspacing="0" cellpadding="0" height="100">
				<tr> 
					<td rowspan="3"><img src="{$root}Images/Commun/org_left_vert.gif" width="6" height="101"/></td>
					<td height="6"><img src="{$root}Images/Commun/org_top_vert.gif" width="118" height="6"/></td>
					<td rowspan="3"><img src="{$root}Images/Commun/org_right_vert.gif" width="6" height="101"/></td>
				</tr>
				<tr> 
					<td height="75" class="clTexteGras" align="left">
						<xsl:apply-templates select="."/>
					</td>
				</tr>
				<tr> 
					<td height="4"><img src="{$root}Images/Commun/org_bottom_vert.gif" width="118" height="6"/></td>
				</tr>
			</table>
		</td>
	</tr>
</xsl:template>

<!--FONCTION DE DIRECTION DES REPRESENTANTS LEGAUX-->

<xsl:template match="DIFF58/REPLEGAUX/REPLEGAL" mode="direction2">
	<xsl:variable name="preced" select="preceding-sibling::*"/>
	<xsl:if test="not($preced/PP/IDENTC=PP/IDENTC or $preced/EJ/IDENTS=EJ/IDENTS)">
		<td height="95" width="138" bgcolor="#F0F3FD" align="center" valign="top">
			<xsl:if test="count(DIRECTIONS)>0">
				<table border="0" cellpadding="2" cellspacing="0">
					<xsl:apply-templates select="DIRECTIONS/DIRECTION58" mode="direction2"/>
				</table>
			</xsl:if>
			<xsl:if test="count(DIRECTIONS)=0">
				&#160;
			</xsl:if>
		</td>
	</xsl:if>
</xsl:template>

<xsl:template match="DIRECTIONS/DIRECTION58" mode="direction2">
	<tr>
		<td>
			<table width="130" border="0" cellspacing="0" cellpadding="0" height="100">
				<tr> 
					<td rowspan="3"><img src="{$root}Images/Commun/org_left_bleu.gif" width="6" height="101" /></td>
					<td height="6"><img src="{$root}Images/Commun/org_top_bleu.gif" width="118" height="6" /></td>
					<td rowspan="3"><img src="{$root}Images/Commun/org_right_bleu.gif" width="6" height="101" /></td>
				</tr>
				<tr> 
					<td height="75" class="clTexteGras" align="left">
						<xsl:apply-templates select="."/>
					</td>
				</tr>
				<tr> 
					<td height="6"><img src="{$root}Images/Commun/org_bottom_bleu.gif" width="118" height="6" /></td>
				</tr>
			</table>
		</td>
	</tr>
</xsl:template>


<!--template dans cadre-->

<xsl:template match="REPLEGAL|DIRECTION58">
  <xsl:variable name="from">'</xsl:variable>
  <xsl:variable name="to">&#146;</xsl:variable>
  <xsl:variable name="lib_fonct"  select="name(FONCTCOT/*[position()=1])"/>
  <xsl:variable name="Libfonction" select="translate($dictionnaire/mot[@id=$lib_fonct],$from,$to)"/>
	
	<div class="clTexteGras" align="center">
		<a href="#nullepart" class="clTexteGras" onclick="requestVariousInfos('{$Libfonction}',cstWording)"><u><xsl:value-of select="substring(name(FONCTCOT/*[1]),3)"/></u></a>
		<xsl:if test="FONCTCOT/DATFONCT">
			&#160;LE <xsl:call-template name ="displayDateOrg2">
      <xsl:with-param name ="InputDateOrg" select ="FONCTCOT/DATFONCT"/>
    </xsl:call-template>
      
		</xsl:if>
	</div>
	<xsl:apply-templates select="EJ/DENOM" mode="display3lignes"/>
	<xsl:apply-templates select="PP" mode="display2lignes"/>
  <xsl:if test="EI58">
    &#160;<br/>&#160;<br/>&#160;
  </xsl:if>
  <!--<xsl:apply-templates select="EJ/IDENTS|EI58|IDENTS|PP/IDENTC" mode="LienMultiple"/>-->
  <xsl:variable name ="valcot" select="FONCTCOT/VALCOT"/>
  <xsl:if test ="FONCTCOT/SEGMENT">
    <xsl:if test="(GEODIFF)">
      <xsl:apply-templates select="EJ/IDENTS|EI58|IDENTS|PP/IDENTC" mode="LienMultipleSegment"/>
      <div align="center">
        <xsl:value-of select="FONCTCOT/VALCOT"/>&#160;|&#160;<xsl:value-of select="FONCTCOT/SEGMENT"/>
      </div>
    </xsl:if>
    <xsl:if test="not(GEODIFF)">
      <div align="center">
        <xsl:apply-templates select="EJ/IDENTS|EI58|IDENTS|PP/IDENTC" mode="LienMultipleSegment"/>
      </div>
    </xsl:if>
  </xsl:if>
  <xsl:if test="not(FONCTCOT/SEGMENT)">
    <xsl:if test="(GEODIFF)">
      <xsl:apply-templates select="EJ/IDENTS|EI58|IDENTS|PP/IDENTC" mode="LienMultiple"/>
      <div align="center">
        <xsl:value-of select="FONCTCOT/VALCOT"/>
      </div>
    </xsl:if>
    <xsl:if test="not(GEODIFF)">
      <div align="center">
        <xsl:apply-templates select="EJ/IDENTS|EI58|IDENTS|PP/IDENTC" mode="LienMultiple"/>
      </div>
    </xsl:if>
  </xsl:if>
</xsl:template>

<xsl:template match="DIRECTIONS/SUITE">
	<xsl:if test="position()=1">
		<xsl:text disable-output-escaping="yes">
			&lt;table width=&quot;635&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;
				&lt;tr&gt;&lt;td width=&quot;100%&quot;class=&quot;clItalic&quot; height=&quot;2&quot;&gt;
		</xsl:text>
		Les entits suivantes comportent plus que les 50 fonctions de direction affiches. Pour obtenir la liste complte, cliquez sur l'identifiant afin de gnrer le module correspondant : "56 - Fonctions de direction" : 
	</xsl:if>
	
	<xsl:if test="position()!=last()">
		<xsl:apply-templates select="../.." mode="displaySirenForSuite"/>
	</xsl:if>
	<xsl:if test="position()=last()">
	<xsl:variable name="preced" select="preceding-sibling::*"/>
		<xsl:apply-templates select="../.." mode="displaySirenForSuite"/>
	
		<xsl:text disable-output-escaping="yes">	&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
		</xsl:text>
		<img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" />
	</xsl:if>
</xsl:template>

<xsl:template match="DIFF58" mode="displaySirenForSuite">
		<xsl:variable name="preced" select="preceding-sibling::*"/>
		<xsl:if test="not($preced/EJ/IDENTS=EJ/IDENTS)">
      <a href="#nullepart" onclick="requestBDFInfos('56','','1','{../EJ/IDENTS}',false,false,this)" class="clItalic">
        <u>
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(../EJ/IDENTS)"/>
          </xsl:call-template>
        </u> -
      </a>
		</xsl:if>
</xsl:template>

<xsl:template match="DIRECTION58" mode="displaySirenForSuite">
	<xsl:variable name="preced" select="preceding-sibling::*"/>
		<xsl:if test="not($preced/EJ/IDENTS=EJ/IDENTS)">
      <a href="#nullepart" onclick="requestBDFInfos('56','','1','{../EJ/IDENTS}',false,false,this)" class="clItalic">
        <u>
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(../EJ/IDENTS)"/>
          </xsl:call-template>
        </u> -
      </a>
		</xsl:if>
</xsl:template>

<xsl:template match="REPLEGAL" mode="displaySirenForSuite">
	<xsl:if test="EJ">
		<xsl:variable name="preced" select="preceding-sibling::*"/>
		<xsl:if test="not($preced/EJ/IDENTS=EJ/IDENTS)">
      <a href="#nullepart" onclick="requestBDFInfos('56','','1','{EJ/IDENTS}',false,false,this)" class="clItalic">
        <u>
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
          </xsl:call-template>
        </u> -
      </a>
		</xsl:if>
	</xsl:if>
	<xsl:if test="PP">
		<xsl:variable name="preced" select="preceding-sibling::*"/>
		<xsl:if test="not($preced/PP/IDENTC=PP/IDENTC)">
			<a href="#nullepart" onclick="requestBDFInfos('56','','1','{PP/IDENTC}',false,false,this)" class="clItalic"><u><xsl:value-of select="PP/IDENTC"/></u> - </a>
		</xsl:if>
	</xsl:if>
</xsl:template>

<xsl:template match="REPLEGAUX/SUITE">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="100%" class="clItalic" height="2">D'autres dirigeants sont disponibles. Vous pouvez les consulter en gnrant le module <a href="#nullepart" onclick="requestBDFInfos('51','','1','{//MODULE58/EJ/IDENTS}',false,false,this)" class="clItalic"><u>51</u></a> : Dirigeants de l'entreprise
			</td>
		</tr>
		<tr>
			<td width="100%"><img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8" /></td>
		</tr>
	</table>
</xsl:template>

</xsl:stylesheet>