<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:import href="../../Ressources/XSL/Commun_bilans.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
	<xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>

	<xsl:variable name="condGraph" select="boolean(//BILAN60[position()=last()]) and not(boolean(//BILAN60[position()=last()]/p2050AA/@ETAT|//BILAN60[position()=last()]/pK00001/@ETAT|//BILAN60[position()=last()]/pK00021/@ETAT|//BILAN60[position()=last()]/pK00359/@ETAT|//BILAN60[position()=last()]/p2051DL/@ETAT|//BILAN60[position()=last()]/p2051DO/@ETAT|//BILAN60[position()=last()]/p2051DR/@ETAT|//BILAN60[position()=last()]/pK00041/@ETAT|//BILAN60[position()=last()]/pK00361/@ETAT|//BILAN60[position()=last()]/pK00035/@ETAT)) and boolean(number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/p2051DO,',','.'))	+ 	number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/p2051DL,',','.'))>=0) and boolean(number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/pK00035,',','.'))!=0)"/>

<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE60/EJ/IDENTS"/>
		</xsl:call-template>
		<body  bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
      
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
				<xsl:call-template name="genLigneConfidentiel" />
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">

          <tr>
            <td width="64"></td>
						<td width="739" colspan="4" class="clCouleur2" valign="top">
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE60/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE60/IST01|FIBEN/PERSONNE/MODULE60/IST02|FIBEN/PERSONNE/MODULE60/IST03|FIBEN/PERSONNE/MODULE60/IST04" mode="genLib"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE60/DIFF60"/>
						</td>
					</tr>
					
				</xsl:if>
			</table>
      <xsl:call-template name="genBasPage"/>
			<xsl:call-template name="genGraph60">
				<xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULE60/EJ/IDENTS"/>
				<xsl:with-param name="nom" select="/FIBEN/PERSONNE/MODULE60/EJ/DENOM"/>
			</xsl:call-template>

		</body>
		
	</html>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE60/EJ">
	<xsl:call-template name="genEnTete">
		<xsl:with-param name="ident" select="IDENTS"/>
		<xsl:with-param name="nom" select="DENOM"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="IST01|IST02|IST03|IST04" mode="genLib">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="left">
			<td class="clCouleur2">
				<xsl:apply-templates select="."/><br/>
			</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br />
</xsl:template>

<xsl:template match="DIFF60">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
			<xsl:if test="@REGFIS">
				<tr>
					<td width="150" class="clCouleur2">&#160;Rgime fiscal</td>
					<td class="clFond" width="300">&#160;<xsl:value-of select="@REGFIS"/>
					</td>
					<td class="clFond" width="185">&#160;</td>
				</tr>
				<tr>
					<td width="105" height="14"/>
					<td width="300" height="14"/>
					<td width="185" height="14"/>
				</tr>
			</xsl:if>
			<tr>
				<td width="150" class="clCouleur2">&#160;Documents comptables</td>
				<td width="300" class="clFond">&#160;COMPTES SOCIAUX</td>
				<td class="clCouleur2" width="185" align="right">&#160;&#160;(exprims en 
          <xsl:call-template name ="displayUnitXsl">
           <xsl:with-param name ="InputUnit" select ="(./@UNITE)"/>
          </xsl:call-template>
         euros)</td>
			</tr>
	</table>
	<xsl:call-template name="shim"/>
	<br/>

	<!-- Date de clture + Dure + Total du bilan  -->
	
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td class="clCouleur2" height="14">&#160;Date de clture</td>
			<xsl:apply-templates select="../DIFF60/BILAN60/@DATCLOT"/>
		</tr>
		<tr> 
			<td class="clCouleur2" height="14">&#160;Dure</td>
			<xsl:apply-templates select="../DIFF60/BILAN60/@DUREEEX"/>
		</tr>
		<tr>
			<td  height="14" colspan="4" />
		</tr>
		<tr> 
			<td class="clCouleur2" height="14">&#160;Total du bilan</td>
			<xsl:apply-templates select="../DIFF60/BILAN60/pK00035" mode="w120etendu">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
		</tr>
	</table>

	<!-- ACTIF BRUT  -->
	
	<a name="actbrut"></a>
	<xsl:call-template name="shim"/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">ACTIF BRUT DU DERNIER EXERCICE</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br />	
	<xsl:apply-templates select="ACTIFBRUT"/>

	<!-- BILAN SYNTHTIQUE et AUTRES DONNES ET ENGAGEMENTS HORS BILAN -->
	
	<a name="bilsynth"></a>
	<div class="clBreakPage"/>
	<xsl:call-template name="shim"/>
	<table width="739" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td width="615" class="clCouleur2">BILAN SYNTHTIQUE</td>
			<td width="19">
				<xsl:if test="$condGraph">
					<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx';window.document.forms['FormGraphes'].submit();"><img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a>
				</xsl:if>
				<xsl:if test="not($condGraph)">
					<img border="0" src="{$root}Images/boutons/diagramme_in.gif" width="19" height="20"/>
				</xsl:if>
			</td>
			<td  align="right"><a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" /></a>			</td>
		</tr>
	</table>
	<xsl:call-template name="shim" /><br />	
	<xsl:apply-templates select="BILAN60[1]"/>

	<!-- AFFECTATION  -->
	
	<xsl:call-template name="shim"/>
	<xsl:apply-templates select="AFFECTATION"/>

	<xsl:apply-templates select="EJ"/>
	<xsl:apply-templates select="STECONSO" mode="genLib">
		<xsl:with-param name="goIdent" select="/FIBEN/PERSONNE/MODULE60/EJ/IDENTS"/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="@DATCLOT">
	<xsl:param name="width" select="120"/>
  <td class="clGrasFond" width="{$width}" align="right">
    <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(.)"/>
    </xsl:call-template>&#160;
  </td>
	<xsl:if test="position()=last() and position()=1">
		<td class="clGrasFond" width="$width" align="right">&#160;</td>
		<td class="clGrasFond" width="$width" align="right">&#160;</td>
	</xsl:if>
	<xsl:if test="position()=last() and position()=2">
		<td class="clGrasFond" width="$width" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="@DUREEEX">
	<xsl:param name="width" select="120"/>
  <td class="clFond" width="120" align="right">
    <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(.)"/>
    </xsl:call-template>&#160;
  </td>
	<xsl:if test="position()=last() and position()=1">
		<td class="clFond" width="$width" align="right">&#160;</td>
		<td class="clFond" width="$width" align="right">&#160;</td>
	</xsl:if>
	<xsl:if test="position()=last() and position()=2">
		<td class="clFond" width="$width" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="ACTIFBRUT">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Date d'arrt</td>
      <td class="clGrasFond" colspan="3"  align="center">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(../ACTIFBRUT/@DATCLOT)"/>
        </xsl:call-template>&#160;
      </td>
		</tr>
		<tr> 
			<td height="10" colspan="4"></td>
		</tr>
		<tr class="clCouleur2" height="15"> 
			<td width="275">&#160;ACTIF</td>
			<td width="120"><div align="right">Brut</div></td>
			<td width="120"><div align="right">Amortissements/</div></td>
			<td width="120"><div align="right">Net</div></td>
		</tr>
		<tr class="clCouleur2" height="15"> 
			<td width="395" colspan="2"></td>
			<td width="120"><div align="right">Provisions</div></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Capital souscrit non appel</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050AA" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<td class="clGrasFond" width="120" align="right">&#160;</td>
			<xsl:apply-templates select="../BILAN60[position()=last()]/p2050AA" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		<tr> 
			<td height="10" colspan="4"></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Actif immobilis</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050BJ"  mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../ACTIFBRUT/p2050BK" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00001" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		<tr> 
			<td height="2" colspan="4"></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Immobilisations incorporelles</td>
			<xsl:apply-templates select="../ACTIFBRUT/pK00003" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/pK00004" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00005" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Immobilisations corporelles</td>
			<xsl:apply-templates select="../ACTIFBRUT/pK00009" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/pK00010" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00011" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Immobilisations financires</td>
			<xsl:apply-templates select="../ACTIFBRUT/pK00013" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/pK00014" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00015" mode="w120seul"/>
		</tr>
		<tr> 
			<td height="10" colspan="4"></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Actif circulant</td>
			<xsl:apply-templates select="../ACTIFBRUT/pK00355"  mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../ACTIFBRUT/pK00055" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00021" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		<tr> 
			<td height="2" colspan="4"></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Dt Stocks</td>
			<xsl:apply-templates select="../ACTIFBRUT/pK00142" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/pK00358" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00026" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Avances et acomptes verss</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050BV" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/p2050BW" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00027" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Clients</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050BX" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/p2050BY" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00028" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Autres crances</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050BZ" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/p2050CA" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00030" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Valeurs mobilires de placement</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050CD" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/p2050CE" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00032" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Disponibilits</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050CF" mode="w120seul"/>
			<xsl:apply-templates select="../ACTIFBRUT/p2050CG" mode="w120seul"/>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00033" mode="w120seul"/>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;</td>
			<td width="120" class="clFond" height="15">&#160;</td>
			<td width="120" class="clFond" height="15">&#160;</td>
			<td width="120" class="clFond" height="15">&#160;</td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Autres postes</td>
			<xsl:apply-templates select="../ACTIFBRUT/pK00357" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../ACTIFBRUT/p2050CI" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00359" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		<tr> 
			<td height="10" colspan="4"></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Total</td>
			<xsl:apply-templates select="../ACTIFBRUT/p2050CO" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../ACTIFBRUT/p20501A" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
			<xsl:apply-templates select="../BILAN60[position()=last()]/pK00035" mode="w120seul">
				<xsl:with-param name="bold">Gras</xsl:with-param>
			</xsl:apply-templates>
		</tr>
	</table>
</xsl:template>

<xsl:template match="BILAN60">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
<!-- ****************************************************************************************************************************************************************************
			 table pour l'ACTIF
 *************************************************************************************************************************************************************************** -->
			<td width="307" valign="top">
				<table width="307" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td width="133" class="clCouleur2" height="14">&#160;Date d'arrt</td>
						<xsl:apply-templates select="../BILAN60/@DATCLOT">
							<xsl:with-param name="width" select="58"/>
						</xsl:apply-templates>
					</tr>
					<tr>
						<td height="10" colspan="4"></td>
					</tr>
					<tr>
						<td width="133" class="clCouleur2" align="center">&#160;ACTIF</td>
						<td width="58"></td>
						<td width="58"></td>
						<td width="58"></td>
					</tr>
					<tr>
						<td width="133" class="clCouleur2" height="14">&#160;Cap. sous. non appel</td>
							<xsl:apply-templates select="../BILAN60/p2050AA" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Actif immobilis</td>
							<xsl:apply-templates select="../BILAN60/pK00001" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="2" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;Immob. incorporelles</td>
							<xsl:apply-templates select="../BILAN60/pK00005" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;Immob. corporelles</td>
							<xsl:apply-templates select="../BILAN60/pK00011" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;Immob. financires</td>
							<xsl:apply-templates select="../BILAN60/pK00015" mode="w58etendu"/>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Actif circulant</td>
							<xsl:apply-templates select="../BILAN60/pK00021" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="2" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Dt Stocks</td>
							<xsl:apply-templates select="../BILAN60/pK00026" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Av. acptes verss</td>
							<xsl:apply-templates select="../BILAN60/pK00027" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Clients</td>
							<xsl:apply-templates select="../BILAN60/pK00028" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Autres crances</td>
							<xsl:apply-templates select="../BILAN60/pK00030" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Valeurs mob. plact.</td>
							<xsl:apply-templates select="../BILAN60/pK00032" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Disponibilits</td>
							<xsl:apply-templates select="../BILAN60/pK00033" mode="w58etendu"/>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Autres postes</td>
							<xsl:apply-templates select="../BILAN60/pK00359" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Total</td>
							<xsl:apply-templates select="../BILAN60/pK00035"  mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
				</table>
			</td>
		<!-- ****************************************************************************************************************************************************************************
		 	barre verticale de sparation ACTIF/PASSIF
		 *************************************************************************************************************************************************************************** -->
			<td width="21" align="center" valign="bottom">
				<xsl:call-template name="svim" /><br />
			</td>		
		<!-- ****************************************************************************************************************************************************************************
			 table pour le PASSIF
			*************************************************************************************************************************************************************************** -->
			<td width="307" valign="top">
				<table width="307" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td width="133" class="clCouleur2" height="14">&#160;Date d'arrt</td>
						<xsl:apply-templates select="../BILAN60/@DATCLOT">
							<xsl:with-param name="width" select="58"/>
						</xsl:apply-templates>
					</tr>
					<tr>
						<td height="10" colspan="4"></td>
					</tr>
					<tr>
						<td width="133" class="clCouleur2" align="center">&#160;PASSIF</td>
						<td width="58"></td>
						<td width="58"></td>
						<td width="58"></td>
					</tr>
					<tr>
						<td width="133" class="clCouleur2" height="14">&#160;Capitaux propres</td>
							<xsl:apply-templates select="../BILAN60/p2051DL" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="2" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Dt capital social</td>
							<xsl:apply-templates select="../BILAN60/p2051DA" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Rsult. exercice</td>
							<xsl:apply-templates select="../BILAN60/p2051DI" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Provisions rgl.</td>
							<xsl:apply-templates select="../BILAN60/p2051DK" mode="w58etendu"/>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Autres fonds propres</td>
							<xsl:apply-templates select="../BILAN60/p2051DO" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Prov. risq. et charges</td>
							<xsl:apply-templates select="../BILAN60/p2051DR" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Dettes</td>
							<xsl:apply-templates select="../BILAN60/pK00041" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="2" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Dt Dettes tab. crdit</td>
							<xsl:apply-templates select="../BILAN60/p2051DU" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;CBC et s. crd.</td>
							<xsl:apply-templates select="../BILAN60/p2051EH" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Autres dettes fin.</td>
							<xsl:apply-templates select="../BILAN60/pK00360" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Av.acptes reus</td>
							<xsl:apply-templates select="../BILAN60/p2051DW" mode="w58etendu"/>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;&#160;&#160;&#160;&#160;Fournisseurs</td>
							<xsl:apply-templates select="../BILAN60/p2051DX" mode="w58etendu"/>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Autres postes</td>
							<xsl:apply-templates select="../BILAN60/pK00361" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
					<tr> 
						<td height="10" colspan="4"></td>
					</tr>
					<tr> 
						<td width="133" class="clCouleur2" height="14">&#160;Total</td>
							<xsl:apply-templates select="../BILAN60/p2051EE" mode="w58etendu">
								<xsl:with-param name="bold">Gras</xsl:with-param>
							</xsl:apply-templates>
					</tr>
				</table>
			</td>
		</tr >
	</table>

	<!-- AUTRES DONNES ET ENGAGEMENTS HORS BILAN  -->
	
	<a name="engag"></a>
	<xsl:call-template name="shim"/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">AUTRES DONNES ET ENGAGEMENTS HORS BILAN</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Date d'arrt</td>
			<td colspan="3"  align="center">
					<xsl:apply-templates select="../BILAN60/@DATCLOT"/>
			</td>
		</tr>
		<tr> 
			<td height="10" colspan="4"></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" align="center">&#160;AUTRES DONNES</td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Part -1 an immobilisations financires</td>
			<td colspan="3"  align="center">
					<xsl:apply-templates select="../BILAN60/p2050CP" mode="w120etendu"/>
			</td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Part -1 an actif circulant et charges const.</td>
			<td colspan="3"  align="center">
					<xsl:apply-templates select="../BILAN60/p2050CR" mode="w120etendu"/>
			</td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Part -1 an dettes et prod. const. d'avance</td>
			<td colspan="3"  align="center">
					<xsl:apply-templates select="../BILAN60/p2051EG" mode="w120etendu"/>
			</td>
		</tr>
		<tr> 
			<td height="10" colspan="4"></td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" align="center">&#160;ENGAGEMENTS HORS BILAN</td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Effets escompts non chus</td>
			<td colspan="3"  align="center">
					<xsl:apply-templates select="../BILAN60/p2058YS" mode="w120etendu"/>
			</td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Autres crances cdes</td>
			<td colspan="3"  align="center">
					<xsl:apply-templates select="../BILAN60/pK00048" mode="w120etendu"/>
			</td>
		</tr>
		<tr> 
			<td width="275" class="clCouleur2" height="15">&#160;Engagements de crdit-bail</td>
			<td colspan="3"  align="center">
					<xsl:apply-templates select="../BILAN60/pK00050" mode="w120etendu"/>
			</td>
		</tr>
	</table>	
</xsl:template>

<xsl:template match="pK00003|pK00004|pK00005|pK00009|pK00010|pK00011|pK00013|pK00014|pK00015|pK00142|pK00358|pK00026|p2050BV|p2050BW|pK00027|p2050BX|p2050BY|pK00028|p2050BZ|p2050CA|pK00030|p2050CD|p2050CE|pK00032|p2050CF|p2050CG|pK00033|p2051DA|p2051DI|p2051DK|p2051DU|p2051EH|pK00360|p2051DW|p2051DX|p2050CP|p2050CR|p2051EG|p2058YS|pK00048|pK00050|p2050AA|p2050BJ|p2050BK|pK00001|pK00355|pK00055|pK00021|pK00357|p2050CI|pK00359|p2050CO|p20501A|pK00035|p2051DL|p2051DO|p2051DR|pK00041|pK00361|p2051EE" mode="w120seul">
	<xsl:param name="bold"/>
	<td class="cl{$bold}Fond" width="120" align="right">
		<xsl:if test="@ETAT">
			<xsl:value-of select="@ETAT"/>&#160;
		</xsl:if>
		<xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>&#160;
		</xsl:if>	
	</td>
</xsl:template>

<xsl:template match="pK00003|pK00004|pK00005|pK00009|pK00010|pK00011|pK00013|pK00014|pK00015|pK00142|pK00358|pK00026|p2050BV|p2050BW|pK00027|p2050BX|p2050BY|pK00028|p2050BZ|p2050CA|pK00030|p2050CD|p2050CE|pK00032|p2050CF|p2050CG|pK00033|p2051DA|p2051DI|p2051DK|p2051DU|p2051EH|pK00360|p2051DW|p2051DX|p2050CP|p2050CR|p2051EG|p2058YS|pK00048|pK00050|p2050AA|p2050BJ|p2050BK|pK00001|pK00355|pK00055|pK00021|pK00357|p2050CI|pK00359|p2050CO|p20501A|pK00035|p2051DL|p2051DO|p2051DR|pK00041|pK00361|p2051EE" mode="w58etendu">
	<xsl:param name="bold"/>
	<td class="cl{$bold}Fond" width="58" align="right">
		<xsl:if test="@ETAT">
			<xsl:value-of select="@ETAT"/>&#160;
		</xsl:if>
		<xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>&#160;
		</xsl:if>	
	</td>
	<xsl:if test="position()=last() and position()=1">
		<td class="cl{$bold}Fond" width="58" align="right">&#160;</td>
		<td class="cl{$bold}Fond" width="58" align="right">&#160;</td>
	</xsl:if>
	<xsl:if test="position()=last() and position()=2">
		<td class="cl{$bold}Fond" width="58" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="p2050CP|p2050CR|p2051EG|p2058YS|pK00048|pK00050|pK00035" mode="w120etendu">
	<xsl:param name="bold"/>
	<td class="cl{$bold}Fond" width="120" align="right">
		<xsl:if test="@ETAT">
			<xsl:value-of select="@ETAT"/>&#160;
		</xsl:if>
		<xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>&#160;
		</xsl:if>	
	</td>
	<xsl:if test="position()=last() and position()=1">
		<td class="cl{$bold}Fond" width="120" align="right">&#160;</td>
		<td class="cl{$bold}Fond" width="120" align="right">&#160;</td>
	</xsl:if>
	<xsl:if test="position()=last() and position()=2">
		<td class="cl{$bold}Fond" width="120" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template name="svim">
	<xsl:element name="img">
		<xsl:attribute name="width">1</xsl:attribute>
		<xsl:attribute name="height">303</xsl:attribute>
		<xsl:attribute name="vspace">8</xsl:attribute>
		<xsl:attribute name="src"><xsl:value-of select="$root"/>Images/risque/shim.gif</xsl:attribute>
	</xsl:element>
</xsl:template>
	
<xsl:template name="genGraph60">
	<xsl:param name="ident"/>
	<xsl:param name="nom"/> 
	<xsl:param name="nomconj"/>
	<xsl:param name="valcot"/>
	<xsl:param name="datcot"/>  
	<xsl:param name="datexa"/>  
	<xsl:param name="idrenv"/>
	<form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
		<input name="familyNumber" type="hidden" value="1"/>
		<input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
		<xsl:element name="input">
			<xsl:attribute name="name">GrapheData</xsl:attribute>
			<xsl:attribute name="type">hidden</xsl:attribute>
			<xsl:attribute name="value">
			&lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
        <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
      </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;
			&lt;ident&gt;<xsl:value-of select="$ident"/>&lt;/ident&gt;
			&lt;nom&gt;<xsl:value-of select="$nom"/>&lt;/nom&gt;
			&lt;nomconj&gt;<xsl:value-of select="$nomconj"/>&lt;/nomconj&gt;
			&lt;datcot&gt;<xsl:value-of select="$datcot"/>&lt;/datcot&gt;
			&lt;graphe&gt;
				<xsl:if test="$condGraph">
					&lt;serie&gt;
						&lt;val&gt;<xsl:value-of select="translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/pK00001,',','.')"/>&lt;/val&gt;
						&lt;val&gt;<xsl:value-of select="translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/pK00021,',','.')"/>&lt;/val&gt;
						&lt;val&gt;<xsl:value-of select="number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/pK00359,',','.')) + number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/p2050AA,',','.'))"/>&lt;/val&gt;
					&lt;/serie&gt;
					&lt;serie&gt;
						&lt;val&gt;<xsl:value-of select="number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/p2051DO,',','.')) + number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/p2051DL,',','.'))"/>&lt;/val&gt;
						&lt;val&gt;<xsl:value-of select="translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/pK00041,',','.')"/>&lt;/val&gt;
						&lt;val&gt;<xsl:value-of select="number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/pK00361,',','.')) + number(translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/p2051DR,',','.'))"/>&lt;/val&gt;
						&lt;val&gt;<xsl:value-of select="translate(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/pK00035,',','.')"/>&lt;/val&gt;
					&lt;/serie&gt;
				</xsl:if>
				&lt;titre&gt;Grandes masses du bilan de l'exercice <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(FIBEN/PERSONNE/MODULE60/DIFF60/BILAN60[position()=last()]/@DATCLOT)"/>
      </xsl:call-template> (en pourcentage du Total bilan)
				&lt;/titre&gt;
				&lt;type&gt;NF&lt;/type&gt;
			&lt;/graphe&gt;&lt;/FIBEN&gt;
			</xsl:attribute>
		</xsl:element>
	</form>
</xsl:template>
  
</xsl:stylesheet>
