<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:import href="../../Ressources/XSL/Commun_bilans.xsl"/>

	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>
	<xsl:variable name="condGraph1" select="boolean(/FIBEN/PERSONNE/MODULE66/DIFF66)"/>
	<xsl:variable name="isOnlyOneCC" select="count(/FIBEN/PERSONNE/MODULE66/DIFF66/CHIFFRESCONSO | /FIBEN/PERSONNE/MODULE66/DIFF66/CHIFFRESCONSOIFRS)=1"/>

<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE66/EJ/IDENTS"/>
		</xsl:call-template>
		<body  bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
      
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
					<xsl:call-template name="genLigneConfidentiel" />
					
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">
          <tr>
            <td width="64"></td>
						<td width="739" colspan="4" class="clCouleur2" valign="top">
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE66/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE66/IST/IST08|FIBEN/PERSONNE/MODULE66/IST/IST03|FIBEN/PERSONNE/MODULE66/IST/IST04|FIBEN/PERSONNE/MODULE66/IST/IST10" mode="genLib"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE66/IST/EJ"/>
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE66/DIFF66"/>
						</td>
					</tr>
										
				</xsl:if>
			</table>
      <xsl:call-template name="genBasPage"/>
			<xsl:if test="$condGraph1">
				<xsl:call-template name="genGraph66">
					<xsl:with-param name="ident" select="FIBEN/PERSONNE/MODULE66/EJ/IDENTS"/>
					<xsl:with-param name="nom" select="FIBEN/PERSONNE/MODULE66/EJ/DENOM"/>
				</xsl:call-template>
			</xsl:if>
		</body>
		
	</html>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE66/EJ">
	<xsl:call-template name="genEnTete">
		<xsl:with-param name="ident" select="IDENTS"/>
		<xsl:with-param name="nom" select="DENOM"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="IST08|IST03|IST04|IST10" mode="genLib">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="left">
			<td class="clCouleur2">
				<xsl:apply-templates select="."/><br/>
			</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br />
</xsl:template>

<xsl:template match="DIFF66">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="150" class="clCouleur2">&#160;Nom du groupe</td>
				<td class="clFond" width="300">&#160;<xsl:value-of select="NOMGROUP"/></td>
				<td class="clFond" width="185" height="14"/>
			</tr>
			<tr>
				<td width="150" height="14"/>
				<td width="300" height="14"/>
				<td width="185" height="14"/>
			</tr>
			<tr>
				<td width="150" class="clCouleur2">&#160;Documents comptables</td>
				<td width="300" class="clFond">&#160;COMPTES CONSOLIDS</td>
				<td class="clCouleur2" width="185" align="right">&#160;&#160;(exprims en
        <xsl:call-template name ="displayUnitXsl">
          <xsl:with-param name ="InputUnit" select ="(//DIFF66/@UNITE)"/>
        </xsl:call-template>
         euros)</td>
			</tr>
	</table>
	<xsl:call-template name="shim"/>
	<br/>

	<!-- Date de clture + Dure  -->
	
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td width="355" class="clCouleur2" height="14">&#160;Date de clture</td>
			<xsl:apply-templates select="../DIFF66/CHIFFRESCONSO/@DATCLOT"/>
			<xsl:apply-templates select="../DIFF66/CHIFFRESCONSOIFRS/@DATCLOT"/>
		</tr>
		<tr> 
			<td class="clCouleur2" height="14">&#160;Dure</td>
			<xsl:apply-templates select="../DIFF66/CHIFFRESCONSO/@DUREEEX"/>
			<xsl:apply-templates select="../DIFF66/CHIFFRESCONSOIFRS/@DUREEEX"/>
		</tr>
	</table>
	<xsl:apply-templates select="FILIALESPERI"/>

	<!--    GRANDES MASSES DU COMPTE DE RSULTAT      -->

	<a name="resultat"></a>
	<xsl:call-template name="BILAN66"/>


	<!--   SOCIT(S) CONSOLIDANT L'ENTREPRISE     -->

	<xsl:call-template name="shim"/><br />	
	<xsl:apply-templates select="../DIFF66/EJ"/>
	
</xsl:template>



<xsl:template match="@DATCLOT">
  <td class="clGrasFond" width="140" align="right">
    <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(.)"/>
    </xsl:call-template>&#160;
  </td>
	<xsl:if test="$isOnlyOneCC">
		<td class="clGrasFond" width="140" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="@DUREEEX">
	<td class="clFond" width="140" align="right">
    <xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(.)"/>
    </xsl:call-template>&#160;</td>
	<xsl:if test="$isOnlyOneCC">
		<td class="clFond" width="140" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="pCACONS|pEXPORT|pEBE|pRESEXPL|pRESFIN|pRESCAI|pRESEXCEP|pRNCAAEA|pRNC|pRNCPM|pEFFECT|pK01143|pK01144|pK01151|pK01411|pK01171|pK01167|pK01172|pK01174|pK01177|pK01178|pK01154|pCAF|pK01376|pK01295|pK01283|pDET_FP|pCBC_CA|pEBE_CA|pRNC_CA|pRNC_CP|pK01888|pROC_CA">
	<td class="clFond" width="140" align="right">
		<xsl:if test="@ETAT">
			<xsl:value-of select="@ETAT"/>&#160;
		</xsl:if>
		<xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>&#160;
		</xsl:if>
	</td>
	<xsl:if test="$isOnlyOneCC">
		<td class="clFond" width="140" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="pROC|p2019SAR|p2019SAS|p2019SBI|pRNC|p2019SBL|pRNCPM|pEFFECT|pK02399|pK02618|pK02403|pK02402|p2011EAR|pK02411|pK02410|pK02419|pK02418|pK02423|pK02420|p2018FBJ|p2018FBK|pK02579|pK02494|pK02495|pK02614|pK02496|pK02606|pCBC_CA|pK02685|pK02705|pRNC_CP|pK02615|pROC_CA">
	<td class="clFond" width="140" align="right">
		<xsl:if test="@ETAT">
			<xsl:value-of select="@ETAT"/>&#160;
		</xsl:if>
		<xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>&#160;
		</xsl:if>
	</td>
	<xsl:if test="$isOnlyOneCC">
		<td class="clFond" width="140" align="right">&#160;</td>
	</xsl:if>
</xsl:template>

<xsl:template match="FILIALESPERI">
	<xsl:call-template name="shim"/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="235" class="clCouleur2" height="15">&#160;Primtre diffus au</td>
			<td width="60" class="clFond" align="center">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATPERI)"/>
        </xsl:call-template>
      </td>
			<td width="340" colspan="5" height="15"/>
		</tr>
		<tr>
			<td width="455" colspan="4" height="15"/>
			<td width="60" class="clCouleur2"  align="right" height="15">IG</td>
			<td width="60" class="clCouleur2"  align="right" height="15">IP</td>
			<td width="60" class="clCouleur2"  align="right" height="15">ME</td>
		</tr>
		<tr>
			<td width="235" class="clCouleur2" height="15">&#160;Nombre de filiales consolides</td>
			<td width="60" class="clFond" align="right"><xsl:value-of select="NBFILIALES/NBFILTOT"/>&#160;</td>
			<td width="60" height="15"/>
			<td width="100" class="clCouleur2"  height="15">&#160;rparties en</td>
			<td width="60" class="clFond" align="right" height="15"><xsl:value-of select="NBFILIALES/NBFILIG"/></td>
			<td width="60" class="clFond" align="right" height="15"><xsl:value-of select="NBFILIALES/NBFILIP"/></td>
			<td width="60" class="clFond" align="right" height="15"><xsl:value-of select="NBFILIALES/NBFILME"/></td>
		</tr>
	</table>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td class="clItalic" height="10"/>
		</tr>
		<tr>
			<td class="clItalic">&#160;IG : Filiale consolide selon la mthode de l'intgration globale</td>
		</tr>
		<tr>
			<td class="clItalic">&#160;IP : Filiale consolide selon la mthode de l'intgration proportionnelle</td>
		</tr>
		<tr>
			<td class="clItalic">&#160;ME : Filiale consolide selon la mthode de la mise en quivalence</td>
		</tr>
	</table>
</xsl:template>

<xsl:template name="genGraph66">
	<xsl:param name="ident"/>
	<xsl:param name="nom"/>
	<form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
		<input name="familyNumber" type="hidden" value="1"/>
		<input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
		<xsl:element name="input">
				<xsl:attribute name="name">GrapheData</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value">&lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
          <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
        </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="$ident"/>&lt;/ident&gt;	&lt;nom&gt;<xsl:value-of select="$nom"/>&lt;/nom&gt;&lt;graphe&gt;
	<xsl:if test="$condGraph1">
	&lt;serie&gt;
		<xsl:for-each select="//CHIFFRESCONSO">
				<xsl:if test="pRESEXPL/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pRESEXPL/@ETAT)">&lt;val&gt;<xsl:value-of select="pRESEXPL"/>&lt;/val&gt;</xsl:if>
		</xsl:for-each>	
		<xsl:for-each select="//CHIFFRESCONSOIFRS">
				<xsl:if test="pROC/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pROC/@ETAT)">&lt;val&gt;<xsl:value-of select="pROC"/>&lt;/val&gt;</xsl:if>
		</xsl:for-each>
	&lt;/serie&gt;
	&lt;serie&gt;
		<xsl:for-each select="//CHIFFRESCONSO">
				<xsl:if test="pRESCAI/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pRESCAI/@ETAT)">&lt;val&gt;<xsl:value-of select="pRESCAI"/>&lt;/val&gt;</xsl:if>
		</xsl:for-each>	
		<xsl:for-each select="//CHIFFRESCONSOIFRS">
				<xsl:if test="p2019SAR/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(p2019SAR/@ETAT)">&lt;val&gt;<xsl:value-of select="p2019SAR"/>&lt;/val&gt;</xsl:if>
		</xsl:for-each>
	&lt;/serie&gt;
	&lt;serie&gt;
		<xsl:for-each select="//CHIFFRESCONSO">
			
				<xsl:if test="pRNC/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pRNC/@ETAT)">&lt;val&gt;<xsl:value-of select="pRNC"/>&lt;/val&gt;</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="//CHIFFRESCONSOIFRS">
				<xsl:if test="pRNC/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pRNC/@ETAT)">&lt;val&gt;<xsl:value-of select="pRNC"/>&lt;/val&gt;</xsl:if>
			
		</xsl:for-each>
	&lt;/serie&gt;
	&lt;serie&gt;
		<xsl:for-each select="//CHIFFRESCONSO">
			
				<xsl:if test="pRNC/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pRNC/@ETAT)">&lt;val&gt;<xsl:value-of select="pRNC"/>&lt;/val&gt;</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="//CHIFFRESCONSOIFRS">
				<xsl:if test="p2019SBL/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(p2019SBL/@ETAT)">&lt;val&gt;<xsl:value-of select="p2019SBL"/>&lt;/val&gt;</xsl:if>
			
		</xsl:for-each>
	&lt;/serie&gt;
	&lt;serie&gt;
	<xsl:for-each select="//CHIFFRESCONSO">
			
				<xsl:if test="pRNCPM/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pRNCPM/@ETAT)">&lt;val&gt;<xsl:value-of select="pRNCPM"/>&lt;/val&gt;</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="//CHIFFRESCONSOIFRS">
				<xsl:if test="pRNCPM/@ETAT='ND'">&lt;val&gt;0&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pRNCPM/@ETAT)">&lt;val&gt;<xsl:value-of select="pRNCPM"/>&lt;/val&gt;</xsl:if>
			
		</xsl:for-each>
	&lt;/serie&gt;
	&lt;serie&gt;
		<xsl:for-each select="//CHIFFRESCONSO">
			
				<xsl:if test="pCAF/@ETAT='ND'">&lt;val&gt;999999&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pCAF/@ETAT)">&lt;val&gt;<xsl:value-of select="pCAF"/>&lt;/val&gt;</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="//CHIFFRESCONSOIFRS">
				<xsl:if test="pK02579/@ETAT='ND'">&lt;val&gt;999999&lt;/val&gt;</xsl:if>
				<xsl:if test="not(pK02579/@ETAT)">&lt;val&gt;<xsl:value-of select="pK02579"/>&lt;/val&gt;</xsl:if>
			</xsl:for-each>
	&lt;/serie&gt;
	&lt;abcisse&gt;
		<xsl:for-each select="//CHIFFRESCONSO">&lt;val&gt;
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(@DATCLOT)"/>
      </xsl:call-template>&lt;/val&gt;
		</xsl:for-each>
		<xsl:for-each select="//CHIFFRESCONSOIFRS">&lt;val&gt;
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(@DATCLOT)"/>
      </xsl:call-template>&lt;/val&gt;
		</xsl:for-each>
	&lt;/abcisse&gt;
	
	</xsl:if>
	&lt;titre&gt;Chiffres-cls consolids (en
          <xsl:call-template name ="displayUnitXsl">
          <xsl:with-param name ="InputUnit" select ="(FIBEN/PERSONNE/MODULE66/DIFF66/@UNITE)"/>
        </xsl:call-template>
         euros)&lt;/titre&gt;
	&lt;unite&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULE66/DIFF66/@UNITE"/>&lt;/unite&gt;
	
		<xsl:if test="//CHIFFRESCONSO">			
			&lt;type&gt;NF&lt;/type&gt;
		</xsl:if>
		<xsl:if test="//CHIFFRESCONSOIFRS">
			
				&lt;type&gt;IFRS&lt;/type&gt;
			
		</xsl:if>
	
	&lt;/graphe&gt;
	&lt;/FIBEN&gt;
	</xsl:attribute>
	</xsl:element>
	</form>
</xsl:template>

 <xsl:template name="BILAN66">
	<xsl:if test="CHIFFRESCONSO">
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="615" align="center" class="clCouleur2">GRANDES MASSES DU COMPTE DE RSULTAT</td>
				<td>
					<xsl:if test="$condGraph1">
						<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx';window.document.forms['FormGraphes'].submit	();"><img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a>
					</xsl:if>
					<xsl:if test="not($condGraph1)">
						<img border="0" src="{$root}Images/boutons/diagramme_in.gif" width="19" height="20"/>
					</xsl:if>
				</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
				<xsl:apply-templates select="CHIFFRESCONSO/@DATCLOT"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Chiffre d'affaires</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pCACONS"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Pourcentage de chiffre d'affaires  l'tranger</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pEXPORT"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Excdent brut d'exploitation</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pEBE"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat d'exploitation</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRESEXPL"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat financier</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRESFIN"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat courant avant impt</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRESCAI"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat exceptionnel</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRESEXCEP"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat net consolid av. amortissement cart d'acquisition</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRNCAAEA"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat net consolid</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRNC"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;Dont part des minoritaires</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRNCPM"/>
			</tr>
			<tr>
				<td width="355" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Effectif du groupe</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pEFFECT"/>
			</tr>
		</table>
	
		<!--    GRANDES MASSES DU BILAN     -->
	
		<a name="bilan"></a>
		<div class="clBreakPage"/>
		<xsl:call-template name="shim"/><br />	
		<table width="739" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="615" align="center" class="clCouleur2">GRANDES MASSES DU BILAN</td>
				<td width="19">&#160;</td>
				<td  align="right"><a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" /></a></td>				</tr>
		</table>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
				<xsl:apply-templates select="CHIFFRESCONSO/@DATCLOT"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Actif immobilis net</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01143"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;Dont cart d'acquisition</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01144"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Actif circulant net</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01151"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;Dont disponibilits + VMP</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01411"/>
			</tr>
			<tr>
				<td width="355" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Capitaux propres</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01171"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;Dont intrts minoritaires</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01167"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Fonds non remboursables</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01172"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Provisions pour risques et charges</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01174"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Dettes</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01177"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;Dont dettes financires</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01178"/>
			</tr>
			<tr>
				<td width="355" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Total bilan</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01154"/>
			</tr>
		</table>
	
		<!--   LMENTS D'ANALYSE FINANCIRE     -->
	
		<a name="analyse"></a>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="615" align="center" class="clCouleur2">LMENTS D'ANALYSE FINANCIRE</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="355" colspan="2" class="clCouleur2" height="16">&#160;Date d'arrt</td>
				<xsl:apply-templates select="CHIFFRESCONSO/@DATCLOT"/>
			</tr>
			<tr>
				<td width="325" height="10"/>
				<td width="30" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Capacit d'autofinancement</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pCAF"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;FRNG</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01376"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;BFR hors effets escompts non chus</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01295"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Trsorerie</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01283"/>
			</tr>
			<tr>
				<td width="325" height="10"/>
				<td width="30" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Dettes financires stables / Fonds propres nets</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pDET_FP"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Concours bancaires courants / CA</td>
				<td class="clCouleur2" align="right">j&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pCBC_CA"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;EBE / CA</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pEBE_CA"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat net / CA</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRNC_CA"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat net / Capitaux propres</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pRNC_CP"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Capitaux propres / Total Bilan</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSO/pK01888"/>
			</tr>
		</table>
	</xsl:if>

	<xsl:if test="CHIFFRESCONSOIFRS">
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="615" align="center" class="clCouleur2">GRANDES MASSES DU COMPTE DE RSULTAT</td>
				<td>
					<xsl:if test="$condGraph1">
						<a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx';window.document.forms['FormGraphes'].submit	();"><img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/></a>
					</xsl:if>
					<xsl:if test="not($condGraph1)">
						<img border="0" src="{$root}Images/boutons/diagramme_in.gif" width="19" height="20"/>
					</xsl:if>
				</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/@DATCLOT"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Chiffre d'affaires</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pCACONS"/>
			</tr>

			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Pourcentage de chiffre d'affaires  l'tranger</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pEXPORT"/>
			</tr>
			
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat oprationnel courant</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pROC"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat oprationnel</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SAR"/>
			</tr>
						
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Cot de l'endettement financier net</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SAS"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat net des activits en cours</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SBI"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Rsultat net consolid</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pRNC"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;dont part du groupe</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SBL"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;dont part des minoritaires</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pRNCPM"/>
			</tr>
			<tr>
				<td width="355" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Effectif du groupe</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pEFFECT"/>
			</tr>
		</table>
	
		<!--    GRANDES MASSES DU BILAN     -->
	
		<a name="bilan"></a>
		<div class="clBreakPage"/>
		<xsl:call-template name="shim"/><br />	
		<table width="739" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="615" align="center" class="clCouleur2">GRANDES MASSES DU BILAN</td>
				<td width="19">&#160;</td>
				<td  align="right"><a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" /></a></td>				</tr>
		</table>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/@DATCLOT"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Actif non courant</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02399"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;dont carts d'acquisition totaux</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02618"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Actif courant</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02403"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;Trsorerie et quivalents de trsorerie</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02402"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Actifs destins  la vente</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/p2011EAR"/>
			</tr>
			<tr>
				<td width="355" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Capitaux propres totaux</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02411"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;dont intrts minoritaires</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02410"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Passif non courant</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02419"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;dont dettes  long terme</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02418"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Passif courant</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02423"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;&#160;dont dettes financires CT</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02420"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Passifs destins  la vente</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/p2018FBJ"/>
			</tr>
			<tr>
				<td width="355" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="355" class="clCouleur2" height="16">&#160;Total bilan</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/p2018FBK"/>
			</tr>
			</table>
	
		<!--   LMENTS D'ANALYSE FINANCIRE     -->
	
		<a name="analyse"></a>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="615" align="center" class="clCouleur2">LMENTS D'ANALYSE FINANCIRE</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/><br />	
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="355" colspan="2" class="clCouleur2" height="16">&#160;Date d'arrt</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/@DATCLOT"/>
			</tr>
			<tr>
				<td width="325" height="10"/>
				<td width="30" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Capacit d'autofinancement</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02579"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;FRNG</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02494"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;BFR</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02495"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;(ACTIFS-DETTES) DESTINS  LA VENTE</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02614"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Trsorerie</td>
				<td class="clCouleur2">
					<div align="right"><xsl:value-of select="//DIFF66/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;</div>
				</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02496"/>
			</tr>
			<tr>
				<td width="325" height="10"/>
				<td width="30" height="10"/>
				<td width="140" height="10"/>
				<td width="140" height="10"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Dettes financires  + d'un an / Capitaux propres</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02606"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Concours bancaires courants / CA</td>
				<td class="clCouleur2" align="right">j&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pCBC_CA"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat oprationnel courant / CA HT</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pROC_CA"/>
			</tr>
			<!--<xsl:if test="CHIFFRESCONSOIFRS/pK02683">
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat oprationnel courant / CA HT</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02683"/>
			</tr>
			</xsl:if>
			<xsl:if test="CHIFFRESCONSOIFRS/pK02703">
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat oprationnel courant / CA HT</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02703"/>
			</tr>
			</xsl:if-->
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat oprationnel / CA HT</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02685"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat net des activits en cours / CA HT</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02705"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Rsultat net / Capitaux propres</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pRNC_CP"/>
			</tr>
			<tr>
				<td width="325" class="clCouleur2" height="16">&#160;Capitaux propres / Total Bilan</td>
				<td class="clCouleur2" align="right">%&#160;	</td>
				<xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02615"/>
			</tr>
		</table>
	
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
