<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					                    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					                    xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/Commun_bilans.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>

  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE69/EJ/IDENTS"/>
      </xsl:call-template>
      <body  bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        
        <table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel"/>
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">
            <tr>
              <td width="14"></td>
              <td width="739" colspan="4" class="clCouleur2" valign="top">
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE69/EJ"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE69/IST01|FIBEN/PERSONNE/MODULE69/IST02|FIBEN/PERSONNE/MODULE69/IST03|FIBEN/PERSONNE/MODULE69/IST04" mode="genLib"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULE69/DIFF69"/>
              </td>
            </tr>
            
          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="FIBEN/PERSONNE/MODULE69/EJ">
    <xsl:call-template name="genEnTete">
      <xsl:with-param name="ident" select="IDENTS"/>
      <xsl:with-param name="nom" select="DENOM"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="IST01|IST02|IST03|IST04" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
  </xsl:template>

  <xsl:template match="DIFF69">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <xsl:if test="@REGFIS">
        <tr>
          <td width="150" class="clCouleur2">&#160;Rgime fiscal</td>
          <td class="clFond" width="300" >
            &#160;<xsl:value-of select="@REGFIS"/>
          </td>
          <td class="clFond" width="185">&#160;</td>
        </tr>

        <tr>
          <td width="105" height="14"></td>
          <td width="300" height="14"></td>
          <td width="185" height="14"></td>
        </tr>
      </xsl:if>
      <tr>
        <td width="150" class="clCouleur2">&#160;Documents comptables</td>
        <td width="300"  class="clFond">&#160;COMPTES SOCIAUX</td>
        <td class="clCouleur2" width="185" align="right">&#160;&#160;(exprims en milliers d'euros)</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <xsl:apply-templates select="LIASSE[1]"/>
    <xsl:apply-templates select="HORSLIASSE[1]"/>
    <xsl:apply-templates select="AFFECTATION69[1]"/>
    <xsl:if test="EJ">
      <div class="clBreakPage"/>
    </xsl:if>
    <xsl:call-template name="shim"/>
    <br />
    <xsl:apply-templates select="EJ"/>
    <xsl:apply-templates select="STECONSO" mode="genLib">
      <xsl:with-param name="goIdent" select="/FIBEN/PERSONNE/MODULE69/EJ/IDENTS"/>
    </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="LIASSE">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="320" class="clCouleur2" height="14">&#160;Date de clture</td>
        <xsl:apply-templates select="../LIASSE/@DATCLOT"/>
      </tr>
      <tr>
        <td width="320" class="clCouleur2" height="14">&#160;Dure</td>
        <xsl:apply-templates select="../LIASSE/@DUREEEX"/>
      </tr>
    </table>
    <div class="clBreakPage"/>
    <xsl:call-template name="shim"/>
    <br />
    <a name="actif"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          ACTIF<br />
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" class="clCouleur2" height="15" align="center">&#160;</td>
        <td class="clCouleur2" width="55" align="center" height="15">&#160;</td>
        <xsl:apply-templates select="../LIASSE/@DATCLOT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="10" align="center"></td>
        <td class="clCouleur2" width="55" align="center" height="10"></td>
        <td width="105" align="right" height="10"></td>
        <td width="105" align="right" height="10"></td>
        <td width="105" align="right" height="10"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15" align="center">ACTIF IMMOBILIS</td>
        <td class="clCouleur2" width="55" align="center" height="15"></td>
        <td  width="105" align="right" height="15"></td>
        <td  width="105" align="right" height="15"></td>
        <td  width="105" align="right" height="15"></td>
      </tr>
      <tr>
        <td height="10" width="265"></td>
        <td height="10"></td>
        <td width="105"></td>
        <td height="10" width="105"></td>
        <td height="10" width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;Capital souscrit non appel (0)</td>
        <td class="clCouleur2" width="55" align="center" height="15">2050AA</td>
        <xsl:apply-templates select="../LIASSE/p2050AA"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;IMMOBILISATIONS INCORPORELLES</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Frais d'tablissement (brut)</td>
        <td class="clCouleur2" width="55" align="center">2050AB</td>
        <xsl:apply-templates select="../LIASSE/p2050AB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Frais d'tablissement (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050AC</td>
        <xsl:apply-templates select="../LIASSE/p2050AC"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Frais de dveloppement (brut)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050CX</td>
        <xsl:apply-templates select="../LIASSE/p2050CX"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Frais de dveloppement (amortis./provisions)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050CQ</td>
        <xsl:apply-templates select="../LIASSE/p2050CQ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Concessions brevets... (brut)</td>
        <td class="clCouleur2" width="55" align="center">2050AF</td>
        <xsl:apply-templates select="../LIASSE/p2050AF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Concessions brevets... (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AG</td>
        <xsl:apply-templates select="../LIASSE/p2050AG"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Fonds commercial (brut)</td>
        <td class="clCouleur2" width="55" align="center">2050AH</td>
        <xsl:apply-templates select="../LIASSE/p2050AH"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Fonds commercial (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050AI</td>
        <xsl:apply-templates select="../LIASSE/p2050AI"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Autres immobilisations incorporelles (brut)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AJ</td>
        <xsl:apply-templates select="../LIASSE/p2050AJ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Autres immo. incorporelles (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AK</td>
        <xsl:apply-templates select="../LIASSE/p2050AK"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Avances-acptes s/ immo. incorporelles (brut)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AL</td>
        <xsl:apply-templates select="../LIASSE/p2050AL"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Av.-acpt s/immo. incorporelles (amort. prov)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AM</td>
        <xsl:apply-templates select="../LIASSE/p2050AM"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;IMMOBILISATIONS CORPORELLES</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="5" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Terrains (brut)</td>
        <td class="clCouleur2" width="55" align="center">2050AN</td>
        <xsl:apply-templates select="../LIASSE/p2050AN"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Terrains (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050AO</td>
        <xsl:apply-templates select="../LIASSE/p2050AO"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Constructions (brut)</td>
        <td class="clCouleur2" width="55" align="center">2050AP</td>
        <xsl:apply-templates select="../LIASSE/p2050AP"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Constructions (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050AQ</td>
        <xsl:apply-templates select="../LIASSE/p2050AQ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Inst. techniques matriel outillage (brut)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AR</td>
        <xsl:apply-templates select="../LIASSE/p2050AR"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Inst. techniq. matriel outillage (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AS</td>
        <xsl:apply-templates select="../LIASSE/p2050AS"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Autres immobilisations corporelles (brut)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AT</td>
        <xsl:apply-templates select="../LIASSE/p2050AT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Autres immo. corporelles (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AU</td>
        <xsl:apply-templates select="../LIASSE/p2050AU"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Immobilisations en cours (brut)</td>
        <td class="clCouleur2" width="55" align="center">2050AV</td>
        <xsl:apply-templates select="../LIASSE/p2050AV"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Immobilisations en cours (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050AW</td>
        <xsl:apply-templates select="../LIASSE/p2050AW"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Avances et acomptes (brut)</td>
        <td class="clCouleur2" width="55" align="center">2050AX</td>
        <xsl:apply-templates select="../LIASSE/p2050AX"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Avances et acomptes (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050AY</td>
        <xsl:apply-templates select="../LIASSE/p2050AY"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;IMMOBILISATIONS FINANCIRES</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Participations quivalence</td>
        <td class="clCouleur2" width="55" align="center">2050CS</td>
        <xsl:apply-templates select="../LIASSE/p2050CS"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">
          &#160;&#160;Participations quivalence
          (prov.)
        </td>
        <td class="clCouleur2" width="55" align="center">2050CT</td>
        <xsl:apply-templates select="../LIASSE/p2050CT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres participations</td>
        <td class="clCouleur2" width="55" align="center">2050CU</td>
        <xsl:apply-templates select="../LIASSE/p2050CU"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres participations (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050CV</td>
        <xsl:apply-templates select="../LIASSE/p2050CV"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Crances rattaches  des participations</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050BB</td>
        <xsl:apply-templates select="../LIASSE/p2050BB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Crances rattaches  des particip. (prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050BC</td>
        <xsl:apply-templates select="../LIASSE/p2050BC"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres titres immobiliss</td>
        <td class="clCouleur2" width="55" align="center">2050BD</td>
        <xsl:apply-templates select="../LIASSE/p2050BD"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres titres immobiliss (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050BE</td>
        <xsl:apply-templates select="../LIASSE/p2050BE"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Prts</td>
        <td class="clCouleur2" width="55" align="center">2050BF</td>
        <xsl:apply-templates select="../LIASSE/p2050BF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Prts (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050BG</td>
        <xsl:apply-templates select="../LIASSE/p2050BG"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres immobilisations financires</td>
        <td class="clCouleur2" width="55" align="center">2050BH</td>
        <xsl:apply-templates select="../LIASSE/p2050BH"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="14">&#160;&#160;Autres immobilisations financires (prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050BI</td>
        <xsl:apply-templates select="../LIASSE/p2050BI"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL ACTIF IMMOBILIS [I]</td>
        <td class="clCouleur2" width="55" align="center">2050BJ</td>
        <xsl:apply-templates select="../LIASSE/p2050BJ"/>
      </tr>
      <tr>
        <td width="265" class="clTexte" height="10" ></td>
        <td class="clTexte" width="55" height="10" ></td>
        <td class="clTexte" width="105" height="10"></td>
        <td class="clTexte"  width="105" height="10"></td>
        <td class="clTexte"  width="105" height="10"></td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center" height="14">TOTAL ACTIF IMMOBILIS [I] (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center" height="14">2050BK</td>
        <xsl:apply-templates select="../LIASSE/p2050BK"/>
      </tr>
    </table>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" class="clCouleur2" height="10"></td>
        <td width="55" height="10"></td>
        <td width="105" class="clTexte" height="10"></td>
        <td width="105" class="clTexte" height="10"></td>
        <td width="105" class="clTexte" height="10"></td>
      </tr>
      <tr class="clBreakPage">
        <td width="265" class="clCouleur2" align="center">ACTIF CIRCULANT</td>
        <td width="55"></td>
        <td width="105" align="right">&#160;</td>
        <td width="105" align="right">&#160;</td>
        <td width="105" align="right">&#160;</td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="10"></td>
        <td width="55" height="10"></td>
        <td width="105" class="clTexte" align="right" height="10"></td>
        <td width="105" class="clTexte" align="right" height="10"></td>
        <td width="105" class="clTexte" align="right" height="10"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;STOCKS</td>
        <td width="55"></td>
        <td width="105" class="clTexte" align="right">&#160;</td>
        <td width="105" class="clTexte" align="right">&#160;</td>
        <td width="105" class="clTexte" align="right">&#160;</td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Matires premires approvisionnements</td>
        <td class="clCouleur2" width="55" align="center">2050BL</td>
        <xsl:apply-templates select="../LIASSE/p2050BL"/>
      </tr>
      <tr>
        <td height="14" class="clCouleur2" width="265">&#160;&#160;Matires premires approvisionn. (prov.)</td>
        <td class="clCouleur2" align="center" width="55">2050BM</td>
        <xsl:apply-templates select="../LIASSE/p2050BM"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;En-cours production de biens</td>
        <td class="clCouleur2" width="55" align="center">2050BN</td>
        <xsl:apply-templates select="../LIASSE/p2050BN"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;En-cours production de biens (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050BO</td>
        <xsl:apply-templates select="../LIASSE/p2050BO"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;En-cours production de services</td>
        <td class="clCouleur2" width="55" align="center">2050BP</td>
        <xsl:apply-templates select="../LIASSE/p2050BP"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;En-cours production de services (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050BQ</td>
        <xsl:apply-templates select="../LIASSE/p2050BQ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Produits intermdiaires et finis</td>
        <td class="clCouleur2" width="55" align="center">2050BR</td>
        <xsl:apply-templates select="../LIASSE/p2050BR"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Produits intermdiaires et finis (prov.) </td>
        <td class="clCouleur2" width="55" align="center">2050BS</td>
        <xsl:apply-templates select="../LIASSE/p2050BS"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Marchandises</td>
        <td class="clCouleur2" width="55" align="center">2050BT</td>
        <xsl:apply-templates select="../LIASSE/p2050BT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Marchandises (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050BU</td>
        <xsl:apply-templates select="../LIASSE/p2050BU"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;&#160;Avances et acptes verss sur commandes</td>
        <td width="55" align="center" class="clCouleur2" height="15">2050BV</td>
        <xsl:apply-templates select="../LIASSE/p2050BV"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Avances et acomptes verss (prov.)</td>
        <td width="55" align="center" class="clCouleur2">2050BW</td>
        <xsl:apply-templates select="../LIASSE/p2050BW"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;CRANCES</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Clients et comptes rattachs</td>
        <td class="clCouleur2" width="55" align="center">2050BX</td>
        <xsl:apply-templates select="../LIASSE/p2050BX"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Clients et comptes rattachs (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050BY</td>
        <xsl:apply-templates select="../LIASSE/p2050BY"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres crances</td>
        <td class="clCouleur2" width="55" align="center">2050BZ</td>
        <xsl:apply-templates select="../LIASSE/p2050BZ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres crances (prov.) </td>
        <td class="clCouleur2" width="55" align="center">2050CA</td>
        <xsl:apply-templates select="../LIASSE/p2050CA"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="3" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Capital souscrit appel non vers</td>
        <td class="clCouleur2" width="55" align="center">2050CB</td>
        <xsl:apply-templates select="../LIASSE/p2050CB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Capital souscrit appel non vers (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050CC</td>
        <xsl:apply-templates select="../LIASSE/p2050CC"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;TRSORERIE-ACTIF</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Valeurs mobilires de placement</td>
        <td class="clCouleur2" width="55" align="center">2050CD</td>
        <xsl:apply-templates select="../LIASSE/p2050CD"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Valeurs mobilires de placement (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050CE</td>
        <xsl:apply-templates select="../LIASSE/p2050CE"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Disponibilits</td>
        <td class="clCouleur2" width="55" align="center">2050CF</td>
        <xsl:apply-templates select="../LIASSE/p2050CF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Disponibilits (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050CG</td>
        <xsl:apply-templates select="../LIASSE/p2050CG"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Charges constates d'avance</td>
        <td class="clCouleur2" width="55" align="center">2050CH</td>
        <xsl:apply-templates select="../LIASSE/p2050CH"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Charges constates d'avance (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050CI</td>
        <xsl:apply-templates select="../LIASSE/p2050CI"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL ACTIF CIRCULANT [II]</td>
        <td class="clCouleur2" width="55" align="center">2050CJ</td>
        <xsl:apply-templates select="../LIASSE/p2050CJ"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL ACTIF CIRCULANT [II] (prov.)</td>
        <td class="clCouleur2" width="55" align="center">2050CK</td>
        <xsl:apply-templates select="../LIASSE/p2050CK"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Frais d'mission d'emprunts  taler [III]</td>
        <td class="clCouleur2" width="55" align="center">2050CW</td>
        <xsl:apply-templates select="../LIASSE/p2050CW"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Primes remboursement des obligations [IV)</td>
        <td class="clCouleur2" width="55" align="center">2050CM</td>
        <xsl:apply-templates select="../LIASSE/p2050CM"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;carts de conversion actif [V]</td>
        <td class="clCouleur2" width="55" align="center">2050CN</td>
        <xsl:apply-templates select="../LIASSE/p2050CN"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL GNRAL ACTIF [O  V]</td>
        <td class="clCouleur2" width="55" align="center">2050CO</td>
        <xsl:apply-templates select="../LIASSE/p2050CO"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL GNRAL ACTIF [O  V] (amort. prov.)</td>
        <td class="clCouleur2" width="55" align="center">20501A</td>
        <xsl:apply-templates select="../LIASSE/p20501A"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;Renvois :</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Droit au bail</td>
        <td class="clCouleur2" width="55" align="center">2050RE1</td>
        <xsl:apply-templates select="../LIASSE/p2050RE1"/>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Part  - 1 an des immob. fin. nettes</td>
        <td class="clCouleur2" width="55" align="center">2050CP</td>
        <xsl:apply-templates select="../LIASSE/p2050CP"/>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Part  + 1an </td>
        <td class="clCouleur2" width="55" align="center">2050CR</td>
        <xsl:apply-templates select="../LIASSE/p2050CR"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;Clause de rserve de proprit :</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Immobilisations</td>
        <td class="clCouleur2" width="55" align="center">2050RP1</td>
        <xsl:apply-templates select="../LIASSE/p2050RP1"/>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Stocks</td>
        <td class="clCouleur2" width="55" align="center">2050RP2</td>
        <xsl:apply-templates select="../LIASSE/p2050RP2"/>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Crances</td>
        <td class="clCouleur2" width="55" align="center">2050RP3</td>
        <xsl:apply-templates select="../LIASSE/p2050RP3"/>
      </tr>
    </table>

    <div class="clBreakPage"/>
    <xsl:call-template name="shim"/>
    <br />
    <a name="passif"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          PASSIF AVANT RPARTITION<br />
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;</td>
        <td  width="55"></td>
        <xsl:apply-templates select="../LIASSE/@DATCLOT"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">CAPITAUX PROPRES</td>
        <td  width="55"></td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Capital social</td>
        <td class="clCouleur2" width="55" align="center">2051DA</td>
        <xsl:apply-templates select="../LIASSE/p2051DA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Primes d'mission fusion apport</td>
        <td class="clCouleur2" width="55" align="center">2051DB</td>
        <xsl:apply-templates select="../LIASSE/p2051DB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;carts de rvaluation</td>
        <td class="clCouleur2" width="55" align="center">2051DC</td>
        <xsl:apply-templates select="../LIASSE/p2051DC"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Dont cart d'quivalence</td>
        <td class="clCouleur2" width="55" align="center">2051EK</td>
        <xsl:apply-templates select="../LIASSE/p2051EK"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Rserve lgale</td>
        <td class="clCouleur2" width="55" align="center">2051DD</td>
        <xsl:apply-templates select="../LIASSE/p2051DD"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Rserves statutaires ou contractuelles</td>
        <td class="clCouleur2" width="55" align="center">2051DE</td>
        <xsl:apply-templates select="../LIASSE/p2051DE"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Rserves rglementes</td>
        <td class="clCouleur2" width="55" align="center">2051DF</td>
        <xsl:apply-templates select="../LIASSE/p2051DF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres rserves</td>
        <td class="clCouleur2" width="55" align="center">2051DG</td>
        <xsl:apply-templates select="../LIASSE/p2051DG"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Report  nouveau (+/-)</td>
        <td class="clCouleur2" width="55" align="center">2051DH</td>
        <xsl:apply-templates select="../LIASSE/p2051DH"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Rsultat de l'exercice (+/-)</td>
        <td class="clCouleur2" width="55" align="center">2051DI</td>
        <xsl:apply-templates select="../LIASSE/p2051DI"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Subventions d'investissement</td>
        <td class="clCouleur2" width="55" align="center">2051DJ</td>
        <xsl:apply-templates select="../LIASSE/p2051DJ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Provisions rglementes</td>
        <td class="clCouleur2" width="55" align="center">2051DK</td>
        <xsl:apply-templates select="../LIASSE/p2051DK"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;TOTAL CAPITAUX PROPRES [I] (+/-)</td>
        <td width="55" align="center" class="clCouleur2">2051DL</td>
        <xsl:apply-templates select="../LIASSE/p2051DL"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">AUTRES FONDS PROPRES</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Produits missions titres participatifs</td>
        <td class="clCouleur2" width="55" align="center">2051DM</td>
        <xsl:apply-templates select="../LIASSE/p2051DM"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Avances conditionnes</td>
        <td class="clCouleur2" width="55" align="center">2051DN</td>
        <xsl:apply-templates select="../LIASSE/p2051DN"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;TOTAL AUTRES FONDS PROPRES [II]</td>
        <td class="clCouleur2" width="55" align="center">2051DO</td>
        <xsl:apply-templates select="../LIASSE/p2051DO"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">PROVISIONS POUR RISQUES ET CHARGES</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Provisions pour risques</td>
        <td class="clCouleur2" width="55" align="center">2051DP</td>
        <xsl:apply-templates select="../LIASSE/p2051DP"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Provisions pour charges</td>
        <td class="clCouleur2" width="55" align="center">2051DQ</td>
        <xsl:apply-templates select="../LIASSE/p2051DQ"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;TOTAL PROVISIONS RISQUES ET CHARGES [III]</td>
        <td class="clCouleur2" width="55" align="center">2051DR</td>
        <xsl:apply-templates select="../LIASSE/p2051DR"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">DETTES</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Emprunts obligataires convertibles</td>
        <td class="clCouleur2" width="55" align="center">2051DS</td>
        <xsl:apply-templates select="../LIASSE/p2051DS"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres emprunts obligataires</td>
        <td class="clCouleur2" width="55" align="center">2051DT</td>
        <xsl:apply-templates select="../LIASSE/p2051DT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Emprunts et dettes auprs des tab. de crdit</td>
        <td class="clCouleur2" width="55" align="center">2051DU</td>
        <xsl:apply-templates select="../LIASSE/p2051DU"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Emprunts et dettes financires diverses</td>
        <td class="clCouleur2" width="55" align="center">2051DV</td>
        <xsl:apply-templates select="../LIASSE/p2051DV"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Avances et acomptes reus sur commandes</td>
        <td class="clCouleur2" width="55" align="center">2051DW</td>
        <xsl:apply-templates select="../LIASSE/p2051DW"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dettes fournisseurs et comptes rattachs</td>
        <td class="clCouleur2" width="55" align="center">2051DX</td>
        <xsl:apply-templates select="../LIASSE/p2051DX"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dettes fiscales et sociales</td>
        <td class="clCouleur2" width="55" align="center">2051DY</td>
        <xsl:apply-templates select="../LIASSE/p2051DY"/>
      </tr>
      <tr>
        <td class="clCouleur2">&#160;Dettes sur immobilisations et cptes rattachs</td>
        <td class="clCouleur2" align="center">2051DZ</td>
        <xsl:apply-templates select="../LIASSE/p2051DZ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres dettes</td>
        <td class="clCouleur2" width="55" align="center">2051EA</td>
        <xsl:apply-templates select="../LIASSE/p2051EA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Produits constats d'avance</td>
        <td class="clCouleur2" width="55" align="center">2051EB</td>
        <xsl:apply-templates select="../LIASSE/p2051EB"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;TOTAL DES DETTES [IV]</td>
        <td class="clCouleur2" width="55" align="center">2051EC</td>
        <xsl:apply-templates select="../LIASSE/p2051EC"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Ecarts de conversion passif [V]</td>
        <td class="clCouleur2" width="55" align="center">2051ED</td>
        <xsl:apply-templates select="../LIASSE/p2051ED"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;TOTAL GNRAL PASSIF [I A V]</td>
        <td class="clCouleur2" width="55" align="center">2051EE</td>
        <xsl:apply-templates select="../LIASSE/p2051EE"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;Renvois :</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;Dettes et produits constats d'avance  - 1 an</td>
        <td class="clCouleur2" width="55" align="center">2051EG</td>
        <xsl:apply-templates select="../LIASSE/p2051EG"/>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;Concours bancaires courants, soldes crditeurs</td>
        <td class="clCouleur2" width="55" align="center">2051EH</td>
        <xsl:apply-templates select="../LIASSE/p2051EH"/>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;- Emprunts participatifs</td>
        <td class="clCouleur2" width="55" align="center">2051EI</td>
        <xsl:apply-templates select="../LIASSE/p2051EI"/>
      </tr>
    </table>

    <div class="clBreakPage"/>
    <xsl:call-template name="shim"/>
    <br />
    <a name="resultat"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          COMPTE DE RSULTAT<br />
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;</td>
        <td  width="55"></td>
        <xsl:apply-templates select="../LIASSE/@DATCLOT"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">PRODUITS D'EXPLOITATION</td>
        <td  width="55"></td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Ventes de marchandises</td>
        <td width="55" align="center" class="clCouleur2">2052FC</td>
        <xsl:apply-templates select="../LIASSE/p2052FC"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Production vendue de biens</td>
        <td width="55" align="center" class="clCouleur2">2052FF</td>
        <xsl:apply-templates select="../LIASSE/p2052FF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Production vendue de services</td>
        <td width="55" align="center" class="clCouleur2">2052FI</td>
        <xsl:apply-templates select="../LIASSE/p2052FI"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Chiffre d'affaires net France</td>
        <td width="55" align="center" class="clCouleur2">2052FJ</td>
        <xsl:apply-templates select="../LIASSE/p2052FJ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Chiffre d'affaires net Export</td>
        <td width="55" align="center" class="clCouleur2">2052FK</td>
        <xsl:apply-templates select="../LIASSE/p2052FK"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Chiffre d'affaires net Total</td>
        <td width="55" align="center" class="clCouleur2">2052FL</td>
        <xsl:apply-templates select="../LIASSE/p2052FL"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Production stocke (+/-)</td>
        <td width="55" align="center" class="clCouleur2">2052FM</td>
        <xsl:apply-templates select="../LIASSE/p2052FM"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Production immobilise (+/-)</td>
        <td width="55" align="center" class="clCouleur2">2052FN</td>
        <xsl:apply-templates select="../LIASSE/p2052FN"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Subventions d'exploitation</td>
        <td width="55" align="center" class="clCouleur2">2052FO</td>
        <xsl:apply-templates select="../LIASSE/p2052FO"/>
      </tr>
      <tr>
        <td class="clCouleur2">&#160;Reprises s/amort. et prov. transf. de charges</td>
        <td align="center" class="clCouleur2">2052FP</td>
        <xsl:apply-templates select="../LIASSE/p2052FP"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres produits</td>
        <td width="55" align="center" class="clCouleur2">2052FQ</td>
        <xsl:apply-templates select="../LIASSE/p2052FQ"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL DES PRODUITS D'EXPLOITATION [I]</td>
        <td width="55" align="center" class="clCouleur2">2052FR</td>
        <xsl:apply-templates select="../LIASSE/p2052FR"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">CHARGES D'EXPLOITATION</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="7" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Achat de marchandises</td>
        <td width="55" align="center" class="clCouleur2">2052FS</td>
        <xsl:apply-templates select="../LIASSE/p2052FS"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Variation de stock (marchandises)</td>
        <td width="55" align="center" class="clCouleur2">2052FT</td>
        <xsl:apply-templates select="../LIASSE/p2052FT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">
          &#160;Achats matires premires et
          autres approv.
        </td>
        <td class="clCouleur2" width="55" align="center">2052FU</td>
        <xsl:apply-templates select="../LIASSE/p2052FU"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">
          &#160;Variation stock (matires
          prem. et approv.)
        </td>
        <td class="clCouleur2" width="55" align="center">2052FV</td>
        <xsl:apply-templates select="../LIASSE/p2052FV"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres achats et charges externes</td>
        <td class="clCouleur2" width="55" align="center">2052FW</td>
        <xsl:apply-templates select="../LIASSE/p2052FW"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Impts, taxes et versements assimils</td>
        <td class="clCouleur2" width="55" align="center">2052FX</td>
        <xsl:apply-templates select="../LIASSE/p2052FX"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Salaires et traitements</td>
        <td class="clCouleur2" width="55" align="center">2052FY</td>
        <xsl:apply-templates select="../LIASSE/p2052FY"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Charges sociales</td>
        <td class="clCouleur2" width="55" align="center">2052FZ</td>
        <xsl:apply-templates select="../LIASSE/p2052FZ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dotations d'exploitation :</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td class="clTexte" width="105" align="right">&#160;</td>
        <td class="clTexte" width="105" align="right">&#160;</td>
        <td class="clTexte" width="105" align="right">&#160;</td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Sur immobilisations</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td class="clTexte" width="105" align="right">&#160;</td>
        <td class="clTexte" width="105" align="right">&#160;</td>
        <td class="clTexte" width="105" align="right">&#160;</td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Dotations aux amortissements</td>
        <td class="clCouleur2" width="55" align="center">2052GA</td>
        <xsl:apply-templates select="../LIASSE/p2052GA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Dotations aux provisions</td>
        <td class="clCouleur2" width="55" align="center">2052GB</td>
        <xsl:apply-templates select="../LIASSE/p2052GB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Sur actif circulant : dotations aux provisions</td>
        <td class="clCouleur2" width="55" align="center">2052GC</td>
        <xsl:apply-templates select="../LIASSE/p2052GC"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Pour risques/charges : dotations aux prov.</td>
        <td class="clCouleur2" width="55" align="center">2052GD</td>
        <xsl:apply-templates select="../LIASSE/p2052GD"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres charges</td>
        <td class="clCouleur2" width="55" align="center">2052GE</td>
        <xsl:apply-templates select="../LIASSE/p2052GE"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL CHARGES D'EXPLOITATION [II]</td>
        <td class="clCouleur2" width="55" align="center">2052GF</td>
        <xsl:apply-templates select="../LIASSE/p2052GF"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Bnfice attribu ou perte transfre [III]</td>
        <td width="55" align="center" class="clCouleur2">2052GH</td>
        <xsl:apply-templates select="../LIASSE/p2052GH"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Perte supporte ou bnfice transfr [V]</td>
        <td width="55" align="center" class="clCouleur2">2052GI</td>
        <xsl:apply-templates select="../LIASSE/p2052GI"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr class="clBreakPage">
        <td width="265" class="clCouleur2" align="center">PRODUITS FINANCIERS</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Produits financiers de participations</td>
        <td class="clCouleur2" width="55" align="center">2052GJ</td>
        <xsl:apply-templates select="../LIASSE/p2052GJ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;Produits autres val. mob. et crances immo.</td>
        <td class="clCouleur2" width="55" align="center" height="15">2052GK</td>
        <xsl:apply-templates select="../LIASSE/p2052GK"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres interts et produits assimils</td>
        <td class="clCouleur2" width="55" align="center">2052GL</td>
        <xsl:apply-templates select="../LIASSE/p2052GL"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Reprises sur provisions et transfert charges</td>
        <td class="clCouleur2" width="55" align="center">2052GM</td>
        <xsl:apply-templates select="../LIASSE/p2052GM"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Diffrences positives de change</td>
        <td class="clCouleur2" width="55" align="center">2052GN</td>
        <xsl:apply-templates select="../LIASSE/p2052GN"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;Produits nets cessions val. mob. placement</td>
        <td class="clCouleur2" width="55" align="center" height="15">2052GO</td>
        <xsl:apply-templates select="../LIASSE/p2052GO"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL PRODUITS FINANCIERS [V]</td>
        <td class="clCouleur2" width="55" align="center">2052GP</td>
        <xsl:apply-templates select="../LIASSE/p2052GP"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">CHARGES FINANCIRES</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dotations financires aux amort. et prov.</td>
        <td class="clCouleur2" width="55" align="center">2052GQ</td>
        <xsl:apply-templates select="../LIASSE/p2052GQ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Intrts et charges assimiles</td>
        <td class="clCouleur2" width="55" align="center">2052GR</td>
        <xsl:apply-templates select="../LIASSE/p2052GR"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Diffrences ngatives de change</td>
        <td class="clCouleur2" width="55" align="center">2052GS</td>
        <xsl:apply-templates select="../LIASSE/p2052GS"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Charges nettes cessions val. mob. placement</td>
        <td class="clCouleur2" width="55" align="center">2052GT</td>
        <xsl:apply-templates select="../LIASSE/p2052GT"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL CHARGES FINANCIRES (VI)</td>
        <td class="clCouleur2" width="55" align="center">2052GU</td>
        <xsl:apply-templates select="../LIASSE/p2052GU"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">PRODUITS EXCEPTIONNELS</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Produits exceptionnels s/op. de gestion</td>
        <td width="55" align="center" class="clCouleur2">2053HA</td>
        <xsl:apply-templates select="../LIASSE/p2053HA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Produits exceptionnels s/op. en capital</td>
        <td width="55" align="center" class="clCouleur2">2053HB</td>
        <xsl:apply-templates select="../LIASSE/p2053HB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Reprises sur prov. et transfert de charges</td>
        <td width="55" align="center" class="clCouleur2">2053HC</td>
        <xsl:apply-templates select="../LIASSE/p2053HC"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL PRODUITS EXCEPTIONNELS (VII)</td>
        <td width="55" align="center" class="clCouleur2">2053HD</td>
        <xsl:apply-templates select="../LIASSE/p2053HD"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;CHARGES EXCEPTIONNELLES</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Charges exceptionnelles s/op. de gestion</td>
        <td class="clCouleur2" width="55" align="center">2053HE</td>
        <xsl:apply-templates select="../LIASSE/p2053HE"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Charges exceptionnelles s/op. en capital</td>
        <td class="clCouleur2" width="55" align="center">2053HF</td>
        <xsl:apply-templates select="../LIASSE/p2053HF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dotations exceptionnelles amort. et prov.</td>
        <td class="clCouleur2" width="55" align="center">2053HG</td>
        <xsl:apply-templates select="../LIASSE/p2053HG"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">TOTAL CHARGES EXCEPTIONNELLES (VIII)</td>
        <td class="clCouleur2" width="55" align="center">2053HH</td>
        <xsl:apply-templates select="../LIASSE/p2053HH"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Participation des salaris (IX)</td>
        <td class="clCouleur2" width="55" align="center">2053HJ</td>
        <xsl:apply-templates select="../LIASSE/p2053HJ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Impts sur les bnfices (X) (+/-)</td>
        <td class="clCouleur2" width="55" align="center">2053HK</td>
        <xsl:apply-templates select="../LIASSE/p2053HK"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">(A) TOTAL PRODUITS I+III+V+VII </td>
        <td class="clCouleur2" width="55" align="center">2053HL</td>
        <xsl:apply-templates select="../LIASSE/p2053HL"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">(B) TOTAL CHARGES II+IV+VI+VIII+IX+X </td>
        <td class="clCouleur2" width="55" align="center">2053HM</td>
        <xsl:apply-templates select="../LIASSE/p2053HM"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">BENEFICE OU PERTE : (A) - (B) (+/-)</td>
        <td class="clCouleur2" width="55" align="center">2053HN</td>
        <xsl:apply-templates select="../LIASSE/p2053HN"/>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;Renvois sur autres achats et charges externes</td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Dont Crdit-bail mobilier</td>
        <td class="clCouleur2" width="55" align="center">2053HP</td>
        <xsl:apply-templates select="../LIASSE/p2053HP"/>
      </tr>
      <tr>
        <td width="265" class="clItalic">&#160;&#160;Dont Crdit-bail immobilier</td>
        <td class="clCouleur2" width="55" align="center">2053HQ</td>
        <xsl:apply-templates select="../LIASSE/p2053HQ"/>
      </tr>
    </table>

    <div class="clBreakPage"/>
    <xsl:call-template name="shim"/>
    <br />
    <a name="annexes"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          ANNEXES - EXTRAITS 2054  2058<br />
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;</td>
        <td  width="55"></td>
        <xsl:apply-templates select="../LIASSE/@DATCLOT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center" height="10"></td>
        <td  width="55" height="10"></td>
        <td  width="105" height="10"></td>
        <td  width="105" height="10"></td>
        <td  width="105" height="10"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">IMMOBILISATIONS - AUGMENTATIONS</td>
        <td  width="55"></td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td class="clCouleur2">&#160;Frais d'tabl. &#38; de dvelop. (augment./acquis.)</td>
        <td align="center" class="clCouleur2">2054D9</td>
        <xsl:apply-templates select="../LIASSE/p2054D9"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres postes immobilisations incorporelles</td>
        <td class="clCouleur2" width="55" align="center">2054KF</td>
        <xsl:apply-templates select="../LIASSE/p2054KF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Total immobilisations corporelles</td>
        <td class="clCouleur2" width="55" align="center">2054LP</td>
        <xsl:apply-templates select="../LIASSE/p2054LP"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Total immobilisations financires</td>
        <td class="clCouleur2" width="55" align="center">2054LS</td>
        <xsl:apply-templates select="../LIASSE/p2054LS"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;TOTAL</td>
        <td class="clCouleur2" width="55" align="center">20540J</td>
        <xsl:apply-templates select="../LIASSE/p20540J"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">IMMOBILISATIONS - DIMINUTIONS</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres immo. corp. : emballages rcuprables</td>
        <td class="clCouleur2" width="55" align="center">2054MW</td>
        <xsl:apply-templates select="../LIASSE/p2054MW"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Immobilisations corporelles en cours</td>
        <td class="clCouleur2" width="55" align="center">2054MY</td>
        <xsl:apply-templates select="../LIASSE/p2054MY"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Avances et acomptes</td>
        <td class="clCouleur2" width="55" align="center">2054NC</td>
        <xsl:apply-templates select="../LIASSE/p2054NC"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;TOTAL</td>
        <td width="55" align="center" class="clCouleur2">20540K</td>
        <xsl:apply-templates select="../LIASSE/p20540K"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">AMORTISSEMENTS</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="5" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres immo. corp. : emballages rcuprables</td>
        <td class="clCouleur2" width="55" align="center">2055QT</td>
        <xsl:apply-templates select="../LIASSE/p2055QT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Total immo. amortissables (diminutions)</td>
        <td class="clCouleur2" width="55" align="center">20550Q</td>
        <xsl:apply-templates select="../LIASSE/p20550Q"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Frais d'miss. d'emprunts  taler (augment.)</td>
        <td class="clCouleur2" width="55" align="center">2055CR2</td>
        <xsl:apply-templates select="../LIASSE/p2055CR2"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Primes remboursem. obligations (augment.)</td>
        <td class="clCouleur2" width="55" align="center">2055PR2</td>
        <xsl:apply-templates select="../LIASSE/p2055PR2"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">PROVISIONS INSCRITES AU BILAN</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Provisions pour pertes de change</td>
        <td class="clCouleur2" width="55" align="center">20564W</td>
        <xsl:apply-templates select="../LIASSE/p20564W"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">REPRISES SUR PROVISIONS</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;D'exploitation</td>
        <td class="clCouleur2" width="55" align="center">2056UF</td>
        <xsl:apply-templates select="../LIASSE/p2056UF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Financires</td>
        <td class="clCouleur2" width="55" align="center">2056UH</td>
        <xsl:apply-templates select="../LIASSE/p2056UH"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Exceptionnelles</td>
        <td class="clCouleur2" width="55" align="center">2056UK</td>
        <xsl:apply-templates select="../LIASSE/p2056UK"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr class="clBreakPage">
        <td width="265" class="clCouleur2" align="center">TAT DES CHANCES CRANCES ET DETTES</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Crances</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Clients douteux ou litigieux</td>
        <td width="55" align="center" class="clCouleur2">2057VA</td>
        <xsl:apply-templates select="../LIASSE/p2057VA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">
          &#160;&#160;Personnel et comptes
          rattachs
        </td>
        <td width="55" align="center" class="clCouleur2">2057UY</td>
        <xsl:apply-templates select="../LIASSE/p2057UY"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Scurit sociale autres organismes sociaux</td>
        <td width="55" align="center" class="clCouleur2">2057UZ</td>
        <xsl:apply-templates select="../LIASSE/p2057UZ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;tat et autres collectivits publiques </td>
        <td width="55" align="center" class="clCouleur2"></td>
        <td  width="105" align="right"></td>
        <td  width="105" align="right"></td>
        <td  width="105" align="right"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;T.V.A.</td>
        <td width="55" align="center" class="clCouleur2">2057VB</td>
        <xsl:apply-templates select="../LIASSE/p2057VB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;&#160;&#160;Autres impts taxes et versem. assimils</td>
        <td width="55" align="center" class="clCouleur2" height="15">2057VN</td>
        <xsl:apply-templates select="../LIASSE/p2057VN"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Divers</td>
        <td width="55" align="center" class="clCouleur2">2057VP</td>
        <xsl:apply-templates select="../LIASSE/p2057VP"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Groupe et associs</td>
        <td width="55" align="center" class="clCouleur2">2057VC</td>
        <xsl:apply-templates select="../LIASSE/p2057VC"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dettes</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Personnel et comptes rattachs</td>
        <td class="clCouleur2" width="55" align="center">20578C</td>
        <xsl:apply-templates select="../LIASSE/p20578C"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">
          &#160;&#160;Scurit
          sociale autres organismes sociaux
        </td>
        <td class="clCouleur2" width="55" align="center">20578D</td>
        <xsl:apply-templates select="../LIASSE/p20578D"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">
          &#160;&#160;tat et autres
          collectivits publiques
        </td>
        <td class="clCouleur2" width="55" align="center"></td>
        <td width="105" align="right"></td>
        <td width="105" align="right"></td>
        <td width="105" align="right"></td>
        <td rowspan="4" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Impts sur les bnfices</td>
        <td class="clCouleur2" width="55" align="center">20578E</td>
        <xsl:apply-templates select="../LIASSE/p20578E"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;T.V.A.</td>
        <td class="clCouleur2" width="55" align="center">2057VW</td>
        <xsl:apply-templates select="../LIASSE/p2057VW"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Obligations cautionnes</td>
        <td class="clCouleur2" width="55" align="center">2057VX</td>
        <xsl:apply-templates select="../LIASSE/p2057VX"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;&#160;&#160;Autres impts taxes et versem. assimils</td>
        <td class="clCouleur2" width="55" align="center" height="15">2057VQ</td>
        <xsl:apply-templates select="../LIASSE/p2057VQ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Groupe et associs</td>
        <td class="clCouleur2" width="55" align="center">2057VI</td>
        <xsl:apply-templates select="../LIASSE/p2057VI"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Total dettes, produits constats d'avance [X]</td>
        <td class="clCouleur2" width="55" align="center">2057VY</td>
        <xsl:apply-templates select="../LIASSE/p2057VY"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;A 1 an au plus</td>
        <td class="clCouleur2" width="55" align="center">2057VZ</td>
        <xsl:apply-templates select="../LIASSE/p2057VZ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;A plus d'1 an et 5 ans au plus</td>
        <td class="clCouleur2" width="55" align="center">2057VZ3</td>
        <xsl:apply-templates select="../LIASSE/p2057VZ3"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;A plus de 5 ans</td>
        <td class="clCouleur2" width="55" align="center">2057VZ4</td>
        <xsl:apply-templates select="../LIASSE/p2057VZ4"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" align="center">RENSEIGNEMENTS DIVERS </td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Tableau affectation exercice prcdent </td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td  width="105"></td>
        <td  width="105"></td>
        <td  width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Report  nouveau bilan prcdent (+/-)</td>
        <td class="clCouleur2" width="55" align="center">20580C</td>
        <xsl:apply-templates select="../LIASSE/p20580C"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Rsultat exercice prcdent (+/-)</td>
        <td class="clCouleur2" width="55" align="center">20580D</td>
        <xsl:apply-templates select="../LIASSE/p20580D"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Prlvements sur rserves</td>
        <td class="clCouleur2" width="55" align="center">20580E</td>
        <xsl:apply-templates select="../LIASSE/p20580E"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Affectations rserves </td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Rserve lgale</td>
        <td class="clCouleur2" width="55" align="center">2058ZB</td>
        <xsl:apply-templates select="../LIASSE/p2058ZB"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Rserves spciales + plus value long terme</td>
        <td class="clCouleur2" width="55" align="center">2058ZC</td>
        <xsl:apply-templates select="../LIASSE/p2058ZC"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;&#160;Autres rserves</td>
        <td class="clCouleur2" width="55" align="center">2058ZD</td>
        <xsl:apply-templates select="../LIASSE/p2058ZD"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;&#160;&#160;Rserves spciales av. incorp. au capital</td>
        <td class="clCouleur2" width="55" align="center" height="15">2058A5</td>
        <xsl:apply-templates select="../LIASSE/p2058A5"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Dividendes</td>
        <td class="clCouleur2" width="55" align="center">2058ZE</td>
        <xsl:apply-templates select="../LIASSE/p2058ZE"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres rpartitions </td>
        <td class="clCouleur2" width="55" align="center">2058ZF</td>
        <xsl:apply-templates select="../LIASSE/p2058ZF"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Report  nouveau</td>
        <td class="clCouleur2" width="55" align="center">2058ZG</td>
        <xsl:apply-templates select="../LIASSE/p2058ZG"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Engagements de </td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Crdit-bail mobilier</td>
        <td class="clCouleur2" width="55" align="center">2058YQ</td>
        <xsl:apply-templates select="../LIASSE/p2058YQ"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Crdit-bail immobilier</td>
        <td class="clCouleur2" width="55" align="center">2058YR</td>
        <xsl:apply-templates select="../LIASSE/p2058YR"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Effets ports escompts non chus</td>
        <td class="clCouleur2" width="55" align="center">2058YS</td>
        <xsl:apply-templates select="../LIASSE/p2058YS"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dtail des autres achats et charges externes</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Sous-traitance</td>
        <td class="clCouleur2" width="55" align="center">2058YT</td>
        <xsl:apply-templates select="../LIASSE/p2058YT"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Personnel extrieur  l'entreprise</td>
        <td class="clCouleur2" width="55" align="center">2058YU</td>
        <xsl:apply-templates select="../LIASSE/p2058YU"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;TVA collecte</td>
        <td class="clCouleur2" width="55" align="center">2058YY</td>
        <xsl:apply-templates select="../LIASSE/p2058YY"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;TVA dductible sur biens et services</td>
        <td class="clCouleur2" width="55" align="center">2058YZ</td>
        <xsl:apply-templates select="../LIASSE/p2058YZ"/>
      </tr>
      <tr>
        <td width="265" height="10"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Effectif moyen du personnel</td>
        <td class="clCouleur2" width="55" align="center">2058YP</td>
        <xsl:apply-templates select="../LIASSE/p2058YP"/>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="p2050AA|p2050AB|p2050AC|p2050CX|p2050CQ|p2050AF|p2050AG|p2050AH|p2050AI|p2050AJ|p2050AK|p2050AL|p2050AM|p2050AN|p2050AO|p2050AP|p2050AQ|p2050AR|p2050AS|p2050AT|p2050AU|p2050AV|p2050AW|p2050AX|p2050AY|p2050CS|p2050CT|p2050CU|p2050CV|p2050BB|p2050BC|p2050BD|p2050BE|p2050BF|p2050BG|p2050BH|p2050BI|p2050BL|p2050BM|p2050BN|p2050BO|p2050BP|p2050BQ|p2050BR|p2050BS|p2050BT|p2050BU|p2050BV|p2050BW|p2050BX|p2050BY|p2050BZ|p2050CA|p2050CB|p2050CC|p2050CD|p2050CE|p2050CF|p2050CG|p2050CH|p2050CI|p2050CW|p2050CM|p2050CN|p2050RE1|p2050CP|p2050CR|p2050RP1|p2050RP2|p2050RP3|p2051DA|p2051DB|p2051DC|p2051EK|p2051DD|p2051DE|p2051DF|p2051DG|p2051DH|p2051DI|p2051DJ|p2051DK|p2051DM|p2051DN|p2051DP|p2051DQ|p2051DS|p2051DT|p2051DU|p2051DV|p2051DW|p2051DX|p2051DY|p2051DZ|p2051EA|p2051EB|p2051ED|p2051EG|p2051EH|p2051EI|p2052FC|p2052FF|p2052FI|p2052FJ|p2052FK|p2052FL|p2052FM|p2052FN|p2052FO|p2052FP|p2052FQ|p2052FS|p2052FT|p2052FU|p2052FV|p2052FW|p2052FX|p2052FY|p2052FZ|p2052GA|p2052GB|p2052GC|p2052GD|p2052GE|p2052GH|p2052GI|p2052GJ|p2052GK|p2052GL|p2052GM|p2052GN|p2052GO|p2052GQ|p2052GR|p2052GS|p2052GT|p2053HA|p2053HB|p2053HC|p2053HE|p2053HF|p2053HG|p2053HJ|p2053HK|p2053HP|p2053HQ|p2054D9|p2054KF|p2054LP|p2054LS|p20540J|p2054MW|p2054MY|p2054NC|p20540K|p2055QT|p20550Q|p2055CR2|p2055PR2|p20564W|p2056UF|p2056UH|p2056UK|p2057VA|p2057UY|p2057UZ|p2057VB|p2057VN|p2057VP|p2057VC|p20578C|p20578D|p20578E|p2057VW|p2057VX|p2057VQ|p2057VI|p2057VY|p2057VZ|p2057VZ3|p2057VZ4|p20580C|p20580D|p20580E|p2058ZB|p2058ZC|p2058ZD|p2058A5|p2058ZE|p2058ZF|p2058ZG|p2058YQ|p2058YR|p2058YS|p2058YT|p2058YU|p2058YY|p2058YZ|p2058YP">
    <td class="clFond" width="105" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:if test="contains(.,'-')=false">
          +<xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
        <xsl:if test="contains(.,'-')">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="105" align="right">&#160;</td>
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p2050BJ|p2050BK|p2050CJ|p2050CK|p2050CO|p20501A|p2051DL|p2051DO|p2051DR|p2051EC|p2051EE|p2052FR|p2052GF|p2052GP|p2052GU|p2053HD|p2053HH|p2053HL|p2053HM|p2053HN">
    <td class="clGrasFond" width="105" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:if test="contains(.,'-')=false">
          +<xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
        <xsl:if test="contains(.,'-')">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="105" align="right">&#160;</td>
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="HORSLIASSE">
    <a name="horsliasse"></a>
    <div class="clBreakPage"/>
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          DONNES COMPTABLES COMPLMENTAIRES HORS LIASSE FISCALE<br />
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" class="clCouleur2" align="center">&#160;</td>
        <td  width="55"></td>
        <xsl:apply-templates select="../HORSLIASSE/@DATCLOT"/>
      </tr>
      <tr>
        <td height="10" class="clCouleur2" align="center"></td>
        <td height="10"></td>
        <td width="105"></td>
        <td height="10"></td>
        <td height="10"></td>
      </tr>
      <tr>
        <td width="265"></td>
        <td width="55" align="center"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Clients  l'tranger (extrait BX)</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC1"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Emballages et matriel  rendre (ext. BZ/VR)</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC3"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Emballages et matriel consigns (ext. EA/BK)</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC4"/>
      </tr>      
      <tr>
        <td width="265" class="clCouleur2">
          <p>&#160;Hors bilan</p>
        </td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <td class="clFond" width="105" align="right">&#160;</td>
        <td class="clFond" width="105" align="right">&#160;</td>
        <td class="clFond" width="105" align="right">&#160;</td>
      </tr>
      <tr>
        <td height="10" class="clCouleur2">&#160;&#160;Crances clients non chues - cession</td>
        <td class="clCouleur2" height="10" align="center"></td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160; " Dailly "&#160;/ affact. -non comprises dans YS&#160;</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC6"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Crances moyen terme sur tranger</td>
        <td class="clCouleur2" width="55" align="center"></td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="10">&#160;&#160;escompts non ch. non comprises dans YS&#160;&#160;</td>
        <td class="clCouleur2" width="55" align="center" height="10">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC7"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Crances clients s/ socit groupe (ext. BX)</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC8"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dettes fourn. socits du groupe (ext. DX)</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC9"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Emprunts dettes financires divers - groupe</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC10"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;Importations comprises dans achats exercice</td>
        <td class="clCouleur2" width="55" align="center" height="15">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC11"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Exportations comprises dans CA exercice</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC12"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Achats aux socits du groupe</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC13"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Ventes aux socits du groupe</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC14"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Oprations commissionnes TTC</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC15"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;TVA sur oprations commissionnes</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC16"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;Valeurs des biens en loc. financire et cb</td>
        <td width="55" height="15"></td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td rowspan="2" valign="bottom" width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;mobilier utilis en fin d'exercice </td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC17"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Valeurs des biens en loc. financire et cb</td>
        <td width="55"></td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
        <td height="10"  class="clFond" width="105" align="right">&#160;</td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;immobilier utilis en fin d'exercice</td>
        <td class="clCouleur2" width="55" align="center">&#160;</td>
        <xsl:apply-templates select="../HORSLIASSE/pDC18"/>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="pDC1|pDC3|pDC4|pDC5|pDC6|pDC7|pDC8|pDC9|pDC10|pDC11|pDC12|pDC13|pDC14|pDC15|pDC16|pDC17|pDC18">
    <td class="clFond" width="105" align="right">      
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        
        <xsl:if test="contains(.,'-')=false">
          +<xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
        <xsl:if test="contains(.,'-')">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="105" align="right">&#160;</td>
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="AFFECTATION69">
    <a name="affectation"></a>
    <div class="clBreakPage"/>
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          AFFECTATION DU RSULTAT DE L'EXERCICE<br />
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="265" class="clCouleur2">&#160;</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/@DATCLOT"/>
      </tr>
      <tr>
        <td height="10" class="clCouleur2"></td>
        <td height="10" align="center" class="clCouleur2"></td>
        <td height="10" align="right"></td>
        <td height="10" align="right"></td>
        <td height="10" align="right"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Report  nouveau figurant au bilan (+/-)</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/p0CA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Rsultat exercice (+/-)</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/p0DA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Prlvement sur les rserves</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/p0EA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="10">&#160;Affectations aux rserves </td>
        <td class="clCouleur2" width="55" align="center" height="10">&#160;</td>
        <td width="105" height="10"></td>
        <td width="105" height="10"></td>
        <td width="105" height="10"></td>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Rserve lgale</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/pZBA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Rserve spciale + plus values long terme</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/pZCA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;&#160;Autres rserves</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/pZDA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2" height="15">&#160;&#160;Rserves spc. av. incorporation au capital</td>
        <td width="55" align="center" class="clCouleur2" height="15">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/pA5A"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Dividendes</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/pZEA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Autres rpartitions</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/pZFA"/>
      </tr>
      <tr>
        <td width="265" class="clCouleur2">&#160;Report  nouveau</td>
        <td width="55" align="center" class="clCouleur2">&#160;</td>
        <xsl:apply-templates select="../AFFECTATION69/pZGA"/>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="@DATCLOT">
    <td class="clGrasFond" width="105" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="105" align="right">&#160;</td>
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DUREEEX">
    <td class="clFond" width="105" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="105" align="right">&#160;</td>
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p0DA|p0CA|p0EA|pZBA|pZCA|pZDA|pA5A|pZEA|pZFA|pZGA">
    <td class="clFond" width="105" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:if test="contains(.,'-')=false">
          +<xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
        <xsl:if test="contains(.,'-')">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </xsl:if>
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="105" align="right">&#160;</td>
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="105" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
