<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
	<xsl:import href="../../Ressources/XSL/Commun_sef.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
	<xsl:param name="langage" select="'fr'"/>
	<xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
	<xsl:param name="familyNumber" select="''"/>
	<xsl:param name="familyTitle" select="''"/>
	<xsl:param name="nextModule" select="''"/>
	<xsl:param name="nextId" select="''"/>
	<xsl:param name="nextFamily" select="''"/>
	<xsl:param name="menuHTML1"/>

<xsl:template match="/">
	<html>
		<xsl:call-template name="genHead">
			<xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULE72/EJ/IDENTS"/>
		</xsl:call-template>
		<body  bgcolor="#ffffff" >
      <xsl:call-template name="genFondMenu">
        <xsl:with-param name="root" select="$root" />
      </xsl:call-template>
      <xsl:copy-of select="$menuHTML1"/>
      
			<table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
				<xsl:call-template name="genLigneConfidentiel"/>
				<xsl:apply-templates select="/FIBEN/ERREUR"/>
				<xsl:if test="not(/FIBEN/ERREUR)">

					<tr>
						<td width="64"></td>
						<td width="739" colspan="4" class="clCouleur2" valign="top">
							<xsl:apply-templates select="FIBEN/PERSONNE/MODULE72/*" mode="genTable"/>
						</td>
					</tr>
					
				</xsl:if>
			</table>
      <xsl:call-template name="genBasPage"/>
		</body>
	</html>
</xsl:template>

<xsl:template match="FIBEN/PERSONNE/MODULE72/EJ" mode="genTable">
	<xsl:call-template name="genEnTete">
		<xsl:with-param name="ident" select="IDENTS"/>
		<xsl:with-param name="nom" select="DENOM"/>
		<xsl:with-param name="valcot" select="../DIFF72/COTATIONSEF/VALCOT"/>
		<xsl:with-param name="datcot" select="../DIFF72/COTATIONSEF/DATCOT"/>
		<xsl:with-param name="datexa" select="../DIFF72/COTATIONSEF/DATEXA"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="IEC01" mode="genTable">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="14"></td>
			<td class="clCouleur2" valign="top">
				<xsl:apply-templates select="."/>
			</td>
		</tr>
		<tr>
			<td width="14"></td>
			<td><xsl:call-template name="shim"/></td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="DIFF72" mode="genTable">
	<a name="donneesgene"></a>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">
				DONNES GNRALES
			</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td class="clCouleur2" width="130">&#160;Catgorie juridique</td>
			<td width="505" class="clFond">&#160;<xsl:value-of select="CATJUR"/></td>
		</tr>
		<tr> 
			<td width="130" class="clCouleur2">&#160;Activit BDF</td>
			<td width="505" class="clTexte">&#160;<xsl:value-of select="ACTBDF"/>&#160;<xsl:value-of select="LIBACT"/><xsl:if test="CODNAF">&#160;(Code NAF dclar diffrent : <xsl:value-of select="CODNAF"/>)</xsl:if></td>
		</tr>
	</table>
	<xsl:apply-templates select="BILAN72">
		<xsl:with-param name="chiffre" select="BILAN72/CHIFFRES72"/>
	</xsl:apply-templates>
	<xsl:apply-templates select="AUTRECARACT"/>
	<xsl:apply-templates select="BILAN72" mode="resultats"/>
	<xsl:apply-templates select="CARACTERISTIQUES"/>
	<xsl:call-template name="risque">
		<xsl:with-param name="chiffre" select="BILAN72/CHIFFRES72"/>
	</xsl:call-template>
</xsl:template>

<xsl:template match="BILAN72" mode="resultats">
	<a name="chiffrescle"></a>
	<div class="clBreakPage"/>
	<xsl:call-template name="shim"/><br/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">CHIFFRES-CLS&#160;(en 
        <xsl:call-template name ="displayUnitXsl">
        <xsl:with-param name ="InputUnit" select ="(@UNITE)"/>
      </xsl:call-template>
       euros)</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/>
	<table width="739" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td colspan="5" height="9"></td>
			<td rowspan="14" width="103">&#160;</td>
		</tr>
		<tr> 
			<td width="270" class="clCouleur2" height="14">&#160;Exercices clturs en</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
      <td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(CHIFFRES72[1]/@DATCLOT)"/>
        </xsl:call-template>&#160;
      </td>
      <td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(CHIFFRES72[2]/@DATCLOT)"/>
        </xsl:call-template>&#160;
      </td>
      <td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(CHIFFRES72[3]/@DATCLOT)"/>
        </xsl:call-template>&#160;
      </td>
		</tr>
		<tr> 
			<td width="245" class="clCouleur2" height="14" colspan="2">&#160;Dure</td>
      <td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(CHIFFRES72[1]/@DUREEEX)"/>
        </xsl:call-template>&#160;
      </td>
      <td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(CHIFFRES72[2]/@DUREEEX)"/>
        </xsl:call-template>&#160;
      </td>
      <td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(CHIFFRES72[3]/@DUREEEX)"/>
        </xsl:call-template>&#160;
      </td>
		</tr>
		<tr> 
			<td width="635" colspan="5" height="10"></td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14" align="center">RSULTATS</td>
			<td width="20" align="center" valign="top">&#160;</td>
			<td width="115">&#160;</td>
			<td width="115">&#160;</td>
			<td width="115">&#160;</td>
		</tr>
		<tr> 
			<td width="635" colspan="5" height="10"></td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Valeur ajoute</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/RESULTATS/pk00823red"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/RESULTATS/pk00823red"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/RESULTATS/pk00823red"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;&#160;Dont charges de personnel </td>
			<td width="20" class="clCouleur2" height="14">%</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/RESULTATS/pk00829"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/RESULTATS/pk00829"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/RESULTATS/pk00829"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Excdent brut d'exploitation / CA </td>
			<td width="20" class="clCouleur2" height="14">%</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/RESULTATS/pk00833"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/RESULTATS/pk00833"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/RESULTATS/pk00833"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Charges financires / EBE </td>
			<td width="20" class="clCouleur2" height="14">%</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/RESULTATS/pk00831"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/RESULTATS/pk00831"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/RESULTATS/pk00831"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Rsultat courant avant impts</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/RESULTATS/pk00083"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/RESULTATS/pk00083"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/RESULTATS/pk00083"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Rsultat net / CA </td>
			<td width="20" class="clCouleur2" height="14">%</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/RESULTATS/pk00814"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/RESULTATS/pk00814"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/RESULTATS/pk00814"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Capacit d'autofinancement</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/RESULTATS/pk00839red"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/RESULTATS/pk00839red"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/RESULTATS/pk00839red"/>&#160;</td>
		</tr>
		<tr> 
			<td width="635" colspan="5" height="10"></td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14" align="center">STRUCTURES</td>
			<td width="20" align="center" valign="top">&#160;</td>
			<td width="115">&#160;</td>
			<td width="115">&#160;</td>
			<td width="115">&#160;</td>
			<td rowspan="14" width="103" align="right" valign="top">
				<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
			</td>
		</tr>
		<tr> 
			<td width="635" colspan="5" height="10"></td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Fonds propres nets avant rpartition</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/STRUCTURES/pk00106"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/STRUCTURES/pk00106"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/STRUCTURES/pk00106"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Fonds d'emprunt  moyen - long terme</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/STRUCTURES/pk00785"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/STRUCTURES/pk00785"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/STRUCTURES/pk00785"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;&#160;Dont bancaire</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/STRUCTURES/pk00782"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/STRUCTURES/pk00782"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/STRUCTURES/pk00782"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Actif immobilis brut</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/STRUCTURES/pk00777"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/STRUCTURES/pk00777"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/STRUCTURES/pk00777"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;Fond de roulement net global</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/STRUCTURES/pk00129"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/STRUCTURES/pk00129"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/STRUCTURES/pk00129"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;- BFR (escompte inclus) (1)</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/STRUCTURES/pk00133"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/STRUCTURES/pk00133"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/STRUCTURES/pk00133"/>&#160;</td>
		</tr>
		<tr> 
			<td width="225" class="clCouleur2" height="14">&#160;= Trsorerie (escompte inclus) (1)</td>
			<td width="20" class="clCouleur2" height="14">&#160;</td>
          		<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[1]/STRUCTURES/pk00822"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[2]/STRUCTURES/pk00822"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="CHIFFRES72[3]/STRUCTURES/pk00822"/>&#160;</td>
		</tr>
		<tr> 
			<td colspan="5" height="10"></td>
		</tr>
		<tr> 
			<td colspan="5" height="10" class="clItalic">&#160;(1) hors affacturage et crances Dailly cdes non comptabilises en " effets escompts non chus "</td>
		</tr>
		<tr> 
			<td colspan="5" height="10"></td>
		</tr>
		<tr> 
			<xsl:variable name="casect" select="CASECTEUR"/>
			<td colspan="5" height="10" class="clTexte"><xsl:value-of select="substring($casect,3)"/></td>
		</tr>
	</table>
	<xsl:call-template name="shim"/>
</xsl:template>

<xsl:template match="p2052FL|p2052FK|p2058YP|pk00823red|pk00829|pk00833|pk00831|pk00083|pk00814|pk00839red|pk00106|pk00785|pk00782|pk00777|pk00129|pk00133|pk00822">
	<xsl:if test="@ETAT">
		<xsl:value-of select="@ETAT"/>
	</xsl:if>
	<xsl:if test="not(@ETAT)">
    <xsl:call-template name ="displayNumberXsl">
      <xsl:with-param name ="InputStringNumber" select ="(.)"/>
    </xsl:call-template>
	</xsl:if>
</xsl:template>

<xsl:template match="CARACTERISTIQUES">
	<a name="caracent"></a>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">CARACTRISTIQUE(S) DE L'ENTREPRISE</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	<table width="739" border="0" cellspacing="0" cellpadding="0" class="clTexte">
		<tr> 
			<td colspan="2" class="clCouleur2">ACTIVIT ET RSULTATS</td>
			<td width="103" rowspan="2">&#160;</td>
		</tr>
		<tr>
			<td colspan="2" height="10">&#160;</td>
		</tr>
         	<xsl:apply-templates select="ACTIVITERESULTAT"/>
		<tr> 
			<td colspan="2" height="10">&#160;</td>
			<td width="103" rowspan="3">&#160;</td>
		</tr>
		<tr> 
			<td colspan="2" class="clCouleur2">STRUCTURES</td>
		</tr>
		<tr> 
			<td colspan="2" height="10">&#160;</td>
		</tr>
		<xsl:apply-templates select="STRUCTURE"/>
		<tr> 
			<td colspan="2" height="10">&#160;</td>
		</tr>
		<xsl:apply-templates select="TRESORERIE"/>
	</table>
	<div class="clBreakPage"/>
	<xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="ACTIVITERESULTAT">
	<tr> 
		<td width="20" align="center" valign="top">-</td>
		<xsl:variable name="value" select="."/>
		<td width="615"><xsl:value-of select="substring($value,3)"/></td>
		<xsl:if test="position() mod 8 = 0">
			<td width="103" align="right">
				<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
			</td>
		</xsl:if>
		<xsl:if test="position() mod 8 != 0">
			<td width="103" align="right">
				&#160;
			</td>
		</xsl:if>
	</tr>
</xsl:template>

<xsl:template match="STRUCTURE">
	<tr> 
		<td width="20" align="center" valign="top">-</td>
		<xsl:variable name="value" select="."/>
		<td width="615"><xsl:value-of select="substring($value,3)"/></td>
		<xsl:if test="(position() + count(//ACTIVITERESULTAT)) mod 8 = 0">
			<td width="103" align="right">
				<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
			</td>
		</xsl:if>
		<xsl:if test="(position() + count(//ACTIVITERESULTAT)) mod 8 != 0">
			<td width="103" align="right">
				&#160;
			</td>
		</xsl:if>
	</tr>
</xsl:template>

<xsl:template match="TRESORERIE">
	<tr> 
		<xsl:variable name="value" select="."/>
		<td width="635" colspan="2"><xsl:value-of select="substring($value,3)"/></td>
		<xsl:if test="(1 + count(//ACTIVITERESULTAT) + count(//STRUCTURE)) mod 8 = 0">
			<td width="103" align="right">
				<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
			</td>
		</xsl:if>
		<xsl:if test="(1 + count(//ACTIVITERESULTAT) + count(//STRUCTURE)) mod 8 != 0">
			<td width="103" align="right">
				&#160;
			</td>
		</xsl:if>
	</tr>
</xsl:template>

</xsl:stylesheet>
