﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/Commun_SAS.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>
  <xsl:param name="lang" select="'fr'"/>



  <!--TEMPLATE PRINCIPAL-->
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <xsl:call-template name="genHeadSAS">
      </xsl:call-template>
      <body bgcolor="#ffffff"  >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
          <xsl:with-param name="type" select="'suivi'" />
        </xsl:call-template>
        <!-- Affichage des menus: -->
        <xsl:copy-of select="$menuHTML1"/>
        
        <xsl:if test="/FIBEN/ERREUR">
          <xsl:call-template name="GestionErreurSAS" >
            <xsl:with-param name="root" select="$root" />
            <xsl:with-param name="familyTitle" select="$familyTitle" />
          </xsl:call-template>
        </xsl:if >
        <xsl:if test="not(/FIBEN/ERREUR)">
          <table class="mainmodule horizontal-auto HomeData" border="0" cellspacing="0" cellpadding="0" >
            <tr>
              <td width="20"></td>
              <td width="636" colspan="2">
                <form  method="get" name="frmForm1">
                  <input type="hidden" name="ident" value=""/>
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="50"> &#160;&#160;&#160; </td>
                      <td>
                        <!-- Affichage du bandeau inférieur: -->
                        <xsl:call-template name="BandeauInf" >
                          <xsl:with-param name="Titre" select="$dictionnaire/titre[@module=$moddem]"/>
                          <xsl:with-param name="root" select="$root" />
                        </xsl:call-template>

                        <table width="100%" border="0" cellspacing="0" cellpadding="0"  >
                          <tr>
                            <td> &#160;</td>
                          </tr>
                          <tr>
                            <td class="clGras">
                              <font  class="clTexte" valign="center">Adresse mail concernée :  </font>
                              <xsl:value-of select="FIBEN/SERVICESAS/*/BAL"/>
                            </td>
                          </tr>
                          <xsl:if test="FIBEN/SERVICESAS/*/SUCCES">
                            <tr>
                              <td> &#160;</td>
                            </tr>
                            <tr>
                              <td>
                                <font  class="clTexte" valign="center">Enregistrement(s) pris en compte :</font>
                              </td>
                            </tr>
                            <xsl:for-each select="FIBEN/SERVICESAS/*/SUCCES/IDENTOK">
                              <tr>
                                <td class="clGras">
                                  <xsl:value-of select="."/>
                                </td>
                              </tr>
                            </xsl:for-each>
                          </xsl:if >
                          <xsl:if test="FIBEN/SERVICESAS/*/ECHECS">
                            <tr>
                              <td> &#160;</td>
                            </tr>
                            <tr>
                              <td>
                                <font  class="clTexte" valign="center">Enregistrement(s) non traité(s) :</font>
                              </td>
                            </tr>
                            <table>
                              <xsl:for-each select="FIBEN/SERVICESAS/*/ECHECS/ECHEC">
                                <tr width="400">
                                  <td width="20" class="clGras" valign="top">
                                    <xsl:value-of select="IDENTKO"/>
                                  </td>
                                  <td  width="380" class="clGras">
                                    :
                                    <xsl:call-template name="traduction">
                                      <xsl:with-param name="code" select="MOTIF" />
                                    </xsl:call-template>
                                  </td>
                                </tr>
                              </xsl:for-each>
                            </table>
                          </xsl:if >
                        </table>
                      </td>
                    </tr>
                  </table>
                </form>
              </td>
            </tr>
          </table>
        </xsl:if >

        <xsl:call-template name="genBasPage"/>

      </body>
    </html>

  </xsl:template>

  <!--********************************************************************************************************************************************************************-->

</xsl:stylesheet>
