<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>
  <xsl:variable name="condGraph1" select="//NBASSOCOD>1"/>

  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="/FIBEN/ERREUR/IDENT | /FIBEN/PERSONNE/MODULEOD/EJ/IDENTS|/FIBEN/ERREUR/IDENTS|FIBEN/ERREUR/IDENTC"/>
      </xsl:call-template>
      <body bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>

        <table class="maincontainer horizontal-auto" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel" />
          <xsl:apply-templates select="/FIBEN/ERREUR"/>

          <xsl:if test="not(/FIBEN/ERREUR)">
            
            <tr>
              <td width="64"></td>
              <td width="739" colspan="4" class="clCouleur2" valign="top">


                <!-- appel du template avec parametre segment pas-->
                <xsl:choose >
                  <xsl:when test="/FIBEN/PERSONNE/MODULEOD/DIFFOD/SEGMENT">
                    <xsl:call-template name="genEnTete">
                      <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEOD/EJ/IDENTS"/>
                      <xsl:with-param name="nom" select="/FIBEN/PERSONNE/MODULEOD/EJ/DENOM"/>
                      <xsl:with-param name="valcot" select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/VALCOT"/>
                      <xsl:with-param name="segment" select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/SEGMENT"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise >
                    <xsl:call-template name="genEnTete">
                      <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEOD/EJ/IDENTS"/>
                      <xsl:with-param name="nom" select="/FIBEN/PERSONNE/MODULEOD/EJ/DENOM"/>
                      <xsl:with-param name="valcot" select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/VALCOT"/>
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>

                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD"/>
                <!-- ***********************  Partie DIRIGEANTS  ****************************** -->
                <xsl:choose>
                  <xsl:when test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/IST11">
                    <!-- pas de dirigeants-->
                    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/IST11"/>
                  </xsl:when>
                  <xsl:otherwise >
                    <!--affichage des dirigeants -->
                    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS"/>
                  </xsl:otherwise>
                </xsl:choose>
                <!-- ***********************  Partie Fonction de Direction du Reprsentant Lgal  ****************************** -->
                <xsl:choose>
                  <xsl:when test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/ISTOD2">
                    <!-- Absence de personne physique reprsentant lgal actif. Aucune information disponible sur ses fonctions de direction dtenues -->
                    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/ISTOD2"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:choose>
                      <xsl:when test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS">
                        <!--presence de fonction de direction du representant legal -->
                        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS"/>
                      </xsl:when>
                      <xsl:otherwise>
                        <!-- si pas de fonction de direction exerc par le representant legal : affichage ISTOD1 qui se trouve dans DIRIGODS -->
                        <xsl:call-template name ="ISTOD1">
                          <xsl:with-param name ="position" select ="1"></xsl:with-param>
                          <xsl:with-param name ="Max" select ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/NBDIRIGEANTOD"></xsl:with-param>
                        </xsl:call-template>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:otherwise>
                </xsl:choose>
                <!-- ***********************  Partie ASSOCIE  ****************************** -->
                <xsl:choose>
                  <xsl:when test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/OD08">
                    <!-- pas d'associes-->
                    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/OD08"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <!-- Affichage de l apartie associes -->
                    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/ASSOCOD"/>
                  </xsl:otherwise>
                </xsl:choose>
                <!-- ***********************  Partie PARTICIPATION  ****************************** -->
                <xsl:choose>
                  <xsl:when test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/OD09">
                    <!-- pas de participations-->
                    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/OD09"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <!-- Affichage de la partie participations -->
                    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/PARTOD"/>
                  </xsl:otherwise>
                </xsl:choose>


              </td>
            </tr>

            <xsl:if test="/FIBEN/PERSONNE/MODULEOD/IEC01|/FIBEN/PERSONNE/MODULEOD/IST10|/FIBEN/PERSONNE/MODULEOD/U101">
              <tr>
                <td width="14"></td>
                <td colspan="3" width="635" class="clCouleur2" valign="top">
                  <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/IEC01|/FIBEN/PERSONNE/MODULEOD/IST10|/FIBEN/PERSONNE/MODULEOD/U101"/>
                </td>
                <td></td>
              </tr>
              <tr>
                <td width="14"></td>
                <td colspan="4">
                  <xsl:call-template name="shim"/>
                </td>
              </tr>

            </xsl:if>
            
           
          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
        
        <xsl:call-template name="genGraphOD"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="IEC01|IST10|U101" mode="genTable">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="14"></td>
        <td class="clCouleur2" valign="top">
          <xsl:apply-templates select="."/>
        </td>
      </tr>
      <tr>
        <td width="14"></td>
        <td>
          <xsl:call-template name="shim"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <!-- *******************************  PARTIE CAPITAL *********************************************** -->

  <xsl:template match="DIFFOD">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:choose>
          <xsl:when test ="OD01">
            <td colspan="4" class="clCouleur2" align="left">
              <!--Pas d?information recense concernant le capital de cet identifiant.-->
              <xsl:value-of select="($dictionnaire/mot[@id='OD01'])"></xsl:value-of>
            </td>
          </xsl:when>
          <xsl:otherwise>
            <td class="clCouleur2" width="130">&#160;Capital</td>
            <td width="365" class="clFond">
              <xsl:if test="p2051DA/@ETAT">
                &#160;<xsl:value-of select="p2051DA/@ETAT"/>
              </xsl:if>
              <xsl:if test="not(p2051DA/@ETAT)">
                &#160;<xsl:call-template name ="displayNumberXsl">
                  <xsl:with-param name ="InputStringNumber" select ="(p2051DA)"/>
                </xsl:call-template>
                &#160;<img src="{$root}Images/risque/euro_symb_fond.gif" width="8" />
              </xsl:if>
            </td>
            <td width="45" class="clCouleur2" align="right">au&#160;</td>
            <td width="95" class="clFond" align="right">
              &#160;&#160;<xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATAG)"/>
              </xsl:call-template>&#160;
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!-- *******************************  message IST11 *********************************************** -->
  <xsl:template match="IST11">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='IST11'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!-- *******************************  message IST16 *********************************************** -->
  <xsl:template match="IST16">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='IST16'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!-- *******************************  PARTIE DIRIGEANT(S) ******************************************* -->
  <xsl:template match ="DIRIGODS">
    <!-- Dirigeant(s) actif(s) -->
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/OD02"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/NBDIRIGEANTOD"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD"/>
    <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/SUITEDA">
      <xsl:call-template name ="SuiteDirigActif"></xsl:call-template>
    </xsl:if>

    <!-- Dirigeant(s) cesse(s) -->
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/OD03"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGCESSEOD/NBDIRIGEANTCESSEOD"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGCESSEOD/DIRIGEANTCESSEOD"/>
    <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGCESSEOD/SUITEDC">
      <xsl:call-template name ="SuiteDirigCesse"></xsl:call-template>
    </xsl:if>

  </xsl:template>

  <xsl:template match="NBDIRIGEANTOD">
    <xsl:variable name ="nbDirigeant" select ="count(/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD)"></xsl:variable>
    <a name="ancDirigActuel"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          DIRIGEANT(S) ACTIF(S) DE L'ENTREPRISE (<xsl:value-of select="."/>)<br/>
          <xsl:call-template name="shim"/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="OD02">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='OD02'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="DIRIGEANTOD">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <tr>
        <xsl:if test="EJ/DENOM">
          <td class="clTexteGras" colspan="5">
            &#160;<xsl:value-of select="EJ/DENOM"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EJ/DENOM)">
          <td class="clTexteGras" colspan="2">
            &#160;<xsl:call-template name ="displayInLowerCaseXsl">
              <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
              <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
            </xsl:call-template>

          </td>
          <xsl:if test="PP/IDENTITE/NOMCONJ">
            <td width="79" class="clCouleur2">&#160;Nom marital</td>
            <td colspan="2" class="clTexte">
              &#160;<xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
            </td>
          </xsl:if>
          <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
            <td width="54">&#160;</td>
            <td colspan="2">&#160;</td>
          </xsl:if>
        </xsl:if>
      </tr>
      <!-- ligne differentes selon cotation avec ou sans segmentation -->

      <xsl:choose>
        <xsl:when test ="FONCTCOT/SEGMENT">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clFond" width="165">
              &#160;
              <xsl:if test="EJ/IDENTS">
                <xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </xsl:if>
              <!--<xsl:value-of select="PP/IDENTC"/>-->
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clCouleur2" width="153">&#160;Cotation | Segmentation</td>
              <xsl:variable name="ident" select="EJ/IDENTS"/>
              <td class="clFond" width="166">
                &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
                <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                  &#160;|&#160;<u>
                    <xsl:value-of select="FONCTCOT/SEGMENT"/>
                  </u>
                </a>
              </td>
              <td class="clFond" width="92" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|39|56|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="319" colspan="2"></td>
              <td class="clFond" width="92" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('27|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="92" >
              &#160;
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clFond" width="255">
              &#160;
              <xsl:if test="EJ/IDENTS">
                <xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </xsl:if>
              <xsl:value-of select="PP/IDENTC"/>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <xsl:if test="EJ">
                <td class="clCouleur2" width="63">&#160;Cotation</td>
              </xsl:if>
              <xsl:if test="PP">
                <td class="clCouleur2" width="63">&#160;Indicateur</td>
              </xsl:if>
              <xsl:variable name="ident" select="EJ/IDENTS|PP/IDENTC"/>
              <td class="clFond" width="166">
                &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
              </td>
              <xsl:choose>
                <xsl:when test ="FONCTCOT/OD07">
                  <td class="clFond" width="92" align="right" valign="middle">
                    <a href="#nullepart" onClick="requestBDFInfos('27|37|56|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                      <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                    </a>
                  </td>
                </xsl:when>
                <xsl:otherwise>
                  <td class="clFond" width="92" align="right" valign="middle">
                    <a href="#nullepart" onClick="requestBDFInfos('27|37|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                      <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                    </a>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="229" colspan="2"></td>
              <td class="clFond" width="92" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('27|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:if>
          </tr>
          <xsl:choose>
            <xsl:when test ="FONCTCOT/AUTRFDEI">
              <tr>
                <td class="clTexte" colspan="4" align="left">
                    <xsl:value-of select="($dictionnaire/mot[@id='AUTRFDEI'])"></xsl:value-of>
                </td>
                <td width="92" >
                  &#160;
                </td>
              </tr>
            </xsl:when>
            <xsl:when test ="FONCTCOT/OD07">
              <tr>
                <td class="clTexte" colspan="4" align="left">
                  <xsl:value-of select="($dictionnaire/mot[@id='OD07'])"></xsl:value-of>
                </td>
                <td width="92" >
                  &#160;
                </td>
              </tr>
            </xsl:when>
            <xsl:otherwise>
              <tr>
                <td class="clTexteGras" colspan="4" align="left">
                  &#160;
                </td>
                <td width="92" >
                  &#160;
                </td>
              </tr>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose >
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template name="SuiteDirigActif">
    <xsl:if test="position() mod 9 = 0">
      <div class="clBreakPage"></div>
    </xsl:if>
    <xsl:if test="position() = last()">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="530" height="14" colspan="4" class="clCouleur2" >
            <br/>
            <xsl:value-of select="($dictionnaire/mot[@id='SUITEDA'])"></xsl:value-of>
          </td>
          <td width="105" height="14" align="right" valign="middle">
            <a href="#nullepart" onClick="requestBDFInfos('51','','{$familyNumber}','{EJ/IDENTS}',cstSimpleConfirm);">
              <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
            </a>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="NBDIRIGEANTCESSEOD">
    <xsl:variable name ="nbDirigeantCesse" select ="count(/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGCESSEOD/DIRIGEANTCESSEOD)"></xsl:variable>
    <a name="ancDirigCesse" />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          DIRIGEANT(S) DE L'ENTREPRISE AYANT CESS&#201;
          SON(LEUR) ACTIVIT&#201; (<xsl:value-of select="."/>)<br/>
          <xsl:call-template name="shim"/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="OD03">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='OD03'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="DIRIGEANTCESSEOD">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <xsl:apply-templates select="CESSATION"/>

      <tr>
        <xsl:if test="EJ/DENOM">
          <td class="clFond" colspan="5">
            &#160;<xsl:value-of select="EJ/DENOM"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EJ/DENOM)">
          <td class="clGrasFond" colspan="2">
            &#160;<xsl:call-template name ="displayInLowerCaseXsl">
              <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
              <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
            </xsl:call-template>
          </td>
          <xsl:if test="PP/IDENTITE/NOMCONJ">
            <td width="79" class="clCouleur2">&#160;Nom marital</td>
            <td colspan="2" class="clFond">
              &#160;<xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
            </td>
          </xsl:if>
          <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
            <td width="54" class="clFond">&#160;</td>
            <td colspan="2" class="clFond">&#160;</td>
          </xsl:if>
        </xsl:if>
      </tr>
      <!-- ligne differentes selon cotation avec ou sans segmentation -->

      <xsl:choose>
        <xsl:when test ="FONCTCOT/SEGMENT">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clTexte" width="165">
              &#160;
              <xsl:if test="EJ/IDENTS">
                <xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </xsl:if>
              <!--<xsl:value-of select="PP/IDENTC"/>-->
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
            <td class="clCouleur2" width="153">&#160;Cotation | Segmentation</td>
            <xsl:variable name="ident" select="EJ/IDENTS"/>
            <td class="clTexte" width="166">
              &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
              <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                &#160;|&#160;<u>
                  <xsl:value-of select="FONCTCOT/SEGMENT"/>
                </u>
              </a>
            </td>
            <td class="clTexte" width="92" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|39|56|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" width="319" colspan="2"></td>
              <td class="clTexte" width="92" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|39|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="92" >
              &#160;
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clTexte" width="255">
              &#160;
              <xsl:if test="EJ/IDENTS">
                <xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </xsl:if>
              <xsl:value-of select="PP/IDENTC"/>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <xsl:if test="EJ">
                <td class="clCouleur2" width="63">&#160;Cotation</td>
              </xsl:if>
              <xsl:if test="PP">
                <td class="clCouleur2" width="63">&#160;Indicateur</td>
              </xsl:if>
              <xsl:variable name="ident" select="EJ/IDENTS|PP/IDENTC"/>
              <td class="clTexte" width="166">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
              </td>
              <td class="clTexte" width="92" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|56|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="FONCTCOT/VALCOT='NS'">
              <td class="clTexte" width="229" colspan="2"></td>
              <td class="clTexte" width="92" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('27|','','{$familyNumber}','{PP/IDENTC|EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:if>
          </tr>
          <xsl:choose>
            <xsl:when test ="FONCTCOT/AUTRFDEI">
              <tr>
                <td class="clTexte" colspan="4" align="left">
                    <xsl:value-of select="($dictionnaire/mot[@id='AUTRFDEI'])"></xsl:value-of>
                </td>
                <td width="92" >
                  &#160;
                </td>
              </tr>
            </xsl:when>
            <xsl:otherwise>
              <tr>
                <td class="clTexteGras" colspan="4" align="left">
                  &#160;
                </td>
                <td width="92" >
                  &#160;
                </td>
              </tr>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>


    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="CESSATION">
    <tr>
      <td class="clTexte" colspan="2" >
        &#160;<xsl:call-template name="traduction">
          <xsl:with-param name="code" select="@COCESS"/>
        </xsl:call-template>
      </td>
      <xsl:if test="@DATCESS != ''">
        <td class="clTexte" align="right" colspan="2"> Cess(e) depuis le :</td>
        <td align="right" class="clTexte" width="90">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(@DATCESS)"/>
          </xsl:call-template>
        </td>
      </xsl:if>
      <xsl:if test="not(@DATCESS)">
        <td colspan="2" class="clTexte">&#160;</td>
        <td class="clFond" width="90">&#160;</td>
      </xsl:if>


    </tr>
  </xsl:template>

  <xsl:template name="SuiteDirigCesse">
    <xsl:if test="position() mod 9 = 0">
      <div class="clBreakPage"></div>
    </xsl:if>
    <xsl:if test="position() = last()">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="530" height="14" colspan="4" class="clCouleur2" >
            <br/>
            <xsl:value-of select="($dictionnaire/mot[@id='SUITEDC'])"></xsl:value-of>
          </td>
          <td width="105" height="14" align="right" valign="middle">
            <a href="#nullepart" onClick="requestBDFInfos('51','','{$familyNumber}','{EJ/IDENTS}',cstSimpleConfirm);">
              <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
            </a>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>


  <!-- *******************************  message ISTOD2 *********************************************** -->
  <xsl:template match="ISTOD2">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='ISTOD2'])"/>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!-- *******************************  message ISTOD1 *********************************************** -->
  <xsl:template name="ISTOD1">
    <xsl:param name ="position"></xsl:param>
    <xsl:param name ="Max"></xsl:param>

    <xsl:if test ="not ($position &gt; $Max)">

      <xsl:for-each select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]">
        <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]/FONCTCOT/ISTOD1">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr align="left">
              <td class="clCouleur2">
                <xsl:value-of select="($dictionnaire/mot[@id='ISTOD1'])"/>
              </td>
            </tr>
            <tr height="15" align="center">
              <td>&#160;</td>
            </tr>
            <tr align="left">
              <td class ="clCouleur2">
                <xsl:call-template name ="displayInLowerCaseXsl">
                  <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
                  <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
                </xsl:call-template>
                &#160;(<xsl:value-of select="(PP/IDENTC)"/>)
              </td>
            </tr>
          </table>
          <xsl:call-template name="shim"/>
          <xsl:call-template name ="ISTOD1">
            <xsl:with-param name ="position" select ="$Max + 1"></xsl:with-param>
            <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:call-template name ="ISTOD1">
          <xsl:with-param name ="position" select ="$position + 1"></xsl:with-param>
          <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
        </xsl:call-template>
      </xsl:for-each>
    </xsl:if>
  </xsl:template>


  <!-- *******************************  PARTIE FONCTION(S) DE DIRECTION(S) *********************************** -->
  <xsl:template match="REPLEGODS">
    <!-- Fonction(s) de direction(s) actuelle(s)-->
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/OD05"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTACTOD/NBFONCTIONOD"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTACTOD/FONCTIONOD"/>
    <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTACTOD/SUITEFDA">
      <xsl:call-template name ="SuiteFonctDirection">
          <xsl:with-param name ="position" select ="1"></xsl:with-param>
          <xsl:with-param name ="Max" select ="(/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/NBDIRIGEANTOD) + 1"></xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <!-- Fonction(s) de direction(s) cesse(s)-->
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/OD06"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTCESSOD/NBFONCTIONCESSEEOD"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTCESSOD/FONCTIONCESSEEOD"/>
    <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTCESSOD/SUITEFDC">
      <xsl:call-template name ="SuiteFonctDirectionCesse">
          <xsl:with-param name ="position" select ="1"></xsl:with-param>
          <xsl:with-param name ="Max" select ="(/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/NBDIRIGEANTOD) + 1"></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

  <xsl:template match="NBFONCTIONOD">
    <!--<a name="ancFonctActuel"></a>-->
    <!-- recuperation du 1er representant lgal PP -->
    <xsl:call-template name ="FonctActRepLegPP">
      <xsl:with-param name ="position" select ="1"></xsl:with-param>
      <xsl:with-param name ="Max" select ="(/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/NBDIRIGEANTOD) + 1"></xsl:with-param>
    </xsl:call-template>
  </xsl:template>


  <xsl:template name ="FonctActRepLegPP">
    <xsl:param name ="position"></xsl:param>
    <xsl:param name ="Max"></xsl:param>

    <xsl:if test ="$position &lt; $Max">

      <xsl:for-each select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]">
        <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]/FONCTCOT/OD07">
          <!-- les fonctions de directions detenues par le reprsentant lgal -->
          <a name="ancFonctActuel" />
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr align="center">
              <td class="clCouleur2">
                <xsl:value-of select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTACTOD/NBFONCTIONOD"/>&#160;FONCTION(S) DE DIRECTION ACTUELLE DETENUE(S) PAR LE REPRESENTANT LEGAL<br/>
              </td>
            </tr>
            <tr height="15" align="center">
              <td>&#160;</td>
            </tr>
            <tr align="center">
              <td class ="clCouleur2">
                <xsl:call-template name ="displayInLowerCaseXsl">
                  <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
                  <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
                </xsl:call-template>
                &#160;(<xsl:value-of select="(PP/IDENTC)"/>)
                <xsl:call-template name="shim"/>
              </td>
            </tr>
          </table>
          <xsl:call-template name ="FonctActRepLegPP">
            <xsl:with-param name ="position" select ="$Max"></xsl:with-param>
            <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:call-template name ="FonctActRepLegPP">
          <xsl:with-param name ="position" select ="$position + 1"></xsl:with-param>
          <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
        </xsl:call-template>
      </xsl:for-each>
    </xsl:if>
  </xsl:template>

  <xsl:template match="OD05">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='OD05'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="FONCTIONOD">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <tr>
        <td class="clTexteGras" colspan="5" height="14">
          &#160;<xsl:value-of select="EJ/DENOM"/>
        </td>
      </tr>
      <xsl:choose>
        <xsl:when test="not(FONCTCOT/SEGMENT)">
          <tr>
            <td class="clCouleur2" width="59" valign="middle">&#160;Identifiant</td>
            <td class="clFond" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <td class="clCouleur2" width="53" valign="middle">&#160;Cotation</td>
            <td class="clFond" width="176">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{EJ/IDENTS}');">
                <u>
                  <xsl:value-of 	select="FONCTCOT/VALCOT"/>
                </u>
              </a>
            </td>
            <td class="clFond" width="92" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|51|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr >
        </xsl:when >
        <xsl:otherwise>
          <tr>
            <td class="clCouleur2" width="59" valign="middle">
              &#160;Identifiant
            </td>
            <td class="clFond" width="163">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <td class="clCouleur2" width="145" valign="middle">&#160;Cotation | Segmentation</td>
            <td class="clFond" width="176">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{EJ/IDENTS}');">
                <u>
                  <xsl:value-of 	select="FONCTCOT/VALCOT"/>
                </u>
              </a>
              <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                &#160;|&#160;<u>
                  <xsl:value-of select="FONCTCOT/SEGMENT"/>
                </u>
              </a>
            </td>
            <td class="clFond" width="92" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|39|51|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

    <xsl:template name="SuiteFonctDirection">
        <xsl:param name ="position"></xsl:param>
        <xsl:param name ="Max"></xsl:param>

        <xsl:if test ="$position &lt; $Max">

            <xsl:for-each select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]">
                <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]/FONCTCOT/OD07">
                    <xsl:variable name ="IdentPPLeg" select="(PP/IDENTC)"></xsl:variable>
                    <xsl:if test="position() mod 9 = 0">
                        <div class="clBreakPage"></div>
                    </xsl:if>
                    <xsl:if test="position() = last()">
                        <table width="635" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                                <td width="530" height="14" colspan="4" class="clCouleur2" >
                                    <br/>
                                    <xsl:value-of select="($dictionnaire/mot[@id='SUITEFDA'])"></xsl:value-of>
                                </td>
                                <td width="105" height="14" align="right" valign="middle">
                                    <a href="#nullepart" onClick="requestBDFInfos('56','','{$familyNumber}','{$IdentPPLeg}',cstSimpleConfirm);">
                                        <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
                                    </a>
                                </td>
                            </tr>
                        </table>
                        <xsl:call-template name="shim"/>
                    </xsl:if>
                    <xsl:call-template name ="SuiteFonctDirection">
                        <xsl:with-param name ="position" select ="$Max"></xsl:with-param>
                        <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
                    </xsl:call-template>
                </xsl:if >
                <xsl:call-template name ="SuiteFonctDirection">
                    <xsl:with-param name ="position" select ="$position + 1"></xsl:with-param>
                    <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
                </xsl:call-template>

            </xsl:for-each>
        </xsl:if>
    </xsl:template>

  <xsl:template match="NBFONCTIONCESSEEOD">
    <!--<a name="ancFonctCesse"></a>-->
    <!-- recuperation du 1er representant lgal PP -->
    <xsl:call-template name ="FonctCesseRepLegPP">
      <xsl:with-param name ="position" select ="1"></xsl:with-param>
      <xsl:with-param name ="Max" select ="(/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/NBDIRIGEANTOD) + 1"></xsl:with-param>
    </xsl:call-template>
  </xsl:template>


  <xsl:template name ="FonctCesseRepLegPP">
    <xsl:param name ="position"></xsl:param>
    <xsl:param name ="Max"></xsl:param>

    <xsl:if test ="$position &lt; $Max">

      <xsl:for-each select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]">
        <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]/FONCTCOT/OD07">
          <a name="ancFonctCesse"></a>
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr align="center">
              <td class="clCouleur2">
                <xsl:value-of select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/REPLEGODS/REPLEGFONCTCESSOD/NBFONCTIONCESSEEOD"/>&#160;FONCTION(S) DE DIRECTION CESSEE(S) DETENUE(S) PAR LE REPRESENTANT LEGAL<br/>
              </td>
            </tr>
            <tr height="15" align="center">
              <td>&#160;</td>
            </tr>
            <tr align="center">
              <td class ="clCouleur2">
                <xsl:call-template name ="displayInLowerCaseXsl">
                  <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
                  <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
                </xsl:call-template>
                &#160;(<xsl:value-of select="(PP/IDENTC)"/>)
                <xsl:call-template name="shim"/>
              </td>
            </tr>
          </table>
          <xsl:call-template name ="FonctCesseRepLegPP">
            <xsl:with-param name ="position" select ="$Max"></xsl:with-param>
            <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:call-template name ="FonctCesseRepLegPP">
          <xsl:with-param name ="position" select ="$position + 1"></xsl:with-param>
          <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
        </xsl:call-template>

      </xsl:for-each>
    </xsl:if>
  </xsl:template>


  <xsl:template match="OD06">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='OD06'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="FONCTIONCESSEEOD">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <xsl:apply-templates select="CESSATION"/>
      <tr>
        <td class="clGrasFond" colspan="5" height="14">
          &#160;<xsl:value-of select="EJ/DENOM"/>
        </td>
      </tr>
      <xsl:choose >
        <xsl:when test="not(FONCTCOT/SEGMENT)">
          <tr>
            <td class="clCouleur2" width="59" valign="middle">
              &#160;Identifiant
            </td>
            <td class="clTexte" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>

            <td class="clCouleur2" width="53" valign="middle">&#160;Cotation</td>
            <td class="clTexte" width="176">
              &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{EJ/IDENTS}');">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
            </td>
            <td class="clTexte" width="92" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|51|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise >
          <tr>
            <td class="clCouleur2" width="59" valign="middle">
              &#160;Identifiant
            </td>
            <td class="clTexte" width="163">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <td class="clCouleur2" width="145" valign="middle">&#160;Cotation | Segmentation</td>
            <td class="clTexte" width="176">
              &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{EJ/IDENTS}');">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
              <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                &#160;|&#160;<u>
                  <xsl:value-of select="FONCTCOT/SEGMENT"/>
                </u>
              </a>
            </td>
            <td class="clTexte" width="92" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|39|51|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                <img 	src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>

    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

    <xsl:template name="SuiteFonctDirectionCesse">

        <xsl:param name ="position"></xsl:param>
        <xsl:param name ="Max"></xsl:param>

        <xsl:if test ="$position &lt; $Max">

            <xsl:for-each select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]">
                <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/DIRIGODS/DIRIGOD/DIRIGEANTOD[$position]/FONCTCOT/OD07">
                    <xsl:variable name ="IdentPPLeg" select="(PP/IDENTC)"></xsl:variable>
                    <xsl:if test="position() mod 9 = 0">
                        <div class="clBreakPage"></div>
                    </xsl:if>
                    <xsl:if test="position() = last()">
                        <table width="635" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                                <td width="530" height="14" colspan="4" class="clCouleur2" >
                                    <br/>
                                    <xsl:value-of select="($dictionnaire/mot[@id='SUITEFDC'])"></xsl:value-of>
                                </td>
                                <td width="105" height="14" align="right" valign="middle">
                                    <a href="#nullepart" onClick="requestBDFInfos('56','','{$familyNumber}','{$IdentPPLeg}',cstSimpleConfirm);">
                                        <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
                                    </a>
                                </td>
                            </tr>
                        </table>
                        <xsl:call-template name="shim"/>
                    </xsl:if>
                    <xsl:call-template name ="SuiteFonctDirectionCesse">
                        <xsl:with-param name ="position" select ="$Max"></xsl:with-param>
                        <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
                    </xsl:call-template>
                </xsl:if >
                <xsl:call-template name ="SuiteFonctDirectionCesse">
                    <xsl:with-param name ="position" select ="$position + 1"></xsl:with-param>
                    <xsl:with-param name ="Max" select ="$Max"></xsl:with-param>
                </xsl:call-template>

            </xsl:for-each>
        </xsl:if>
    </xsl:template>

  <!-- ***********************************  PARTIE ASSOCIE(S) ************************************************** -->
  <xsl:template match="ASSOCOD">
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/ASSOCOD/NBASSOCOD"/>
    <xsl:apply-templates select="ASSOCIEOD"/>
  </xsl:template>

  <xsl:template match="ASSOCIEOD">
    <xsl:apply-templates select="CAPITAL">
      <xsl:with-param name="indice" select="position()"/>
    </xsl:apply-templates>
    <xsl:apply-templates select="ASSOCSPE|ASSOCPP|ASSOCEJ"/>
  </xsl:template>

  <xsl:template match="OD08">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='OD08'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="NBASSOCOD">
    <xsl:variable name ="nbAssocies" select ="count(/FIBEN/PERSONNE/MODULEOD/DIFFOD/ASSOCOD/ASSOCIEOD)"></xsl:variable>
    <a name="ancAssoc"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="19">&#160;</td>
        <td class="clCouleur2" width="597" align="center">
          PRINCIPAL(AUX) ASSOCI(S) (<xsl:value-of select="."/>)
        </td>
        <td width="19">
          <xsl:if test="$condGraph1">
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe1';window.document.forms	['FormGraphes'].submit();">
              <img title="Graphique" alt="Graphique" border="0" height="20" name="dia2" src="{$root}Images/risque/diagramme.gif" width="19"/>
            </a>
          </xsl:if>
          <xsl:if test="$condGraph1!='true'">
            <img src="{$root}Images/boutons/diagramme_in.gif" width="19" height="20" border="0" title="Graphique" alt="Graphique" />
          </xsl:if>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCSPE">
    <table width="636" border="0" cellspacing="0" cellpadding="0">
      <tr align="left" valign="middle">
        <td class="clTexte" width="130">
          &#160;<xsl:value-of select="DENOM"/>
        </td>
        <td width="182"></td>
        <td width="80"></td>
        <td width="118"></td>
        <td width="95"></td>
      </tr>
      <tr>
        <td colspan="4" >
          &#160;
        </td>
        <td width="95" >
          &#160;
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCPP">
    <table width="636" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="2" class="clTexte" width="312">
          &#160;<xsl:call-template name ="displayInLowerCaseXsl">
            <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
            <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
          </xsl:call-template>
        </td>
        <xsl:if test="PP/IDENTITE/NOMCONJ">
          <td width="80" class="clCouleur2" align="left">&#160;Nom marital</td>
          <td class="clTexte" colspan="2" width="213">
            &#160;<xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
          </td>
        </xsl:if>
        <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
          <td width="80" class="clCouleur2">&#160;</td>
          <td class="clTexte" colspan="2" width="213">&#160;</td>
        </xsl:if>
      </tr>
      <xsl:choose>
        <xsl:when test ="AUTRFDEI">
          <tr valign="middle">
            <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
            <td class="clFond" width="182" align="left">
              &#160;<xsl:value-of select="PP/IDENTC"/>
            </td>
            <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
            <td class="clFond" width="118" align="left">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                <u>
                  <xsl:value-of select="VALCOT"/>
                </u>
              </a>
            </td>
            <td class="clFond" width="95" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|53|56|','','{$familyNumber}','{PP/IDENTC}',cstMultipleConfirm);">
                <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
          <tr>
            <td class="clTexte" colspan="4" align="left">
                <xsl:value-of select="($dictionnaire/mot[@id='AUTRFDEI'])"></xsl:value-of>
            </td>
            <td width="95" >
              &#160;
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr valign="middle">
            <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
            <td class="clFond" width="182" align="left">
              &#160;<xsl:value-of select="PP/IDENTC"/>
            </td>
            <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
            <td class="clFond" width="118" align="left">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                <u>
                  <xsl:value-of select="VALCOT"/>
                </u>
              </a>
            </td>
            <td class="clFond" width="95" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','{$familyNumber}','{PP/IDENTC}',cstMultipleConfirm);">
                <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="95" >
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCEJ">
    <table width="636" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clTexte" colspan="5" height="14" width="638">
          &#160;<xsl:value-of select="EJ/DENOM"/>
        </td>
      </tr>
      <tr>
        <td class="clFond" colspan="5" width="638">
          &#160;<xsl:value-of select="LOCALI"/>
        </td>
      </tr>
    </table>
    <xsl:if test="not(SEGMENT)">
      <table width="636" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
          <xsl:choose>
            <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
            <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
              <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
              <td class="clTexte" width="182" align="left">
                &#160;<xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </td>
              <td class="clCouleur2" width="80" align="left">&#160;Cotation</td>
              <td class="clTexte" width="118" align="left">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                  <u>
                    <xsl:value-of select="VALCOT"/>
                  </u>
                </a>
              </td>
              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
              <td class="clTexte" width="182" align="left">
                &#160;<xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </td>
              <td class="clCouleur2" width="80" align="left">&#160;</td>
              <td class="clTexte" width="118" align="left"></td>
              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27','','{$familyNumber}','{EJ/IDENTS}',cstSimpleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <tr>
          <td colspan="4" >
            &#160;
          </td>
          <td width="95" >
            &#160;
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:if test="SEGMENT">
      <table width="636" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
          <xsl:choose>
            <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
            <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
              <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
              <td class="clTexte" width="107" align="left">
                &#160;<xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </td>
              <td class="clCouleur2" width="155" align="left">&#160;Cotation | Segmentation</td>
              <td class="clTexte" width="118" align="left">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                  <u>
                    <xsl:value-of select="VALCOT"/>
                  </u>
                </a><a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                  &#160;|&#160;<u>
                    <xsl:value-of select="SEGMENT"/>
                  </u>
                </a>
              </td>
              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|39|53|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
              <td class="clTexte" width="107" align="left">
                &#160;<xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
                </xsl:call-template>
              </td>
              <td class="clCouleur2" width="155" align="left">&#160;</td>
              <td class="clTexte" width="118" align="left"></td>
              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <tr>
          <td colspan="4" >
            &#160;
          </td>
          <td width="95" >
            &#160;
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="CAPITAL">
    <xsl:param name="indice"/>
    <table width="742" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130" class="clCouleur2">&#160;Pourcentage dtenu</td>
        <td width="182" class="clFond">
          &#160;<xsl:value-of select="POURCENTAGE"/>
        </td>
        <td width="80" class="clFond">&#160;</td>
        <xsl:if test="DATDET">
          <td class="clFond" align="right" width="118">&#160;Depuis le</td>
          <td class="clFond" align="right" width="95">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATDET)"/>
            </xsl:call-template>&#160;
          </td>
        </xsl:if>
        <xsl:if test="not(DATDET)">
          <td class="clFond" align="right" width="118">&#160;</td>
          <td class="clFond" align="right" width="95">&#160;</td>
        </xsl:if>
        <xsl:if test="$indice mod 3 = 0">
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="$indice mod 3 != 0">
          <td width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
    </table>
  </xsl:template>

  <!-- ***********************************  PARTIE PARTICIPATION(S) ************************************************** -->
  <xsl:template match="OD09">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:value-of select="($dictionnaire/mot[@id='OD09'])"></xsl:value-of>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>
  
  <xsl:template match="PARTOD">
       <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/PARTOD/NBPARTICIPATION"/>     
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/PARTOD/PARTICIPATION"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/PARTOD/AUTRFDPP"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOD/DIFFOD/PARTOD/AUTRFDEI"/>
      <xsl:if test ="/FIBEN/PERSONNE/MODULEOD/DIFFOD/PARTOD/SUITEP">
        <xsl:call-template name ="SuiteParticipation">
          <xsl:with-param name ="position"></xsl:with-param>
        </xsl:call-template>
      </xsl:if>
  </xsl:template>

  <xsl:template match="NBPARTICIPATION">
   <a name="ancPartic"></a>
   <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="19">&#160;</td>
        <td class="clCouleur2" width="597" align="center">
          PRINCIPALE(S) PARTICIPATION(S) (<xsl:value-of select="."/>)
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/> 
  </xsl:template>

  <xsl:template match="PARTICIPATION">
    <xsl:variable name="actbdf" select="ACTBDF"/>
    <xsl:variable name="from">'</xsl:variable>
    <xsl:variable name="to">&#146;</xsl:variable>
    <xsl:variable name="libActivite" select="translate($dictionnaire//ssclasse[@id=$actbdf],$from,$to)" />
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130" class="clCouleur2">&#160;Pourcentage d&#233;tenu</td>
        <td width="107" class="clFond">
          &#160;<xsl:value-of select="CAPITAL/POURCENTAGE"/>
        </td>
        <td width="155" class="clFond">&#160;</td>
        <xsl:if test="CAPITAL/DATDET">
          <td class="clFond" align="right" width="148">Depuis le</td>
          <td class="clFond" align="right" width="95">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(CAPITAL/DATDET)"/>
            </xsl:call-template>&#160;
          </td>
        </xsl:if>
        <xsl:if test="not(CAPITAL/DATDET)">
          <td class="clFond" align="right" width="148">&#160;</td>
          <td class="clFond" align="right" width="95">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="4" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/{$familyName}/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="4" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
        </tr>
    </table>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
     <tr align="left" valign="middle">
         <td class="clTexte" width="130">
          &#160;<xsl:value-of select="EJ/DENOM"/>
        </td>
      </tr>
    </table>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clFond" colspan="2" width="312">
          &#160;<xsl:value-of select="LOCALI"/>
        </td>
        <td width="80" class="clCouleur2" align="left">&#160;Activit&#233; BDF</td>
        <td colspan="2" class="clFond" width="243">
          <a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{$libActivite}',cstWording)" >
            <u>
              <xsl:value-of select="ACTBDF"/>
            </u>
          </a>
        </td>
      </tr>
    </table>

    <xsl:if test="not(SEGMENT)">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clCouleur2" width="130">&#160;Identifiant</td>
          <td class="clTexte" width="182">
            &#160;<xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
            </xsl:call-template>
          </td>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
          <xsl:choose>
            <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
            <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
              <td class="clCouleur2" width="80" align="left">&#160;Cotation</td>
              <td class="clTexte" width="148">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                  <u>
                    <xsl:value-of select="VALCOT"/>
                  </u>
                </a>
              </td>

              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td class="clCouleur2" width="80" align="left">&#160;</td>
              <td class="clTexte" width="148">&#160;</td>
              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27','','{$familyNumber}','{EJ/IDENTS}',cstSimpleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
      </table>
    </xsl:if>

    <xsl:if test ="SEGMENT">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clCouleur2" width="130">&#160;Identifiant</td>
          <td class="clTexte" width="107">
            &#160;<xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
            </xsl:call-template>
          </td>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
          <xsl:choose>
            <!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
            <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
              <td class="clCouleur2" width="155">&#160;Cotation | Segmentation</td>
              <td class="clTexte" width="148">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
                  <u>
                    <xsl:value-of select="VALCOT"/>
                  </u>
                </a>&#160;|&#160;
                <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment)">
                  <u>
                    <xsl:value-of select="SEGMENT"/>
                  </u>
                </a>
              </td>
              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|39|53|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td class="clCouleur2" width="155">&#160;</td>
              <td class="clTexte" width="148">&#160;&#160;&#160;</td>
              <td class="clTexte" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27','','{$familyNumber}','{EJ/IDENTS}',cstSimpleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
      </table>
    </xsl:if>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="AUTRFDPP">
    <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
      <tr>
        <td  width="532" align="left">
          <!--Prsence de fonction de reprsentant(s) lgal(aux) dans une/des socit(s)-->
          <xsl:value-of select="($dictionnaire/mot[@id='AUTRFDPP'])"/>
        </td>

        <td width="103" align="right">
          <a href="#nullepart" onclick="requestBDFInfos('56','','','',cstSimpleConfirm);">
            <img border="0" height="12" 	src="{$root}images/Commun/clignotant2.gif" width="90"/>
          </a>
        </td>
      </tr>

    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="AUTRFDEI">
    <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
      <tr>
        <td  width="532" align="left">
          <!--Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)-->
          <xsl:value-of select="($dictionnaire/mot[@id='AUTRFDEI'])"/>
        </td>

        <td width="103" align="right">
          <a href="#nullepart" onclick="requestBDFInfos('56','','','',cstSimpleConfirm);">
            <img border="0" height="12" 	src="{$root}images/Commun/clignotant2.gif" width="90"/>
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>
  
  <xsl:template name="SuiteParticipation">
      <xsl:if test="position() mod 9 = 0">
        <div class="clBreakPage"></div>
      </xsl:if>
      <xsl:if test="position() = last()">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="530" height="14" colspan="4" class="clCouleur2" >
              <br/>
              <xsl:value-of select="($dictionnaire/mot[@id='SUITEP'])"></xsl:value-of>
            </td>
            <td width="105" height="14" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('53','','{$familyNumber}','{EJ/IDENTS}',cstSimpleConfirm);">
                <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
              </a>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
      </xsl:if>
    </xsl:template>
  
  <xsl:template name="genGraphOD">
    <xsl:if test="$condGraph1">
      <form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
        <input name="familyNumber" type="hidden" value="{$familyNumber}"/>
        <input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
        <xsl:element name="input">
          <xsl:attribute name="name">GrapheData</xsl:attribute>
          <xsl:attribute name="type">hidden</xsl:attribute>
          <xsl:attribute name="value">
            &lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
              <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
            </xsl:call-template>&quot; GRAPHE=&quot;1&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOD/EJ/IDENTS"/>&lt;/ident&gt;&lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOD/EJ/DENOM"/>&lt;/nom&gt;&lt;valcot&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOD/DIFFOD/VALCOT"/>&lt;/valcot&gt;&lt;segment&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOD/DIFFOD/SEGMENT"/>&lt;/segment&gt;&lt;datcot&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOD/DIFFOD/DATCOT"/>&lt;/datcot&gt;&lt;datexa&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOD/DIFFOD/DATEXA"/>&lt;/datexa&gt;&lt;graphe&gt;&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOD/DIFFOD/ASSOCOD/ASSOCIEOD">
              &lt;val&gt;<xsl:value-of select="CAPITAL/POURCENTAGE"/>&lt;/val&gt;
            </xsl:for-each>&lt;/serie&gt;&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOD/DIFFOD/ASSOCOD/ASSOCIEOD">
              &lt;val&gt;<xsl:if test="ASSOCEJ/EJ">
                <xsl:value-of select="concat(ASSOCEJ/EJ/IDENTS,'     - ',ASSOCEJ/EJ/DENOM)"/>
              </xsl:if><xsl:if test="ASSOCPP/PP">
                <xsl:call-template name ="displayInLowerCaseXsl">
                  <xsl:with-param name ="InputIdentc" select ="(ASSOCPP/PP/IDENTC)"/>
                  <xsl:with-param name ="InputStringNom" select ="(ASSOCPP/PP/IDENTITE/NOM)"/>
                  <xsl:with-param name ="InputStringPrenom" select ="(ASSOCPP/PP/IDENTITE/PRENOM)"/>
                </xsl:call-template>
              </xsl:if><xsl:if test="ASSOCSPE/DENOM">
                <xsl:value-of select="concat('              - ',ASSOCSPE/DENOM)"/>
              </xsl:if>&lt;/val&gt;
            </xsl:for-each>&lt;/abcisse&gt;&lt;titre&gt;Rpartition du capital entre les associs (en pourcentage)&lt;/titre&gt;&lt;/graphe&gt;&lt;/FIBEN&gt;
          </xsl:attribute>
        </xsl:element>
      </form>
    </xsl:if>
  </xsl:template>

  
</xsl:stylesheet>
