<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                        xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>
  <xsl:param name="sIPEbrkPage" select="''"/>
  <xsl:variable name="condGraph1" select="(//MTCBCT[position()=1] != 0)"/>
  <xsl:variable name="condGraph2" select="(//MTCMLT[position()=1] != 0)"/>
  <xsl:variable name="condGraph3" select="(//MTCBM[position()=1] != 0) or (//MTCBI[position()=1] != 0)" />
  <xsl:variable name="condGraph4" select="(//MTTOT6[position()=1] != 0)"/>
  <xsl:variable name="condGraph5" select="(//MTCC[position()=1] != 0) or (//MTCD[position()=1] != 0)"/>
  <xsl:variable name="condGraph6" select="(//MTAC[position()=1] != 0)"/>
  <xsl:variable name="condGraph7" select="(//MTCBCT[position()=1] != 0)"/>
  <xsl:variable name="condGraph8" select="(//MTCMLT[position()=1] != 0)"/>
  <xsl:variable name="condGraph9" select="(//MTCBM[position()=1] != 0) or (//MTCBI[position()=1] != 0)" />
  <xsl:variable name="condGraph10" select="(//MTTOT6[position()=1] != 0)"/>
  <xsl:variable name="condGraph11" select="(//MTCC[position()=1] != 0) or (//MTCD[position()=1] != 0)"/>
  <xsl:variable name="condGraph12" select="(//MTAC[position()=1] != 0)"/>
  <xsl:variable name="condGraph13" select="((count(/FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM/MTMIPE[text()!='0'])) >= '6') and ((count(/FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM/MTMIPE[text()!='0,0'])) >= '6') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[1]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[2]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[3]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[4]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[5]/MTIP = '99999') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[6]/MTIP = '99999')  and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[2]/MTCC = '99999')  and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[4]/MTCC = '99999') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[5]/MTCC = '99999') and not(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM[6]/MTCC = '99999')"/>
  <xsl:variable name="condGraph" select="boolean($condGraph1 or $condGraph2 or $condGraph3 or $condGraph4 or $condGraph5 or $condGraph6 or $condGraph7 or $condGraph8 or $condGraph9 or $condGraph10 or $condGraph11 or $condGraph12 or $condGraph13)"/>

  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULEOR/PM/EJ/IDENTS | FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTS | FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTC"/>
      </xsl:call-template>
      <body  bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>

        <table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel" />
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">

            <tr>
              <td width="64"></td>

              <td width="739" colspan="4" class="clCouleur2" valign="top">
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULEOR/PM/EJ"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULEOR/PM/EI"/>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULEOR/PM/EI/IDLIES"/>
                <xsl:if test = "not(PERSONNE/MODULEOR/IST10)">
                  <xsl:apply-templates select="FIBEN/PERSONNE/MODULEOR/DIFFOR"/>
                </xsl:if>
              </td>
            </tr>
            <xsl:if test=" /FIBEN/PERSONNE/MODULEOR/IST06| /FIBEN/PERSONNE/MODULEOR/IST10| //U101">
              <tr>
                <td width="14"></td>
                <td colspan="3" width="635" class="clCouleur2" valign="top">
                  <xsl:apply-templates select=" /FIBEN/PERSONNE/MODULEOR/IST06| /FIBEN/PERSONNE/MODULEOR/IST10| //U101"/>
                </td>
                <td></td>
              </tr>
              <tr>
                <td width="14"></td>
                <td colspan="4">
                  <xsl:call-template name="shim"/>
                </td>
              </tr>
            </xsl:if>

            
          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
        <xsl:call-template name="genGraphOR"/>
      </body>
    </html>
  </xsl:template>

  <!--*********************************************************************-->

  <xsl:template match="FIBEN/PERSONNE/MODULEOR/PM/EJ">
    <xsl:call-template name="genEnTete">
      <xsl:with-param name="ident" select="IDENTS"/>
      <xsl:with-param name="nom" select="DENOM"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="FIBEN/PERSONNE/MODULEOR/PM/EI">
    <xsl:call-template name="genEnTete">
      <xsl:with-param name="ident" select="IDENTS|IDENTC"/>
      <xsl:with-param name="idrenv" select="IDRENV"/>
      <xsl:with-param name="nom">
        <xsl:call-template name ="displayInLowerCaseXsl">
          <xsl:with-param name ="InputStringNom" select ="(IDENTITE/NOM)"/>
          <xsl:with-param name ="InputStringPrenom" select ="(IDENTITE/PRENOM)"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="nomconj" select="IDENTITE/NOMCONJ"/>
      <xsl:with-param name="idnouv" select="/FIBEN/PERSONNE/IDNOUV"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="DIFFOR">
    <xsl:apply-templates select="ICB05" mode="genLib"/>
    <xsl:apply-templates select="ICB01" mode="genLib"/>
    <xsl:if test ="not(ICB01)">
      <xsl:apply-templates select="RISQUESOR"/>
    </xsl:if>
    <xsl:apply-templates select ="ICIP01" mode="genDiv"/>
    <xsl:if test ="not(ICIP01)">
      <xsl:apply-templates select="IPEOR"/>
    </xsl:if>
    <xsl:apply-templates select="IRELB01" mode="genLib" />
    <xsl:if test="not(IRELB01)">
      <xsl:apply-templates select="RBOR"/>
    </xsl:if>
    <br/>
  </xsl:template>

  <xsl:template match="ICB05" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="625"  class="clCouleur2" height="12" align="left">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
        <td width="10" class="clCouleur2" height="12">
        </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" class="clCouleur2">
          <br/>
          <div align="left">
            &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
          </div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="ICB01|IRELB01" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="cltexte" align="left">
          <font class="clCouleur2">
            <xsl:apply-templates select="."/>
          </font>
          <br/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="ICIP01" mode="genDiv">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="cltexte" align="left">
          <font class="clCouleur2">
            <xsl:apply-templates select="."/>
          </font>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <!--**************************************** PARTIE CONCOURS BANCAIRES ********************************************-->
  <xsl:template match="RISQUESOR">
    <!--<div class="clBreakPage"/>-->
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          <a name="concours_bancairesInd"></a>CONCOURS BANCAIRES
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <xsl:apply-templates select="DATCENTR"/>
    <xsl:apply-templates select="BILTRE"/>
    <xsl:apply-templates select="CBEURO"/>
    <xsl:if test="CUMULCB">
      <xsl:call-template name="CUMULCB" />
    </xsl:if>
    <xsl:apply-templates select="ICB04" />
    <xsl:if test="ICB04">
      <xsl:call-template name="shim"/>
      <br/>
    </xsl:if>
    <xsl:apply-templates select="ICB03" />

    <xsl:if test="CUMULCBC">
      <xsl:call-template name="CUMULCBC" />
    </xsl:if>
  </xsl:template>

  <xsl:template match="DATCENTR">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200" height="12">&#160;DERNIRE CENTRALISATION AU</td>
        <td width="200" class="clFond" height="12">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(.)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="235" class="clCouleur2" height="12" align="center">
          <div align="right">&#160;&#160;(en milliers d'euros)</div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="BILTRE">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200">&#160;BILLETS DE TRSORERIE AU</td>
        <td width="200" class="clFond">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATENRBT)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="117" class="clCouleur2" align="right">&#160;MONTANT&#160;&#160;</td>
        <td width="118" class="clFond">
          <div align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(MTBT)"/>
            </xsl:call-template>&#160;
          </div>
        </td>
      </tr>
    </table>

    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="CBEURO">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="335" height="12">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
        <td width="400" class="clCouleur2" height="12">
        </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" class="clCouleur2">
          <br/>
          <div align="left">
            &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
          </div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="ICB03" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="cltexte">
          <font class="clCouleur2">
            <xsl:apply-templates select="ICB03"/>
          </font>
        </td>
        <xsl:call-template name="CUMULCBC"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="ICB04" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="cltexte">
          <font class="clCouleur2">
            <xsl:apply-templates select="."/>
          </font>
        </td>
        <xsl:call-template name="CUMULCB"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <!--DTAILS DES CREDITS-->
  <xsl:template name="CUMULCB">
    <div class="clBreakPage"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          D&#201;TAILS DES CONCOURS INDIVIDUELS
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCB/@MOISREF"/>
        <xsl:apply-templates select="CUMULCB/MTCODCCT"/>
      </tr>
      <tr>
        <td colspan="11" class="clItalic"></td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCB/@MOISREF"/>
        <xsl:apply-templates select="CUMULCB/MTCMLT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <div class="clBreakPage"/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCB/@MOISREF"/>
        <xsl:apply-templates select="CUMULCB/MTCC"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

  </xsl:template>

  <xsl:template match="CUMULCB/@MOISREF">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="45" height="20" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="25" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="45" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" class="clItalic" valign="bottom" align="center" height="5"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td  width="45" class="clFond" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td  width="45" class="clTexte" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td  width="45" class="clItalic" align="right" height="15" >&#160;</td>
      </tr>
      <tr>
        <td   width="45" class="clFond" align="right" height="15">
          <b>Moyenne</b>
        </td>
      </tr>
      <tr>
        <td height="1" width="45" class="clItalic">&#160; </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <!--CREDIT COURT-->
  <xsl:template match="CUMULCB/MTCODCCT">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <a name="credit_ct"></a>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td height="20"  width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          <a name="credit_mobiliseInd"></a>CREDITS MOBILISES
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="25" width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          Court terme
          <xsl:if test="$condGraph1">
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe1';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </xsl:if>
          <xsl:if test="not($condGraph1)">
            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </xsl:if>

        </td>

      </tr>
      <tr>
        <td height="30" width="108" class="clCouleur2" align="right" valign="top">
          Cptes ordinaires dbiteurs<br/>(CO)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Crances commerciales<br/>(CC)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Affacturage<br/>(AF)
        </td>
        <td width="10" class="clCouleur2">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Autres crdits  court terme<br/>(CA)
        </td>
        <td width="10" class="clCouleur2" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Total court terme <br/>[I]
        </td>
        <td width="114" align="right"></td>
      </tr>
      <tr>
        <td colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="462" colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic" align="right"></td>
        <td width="114"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCODCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAFCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTACCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160; </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <!--CREDIT MOYEN ET LONG TERME-->
  <xsl:template match="CUMULCB/MTCMLT">

    <xsl:if test="position()=1">

      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>

      <tr>
        <xsl:if test="($condGraph2)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe2';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph2)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph3)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe3';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph3)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          <a name="credit_titr"/>Titriss<br/>(IT)<br/>[V]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph4)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe4';window.document.forms['FormGraphes'].submit();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph4)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>

        <td  align="right" width="114">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Mobiliers (BM)<br/>[III]
        </td>
        <td width="10" class="clCouleur2" align="center">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Immobiliers (BI)<br/>[IV]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="114" ></td>
      </tr>
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>

    <xsl:if test="position() mod 2 != 0">
      <tr>

        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>

        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>

        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCMLT)"/>
            </xsl:call-template >
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBM)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBI)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTITR)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT6)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <!-- CREDIT MOBILISABLE -->
  <xsl:template match="CUMULCB/MTCC">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <xsl:if test="($condGraph5)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_mobilisableInd">
              CREDITS MOBILISABLES
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe5';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph5)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_mobilisableInd">
              CREDITS MOBILISABLES

              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          Total crdits mobiliss et mobilisables [VIII]<br/>
          [VI]+[VII]
        </td>
        <td width="10" valign="bottom" align="center" rowspan="2">
          <img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/>
        </td>
        <xsl:if test="($condGraph6)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe6';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph6)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </td>
        </xsl:if>
        <td width="114" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Partie disponible des crdits mobilisables<br/>(OC)
        </td>
        <td width="10"></td>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Crdits documentaires<br/>(OD)
        </td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/>
        </td>
        <td class="clCouleur2" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/>
        </td>
        <td width="114"></td>
      </tr>

    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="cltexte">&#160;</td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center"></td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center"></td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCD)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT7)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT8)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <xsl:template name="CUMULCBC">
    <div class="clBreakPage"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <xsl:if test="ICB03">
        <xsl:call-template name="shim"/>
      </xsl:if>
      <tr align="center">
        <td class="clCouleur2">
          D&#201;TAILS DES PARTICIPATIONS EN COMPTE COLLECTIF
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCBC/@MOISREF"/>
        <xsl:apply-templates select="CUMULCBC/MTCODCCT"/>
      </tr>
      <tr>
        <td colspan="11" class="clItalic"></td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCBC/@MOISREF"/>
        <xsl:apply-templates select="CUMULCBC/MTCMLT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <div class="clBreakPage"/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="CUMULCBC/@MOISREF"/>
        <xsl:apply-templates select="CUMULCBC/MTCC"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

  </xsl:template>

  <xsl:template match="CUMULCBC/@MOISREF">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="45" height="20" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="25" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" height="45" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="45" class="clItalic" valign="bottom" align="center" height="5"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td  width="45" class="clFond" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td  width="45" class="clTexte" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td  width="45" class="clItalic" align="right" height="15" >&#160;</td>
      </tr>
      <tr>
        <td   width="45" class="clFond" align="right" height="15">
          <b>Moyenne</b>
        </td>
      </tr>
      <tr>
        <td height="1" width="45" class="clItalic">&#160; </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <!--CREDIT COURT-->
  <xsl:template match="CUMULCBC/MTCODCCT">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <a name="credit_ct"></a>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td height="20"  width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          <a name="MobiliseColl"></a>CREDITS MOBILISES
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="25" width="580" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">
          Court terme
          <xsl:if test="$condGraph7">
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe7';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </xsl:if>
          <xsl:if test="not($condGraph7)">
            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </xsl:if>

        </td>

      </tr>
      <tr>
        <td height="30" width="108" class="clCouleur2" align="right" valign="top">
          Cptes ordinaires dbiteurs<br/>(CO)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Crances commerciales<br/>(CC)
        </td>
        <td width="10"></td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Affacturage<br/>(AF)
        </td>
        <td width="10" class="clCouleur2">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Autres crdits  court terme<br/>(CA)
        </td>
        <td width="10" class="clCouleur2" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="top">
          Total court terme <br/>[I]
        </td>
        <td width="114" align="right"></td>
      </tr>
      <tr>
        <td colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTCCCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:apply-templates select="../MTAFCT"/>&#160;
        </td>
        <td width="10" class="clTexte" align="right">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="462" colspan="7" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic" align="right"></td>
        <td width="114"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCODCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTAFCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTACCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160; </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <!--CREDIT MOYEN ET LONG TERME-->
  <xsl:template match="CUMULCBC/MTCMLT">

    <xsl:if test="position()=1">

      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>

      <tr>
        <xsl:if test="($condGraph8)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe8';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph8)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_mlt"/>Moyen

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/> et long terme<br/>(TE+TA)<br/>[II]
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph9)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe9';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph9)">
          <td width="226" colspan="3" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="credit_b">
              Crdits-bails
              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          <a name="credit_titr"/>Titriss<br/>(IT)<br/>[V]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <xsl:if test="($condGraph10)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe10';window.document.forms['FormGraphes'].submit();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph10)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            Total <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/><br/>
            des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
          </td>
        </xsl:if>

        <td  align="right" width="114">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Mobiliers (BM)<br/>[III]
        </td>
        <td width="10" class="clCouleur2" align="center">&#160;</td>
        <td width="108" class="clCouleur2" align="right" valign="middle">
          Immobiliers (BI)<br/>[IV]
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="10"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="114" ></td>
      </tr>
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
    </xsl:if>

    <xsl:if test="position() mod 2 != 0">
      <tr>

        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>

        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte">&#160;</td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clTexte"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="226" colspan="3" class="clItalic">&#160;</td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>

        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCMLT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBM)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBI)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTITR)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT6)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <!-- CREDIT MOBILISABLE -->
  <xsl:template match="CUMULCBC/MTCC">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <xsl:if test="($condGraph11)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="MobilisableColl">
              CREDITS MOBILISABLES
              <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe11';window.document.forms['FormGraphes'].submit	();">
                <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
              </a>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph11)">
          <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">
            <a name="MobilisableColl">
              CREDITS MOBILISABLES

              <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/>
        </td>
        <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
          Total crdits mobiliss et mobilisables [VIII]<br/>
          [VI]+[VII]
        </td>
        <td width="10" valign="bottom" align="center" rowspan="2">
          <img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/>
        </td>
        <xsl:if test="($condGraph12)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#Graphe12';window.document.forms['FormGraphes'].submit	();">
              <img border="0" src="{$root}Images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </td>
        </xsl:if>
        <xsl:if test="not($condGraph6)">
          <td width="108" rowspan="2" class="clCouleur2" align="right" valign="middle" nowrap="true">
            <a name="credit_eg"></a>
            ENGAGEMENTS DE GARANTIE<br/>
            (AC)<br/>

            <img border="0" src="{$root}Images/risque/diagramme_in.gif" width="19" height="20"/>
          </td>
        </xsl:if>
        <td width="114" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Partie disponible des crdits mobilisables<br/>(OC)
        </td>
        <td width="10"></td>
        <td class="clCouleur2" width="108" align="right" valign="middle">
          Crdits documentaires<br/>(OD)
        </td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/>
        </td>
        <td class="clCouleur2" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
        <td width="10" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/>
        </td>
        <td width="114"></td>
      </tr>

    </xsl:if>
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="cltexte">&#160;</td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="cltexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10"  class="cltexte" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clTexte" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="114"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center"></td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center"></td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCD)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT7)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT8)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTAC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="114"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <xsl:template match="MTCCCT">
    <xsl:if test="@ETAT">
      <xsl:value-of select="@ETAT"/>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(../MTCCCT)"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

  <xsl:template match="MTAFCT">
    <xsl:if test="@ETAT">
      <xsl:value-of select="@ETAT"/>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(../MTAFCT)"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>

  <xsl:template name="doubleFlux">
    <xsl:param name = "fMTCBM" />
    <xsl:param name = "fMTCBI" />
    <xsl:value-of select = "$fMTCBM+$fMTCBI" />
  </xsl:template>

  <!--**************************************** PARTIE INCIDENTS DE PAIEMENT SUR EFFETS ********************************************-->
  <xsl:template match="IPEOR">
    <div class="clBreakPage"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          <a name="incidents_paiementsInd"></a>INCIDENTS DE PAIEMENTS
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" colspan="4" class="clCouleur2" valign="top">
          <xsl:apply-templates select="IPERESUME"/>
          <xsl:call-template name="shim"/>
          <br/>
          <a name="detail"></a>
          <xsl:apply-templates select="CIP03" mode="genDiv"/>
          <xsl:if test="IPEDETAIL">
            <table width="635" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="635" align="center" class="clCouleur2">DTAIL DES INCIDENTS DE PAIEMENT EFFETS SUPRIEURS OU GAUX  1524 EUROS</td>
              </tr>
            </table>
            <xsl:call-template name="shim"/>
            <br/>
            <xsl:apply-templates select="IPEDETAIL"/>
          </xsl:if>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="IPERESUME">
    <a name="situation"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="19">&#160;</td>
        <td width="597" align="center" class="clCouleur2">
          SITUATION RSUME SUR 15 MOIS&#160;(en
          <xsl:call-template name ="displayUnitXsl">
            <xsl:with-param name ="InputUnit" select ="(./@UNITE)"/>
          </xsl:call-template> euros)
        </td>
        <td width="19">
          <xsl:if test="not($condGraph13)">
            <img name="Image69" border="0" src="{$root}images/boutons/diagramme_in.gif" width="19" height="20"/>
          </xsl:if>
          <xsl:if test="$condGraph13">
            <a href="#nullepart" onclick="window.document.forms['FormGraphes'].action='Graphes.aspx#graphe13';window.document.forms['FormGraphes'].submit();">
              <img name="Image69" border="0" src="{$root}images/risque/diagramme.gif" width="19" height="20"/>
            </a>
          </xsl:if>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="110" align="right" valign="top">&#160;</td>
        <td width="210" colspan="2" align="right" class="clCouleur2">
          Incapacit
          de payer&#160;&#160;&#160;&#160;&#160;&#160;
        </td>
        <td width="210" colspan="2" align="right" class="clCouleur2">
          Contestation de
          crance&#160;&#160;&#160;
        </td>
        <td width="105" align="right" valign="top" class="clCouleur2">&#160;</td>
      </tr>
      <tr>
        <td class="clCouleur2" width="110" align="right">Mois&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Nombre&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Montant&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Nombre&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Montant&#160;</td>
        <td width="105" align="right" class="clCouleur2">Total&#160;</td>
      </tr>
      <xsl:apply-templates select="SITRESM"/>
      <xsl:apply-templates select="SITREST"/>
    </table>
    <div class="clBreakPage"/>
  </xsl:template>

  <xsl:template match="SITRESM">
    <tr align="right">
      <xsl:if test="position() mod 2 = 0">
        <td class="clTexte" width="110">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexteGras">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTMIPE)"/>
          </xsl:call-template>&#160;
        </td>
      </xsl:if>
      <xsl:if test="position() mod 2 != 0">
        <td class="clFond" width="110">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clGrasFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTMIPE)"/>
          </xsl:call-template>&#160;
        </td>
      </xsl:if>
    </tr>
  </xsl:template>

  <xsl:template match="SITREST">
    <tr align="right">
      <td class="clTexte" width="110">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="t3b">&#160;</td>
    </tr>
    <tr align="right">
      <td width="110" class="clCouleur2">Total&#160;</td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTNBIP)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTMTIP)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTNBCC)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTMTCC)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTSEIPE)"/>
        </xsl:call-template>&#160;
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="CIP03" mode="genDiv">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="IPEDETAIL">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <xsl:if test="position() > 1">
        <xsl:call-template name="StrSplit">
          <xsl:with-param name="str" select="$sIPEbrkPage"/>
          <xsl:with-param name="moisRefCourant" select="IPEMENS/MOISREF"/>
        </xsl:call-template>
      </xsl:if>

      <xsl:apply-templates select="IPEMENS"/>
      <tr>
        <td width="51" class="clCouleur2" align="right" valign="bottom">Banque&#160;</td>
        <td width="46" class="clCouleur2" align="right" valign="bottom">Guichet&#160;</td>
        <td width="67" class="clCouleur2" align="right" valign="bottom">chance&#160;</td>
        <td width="43" class="clCouleur2" align="right">
          <p>
            Code<br/>Accept.
          </p>
        </td>
        <td width="7" class="clCouleur2" align="right">&#160;</td>
        <td width="49" class="clCouleur2" align="right">
          &#160;MdNP<br/>(1)
        </td>
        <td width="68" class="clCouleur2" valign="bottom" align="right">&#160;Montant</td>
        <td width="96" class="clCouleur2" valign="bottom" align="right">Identifiant</td>
        <td width="208" class="clCouleur2" valign="bottom" align="right">&#160;Nom du crancier</td>
        <xsl:if test="position() mod 2 = 0">
          <xsl:call-template name="genFlecheHaut"/>
        </xsl:if>
        <xsl:if test="position() mod 2 != 0">
          <td width="103"></td>
        </xsl:if>
      </tr>
      <xsl:apply-templates select="IPEDET"/>
      <xsl:if test="position() = last()">
        <tr>
          <td colspan="9" class="clCouleur2" valign="middle">
            <br/> (1) MdNP : Motif de non paiement
          </td>
        </tr>
      </xsl:if>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="IPEMENS">
    <tr>
      <td colspan="2" class="clCouleur2">&#160;Mois de rejet</td>
      <td width="67" class="clGrasFond">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
        </xsl:call-template>
      </td>
      <td width="43" class="clCouleur2" align="right">&#160;</td>
      <td width="7" class="clCouleur2" align="right">&#160;</td>
      <td width="46" class="clCouleur2">&#160;Montant</td>
      <td width="68" class="clGrasFond" align="right">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MT1500E)"/>
        </xsl:call-template>
        <xsl:call-template name ="displayUnitXsl2">
          <xsl:with-param name ="InputUnit" select ="(./@UNITE)"/>
          <xsl:with-param name ="Indic" select ='"1"'/>
        </xsl:call-template>
        <img src="{$root}images/Commun/euro_symb_bold.gif" width="8" height="9"/>&#160;
      </td>
      <td height="10" class="clTexte" align="right" width="96"></td>
    </tr>
    <tr>
      <td height="10" class="clCouleur2" width="51"></td>
      <td height="10" class="clTexte" align="center" width="46"></td>
      <td height="10" class="clTexte" width="67"></td>
      <td height="10" class="clCouleur2" align="right" width="43"></td>
      <td height="10" class="clCouleur2" align="right" width="7"></td>
      <td height="10" class="clCouleur2" width="49"></td>
      <td height="10" class="clTexte" align="right" width="68"></td>
      <td height="10" class="clTexte" align="right" width="96"></td>
    </tr>
  </xsl:template>

  <xsl:template match="IPEDET">
    <xsl:variable name="COACCEP">
      <xsl:call-template name="traduction">
        <xsl:with-param name="code" select="COACCEP"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="COMOTIF">
      <xsl:call-template name="traduction">
        <xsl:with-param name="code" select="COMOTIF"/>
      </xsl:call-template>
    </xsl:variable>
    <!--pour remplacer bdf:escapestring-->
    <xsl:variable name="valCOACCEP" select="COACCEP"/>
    <xsl:variable name="valCOMOTIF" select="COMOTIF"/>
    <xsl:variable name="from">'</xsl:variable>
    <xsl:variable name="to">&#146;</xsl:variable>
    <xsl:variable name="LibCOACCEP" select="translate($dictionnaire/mot[@id=$valCOACCEP],$from,$to)"/>
    <xsl:variable name="LibCOMOTIF" select="translate($dictionnaire/mot[@id=$valCOMOTIF],$from,$to)"/>
    <xsl:choose>
      <xsl:when test="position() = 55">
        <xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
      </xsl:when>
      <xsl:when test="position() > 67 and (position()+5) mod 60=0">
        <xsl:text disable-output-escaping="yes">&lt;tr class="clBreakPage"&gt;</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:if test="position() mod 2 != 0">
      <td width="51" class="clFond" align="right">
        <xsl:value-of select="COBAN"/>&#160;
      </td>
      <td width="46" class="clFond" align="right">
        <xsl:value-of select="COGUI"/>&#160;
      </td>
      <td width="67" class="clFond" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATECHIPE)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="43" align="right" class="clFond">
        <a href="#nullePart" onclick="requestVariousInfos('{$LibCOACCEP}',cstWording)" class="clTexte">
          <u>
            <xsl:value-of select="COACCEP"/>
          </u>
        </a>&#160;
      </td>
      <td width="7" class="clFond" align="right">&#160;</td>
      <td width="49" align="right" class="clFond">
        <a href="#nullePart" onclick="requestVariousInfos('{$LibCOMOTIF}',cstWording)" class="clTexte">
          <u>
            <xsl:value-of select="COMOTIF"/>
          </u>
        </a>
      </td>
      <td width="68" class="clFond" align="right">
        &#160;
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTUNIT)"/>
        </xsl:call-template>
      </td>
      <td width="96" class="clFond" valign="bottom" align="right">
        &#160;
        <xsl:if test="string-length(IDENTCR) != 0">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(IDENTCR)"/>
          </xsl:call-template>
        </xsl:if>
      </td>
      <td width="208" class="clFond" align="right">
        &#160;<xsl:value-of select="CREAN"/>&#160;
      </td>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <td width="51" class="clTexte" align="right">
        <xsl:value-of select="COBAN"/>&#160;
      </td>
      <td width="46" class="clTexte" align="right">
        <xsl:value-of select="COGUI"/>&#160;
      </td>
      <td width="67" class="clTexte" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATECHIPE)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="43" align="right" class="clTexte">
        <a href="#nullePart" onclick="requestVariousInfos('{$LibCOACCEP}',cstWording)" class="clTexte">
          <u>
            <xsl:value-of select="COACCEP"/>
          </u>
        </a>&#160;
      </td>
      <td width="7" class="clTexte" align="right">&#160;</td>
      <td width="49" align="right" class="clTexte">
        <a href="#nullePart" onclick="requestVariousInfos('{$LibCOMOTIF}',cstWording)" class="clTexte">
          <u>
            <xsl:value-of select="COMOTIF"/>
          </u>
        </a>
      </td>
      <td width="68" class="clTexte" align="right">
        &#160;
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(MTUNIT)"/>
        </xsl:call-template>
      </td>
      <td width="96" class="clTexte" valign="bottom" align="right">
        &#160;
        <xsl:if test="string-length(IDENTCR) != 0">
          <xsl:call-template name ="displaySirenXsl">
            <xsl:with-param name ="InputSiren" select ="(IDENTCR)"/>
          </xsl:call-template>
        </xsl:if>
      </td>
      <td width="208" class="clTexte" align="right">
        &#160;<xsl:value-of select="CREAN"/>&#160;
      </td>
    </xsl:if>
    <xsl:if test="position() mod 10 = 0">
      <xsl:call-template name="genFlecheHaut"/>
    </xsl:if>
    <xsl:if test="position() mod 10 != 0">
      <td width="103"></td>
    </xsl:if>
    <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>

    <xsl:choose>
      <xsl:when test="IDENTCR != ''">
        <tr>
          <td colspan="9" align="right">
            <a href="#nullepart" onClick="requestBDFInfos('27','','','{IDENTCR}',cstSimpleConfirm,false,this);">
              <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90" />
            </a>
          </td>
        </tr>
      </xsl:when>
      <xsl:when test="CREAN != ''">
        <tr>
          <td colspan="9" align="right">
            <a href="#nullepart" onClick="requestBDFInfos('07','','','{CREAN}',cstSimpleConfirm,false,this);">
              <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90" />
            </a>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <tr>
          <td colspan="9" align="right">&#160;</td>
        </tr>
      </xsl:otherwise>
    </xsl:choose>
    <!--fin<02/06/2008>-->
  </xsl:template>

  <xsl:template name="StrSplit">
    <xsl:param name="str"/>
    <xsl:param name="moisRefCourant"/>

    <xsl:choose>
      <xsl:when test="contains($str,',')">
        <xsl:if test="$moisRefCourant = substring-before($str,',')">
          <div class="clBreakPage"/>
        </xsl:if>

        <xsl:call-template name="StrSplit">
          <xsl:with-param name="str" select="substring-after($str,',')" />
          <xsl:with-param name="moisRefCourant" select="$moisRefCourant"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="$moisRefCourant = $str">
          <div class="clBreakPage"/>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--**************************************** PARTIE RELATIONS BANCAIRES ********************************************-->
  <xsl:template match="RBOR">
    <div class="clBreakPage"/>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="14"></td>
        <td colspan="4" class="clCouleur2" valign="top">
          <a name="relations_bancairesInd"></a>
          <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOR/DIFFOR/RBOR/NBRELBAN"/>
          <table width="739" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="24" class="clCouleur2" align="right"></td>
              <td width="66" class="clCouleur2">Banque</td>
              <td width="79" class="clCouleur2">Guichet</td>
              <td width="304" class="clCouleur2">Libell de l'tablissement bancaire </td>
              <td width="162" class="clCouleur2" align="center">Date de mise  jour</td>
              <td width="104"> &#160;</td>
            </tr>
            <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEOR/DIFFOR/RBOR/RELBAN"/>
          </table>
          <xsl:call-template name="shim"/>
        </td>
      </tr>
    </table>
    <br/>
  </xsl:template>

  <xsl:template match="NBRELBAN">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          LISTE DES RELATIONS BANCAIRES (<xsl:value-of select="."/>)
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="RELBAN">
    <xsl:variable name="nbRel">
      <xsl:value-of select="/FIBEN/PERSONNE/MODULEOR/DIFFOR/RBOR/NBRELBAN"/>
    </xsl:variable>
    <xsl:if test="position() mod 2 != 0">
          <tr>
            <td width="24" class="clFond">&#160;</td>
            <td width="66" class="clFond">
              <xsl:value-of select="COBAN"/>
            </td>
            <td width="79" class="clFond">
              <xsl:value-of select="COGUI"/>
            </td>
            <td width="304" class="clFond">
              <xsl:value-of select="LIBBAN"/>
            </td>
            <td width="162" class="clFond" align="center">
              <xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
              </xsl:call-template>
            </td>
            <td align="right">&#160;</td>
          </tr>
        </xsl:if>
    <xsl:if test="position() mod 2 = 0">
          <tr>
            <td width="24" class="clTexte" align="right"></td>
            <td width="66" class="clTexte">
              <xsl:value-of select="COBAN"/>
            </td>
            <td width="79" class="clTexte">
              <xsl:value-of select="COGUI"/>
            </td>
            <td width="304" class="clTexte">
              <xsl:value-of select="LIBBAN"/>
            </td>
            <td width="162" class="clTexte" align="center">
              <xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>

    <xsl:if test="position() = last ()">
      <div class="clBreakPage"></div>
      <xsl:if test="//RBOR/SUITERB">
        <tr>
          <td colspan="6" align="left">
            <xsl:call-template name="shim"/><br/>
          </td>
        </tr>
        <tr>
          <td width="530" height="10" colspan="4" class="clCouleur2" >
         
            <xsl:value-of select="($dictionnaire/mot[@id='SUITERB'])"></xsl:value-of>
          </td>
          <td width="105" height="1" align="right" valign="middle">
            <a href="#nullepart" onClick="requestBDFInfos('40','','1','{EJ/IDENTS}',cstSimpleConfirm);">
              <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
            </a>
          </td>
        </tr>
      </xsl:if>
    </xsl:if>
  </xsl:template>



  <!--**************************************** PARTIE GRAPHIQUES ********************************************-->
  <xsl:template name="genGraphOR">
    <xsl:if test="$condGraph">

      <form action="Graphes.aspx" method="post" name="FormGraphes" target="_blank">
        <input name="familyNumber" type="hidden" value="1"/>
        <input name="moduleNumber" type="hidden" value="{/FIBEN/@MODDEM}"/>
        <xsl:element name="input">
          <xsl:attribute name="name">GrapheData</xsl:attribute>
          <xsl:attribute name="type">hidden</xsl:attribute>

          <xsl:attribute name="value">
            &lt;FIBEN MODDEM=&quot;<xsl:value-of select="FIBEN/@MODDEM"/>&quot; DATJOUR=&quot;<xsl:call-template name ="displayDateForGraph2">
              <xsl:with-param name ="InputDateForGraph" select ="FIBEN/@DATJOUR"/>
            </xsl:call-template> &quot; GRAPHE=&quot;
            <xsl:choose>
              <xsl:when test="FIBEN/PERSONNE/MODULEOR/DIFFOR/ICB01">13</xsl:when>
              <xsl:otherwise>1</xsl:otherwise>
            </xsl:choose>&quot;&gt;&lt;ident&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOR/PM/EJ/IDENTS|FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTS|FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTC"/>&lt;/ident&gt;

            <xsl:if test="FIBEN/PERSONNE/MODULEOR/PM/EJ">
              &lt;nom&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOR/PM/EJ/DENOM"/>&lt;/nom&gt;
            </xsl:if>
            <xsl:if test="FIBEN/PERSONNE/MODULEOR/PM/EI">
              &lt;nom&gt;<xsl:call-template name ="displayInLowerCaseXsl">
                <xsl:with-param name ="InputStringNom" select ="(FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTITE/NOM)"/>
                <xsl:with-param name ="InputStringPrenom" select ="(FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTITE/PRENOM)"/>
              </xsl:call-template>&lt;/nom&gt;
              &lt;nomconj&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTITE/NOMCONJ"/>&lt;/nomconj&gt;
              <xsl:if test="FIBEN/PERSONNE/MODULEOR/PM/EI/IDENTC">
                &lt;idrenv&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOR/PM/EI/IDRENV"/>&lt;/idrenv&gt;
              </xsl:if>
            </xsl:if>
            <xsl:if test="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB" >
              &lt;graphe&gt;
              <xsl:if test="$condGraph1">
                &lt;serie&gt;
                <xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCODCCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCCCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTAFCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTACCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels  court terme&lt;/titre&gt;&lt;signet&gt;Court terme individuel &lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph2">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels  moyen et long terme&lt;/titre&gt;&lt;signet&gt;Moyen et long terme individuel&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph3">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCBI"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCBM"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Crdits-bails&lt;/titre&gt;&lt;signet&gt;Crdits-bails individuels&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph4">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCBCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:call-template name="doubleFlux">
                    <xsl:with-param name = "fMTCBM" >
                      <xsl:value-of select="MTCBM"/>
                    </xsl:with-param>
                    <xsl:with-param name = "fMTCBI" >
                      <xsl:value-of select="MTCBI"/>
                    </xsl:with-param>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTTITR"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Crdits mobiliss(Total VI)&lt;/titre&gt;&lt;signet&gt;Total VI individuel&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph5">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTCD"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Crdits mobilisables(Total VII)&lt;/titre&gt;&lt;signet&gt;Crdits mobilisables individuels&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph6">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB">
                  &lt;val&gt;<xsl:value-of select="MTAC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCB/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Concours individuels : Engagements de garantie&lt;/titre&gt;&lt;signet&gt;Engagements de garantie individuels&lt;/signet&gt;&lt;/graphe&gt;
            </xsl:if>
            <xsl:if test="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
              &lt;graphe&gt;
              <xsl:if test="$condGraph7">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCODCCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCCCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTAFCT"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTACCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits  court terme&lt;/titre&gt;&lt;signet&gt;Court terme collectif&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph8">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits  moyen et long terme&lt;/titre&gt;&lt;signet&gt;Moyen et long terme collectif&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph9">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCBI"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCBM"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits-bails&lt;/titre&gt;&lt;signet&gt;Crdits-bails collectifs&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph10">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCBCT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCMLT"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:call-template name="doubleFlux">
                    <xsl:with-param name = "fMTCBM" >
                      <xsl:value-of select="MTCBM"/>
                    </xsl:with-param>
                    <xsl:with-param name = "fMTCBI" >
                      <xsl:value-of select="MTCBI"/>
                    </xsl:with-param>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTTITR"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits mobiliss(Total VI)&lt;/titre&gt;&lt;signet&gt;Total VI collectif&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph11">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTCD"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Crdits mobilisables(Total VII)&lt;/titre&gt;&lt;signet&gt;Crdits mobilisables collectifs&lt;/signet&gt;&lt;/graphe&gt;
              &lt;graphe&gt;
              <xsl:if test="$condGraph12">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC">
                  &lt;val&gt;<xsl:value-of select="MTAC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;
                &lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/RISQUESOR/CUMULCBC/@MOISREF">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(.)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;
              </xsl:if>
              &lt;titre&gt;Participations en compte collectif : Engagements de garantie&lt;/titre&gt;&lt;signet&gt;Engagements de garantie collectifs&lt;/signet&gt;&lt;/graphe&gt;
            </xsl:if>
            <!-- ***************** Graphiques lis aux incidents de paiements ******************************************** -->
            <xsl:if test="FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME">
              &lt;graphe&gt;
              <xsl:if test="$condGraph13">
                &lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM">
                  &lt;val&gt;<xsl:value-of select="MTIP"/>&lt;/val&gt;
                </xsl:for-each>
                &lt;/serie&gt;&lt;serie&gt;
                <xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM">
                  &lt;val&gt;<xsl:value-of select="MTIP"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;&lt;serie&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM">
                  &lt;val&gt;<xsl:value-of select="MTCC"/>&lt;/val&gt;
                </xsl:for-each>&lt;/serie&gt;&lt;abcisse&gt;<xsl:for-each select="FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/SITRESM">
                  &lt;val&gt;<xsl:call-template name ="displayDateXsl">
                    <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
                  </xsl:call-template>&lt;/val&gt;
                </xsl:for-each>&lt;/abcisse&gt;&lt;titre&gt;Incidents de paiement effets au cours des 15 derniers mois (en
                <xsl:call-template name ="displayUnitXsl">
                  <xsl:with-param name ="InputUnit" select ="(FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/@UNITE)"/>
                </xsl:call-template>
                euros)&lt;/titre&gt;&lt;signet&gt;Situation rsume&lt;/signet&gt;&lt;unite&gt;<xsl:value-of select="FIBEN/PERSONNE/MODULEOR/DIFFOR/IPEOR/IPERESUME/@UNITE"/>&lt;/unite&gt;
              </xsl:if>
              &lt;/graphe&gt;
            </xsl:if>
            &lt;/FIBEN&gt;
          </xsl:attribute>
        </xsl:element>
      </form>
    </xsl:if>
  </xsl:template>

  <xsl:template match="text()"/>

</xsl:stylesheet>
