﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/Commun_SAS.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="langage" select="'Fr'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>
  <xsl:param name="id"/>

  <!--TEMPLATE PRINCIPAL-->
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <xsl:call-template name="genHeadSASplus">
      </xsl:call-template>
      
      <body bgcolor="#ffffff"  onload="Tst_Conditions_InitialesSAS_GS();initModules(0);remplirMoisFin(0);remplirAnneeFin(15); " >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
          <xsl:with-param name="type" select="'suivi'" />
        </xsl:call-template>
        <!-- Affichage des menus: EVOL 2016 -->
        <xsl:copy-of select="$menuHTML1"/>
        
        <table class="mainmodule horizontal-auto HomeData" border="0" cellspacing="0" cellpadding="0">
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">
            <tr>
              <td width="20"></td>
              <td width="636" colspan="2">
                <form method="Post" name="frmForm1">
                  <input type="hidden" name="ident" value=""/>
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td>
                        <!-- Affichage du bandeau titre: -->
                        <xsl:call-template name="BandeauInfSuivi" >
                          <xsl:with-param name="Titre" select="$dictionnaire/titre[@module=$moddem]"/>
                          <xsl:with-param name="root" select="$root" />
                        </xsl:call-template>
                        &#160;
                      </td>
                    </tr>
                  </table>
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="300" class="clTitre2">Veuillez saisir 5 identifiants maximun</td>
                      <td width="234" class="clTitre2" align="center">Date de fin</td>
                      <td width="234" class="clTitre2" align="center">Module ou package</td>
                    </tr>
                  </table>
                  <br/>
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="10">&#160;</td>
                      <td width="300">&#160;</td>
                      <td id="sgn_moisfin" class="clErreur" style="visibility:hidden;font-size:14pt" >&gt;</td>
                      <td width="225" align="center">
                        <select id="lst_MoisFinSuivi"  size="1" class="clChamp" onchange="">
                          <option value="0">...</option>
                          <option value="1">01</option>
                          <option value="2">02</option>
                          <option value="3">03</option>
                          <option value="4">04</option>
                          <option value="5">05</option>
                          <option value="6">06</option>
                          <option value="7">07</option>
                          <option value="8">08</option>
                          <option value="9">09</option>
                          <option value="10">10</option>
                          <option value="11">11</option>
                          <option value="12">12</option>
                        </select>
                        &#160;
                        <select id="lst_AnneeFinSuivi"  size="1" class="clChamp" onchange="">
                          <option value="0">...</option>
                          <option value="1">2011</option>
                          <option value="2">2012</option>
                          <option value="3">2013</option>
                        </select>
                      </td>
                      <td id="sgn_anneefin" class="clErreur" style="visibility:hidden;font-size:14pt" >&lt;</td>
                      <td width="225" align="center">
                        <select id="lst_MMPK"  size="1" class="clChamp" onchange="">
                          <option value="0">...</option>
                          <option value="1">AB</option>
                          <option value="2">AC</option>
                          <option value="3">AD</option>
                          <option value="4">AE</option>
                        </select>
                      </td>
                      <td id="sgn_module" class="clErreur" style="visibility:hidden;font-size:14pt" >&lt;</td>
                    </tr>
                  </table>
                  <br/>
                  <table border="0">
                    <tr>
                      <td width="10">&#160;</td>
                      <td width="125" class="clTitre2" align="center">Identifiant</td>
                      <td width="120"></td>
                      <td width="150" class="clTitre2" align="center">Référence</td>
                      <td width="373">&#160;</td>
                    </tr>
                  </table>
                  <br/>

                  <table border="0">

                    <tr>
                      <td>
                        <!--placement des champs des identifiants-->
                        <xsl:call-template name="PlaceChampsIdentifiantSuivi">
                          <xsl:with-param name="debut" select="1" />
                          <xsl:with-param name="fin" select="5" />
                        </xsl:call-template>
                      </td>
                      <td width="80"></td>
                      <!--placement des champs références-->
                      <td>
                        <xsl:call-template name="PlaceChampsReferenceSuivi">
                          <xsl:with-param name="debut" select="1" />
                          <xsl:with-param name="fin" select="5" />
                        </xsl:call-template>
                      </td>
                    </tr>
                  </table>
                </form>
              </td>
            </tr>
                        
          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template name="PlaceChampsIdentifiantSuivi">
    <xsl:param name="debut"/>
    <xsl:param name="fin" />
    <table border="0">
      <tr>
        <td id="sgn_ident{$debut}" class="clErreur" style="visibility:hidden;font-size:14pt" >&gt;</td>
        <td  class="clTitre2"  >
          <xsl:if test ="$debut=1">
            <input type="text"   name="txt_ident{$debut}"  id="txt_ident{$debut}" style="visibility:hidden" size="" value="{$id}" maxlength="13"  />
            &#160;&#160;&#160;
          </xsl:if>
          <xsl:if test ="$debut>1">
            <input type="text"   name="txt_ident{$debut}"  id="txt_ident{$debut}" style="visibility:hidden" size="" value="" maxlength="13"  />
            &#160;&#160;&#160;
          </xsl:if>
        </td>
      </tr>
      <tr>
        <td class="clTitre2" colspan="2" height="10"></td>
      </tr>
    </table>

    <!--si on n'a pas fini la boucle on continue-->
    <xsl:if test="$debut &lt; $fin">
      <xsl:call-template name="PlaceChampsIdentifiantSuivi">
        <xsl:with-param name="debut" select="($debut)+1" />
        <xsl:with-param name="fin" select="$fin" />
      </xsl:call-template>
    </xsl:if>


  </xsl:template>

  <xsl:template name="PlaceChampsReferenceSuivi">
    <xsl:param name="debut"/>
    <xsl:param name="fin" />
    <table border="0">
      <tr>
        <td id="sgn_identRef{$debut}" class="clErreur" style="visibility:hidden;font-size:14pt" >&gt;</td>
        <td  class="clTitre2"  >
          <xsl:if test ="$debut=1">
            <input type="text"   name="txt_ref{$debut}"  id="txt_ref{$debut}" style="visibility:hidden" size="" value="{$id}" maxlength="15"  />
            &#160;&#160;&#160;
          </xsl:if>
          <xsl:if test ="$debut>1">
            <input type="text"   name="txt_ref{$debut}" id="txt_ref{$debut}"  style="visibility:hidden" size="" value="" maxlength="15"  />
            &#160;&#160;&#160;
          </xsl:if>
        </td>
      </tr>
      <tr>
        <td class="clTitre2" colspan="2" height="10"></td>
      </tr>
    </table>

    <!--si on n'a pas fini la boucle on continue-->
    <xsl:if test="$debut &lt; $fin">
      <xsl:call-template name="PlaceChampsReferenceSuivi">
        <xsl:with-param name="debut" select="($debut)+1" />
        <xsl:with-param name="fin" select="$fin" />
      </xsl:call-template>
    </xsl:if>


  </xsl:template>

</xsl:stylesheet>

