<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/Commun_SAS.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>

  <!--TEMPLATE PRINCIPAL-->
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org" />
        <title>fiben</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- Ajouts des fichiers .js: -->
        <xsl:call-template name="insertClientScripts" />

        <!-- Ajouts des CSS : -->
        <xsl:call-template name="AjoutCssSAS" />

        <!-- Ajout des messages d'erreur: -->
        <xsl:call-template name="AjoutDico" >
          <xsl:with-param name="Lang" select="$Lang" />
        </xsl:call-template>
        <script language="javascript">
          var sBDFId = '';
        </script>
        <!-- Rcupration des dates de fin dans un tableau pour rafficher la date de fin -->
        <!-- lors d'une annulation de modification de date de fin  -->
        <script language="javascript" type="text/javascript" >
          var lst_datefin = new Array();
          var lst_zoneref = new Array();
          <!-- modle : 
                      lst_datefin = new Array();                     
                      lst_datefin [1] = "datefin1";
                      lst_datefin [2] = "datefin2";
        -->
          <xsl:for-each select="FIBEN/SERVICESAS/MODULES2/SUIVI">
            <xsl:variable name ="DateSui" select ="DATEFINSUIVI"/>
            <xsl:variable name ="ZoneRef" select ="REFERENCE"/>
            
            lst_datefin [<xsl:number value="position()" format ="1"/>]="<xsl:value-of select="concat(substring($DateSui,1,2),'/',substring($DateSui,3,4))"/>";
            lst_zoneref [<xsl:number value="position()" format ="1"/>]="<xsl:value-of select="$ZoneRef"/>";
          </xsl:for-each>
        </script>

      </head>
      <body bgcolor="#ffffff"  >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
          <xsl:with-param name="type" select="'suivi'" />
        </xsl:call-template>
        <!-- Affichage des menus: EVOL 2016 -->
        <xsl:copy-of select="$menuHTML1"/>
        
        <table class="mainmodule horizontal-auto HomeData" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="20"></td>
            <td width="636" colspan="2">
              <form method="Post" name="frmForm1">
                <input type="hidden" name="ident" value=""/>
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td>
                      <!-- Affichage du bandeau titre: -->
                      <xsl:call-template name="BandeauInfSuivi" >
                        <xsl:with-param name="Titre" select="$dictionnaire/titre[@module=$moddem]" />
                        <xsl:with-param name="root" select="$root" />
                      </xsl:call-template>
                      &#160;
                    </td>
                  </tr>
                </table>
                <!-- si pas de suivi afficher un message d'info-->
                <xsl:choose>
                  <xsl:when test ="FIBEN/SERVICESAS/CLIENTSAS/NBSAS = 0">
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="7"></td>
                        <td width="768" align="left" class="clGras">Vous n'avez actuellement aucun suivi en cours</td>
                      </tr>
                    </table>
                  </xsl:when>
                  <xsl:otherwise>
                    
                    <!-- tableau pour choix du tri-->
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="9"> </td>
                        <td width="321" border="0" class="clGras">
                          Triez vos suivis par :
                        </td>
                        <td width="194" align="left">

                          <select id="lst_Trie"  size="1" class="clChamp" onchange="ChangeTriListeSuivis(this);">
                            <xsl:variable name="tri" select="//TRI"/>
                            <xsl:choose>
                              <xsl:when test="$tri='ID'">
                                <option selected="true" value="ID">Identifiant</option>
                                <option value="TY">Type de suivi</option>
                                <option value="RF">Référence</option>
                                <option  value="DA">Date de fin</option>
                              </xsl:when>
                              <xsl:when test="$tri='TY'">
                                <option value="ID">Identifiant</option>
                                <option selected="true" value="TY">Type de suivi</option>
                                <option value="RF">Référence</option>
                                <option value="DA">Date de fin</option>
                              </xsl:when>
                              <xsl:when test="$tri='RF'">
                                <option value="ID">Identifiant</option>
                                <option value="TY">Type de suivi</option>
                                <option selected="true" value="RF">Référence</option>
                                <option value="DA">Date de fin</option>
                              </xsl:when>
                              <xsl:when test="$tri='DA'">
                                <option value="ID">Identifiant</option>
                                <option value="TY">Type de suivi</option>
                                <option value="RF">Référence</option>
                                <option selected="true" value="DA">Date de fin</option>
                              </xsl:when>
                              <xsl:otherwise>
                                <option selected="true" value="ID">Identifiant</option>
                                <option value="TY">Type de suivi</option>
                                <option value="RF">Référence</option>
                                <option  value="DA">Date de fin</option>
                              </xsl:otherwise>
                            </xsl:choose>
                          </select>
                        </td>
                        <!-- image pour téléchargement au format Excel-->
                        <td width="200" align="right" class="clTitre2">Télécharger au format Excel</td>
                        <td width="5">&#160;</td>
                        <td width="49" align="right">
                          <a href="#nullepart" onclick="requestStatic('',cstExportSuiviS2,'')">
                            <img src="{$root}Images/Boutons/Excel.jpg" border="0"/>
                          </a>
                        </td>
                      </tr>
                    </table>
                    <br/>

                    <!-- tableau des suivis -->
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="7"></td>
                        <td width="100" align="left" class="clTitreOrange clGras">Identifiant</td>
                        <td width="253" align="left" class="clTitreOrange clGras">Dénomination / Nom</td>
                        <td width="162" align="left" class="clTitreOrange clGras">Référence</td>
                        <td width="40" align="left" class="clTitreOrange clGras">Suivi</td>
                        <td width="76" align="center" class="clTitreOrange clGras">Date de fin</td>
                        <td width="63" align="center" class="clTitreOrange clGras">Modifier</td>
                        <td width="63" align="center" class="clTitreOrange clGras">Supprimer</td>
                        <td width="16"></td>
                      </tr>
                    </table>
                    <img src="{$root}images/risque/shim.gif" width="768" height="1"/>
                    <br/>
                    <br/>
                    <div  id="Lst_Suivis" class="clLst_Alertes" >
                      <br/>
                      <!-- ajout de l'ensemble des lignes avec les donnes-->
                   
                      <!-- tester présence balise SUIVI avant appel <xsl:call-template name="LigneSuivis"> -->
                      <!-- ajout de l'ensemble des lignes avec les donnes-->
                      <xsl:if test="count(//SUIVI) != 0">

                        <xsl:call-template name ="LigneDonne">
                          <xsl:with-param name ="donnees" select ="//SUIVI[1]"></xsl:with-param>
                          <xsl:with-param name ="pos" select ="1"></xsl:with-param>
                        </xsl:call-template>

                        <!-- traitement du reste des mouvements-->
                        <xsl:if test="count(//SUIVI) &gt; 1">
                          <xsl:call-template name="LigneSuivis">
                            <xsl:with-param name="debut" select="2" />
                            <xsl:with-param name="fin" select="count(//SUIVI)" />
                          </xsl:call-template>
                        </xsl:if>

                      </xsl:if>
                    </div>                   
                    <br/>
                    <img src="{$root}images/risque/shim.gif" width="768" height="1"/>
                    <br/>

                  </xsl:otherwise>
                </xsl:choose>

              </form>
            </td>
          </tr>
         
        </table>
        <xsl:call-template name="genBasPage"/>
        <table width="50" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <input type="text" size="5"   readonly="true" name="DateFinSuivi0" value="12/9999" maxlength="7" style="visibility:hidden" />
          </tr>
          <tr>
            <input type="text" size="5"   readonly="true" name="Reference0" value=" " maxlength="15" style="visibility:hidden" />
          </tr>
        </table>

      </body>
    </html>
  </xsl:template>


  <xsl:template name="LigneSuivis">
    <xsl:param name="debut" />
    <xsl:param name="fin"  />


    <!-- cas des donnes tries par date -->
    <xsl:if test ="(//TRI) = 'DA'">
      <xsl:variable name ="DateCourant"  select ="//SUIVI[$debut]/DATEFINSUIVI/text()"/>
      <xsl:variable name ="Positiondateprecedente" select ="$debut - 1"/>
      <xsl:variable name ="dateprecedente" select ="//SUIVI[$Positiondateprecedente]/DATEFINSUIVI/text()"/>
      <xsl:if test="$dateprecedente[1]!=$DateCourant[1]">
        <!--<br/>-->
        <xsl:call-template name ="Ligneshim"></xsl:call-template>
      </xsl:if>
    </xsl:if>
    <!-- cas des donnes tries par TYPE DE SUIVI -->
    <xsl:if test ="(//TRI) = 'TY'">
      <xsl:variable name ="TypeSuiviCourant"  select ="//SUIVI[$debut]/TYPESUIVI/text()"/>
      <xsl:variable name ="Positiontypesuiviprecedent" select ="$debut - 1"/>
      <xsl:variable name ="TypeSuiviprecedent" select ="//SUIVI[$Positiontypesuiviprecedent]/TYPESUIVI/text()"/>
      <xsl:if test="$TypeSuiviprecedent[1]!=$TypeSuiviCourant[1]">
        <!--<br/>-->
        <xsl:call-template name ="Ligneshim"></xsl:call-template>

      </xsl:if>
    </xsl:if>

    <!-- Affichage des donnes: -->

    <xsl:call-template name ="LigneDonne">
      <xsl:with-param name ="donnees" select ="//SUIVI[$debut]"></xsl:with-param>
      <xsl:with-param name ="pos" select ="$debut"></xsl:with-param>
    </xsl:call-template>

    <!-- Fin affichage des donnes: -->

    <!-- si on n'a pas fini la boucle on continue -->
    <xsl:if test="$debut &lt; $fin">
      <xsl:call-template name="LigneSuivis">
        <xsl:with-param name="debut" select="($debut)+1" />
        <xsl:with-param name="fin" select="$fin" />
      </xsl:call-template>
    </xsl:if>

  </xsl:template>





  <xsl:template name ="Ligneshim">
    <table width="758" border="0" cellspacing="0" cellpadding="0">
      <tr height="30">
        <td width="9"> </td>
        <td>
          <img src="{$root}images/risque/shim.gif" width="758" height="1"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name="LigneDonne">
    <xsl:param name ="donnees"/>
    <xsl:param name ="pos"/>
    <!--<xsl:for-each select="FIBEN/SERVICESAS/MODULES2/SUIVI">-->
    <xsl:variable name ="DateSui" select ="$donnees/DATEFINSUIVI"/>
    <xsl:variable name ="ZoneRef" select ="$donnees/REFERENCE"/>
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr height="30">
        <td width="5"></td>
        <td id="Identifiant{$pos}" width="100" align="left" class="clTexte">
          <xsl:value-of select="$donnees/IDENT"/>
        </td>
        <td width="240" align="left" class="clTexte">
          <xsl:call-template name ="displayInLowerCaseXsl">
            <xsl:with-param name ="InputStringNom" select ="$donnees/NOM"/>
            <xsl:with-param name ="InputStringPrenom" select ="$donnees/PRENOM"/>
          </xsl:call-template>
        </td>
        <td width="180" align="center" class="clTexte">
          <input type="text" size="18" readonly="true" name="Reference{$pos}" value="{$ZoneRef}" maxlength="15"  Title="Référence au format XXX" onblur="VerifSaisieReference('{$pos}');"/>
         
        </td>
        <td id="TypeSuivi{$pos}" width="42" align="center" class="clTexteGras">
          <input type="text" size="1" readonly="true" name="TypedeSuivi{$pos}"  class="clTexteGrasMM" value="{$donnees/TYPESUIVI}"  Title="{$dictionnaire/titre[@module=($donnees/TYPESUIVI)]}"/>
          <!--<xsl:value-of select="$donnees/TYPESUIVI"/>-->
        </td>
        <td  width="78" align="center" class="clTexte">
          <xsl:choose>
            <xsl:when test ="string-length($DateSui) = 0">
              <input type="text" size="5"   readonly="true" name="DateFinSuivi{$pos}" value="{'N.P'}" maxlength="7"  Title="Date fin suivi au format MM/SSAA" onblur="VerifSaisieDatefin('{$pos}');"/>
            </xsl:when>
            <xsl:otherwise>
              <input type="text" size="5"   readonly="true" name="DateFinSuivi{$pos}" value="{concat(substring($DateSui,1,2),'/',substring($DateSui,3,4))}" maxlength="7"  Title="Date fin suivi au format MM/SSAA" onblur="VerifSaisieDatefin('{$pos}');"/>
            </xsl:otherwise>
          </xsl:choose>
          <!--<input type="text" size="5"   readonly="true" name="DateFinSuivi{$pos}" value="{concat(substring($DateSui,1,2),'/',substring($DateSui,3,4))}" maxlength="7" onkeypress="InfoBulle(this,1);" Title="Date fin suivi au format MM/SSAA"/>-->
        </td>
        <td width="64" align="center" class="clTitre2">
          <input id="chkModif{$pos}" type="checkbox" style="visibility:visible" onclick="GestionCaseACocherSAS_GS('{$pos}', 'M'); "/>
        </td>
        <td width="64" align="center" class="clTitre2">
          <input id="chkSup{$pos}" type="checkbox" style="visibility:visible" onclick="GestionCaseACocherSAS_GS('{$pos}', 'S'); "/>
        </td>
      </tr>
    </table>
    <!--</xsl:for-each>-->
  </xsl:template>



</xsl:stylesheet>





