﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/Commun_SAS.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="langage" select="'Fr'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>  
  <xsl:param name="menuHTML1"/>

  <!--TEMPLATE PRINCIPAL-->
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <xsl:call-template name="genHeadSAS">
      </xsl:call-template>
      <body bgcolor="#ffffff"  >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
          <xsl:with-param name="type" select="'suivi'" />        
        </xsl:call-template>
        <!-- Affichage des menus: EVOL 2016 -->
        <xsl:copy-of select="$menuHTML1"/>
        
        <table class="mainmodule horizontal-auto HomeData" border="0" cellspacing="0" cellpadding="0">
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">
            <tr>
              <td width="20"></td>
              <td width="636" colspan="2">
                <form method="Post" name="frmForm1">
                  <input type="hidden" name="ident" value=""/>
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td>
                        <!-- Affichage du bandeau titre: -->
                        <xsl:call-template name="BandeauInfSuivi" >
                          <xsl:with-param name="Titre" select="$dictionnaire/titre[@module=$moddem]"/>
                          <xsl:with-param name="root" select="$root" />
                        </xsl:call-template>
                        &#160;
                      </td>
                    </tr>
                  </table>
                  <img src="{$root}images/risque/shim.gif" width="768" height="1"/>
                  <br/>
                  <br/>

                  <div  id="Lst_CR_GestionSuivi" class="clLst_Alertes" >

                    <!-- ajout de l'ensemble des lignes avec les données-->
                    <xsl:if test ="//REUSSITES/REUSSITEMODIF">
                      <xsl:call-template name ="ReussiteModif"></xsl:call-template>
                    </xsl:if>
                    <br/>
                    <xsl:if test ="//REUSSITES/REUSSITESUPPR">
                      <xsl:call-template name ="ReussiteSuppr"></xsl:call-template>
                    </xsl:if>
                    <br/>
                    <xsl:if test ="//ECHECS3/ECHECMODIF">
                      <xsl:call-template name ="EchecModif"></xsl:call-template>
                    </xsl:if>
                    <br/>
                    <xsl:if test ="//ECHECS3/ECHECSUPPR">
                      <xsl:call-template name ="EchecSuppr"></xsl:call-template>
                    </xsl:if>
                  </div>
                  <br/>
                  <img src="{$root}images/risque/shim.gif" width="768" height="1"/>
                  <br/>
                  
                </form>
              </td>
            </tr>
            
          </xsl:if>
         </table>
        <xsl:call-template name="genBasPage"/>

      </body>
    </html>
  </xsl:template>


  <xsl:template name="ReussiteModif">
    <!-- tableau pour modification ok-->
    <table width="758" border="0" cellspacing="0" cellpadding="0" class="clFont12">
      <tr>
        <td width="10">&#160;</td>  
        <td  colspan="5" width="748" class="clGras">
          Les opérations de modifications ont été enregistrées :
        </td>        
      </tr>
      <tr height="25">
        <td width="10">&#160;</td>
        <td width="150" class="clTitreOrange "> Identifiants mis sous suivi</td>
        <td width="90" class="clTitreOrange" align="center"> Date de fin</td>
        <td width="55" class="clTitreOrange" align="center"> Suivi </td>
        <td width="453" class="clTitreOrange" align="left"> Référence </td>     
      </tr>
    </table>
      <xsl:for-each select="//REUSSITES/REUSSITEMODIF">
        <table width="758" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="10">&#160;</td>
            <td width="150" class="clTexte">
              <xsl:value-of select="IDENTOK"/>
            </td>
            <td width="90" class="clTexte" align="center">
              <xsl:choose>
                <xsl:when test ="substring(DATEFIN,1,6) = '129999'">
                  <xsl:value-of select="'N.P'"/>
                </xsl:when>
                <xsl:when test ="string-length(DATEFIN) = 0">
                  <xsl:value-of select="'N.P'"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="concat(substring(DATEFIN,1,2),'/',substring(DATEFIN,3,4))"/>
                </xsl:otherwise>
              </xsl:choose>
             
            </td>
            <td width="55" class="clTexte" align="center">
              <xsl:value-of select="TYPESUIVI"/>
            </td>
            <td width="453" class="clTexte">
              <xsl:value-of select="REFERENCE"/>
            </td>
          </tr>
        </table>        
      </xsl:for-each>
      
  </xsl:template>

  <xsl:template name="ReussiteSuppr">
    <!-- tableau pour suppression  ok-->
    <table width="758" border="0" cellspacing="0" cellpadding="0" class="clFont12">
      <tr>
        <td width="10">&#160;</td>
        <td  colspan="5" width="748" class="clGras">
          Les opérations de suppression sont prises en compte à dater :&#160;
          <xsl:call-template name ="displayDateJourXsl">
            <xsl:with-param name ="InputDate" select ="(/FIBEN/@DATJOUR)"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr height="25">
        <td width="10">&#160;</td>
        <td width="150" class="clTitreOrange"> Identifiants mis sous suivi</td>
        <td width="90" class="clTitreOrange" align="center"> Date de fin</td>
        <td width="55" class="clTitreOrange" align="center"> Suivi </td>
        <td width="453" class="clTitreOrange" align="left"> Référence </td>
      </tr>
    </table>
    <xsl:for-each select="//REUSSITES/REUSSITESUPPR">
      <table width="758" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="10">&#160;</td>
          <td width="150" class="clTexte">
            <xsl:value-of select="IDENTOK"/>
          </td>
          <td width="90" class="clTexte" align="center">
            <xsl:choose>
              <xsl:when test ="substring(DATEFIN,1,6) = '129999'">
                <xsl:value-of select="'N.P'"/>
              </xsl:when>
              <xsl:when test ="string-length(DATEFIN) = 0">
                <xsl:value-of select="'N.P'"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="concat(substring(DATEFIN,1,2),'/',substring(DATEFIN,3,4))"/>
              </xsl:otherwise>
            </xsl:choose>
          </td>
          <td width="55" class="clTexte" align="center">
            <xsl:value-of select="TYPESUIVI"/>
          </td>
          <td width="453" class="clTexte">
            <xsl:value-of select="REFERENCE"/>
          </td>
        </tr>
      </table>
    </xsl:for-each>

  </xsl:template>

  <xsl:template name="EchecModif">
    <!-- tableau pour modification KO-->
    <table width="758" border="0" cellspacing="0" cellpadding="0" class="clFont12">
      <tr>
        <td width="10">&#160;</td>
        <td  colspan="5" width="748" class="clGras">
          Les opérations de modification n'ont pas été enregistrées :
        </td>
      </tr>
      <tr height="25">
        <td width="10">&#160;</td>
        <td width="150" class="clTitreOrange"> Identifiants mis sous suivi</td>
        <td width="90" class="clTitreOrange" align="center"> Date de fin</td>
        <td width="55" class="clTitreOrange" align="center"> Suivi </td>
        <td width="130" class="clTitreOrange" align="left"> Référence</td>
        <td width="323" class="clTitreOrange" align="left"> Motif du rejet</td>


      </tr>
    </table>
    <xsl:for-each select="//ECHECS3/ECHECMODIF">
      <table width="758" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="10">&#160;</td>
          <td width="150" class="clTexte" valign="top">
            <xsl:value-of select="IDENTKO"/>
          </td>
          <td width="90" class="clTexte" align="center" valign="top">
            <xsl:choose>
              <xsl:when test ="substring(DATEFIN,1,6) = '129999'">
                <xsl:value-of select="'N.P'"/>
              </xsl:when>
              <xsl:when test ="string-length(DATEFIN) = 0">
                <xsl:value-of select="'N.P'"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="concat(substring(DATEFIN,1,2),'/',substring(DATEFIN,3,4))"/>
              </xsl:otherwise>
            </xsl:choose>
          </td>
          <td width="55" class="clTexte" align="center" valign="top">
            <xsl:value-of select="TYPESUIVI"/>
          </td>
          <td width="130" class="clTexte" align="left" valign="top">
            <xsl:value-of select="REFERENCE"/>
          </td>
          <td width="323" class="clTexte">
            &#160;<xsl:call-template name="traduction">
              <xsl:with-param name="code" select="//MOTIF"/>
            </xsl:call-template>           
          </td>
        </tr>
      </table>
    </xsl:for-each>

  </xsl:template>

  <xsl:template name="EchecSuppr">
    <!-- tableau pour SUPPRESSION KO-->
    <table width="758" border="0" cellspacing="0" cellpadding="0" class="clFont12">
      <tr>
        <td width="10">&#160;</td>
        <td  colspan="5" width="748" class="clGras">
          Les opérations de suppression n'ont pas été enregistrées :
        </td>
      </tr>
      <tr height="25" >
        <td width="10">&#160;</td>
        <td width="150" class="clTitreOrange"> Identifiants mis sous suivi</td>
        <td width="90" class="clTitreOrange" align="center"> Date de fin</td>
        <td width="55" class="clTitreOrange" align="center"> Suivi </td>
        <td width="130" class="clTitreOrange"> Référence</td>
        <td width="323" class="clTitreOrange"> Motif du rejet</td>
      </tr>
    </table>
    <xsl:for-each select="//ECHECS3/ECHECSUPPR">
      <table width="758" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="10">&#160;</td>
          <td width="150" class="clTexte" valign="top">
            <xsl:value-of select="IDENTKO"/>
          </td>
          <td width="90" class="clTexte" align="center" valign="top">
            <xsl:choose>
              <xsl:when test ="substring(DATEFIN,1,6) = '129999'">
                <xsl:value-of select="'N.P'"/>
              </xsl:when>
              <xsl:when test ="string-length(DATEFIN) = 0">
                <xsl:value-of select="'N.P'"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="concat(substring(DATEFIN,1,2),'/',substring(DATEFIN,3,4))"/>
              </xsl:otherwise>
            </xsl:choose>
          </td>
          <td width="55" class="clTexte" align="center" valign="top">
            <xsl:value-of select="TYPESUIVI"/>
          </td>
          <td width="130" class="clTexte" align="left" valign="top">
            <xsl:value-of select="REFERENCE"/>
          </td>
          <td width="323" class="clTexte">                     
            <xsl:call-template name="traduction">
              <xsl:with-param name="code" select="//MOTIF"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
    </xsl:for-each>

  </xsl:template>

 
</xsl:stylesheet>
