<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>


  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | FIBEN/PERSONNE/MODULEVB/EJ/IDENTS"/>
      </xsl:call-template>
      <body  bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        
        <table class="mainmodule horizontal-auto"  border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel" />
          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">
            <tr>
              <td width="14"></td>
              <td width="739" colspan="4" class="clCouleur2" valign="top">
                <xsl:call-template name="genEnTete">
                  <xsl:with-param name="ident" select="FIBEN/PERSONNE/MODULEVB/EJ/IDENTS"/>
                  <xsl:with-param name="nom" select="FIBEN/PERSONNE/MODULEVB/EJ/DENOM"/>
                </xsl:call-template>
                <xsl:apply-templates select="FIBEN/PERSONNE/MODULEVB/IST17" mode="genLib"/>

                <!-- ********* Appel du template de fabrication du Tableau ********* -->

                <xsl:if test="not(FIBEN/PERSONNE/MODULEVB/IST17)">
                  <xsl:call-template name ="genVB"/>
                  <!-- tous modules sauf 66 et 67-->
                  <xsl:if test ="/FIBEN/PERSONNE/MODULEVB/MODULE/DONMOD[../NUMMOD!=66 and ../NUMMOD!=67]">
                    <xsl:call-template name ="genVBtitre">
                      <xsl:with-param name ="titre" select ="'Donnes comptables sur base sociale'"/>
                    </xsl:call-template>
                    <xsl:call-template name="RechDateTableauVB">
                      <xsl:with-param name ="max" select ="count(//DONMOD[../NUMMOD!=66 and ../NUMMOD!=67])"/>
                      <xsl:with-param name ="listeDateTest" select ="/FIBEN/PERSONNE/MODULEVB/MODULE/DONMOD[../NUMMOD!=66 and ../NUMMOD!=67]/@DATCLOT"/>
                      <xsl:with-param name ="listeDureeTest" select="/FIBEN/PERSONNE/MODULEVB/MODULE/DONMOD[../NUMMOD!=66 and ../NUMMOD!=67]/@DUREEEX"/>
                      <xsl:with-param name="dateClot1" select="'129999'"/>
                      <xsl:with-param name="dateClot2" select="'128888'"/>
                      <xsl:with-param name="dateClot3" select="'127777'"/>
                      <xsl:with-param name="dateDuree1" select="'99'"/>
                      <xsl:with-param name="dateDuree2" select="'88'"/>
                      <xsl:with-param name="dateDuree3" select="'77'"/>
                      <xsl:with-param name ="n" select ="1"/>
                      <xsl:with-param name ="TypeTableau" select ="'Social'"/>
                    </xsl:call-template>
                  </xsl:if>
                  <!-- uniquement modules 66 et 67-->
                  <xsl:if test ="/FIBEN/PERSONNE/MODULEVB/MODULE/DONMOD[../NUMMOD=66 or ../NUMMOD=67]">
                    <xsl:call-template name ="genVBtitre">
                      <xsl:with-param name ="titre" select ="'Donnes comptables sur base consolide'"/>
                    </xsl:call-template>
                    <xsl:call-template name="RechDateTableauVB">
                      <xsl:with-param name ="max" select ="count(//DONMOD[../NUMMOD=66 or ../NUMMOD=67])"/>
                      <xsl:with-param name ="listeDateTest" select ="/FIBEN/PERSONNE/MODULEVB/MODULE/DONMOD[../NUMMOD=66 or ../NUMMOD=67]/@DATCLOT"/>
                      <xsl:with-param name ="listeDureeTest" select="/FIBEN/PERSONNE/MODULEVB/MODULE/DONMOD[../NUMMOD=66 or ../NUMMOD=67]/@DUREEEX"/>
                      <xsl:with-param name="dateClot1" select="'129999'"/>
                      <xsl:with-param name="dateClot2" select="'128888'"/>
                      <xsl:with-param name="dateClot3" select="'127777'"/>
                      <xsl:with-param name="dateDuree1" select="'99'"/>
                      <xsl:with-param name="dateDuree2" select="'88'"/>
                      <xsl:with-param name="dateDuree3" select="'77'"/>
                      <xsl:with-param name ="n" select ="1"/>
                      <xsl:with-param name ="TypeTableau" select ="'Conso'"/>
                    </xsl:call-template>
                  </xsl:if>
                </xsl:if>
                <xsl:call-template name="shim"/>
              </td>
            </tr>
            <tr>
              <td width="442" colspan="4" align="right"></td>
              <xsl:if test="not(//IST17)">
                  <a href="#ancHaut" >
                    <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" />
                  </a>
              </xsl:if>
            </tr>
            
          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
      </body>
    </html>
  </xsl:template>

  <!--************************************* Partie Tableau Vitrine Bilan ********************************************************************-->

  <xsl:template name ="RechDateTableauVB">
    <xsl:param name ="n"/>
    <xsl:param name ="max"/>
    <xsl:param name ="listeDateTest"/>
    <xsl:param name ="listeDureeTest"/>
    <xsl:param name ="dateTest"/>
    <xsl:param name ="dateClot1"/>
    <xsl:param name ="dateClot2"/>
    <xsl:param name ="dateClot3"/>
    <xsl:param name ="dateDuree1"/>
    <xsl:param name ="dateDuree2"/>
    <xsl:param name ="dateDuree3"/>
    <xsl:param name ="TypeTableau"/>

    <xsl:if test ="$n &gt; $max">
      <!-- fin du test -->
      <xsl:call-template name ="ChoixTableauVB">
        <xsl:with-param name="dateClot1" select="$dateClot1"/>
        <xsl:with-param name="dateClot2" select="$dateClot2"/>
        <xsl:with-param name="dateClot3" select="$dateClot3"/>
        <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
        <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
        <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
        <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test ="$n &lt;= $max">
      <!-- test -->
      <xsl:choose>
        <xsl:when test ="($dateClot1 = '129999') and ($dateClot1 != $listeDateTest[position()=$n])">

          <xsl:call-template name ="RechDateTableauVB">
            <xsl:with-param name ="n" select ="$n + 1"/>
            <xsl:with-param name ="max" select ="$max"/>
            <xsl:with-param name="dateClot1" select="$listeDateTest[position()=$n]"/>
            <xsl:with-param name="dateClot2" select="$dateClot2"/>
            <xsl:with-param name="dateClot3" select="$dateClot3"/>
            <xsl:with-param name="dateDuree1" select="$listeDureeTest[position()=$n]"/>
            <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
            <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
            <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
            <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
            <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
          </xsl:call-template>
        </xsl:when>

        <!-- ***************** 2eme date cloture ********************* -->

        <xsl:when test ="($dateClot2 = '128888') and ($dateClot1 != $listeDateTest[position()=$n])">

          <xsl:call-template name ="RechDateTableauVB">
            <xsl:with-param name ="n" select ="$n + 1"/>
            <xsl:with-param name ="max" select ="$max"/>
            <xsl:with-param name="dateClot1" select="$dateClot1"/>
            <xsl:with-param name="dateClot2" select="$listeDateTest[position()=$n]"/>
            <xsl:with-param name="dateClot3" select="$dateClot3"/>
            <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
            <xsl:with-param name="dateDuree2" select="$listeDureeTest[position()=$n]"/>
            <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
            <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
            <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
            <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
          </xsl:call-template>
        </xsl:when>

        <!-- ***************** 3eme date cloture ********************* -->

        <xsl:when test ="($dateClot3 = '127777') and (($dateClot1 != $listeDateTest[position()=$n]) and ($dateClot2 != $listeDateTest[position()=$n]))">

          <xsl:call-template name ="RechDateTableauVB">
            <xsl:with-param name ="n" select ="$n + 1"/>
            <xsl:with-param name ="max" select ="$max"/>
            <xsl:with-param name="dateClot1" select="$dateClot1"/>
            <xsl:with-param name="dateClot2" select="$dateClot2"/>
            <xsl:with-param name="dateClot3" select="$listeDateTest[position()=$n]"/>
            <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
            <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
            <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
            <xsl:with-param name="dateDuree3" select="$listeDureeTest[position()=$n]"/>
            <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
            <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
          </xsl:call-template>
        </xsl:when>

        <xsl:otherwise>
          <!-- **************************** boucle de retour ***************************** -->
          <xsl:if test ="$n &lt;= $max ">
            <xsl:call-template name ="RechDateTableauVB">
              <xsl:with-param name ="n" select ="$n + 1"/>
              <xsl:with-param name ="max" select ="$max"/>
              <xsl:with-param name="dateClot1" select="$dateClot1"/>
              <xsl:with-param name="dateClot2" select="$dateClot2"/>
              <xsl:with-param name="dateClot3" select="$dateClot3"/>
              <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
              <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
              <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
              <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
              <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
              <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:otherwise>

      </xsl:choose>
    </xsl:if>

  </xsl:template>

  <xsl:template name ="ChoixTableauVB">
    <xsl:param name ="dateClot1"/>
    <xsl:param name ="dateClot2"/>
    <xsl:param name ="dateClot3"/>
    <xsl:param name ="dateDuree1"/>
    <xsl:param name ="dateDuree2"/>
    <xsl:param name ="dateDuree3"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:choose>
      <xsl:when test ="$dateClot2 = 128888">
        <!-- tableau  1 colonne -->
        <xsl:call-template name ="TableauVb1Col">
          <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
          <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
        </xsl:call-template>
        <xsl:call-template name ="RemplirTableauVb1">
          <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
          <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test ="$dateClot3 != 127777">
            <!-- tableau  3 colonnes -->
            <xsl:choose>
              <xsl:when test ="($dateClot3 &gt; $dateClot2) and ($dateClot2 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree3"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot2 &gt; $dateClot3) and ($dateClot3 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree2"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot2) and ($dateClot3 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree3"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot3) and ($dateClot2 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree2"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot2) and ($dateClot2 &gt; $dateClot3)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree1"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot3) and ($dateClot3 &gt; $dateClot2)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree1"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
            </xsl:choose>


          </xsl:when>
          <xsl:otherwise>
            <!-- tableau  2 colonnes-->

            <xsl:if test ="$dateClot1 &gt; $dateClot2">
              <xsl:call-template name ="TableauVb2Cols">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree2"/>
                <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree1"/>
              </xsl:call-template>
              <xsl:call-template name ="RemplirTableauVb2">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:if test ="$dateClot2 &gt; $dateClot1">
              <xsl:call-template name ="TableauVb2Cols">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
                <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree2"/>
              </xsl:call-template>
              <xsl:call-template name ="RemplirTableauVb2">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>

  </xsl:template>



  <!-- ***************************** TEMPLATE GENVB ************************************ -->

  <xsl:template name ="genVB">
    <table width="738" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center" class="clCouleur2">VITRINE BILANS</td>
      </tr>
      <tr>
        <td>
          <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8"/>
        </td>
      </tr>
      <tr>
        <td width="635" class="clCouleur2">&#160;Veuillez cliquer sur le module de votre choix</td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" />
          </a>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="genVBtitre">
    <xsl:param name ="titre"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" height="10" width="285"></td>
      </tr>
      <tr>
        <td class="clCouleur2" height="10" width="285"></td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" height="10" width="285">
          <xsl:value-of select ="$titre"/>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" height="10" width="285"></td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name ="TableauVb1Col">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateDuree1erCols"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Date de clture</td>
        <td class="clGrasFond" width="350" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot1erCols"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Dure d'exercice</td>
        <td class="clTexte" width="350" align="center">
          <xsl:value-of select ="$DateDuree1erCols"/>&#160;mois
        </td>
      </tr>
      <tr>
        <td colspan="9" class="clCouleur2" height="10"></td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="TableauVb2Cols">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="DateDuree1erCols"/>
    <xsl:param name ="DateDuree2emeCols"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Date de clture</td>
        <td class="clGrasFond" width="175" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot1erCols"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="175" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot2emeCols"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Dure d'exercice</td>
        <td class="clTexte" width="175" align="center">
          <xsl:value-of select ="$DateDuree1erCols"/>&#160;mois
        </td>
        <td class="clTexte" width="175" align="center">
          <xsl:value-of select ="$DateDuree2emeCols"/>&#160;mois
        </td>
      </tr>
      <tr>
        <td colspan="9" class="clCouleur2" height="10"></td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="TableauVb3Cols">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="DateClot3emeCols"/>
    <xsl:param name ="DateDuree1erCols"/>
    <xsl:param name ="DateDuree2emeCols"/>
    <xsl:param name ="DateDuree3emeCols"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Date de clture</td>
        <td class="clGrasFond" width="116" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot1erCols"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="116" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot2emeCols"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="116" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot3emeCols"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Dure d'exercice</td>
        <td class="clTexte" width="116" align="center">
          <xsl:value-of select ="$DateDuree1erCols"/>&#160;mois
        </td>
        <td class="clTexte" width="116" align="center">
          <xsl:value-of select ="$DateDuree2emeCols"/>&#160;mois
        </td>
        <td class="clTexte" width="116" align="center">
          <xsl:value-of select ="$DateDuree3emeCols"/>&#160;mois
        </td>
      </tr>
      <tr>
        <td colspan="9" class="clCouleur2" height="10"></td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="RemplirTableauVb1">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:for-each select ="/FIBEN/PERSONNE/MODULEVB/MODULE">
      <xsl:if test ="$TypeTableau = 'Social'">
        <xsl:if test ="(NUMMOD!=66) and (NUMMOD!=67)">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="$TypeTableau = 'Conso'">
        <xsl:if test ="(NUMMOD=66) or (NUMMOD=67)">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name ="RemplirTableauVb2">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:for-each select ="/FIBEN/PERSONNE/MODULEVB/MODULE">
      <xsl:if test ="$TypeTableau = 'Social'">
        <xsl:if test ="(NUMMOD!=66) and (NUMMOD!=67)">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="$TypeTableau = 'Conso'">
        <xsl:if test ="(NUMMOD=66) or (NUMMOD=67)">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name ="RemplirTableauVb3">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="DateClot3emeCols"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:for-each select ="/FIBEN/PERSONNE/MODULEVB/MODULE">
      <xsl:if test ="$TypeTableau = 'Social'">
        <xsl:if test ="(NUMMOD!=66) and (NUMMOD!=67)">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if >
      <xsl:if test ="$TypeTableau = 'Conso'">
        <xsl:if test ="(NUMMOD=66) or (NUMMOD=67)">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMOD/@DATCLOT"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if >
    </xsl:for-each>
  </xsl:template>

  <!-- ************************************************************************************************************************************** -->

  <xsl:template match="IST17" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
