<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes" />
  <xsl:param name="moddem" select="/FIBEN/@MODDEM"/>
  <xsl:variable name="dictionnaire" select="document('../../Ressources/XML/DicoLibelle.xml')/dictionnaire"/>
  <xsl:variable name="dictionnaireUK" select="document('../../Ressources/XML/DicoLibelleUK.xml')/dictionnaire"/>
  <xsl:variable name="dicoFR" select="document('../../Ressources/XML/DicoFR.xml')/dicoFR"/>
  <xsl:variable name="dicoUK" select="document('../../Ressources/XML/DicoUK.xml')/dicoUK"/>
  <xsl:variable name="Lang" select="''"/>
  <xsl:variable name="codeLib" select="''"/>
  <xsl:variable name="NonResident" select="''"/>

  <xsl:template match="node()[@ISCODE='1']">
    <xsl:variable name="attribute" select="name(.)"/>
    <xsl:if test="$Lang = 'FR'">
      <xsl:value-of select="$dictionnaire/mot[@id=$attribute]"/>
      <xsl:apply-templates select="." mode="displayAfterLibelle"/>
    </xsl:if>
    <xsl:if test="$Lang = ''">
      <xsl:value-of select="$dictionnaire/mot[@id=$attribute]"/>
      <xsl:apply-templates select="." mode="displayAfterLibelle"/>
    </xsl:if>
    <xsl:if test="$Lang = 'UK'" >
      <xsl:value-of select="$dictionnaireUK/mot[@id=$attribute]"/>
      <xsl:apply-templates select="." mode="displayAfterLibelle"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="NBFONCTOT[@ISCODE='1']">
    <xsl:call-template name="traduction">
      <xsl:with-param name="code" select="'NBFONCTOT'"/>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="NBETABTOT[@ISCODE='1']">
    <xsl:call-template name="traduction">
      <xsl:with-param name="code" select="'NBETABTOT'"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="DERNHOMO[@ISCODE='1']">
    <tr>
      <td width="130" class="clCouleur2">
        <xsl:call-template name="traduction">
          <xsl:with-param name="code" select="'DERNHOMO'"/>
        </xsl:call-template>
      </td>
    </tr>

  </xsl:template>

  <xsl:template match="ENTMORT[@ISCODE='1']">
    <xsl:if test="not(../IDNOUV)">
      <br />
    </xsl:if>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <xsl:call-template name="traduction">
            <xsl:with-param name="code" select="'ENTMORT'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>

  <!--template displayAfterLibelle-->

  <xsl:template match="FINSADIR" mode="displayAfterLibelle">
    &#160;<xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(.)"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="U052" mode="displayAfterLibelle">
    &#160;<xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="IT01|IS01" mode="displayAfterLibelle">
    &#160;<xsl:call-template name ="displayDateXsl">
      <xsl:with-param name ="InputDate" select ="(.)"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="CCD2|COD2" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident = 'NR')">
      &#160;<xsl:call-template name ="displayIdentXsl">
        <xsl:with-param name ="InputIdent" select ="(.)"/>
      </xsl:call-template><a href="#nullepart" onclick="requestBDFInfos('56','','{$familyNumber}','',cstSimpleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="CCD1|CCD3|COD1|COD3" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident = 'NR')">
      &#160;<xsl:call-template name ="displayIdentXsl">
        <xsl:with-param name ="InputIdent" select ="(.)"/>
      </xsl:call-template><a href="#nullepart" onclick="requestBDFInfos('51|56|','','{$familyNumber}','',cstMultipleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>


  <xsl:template match="CCS1|COS1" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident = 'NR')">
      &#160;<xsl:call-template name ="displayIdentXsl">
        <xsl:with-param name ="InputIdent" select ="(.)"/>
      </xsl:call-template><a href="#nullepart" onclick="requestBDFInfos('27|45|','','{$familyNumber}','',cstMultipleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="JUGEIND" mode="displayAfterLibelle">
    &#160;
  </xsl:template>

  <xsl:template match="CCB1Ap|CCB1Bp|CCB1Cp|CCB1Dp|CCB1Ep|CCB1Fp|CCR1Ap|CCR1Bp|CCR1Cp|CCR1Dp|CCR1Ep|CCR1Fp" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident='NR')">
      <a href="#nullepart" onclick="requestBDFInfos('VB','','{$familyNumber}','',false,false,this)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" title="Gnrer une Vitrine Bilans" alt="Gnrer une Vitrine Bilans" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="CCE1A|CCE1B" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident='NR')">
      <a href="#nullepart" onclick="requestBDFInfos('52','','{$familyNumber}','',cstSimpleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="CCE2A|CCE2B" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident='NR')">
      <a href="#nullepart" onclick="requestBDFInfos('54','','{$familyNumber}','',cstSimpleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="CCE3|COE3" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident='NR')">
      <a href="#nullepart" onclick="requestBDFInfos('52|54|57|','','{$familyNumber}','',cstMultipleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="MG7|CCI1|CCE8|COI1" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident='NR')">
      <a href="#nullepart" onclick="requestBDFInfos('29','','{$familyNumber}','{//IDENTS|//IDRENV}',cstSimpleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="MGP" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident='NR')">
      <a href="#nullepart" onclick="requestBDFInfos('45','','{$familyNumber}','{//IDENTS|//IDRENV}',cstSimpleConfirm)">
        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="ICB02" mode="displayAfterLibelle">
    <xsl:if test="not($NonResident='NR')">
      <a href="#nullepart" onclick="requestBDFInfos('28','','{$familyNumber}','{.}',cstSimpleConfirm)" class="clCouleur2">
        <u>
          <xsl:value-of select="."/>
        </u>
      </a>
    </xsl:if>
  </xsl:template>

  <xsl:template match="ISTAN" mode="displayAfterLibelle">
    <a href="#nullepart" onclick="requestBDFInfos('DE','','{$familyNumber}','{.}',cstSimpleConfirm)" class="clCouleur2">
      <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" align="absbottom" />
    </a>
  </xsl:template>

  <xsl:template match="IST51|IST53F|IST53G|IST56" mode="displayAfterLibelle">
    <xsl:variable name="numModule" select="substring(name(),4,2)"/>
    <a href="#nullepart" onclick="requestBDFInfos('{$numModule}','','{$familyNumber}','',false,false,this)" class="clCouleur2">
      <u>
        <xsl:value-of select="$numModule"/>
      </u>
    </a>
  </xsl:template>

  <xsl:template name="traduction">
    <xsl:param name="code"/>
    <xsl:if test="not($Lang = 'UK')">
      <xsl:value-of select="$dictionnaire/mot[@id=$code]"/>
    </xsl:if>
    <xsl:if test="$Lang = 'UK'">
      <xsl:variable name="dictionnaire" select="document('../../Ressources/XML/DicoLibelleUK.xml')/dictionnaire"/>
      <xsl:value-of select="$dictionnaire/mot[@id=$code]"/>
    </xsl:if>
  </xsl:template>

  <xsl:template name="traductionTypeSuivi">
    <xsl:param name="codeTypeSuivi"/>
    <xsl:if test="not($Lang = 'UK')">
      <xsl:value-of select="$dictionnaire/titre[@module=$codeTypeSuivi]"/>
    </xsl:if>
    <xsl:if test="$Lang = 'UK'">
      <xsl:variable name="dictionnaire" select="document('../../Ressources/XML/DicoLibelleUK.xml')/dictionnaire"/>
      <xsl:value-of select="$dictionnaire/titre[@module=$codeTypeSuivi]"/>
    </xsl:if>
  </xsl:template>




  <xsl:template name="insertClientScripts">
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/Constantes.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/Date.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/String.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/Identifiant.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/Commun.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/Commun_RALPH.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/Commun_SAS.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/newhome.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
  </xsl:template>

  <!-- *********************************************************************************************************************************************************** -->

  <xsl:template name="genHead">
    <xsl:param name="ident"/>


    <head>
      <xsl:if test="/FIBEN/@GRAPHE">
        <title>
          FIBEN - module <xsl:value-of select="/FIBEN/@MODDEM"/> - <xsl:value-of select="$ident"/> - <xsl:value-of select="/FIBEN/REFINT"/> - graphiques
        </title>
      </xsl:if>
      <xsl:if test="not(/FIBEN/@GRAPHE)">
        <title>
          FIBEN - module <xsl:value-of select="/FIBEN/@MODDEM"/> - <xsl:value-of select="$ident"/> - <xsl:value-of select="/FIBEN/REFINT"/>
        </title>
      </xsl:if>
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <xsl:call-template name="insertClientScripts"/>
      <script language="javascript">
        var sModule = '<xsl:value-of select="FIBEN/@MODDEM"/>';
        var sClientRef = "<xsl:value-of select="FIBEN/REFINT"/>";
        var sBDFId = "<xsl:value-of select="$ident"/>";
        var sFamily = '<xsl:value-of select="$familyNumber"/>';
      </script>
      <link rel="stylesheet" href="{$root}Ressources/CSS/Commun.css" />
      <link rel="stylesheet" href="{$root}Ressources/CSS/newhome.css" />
      <link rel="stylesheet" href="{$root}Ressources/CSS/risque.css" />

    </head>
  </xsl:template>

  
  <xsl:template name="genEnTete">
    <xsl:param name="ident"/>
    <xsl:param name="nom"/>
    <xsl:param name="nomconj"/>
    <xsl:param name="valcot"/>
    <xsl:param name="datcot"/>
    <xsl:param name="datexa"/>
    <xsl:param name="idrenv"/>
    <xsl:param name="valindic"/>
    <xsl:param name="datindic"/>
    <xsl:param name="indexa2"/>
    <xsl:param name="segment"/>
    <xsl:param name="datseg"/>
    <xsl:param name ="datexseg"/>

    <xsl:call-template name="genTitreModule" />
    <xsl:call-template name="genIdentification">
      <xsl:with-param name="ident" select="$ident"/>
      <xsl:with-param name="nom" select="$nom"/>
      <xsl:with-param name="nomconj" select="$nomconj"/>
      <xsl:with-param name="valcot" select="$valcot"/>
      <xsl:with-param name="datcot" select="$datcot"/>
      <xsl:with-param name="datexa" select="$datexa"/>
      <xsl:with-param name="idrenv" select="$idrenv"/>
      <xsl:with-param name="valindic" select="$valindic"/>
      <xsl:with-param name="datindic" select="$datindic"/>
      <xsl:with-param name="indexa2" select="$indexa2"/>
      <xsl:with-param name="segment"  select="$segment"/>
      <xsl:with-param name="datseg"  select="$datseg"/>
      <xsl:with-param name ="datexseg" select ="$datexseg"/>
    </xsl:call-template>

    <xsl:if test="$valcot and /FIBEN/@MODDEM!='AN' and /FIBEN/@MODDEM!='DE' and /FIBEN/@MODDEM!=20 and /FIBEN/@MODDEM!=37 and /FIBEN/@MODDEM!=70 and /FIBEN/@MODDEM!=72 and not(/FIBEN/@GRAPHE)">

      <xsl:if test="(not($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') or (($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment=''))">
        <xsl:if test="not($valcot='NS')">
          <xsl:if test="not($NonResident='NR')">
            <img src="{$root}Images/Commun/shim.gif" width="545" height="12" border="0" />
            <a href="#nullePart" onclick="requestBDFInfos('37','','{$familyNumber}','',cstSimpleConfirm);">
              <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" />
            </a>
            <br/>
          </xsl:if>
        </xsl:if>
      </xsl:if>
    </xsl:if>


    <xsl:if test="$segment!='' and /FIBEN/@MODDEM!='DE' and /FIBEN/@MODDEM!=20 and /FIBEN/@MODDEM!=39">
      <xsl:if test="not($valcot='NS')">
        <xsl:if test="not($NonResident='NR')">
          <img src="{$root}Images/Commun/shim.gif" width="545" height="12" border="0" />
          <a href="#nullePart" onclick="requestBDFInfos('37|39|','','{$familyNumber}','',cstMultipleConfirm);">
            <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" />
          </a>
          <br/>
        </xsl:if>
      </xsl:if>
      <!--<xsl:if test="/FIBEN/@MODDEM=27">
        <xsl:if test="not($NonResident='NR')">
          <xsl:if test="not($valcot='NS')">
            <img src="{$root}Images/Commun/shim.gif" width="545" height="12" border="0" />
            <a href="#nullePart" onclick="requestBDFInfos('39','','{$familyNumber}','',cstMultipleConfirm);">
              <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" />
            </a>
            <br/>
          </xsl:if>
        </xsl:if>
      </xsl:if>-->
    </xsl:if>

    <xsl:apply-templates select="/FIBEN/PERSONNE/IDNOUV"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/ENTMORT"/>
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE27/PM27/*/IDENTNATIONAL | /FIBEN/PERSONNE/MODULE28/PM/*/IDENTNATIONAL | /FIBEN/PERSONNE/MODULE29/PM/*/IDENTNATIONAL | /FIBEN/PERSONNE/MODULE31/PM/*/IDENTNATIONAL | /FIBEN/PERSONNE/MODULE32/PM/*/IDENTNATIONAL|/FIBEN/PERSONNE/MODULE40/PM/*/IDENTNATIONAL | /FIBEN/PERSONNE/MODULEOR/PM/*/IDENTNATIONAL "/>
    <!-- presentation du bandeau diffrente si module 37  GDC2014 il faut mettre les homonymes avant l'adresse-->
    <xsl:if test ="/FIBEN/PERSONNE/MODULE37//HOMONYME">
      <xsl:if test ="/FIBEN/PERSONNE/ENTMORT">
        <xsl:call-template name="shim"/>
      </xsl:if>
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULE37//HOMONYME"/>
    </xsl:if>
    <xsl:apply-templates select="/FIBEN/PERSONNE/LIEU"/>

  </xsl:template>

  <xsl:template match="NAISSANCE">
    <tr>
      <td width="130" class="clCouleur2">
        <xsl:if test="$NonResident='NR'">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m00_NeeLe'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="not($NonResident='NR')">
          <xsl:value-of select="$dicoFR/mot[@id='m00_NeeLe']"/>
        </xsl:if>
      </td>
      <td class="clFond" colspan="2" width="505">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(DATNAISS)"/>
        </xsl:call-template>
      </td>
    </tr>
    <xsl:if test="LNAISS">
      <tr>
        <td width="130" class="clCouleur2">
          <xsl:if test="$NonResident='NR'">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m00_a'"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="not($NonResident='NR')">
            <xsl:value-of select="$dicoFR/mot[@id='m00_a']"/>
          </xsl:if>
        </td>
        <td class="clTexte" colspan="2" width="505">
          &#160;<xsl:value-of select="LNAISS"/>&#160;
          <xsl:if test="DEPNAISS">
            (<xsl:value-of select="DEPNAISS"/>)
          </xsl:if>

        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template match="LIEU">
    <xsl:if test="(/FIBEN/PERSONNE/MODULE27/PM27/EI27) | (/FIBEN/PERSONNE/MODULE27/PM27/EJ27)">
      <xsl:apply-templates select="IDENTNATIONAL"/>
    </xsl:if>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <xsl:apply-templates select="//NAISSANCE"/>
      <xsl:apply-templates select="ADRESS"/>
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
      <xsl:if test="not(ADRESS)">
        <td class="clCouleur2" width="130">
          <xsl:if test="$NonResident='NR'">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m00_Adresse'"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="not($NonResident='NR')">
            <xsl:value-of select="$dicoFR/mot[@id='m00_Adresse']"/>
          </xsl:if>
        </td>
        <xsl:if test="not(//NAISSANCE) or (//NAISSANCE/DATNAISS and //NAISSANCE/LNAISS)">
          <xsl:call-template name="displayLocaliCpmaj">
            <xsl:with-param name="class">clFond</xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="//NAISSANCE/DATNAISS and not(//NAISSANCE/LNAISS)">
          <xsl:call-template name="displayLocaliCpmaj">
            <xsl:with-param name="class">clTexte</xsl:with-param>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
      <xsl:if test="ADRESS">
        <td class="clCouleur2" width="130">&#160;</td>
        <xsl:if test="not(//NAISSANCE) or (//NAISSANCE/DATNAISS and //NAISSANCE/LNAISS)">
          <xsl:call-template name="displayLocaliCpmaj">
            <xsl:with-param name="class">clTexte</xsl:with-param>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="//NAISSANCE/DATNAISS and not(//NAISSANCE/LNAISS)">
          <xsl:call-template name="displayLocaliCpmaj">
            <xsl:with-param name="class">clFond</xsl:with-param>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template name="displayLocaliCpmaj">
    <xsl:param name="class"/>
    <xsl:variable name="class2">
      <xsl:if test="$class='clFond'">clTexte</xsl:if>
      <xsl:if test="$class='clTexte'">clFond</xsl:if>
    </xsl:variable>

    <xsl:if test="(TELEPH)">
      <td>
        <table width="505" border="0" cellspacing="0" cellpadding="0">
          <td class="{$class}" width="345">
            &#160;<xsl:value-of select="LOCALI"/>
          </td>

          <td class="clCouleur2" width="33">
            &#160;&#160;
            <xsl:if test="$NonResident= 'NR'">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m00_Tel'"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:if test="not($NonResident= 'NR')">
              <xsl:value-of select="$dicoFR/mot[@id='m00_Tel']"/>
            </xsl:if>
          </td>
          <td class="clTexte" width="127">
            &#160;<xsl:call-template name ="displayTeleph2">
              <xsl:with-param name ="InputNumTel" select ="TELEPH"/>
            </xsl:call-template>
          </td>
        </table>
      </td>
    </xsl:if>
    <xsl:if test="not(TELEPH)">
      <td class="{$class}" width="505">
        &#160;<xsl:value-of select="LOCALI"/>
      </td>
    </xsl:if>
    <xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text>
    <td class="clCouleur2" width="130">
      <xsl:if test="$NonResident='NR'">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m00_DosGer'"/>
        </xsl:call-template>
      </xsl:if>
      <xsl:if test="not($NonResident='NR')">
        <xsl:value-of select="$dicoFR/mot[@id='m00_DosGer']"/>
      </xsl:if>
    </td>
    <xsl:choose>
      <xsl:when test="substring(CPMAJ,1,6)='IEDOM:'">
        <xsl:if test="$NonResident='NR'">
          <xsl:if test="$Lang='FR'">
            <td width="505" class="{$class2}">
              &#160;IEDOM&#160;:&#160;<a href="#nullepart" class="{$class2}" onclick="requestStaticNRFR('{(CPMAJ)}', cstAdress);">
                <u>
                  <xsl:value-of select="substring(CPMAJ,7,20)"/>
                </u>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="$Lang='UK'">
            <td width="505" class="{$class2}">
              &#160;IEDOM&#160;:&#160;<a href="#nullepart" class="{$class2}" onclick="requestStaticNRUK('{(CPMAJ)}', cstAdress);">
                <u>
                  <xsl:value-of select="substring(CPMAJ,7,20)"/>
                </u>
              </a>
            </td>
          </xsl:if>
        </xsl:if>
        <xsl:if test="not($NonResident='NR')">
          <td width="505" class="{$class2}">
            &#160;IEDOM&#160;:&#160;<a href="#nullepart" class="{$class2}" onclick="requestStatic('{(CPMAJ)}', cstAdress);">
              <u>
                <xsl:value-of select="substring(CPMAJ,7,20)"/>
              </u>
            </a>
          </td>
        </xsl:if>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="$NonResident='NR'">
          <xsl:if test="$Lang='FR'">
            <td width="505" class="{$class2}">
              &#160;BANQUE DE FRANCE&#160;:&#160;<a href="#nullepart" class="{$class2}" onclick="requestStaticNRFR('{(CPMAJ)}', cstAdress);">
                <u>
                  <xsl:value-of select="CPMAJ"/>
                </u>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="$Lang='UK'">
            <td width="505" class="{$class2}">
              &#160;BANQUE DE FRANCE&#160;:&#160;<a href="#nullepart" class="{$class2}" onclick="requestStaticNRUK('{(CPMAJ)}', cstAdress);">
                <u>
                  <xsl:value-of select="CPMAJ"/>
                </u>
              </a>
            </td>
          </xsl:if>
        </xsl:if>
        <xsl:if test="not($NonResident='NR')">
          <td width="505" class="{$class2}">
            &#160;BANQUE DE FRANCE&#160;:&#160;<a href="#nullepart" class="{$class2}" onclick="requestStatic('{(CPMAJ)}', cstAdress);">
              <u>
                <xsl:value-of select="CPMAJ"/>
              </u>
            </a>
          </td>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
  </xsl:template>

  <xsl:template match="ADRESS">

    <tr>
      <td class="clCouleur2" width="130">
        <xsl:if test="position()=1">
          <xsl:if test="$NonResident='NR'">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m00_Adresse'"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="not($NonResident='NR')">
            <xsl:value-of select="$dicoFR/mot[@id='m00_Adresse']"/>
          </xsl:if>
        </xsl:if>
      </td>
      <xsl:if test="not(//NAISSANCE) or (//NAISSANCE/DATNAISS and //NAISSANCE/LNAISS)">
        <td class="clFond" width="505">
          &#160;<xsl:value-of select="."/>
        </td>
      </xsl:if>
      <xsl:if test="//NAISSANCE/DATNAISS and not(//NAISSANCE/LNAISS)">
        <td class="clTexte" width="505">
          &#160;<xsl:value-of select="."/>
        </td>
      </xsl:if>
    </tr>

  </xsl:template>

  <xsl:template match="IDNOUV">
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130" class="clCouleur2">
          <xsl:if test="$NonResident='NR'">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m00_NouIde'"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="not($NonResident='NR')">
            <xsl:value-of select="$dicoFR/mot[@id='m00_NouIde']"/>
          </xsl:if>
        </td>
        <td class="clTexte" colspan="2" width="505" height="14">
          &#160;<xsl:call-template name ="displayIdentXsl">
            <xsl:with-param name ="InputIdent" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template name="genIdentification">
    <xsl:param name="ident"/>
    <xsl:param name="nom"/>
    <xsl:param name="nomconj"/>
    <xsl:param name="valcot"/>
    <xsl:param name="datcot"/>
    <xsl:param name="datexa"/>
    <xsl:param name="idrenv"/>
    <xsl:param name="valindic"/>
    <xsl:param name="datindic"/>
    <xsl:param name="indexa2"/>
    <xsl:param name="segment"/>
    <xsl:param name="datseg"/>
    <xsl:param name ="datexseg"/>

    <!---modification pour le x0 pierre-->


    <xsl:if test="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
      <xsl:if test="(/FIBEN/PERSONNE/MODULE27|/FIBEN/PERSONNE/MODULE51|/FIBEN/PERSONNE/MODULE52|/FIBEN/PERSONNE/MODULE54|/FIBEN/PERSONNE/MODULE56|/FIBEN/PERSONNE/MODULE57|/FIBEN/PERSONNE/MODULE58|/FIBEN/PERSONNE/MODULE67|/FIBEN/PERSONNE/MODULEAN|/FIBEN/PERSONNE/MODULEDE|/FIBEN/PERSONNE/MODULEOD|/FIBEN/@GRAPHE)">
        <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
          <tr>
            <td>
              <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                <tr>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="129" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td width="254" class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$NonResident='NR'">
                    <xsl:if test="$Lang='FR'">
                      <td width="129" class="clGrasFond" valign="middle">
                        &#160;<xsl:call-template name ="displayIdent2Xsl">
                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                        </xsl:call-template>
                      </td>
                      <td width="254" class="clGrasFond" valign="middle">
                        &#160;<xsl:value-of select="$nom"/>
                      </td>
                    </xsl:if>
                    <xsl:if test="$Lang='UK'">
                      <td width="145" class="clGrasFond" valign="middle">
                        &#160;<xsl:call-template name ="displayIdent2Xsl">
                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                        </xsl:call-template>
                      </td>
                      <td class="clGrasFond" valign="middle">
                        &#160;<xsl:value-of select="$nom"/>
                      </td>
                    </xsl:if>
                  </xsl:if>
                    <td  class="clGrasFond" align="right" valign="middle" colspan="2">
                      &#160;
                      <xsl:if test="$NonResident='NR'">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_CotSeg'"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <xsl:value-of select="$dicoFR/mot[@id='m00_CotSeg']"/>
                      </xsl:if>
                      <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                        <u>
                          <xsl:value-of select="$valcot"/>
                        </u>
                      </a>&#160;|
                      <a href="#nullepart" class="clGrasFond" onclick="requestStatic('',cstSegment)">
                        <u>
                          <xsl:value-of select="$segment"/>
                        </u>
                      </a>&#160;
                    </td>
                </tr>
                  <xsl:if test="$datcot!=''">
                    <tr>
                      <td width="129" class="clFond" valign="middle">&#160;</td>
                      <td width="200" class="clFond">&#160;</td>
                      <td width="304" class="clFond" colspan="2" align="right">
                        &#160;
                        <xsl:if test="$datcot!=''">
                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                          </xsl:if>
                          <xsl:call-template name ="displayDateXsl">
                            <xsl:with-param name ="InputDate" select ="($datcot)"/>
                          </xsl:call-template>
                          <xsl:if test="$datexa!=''">

                            <xsl:if test="$NonResident='NR'">
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                              </xsl:call-template>
                            </xsl:if>
                            <xsl:if test="not($NonResident='NR')">
                              <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                            </xsl:if>
                            <xsl:call-template name ="displayDateXsl">
                              <xsl:with-param name ="InputDate" select ="($datexa)"/>
                            </xsl:call-template>)
                          </xsl:if>
                        </xsl:if>
                      </td>
                    </tr>
                  </xsl:if>
                <xsl:if test="$datcot=''">
                  <tr>
                    <td width="129" class="clFond" valign="middle">&#160;</td>
                    <td width="200" class="clFond">&#160;</td>
                    <td width="304" class="clFond" colspan="2" align="right">&#160;</td>
                  </tr>
                </xsl:if>
              </table>
            </td>
          </tr>
        </table>

      </xsl:if>

      <xsl:if test ="/FIBEN/PERSONNE/MODULE20">
        <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
          <tr>
            <td>
              <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                <tr>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="129" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td width="254" class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$NonResident='NR'">
                    <xsl:if test="$Lang='FR'">
                      <td width="129" class="clGrasFond" valign="middle">
                        &#160;<xsl:call-template name ="displayIdent2Xsl">
                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                        </xsl:call-template>
                      </td>
                      <td width="254" class="clGrasFond" valign="middle">
                        &#160;<xsl:value-of select="$nom"/>
                      </td>
                    </xsl:if>
                    <xsl:if test="$Lang='UK'">
                      <td width="145" class="clGrasFond" valign="middle">
                        &#160;<xsl:call-template name ="displayIdent2Xsl">
                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                        </xsl:call-template>
                      </td>
                      <td class="clGrasFond" valign="middle">
                        &#160;<xsl:value-of select="$nom"/>
                      </td>
                    </xsl:if>
                  </xsl:if>
                  <td width="134" class="clFond"/>
                  <td width="170" class="clGrasFond" align="right" valign="middle">
                    &#160;
                    <xsl:if test="$NonResident='NR'">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m00_Cot'"/>
                      </xsl:call-template>
                    </xsl:if>
                    <xsl:if test="not($NonResident='NR')">
                      <xsl:value-of select="$dicoFR/mot[@id='m00_Cot']"/>
                    </xsl:if>
                    <!--<a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                      <u>-->
                    <xsl:value-of select="$valcot"/>
                    <!--</u>
                    </a>-->
                  </td>
                </tr>
                <xsl:if test="$datcot!=''">
                  <tr>
                    <td width="129" class="clFond" valign="middle">&#160;</td>
                    <td width="200" class="clFond">&#160;</td>
                    <td width="304" class="clFond" colspan="2" align="right">
                      &#160;
                      <xsl:if test="$datcot!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                         <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datcot)"/>
                        </xsl:call-template>
                        <xsl:if test="$datexa!=''">

                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                          </xsl:if>
                          <xsl:call-template name ="displayDateXsl">
                            <xsl:with-param name ="InputDate" select ="($datexa)"/>
                          </xsl:call-template>)
                        </xsl:if>
                      </xsl:if>
                    </td>
                  </tr>
                </xsl:if>
                <xsl:if test="$datcot=''">
                  <tr>
                    <td width="200" class="clFond" colspan="4" >&#160;</td>
                  </tr>
                </xsl:if>
                <!-- partie segmentation -->
                <xsl:if test="$segment!=''">
                  <tr>
                    <td width="129" class="clFond" valign="middle">&#160;</td>
                    <td width="254" class="clFond" valign="middle">&#160;</td>
                    <td width="134" class="clFond" valign="middle">&#160;</td>
                    <td width="170" class="clGrasFond" align="right" valign="middle">
                      &#160;
                      <xsl:if test="$NonResident='NR'">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_Seg'"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <xsl:value-of select="$dicoFR/mot[@id='m00_Seg']"/>
                      </xsl:if>
                      <!--<a href="#nullepart" class="clGrasFond" onclick="requestStatic('',cstSegment)">
                        <u>-->
                      <xsl:value-of select="$segment"/>
                      <!--</u>
                      </a>-->
                    </td>
                  </tr>
                </xsl:if>
                <xsl:if test="$datseg!=''">
                  <tr>
                    <td width="129" class="clFond" valign="middle">&#160;</td>
                    <td width="200" class="clFond">&#160;</td>
                    <td width="304" class="clFond" colspan="2" align="right">
                      &#160;
                      <xsl:if test="$datseg!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datseg)"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="$datexseg!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datexseg)"/>
                        </xsl:call-template>)
                      </xsl:if>
                    </td>
                  </tr>
                </xsl:if>
              </table>
            </td>
          </tr>
        </table>
      </xsl:if>
    </xsl:if>
    <xsl:if test="/FIBEN/PERSONNE/MODULE39/DIFF39">
      <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
        <tr>
          <td>
            <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
              <tr>
                <xsl:if test="not($NonResident='NR')">
                  <td width="129" class="clGrasFond" valign="middle">
                    &#160;<xsl:call-template name ="displayIdent2Xsl">
                      <xsl:with-param name ="InputIdent" select ="($ident)"/>
                    </xsl:call-template>
                  </td>
                  <td width="254" class="clGrasFond" valign="middle">
                    &#160;<xsl:value-of select="$nom"/>
                  </td>
                </xsl:if>
                <xsl:if test="$NonResident='NR'">
                  <xsl:if test="$Lang='FR'">
                    <td width="129" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td width="254" class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$Lang='UK'">
                    <td width="145" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                </xsl:if>
                <td width="134" class="clFond">
                  &#160;
                </td>
                <xsl:if test="$segment!=''">
                  <td width="170" class="clGrasFond" align="right" valign="middle" >


                    <xsl:if test="$NonResident='NR'">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m00_Seg'"/>
                      </xsl:call-template>
                    </xsl:if>
                    <xsl:if test="not($NonResident='NR')">
                      <xsl:value-of select="$dicoFR/mot[@id='m00_Seg']"/>
                    </xsl:if>
                    <a href="#nullepart" class="clGrasFond" onclick="requestStatic('',cstSegment)">
                      <u>
                        <xsl:value-of select="$segment"/>
                      </u>
                    </a>
                  </td>
                </xsl:if>
                <xsl:if test="$segment=''">
                  <td width="170" class="clGrasFond" align="right" valign="middle" >
                    &#160;
                  </td>
                </xsl:if>
              </tr>
              <xsl:if test="$datseg!=''">
                <tr>
                  <td width="129" class="clFond" valign="middle">&#160;</td>
                  <td width="200" class="clFond">&#160;</td>
                  <td width="304" class="clFond" colspan="2" align="right">
                    &#160;
                    <xsl:if test="$datseg!=''">
                      <xsl:if test="$NonResident='NR'">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                      </xsl:if>
                      <xsl:call-template name ="displayDateXsl">
                        <xsl:with-param name ="InputDate" select ="($datseg)"/>
                      </xsl:call-template>
                      <xsl:if test="$datexa!=''">

                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datexa)"/>
                        </xsl:call-template>)
                      </xsl:if>
                    </xsl:if>
                  </td>
                </tr>
              </xsl:if>
              <xsl:if test="$datseg=''">
                <tr>
                  <td width="100%" class="clFond" colspan="4">&#160;</td>
                </tr>
              </xsl:if>
            </table>
          </td>
        </tr>
      </table>
    </xsl:if>
      
      <!--********************************* Partie Module53 ***********************************-->
      <!--******************************** Alain fevrier 2015 ******************************** -->

     

      <xsl:if test="((/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTS) | (/FIBEN/PERSONNE/MODULE53/PM53/EJ))">
          <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
              <tr>
                  <td>
                      <!-- 1ere ligne avec l'identifiant le nom (ou denom) et la cotation -->
                      <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                          <tr>
                              <xsl:if test="not($NonResident='NR')">
                                  <td width="128" class="clGrasFond" valign="middle">
                                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                                      </xsl:call-template>
                                  </td>
                                  <xsl:choose>
                                      <xsl:when test ="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
                                          <!-- cotation et segmentation donc la cellule pour la denomination est plus petite-->
                                          <td width="320" class="clGrasFond" valign="middle">
                                              &#160;<xsl:value-of select="$nom"/>
                                          </td>
                                      </xsl:when>
                                      <xsl:otherwise>
                                          <td width="405" class="clGrasFond" valign="middle">
                                              &#160;<xsl:value-of select="$nom"/>
                                          </td>
                                      </xsl:otherwise>
                                  </xsl:choose>                                  
                              </xsl:if>
                              <xsl:if test="$NonResident='NR'">
                                  <xsl:if test="$Lang='FR'">
                                      <td width="128" class="clGrasFond" valign="middle">
                                          &#160;<xsl:call-template name ="displayIdent2Xsl">
                                              <xsl:with-param name ="InputIdent" select ="($ident)"/>
                                          </xsl:call-template>
                                      </td>
                                      <xsl:choose>
                                          <xsl:when test ="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
                                              <!-- cotation et segmentation donc la cellule pour la denomination est plus petite-->
                                              <td width="320" class="clGrasFond" valign="middle">
                                                  &#160;<xsl:value-of select="$nom"/>
                                              </td>
                                          </xsl:when>
                                          <xsl:otherwise>
                                              <td width="405" class="clGrasFond" valign="middle">
                                                  &#160;<xsl:value-of select="$nom"/>
                                              </td>
                                          </xsl:otherwise>
                                      </xsl:choose>                                     
                                  </xsl:if>
                                  <xsl:if test="$Lang='UK'">
                                      <td width="145" class="clGrasFond" valign="middle">
                                          &#160;<xsl:call-template name ="displayIdent2Xsl">
                                              <xsl:with-param name ="InputIdent" select ="($ident)"/>
                                          </xsl:call-template>
                                      </td>
                                      <xsl:choose>
                                          <xsl:when test ="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
                                              <!-- cotation et segmentation donc la cellule pour la denomination est plus petite-->
                                              <td width="314" class="clGrasFond" valign="middle">
                                                  &#160;<xsl:value-of select="$nom"/>
                                              </td>
                                          </xsl:when>
                                          <xsl:otherwise>
                                              <td width="388" class="clGrasFond" valign="middle">
                                                  &#160;<xsl:value-of select="$nom"/>
                                              </td>
                                          </xsl:otherwise>
                                      </xsl:choose>                                      
                                  </xsl:if>
                              </xsl:if>                              
                              <xsl:choose >
                                  <xsl:when test ="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
                                      <!-- cotation et segmentation-->
                                      <td width="185" class="clGrasFond" align="right" valign="middle">
                                          <xsl:if test="$NonResident='NR'">
                                              <xsl:call-template name="tradlib">
                                                  <xsl:with-param name="Lang" select="$Lang"/>
                                                  <xsl:with-param name="codeLib" select="'m00_CotSeg'"/>
                                              </xsl:call-template>
                                          </xsl:if>
                                          <xsl:if test="not($NonResident='NR')">
                                              <xsl:value-of select="$dicoFR/mot[@id='m00_CotSeg']"/>
                                          </xsl:if>
                                          <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                                              <u>
                                                  <xsl:value-of select="$valcot"/>
                                              </u>
                                          </a>&#160;|
                                          <a href="#nullepart" class="clGrasFond" onclick="requestStatic('',cstSegment)">
                                              <u>
                                                  <xsl:value-of select="$segment"/>
                                              </u>
                                          </a>&#160;
                                      </td>
                                  </xsl:when>
                                  <xsl:otherwise>
                                      <xsl:choose>
                                          <xsl:when test="$valcot!=''">
                                              <td width="100" class="clGrasFond" align="right" valign="middle">
                                                  <xsl:if test="$NonResident='NR'">
                                                      <xsl:call-template name="tradlib">
                                                          <xsl:with-param name="Lang" select="$Lang"/>
                                                          <xsl:with-param name="codeLib" select="'m00_Cot'"/>
                                                      </xsl:call-template>
                                                  </xsl:if>
                                                  <xsl:if test="not($NonResident='NR')">
                                                      <xsl:value-of select="$dicoFR/mot[@id='m00_Cot']"/>
                                                  </xsl:if>
                                                  <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                                                      <u>
                                                          <xsl:value-of select="$valcot"/>
                                                      </u>
                                                  </a>&#160;
                                              </td>
                                          </xsl:when>
                                          <xsl:otherwise>
                                              <td width="100" class="clGrasFond" align="right" valign="middle" >
                                                  &#160;
                                              </td>
                                          </xsl:otherwise> 
                                      </xsl:choose>                                     
                                  </xsl:otherwise> 
                              </xsl:choose>                    
                          </tr>
                          <!-- pas de nom marital et pas d'identifiant de renvoi ==> 2eme ligne vide -->
                          <xsl:if test="not($idrenv) and not($nomconj)">
                              <xsl:choose>
                                  <xsl:when test ="$NonResident='NR'">
                                      <xsl:choose>
                                          <xsl:when test ="$Lang='FR'">
                                              <tr>
                                                  <td width="128" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <xsl:choose>
                                                      <xsl:when test ="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
                                                          <!-- cotation et segmentation donc la cellule pour la denomination est plus petite-->
                                                          <td width="320" class="clGrasFond" valign="middle">
                                                              &#160;
                                                          </td>
                                                          <td width="185" class="clGrasFond" align="right" valign="middle" >
                                                              &#160;
                                                          </td>
                                                      </xsl:when>
                                                      <xsl:otherwise>
                                                          <td width="405" class="clGrasFond" valign="middle">
                                                              &#160;
                                                          </td>
                                                          <td width="100" class="clGrasFond" align="right" valign="middle" >
                                                              &#160;
                                                          </td>
                                                      </xsl:otherwise>
                                                  </xsl:choose>
                                              </tr>
                                          </xsl:when>
                                          <xsl:otherwise>
                                              <tr>
                                                  <td width="145" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <xsl:choose>
                                                      <xsl:when test ="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
                                                          <!-- cotation et segmentation donc la cellule pour la denomination est plus petite-->
                                                          <td width="303" class="clGrasFond" valign="middle">
                                                              &#160;
                                                          </td>
                                                          <td width="185" class="clGrasFond" align="right" valign="middle" >
                                                              &#160;
                                                          </td>
                                                      </xsl:when>
                                                      <xsl:otherwise>
                                                          <td width="388" class="clGrasFond" valign="middle">
                                                              &#160;
                                                          </td>
                                                          <td width="100" class="clGrasFond" align="right" valign="middle" >
                                                              &#160;
                                                          </td>
                                                      </xsl:otherwise>
                                                  </xsl:choose>
                                              </tr>
                                          </xsl:otherwise>
                                      </xsl:choose>
                                  </xsl:when>
                                  <xsl:otherwise >
                                      <tr>
                                          <td width="128" class="clGrasFond" valign="middle">
                                              &#160;
                                          </td>
                                          <xsl:choose>
                                              <xsl:when test ="(($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') and $segment!='')">
                                                  <!-- cotation et segmentation donc la cellule pour la denomination est plus petite-->
                                                  <td width="320" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <td width="185" class="clGrasFond" align="right" valign="middle" >
                                                      &#160;
                                                  </td>
                                              </xsl:when>
                                              <xsl:otherwise>
                                                  <td width="405" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <td width="100" class="clGrasFond" align="right" valign="middle" >
                                                      &#160;
                                                  </td>
                                              </xsl:otherwise>
                                          </xsl:choose>
                                      </tr>
                                  </xsl:otherwise>
                              </xsl:choose>                           
                          </xsl:if>
                      </table>

                      <xsl:if test="/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTS">
                          <!-- 2eme ligne avec le nom marital -->
                          <xsl:if test="$nomconj!=''">
                              <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                                  <tr>
                                      <xsl:if test="$NonResident='NR'">
                                          <xsl:if test="$Lang='FR'">
                                              <td width="128" class="clFond" valign="middle">
                                                  &#160;
                                                  <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                                                  </xsl:call-template>
                                              </td>
                                              <td width="505" class="clFond" align="left">
                                                  &#160;
                                                  <xsl:value-of select="$nomconj"/>
                                              </td>
                                          </xsl:if>
                                          <xsl:if test="$Lang='UK'">
                                              <td width="140" class="clFond" valign="middle">
                                                  &#160;
                                                  <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                                                  </xsl:call-template>
                                              </td>
                                              <td width="493" class="clFond" align="left">
                                                  &#160;<xsl:value-of select="$nomconj"/>
                                              </td>
                                          </xsl:if>
                                      </xsl:if>
                                      <xsl:if test="not($NonResident='NR')">
                                          <td width="128" class="clFond" valign="middle">
                                              &#160;<xsl:value-of select="$dicoFR/mot[@id='m00_Conjoi']"/>
                                          </td>
                                          <td width="505" class="clFond" align="left">
                                              &#160;<xsl:value-of select="$nomconj"/>
                                          </td>
                                      </xsl:if>
                                  </tr>
                              </table>
                          </xsl:if>
                          <!-- 3eme ligne identifiant de renvoi (ou 2eme ligne si pas de nom marital)-->
                          <xsl:if test="$idrenv !=''">
                              <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                                  <tr>                                     
                                      <xsl:if test ="$NonResident='NR'">
                                          <xsl:if test="$Lang='FR'">
                                              <td width="128" class="clFond" valign="middle">
                                                  &#160;
                                                  <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                                                  </xsl:call-template>
                                              </td>
                                              <td width="110" class="clFond">
                                                  &#160;
                                                  <xsl:call-template name ="displayIdentXsl">
                                                      <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                                                  </xsl:call-template>
                                              </td>
                                              <xsl:choose>
                                                  <xsl:when test ="$valindic!=''">
                                                      <td width="110" class="clGrasFond" valign="middle" align="right">
                                                          &#160;
                                                        <xsl:call-template name="tradlib">
                                                            <xsl:with-param name="Lang" select="$Lang"/>
                                                            <xsl:with-param name="codeLib" select="'m00_Indi'"/>
                                                        </xsl:call-template>
                                                          <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valindic}',cstCotation,'{$ident}')">
                                                              <u>
                                                                  <xsl:value-of select="$valindic"/>
                                                              </u>
                                                          </a>&#160;
                                                      </td>
                                                      <td width="285" class="clFond" align="left">
                                                          <!--<a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                                                              <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                                          </a>-->
                                                      </td>
                                                  </xsl:when>
                                                  <xsl:otherwise>
                                                      <td width="110" class="clGrasFond" valign="middle">
                                                        &#160;  
                                                      </td>
                                                      <td width="285" class="clFond">
                                                          &#160;
                                                      </td>
                                                  </xsl:otherwise>
                                              </xsl:choose> 
                                          </xsl:if>
                                          <xsl:if test="$Lang='UK'">
                                              <td width="140" class="clFond" valign="middle">
                                                  &#160;
                                                  <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                                                  </xsl:call-template>
                                              </td>
                                              <td width="110" class="clFond">
                                                  &#160;
                                                  <xsl:call-template name ="displayIdentXsl">
                                                      <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                                                  </xsl:call-template>
                                              </td>
                                              <xsl:choose>
                                                  <xsl:when test="$valindic!=''">
                                                      <td width="110" class="clGrasFond" valign="middle" align="right">
                                                          &#160;
                                                          <xsl:call-template name="tradlib">
                                                              <xsl:with-param name="Lang" select="$Lang"/>
                                                              <xsl:with-param name="codeLib" select="'m00_Indi'"/>
                                                          </xsl:call-template>
                                                          <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valindic}',cstCotation,'{$ident}')">
                                                              <u>
                                                                  <xsl:value-of select="$valindic"/>
                                                              </u>
                                                          </a>&#160;
                                                      </td>
                                                      <td width="273" class="clFond" align="left">
                                                          <!--<a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                                                              <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                                          </a>-->
                                                      </td>
                                                  </xsl:when>
                                                  <xsl:otherwise>
                                                      <td width="110" class="clGrasFond" valign="middle">
                                                          &#160;
                                                      </td>
                                                      <td width="273" class="clFond">
                                                          &#160;
                                                      </td>
                                                  </xsl:otherwise>                                                  
                                              </xsl:choose>                                              
                                          </xsl:if>
                                      </xsl:if>
                                      <xsl:if test="not($NonResident='NR')">
                                          <td width="128" class="clFond" valign="middle">
                                              &#160;
                                              <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                                          </td>
                                          <td width="110" class="clFond">
                                              &#160;<xsl:call-template name ="displayIdentXsl">
                                                  <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                                              </xsl:call-template>
                                          </td>
                                          <xsl:choose>
                                              <xsl:when test ="$valindic!=''">
                                                  <td width="110" class="clGrasFond" valign="middle" align="right">
                                                      &#160;
                                                      <xsl:value-of select="$dicoFR/mot[@id='m00_Indi']"/>
                                                      <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valindic}',cstCotation,'{$ident}')">
                                                          <u>
                                                              <xsl:value-of select="$valindic"/>
                                                          </u>
                                                      </a>&#160;
                                                  </td>
                                                  <td width="285" class="clFond" align="left">
                                                      <a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                                                          <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                                      </a>
                                                  </td>
                                              </xsl:when>
                                              <xsl:otherwise>
                                                  <td width="110" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <td width="285" class="clFond">
                                                      &#160;
                                                  </td>
                                              </xsl:otherwise>
                                          </xsl:choose>                  
                                          
                                      </xsl:if>
                                  </tr>
                              </table>
                          </xsl:if>                           
                          
                      </xsl:if>
                  </td>
              </tr>
          </table>
      </xsl:if>


      <xsl:if test="((/FIBEN/PERSONNE/MODULE53/PP) | (/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTC))">
          <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
              <tr>
                  <td>
                      <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                          <tr>
                              <!-- 1ere ligne identifiant, Nom et Indicateur -->
                              <xsl:if test="not($NonResident='NR')">
                                  <td width="128" class="clGrasFond" valign="middle">
                                      &#160;
                                      <xsl:call-template name ="displayIdent2Xsl">
                                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                                      </xsl:call-template>
                                  </td>
                                  <td width="383" class="clGrasFond" valign="middle">
                                      &#160;
                                      <xsl:value-of select="$nom"/>
                                  </td>
                              </xsl:if>
                              <xsl:if test="$NonResident='NR'">
                                  <xsl:if test="$Lang='FR'">
                                      <td width="128" class="clGrasFond" valign="middle">
                                          &#160;
                                          <xsl:call-template name ="displayIdent2Xsl">
                                              <xsl:with-param name ="InputIdent" select ="($ident)"/>
                                          </xsl:call-template>
                                      </td>
                                      <td width="383" class="clGrasFond" valign="middle">
                                          &#160;
                                          <xsl:value-of select="$nom"/>
                                      </td>
                                  </xsl:if>
                                  <xsl:if test="$Lang='UK'">
                                      <td width="145" class="clGrasFond" valign="middle">
                                          &#160;
                                          <xsl:call-template name ="displayIdent2Xsl">
                                              <xsl:with-param name ="InputIdent" select ="($ident)"/>
                                          </xsl:call-template>
                                      </td>
                                      <td width="366" class="clGrasFond" valign="middle">
                                          &#160;
                                          <xsl:value-of select="$nom"/>
                                      </td>
                                  </xsl:if>
                              </xsl:if>                             
                              <xsl:if test ="/FIBEN/PERSONNE/MODULE53/PM53/EI53/IDENTC">
                                  <xsl:choose >
                                      <xsl:when test ="$valindic!=''">
                                          <td width="122" class="clGrasFond" align="right" valign="middle" >
                                              <xsl:if test="$NonResident='NR'">
                                                  <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_Indica'"/>
                                                  </xsl:call-template>
                                              </xsl:if>
                                              <xsl:if test="not($NonResident='NR')">
                                                  <xsl:value-of select="$dicoFR/mot[@id='m00_Indica']"/>
                                              </xsl:if>
                                              <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valindic}',cstCotation,'{$ident}')">
                                                  <u>
                                                      <xsl:value-of select="$valindic"/>
                                                  </u>
                                              </a>&#160;
                                          </td>
                                      </xsl:when>
                                      <xsl:otherwise>
                                          <td width="122" class="clGrasFond" align="right" valign="middle" >
                                              &#160;
                                          </td>
                                      </xsl:otherwise>                                      
                                  </xsl:choose>
                                  
                              </xsl:if>
                              <xsl:if test ="/FIBEN/PERSONNE/MODULE53/PP">
                                  <xsl:choose >
                                      <xsl:when test ="$valcot!=''">
                                          <td width="122" class="clGrasFond" align="right" valign="middle" >
                                              <xsl:if test="$NonResident='NR'">
                                                  <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_Indica'"/>
                                                  </xsl:call-template>
                                              </xsl:if>
                                              <xsl:if test="not($NonResident='NR')">
                                                  <xsl:value-of select="$dicoFR/mot[@id='m00_Indica']"/>
                                              </xsl:if>
                                              <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                                                  <u>
                                                      <xsl:value-of select="$valcot"/>
                                                  </u>
                                              </a>&#160;
                                          </td>
                                      </xsl:when>
                                      <xsl:otherwise>
                                          <td width="122" class="clGrasFond" align="right" valign="middle" >
                                              &#160;
                                          </td>
                                      </xsl:otherwise> 
                                  </xsl:choose>                         
                                  
                              </xsl:if>
                          </tr>
                          <!-- pas de nom marital et pas d'identifiant de renvoi ==> 2eme ligne vide -->
                          <xsl:if test="not($idrenv) and not($nomconj)">
                              <xsl:choose>
                                  <xsl:when test ="$NonResident='NR'">
                                      <xsl:choose>
                                          <xsl:when test ="$Lang='FR'">
                                              <tr>
                                                  <td width="128" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <td width="383" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>                                                  
                                                  <td width="122" class="clGrasFond" align="right" valign="middle" >
                                                      &#160;
                                                  </td>
                                              </tr>
                                          </xsl:when>
                                          <xsl:otherwise>
                                              <tr>
                                                  <td width="145" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <td width="366" class="clGrasFond" valign="middle">
                                                      &#160;
                                                  </td>
                                                  <td width="122" class="clGrasFond" align="right" valign="middle" >
                                                      &#160;
                                                  </td>
                                              </tr>
                                          </xsl:otherwise>
                                      </xsl:choose>
                                  </xsl:when>
                                  <xsl:otherwise>
                                      <tr>
                                          <td width="128" class="clGrasFond" valign="middle">
                                              &#160;
                                          </td>
                                          <td width="383" class="clGrasFond" valign="middle">
                                              &#160;
                                          </td>
                                          <td width="122" class="clGrasFond" align="right" valign="middle" >
                                              &#160;
                                          </td>
                                      </tr>
                                  </xsl:otherwise>                                  
                              </xsl:choose>                               
                          </xsl:if>
                      </table>

                      <!-- 2eme ligne avec le nom marital -->
                      <xsl:if test="$nomconj!=''">
                          <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                              <tr>
                                  <xsl:if test="$NonResident='NR'">
                                      <xsl:if test="$Lang='FR'">
                                          <td width="128" class="clFond" valign="middle">
                                              &#160;
                                              <xsl:call-template name="tradlib">
                                                  <xsl:with-param name="Lang" select="$Lang"/>
                                                  <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                                              </xsl:call-template>
                                          </td>
                                          <td width="505" class="clFond" align="left">
                                              &#160;
                                              <xsl:value-of select="$nomconj"/>
                                          </td>
                                      </xsl:if>
                                      <xsl:if test="$Lang='UK'">
                                          <td width="140" class="clFond" valign="middle">
                                              &#160;
                                              <xsl:call-template name="tradlib">
                                                  <xsl:with-param name="Lang" select="$Lang"/>
                                                  <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                                              </xsl:call-template>
                                          </td>
                                          <td width="493" class="clFond" align="left">
                                              &#160;
                                              <xsl:value-of select="$nomconj"/>
                                          </td>
                                      </xsl:if>
                                  </xsl:if>
                                  <xsl:if test="not($NonResident='NR')">
                                      <td width="128" class="clFond" valign="middle">
                                          &#160;
                                          <xsl:value-of select="$dicoFR/mot[@id='m00_Conjoi']"/>
                                      </td>
                                      <td width="505" class="clFond" align="left">
                                          &#160;
                                          <xsl:value-of select="$nomconj"/>
                                      </td>
                                  </xsl:if>                                 
                              </tr>
                          </table >
                      </xsl:if>
                      <!-- 3eme ligne identifiant de renvoi (ou 2eme ligne si pas de nom marital)-->
                      <xsl:if test="$idrenv !=''">
                          <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                              <tr>
                                  <xsl:if test="$NonResident='NR'">                                 
                                      <xsl:if test="$Lang='FR'">
                                          <td width="128" class="clFond" valign="middle">
                                              &#160;
                                              <xsl:call-template name="tradlib">
                                                  <xsl:with-param name="Lang" select="$Lang"/>
                                                  <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                                              </xsl:call-template>
                                          </td>
                                          <td width="110" class="clFond">
                                              &#160;
                                              <xsl:call-template name ="displayIdentXsl">
                                                  <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                                              </xsl:call-template>
                                          </td>
                                          <xsl:choose >
                                              <xsl:when test ="$valcot!=''">
                                                  <td width="110" class="clGrasFond" valign="middle" align="right">
                                                      &#160;
                                                    <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_Cota'"/>
                                                    </xsl:call-template>
                                                      <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                                                          <u>
                                                              <xsl:value-of select="$valcot"/>
                                                          </u>
                                                      </a>&#160;
                                                  </td>
                                                  <td width="285" class="clFond" align="left">
                                                      <!--<a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                                                          <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                                      </a>-->
                                                  </td>
                                              </xsl:when>
                                              <xsl:otherwise>
                                                  <td width="110" class="clGrasFond" valign="middle" align="right">
                                                      &#160;
                                                 </td>
                                                  <td width="285" class="clFond">
                                                      &#160;
                                                  </td>                                                      
                                              </xsl:otherwise>
                                          </xsl:choose>                                  
                                      </xsl:if>
                                      <xsl:if test="$Lang='UK'">
                                          <td width="140" class="clFond" valign="middle">
                                              &#160;
                                              <xsl:call-template name="tradlib">
                                                  <xsl:with-param name="Lang" select="$Lang"/>
                                                  <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                                              </xsl:call-template>
                                          </td>
                                          <td width="110" class="clFond" colspan="2">
                                              &#160;
                                              <xsl:call-template name ="displayIdentXsl">
                                                  <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                                              </xsl:call-template>
                                          </td>
                                          <xsl:choose>
                                              <xsl:when test ="$valcot!=''">
                                                  <td width="110" class="clGrasFond" valign="middle" align="right">
                                                       &#160;
                                                    <xsl:call-template name="tradlib">
                                                      <xsl:with-param name="Lang" select="$Lang"/>
                                                      <xsl:with-param name="codeLib" select="'m00_Cota'"/>
                                                    </xsl:call-template>
                                                      <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                                                          <u>
                                                              <xsl:value-of select="$valcot"/>
                                                          </u>
                                                      </a>&#160;
                                                  </td>
                                                  <td width="273" class="clFond" align="left">
                                                      <!--<a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                                                          <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                                      </a>-->
                                                  </td>
                                              </xsl:when>
                                              <xsl:otherwise>
                                                  <td width="110" class="clGrasFond" valign="middle" align="right">
                                                      &#160;                                                      
                                                  </td>
                                                  <td width="273" class="clFond">
                                                      &#160;
                                                  </td>
                                              </xsl:otherwise>
                                          </xsl:choose>                                                       
                                      </xsl:if>
                                   </xsl:if>
                                  
                                  <xsl:if test="not($NonResident='NR')">
                                      <td width="128" class="clFond" valign="middle">
                                          &#160;
                                          <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                                      </td>
                                      <td width="110" class="clFond">
                                          &#160;
                                          <xsl:call-template name ="displayIdentXsl">
                                              <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                                          </xsl:call-template>
                                      </td>
                                      <xsl:choose>
                                          <xsl:when test ="$valcot!=''">
                                              <td width="110" class="clGrasFond" valign="middle" align="right">
                                                   &#160;
                                                <xsl:value-of select="$dicoFR/mot[@id='m00_Cota']"/>
                                                  <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                                                      <u>
                                                          <xsl:value-of select="$valcot"/>
                                                      </u>
                                                  </a>&#160;
                                              </td>
                                              <td width="285" class="clFond" align="left">
                                                  <a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                                                      <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                                                  </a>
                                              </td>
                                          </xsl:when>
                                          <xsl:otherwise>
                                              <td width="110" class="clGrasFond" valign="middle" align="right">
                                                  &#160;                                                 
                                              </td>
                                              <td width="285" class="clFond">
                                                  &#160;
                                              </td>
                                          </xsl:otherwise>
                                      </xsl:choose> 
                                    </xsl:if>
                              </tr>
                          </table>
                      </xsl:if>                      
                  </td>
              </tr>
          </table>
      </xsl:if>

      <!-- ********************************************************************-->
      
    <xsl:if test="(/FIBEN/PERSONNE/MODULE37/PM37)">
      <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
        <tr>
          <td>
            <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
              <tr>
                <xsl:if test="not($NonResident='NR')">
                  <td width="128" class="clGrasFond" valign="middle">
                    &#160;<xsl:call-template name ="displayIdent2Xsl">
                      <xsl:with-param name ="InputIdent" select ="($ident)"/>
                    </xsl:call-template>
                  </td>
                  <td width="243" class="clGrasFond" valign="middle">
                    &#160;<xsl:value-of select="$nom"/>
                  </td>
                </xsl:if>
                <xsl:if test="$NonResident='NR'">
                  <xsl:if test="$Lang='FR'">
                    <td width="128" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td width="243" class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$Lang='UK'">
                    <td width="145" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                </xsl:if>
                <td width="90" class="clFond">
                  &#160;
                </td>
                <xsl:if test="$valcot!=''">
                  <td width="172" class="clGrasFond" align="right" valign="middle">
                    <xsl:if test="$NonResident='NR'">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m00_Cot'"/>
                      </xsl:call-template>
                    </xsl:if>
                    <xsl:if test="not($NonResident='NR')">
                      <xsl:value-of select="$dicoFR/mot[@id='m00_Cot']"/>
                    </xsl:if>
                    <xsl:value-of select="$valcot"/>
                  </td>
                </xsl:if>
                <xsl:if test="$valcot=''">
                  <td width="172" class="clGrasFond" align="right" valign="middle" >
                    &#160;
                  </td>
                </xsl:if>
              </tr>
            </table>
            <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
              <tr>
                <xsl:if test="$nomconj!=''">
                  <xsl:if test="$NonResident='NR'">
                    <xsl:if test="$Lang='FR'">
                      <td width="128" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                        </xsl:call-template>
                      </td>
                      <td width="237" class="clFond" colspan="2">
                        &#160;<xsl:value-of select="$nomconj"/>
                      </td>
                    </xsl:if>
                    <xsl:if test="$Lang='UK'">
                      <td width="140" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                        </xsl:call-template>
                      </td>
                      <td width="225" class="clFond" colspan="2">
                        &#160;<xsl:value-of select="$nomconj"/>
                      </td>
                    </xsl:if>
                  </xsl:if>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="128" class="clFond" valign="middle">
                      &#160;
                      <xsl:value-of select="$dicoFR/mot[@id='m00_Conjoi']"/>
                    </td>
                    <td width="237" class="clFond" colspan="2">
                      &#160;<xsl:value-of select="$nomconj"/>
                    </td>
                  </xsl:if>
                </xsl:if>
                <xsl:if test="$idrenv and (not($nomconj)or $nomconj='')">
                  <xsl:if test="$NonResident='NR'">
                    <xsl:if test="$Lang='FR'">
                      <td width="128" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                        </xsl:call-template>
                      </td>
                      <td width="237" class="clFond" colspan="2">
                        &#160;<xsl:call-template name ="displayIdentXsl">
                          <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                        </xsl:call-template>
                      </td>
                    </xsl:if>
                    <xsl:if test="$Lang='UK'">
                      <td width="140" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                        </xsl:call-template>
                      </td>
                      <td width="225" class="clFond" colspan="2">
                        &#160;<xsl:call-template name ="displayIdentXsl">
                          <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                        </xsl:call-template>
                      </td>
                    </xsl:if>
                  </xsl:if>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="128" class="clFond" valign="middle">
                      <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                    </td>
                    <td width="237" class="clFond" colspan="2">
                      &#160;<xsl:call-template name ="displayIdentXsl">
                        <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                      </xsl:call-template>
                    </td>
                  </xsl:if>
                </xsl:if>
                <xsl:if test="$idrenv or $nomconj!=''">
                  <td width="268" class="clFond" align="right">
                    &#160;
                    <xsl:if test="$datcot">
                      <xsl:if test="$NonResident='NR'">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                         <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                      </xsl:if>
                      <xsl:call-template name ="displayDateXsl">
                        <xsl:with-param name ="InputDate" select ="($datcot)"/>
                      </xsl:call-template>
                      <xsl:if test="$datexa!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datexa)"/>
                        </xsl:call-template>)
                      </xsl:if>
                    </xsl:if>
                  </td>
                </xsl:if>
                <xsl:if test="not($idrenv) and (not($nomconj)or$nomconj='')">
                  <td width="128" class="clFond">&#160;</td>
                  <td width="505" colspan="3" class="clFond" align="right">
                    &#160;
                    <xsl:if test="$datcot!=''">
                      <xsl:if test="$NonResident='NR'">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                      </xsl:if>
                      <xsl:call-template name ="displayDateXsl">
                        <xsl:with-param name ="InputDate" select ="($datcot)"/>
                      </xsl:call-template>
                      <xsl:if test="$datexa!=''">

                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datexa)"/>
                        </xsl:call-template>)
                      </xsl:if>
                    </xsl:if>
                  </td>
                </xsl:if>
              </tr>
            </table>
            <xsl:if test="$idrenv and $nomconj!=''">
              <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                <tr>
                  <xsl:if test="$NonResident='NR'">
                    <td width="158" class="clFond" valign="middle">
                      &#160;
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                      </xsl:call-template>
                    </td>
                    <td width="115" colspan="2" class="clFond">
                      &#160;<xsl:call-template name ="displayIdentXsl">
                        <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                      </xsl:call-template>
                    </td>
                    <td width="360" class="clFond" align="left">
                      <!--<a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                      </a>-->
                    </td>
                  </xsl:if>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="128" class="clFond" valign="middle">
                      &#160;
                      <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                    </td>
                    <td width="125" colspan="2" class="clFond">
                      &#160;<xsl:call-template name ="displayIdentXsl">
                        <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                      </xsl:call-template>
                    </td>
                    <td width="380" class="clFond" align="left">
                      <a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                      </a>
                    </td>
                  </xsl:if>
                </tr>
              </table>
            </xsl:if>
          </td>
        </tr>
      </table>
    </xsl:if>

    <xsl:if test="(/FIBEN/PERSONNE/MODULE37/PP37 | /FIBEN/PERSONNE/MODULE37/PPEI37)">
      <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
        <tr>
          <td>
            <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
              <tr>
                <xsl:if test="not($NonResident='NR')">
                  <td width="128" class="clGrasFond" valign="middle">
                    &#160;<xsl:call-template name ="displayIdent2Xsl">
                      <xsl:with-param name ="InputIdent" select ="($ident)"/>
                    </xsl:call-template>
                  </td>
                  <td width="243" class="clGrasFond" valign="middle">
                    &#160;<xsl:value-of select="$nom"/>
                  </td>
                </xsl:if>
                <xsl:if test="$NonResident='NR'">
                  <xsl:if test="$Lang='FR'">
                    <td width="128" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td width="243" class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$Lang='UK'">
                    <td width="145" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td class="clGrasFond" valign="middle">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                </xsl:if>
                <td width="90" class="clFond">
                  &#160;
                </td>
                <xsl:if test="$valcot!=''">
                  <td width="172" class="clGrasFond" align="right" valign="middle" >
                    <xsl:if test="$NonResident='NR'">
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m00_Indica'"/>
                      </xsl:call-template>
                    </xsl:if>
                    <xsl:if test="not($NonResident='NR')">
                      <xsl:value-of select="$dicoFR/mot[@id='m00_Indica']"/>
                    </xsl:if>
                    <xsl:value-of select="$valcot"/>
                  </td>
                </xsl:if>
                <xsl:if test="$valcot=''">
                  <td width="172" class="clGrasFond" align="right" valign="middle" >
                    &#160;
                  </td>
                </xsl:if>
              </tr>
            </table>
            <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
              <tr>
                <xsl:if test="$nomconj!=''">
                  <xsl:if test="$NonResident='NR'">
                    <xsl:if test="$Lang='FR'">
                      <td width="128" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                        </xsl:call-template>
                      </td>
                      <td width="237" class="clFond" colspan="2">
                        &#160;<xsl:value-of select="$nomconj"/>
                      </td>
                    </xsl:if>
                    <xsl:if test="$Lang='UK'">
                      <td width="140" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                        </xsl:call-template>
                      </td>
                      <td width="225" class="clFond" colspan="2">
                        &#160;<xsl:value-of select="$nomconj"/>
                      </td>
                    </xsl:if>
                  </xsl:if>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="128" class="clFond" valign="middle">
                      &#160;
                      <xsl:value-of select="$dicoFR/mot[@id='m00_Conjoi']"/>
                    </td>
                    <td width="237" class="clFond" colspan="2">
                      &#160;<xsl:value-of select="$nomconj"/>
                    </td>
                  </xsl:if>
                </xsl:if>
                <xsl:if test="$idrenv and (not($nomconj)or $nomconj='')">
                  <xsl:if test="$NonResident='NR'">
                    <xsl:if test="$Lang='FR'">
                      <td width="128" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                        </xsl:call-template>
                      </td>
                      <td width="237" class="clFond" colspan="2">
                        &#160;<xsl:call-template name ="displayIdentXsl">
                          <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                        </xsl:call-template>
                      </td>
                    </xsl:if>
                    <xsl:if test="$Lang='UK'">
                      <td width="140" class="clFond" valign="middle">
                        &#160;
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                        </xsl:call-template>
                      </td>
                      <td width="225" class="clFond" colspan="2">
                        &#160;<xsl:call-template name ="displayIdentXsl">
                          <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                        </xsl:call-template>
                      </td>
                    </xsl:if>
                  </xsl:if>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="128" class="clFond" valign="middle">
                      <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                    </td>
                    <td width="237" class="clFond" colspan="2">
                      &#160;<xsl:call-template name ="displayIdentXsl">
                        <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                      </xsl:call-template>
                    </td>
                  </xsl:if>
                </xsl:if>
                <xsl:if test="$idrenv or $nomconj!=''">
                  <td width="268" class="clFond" align="right">
                    &#160;
                    <xsl:if test="$datcot">
                      <xsl:if test="$NonResident='NR'">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                      </xsl:if>
                      <xsl:call-template name ="displayDateXsl">
                        <xsl:with-param name ="InputDate" select ="($datcot)"/>
                      </xsl:call-template>
                      <xsl:if test="$datexa!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datexa)"/>
                        </xsl:call-template>)
                      </xsl:if>
                    </xsl:if>
                  </td>
                </xsl:if>
                <xsl:if test="not($idrenv) and (not($nomconj)or$nomconj='')">
                  <td width="128" class="clFond">&#160;</td>
                  <td width="505" colspan="3" class="clFond" align="right">
                    &#160;
                    <xsl:if test="$datcot!=''">
                      <xsl:if test="$NonResident='NR'">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                        </xsl:call-template>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                      </xsl:if>
                      <xsl:call-template name ="displayDateXsl">
                        <xsl:with-param name ="InputDate" select ="($datcot)"/>
                      </xsl:call-template>
                      <xsl:if test="$datexa!=''">

                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                        </xsl:if>
                        <xsl:call-template name ="displayDateXsl">
                          <xsl:with-param name ="InputDate" select ="($datexa)"/>
                        </xsl:call-template>)
                      </xsl:if>
                    </xsl:if>
                  </td>
                </xsl:if>
              </tr>
            </table>
            <xsl:if test="$idrenv and $nomconj!=''">
              <table width="633" border="0" cellspacing="0" cellpadding="1" height="17">
                <tr>
                  <xsl:if test="$NonResident='NR'">
                    <td width="158" class="clFond" valign="middle">
                      &#160;
                      <xsl:call-template name="tradlib">
                        <xsl:with-param name="Lang" select="$Lang"/>
                        <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                      </xsl:call-template>
                    </td>
                    <td width="115" colspan="2" class="clFond">
                      &#160;<xsl:call-template name ="displayIdentXsl">
                        <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                      </xsl:call-template>
                    </td>
                    <td width="360" class="clFond" align="left">
                      <!--<a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                      </a>-->
                    </td>
                  </xsl:if>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="128" class="clFond" valign="middle">
                      &#160;
                      <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                    </td>
                    <td width="115" colspan="2" class="clFond">
                      &#160;<xsl:call-template name ="displayIdentXsl">
                        <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                      </xsl:call-template>
                    </td>
                    <td width="390" class="clFond" align="left">
                      <a href="#nullepart" onClick="requestBDFInfos('37','','{$familyNumber}','{$idrenv}',cstSimpleConfirm);">
                        <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                      </a>
                    </td>
                  </xsl:if>
                </tr>
              </table>
            </xsl:if>
          </td>
        </tr>
      </table>
    </xsl:if>

    <xsl:if test="not(/FIBEN/PERSONNE/MODULE37|/FIBEN/PERSONNE/MODULE39/DIFF39|/FIBEN/PERSONNE/MODULE53)">
      <xsl:if test="(not($valcot='J0' or $valcot='K0' or $valcot='L0' or $valcot='M0' or $valcot='X0') or $segment='')">

        <table width="635" border="0" cellspacing="0" cellpadding="1" height="34" class="clEnTeteTable">
          <tr>
            <td>
              <table width="633" border="0" cellspacing="0" cellpadding="0" height="17">
                <tr>
                  <xsl:if test="not($NonResident='NR')">
                    <td width="129" class="clGrasFond" valign="middle">
                      &#160;<xsl:call-template name ="displayIdent2Xsl">
                        <xsl:with-param name ="InputIdent" select ="($ident)"/>
                      </xsl:call-template>
                    </td>
                    <td width="404" class="clGrasFond" valign="middle" colspan="2">
                      &#160;<xsl:value-of select="$nom"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$NonResident='NR'">
                    <xsl:if test="$Lang='FR'">
                      <td width="129" class="clGrasFond" valign="middle">
                        &#160;<xsl:call-template name ="displayIdent2Xsl">
                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                        </xsl:call-template>
                      </td>
                      <td width="404" class="clGrasFond" valign="middle" colspan="2">
                        &#160;<xsl:value-of select="$nom"/>
                      </td>
                    </xsl:if>
                    <xsl:if test="$Lang='UK'">
                      <td width="145" class="clGrasFond" valign="middle">
                        &#160;<xsl:call-template name ="displayIdent2Xsl">
                          <xsl:with-param name ="InputIdent" select ="($ident)"/>
                        </xsl:call-template>
                      </td>
                      <td class="clGrasFond" valign="middle" colspan="2">
                        &#160;<xsl:value-of select="$nom"/>
                      </td>
                    </xsl:if>
                  </xsl:if>
                  <td width="100" class="clGrasFond" align="right" valign="middle">
                    &#160;

                    <!--***********************bandeau-->
                    <xsl:if  test="not((/FIBEN/PERSONNE/MODULE20)|(/FIBEN/PERSONNE/MODULE27/PM27/EI27)|(/FIBEN/PERSONNE/MODULE27/PP)|(/FIBEN/PERSONNE/MODULE37)|(/FIBEN/PERSONNE/MODULE54)|(/FIBEN/PERSONNE/MODULE56)|(/FIBEN/PERSONNE/MODULEDE/EIPP))">
                      <xsl:if test="not($valcot='NS')"> <!-- Cas du module 27, EJ Non rsident : Masque la cotation -->
                        <xsl:if test="$valcot and /FIBEN/@MODDEM!=20 and /FIBEN/@MODDEM!=37 and not(/FIBEN/@GRAPHE)">
                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Cot'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Cot']"/>
                          </xsl:if>
                          <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                            <u>
                              <xsl:value-of select="$valcot"/>
                            </u>
                          </a>&#160;
                        </xsl:if>
                      </xsl:if>
                      <xsl:if test="$valcot and (/FIBEN/@MODDEM=20 or /FIBEN/@MODDEM=37 or boolean(/FIBEN/@GRAPHE))">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_Cot'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_Cot']"/>
                        </xsl:if>
                        <xsl:value-of select="$valcot"/>&#160;
                      </xsl:if>
                    </xsl:if>
                    <xsl:if  test="((/FIBEN/PERSONNE/MODULE20/EJ)|(/FIBEN/PERSONNE/MODULE27/PM27/EI27/IDENTS)|(/FIBEN/PERSONNE/MODULE37/PM37)|(/FIBEN/PERSONNE/MODULE54/PM54/EJ)|(/FIBEN/PERSONNE/MODULE56/PM56/EJ)|(/FIBEN/PERSONNE/MODULEDE/EIPP/IDENTS))">
                      <xsl:if test="not($valcot='NS')">
                        <xsl:if test="$valcot and /FIBEN/@MODDEM!=20 and /FIBEN/@MODDEM!=37 and not(/FIBEN/@GRAPHE)">
                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Cot'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Cot']"/>
                          </xsl:if>
                          <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                            <u>
                              <xsl:value-of select="$valcot"/>
                            </u>
                          </a>&#160;
                        </xsl:if>
                        <xsl:if test="$valcot and (/FIBEN/@MODDEM=20 or /FIBEN/@MODDEM=37 or boolean(/FIBEN/@GRAPHE))">
                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Cot'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Cot']"/>
                          </xsl:if>
                          <xsl:value-of select="$valcot"/>&#160;
                        </xsl:if>
                      </xsl:if>
                    </xsl:if>
                    <xsl:if  test="((/FIBEN/PERSONNE/MODULE20/PP)|(/FIBEN/PERSONNE/MODULE27/PP)|(/FIBEN/PERSONNE/MODULE37/PP37)|(/FIBEN/PERSONNE/MODULE54/PP)|(/FIBEN/PERSONNE/MODULE54/PM54/EI54)|(/FIBEN/PERSONNE/MODULE56/PP)|(/FIBEN/PERSONNE/MODULE56/PM56/EI56))">
                      <xsl:if test="$valcot and /FIBEN/@MODDEM!=20 and /FIBEN/@MODDEM!=37 and not(/FIBEN/@GRAPHE)">
                        <xsl:if test="not($valcot='NS')">
                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Indica'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Indica']"/>
                          </xsl:if>
                          <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                            <u>
                              <xsl:value-of select="$valcot"/>
                            </u>
                          </a>&#160;
                        </xsl:if>
                      </xsl:if>
                      <xsl:if test="$valcot and (/FIBEN/@MODDEM=20 or /FIBEN/@MODDEM=37 or boolean(/FIBEN/@GRAPHE))">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_Indica'"/>
                          </xsl:call-template>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_Indica']"/>
                        </xsl:if>
                        <xsl:value-of select="$valcot"/>&#160;
                      </xsl:if>
                    </xsl:if>
                    <!--changement du parametre pour les ei interroges par une cl bdf -->
                    <xsl:if  test="((/FIBEN/PERSONNE/MODULE27/PM27/EI27/IDENTC)|(/FIBEN/PERSONNE/MODULEDE/EIPP/IDENTC))">
                      <xsl:if test="not($valcot='NS')">
                        <xsl:if test="$valindic and /FIBEN/@MODDEM!=20 and /FIBEN/@MODDEM!=37 and not(/FIBEN/@GRAPHE)">
                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Indica'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Indica']"/>
                          </xsl:if>
                          <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valindic}',cstCotation,'{$ident}')">
                            <u>
                              <xsl:value-of select="$valindic"/>
                            </u>
                          </a>&#160;
                        </xsl:if>
                      </xsl:if>
                      <xsl:if test="$valindic and (/FIBEN/@MODDEM=20 or /FIBEN/@MODDEM=37 or boolean(/FIBEN/@GRAPHE))">
                        <xsl:if test="not($valcot='NS')">
                          <xsl:if test="$NonResident='NR'">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Indica'"/>
                            </xsl:call-template>
                          </xsl:if>
                          <xsl:if test="not($NonResident='NR')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Indica']"/>
                          </xsl:if>
                          <xsl:value-of select="$valindic"/>&#160;
                        </xsl:if>
                      </xsl:if>
                    </xsl:if>
                    <!--fin du cas ligne 1 ei-idents-->
                  </td>
                </tr>
              </table>

              <!-- fin de ligne 1 cotation-->
              <table width="633" border="0" cellspacing="0" cellpadding="0" height="17">

                <xsl:if test="not((/FIBEN/PERSONNE/MODULE27/PM27/EI27)|(/FIBEN/PERSONNE/MODULEDE/EIPP))">
                  <tr>
                    <xsl:if test="not($valcot='NS')">
                      <xsl:if test="$nomconj!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:if test="$Lang='FR'">
                            <td width="129" class="clFond" valign="middle">
                              &#160;
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                              </xsl:call-template>
                            </td>
                            <td width="244" class="clFond" colspan="2">
                              &#160;<xsl:value-of select="$nomconj"/>
                            </td>
                          </xsl:if>
                          <xsl:if test="$Lang='UK'">
                            <td width="145" class="clFond" valign="middle">
                              &#160;
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                              </xsl:call-template>
                            </td>
                            <td width="228" class="clFond" colspan="2">
                              &#160;<xsl:value-of select="$nomconj"/>
                            </td>
                          </xsl:if>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <td width="129" class="clFond" valign="middle">
                            &#160;
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Conjoi']"/>
                          </td>
                          <td width="244" class="clFond" colspan="2">
                            &#160;<xsl:value-of select="$nomconj"/>
                          </td>
                        </xsl:if>
                      </xsl:if>
                    </xsl:if>
                    <xsl:if test="$idrenv and (not($nomconj)or $nomconj='')">
                      <xsl:if test="$NonResident='NR'">
                        <xsl:if test="$Lang='FR'">
                          <td width="129" class="clFond" valign="middle">
                            &#160;
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                            </xsl:call-template>
                          </td>
                          <td width="244" class="clFond" colspan="2">
                            &#160;<xsl:call-template name ="displayIdentXsl">
                              <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                            </xsl:call-template>
                          </td>
                        </xsl:if>
                        <xsl:if test="$Lang='UK'">
                          <td width="145" class="clFond" valign="middle">
                            &#160;
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                            </xsl:call-template>
                          </td>
                          <td width="228" class="clFond" colspan="2">
                            &#160;<xsl:call-template name ="displayIdentXsl">
                              <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                            </xsl:call-template>
                          </td>
                        </xsl:if>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <td width="129" class="clFond" valign="middle">
                          <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                        </td>
                        <td width="244" class="clFond" colspan="2">
                          &#160;<xsl:call-template name ="displayIdentXsl">
                            <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                          </xsl:call-template>
                        </td>
                      </xsl:if>
                    </xsl:if>
                    <xsl:if test="$idrenv or $nomconj!=''">
                      <td width="260" class="clFond" align="right">
                        &#160;
                        <xsl:if test="not($valcot='NS')"> <!-- Cas du module 27, EJ Non rsident : Masque la date de cotation -->
                          <xsl:if test="$datcot">
                            <xsl:if test="$NonResident='NR'">
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                              </xsl:call-template>
                            </xsl:if>
                            <xsl:if test="not($NonResident='NR')">
                              <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                            </xsl:if>
                            <xsl:call-template name ="displayDateXsl">
                              <xsl:with-param name ="InputDate" select ="($datcot)"/>
                            </xsl:call-template>
                            <xsl:if test="$datexa!=''">
                              <xsl:if test="$NonResident='NR'">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                </xsl:call-template>
                              </xsl:if>
                              <xsl:if test="not($NonResident='NR')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                              </xsl:if>
                              <xsl:call-template name ="displayDateXsl">
                                <xsl:with-param name ="InputDate" select ="($datexa)"/>
                              </xsl:call-template>)
                            </xsl:if>
                          </xsl:if>
                        </xsl:if>
                      </td>
                    </xsl:if>
                    <xsl:if test="not($idrenv) and (not($nomconj)or$nomconj='')">
                      <td width="129" class="clFond">&#160;</td>
                      <td width="504" colspan="3" class="clFond" align="right">
                        &#160;
                        <xsl:if test="not($valcot='NS')"> <!-- Cas du module 27, EJ Non rsident : Masque la date de cotation -->
                          <xsl:if test="$datcot!=''">
                            <xsl:if test="$NonResident='NR'">
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                              </xsl:call-template>
                            </xsl:if>
                            <xsl:if test="not($NonResident='NR')">
                              <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                            </xsl:if>
                            <xsl:call-template name ="displayDateXsl">
                              <xsl:with-param name ="InputDate" select ="($datcot)"/>
                            </xsl:call-template>
                            <xsl:if test="$datexa!=''">

                              <xsl:if test="$NonResident='NR'">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                </xsl:call-template>
                              </xsl:if>
                              <xsl:if test="not($NonResident='NR')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                              </xsl:if>
                              <xsl:call-template name ="displayDateXsl">
                                <xsl:with-param name ="InputDate" select ="($datexa)"/>
                              </xsl:call-template>)
                            </xsl:if>
                          </xsl:if>
                        </xsl:if>
                      </td>
                    </xsl:if>

                  </tr>
                  <xsl:if test="$idrenv and $nomconj!=''">
                    <tr>
                      <xsl:if test="$NonResident='NR'">
                        <td width="160" class="clFond" valign="middle">
                          &#160;
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                          </xsl:call-template>
                        </td>
                        <td width="213" colspan="2" class="clFond">
                          &#160;<xsl:call-template name ="displayIdentXsl">
                            <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                          </xsl:call-template>
                        </td>
                        <td width="260" class="clFond" align="right">&#160;</td>
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <td width="129" class="clFond" valign="middle">
                          &#160;
                          <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                        </td>
                        <td width="244" colspan="2" class="clFond">
                          &#160;<xsl:call-template name ="displayIdentXsl">
                            <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                          </xsl:call-template>
                        </td>
                        <td width="260" class="clFond" align="right">&#160;</td>
                      </xsl:if>
                    </tr>
                  </xsl:if>
                </xsl:if>
                <!--cas de ei avec rajout de l'indicateur dirigeant-->
                <xsl:if test="((/FIBEN/PERSONNE/MODULE27/PM27/EI27)|(/FIBEN/PERSONNE/MODULEDE/EIPP))">
                  <!--cas des cles bdf -->
                  <xsl:if  test="((/FIBEN/PERSONNE/MODULE27/PM27/EI27/IDENTC)|(/FIBEN/PERSONNE/MODULEDE/EIPP/IDENTC))">
                    <tr>
                      <xsl:if test="$nomconj!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:if test="$Lang='FR'">
                            <td width="129" class="clFond" valign="middle">
                              &#160;
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                              </xsl:call-template>
                            </td>
                            <td width="200" class="clFond" colspan="2">
                              &#160;<xsl:value-of select="$nomconj"/>
                            </td>
                          </xsl:if>
                          <xsl:if test="$Lang='UK'">
                            <td width="145" class="clFond" valign="middle">
                              &#160;
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                              </xsl:call-template>
                            </td>
                            <td width="228" class="clFond" colspan="2">
                              &#160;<xsl:value-of select="$nomconj"/>
                            </td>
                          </xsl:if>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <td width="129" class="clFond" valign="middle">
                            &#160;
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Conjoi']"/>
                          </td>
                          <td width="200" class="clFond" colspan="2">
                            &#160;<xsl:value-of select="$nomconj"/>
                          </td>
                        </xsl:if>
                      </xsl:if>
                      <xsl:if test="not(/FIBEN/PERSONNE/MODULE27/PM27/EI27/IDENTITE/NOMCONJ | /FIBEN/PERSONNE/MODULEDE/EIPP/IDENTITE/NOMCONJ)">

                        <td width="129" class="clFond" valign="middle">
                          &#160;
                        </td>
                        <td width="200" class="clFond" colspan="2" >
                          &#160;
                        </td>

                      </xsl:if>

                      <!--td width="129" class="clFond">&#160;</td-->
                      <td width="304" colspan="3" class="clFond" align="right">
                        &#160;
                        <xsl:if test="not($valcot='NS')">
                          <xsl:if test="$datindic!=''">
                            <xsl:if test="$NonResident='NR'">
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                              </xsl:call-template>
                            </xsl:if>
                            <xsl:if test="not($NonResident='NR')">
                              <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                            </xsl:if>
                            <xsl:call-template name ="displayDateXsl">
                              <xsl:with-param name ="InputDate" select ="($datindic)"/>
                            </xsl:call-template>
                            <xsl:if test="$indexa2!=''">

                              <xsl:if test="$NonResident='NR'">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                </xsl:call-template>
                              </xsl:if>
                              <xsl:if test="not($NonResident='NR')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                              </xsl:if>
                              <xsl:call-template name ="displayDateXsl">
                                <xsl:with-param name ="InputDate" select ="($indexa2)"/>
                              </xsl:call-template>)
                            </xsl:if>
                          </xsl:if>
                        </xsl:if>
                      </td>
                    </tr>
                    <!--ligne 3 idrenv avec sa cotation -->
                    <tr>
                      <xsl:if test="$NonResident='NR'">
                        <td width="129" class="clFond" valign="middle">
                          &#160;
                          <xsl:if test="not($valcot='NS')">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                            </xsl:call-template>
                          </xsl:if>
                        </td>
                        <td width="100"  class="clFond">
                          &#160;
                          <xsl:if test="not($valcot='NS')">
                            <xsl:call-template name ="displayIdentXsl">
                              <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </td>
                        <td width="100" class="clGrasFond" valign="middle" align="right">
                          &#160;
                          <xsl:if test="not($valcot='NS')">
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Cota'"/>
                            </xsl:call-template>

                            <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                              <u>
                                <xsl:value-of select="$valcot"/>
                              </u>
                            </a>&#160;
                          </xsl:if>
                        </td>
                        <td width="304" class="clFond" align="right">
                          &#160;
                          <xsl:if test="not($valcot='NS')">
                            <xsl:if test="$datcot!=''">
                              <xsl:if test="$NonResident='NR'">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                                </xsl:call-template>
                              </xsl:if>
                              <xsl:if test="not($NonResident='NR')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                              </xsl:if>
                              <xsl:call-template name ="displayDateXsl">
                                <!-- <xsl:with-param name ="InputDate" select ="($datindic)"/>-->
                                <xsl:with-param name ="InputDate" select ="($datcot)"/>
                              </xsl:call-template>
                              <xsl:if test="$datexa!=''">

                                <xsl:if test="$NonResident='NR'">
                                  <xsl:call-template name="tradlib">
                                    <xsl:with-param name="Lang" select="$Lang"/>
                                    <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                  </xsl:call-template>
                                </xsl:if>
                                <xsl:if test="not($NonResident='NR')">
                                  <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                                </xsl:if>
                                <xsl:call-template name ="displayDateXsl">
                                  <xsl:with-param name ="InputDate" select ="($datexa)"/>
                                </xsl:call-template>)
                              </xsl:if>
                            </xsl:if>
                          </xsl:if>
                        </td>



                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <td width="129" class="clFond" valign="middle">
                          &#160;
                          <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                        </td>
                        <td width="100"  class="clFond">
                          &#160;<xsl:call-template name ="displayIdentXsl">
                            <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                          </xsl:call-template>
                        </td>
                        <td width="100" class="clGrasFond" valign="middle" align="right">
                          &#160;
                          <xsl:if test="not($valcot='NS')">
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Cota']"/>
                            <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valcot}',cstCotation,'{$ident}')">
                              <u>
                                <xsl:value-of select="$valcot"/>
                              </u>
                            </a>&#160;
                          </xsl:if>
                        </td>
                        <td width="304" colspan="3" class="clFond" align="right">
                          &#160;
                          <xsl:if test="not($valcot='NS')">
                            <xsl:if test="$datcot!=''">
                              <xsl:if test="$NonResident='NR'">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                                </xsl:call-template>
                              </xsl:if>
                              <xsl:if test="not($NonResident='NR')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                              </xsl:if>
                              <xsl:call-template name ="displayDateXsl">
                                <xsl:with-param name ="InputDate" select ="($datcot)"/>
                              </xsl:call-template>
                              <xsl:if test="$datexa!=''">

                                <xsl:if test="$NonResident='NR'">
                                  <xsl:call-template name="tradlib">
                                    <xsl:with-param name="Lang" select="$Lang"/>
                                    <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                  </xsl:call-template>
                                </xsl:if>
                                <xsl:if test="not($NonResident='NR')">
                                  <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                                </xsl:if>
                                <xsl:call-template name ="displayDateXsl">
                                  <xsl:with-param name ="InputDate" select ="($datexa)"/>
                                </xsl:call-template>)
                              </xsl:if>
                            </xsl:if>
                            </xsl:if>
                        </td>
                      </xsl:if>
                    </tr>
                  </xsl:if>
                  <xsl:if  test="((/FIBEN/PERSONNE/MODULE27/PM27/EI27/IDENTS)|(/FIBEN/PERSONNE/MODULEDE/EIPP/IDENTS))">
                    <tr>
                      <xsl:if test="$nomconj!=''">
                        <xsl:if test="$NonResident='NR'">
                          <xsl:if test="$Lang='FR'">
                            <td width="129" class="clFond" valign="middle">
                              &#160;
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                              </xsl:call-template>
                            </td>
                            <td width="200" class="clFond" colspan="2">
                              &#160;<xsl:value-of select="$nomconj"/>
                            </td>
                          </xsl:if>
                          <xsl:if test="$Lang='UK'">
                            <td width="145" class="clFond" valign="middle">
                              &#160;
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_Conjoi'"/>
                              </xsl:call-template>
                            </td>
                            <td width="228" class="clFond" colspan="2">
                              &#160;<xsl:value-of select="$nomconj"/>
                            </td>
                          </xsl:if>
                        </xsl:if>
                        <xsl:if test="not($NonResident='NR')">
                          <td width="129" class="clFond" valign="middle">
                            &#160;
                            <xsl:value-of select="$dicoFR/mot[@id='m00_Conjoi']"/>
                          </td>
                          <td width="200" class="clFond" colspan="2">
                            &#160;<xsl:value-of select="$nomconj"/>
                          </td>
                        </xsl:if>
                      </xsl:if>
                      <xsl:if test="not(/FIBEN/PERSONNE/MODULE27/PM27/EI27/IDENTITE/NOMCONJ | /FIBEN/PERSONNE/MODULEDE/EIPP/IDENTITE/NOMCONJ)">

                        <td width="129" class="clFond" valign="middle">
                          &#160;

                        </td>
                        <td width="200" class="clFond" colspan="2">
                          &#160;
                        </td>


                      </xsl:if>
                      <!--td width="129" class="clFond">&#160;</td-->
                      <td width="304" colspan="3" class="clFond" align="right">
                        &#160;
                        <xsl:if test="not($valcot='NS')"> <!-- Cas du module 27, EI Non rsident : Masque la date de cotation -->
                          <xsl:if test="$datcot!=''">
                            <xsl:if test="$NonResident='NR'">
                              <xsl:call-template name="tradlib">
                                <xsl:with-param name="Lang" select="$Lang"/>
                                <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                              </xsl:call-template>
                            </xsl:if>
                            <xsl:if test="not($NonResident='NR')">
                              <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                            </xsl:if>
                            <xsl:call-template name ="displayDateXsl">
                              <xsl:with-param name ="InputDate" select ="($datcot)"/>
                            </xsl:call-template>
                            <xsl:if test="$datexa !=''">

                              <xsl:if test="$NonResident='NR'">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                </xsl:call-template>
                              </xsl:if>
                              <xsl:if test="not($NonResident='NR')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                              </xsl:if>
                              <xsl:call-template name ="displayDateXsl">
                                <xsl:with-param name ="InputDate" select ="($datexa)"/>
                              </xsl:call-template>)
                            </xsl:if>
                          </xsl:if>
                        </xsl:if>
                      </td>

                    </tr>
                    <!--ligne 3 idrenv avec sa cotation -->
                    <tr>
                      <xsl:if test="$NonResident='NR'">
                        <td width="129" class="clFond" valign="middle">
                          &#160;
                          <xsl:call-template name="tradlib">
                            <xsl:with-param name="Lang" select="$Lang"/>
                            <xsl:with-param name="codeLib" select="'m00_IdeRen'"/>
                          </xsl:call-template>
                        </td>
                        <td width="100"  class="clFond">
                          &#160;<xsl:call-template name ="displayIdentXsl">
                            <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                          </xsl:call-template>
                        </td>
                        <xsl:if test="not($valcot='NS')">
                          <td width="100" class="clGrasFond" valign="middle" align="right">
                            &#160;
                            <xsl:call-template name="tradlib">
                              <xsl:with-param name="Lang" select="$Lang"/>
                              <xsl:with-param name="codeLib" select="'m00_Indi'"/>
                            </xsl:call-template>
                            <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valindic}',cstCotation,'{$ident}')">
                              <u>
                                <xsl:value-of select="$valindic"/>
                              </u>
                            </a>&#160;
                          </td>
                          <td width="304" class="clFond" align="right">
                            &#160;
                            <xsl:if test="$datindic!=''">
                              <xsl:if test="$NonResident='NR'">
                                <xsl:call-template name="tradlib">
                                  <xsl:with-param name="Lang" select="$Lang"/>
                                  <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                                </xsl:call-template>
                              </xsl:if>
                              <xsl:if test="not($NonResident='NR')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                              </xsl:if>
                              <xsl:call-template name ="displayDateXsl">
                                <xsl:with-param name ="InputDate" select ="($datindic)"/>
                              </xsl:call-template>
                              <xsl:if test="$indexa2!=''">

                                <xsl:if test="$NonResident='NR'">
                                  <xsl:call-template name="tradlib">
                                    <xsl:with-param name="Lang" select="$Lang"/>
                                    <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                  </xsl:call-template>
                                </xsl:if>
                                <xsl:if test="not($NonResident='NR')">
                                  <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                                </xsl:if>
                                <xsl:call-template name ="displayDateXsl">
                                  <xsl:with-param name ="InputDate" select ="($indexa2)"/>
                                </xsl:call-template>)
                              </xsl:if>
                            </xsl:if>
                          </td>
                        </xsl:if> 
                      </xsl:if>
                      <xsl:if test="not($NonResident='NR')">
                        <xsl:if test="$idrenv !=''">
                          <td width="129" class="clFond" valign="middle">
                            &#160;
                            <xsl:value-of select="$dicoFR/mot[@id='m00_IdeRen']"/>
                          </td>
                          <td width="100"  class="clFond">
                            &#160;<xsl:call-template name ="displayIdentXsl">
                              <xsl:with-param name ="InputIdent" select ="($idrenv)"/>
                            </xsl:call-template>
                          </td>
                            <td width="100" class="clGrasFond" valign="middle" align="right">
                              &#160;
                              <xsl:if test="not($valcot='NS')">
                                <xsl:value-of select="$dicoFR/mot[@id='m00_Indi']"/>
                                <a href="#nullepart" class="clGrasFond" onclick="requestVariousInfos('{$valindic}',cstCotation,'{$ident}')">
                                  <u>
                                    <xsl:value-of select="$valindic"/>
                                  </u>
                                </a>&#160;
                              </xsl:if>
                            </td>
                            <td width="304" colspan="3" class="clFond" align="right">
                              &#160;
                              <xsl:if test="not($valcot='NS')">
                                <xsl:if test="$datindic!=''">
                                  <xsl:if test="$NonResident='NR'">
                                    <xsl:call-template name="tradlib">
                                      <xsl:with-param name="Lang" select="$Lang"/>
                                      <xsl:with-param name="codeLib" select="'m00_DepLe'"/>
                                    </xsl:call-template>
                                  </xsl:if>
                                  <xsl:if test="not($NonResident='NR')">
                                    <xsl:value-of select="$dicoFR/mot[@id='m00_DepLe']"/>
                                  </xsl:if>
                                  <xsl:call-template name ="displayDateXsl">
                                    <xsl:with-param name ="InputDate" select ="($datindic)"/>
                                  </xsl:call-template>
                                  <xsl:if test="$indexa2!=''">

                                    <xsl:if test="$NonResident='NR'">
                                      <xsl:call-template name="tradlib">
                                        <xsl:with-param name="Lang" select="$Lang"/>
                                        <xsl:with-param name="codeLib" select="'m00_RevLe'"/>
                                      </xsl:call-template>
                                    </xsl:if>
                                    <xsl:if test="not($NonResident='NR')">
                                      <xsl:value-of select="$dicoFR/mot[@id='m00_RevLe']"/>
                                    </xsl:if>
                                    <xsl:call-template name ="displayDateXsl">
                                      <xsl:with-param name ="InputDate" select ="($indexa2)"/>
                                    </xsl:call-template>)
                                  </xsl:if>
                                </xsl:if>
                              </xsl:if>
                            </td>
                          </xsl:if>
                      </xsl:if>
                    </tr>
                  </xsl:if>
                </xsl:if>
              </table>
            </td>
          </tr>
        </table>
      </xsl:if>
    </xsl:if>
  </xsl:template>

  <xsl:template name="shim">
    <xsl:element name="img">
      <xsl:attribute name="width">635</xsl:attribute>
      <xsl:attribute name="height">1</xsl:attribute>
      <xsl:attribute name="vspace">8</xsl:attribute>
      <xsl:attribute name="src">
      <xsl:value-of select="$root"/>Images/risque/shim.gif</xsl:attribute>
    </xsl:element>
  </xsl:template>

  <xsl:template name="fleche_haut">
    <a href="#ancHaut">
      <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
    </a>
  </xsl:template>

  <xsl:template match="HOMONYME">
    <a name="ancHomonyme"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
        <xsl:if test ="(/FIBEN/@MODDEM=37) and not(/FIBEN/PERSONNE/ENTMORT)">
            <tr>
                <td width="130" class="clTexte"> &#160;</td>
                <td class="clTexte" colspan="2" width="505">
                    &#160;
                </td>
            </tr>
        </xsl:if>            
      <xsl:apply-templates select="IDENTCH"/>
      <xsl:apply-templates select="DERNHOMO"/>
    </table>
    <xsl:if test ="not(/FIBEN/@MODDEM=37)">
    <xsl:call-template name="shim"/>
    </xsl:if>
    <xsl:if test="(/FIBEN/@MODDEM=DE)">
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="IDENTCH">
    <tr>
      <td width="130" class="clCouleur2">
        <xsl:if test="$NonResident='NR'">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m00_Homony'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="not($NonResident='NR')">
          <xsl:value-of select="$dicoFR/mot[@id='m00_Homony']"/>
        </xsl:if>
      </td>
      <td class="clFond" colspan="2" width="505">
        &#160;<xsl:value-of select="."/>
      </td>
    </tr>
    <xsl:if test="$NonResident = 'NR'">
      <tr>
        <td width="130"></td>
        <td colspan="2" width="505" align="right">&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="not($NonResident = 'NR')">
      <tr>
        <td width="130"></td>
        <td colspan="2" width="505" align="right">
          <a href="#nullepart" onclick="requestBDFInfos('{/FIBEN/@MODDEM}','','{$familyNumber}','{.}',cstSimpleConfirm);">
            <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" border="0" />
          </a>
        </td>
      </tr>
    </xsl:if>

  </xsl:template>


  <xsl:template match="IDLIES">
    <xsl:if test="/FIBEN/PERSONNE/MODULEDE">
      <xsl:if test="position()=last()">
        <xsl:if test="not(//HOMONYME)">
          <a name="ancHomonyme"></a>
        </xsl:if>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <xsl:if test="$NonResident='NR'">
            <xsl:if test="$Lang='FR'">
              <tr>
                <td width="130" class="clCouleur2" height="14">

                  <xsl:call-template name="tradlib">
                    <xsl:with-param name="Lang" select="$Lang"/>
                    <xsl:with-param name="codeLib" select="'m00_IdeLie'"/>
                  </xsl:call-template>

                </td>
                <td class="clTexte" colspan="2" width="497" height="14">
                  <xsl:if test="count(../IDLIES)=1">
                    &#160;<xsl:call-template name ="displayIdentXsl">
                      <xsl:with-param name ="InputIdent" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=2">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=3">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(../IDLIES[2])"/>
                      <xsl:with-param name ="InputIdent3" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="$Lang='UK'">
              <tr>
                <td width="165" class="clCouleur2" height="14">
                  <xsl:if test="$NonResident='NR'">
                    <xsl:call-template name="tradlib">
                      <xsl:with-param name="Lang" select="$Lang"/>
                      <xsl:with-param name="codeLib" select="'m00_IdeLie'"/>
                    </xsl:call-template>
                  </xsl:if>
                </td>
                <td class="clTexte" colspan="2" width="462" height="14">
                  <xsl:if test="count(../IDLIES)=1">
                    &#160;<xsl:call-template name ="displayIdentXsl">
                      <xsl:with-param name ="InputIdent" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=2">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=3">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(../IDLIES[2])"/>
                      <xsl:with-param name ="InputIdent3" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </xsl:if>
        </table>
        <xsl:if test="not($NonResident='NR')">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="128" class="clCouleur2" height="14">
                <xsl:value-of select="$dicoFR/mot[@id='m00_IdeLie']"/>
              </td>
              <td class="clTexte" colspan="2" width="495" height="14">
                <xsl:if test="count(../IDLIES)=1">
                  &#160;<xsl:call-template name ="displayIdentXsl">
                    <xsl:with-param name ="InputIdent" select ="(.)"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:if test="count(../IDLIES)=2">
                  &#160;<xsl:call-template name ="displayConcatIdentXsl">
                    <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                    <xsl:with-param name ="InputIdent2" select ="(.)"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:if test="count(../IDLIES)=3">
                  &#160;<xsl:call-template name ="displayConcatIdentXsl">
                    <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                    <xsl:with-param name ="InputIdent2" select ="(../IDLIES[2])"/>
                    <xsl:with-param name ="InputIdent3" select ="(.)"/>
                  </xsl:call-template>
                </xsl:if>
              </td>
            </tr>
          </table>
        </xsl:if>
      </xsl:if>
    </xsl:if>
    <xsl:if test="not(/FIBEN/PERSONNE/MODULEDE)">
      <xsl:if test="position()=last()">
        <xsl:if test="not(//HOMONYME)">
          <a name="ancHomonyme"></a>
        </xsl:if>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <xsl:if test="$NonResident='NR'">
            <xsl:if test="$Lang='FR'">
              <tr>
                <td width="130" class="clCouleur2" height="14">

                  <xsl:call-template name="tradlib">
                    <xsl:with-param name="Lang" select="$Lang"/>
                    <xsl:with-param name="codeLib" select="'m00_IdeLie'"/>
                  </xsl:call-template>

                </td>
                <td class="clFond" colspan="2" width="497" height="14">
                  <xsl:if test="count(../IDLIES)=1">
                    &#160;<xsl:call-template name ="displayIdentXsl">
                      <xsl:with-param name ="InputIdent" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=2">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=3">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(../IDLIES[2])"/>
                      <xsl:with-param name ="InputIdent3" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="$Lang='UK'">
              <tr>
                <td width="165" class="clCouleur2" height="14">
                  <xsl:if test="$NonResident='NR'">
                    <xsl:call-template name="tradlib">
                      <xsl:with-param name="Lang" select="$Lang"/>
                      <xsl:with-param name="codeLib" select="'m00_IdeLie'"/>
                    </xsl:call-template>
                  </xsl:if>
                </td>
                <td class="clFond" colspan="2" width="462" height="14">
                  <xsl:if test="count(../IDLIES)=1">
                    &#160;<xsl:call-template name ="displayIdentXsl">
                      <xsl:with-param name ="InputIdent" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=2">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="count(../IDLIES)=3">
                    &#160;<xsl:call-template name ="displayConcatIdentXsl">
                      <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                      <xsl:with-param name ="InputIdent2" select ="(../IDLIES[2])"/>
                      <xsl:with-param name ="InputIdent3" select ="(.)"/>
                    </xsl:call-template>
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </xsl:if>
        </table>
        <xsl:if test="not($NonResident='NR')">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="128" class="clCouleur2" height="14">
                <xsl:value-of select="$dicoFR/mot[@id='m00_IdeLie']"/>
              </td>
              <td class="clFond" colspan="2" width="495" height="14">
                <xsl:if test="count(../IDLIES)=1">
                  &#160;<xsl:call-template name ="displayIdentXsl">
                    <xsl:with-param name ="InputIdent" select ="(.)"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:if test="count(../IDLIES)=2">
                  &#160;<xsl:call-template name ="displayConcatIdentXsl">
                    <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                    <xsl:with-param name ="InputIdent2" select ="(.)"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:if test="count(../IDLIES)=3">
                  &#160;<xsl:call-template name ="displayConcatIdentXsl">
                    <xsl:with-param name ="InputIdent1" select ="(../IDLIES[1])"/>
                    <xsl:with-param name ="InputIdent2" select ="(../IDLIES[2])"/>
                    <xsl:with-param name ="InputIdent3" select ="(.)"/>
                  </xsl:call-template>
                </xsl:if>
              </td>
            </tr>
          </table>
        </xsl:if>
        <xsl:call-template name="shim"/>
      </xsl:if>


    </xsl:if>
  </xsl:template>

  <xsl:template match="IDENTNATIONAL">

    <!--MODULE27-->
    <xsl:if test="(/FIBEN/PERSONNE/MODULE27/PM27)">


      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <xsl:if test="$NonResident='NR'">
          <br/>
        </xsl:if>
        <tr>
          <td width="130" class="clCouleur2">
            <xsl:if test="$NonResident='NR'">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m00_Idnatio'"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:if test="not($NonResident='NR')"><xsl:value-of select="$dicoFR/mot[@id='m00_Idnatio']"/></xsl:if>
          </td>
          <td class="clTexte" colspan="2" width="505">
            &#160;<xsl:value-of select="."/>
          </td>
        </tr>
      </table>
    </xsl:if>
    <!--MODULE27-->
    <xsl:if test="not(/FIBEN/PERSONNE/MODULE27/PM27)">
      <xsl:if test="/FIBEN/PERSONNE/ENTMORT[@ISCODE='1']">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="130" class="clCouleur2">
              <xsl:if test="$NonResident='NR'">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m00_Idnatio'"/>
                </xsl:call-template>
              </xsl:if>
              <xsl:if test="not($NonResident='NR')"><xsl:value-of select="$dicoFR/mot[@id='m00_Idnatio']"/></xsl:if>
            </td>
            <td class="clTexte" colspan="2" width="505">
              &#160;<xsl:value-of select="."/>
            </td>
          </tr>
        </table>
      </xsl:if>
      <xsl:if test="not(/FIBEN/PERSONNE/ENTMORT[@ISCODE='1'])">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <br />
          <tr>
            <td width="130" class="clCouleur2">
              <xsl:if test="$NonResident='NR'">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m00_Idnatio'"/>
                </xsl:call-template>
              </xsl:if>
              <xsl:if test="not($NonResident='NR')"><xsl:value-of select="$dicoFR/mot[@id='m00_Idnatio']"/></xsl:if>
            </td>
            <td class="clTexte" colspan="2" width="505">
              &#160;<xsl:value-of select="."/>
            </td>
          </tr>
        </table>
      </xsl:if>
    </xsl:if>




  </xsl:template>
  <xsl:template name="genTitreModule">
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:if test="$NonResident='NR'">
          <td width="617" align="left" valign="top" class="clCouleur1">
            <xsl:if test="$Lang='UK'">
              <xsl:value-of disable-output-escaping="yes" select="document('../../Ressources/XML/DicoLibelleUK.xml')/dictionnaire/titre[@module=$moddem]"/>
            </xsl:if>

            <xsl:if test="$Lang='FR'">
              <xsl:value-of disable-output-escaping="yes" select="$dictionnaire/titre[@module=$moddem]"/>
            </xsl:if>

            <xsl:if test="/FIBEN/@GRAPHE"> - Graphique(s)</xsl:if>
          </td>
        </xsl:if>
        <xsl:if test="not($NonResident='NR')">
          <td width="617" align="left" valign="top" class="clCouleur1">
            <xsl:value-of disable-output-escaping="yes" select="$dictionnaire/titre[@module=$moddem]"/>
            <xsl:if test="/FIBEN/@GRAPHE"> - Graphique(s)</xsl:if>
          </td>
        </xsl:if>

        <td width="18" align="center" valign="middle">
          <span id="imgNumMod"><xsl:value-of select="$moddem"/></span>
        </td>
      </tr>
    </table>
    <br/>
  </xsl:template>


  <xsl:template name="genBasPage">
   
        <div class="maincontainer horizontal-auto">
          <p id="pConfidentiel">
            <span id="ctl00_lbConfidentiel" >
              <xsl:if test="$NonResident='NR'">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m00_InfCon'"/>
                </xsl:call-template>
              </xsl:if>
              <xsl:if test="$NonResident=''">
                <xsl:value-of select="$dicoFR/mot[@id='m00_InfCon']"/>
              </xsl:if>
            </span>
          </p>
        </div>
          <!-- pied de page -->
          <div id="DivPiedPage" class="maincontainer horizontal-auto clTextCenter" >
            <!-- ligne des menus aide, info, plan, contacts -->
            <div class="clBandeauBoutons3">
              <ul id="lstBoutonsPiedPage" class="lstBoutonsPiedPage colorBodyNewHome">
                <li>
                  <span id="btbdf" class="clTransparent clTitreGris " >&#169; Banque de France 2016</span>
                </li>
                <li>
                  <xsl:if test="$Lang='FR'">
                    <button id="btContacts" class="clTransparent clTitreGris" onclick="requestStatic(&#39;&#39;,cstContact);return false;">Contacts</button>
                  </xsl:if>
                  <xsl:if test="$Lang=''">
                    <button id="btContacts" class="clTransparent clTitreGris" onclick="requestStatic(&#39;&#39;,cstContact);return false;">Contacts</button>
                  </xsl:if>
                  <xsl:if test="$Lang='UK'">
                    <button id="btContacts" class="clTransparent clTitreGris" onclick="requestStatic(&#39;&#39;,cstContactUK);return false;">Contacts</button>
                  </xsl:if>                  
                </li>
                <li>
                  <button id="btPortail" class="clTransparent clTitreGris" onclick="requestStatic(&#39;&#39;,cstPortail);return false;">Portail</button>
                </li>

              </ul>
            </div>

          </div>
      
    
  </xsl:template>
  
  <xsl:template name="genFlecheHaut">
    <td width="53" align="right">
      <a href="#ancHaut">
        <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
      </a>
    </td>
  </xsl:template>

  <xsl:template name="genFondMenu">
    <xsl:param name="root" select="''"/>
    <xsl:param name="type" select="''"/>
    <a id="ancHaut" name="ancHaut"></a>
    <div id="DivEntete" class="maincontainer horizontal-auto" >
      <div onmouseover="cacheMenus();" class="clBandeauLogos" >
        <!-- haut de l'entete  3 div pour ligne des logos -->
        <div class="divLogoG" >
          <a href="{$root}home.aspx">
            <img id="imgLogoFiben" src="{$root}Images/commun/logo_f.png" style="border-width:0px;"  alt="Accueil" title="Accueil"/>
          </a>
        </div>
        <div class="divLogoC"  >
          <span id="lbTitre1" class="clTitreOrange clFloatLeft">
            <xsl:value-of select="$dictionnaire/titre[@module='Z0']"/>
          </span>
          <br />
          <xsl:choose >
            <xsl:when test="$type='ralph'">
              <div id="titreEnteteFiben">
                <span id="lbTitre2" class="clTitreGris"> 
                  <xsl:value-of select="$dictionnaire/mot[@id='SERV']"/> </span>
                <span id="ctl00_lbTitre3" class="clTitreOrange ">&#160;
                  <xsl:value-of select="$dictionnaire/mot[@id='MAITRISQ']"/>
                </span>
              </div>
            </xsl:when>
            <xsl:when test="$type='suivi'">
              <div  id="titreEnteteFiben">
                  <span id="lbTitre2" class="clTitreGris">Suividirect </span>
              </div>
            </xsl:when>
            <xsl:otherwise>
              <form id="frmIdentOuNom" method="get" target="" action="javascript:moduleRequest('',window.document.location);">
              <div id="titreEnteteFiben" >
                <span id="lbTitre2" class="clTitreGris clFont12 ">
                  <xsl:if test="$NonResident='NR'">
                    <xsl:call-template name="tradlib">
                      <xsl:with-param name="Lang" select="$Lang"/>
                      <xsl:with-param name="codeLib" select="'m00_NouIde'"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="$NonResident=''">
                    <xsl:value-of select="$dicoFR/mot[@id='m00_NouIde']"/>
                  </xsl:if>
                </span>
                &#160;<input type="text" id="ident" size="20" value="" class="clinputIdent colorBodyNewHome" />
                <button class="clbtNewIdent clAlignBottom" onclick="document.forms['frmIdentOuNom'].Submit;" ></button>
              </div>
              </form>
            </xsl:otherwise>
          </xsl:choose>
        </div>
        
        <div class="divLogoD"  >
          <input type="image" name="imbLogoBDF1" id="imbLogoBDF1" src="{$root}Images/commun/logoBDF.png" onclick="requestStatic(&#39;&#39;,cstSiteBDF);" style="border-width:0px;" />
        </div>
      </div>
    </div>
    
  </xsl:template>

  <xsl:template name="genLigneConfidentiel">
    <tr>
      <td width="64">
        <img src="{$root}Images/Commun/shim.gif" width="14" height="15" />
      </td>
      <td  class="clTexteGras" colspan="2" >
        <span style="width:550; float:left" >
          <xsl:if test="$NonResident='NR'">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m00_Conf'"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$NonResident=''">
            <xsl:value-of select="$dicoFR/mot[@id='m00_Conf']"/>
          </xsl:if>
        </span>
        <span style="width:80; text-align:right; float:left">
          <xsl:call-template name ="displayDateJourXsl">
            <xsl:with-param name ="InputDate" select ="(/FIBEN/@DATJOUR)"/>
          </xsl:call-template>
        </span>
      </td>
      <td class="clTexteGras" align="right">
        
      </td>

    </tr>

  </xsl:template>

  <xsl:template match="DATBILS">
    <a name="ancCotation"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td  width="392" class="clCouleur2">
          <xsl:if test="$NonResident='NR'">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m00_DeBiSo'"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="not($NonResident='NR')">
            <xsl:value-of select="$dicoFR/mot[@id='m00_DeBiSo']"/>
          </xsl:if>
        </td>
        <td  colspan="3" width="243" class="clFond">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="DATBILC">
    <a name="ancCotation"></a>
    <xsl:variable name="existDatbils" select="../DATBILS"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="392" class="clCouleur2">
          <xsl:if test="$NonResident='NR'">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m00_DeBiCo'"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$NonResident=''">
             <xsl:value-of select="$dicoFR/mot[@id='m00_DeBiCo']"/>
          </xsl:if>
        </td>
        <xsl:if test="not($existDatbils)">
          <td colspan="3"  width="243" class="clFond">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(.)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="$existDatbils">
          <td colspan="3" width="243" class="clTexte">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(.)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="COTPREC">
    <xsl:variable name="existDatbil" select="count(../DATBILS)+count(../DATBILC)"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <xsl:if test="position() mod 2 != 0">
        <tr>
          <xsl:if test="/FIBEN/PERSONNE/MODULE27/PP | /FIBEN/PERSONNE/MODULE37/PP37 | /FIBEN/PERSONNE/MODULE37/PPEI37">
            <xsl:if test="$NonResident='NR'">
              <td width="392" class="clCouleur2">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_IndPre'"/>
                </xsl:call-template>
              </td>
            </xsl:if>
            <xsl:if test="$NonResident=''">
              <td width="392" class="clCouleur2">
                <xsl:value-of select="$dicoFR/mot[@id='m27_IndPre']"/>
              </td>
            </xsl:if>
          </xsl:if>
            <xsl:if test="((/FIBEN/PERSONNE/MODULE27/PM27/EI27) | (/FIBEN/PERSONNE/MODULE27/PM27/EJ27) | (/FIBEN/PERSONNE/MODULEDE/EIPP ) | (/FIBEN/PERSONNE/MODULEDE/EJ) |(/FIBEN/PERSONNE/MODULEAN/EJ) | (/FIBEN/PERSONNE/MODULE37/PM37/EJ37) | (/FIBEN/PERSONNE/MODULE37/PM37/EI37))">
            <xsl:if test="$NonResident='NR'">
              <td width="392" class="clCouleur2">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_CotPre'"/>
                </xsl:call-template>
              </td>
            </xsl:if>
            <xsl:if test="$NonResident=''">
              <td width="392" class="clCouleur2">
                <xsl:value-of select="$dicoFR/mot[@id='m27_CotPre']"/>
              </td>
            </xsl:if>
          </xsl:if>            
          <xsl:if test="$existDatbil=0 or $existDatbil=2">
              <td width="69" class="clFond">
              &#160;<xsl:value-of select="VALCOT"/>
            </td>
            <td width="105" class="clCouleur2" align="center">Date</td>           
              
            <td width="69" class="clFond">
              &#160;<xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
              </xsl:call-template>
            </td>
          </xsl:if>            
          <xsl:if test="$existDatbil=1">
              <xsl:choose >
                  <xsl:when test ="((/FIBEN/PERSONNE/MODULE37/PM37/EJ37) | (/FIBEN/PERSONNE/MODULE37/PM37/EI37))">
                      <td width="69" class="clFond">
                          &#160;<xsl:value-of select="VALCOT"/>
                      </td>
                      <td width="105" class="clCouleur2" align="center">Date</td>
                      <td width="69" class="clFond">
                          &#160;<xsl:call-template name ="displayDateXsl">
                              <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
                          </xsl:call-template>
                      </td>
                  </xsl:when>
                  <xsl:otherwise>
                      <td width="69" class="clTexte">
                          &#160;<xsl:value-of select="VALCOT"/>
                      </td>
                      <td width="105" class="clCouleur2" align="center">Date</td>
                      <td width="69" class="clTexte">
                          &#160;<xsl:call-template name ="displayDateXsl">
                              <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
                          </xsl:call-template>
                      </td>
                  </xsl:otherwise>
              </xsl:choose>         
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="position() mod 2 = 0">
        <tr>
          <xsl:if test="$existDatbil=0 or $existDatbil=2">
            <td width="392" class="clCouleur2">&#160;</td>
            <td width="69" class="clTexte">
              &#160;<xsl:value-of select="VALCOT"/>
            </td>
            <td width="105" class="clCouleur2" align="center" height="18">Date</td>
            <td width="69" class="clTexte" height="18">
              &#160;<xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$existDatbil=1">
            <td width="392" class="clCouleur2">&#160;</td>
            <td width="69" class="clFond">
              &#160;<xsl:value-of select="VALCOT"/>
            </td>
            <td width="105" class="clCouleur2" align="center" height="18">Date</td>
            <td width="69" class="clFond" height="18">
              &#160;<xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </table>
  </xsl:template>

  <xsl:template match="INDPREC">

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:if test="position() mod 2 != 0">
          <xsl:if test="((/FIBEN/PERSONNE/MODULE27/PM27/EI27) | (/FIBEN/PERSONNE/MODULEDE/EIPP))">
            <xsl:if test="$NonResident='NR'">
              <td width="392" class="clCouleur2">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_IndPre'"/>
                </xsl:call-template>
              </td>
            </xsl:if>
            <xsl:if test="$NonResident=''">
              <td width="392" class="clCouleur2">
                <xsl:value-of select="$dicoFR/mot[@id='m27_IndPre']"/>
              </td>
            </xsl:if>
          </xsl:if>


          <td width="69" class="clFond">
            &#160;<xsl:value-of select="VALINDIC"/>
          </td>
          <td width="105" class="clCouleur2" align="center">Date</td>
          <td width="69" class="clFond">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATINDIC)"/>
            </xsl:call-template>
          </td>

        </xsl:if>
      </tr>
      <xsl:if test="position() mod 2 = 0">
        <tr>

          <td width="392" class="clCouleur2">&#160;</td>
          <td width="69" class="clTexte">
            &#160;<xsl:value-of select="VALINDIC"/>
          </td>
          <td width="105" class="clCouleur2" align="center" height="18">Date</td>
          <td width="69" class="clTexte" height="18">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATINDIC)"/>
            </xsl:call-template>
          </td>

        </tr>
      </xsl:if>
    </table>
  </xsl:template>

  <xsl:template match="FONCTCOT">
    <!--&#160;<xsl:apply-templates select="node()[position()=1]"/><br/>-->
	&#160;<xsl:apply-templates select="*[position()=1]"/>	
  </xsl:template>

  <xsl:template match="ERREUR">
    <xsl:param name="alerte" select="'true'"/>
    <tr>
      <td width="14"></td>
      <td colspan="4">
        <xsl:call-template name="genTitreModule" />
        <!--07/11/2008 genidentificaiton si ident vide = erreur call move next produite par javascript displayident -->
        <xsl:if test="IDENT = '' ">
          <xsl:variable name ="idnonvide" select ="'_'"  />
          <xsl:call-template name="genIdentification">
            <xsl:with-param name="ident" select="$idnonvide"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="IDENT != '' " >
          <xsl:variable name ="idnonvide" select ="IDENT"  />
          <xsl:call-template name="genIdentification">
            <xsl:with-param name="ident" select="$idnonvide"/>
          </xsl:call-template>
        </xsl:if>


      </td>
    </tr>
    <tr>
      <td width="14"></td>
      <td colspan="4">&#160;</td>
    </tr>
    <tr>
      <td width="14"></td>
      <td colspan="4">
        <xsl:call-template name="shim"/>
      </td>
    </tr>
    <tr>
      <td width="14"></td>
      <td colspan="3" class="clCouleur2" valign="top">
        <xsl:apply-templates select="MSG/UT|MSG/UCR/*|MSG/IET01"/>
      </td>
      <td>&#160;</td>
    </tr>
    <!--cas particulier du module OD : il faut en plus du message d'erreur un lien vers le module 56-->
    <xsl:if test ="$moddem = 'OD'">
      <!--liens vers module 56-->
      <xsl:if test="MSG/UCR/IST06 | MSG/UCR/IST09 | MSG/UCR/U101">
        <tr>
          <td width="14"></td>
          <td colspan="4">
            <xsl:call-template name="shim"/>
          </td>
        </tr>
        <tr>
          <td width="14"></td>
          <td width="411" height="10" colspan="2" class="clCouleur2" valign="middle" >
            <xsl:value-of select="($dictionnaire/mot[@id='OD56'])"></xsl:value-of>
          </td>
          <td width="105" height="10" align="right" valign="middle">
            <a href="#nullepart" onClick="requestBDFInfos('56','','{$familyNumber}','{EJ/IDENTS}',cstSimpleConfirm);">
              <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
            </a>
          </td>
          <td>&#160;</td>
        </tr>
      </xsl:if>
    </xsl:if>
    <tr>
      <td width="14"></td>
      <td colspan="4">
        <xsl:call-template name="shim"/>
      </td>
    </tr>
    <tr height="50">
      <td width="442" colspan="2"></td>

      <td width="78"></td>
      <!--<xsl:call-template name="genFlecheHaut"/>-->
    </tr>
    <!--<xsl:call-template name="genBasPage"/>-->
  </xsl:template>


  <xsl:template name="tradlib">
    <xsl:param name="codeLib"/>
    <!--xsl:value-of select="$Lang"/-->
    <xsl:if test="$Lang='FR'">
      <xsl:value-of select="$dicoFR/mot[@id=$codeLib]"/>
    </xsl:if>
    <xsl:if test="$Lang='UK'">
      <xsl:value-of select="$dicoUK/mot[@id=$codeLib]"/>
    </xsl:if>
  </xsl:template>

  <xsl:template name="tradLibNaf">
    <xsl:param name="codelib"/>
    <xsl:if test="$Lang = 'FR'">
      <xsl:value-of select="$dictionnaire/division/ssclasse[@id=$codelib]"/>
    </xsl:if>
    <xsl:if test="$Lang = 'UK'">
      <xsl:variable name="dictionnaire" select="document('../../Ressources/XML/DicoLibelleUK.xml')/dictionnaire"/>
      <xsl:value-of select="$dictionnaire/division/ssclasse[@id=$codelib]"/>
    </xsl:if>
  </xsl:template>




</xsl:stylesheet>
