<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="root" select="''"/>
  
<xsl:template match="AFFECTATION">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">AFFECTATION DU RSULTAT DU DERNIER EXERCICE<br /></td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>	
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td width="200" class="clCouleur2" height="15">&#160;Rsultat de l'exercice</td>
			<xsl:apply-templates select="p0DA"/>
			<td width="85" class="clCouleur2">&#160;</td>
			<td width="200" class="clCouleur2" height="15">&#160;Distribution de dividendes</td>
			<xsl:apply-templates select="pK00036"/>
		</tr>
		<tr> 
			<td width="200" class="clCouleur2" height="15">&#160;Report  nouveau antrieur</td>
			<xsl:apply-templates select="p0CA"/>
			<td width="85" class="clCouleur2">&#160;&#160;&#160;&#160;&#160;rparti en&#160;</td>
			<td width="200" class="clCouleur2" height="15">&#160;Report  nouveau</td>
			<xsl:apply-templates select="pZGA"/>
		</tr>
		<tr> 
			<td width="200" class="clCouleur2" height="15">&#160;Prlv. antrieurs sur rserves</td>
			<xsl:apply-templates select="p0EA"/>
			<td width="85" class="clCouleur2">&#160;</td>
			<td width="200" class="clCouleur2" height="15">&#160;Prlv. antrieurs sur rserves</td>
			<xsl:apply-templates select="pK00362"/>
		</tr>
		<tr> 
			<td width="200" class="clCouleur2" height="15">&#160;Total affectation par anticipation</td>
			<xsl:apply-templates select="pK00858"/>
			<td width="85" class="clCouleur2" colspan="4">&#160;</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
</xsl:template>
  
<xsl:template match="p0DA|p0CA|p0EA|pK00036|pZGA|pK00362">
	<td class="clFond" width="75" align="right">
		<xsl:if test="@ETAT">
			<xsl:value-of select="@ETAT"/>
		</xsl:if>
		<xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>
		</xsl:if>
	</td>
	<td class="clFond" width="1">&#160;</td>
</xsl:template>

<xsl:template match="pK00858">
	<td class="clGrasFond" width="75" align="right">
		<xsl:if test="@ETAT">
			<xsl:value-of select="@ETAT"/>
		</xsl:if>
		<xsl:if test="not(@ETAT)">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>
		</xsl:if>
	</td>
	<td class="clGrasFond" width="1">&#160;</td>
</xsl:template>

<xsl:template match="STECONSO" mode="genLib">
	<xsl:param name="goIdent" select="''"/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td colspan="2" class="clCouleur2">&#160;<xsl:apply-templates select="."/>
			</td>
		</tr>
		<tr>
			<td width="130"/>
			<td width="505" align="right">
				<a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','{$familyNumber}','{$goIdent}',cstMultipleConfirm);">
				<img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
				</a>
			</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/>
	<br/>
</xsl:template>
	
<xsl:template match="EJ">
	<xsl:if test="position()=1">
		<table width="635" border="0" cellspacing="0" cellpadding="0">
			<tr align="center">
				<td class="clCouleur2">SOCIT(S) CONSOLIDANT L'ENTREPRISE<br/>
				</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/>
		<br/>
	</xsl:if>
  <table width="635" border="0" cellspacing="0" cellpadding="0">
    <tr>
		<td width="130" class="clFond" height="14">&#160;<xsl:call-template name ="displaySirenXsl">
      <xsl:with-param name ="InputSiren" select ="(IDENTS)"/>
    </xsl:call-template>
  </td>
		<td width="425" class="clFond" height="14">&#160;<xsl:value-of select="DENOM"/>
		</td>
      <td width="80" class="clFond" align="right">
        au <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(@DATPERI)"/>
        </xsl:call-template>
      </td>
	</tr>
	<tr>
		<td width="130"/>
		<td width="425"/>
		<td width="80" align="right">
			<a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','{$familyNumber}','{IDENTS}',cstMultipleConfirm);">
			<img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
			</a>
		</td>
	</tr>
  </table>
  <xsl:if test="position()=last()">
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:if>
</xsl:template>
</xsl:stylesheet>
