<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>

  <xsl:param name="root" select="''"/>
  
<xsl:template match="DENOM" mode="display3lignes">
	<div class="clOrgTexteGrasBox">
		<xsl:value-of select="substring(.,1,16)"/><br />
		<xsl:value-of select="substring(.,17,16)"/><br />
		<xsl:value-of select="substring(.,33,14)"/>
		<xsl:if test="substring(.,33,14)=''">
			<br />
		</xsl:if>
		<xsl:if test="substring(.,47)!=''">
			<img src="{$root}Images/Commun/org_denom.gif" width="20" height="10" hspace="0" border="0" title="{.}" alt="{.}" />
		</xsl:if>
	</div>
</xsl:template>

<xsl:template match="PP" mode="display2lignes">
  <xsl:variable name="nom_prenom">
    <xsl:call-template name ="displayInLowerCaseXsl">
      <xsl:with-param name ="InputStringNom" select ="(IDENTITE/NOM)"/>
      <xsl:with-param name ="InputStringPrenom" select ="(IDENTITE/PRENOM)"/>
    </xsl:call-template>    
  </xsl:variable>
	<div class="clOrgTexteGrasBox">
		<xsl:value-of select="substring($nom_prenom,1,16)"/><br />
		<xsl:value-of select="substring($nom_prenom,17,14)"/>
		<xsl:if test="substring($nom_prenom,31)!=''">
			<img src="{$root}Images/Commun/org_denom.gif" width="20" height="10" hspace="0" border="0" title="{$nom_prenom}" alt="{$nom_prenom}" />
		</xsl:if>
		<xsl:if test="substring($nom_prenom,17,14)=''">
			&#160;
		</xsl:if>
		<xsl:if test="IDENTITE/NOMCONJ">
			<div class="clOrgTexteBox">
				Nom marital <xsl:value-of select="substring(IDENTITE/NOMCONJ,1,5)"/>
				<xsl:if test="substring(IDENTITE/NOMCONJ,6)!=''">
					<img src="{$root}Images/Commun/org_denom.gif" width="20" height="10" hspace="0" border="0" title="{IDENTITE/NOMCONJ}" alt="{IDENTITE/NOMCONJ}" />
				</xsl:if>
			</div>
		</xsl:if>
		<xsl:if test="not(IDENTITE/NOMCONJ)">
			<br />&#160;
		</xsl:if>
	</div>
</xsl:template>

</xsl:stylesheet>
