<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun.xsl"/>
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="root" select="''"/>
	<xsl:param name="module" select="''"/>
	<xsl:param name="refint" select="''"/>
	<xsl:param name="id" select="''"/>
	<xsl:param name="origine" select="''"/>
	<xsl:param name="Lang" select="''"/>
  <xsl:param name="SimpleRalph" select="''"/>
  <xsl:variable name="dicoFR" select="document('../../Ressources/XML/DicoFR.xml')/dicoFR"/>
  <xsl:variable name="dicoUK" select="document('../../Ressources/XML/DicoUK.xml')/dicoUK"/>
  <xsl:variable name="dicoPays" select="document('../../Ressources/XML/DicoPays.xml')/dicoPAYS"/>
  <xsl:variable name="dictionnaire" select="document('../../Ressources/XML/DicoLibelle.xml')/dictionnaire"/>
  <xsl:variable name="dicoPaysUK" select="document('../../Ressources/XML/DicoPaysUK.xml')/dicoPAYS"/>
  <xsl:variable name="dictionnaireUK" select="document('../../Ressources/XML/DicoLibelleUK.xml')/dictionnaire"/>


  <xsl:template name="insertClientScripts">
    <script language="javascript" src="{$root}Ressources/JavaScript/Constantes.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" src="{$root}Ressources/JavaScript/Date.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" src="{$root}Ressources/JavaScript/String.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" src="{$root}Ressources/JavaScript/Identifiant.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" src="{$root}Ressources/JavaScript/Commun.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" src="{$root}Ressources/JavaScript/Commun_RALPH.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
    <script language="javascript" charset="iso-8859-1" src="{$root}Ressources/JavaScript/newhome.js">
      <xsl:text disable-output-escaping="yes">&#160;</xsl:text>
    </script>
  </xsl:template>

  <xsl:template name="genEnTeteRalph">
    <xsl:call-template name="genTitreModule" />
  </xsl:template>

  <xsl:template match="IRECH|SCR|IST07|U051|U052|U057|LS01|LS02|LS04|LS03" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <br/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="LS05" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2">
          <xsl:apply-templates select="."/>
          <a class="clCouleur2" href="mailto:fiben@banque-france.fr">
            <u>fiben@banque-france.fr</u>
          </a>
          <br/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template name="genTitreModule">
    <!--<table width="635" border="1" cellspacing="0" cellpadding="0">-->
    <tr>
      <xsl:if test="not($NonResident = 'NR')">
        <td width="14"></td>
        <td colspan="4" width="739" align="left" valign="top" class="clCouleur1">
          <xsl:value-of select="$familyTitle"/>
          <br />
          <img src="{$root}Images/risque/shim.gif" width="635" height="1"/>
          <br />
          <xsl:value-of disable-output-escaping="yes" select="$dictionnaire/titre[@module=$moddem]"/>
        </td>
      </xsl:if>
    </tr>
    <!--</table>-->
    <br/>
  </xsl:template>
  <xsl:template match="/FIBEN/DEMANDE">
    <link rel="stylesheet" href="{$root}Ressources/CSS/Commun.css" />
    <xsl:variable name="ACTBDF" select="RECHACT"/>
    <xsl:variable name="COPAYS" select="RECHCOPAYS"/>
    <xsl:variable name="from">'</xsl:variable>
    <xsl:variable name="to">&#146;</xsl:variable>
    <xsl:variable name="LibActivite" select="translate($dictionnaire//ssclasse[@id=$ACTBDF],$from,$to)"/>
    <xsl:variable name="LibActiviteUK" select="translate($dictionnaireUK//ssclasse[@id=$ACTBDF],$from,$to)"/>
    <xsl:variable name="LibPays" select="translate($dicoPays/ pays[@id=$COPAYS],$from,$to)"/>
    <xsl:variable name="LibPaysUK" select="translate($dicoPaysUK/ pays[@id=$COPAYS],$from,$to)"/>
    <xsl:call-template name="shim"/>

    <xsl:choose>
      <xsl:when test ="string-length(/FIBEN/DEMANDE/RECHOIXDEN) >= 3">
        <xsl:call-template name="ChoixLibRecherche">
           <xsl:with-param name="motlib" select ="'m07_NoDeSiEn'" />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test ="(/FIBEN/DEMANDE/RECHOIXDEN = 'NS') or (/FIBEN/DEMANDE/RECHOIXDEN = 'SN')">
        <xsl:call-template name="ChoixLibRecherche">
          <xsl:with-param  name="motlib" select="'m07_NoDeNS'"  />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test ="(/FIBEN/DEMANDE/RECHOIXDEN = 'NE') or (/FIBEN/DEMANDE/RECHOIXDEN = 'EN')">
        <xsl:call-template name="ChoixLibRecherche">
          <xsl:with-param  name="motlib" select="'m07_NoDeNE'"  />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test ="(/FIBEN/DEMANDE/RECHOIXDEN = 'SE') or (/FIBEN/DEMANDE/RECHOIXDEN = 'ES')">
        <xsl:call-template name="ChoixLibRecherche">
          <xsl:with-param  name="motlib" select="'m07_NoDeSE'"  />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test ="/FIBEN/DEMANDE/RECHOIXDEN = 'N'">
        <xsl:call-template name="ChoixLibRecherche">
          <xsl:with-param  name="motlib" select="'m07_NoDeN'"  />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test ="/FIBEN/DEMANDE/RECHOIXDEN = 'S'">
        <xsl:call-template name="ChoixLibRecherche">
          <xsl:with-param  name="motlib" select="'m07_NoDeS'"  />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test ="/FIBEN/DEMANDE/RECHOIXDEN = 'E'">
        <xsl:call-template name="ChoixLibRecherche">
          <xsl:with-param  name="motlib" select="'m07_NoDeE'"  />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="ChoixLibRecherche">
          <xsl:with-param name="motlib" select ="'m07_NoDeSiEn'" />
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <table width="635" border="0" cellspacing="3" cellpadding="0">
      <tr>
        <!-- Non Resident -->
        <xsl:if test ="$NonResident='NR'">
          <!--  NR anglais ou NR Franais -->
          <td width="110" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m07_SiegeUni'"/>
            </xsl:call-template>
          </td>
          <xsl:if test="/FIBEN/DEMANDE/RECHSIEGE = 'O'">
            <td width="82" class="clFond">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Oui'"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="not(/FIBEN/DEMANDE/RECHSIEGE)">
            <td width="82" class="clFond">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Non'"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <td width="95" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m07_TypEnt2'"/>
            </xsl:call-template>
          </td>
          <xsl:if test="string-length(RECHTYPE) != 0">
            <xsl:if test ="$Lang='UK'">
              <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE = 'Non ET'">
                <td width="114" class="clFond">HO+M</td>
              </xsl:if>
              <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE = 'EJ'">
                <td width="114" class="clFond">HO</td>
              </xsl:if>
              <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE = 'ET'">
                <td width="114" class="clFond">AG</td>
              </xsl:if>
              <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE = 'PP'">
                <td width="114" class="clFond">MA</td>
              </xsl:if>
            </xsl:if>
            <xsl:if test ="$Lang='FR'">
              <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE = 'Non ET'">
                <td width="114" class="clFond">EJ+PP</td>
              </xsl:if>
              <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE != 'Non ET'">
                <td width="114" class="clFond">
                  <xsl:value-of select="/FIBEN/DEMANDE/RECHTYPE"/>
                </td>
              </xsl:if>
            </xsl:if>
          </xsl:if>
          <xsl:if test="string-length(RECHTYPE) = 0">
            <td width="114" class="clFond">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Tous'"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <td width="125" class="clCouleur2">
            &#160;<xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m07_RechEten'"/>
            </xsl:call-template>
          </td>
          <xsl:if test="/FIBEN/DEMANDE/RECHETEND = 'O'">
            <td width="82" class="clFond">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Oui'"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="not(/FIBEN/DEMANDE/RECHETEND)">
            <td width="82" class="clFond">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Non'"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </xsl:if>

        <!-- Resident -->
        <xsl:if test="not($NonResident='NR')">
          <td width="110" class="clCouleur2">Sige uniquement</td>
          <xsl:if test="/FIBEN/DEMANDE/RECHSIEGE = 'O'">
            <td width="82" class="clFond">Oui</td>
          </xsl:if>
          <xsl:if test="not(/FIBEN/DEMANDE/RECHSIEGE)">
            <td width="82" class="clFond">Non</td>
          </xsl:if>
          <td width="95" class="clCouleur2">&#160;Type d'entit</td>
          <xsl:if test="string-length(RECHTYPE) != 0">
            <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE = 'Non ET'">
              <td width="114" class="clFond">EJ+PP</td>
            </xsl:if>
            <xsl:if test ="/FIBEN/DEMANDE/RECHTYPE != 'Non ET'">
              <td width="114" class="clFond">
                <xsl:value-of select="/FIBEN/DEMANDE/RECHTYPE"/>
              </td>
            </xsl:if>
          </xsl:if>
          <xsl:if test="string-length(RECHTYPE) = 0">
            <td width="114" class="clFond">Tous</td>
          </xsl:if>

          <td width="125" class="clCouleur2">&#160;Recherche tendue</td>
          <xsl:if test="/FIBEN/DEMANDE/RECHETEND = 'O'">
            <td width="82" class="clFond">Oui</td>
          </xsl:if>
          <xsl:if test="not(/FIBEN/DEMANDE/RECHETEND)">
            <td width="82" class="clFond">Non</td>
          </xsl:if>
        </xsl:if>
      </tr>
    </table>

    <xsl:if test="RECHADR|RECHCOPOST|RECHVILLE">
      <table width="635" border="0" cellspacing="3" cellpadding="0">
        <tr>
          <!-- Non Resident -->
          <xsl:if test ="$NonResident='NR'">
            <!--  NR anglais ou NR Franais -->
            <td width="110" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Loca'"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <!-- Resident -->
          <xsl:if test="not($NonResident='NR')">
            <td width="110" class="clCouleur2">Localisation</td>
          </xsl:if>
          <td colspan="3" width="298" class="clFond">
            <xsl:value-of select="RECHADR"/>
          </td>
          <td width="45" class="clFond">
            <xsl:value-of select="RECHCOPOST"/>
          </td>
          <td width="165" class="clFond">
            <xsl:value-of select="RECHVILLE"/>
          </td>
        </tr>
      </table>
    </xsl:if>

    <xsl:if test="RECHCOPAYS">     
      
        <table width="635" border="0" cellspacing="3" cellpadding="0">
          <tr>
            <!-- Non Resident -->
            <xsl:if test ="$NonResident='NR'">
              <!--  NR anglais ou NR Franais -->
              <td width="110" class="clCouleur2">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m07_Pays'"/>
                </xsl:call-template>
              </td>
              <xsl:if test ="not($SimpleRalph='O')">
                <xsl:if test ="$Lang='UK'">
                  <td colspan="5" class="clFond">
                    <xsl:value-of select="$LibPaysUK"/>
                  </td>
                </xsl:if>
                <xsl:if test ="$Lang='FR'">
                  <td colspan="5" class="clFond">
                    <xsl:value-of select="$LibPays"/>
                  </td>
                </xsl:if>
              </xsl:if>
              <xsl:if test ="$SimpleRalph='O'">
                <td colspan="5" class="clFond">
                  <xsl:call-template name="tradlib">
                    <xsl:with-param name="Lang" select="$Lang"/>
                    <xsl:with-param name="codeLib" select="'m07_Tous'"/>
                  </xsl:call-template>
                </td>
              </xsl:if>
            </xsl:if>
            <!-- Resident -->
            <xsl:if test="not($NonResident='NR')">
              <xsl:if test ="not($SimpleRalph='O')">
                <td width="110" class="clCouleur2">Pays</td>
                <td colspan="5" class="clFond">
                  <xsl:value-of select="$LibPays"/>
                </td>
              </xsl:if>
              <xsl:if test ="$SimpleRalph='O'">
                <td width="110" class="clCouleur2">Pays</td>
                <td colspan="5" class="clFond">
                  Tous
                </td>
              </xsl:if>
            </xsl:if>
          </tr>
        </table>      
    </xsl:if>      
    <xsl:if test="not(RECHCOPAYS)">
      <xsl:if test="not($SimpleRalph='O')">
        <table width="635" border="0" cellspacing="3" cellpadding="0">
          <tr>
            <!-- Non Resident -->
            <xsl:if test ="$NonResident='NR'">
              <!--  NR anglais ou NR Franais -->
              <td width="110" class="clCouleur2">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m07_Pays'"/>
                </xsl:call-template>
              </td>
              <td colspan="5" class="clFond">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m07_Tous'"/>
                </xsl:call-template>
              </td>
            </xsl:if>
            <!-- Resident -->
            <xsl:if test="not($NonResident='NR')">
              <td width="110" class="clCouleur2">Pays</td>
              <td colspan="5" class="clFond">
                Tous
              </td>
            </xsl:if>
          </tr>
        </table>
      </xsl:if>
    </xsl:if>
    <xsl:if test="RECHACT">
      <table width="635" border="0" cellspacing="3" cellpadding="0">
        <tr>
          <!-- Non Resident -->
          <xsl:if test ="$NonResident='NR'">
            <!--  NR anglais ou NR Franais -->
            <td width="110" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Actvi'"/>
              </xsl:call-template>
            </td>
            <xsl:if test ="$Lang='UK'">
              <td colspan="5" class="clFond">
                <xsl:value-of select="RECHACT"/>
                <span class="Style3">
                  &#160;
                  <xsl:value-of select="$LibActiviteUK"/>
                </span>
              </td>
            </xsl:if>
            <xsl:if test ="$Lang='FR'">
              <td colspan="5" class="clFond">
                <xsl:value-of select="RECHACT"/>
                <span class="Style3">
                  &#160;
                  <xsl:value-of select="$LibActivite"/>
                </span>
              </td>
            </xsl:if>
          </xsl:if>
          <!-- Resident -->
          <xsl:if test="not($NonResident='NR')">
            <td width="110" class="clCouleur2">Activit</td>
            <td colspan="5" class="clFond">
              <xsl:value-of select="RECHACT"/>
              <span class="Style3">
                &#160;
                <xsl:value-of select="$LibActivite"/>
              </span>
            </td>
          </xsl:if>
        </tr>
      </table>
    </xsl:if>
    <!-- Partie non diffuser pour fiben (uniquement en Inet2 -->
    <!--<xsl:if test="RECHUA|RECHETAT">
      <table width="635" border="0" cellspacing="3" cellpadding="0">
        <tr>
          --><!-- Non Resident --><!--
    <xsl:if test ="$NonResident='NR'">
      --><!-- NR anglais ou NR franais--><!--
      <td width="110" class="clCouleur2">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m07_Uag'"/>
        </xsl:call-template>
      </td>
      <td colspan="2" class="clFond">
        <xsl:value-of select="RECHUA"/>
      </td>
      <td width="114" class="clCouleur2">
        &#160;<xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m07_EtaEnt'"/>
        </xsl:call-template>
      </td>
      <td width="125" class="clFond">
        <xsl:if test="RECHETAT = 'TE'">
          &#160;<xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m07_Tous'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="RECHETAT = 'DI'">
          &#160;<xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m07_Dif'"/>
          </xsl:call-template>
        </xsl:if>
      </td>
      <td width="92" class="clCouleur2"></td>
    </xsl:if>
    --><!-- Resident --><!--
    <xsl:if test="not($NonResident='NR')">
      <td width="110" class="clCouleur2">Ua gestionnaire</td>
      <td colspan="2" class="clFond">
        <xsl:value-of select="RECHUA"/>
      </td>
      <td width="114" class="clCouleur2">&#160;Etat de l'entit</td>
      <td width="125" class="clFond">
        <xsl:if test="RECHETAT = 'TE'">
          &#160;Tout tat
        </xsl:if>
        <xsl:if test="RECHETAT = 'DI'">
          &#160;Diffusibles
        </xsl:if>
      </td>
      <td width="92" class="clCouleur2"></td>
    </xsl:if>
    </tr>
    </table>
    </xsl:if>-->
  </xsl:template>
  
  <xsl:template match="/FIBEN/reponses/ReponseFibenDetail">
    <xsl:param name='nbReponsesAffichees'/>
    <xsl:variable name="pays" select="copays"/>
    <xsl:variable name="from">'</xsl:variable>
    <xsl:variable name="to">&#146;</xsl:variable>
    <xsl:variable name="ACTBDF" select="coact"/>
    <xsl:variable name="LibPays" select="translate($dicoPays/pays[@id=$pays],$from,$to)"/>
    <xsl:variable name="LibNAF" select="translate($dictionnaire//ssclasse[@id=$ACTBDF],$from,$to)"/>
    <xsl:variable name="LibPaysUK" select="translate($dicoPaysUK/pays[@id=$pays],$from,$to)"/>
    <xsl:variable name="LibNAFUK" select="translate($dictionnaireUK//ssclasse[@id=$ACTBDF],$from,$to)"/>
   
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:if test="string-length(ident) &lt; 14">
          <td width="115" class="clGrasFond" valign="middle">
            <xsl:if test="$NonResident='NR'">
              <xsl:if test ="$Lang='UK'">
                <a href="#nullepart" onclick="requestBDFInfos('27|Z1|','','{$familyNumber}','{ident}',cstMultipleConfirmUK)" class="clGrasFond">
                  <u>
                    <xsl:call-template name ="displaySirenXsl">
                      <xsl:with-param name ="InputSiren" select ="ident"/>
                    </xsl:call-template>
                  </u>
                </a>
              </xsl:if>
               <xsl:if test ="$Lang='FR'">
                <a href="#nullepart" onclick="requestBDFInfos('27|Z1|','','{$familyNumber}','{ident}',cstMultipleConfirm)" class="clGrasFond">
                  <u>
                    <xsl:call-template name ="displaySirenXsl">
                      <xsl:with-param name ="InputSiren" select ="ident"/>
                    </xsl:call-template>
                  </u>
                </a>
              </xsl:if>
            </xsl:if>
        <xsl:if test="not($NonResident='NR')">
            <a href="#nullepart" onclick="requestBDFInfos('27|Z1|','','{$familyNumber}','{ident}',cstMultipleConfirm)" class="clGrasFond">
              <u>
                <xsl:call-template name ="displaySirenXsl">
                  <xsl:with-param name ="InputSiren" select ="ident"/>
                </xsl:call-template>
              </u>
            </a>
            </xsl:if>
          </td>
        </xsl:if>
        <xsl:if test="string-length(ident) = 14">
          <td width="115" class="clGrasFond" valign="middle">
            <xsl:if test="$NonResident='NR'">
              <xsl:if test ="$Lang='UK'">
                <a href="#nullepart" onclick="requestBDFInfos('27|Z1|','','{$familyNumber}','{substring(ident,1,9)}',cstMultipleConfirmUK)" class="clGrasFond">
                  <u>
                    <xsl:call-template name ="displaySirenXsl">
                      <xsl:with-param name ="InputSiren" select ="substring(ident,1,9)"/>
                    </xsl:call-template>
                  </u>
                </a>&#160;&#160;<xsl:value-of select="substring(ident,10,14)"/>
              </xsl:if>
               <xsl:if test ="$Lang='FR'">
                <a href="#nullepart" onclick="requestBDFInfos('27|Z1|','','{$familyNumber}','{substring(ident,1,9)}',cstMultipleConfirm)" class="clGrasFond">
                  <u>
                    <xsl:call-template name ="displaySirenXsl">
                      <xsl:with-param name ="InputSiren" select ="substring(ident,1,9)"/>
                    </xsl:call-template>
                  </u>
                </a>&#160;&#160;<xsl:value-of select="substring(ident,10,14)"/>
              </xsl:if>             
            </xsl:if> 
             <xsl:if test="not($NonResident='NR')">
              <a href="#nullepart" onclick="requestBDFInfos('27|Z1|','','{$familyNumber}','{substring(ident,1,9)}',cstMultipleConfirm)" class="clGrasFond">
                <u>
                  <xsl:call-template name ="displaySirenXsl">
                    <xsl:with-param name ="InputSiren" select ="substring(ident,1,9)"/>
                  </xsl:call-template>
                </u>
              </a>&#160;&#160;<xsl:value-of select="substring(ident,10,14)"/>
            </xsl:if> 
          </td>
        </xsl:if>
        <td colspan="4" class="clGrasFond" valign="middle">
          &#160;<xsl:value-of select="denom"/>
        </td>
        <!-- Non Resident -->
        <xsl:if test ="$NonResident='NR'">
          <xsl:if test ="$Lang='UK'">
            <td width="115" class="clFond" align="right">
              <a href="#nullePart" onclick="requestVariousInfos('{$LibNAFUK}',cstWording)" class="clTexte">
                <u>
                  <xsl:value-of select="coact"/>
                </u>
              </a>&#160;
            </td>
          </xsl:if>
           <xsl:if test ="$Lang='FR'">
            <td width="115" class="clFond" align="right">
              <a href="#nullePart" onclick="requestVariousInfos('{$LibNAF}',cstWording)" class="clTexte">
                <u>
                  <xsl:value-of select="coact"/>
                </u>
              </a>&#160;
            </td>
          </xsl:if>
          
        </xsl:if>
        <xsl:if test="not($NonResident='NR')">
          <td width="115" class="clFond" align="right">
            <a href="#nullePart" onclick="requestVariousInfos('{$LibNAF}',cstWording)" class="clTexte">
              <u>
                <xsl:value-of select="coact"/>
              </u>
            </a>&#160;
          </td>
        </xsl:if>
        <xsl:if test="position() mod 8 = 0">
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 8 != 0">
          <td width="103" align="right">
            &#160;
          </td>
        </xsl:if>        
      </tr>
    </table>
    
    <xsl:if test="string-length(identNat) != 0">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
           <xsl:if test="string-length(ident) != 13">
             <xsl:if test="string-length(enseigne) != 0 and string-length(sigle) != 0">
               <xsl:if test ="$NonResident='NR'">
                     <td width="115" class="clTexte">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m07_SigEns'"/>
                        </xsl:call-template>
                    </td>
              </xsl:if>
              <xsl:if test="not($NonResident='NR')">
                  <td width="115" class="clTexte">Enseigne/Sigle: </td>
              </xsl:if>
              <td colspan="3" class="clTexte">
                &#160;<xsl:value-of select="enseigne"/>&#160;/&#160;<xsl:value-of select="sigle"/>
              </td>
            </xsl:if>
             <xsl:if test="string-length(enseigne) != 0 and string-length(sigle) = 0">
               <xsl:if test ="$NonResident='NR'">
                     <td width="115" class="clTexte">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m07_Ensei'"/>
                        </xsl:call-template>
                    </td>
              </xsl:if>
              <xsl:if test="not($NonResident='NR')">
                  <td width="115" class="clTexte">Enseigne: </td>
              </xsl:if>
              <td colspan="3" class="clTexte">
                &#160;<xsl:value-of select="enseigne"/>&#160;
              </td>
            </xsl:if>
             <xsl:if test="string-length(enseigne) = 0 and string-length(sigle) != 0">
               <xsl:if test ="$NonResident='NR'">
                     <td width="115" class="clTexte">
                        <xsl:call-template name="tradlib">
                          <xsl:with-param name="Lang" select="$Lang"/>
                          <xsl:with-param name="codeLib" select="'m07_Sigl'"/>
                        </xsl:call-template>
                    </td>
              </xsl:if>
              <xsl:if test="not($NonResident='NR')">
                  <td width="115" class="clTexte">Sigle: </td>
              </xsl:if>
              <td colspan="3" class="clTexte">
                &#160;<xsl:value-of select="sigle"/>&#160;
              </td>
            </xsl:if>
          </xsl:if>
          <xsl:if test="string-length(ident) = 13 and string-length(marital) != 0">
            
            <xsl:if test ="$NonResident='NR'">
              <!-- NR anglais ou NR franais-->
              <td width="115" class="clTexte">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m07_NomMar'"/>
                </xsl:call-template>:&#160;
              </td>
            </xsl:if>
            <!-- Resident -->
            <xsl:if test="not($NonResident='NR')">
              <td width="115" class="clTexte">Nom marital: </td>
            </xsl:if>
            <td colspan="3" class="clTexte">
              &#160;<xsl:value-of select="marital"/>
            </td>
          </xsl:if>
           <xsl:if test ="$NonResident='NR'">
           
            <td width="115" class="clTexte">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m07_Idnat'"/>
              </xsl:call-template>
            </td>
          </xsl:if>
         
          <xsl:if test="not($NonResident='NR')">
            <td width="300" class="clTexte" >
              Identifiant National:&#160;&#160;&#160;&#160;<xsl:value-of select="identNat"/>
            </td>
          </xsl:if>
          <xsl:if test="($NonResident='NR')">
          <td width="120" class="clTexte" >
            &#160;<xsl:value-of select="identNat"/>
          </td>
          </xsl:if>
          
        </tr>
      </table>
    </xsl:if>
    <xsl:if test="string-length(identNat) = 0 ">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:if test="string-length(ident) != 13">
            <xsl:if test="string-length(sigle) !=0 and string-length(enseigne) !=0">
              <!-- Non Resident -->
              <xsl:if test ="$NonResident='NR'">
                <!-- NR anglais ou NR franais-->
                <td width="115" class="clTexte">
                  <xsl:call-template name="tradlib">
                    <xsl:with-param name="Lang" select="$Lang"/>
                    <xsl:with-param name="codeLib" select="'m07_SigEns'"/>
                  </xsl:call-template>
                </td>
              </xsl:if>
              <!-- Resident -->
              <xsl:if test="not($NonResident='NR')">
                <td width="115" class="clTexte">Enseigne/Sigle: </td>
              </xsl:if>
              <td colspan="5" class="clTexte" align="left">
                &#160;<xsl:value-of select="enseigne"/>&#160;/&#160;<xsl:value-of select="sigle"/>
              </td>
            </xsl:if>
            <xsl:if test="string-length(sigle) = 0 and string-length(enseigne) !=0">
              <!-- Non Resident -->
              <xsl:if test ="$NonResident='NR'">
                <!-- NR anglais ou NR franais-->
                <td width="115" class="clTexte">
                  <xsl:call-template name="tradlib">
                    <xsl:with-param name="Lang" select="$Lang"/>
                    <xsl:with-param name="codeLib" select="'m07_Ensei'"/>
                  </xsl:call-template>
                </td>
              </xsl:if>
              <!-- Resident -->
              <xsl:if test="not($NonResident='NR')">
                <td width="115" class="clTexte">Enseigne: </td>
              </xsl:if>
              <td colspan="5" class="clTexte" align="left">
                &#160;<xsl:value-of select="enseigne"/>
              </td>
            </xsl:if>
            <xsl:if test="string-length(sigle) !=0 and string-length(enseigne) =0">
              <!-- Non Resident -->
              <xsl:if test ="$NonResident='NR'">
                <!-- NR anglais ou NR franais-->
                <td width="115" class="clTexte">
                  <xsl:call-template name="tradlib">
                    <xsl:with-param name="Lang" select="$Lang"/>
                    <xsl:with-param name="codeLib" select="'m07_Sigl'"/>
                  </xsl:call-template>
                </td>
              </xsl:if>
              <!-- Resident -->
              <xsl:if test="not($NonResident='NR')">
                <td width="115" class="clTexte">Sigle: </td>
              </xsl:if>
              <td colspan="5" class="clTexte" align="left">
                &#160;<xsl:value-of select="sigle"/>
              </td>
            </xsl:if>
          </xsl:if>
          <xsl:if test="string-length(ident) = 13 and string-length(marital) != 0">
            <!-- Non Resident -->
            <xsl:if test ="$NonResident='NR'">
              <!-- NR anglais ou NR franais-->
              <td width="115" class="clTexte">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m07_NomMar'"/>
                </xsl:call-template>
              </td>
            </xsl:if>
            <!-- Resident -->
            <xsl:if test="not($NonResident='NR')">
              <td width="115" class="clTexte">Nom marital: </td>
            </xsl:if>
            <td colspan="5" class="clTexte" align="left">
              &#160;<xsl:value-of select="marital"/>
            </td>
          </xsl:if>
        </tr>
      </table>
    </xsl:if>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:if test="copays != 'FR'">
          <xsl:if test=" string-length(ville) != 0">
            <!-- NR anglais -->
            <xsl:if test ="$NonResident='NR'">
              <xsl:if test ="$Lang='UK'">
                <td colspan="6" class="clTexte">
                  <xsl:value-of select="ville"/><!--&#160;&#160;<xsl:value-of select="$LibPaysUK"/>-->
                </td>
              </xsl:if>
              <xsl:if test ="$Lang='FR'">
                <td colspan="6" class="clTexte">
                  <xsl:value-of select="ville"/><!--&#160;&#160;<xsl:value-of select="$LibPaysUK"/>-->
                </td>
              </xsl:if>
            </xsl:if>
            <!-- Resident -->
            <xsl:if test="not($NonResident='NR')">
              <td colspan="6" class="clTexte">
                <xsl:value-of select="ville"/><!--&#160;&#160;<xsl:value-of select="$LibPays"/>-->
              </td>
            </xsl:if>
          </xsl:if>
          <xsl:if test=" string-length(ville) = 0">
            <!-- NR anglais -->
            <xsl:if test ="$NonResident='NR'">
              <xsl:if test ="$Lang='FR'">
                <td colspan="6" class="clTexte">
                  <xsl:value-of select="$LibPays"/>
                </td>
              </xsl:if> 
              <xsl:if test ="$Lang='UK'">
                <td colspan="6" class="clTexte">
                  <xsl:value-of select="$LibPaysUK"/>
                </td>
              </xsl:if> 
            </xsl:if>
            <!-- Resident -->
            <xsl:if test="not($NonResident='NR')">
              <td colspan="6" class="clTexte">
                <xsl:value-of select="$LibPays"/>
              </td>
            </xsl:if>
          </xsl:if>
        </xsl:if>
        <xsl:if test="copays = 'FR'">
          <td colspan="6" class="clTexte">
            <xsl:value-of select="copost"/>&#160;&#160;<xsl:value-of select="ville"/>
          </td>
        </xsl:if>
      </tr>
      <tr>
        <td colspan="6" class="clTexte">
          <xsl:value-of select="adresse"/>
        </td>
      </tr>
      <tr>
        <td colspan="6" width="635" height="10"></td>
      </tr>
    </table>
  </xsl:template>
  
  <!-- fin premiere partie du bandeau reprenant les paramtres de la demande-->
  
  
  <xsl:template name ="ChoixLibRecherche" >
    <xsl:param name="motlib" />
    
    <table width="635" border="0" cellspacing="3" cellpadding="0">
      <tr>
        <!-- Non Resident-->
        <xsl:if test ="$NonResident='NR'">
          <!--  NR anglais-->
          <xsl:if test ="$Lang='UK'">
            <td width="260" colspan="0" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="$motlib"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <!--  NR franais -->
          <xsl:if test ="$Lang='FR'">
            <td width="220" colspan="0" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="$motlib"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </xsl:if>
        <!-- Resident -->
        <xsl:if test="not($NonResident='NR')">
          <td width="220" colspan="0" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="codeLib" select="$motlib"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <td width="380" colspan="4" class="clFond">
          <xsl:value-of select="/FIBEN/DEMANDE/RECHDEN"/>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>
