<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					              xmlns:msxsl="urn:schemas-microsoft-com:xslt"
					              xmlns:bdf="http://banque-france.fr/namespace">
	<xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="root" select="''"/>

  <xsl:template match="IST01|IST02|IST03|IST04|ISEF08|ISEF09|ISEF10|ISEF11|ISEF12|ISEF13|ISEF15|ISEF17|ISEF18|ISEF20|ISEF21|U101" mode="genTable">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="14"></td>
			<td class="clCouleur2" valign="top">
				<xsl:apply-templates select="."/>
			</td>
		</tr>
		<tr>
			<td width="14"></td>
			<td><xsl:call-template name="shim"/></td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="AUTRECARACT">
	<xsl:if test="position()=1">
		<a name="autrescarac"></a>
		<table width="739" border="0" cellspacing="0" cellpadding="0">
			<tr align="center">
				<td class="clCouleur2">
          AUTRE(S) CARACTRISTIQUE(S)
        </td>
				<td width="103" align="right">
					<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
				</td>
			</tr>
		</table>
		<xsl:call-template name="shim"/><br/>
		<xsl:text disable-output-escaping="yes">&lt;table width=&quot;635&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; class=&quot;clTexte&quot;&gt;</xsl:text>
	</xsl:if>
	<tr> 
		<td width="20" align="center" valign="top">-</td>
		<xsl:variable name="value" select="."/>
		<td width="615"><xsl:value-of select="substring($value,3)"/></td>
	</tr>
	<xsl:if test="position()=last()">
		<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="BILAN70|BILAN72">
	<xsl:param name="chiffre"/>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr> 
			<td colspan="4" height="10"></td>
		</tr>
		<tr> 
			<td width="290" class="clCouleur2" height="14">&#160;Exercices clturs en</td>
      <td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[1]/@DATCLOT)"/>
        </xsl:call-template>&#160;
      </td>
			<td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[2]/@DATCLOT)"/>
        </xsl:call-template>&#160;
      </td>
			<td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[3]/@DATCLOT)"/>
        </xsl:call-template>&#160;
      </td>
		</tr>
		<tr> 
			<td width="290" class="clCouleur2" height="14">&#160;Dure</td>
			<td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[1]/@DUREEEX)"/>
        </xsl:call-template>&#160;
      </td>
			<td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[2]/@DUREEEX)"/>
        </xsl:call-template>&#160;
      </td>
			<td class="clFond" width="115" height="14" align="right">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[3]/@DUREEEX)"/>
        </xsl:call-template>&#160;
      </td>
		</tr>
		<tr> 
			<td width="635" colspan="4" height="10"></td>
		</tr>
		<tr> 
			<td width="290" class="clCouleur2" height="14">&#160;Chiffres d'affaires HT (<xsl:value-of select="@UNITE"/> <img src="{$root}Images/risque/euro_symb.gif" width="8" height="9"/>)</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[1]/BILAN/p2052FL"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[2]/BILAN/p2052FL"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[3]/BILAN/p2052FL"/>&#160;</td>
		</tr>
		<tr> 
			<td width="290" class="clCouleur2" height="14">&#160;&#160;&#160;Dt Exportations</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[1]/BILAN/p2052FK"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[2]/BILAN/p2052FK"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[3]/BILAN/p2052FK"/>&#160;</td>
		</tr>
		<tr> 
			<td width="635" colspan="4" height="10"></td>
		</tr>
		<tr> 
			<td width="290" class="clCouleur2" height="14">&#160;Effectifs </td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[1]/BILAN/p2058YP"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[2]/BILAN/p2058YP"/>&#160;</td>
			<td class="clFond" width="115" height="14" align="right"><xsl:apply-templates select="$chiffre[3]/BILAN/p2058YP"/>&#160;</td>
		</tr>
      </table>
	<xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template name="risque">
	<xsl:param name="chiffre"/>
	<a name="risqidentifie"></a>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">
        LMENT(S) DE RISQUE IDENTIFI
      </td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	<xsl:apply-templates select="//PTF|//POINTFAIBLE" mode="genRisque"/>
	<xsl:call-template name="shim"/><br/>
	<a name="risqpotentiel"></a>
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr align="center">
			<td class="clCouleur2">
        LMENT(S) DE RISQUE POTENTIEL
      </td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
	<xsl:apply-templates select="//PTI|//POINTINTERRO" mode="genRisque"/>
	<xsl:call-template name="shim"/><br/>
	<table width="635" border="0" cellspacing="1" cellpadding="0">
		<tr> 
			<td width="635" class="clItalic2" height="2"> 
				<p>&#160;&#160;Le diagnostic tient compte :</p>
			</td>
		</tr>
		<tr> 
			<td width="635" class="clItalic2" height="2">&#160;&#160;&#160;- des 3 derniers bilans arrts aux :
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[1]/@DATCLOT)"/>
        </xsl:call-template>&#160;
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[2]/@DATCLOT)"/>
        </xsl:call-template> et <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="($chiffre[3]/@DATCLOT)"/>
        </xsl:call-template>
      </td>
		</tr>
		<tr> 
			<td width="635" class="clItalic2" height="2">&#160;&#160;&#160;- d'une comparaison au secteur : <xsl:value-of select="//REFSECTEUR/CODNAF"/>&#160;<xsl:if test="//REFSECTEUR/LIBNAF">(<xsl:value-of select="//REFSECTEUR/LIBNAF"/>)</xsl:if></td>
		</tr>
		<tr> 
			<td width="635" class="clItalic2" height="2">&#160;&#160;&#160;&#160;&#160;(taux de reprsentativit de l'chantillon FIBEN : <xsl:value-of select="//REFSECTEUR/REPRESENTATIVITE"/>%)</td>
		</tr>
		<tr> 
			<td width="635" class="clItalic2" height="2">&#160;&#160;&#160;- des dernires centralisations de Risques et d'Incidents de paiement sur effets</td>
		</tr>
		<tr> 
			<td width="635" class="clItalic2" height="2">&#160;</td>
		</tr>
		<tr> 
			<td width="635" class="clItalic2" height="2">Il ne fait pas l'analyse d'ventuels documents consolids indispensables pour l'apprciation d'un groupe, ni d'autres informations, pris en compte pour l'octroi de la cotation BdF</td>
		</tr>
	</table>
	<xsl:call-template name="shim"/><br/>
</xsl:template>

<xsl:template match="PTF|PTI" mode="genRisque">
	<table width="635" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td class="clCouleur2">
				<xsl:apply-templates select="."/>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="POINTFAIBLE" mode="genRisque">
	<xsl:if test="position()=1">
		<xsl:text disable-output-escaping="yes">&lt;table width=&quot;739&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; class=&quot;clTexte&quot;&gt;</xsl:text>
		<tr> 
			<td width="170" class="clCouleur2" valign="top"><xsl:value-of select="count(../POINTFAIBLE)"/> point(s) faible(s)</td>
			<td width="20" valign="top" align="center">-</td>
			<xsl:variable name="value" select="."/>
			<td width="445"><xsl:value-of select="substring($value,3)"/></td>
			<td width="103">&#160;</td>
		</tr>
	</xsl:if>
	<xsl:if test="position()!=1">
		<tr> 
			<td width="170">&#160;</td>
			<td width="465" colspan="2">&#160;</td>
			<td width="103">&#160;</td>
		</tr>
		<tr> 
			<td width="170">&#160;</td>
			<td width="20" valign="top" align="center">-</td>
			<xsl:variable name="value" select="."/>
			<td width="445"><xsl:value-of select="substring($value,3)"/></td>
			<xsl:if test="position() mod 5 = 0">
				<td width="103" align="right">
					<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
				</td>
			</xsl:if>
			<xsl:if test="position() mod 5 != 0">
				<td width="103" align="right">
					&#160;
				</td>
			</xsl:if>
		</tr>
	</xsl:if>
	<xsl:if test="position()=last()">
		<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="POINTINTERRO" mode="genRisque">
	<xsl:if test="position()=1">
		<xsl:text disable-output-escaping="yes">&lt;table width=&quot;739&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; class=&quot;clTexte&quot;&gt;</xsl:text>
		<tr> 
			<td width="170" class="clCouleur2" valign="top"><xsl:value-of select="count(../POINTINTERRO)"/> point(s) d'interrogation</td>
			<td width="20" valign="top" align="center">-</td>
			<xsl:variable name="value" select="."/>
			<td width="445"><xsl:value-of select="substring($value,3)"/></td>
			<xsl:if test="(position() + count(//POINTFAIBLE)) mod 5 = 0">
				<td width="103" align="right">
					<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
				</td>
			</xsl:if>
			<xsl:if test="(position() + count(//POINTFAIBLE)) mod 5 != 0">
				<td width="103" align="right">
					&#160;
				</td>
			</xsl:if>
		</tr>
	</xsl:if>
	<xsl:if test="position()!=1">
		<tr> 
			<td width="170">&#160;</td>
			<td width="465" colspan="2">&#160;</td>
			<td width="103">&#160;</td>
		</tr>
		<tr> 
			<td width="170">&#160;</td>
			<td width="20" valign="top" align="center">-</td>
			<xsl:variable name="value" select="."/>
			<td width="445"><xsl:value-of select="substring($value,3)"/></td>
			<xsl:if test="(position() + count(//POINTFAIBLE)) mod 5 = 0">
				<td width="103" align="right">
					<a href="#ancHaut"><img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" /></a>
				</td>
			</xsl:if>
			<xsl:if test="(position() + count(//POINTFAIBLE)) mod 5 != 0">
				<td width="103" align="right">
					&#160;
				</td>
			</xsl:if>
		</tr>
	</xsl:if>
	<xsl:if test="position()=last()">
		<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
