<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" xmlns:html="http://www.w3.org/TR/REC-html40">
    <xsl:output method="xml" encoding="utf-8" indent="yes"/>
    <xsl:template match="/">
        <xsl:text disable-output-escaping="yes">&lt;?mso-application progid=&quot;Excel.Sheet&quot;?&gt;&#10;</xsl:text>
        
      <Workbook>
        <ss:Styles>
          <ss:Style ss:ID="LigneTitre" ss:Name="LigneTitre">
            <ss:Alignment ss:Horizontal="Center" ss:Vertical="Center" />
            <ss:Font ss:Color="blue" ss:Bold="1"/>
          </ss:Style>
          <ss:Style ss:ID="LigneReponseDetail" ss:Name="LigneReponseDetail">
            <ss:Alignment ss:Horizontal="Center" ss:Vertical="Center" ss:WrapText="1"/>
          </ss:Style>
        </ss:Styles>
        <Worksheet ss:Name="ExportRalph2">
          <Table>
            <Column ss:AutoFitWidth="1" ss:Width="100" />
            <Column ss:AutoFitWidth="1" ss:Width="150" />
            <Column ss:AutoFitWidth="1" ss:Width="120"/>
            <Column ss:AutoFitWidth="1" ss:Width="120"/>
            <Column ss:AutoFitWidth="1" ss:Width="120"/>
            <Column ss:AutoFitWidth="1" ss:Width="120"/>
            <Column ss:AutoFitWidth="1" ss:Width="150"/>
            <Column ss:AutoFitWidth="1" ss:Width="90"/>
            <Column ss:AutoFitWidth="1" ss:Width="100"/>
            <Column ss:AutoFitWidth="1" ss:Width="80"/>
            <Column ss:AutoFitWidth="1" ss:Width="90"/>

            <xsl:call-template name ="Entete">
            </xsl:call-template>

            <xsl:call-template name ="ReponseFibenDetail">
            </xsl:call-template>

          </Table>
          <AutoFilter x:Range="R1C1:R1C11" xmlns="urn:schemas-microsoft-com:office:excel"></AutoFilter>
        </Worksheet>
      </Workbook>
    </xsl:template>

  <xsl:template name ="Entete">

    <Row>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Identifiant</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Dnomination ou nom</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Sigle</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Enseigne</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Nom marital</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Siege</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Adresse</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Code postal</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Ville</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Code pays</Data>
      </Cell>
      <Cell ss:StyleID="LigneTitre">
        <Data ss:Type="String">Code activit</Data>
      </Cell>
    </Row>
  </xsl:template>


  <xsl:template name ="ReponseFibenDetail">
    <xsl:for-each select="//reponses/ReponseFibenDetail">

      <Row>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="ident"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="denom"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="sigle"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="enseigne"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="marital"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="siege"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="adresse"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="copost"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="ville"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="copays"/>
          </Data>
        </Cell>
        <Cell ss:StyleID="LigneReponseDetail">
          <Data ss:Type="String">
            <xsl:value-of select="coact"/>
          </Data>
        </Cell>
      </Row>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>


