<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="root" select="'/Fiben/'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>
  <xsl:param name="Lang" select="'FR'"/>
  <xsl:param name="codeLib" select="''"/>
  <xsl:param name="NonResident" select="''"/>
  <xsl:param name="titleUK" select="''"/>

  <xsl:variable name="isFirstAndLastDI" select="count(FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESSOCIAUX/SOC64/DONNEESINDIVIDUELLESAN)=1"/>
  <xsl:variable name="hasSectorielle" select="count(FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESSOCIAUX/SOC64/DONNEESSECTORIELLES/INFOSECTORIELLES)=1"/>

  <xsl:variable name="isOnlyOneCC" select="count(/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/CHIFFRESCONSO | /FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/CHIFFRESCONSOIFRS)=1"/>

  <!--Essai-->
  <!--TEMPLATE PRINCIPAL-->
  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | /FIBEN/PERSONNE/MODULEAN/*//IDENTS"/>
      </xsl:call-template>
      <body bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        
        <table class="mainmodule horizontal-auto"  border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel" />

          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">

            <tr>
              <td width="14"></td>
              <td width="739" colspan="3" class="clCouleur2" valign="top">
                <xsl:call-template name="genEnTete">
                  <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEAN/*//IDENTS"/>
                  <xsl:with-param name="nom">
                    <xsl:if test="//EJ/DENOM">
                      <xsl:value-of select="//EJ/DENOM"/>
                    </xsl:if>
                  </xsl:with-param>
                  <xsl:with-param name="valcot" select="//INFOCOTATIONEJ/VALCOT"/>
                  <xsl:with-param name="datcot" select="//INFOCOTATIONEJ/DATCOT"/>
                  <xsl:with-param name="datexa" select="//INFOCOTATIONEJ/DATEXA"/>
                </xsl:call-template>

                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/IST/ISTAN" mode="genLib"/>
                <xsl:apply-templates select="//INFOJURIDIQUES"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/IEC01" mode="DisplayMAN"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESAN"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOTATIONEJ"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFODIRIGEANTS"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOASSOCIES"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOPARTICIPATIONS"/>

                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr height="0px">
                    <td width="20"></td>
                    <td width="110"></td>
                    <td width="125"></td>
                    <td width="130"></td>
                    <td width="125"></td>
                    <td width="125"></td>
                  </tr>
                </table>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOEVMEVJAN"/>

                <xsl:call-template name="shim"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOIMPAYESRESUM"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORELBANC"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOSCORE"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/EJ"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/STECONSO" mode="genLib"/>
              </td>
              <td width="103" align="right"></td>
            </tr>
            

          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="ISTAN" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2" width="100%" >
          <xsl:apply-templates select="."/>
        </td>
      </tr>
    </table>
    <!--xsl:call-template name="shim"/-->
    <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/IST/EJ"/>
  </xsl:template>
  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 3eme PAVE : INFORMATIONS JURIDIQUES-->

  <xsl:template match="INFOJURIDIQUES">
    <a name="ancJurid"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_InfJur'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_CatJur'"/>
          </xsl:call-template>
        </td>
        <td class="clFond" colspan="3">
          &#160;<xsl:value-of select="CODECAT"/>&#160;&#160;&#160;<xsl:value-of select="CATJUR"/>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_ActBDF'"/>
          </xsl:call-template>
        </td>
        <td class="clTexte" colspan="3">
          &#160;<xsl:value-of select="ACTBDF"/>&#160;&#160;
          <xsl:if test="$Lang = 'UK'">
            <xsl:call-template name="tradLibNaf">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codelib" select="ACTBDF"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$Lang = 'FR'">
            <xsl:value-of select="LIBACT"/>
          </xsl:if>
        </td>
      </tr>
      <xsl:apply-templates select="//INFOJURIDIQUES/CODNAF"/>
      <xsl:apply-templates select="p2051DA"/>
      <xsl:apply-templates select="ENSEIGNE"/>
      <xsl:if test="not(p2051DA) and not(ENSEIGNE) and DATCRE">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td class="clTexte" width="305">&#160;</td>
          <xsl:apply-templates select="DATCRE"/>
        </tr>
      </xsl:if>
      <xsl:apply-templates select="SIGLE"/>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="//INFOJURIDIQUES/CODNAF">
    <tr>
      <td class="clCouleur2" width="130">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m27_CodeNaf'"/>
        </xsl:call-template>
      </td>
      <td class="clFond" colspan="3">
        &#160;<xsl:value-of select="//INFOJURIDIQUES/CODNAF"/>&#160;&#160;
        <xsl:if test="$Lang = 'FR'">
          <xsl:value-of select="//INFOJURIDIQUES/LIBNAF"/>
        </xsl:if>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="p2051DA">
    <tr>
      <td width="130" class="clCouleur2">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m27_Cap'"/>
        </xsl:call-template>
      </td>
      <xsl:if test="../CODNAF">
        <td width="305" class="clTexte">
          <xsl:if test="@ETAT">
            &#160;<xsl:value-of select="@ETAT"/>
          </xsl:if>
          <xsl:if test="not(@ETAT)">
            &#160;<xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(.)"/>
            </xsl:call-template><img height="9" src="{$root}images/Commun/euro_symb.gif" width="8" />
          </xsl:if>
          <xsl:if test="../DATAG">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_au'"/>
            </xsl:call-template>&#160;
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../DATAG)"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <xsl:apply-templates select="../DATCRE"/>
        <xsl:if test="not(../DATCRE) and ../SIGLE[1]">
          <xsl:call-template name="SIGLEclTexte">
            <xsl:with-param name="titre">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="sigle" select="../SIGLE[1]"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
      <xsl:if test="not(../CODNAF)">
        <td width="305" class="clFond">
          <xsl:if test="@ETAT">
            &#160;<xsl:value-of select="@ETAT"/>
          </xsl:if>
          <xsl:if test="not(@ETAT)">
            &#160;<xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(.)"/>
            </xsl:call-template><img height="9" src="{$root}images/Commun/euro_symb.gif" width="8" />
          </xsl:if>
          <xsl:if test="../DATAG">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_au'"/>
            </xsl:call-template>&#160;
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../DATAG)"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <xsl:apply-templates select="../DATCRE"/>
        <xsl:if test="not(../DATCRE) and ../SIGLE[1]">
          <xsl:call-template name="SIGLEclFond">
            <xsl:with-param name="titre">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="sigle" select="../SIGLE[1]"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
    </tr>
  </xsl:template>

  <xsl:template match="ENSEIGNE">
    <tr>
      <xsl:if test="position()=1">
        <td width="130" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_Enseig'"/>
          </xsl:call-template>
        </td>
        <xsl:if test="(../CODNAF and ../p2051DA) or (not(../CODNAF) and not(../p2051DA))">
          <td class="clFond">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA)">
            <xsl:apply-templates select="../DATCRE"/>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE))and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
        <xsl:if test="(../CODNAF and not(../p2051DA)) or (not(../CODNAF) and ../p2051DA)">
          <td width="305" class="clTexte">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA)">
            <xsl:apply-templates select="../DATCRE"/>
            <xsl:if test="not(../DATCRE)">
              <td width="200" class="clTexte">&#160;</td>
            </xsl:if>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE)) and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
      </xsl:if>
      <xsl:if test="position()=2">
        <td width="130" class="clCouleur2">&#160;</td>
        <xsl:if test="(../CODNAF and ../p2051DA) or (not(../CODNAF) and not(../p2051DA))">
          <td width="305" class="clTexte">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA) and ../DATCRE and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE)) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[3]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="sigle" select="../SIGLE[3]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
        <xsl:if test="(../CODNAF and not(../p2051DA)) or (not(../CODNAF) and ../p2051DA)">
          <td width="305" class="clFond">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA) and ../DATCRE and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE)) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[3]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="sigle" select="../SIGLE[3]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
      </xsl:if>
    </tr>
  </xsl:template>

  <xsl:template match="DATCRE">
    <td class="clCouleur2" width="120">
      &#160;
      <xsl:call-template name="tradlib">
        <xsl:with-param name="Lang" select="$Lang"/>
        <xsl:with-param name="codeLib" select="'m27_DatCre'"/>
      </xsl:call-template>
    </td>
    <xsl:if test="../CODNAF">
      <td class="clTexte" width="80">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>
      </td>
    </xsl:if>
    <xsl:if test="not(../CODNAF)">
      <td class="clFond" width="80">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="SIGLE">
    <xsl:if test="position()=1">
      <xsl:if test="(../DATCRE and not(../ENSEIGNE))or(not(../p2051DA) and count(../ENSEIGNE)=1 and ../DATCRE)">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
            </xsl:call-template>
          </td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="not(../DATCRE) and not(../ENSEIGNE) and not (../p2051DA)">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
            </xsl:call-template>
          </td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </xsl:if>
    <xsl:if test="position()=2">
      <xsl:if test="(not(../DATCRE) and not(../ENSEIGNE))or(not(../ENSEIGNE[2]) and not(../DATCRE)and not(../p2051DA))">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">&#160;</td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="(not(../p2051DA) and count(../ENSEIGNE)!=0 and ../DATCRE) or (not(../ENSEIGNE) and ../DATCRE) or (count(../ENSEIGNE)=1 and ../DATCRE and ../p2051DA)">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">&#160;</td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </xsl:if>
    <xsl:if test="position()=3">
      <xsl:if test="not(../ENSEIGNE[2] and ../p2051DA and not(../DATCRE))">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">&#160;</td>
          <xsl:if test="(../CODNAF and ../DATCRE) or (not(../CODNAF) and not(../p2051DA) and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and not(../DATCRE))">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="(../CODNAF and ../p2051DA and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and ../DATCRE) or (not(../p2051DA) and not(../CODNAF) and ../DATCRE ) or (not(../DATCRE) and not(../p2051DA) and ../CODNAF)">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </xsl:if>
    <xsl:if test="position()=4">
      <tr>
        <td class="clCouleur2" width="130">&#160;</td>
        <td width="305">&#160;</td>
        <td width="120" class="clCouleur2">&#160;</td>
        <xsl:if test="(../CODNAF and ../DATCRE) or (not(../CODNAF) and not(../p2051DA) and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and not(../DATCRE))">
          <td width="80" class="clTexte">
            &#160;<xsl:value-of select="."/>
          </td>
        </xsl:if>
        <xsl:if test="(../CODNAF and ../p2051DA and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and ../DATCRE) or (not(../p2051DA) and not(../CODNAF) and ../DATCRE ) or (not(../DATCRE) and not(../p2051DA) and ../CODNAF)">
          <td width="80" class="clFond">
            &#160;<xsl:value-of select="."/>
          </td>
        </xsl:if>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="SIGLEclFond">
    <xsl:param name="titre"/>
    <xsl:param name="sigle"/>
    <td width="120" class="clCouleur2">
      &#160;<xsl:value-of select="$titre"/>
    </td>
    <td width="80" class="clFond">
      &#160;<xsl:value-of select="$sigle"/>
    </td>
  </xsl:template>

  <xsl:template name="SIGLEclTexte">
    <xsl:param name="titre"/>
    <xsl:param name="sigle"/>
    <td width="120" class="clCouleur2">
      &#160;<xsl:value-of select="$titre"/>
    </td>
    <td width="80" class="clTexte">
      &#160;<xsl:value-of select="$sigle"/>
    </td>
  </xsl:template>

  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 4eme PAVE : COMPTE SOCIAUX, COMPTES CONSOLIDEES-->
  <xsl:template match="INFOCOMPTABLESAN">
    <a name="ancSociaux"></a>
    <xsl:if test="CHIFRSOCAN/BIL02">
      <xsl:apply-templates select="CHIFRCONSAN/BILCONSOAN"/>

      <xsl:if test="not(CHIFRCONSAN/BILCONSOAN)">
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="19">&#160;</td>
            <td width="597" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
              </xsl:call-template>
            </td>
            <td width="19">

            </td>
            <td width="103" align="right">			</td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
      </xsl:if>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">

              <xsl:call-template name="traduction">
                <xsl:with-param name="code" select="'BIL02'"/>
              </xsl:call-template>
            </font>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
    </xsl:if>

    <xsl:if test="CHIFRSOCAN/BIL01S">
      <xsl:apply-templates select="CHIFRCONSAN/BILCONSOAN"/>
      <xsl:if test="not(CHIFRCONSAN/BILCONSOAN)">
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="19">&#160;</td>
            <td width="597" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
              </xsl:call-template>
            </td>
            <td width="19">

            </td>
            <td width="103" align="right">			</td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
      </xsl:if>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">

              <xsl:call-template name="traduction">
                <xsl:with-param name="code" select="'BIL01S'"/>
              </xsl:call-template>
            </font>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
    </xsl:if>

    <xsl:if test="not(CHIFRSOCAN/BIL02) and not(CHIFRSOCAN/BIL01S) ">
      <xsl:apply-templates select="CHIFRSOCAN/BILANAN[last()]"/>
    </xsl:if>
    <xsl:if test="not(CHIFRCONSAN/BIL01C) and not(CHIFRSOCAN/BIL02) and not(CHIFRSOCAN/BIL01S)and not(CHIFRSOCAN/BILANAN)">
      <xsl:apply-templates select="CHIFRCONSAN/BILCONSOAN[last()]"/>
    </xsl:if>
    <xsl:if test="CHIFRCONSAN/BIL01C">
      <xsl:if test="not(CHIFRSOCAN/BILANAN) and not(CHIFRSOCAN/BIL01S) and not(CHIFRSOCAN/BIL02)">
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="19">&#160;</td>
            <td width="597" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
              </xsl:call-template>
            </td>
            <td width="19">

            </td>
            <td width="103" align="right">			</td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
      </xsl:if>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">

              <xsl:call-template name="traduction">
                <xsl:with-param name="code" select="'BIL01C'"/>
              </xsl:call-template>
            </font>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
    </xsl:if>
  </xsl:template>

  <xsl:template match="BILANAN">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="19">&#160;</td>
        <td width="597" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
          </xsl:call-template>
        </td>
        <td width="19">

        </td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>

      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <xsl:if test="//CHIFRCONSAN/BILCONSOAN">
      <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComSoc'"/>
            </xsl:call-template>
          </td>
          <td colspan="{count(../BILANAN)}">
            &#160;
          </td>
          <td rowspan="10" width="15" align="middle" valign="bottom" height="125">
            <img height="125" src="{$root}images/risque/shim.gif" width="1"/>
          </td>
          <td width="140" colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComCon'"/>
            </xsl:call-template>
          </td>
          <td colspan="{count(//CHIFRCONSAN/BILCONSOAN)}">&#160;</td>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
          <td height="5" colspan="4"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/@DATCLOT" mode="chifcles"/>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/@DATCLOT" mode="chifcles"/>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/@DUREEEX" mode="chifcles"/>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/@DUREEEX" mode="chifcles"/>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
          <td colspan="4" height="5"></td>
        </tr>
        <tr>
          <td width="85" class="clCouleur2" height="15">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_CA'"/>
            </xsl:call-template>
            (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td width="65" class="clCouleur2" height="15">&#160;</td>
          <td colspan="{count(../BILANAN)}" class="clFond" height="15">&#160;</td>
          <td width="140" height="15" class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_CAGRP'"/>
            </xsl:call-template>
            (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td colspan="{count(//CHIFRCONSAN/BILCONSOAN)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td class="clCouleur2"></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/p2052FL1"/>
          <td width="39"></td>
          <td width="101" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/pCACONS1"/>
        </tr>
        <tr>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Export'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/p2052FK"/>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Etranger'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/p2010AD"/>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
          <td colspan="4" height="5"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/p2058YP1"/>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/pEFFECT1" />
        </tr>
        <xsl:if test="../DATDOC">
          <xsl:if test="not($NonResident='NR')">
            <tr>
              <td colspan="10" align="middle">

              </td>
            </tr>
          </xsl:if>
          <!--xsl:if test="$NonResident='NR'">
					<tr> 	
						<td colspan="10" align="middle">&#160;</td>
					</tr>
				</xsl:if-->
        </xsl:if>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
    <xsl:if test="not(//CHIFRCONSAN/BILCONSOAN)">
      <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComSoc'"/>
            </xsl:call-template>
          </td>
          <td colspan="4">
            &#160;
          </td>
        </tr>
        <tr>
          <td colspan="6" height="5"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/@DATCLOT" mode="chifcles"/>
          <td width="{75-25*count(//BILANAN)}%" colspan="{3-count(//BILANAN)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/@DUREEEX" mode="chifcles"/>
          <td colspan="{3-count(//BILANAN)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="6" height="5"></td>
        </tr>
        <tr>
          <td width="85" class="clCouleur2" height="15">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_CA'"/>
            </xsl:call-template>
            (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td width="65" class="clCouleur2" height="15">&#160;</td>
          <td colspan="4" class="clFond" height="15">&#160;</td>
        </tr>
        <tr>
          <td class="clCouleur2"></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/p2052FL1|../BILANAN/p209101"/>
          <td colspan="{3-count(//BILANAN)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Export'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/p2052FK"/>
          <td colspan="{3-count(//BILANAN)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="6" height="5"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANAN/p2058YP1" />
          <td colspan="{3-count(//BILANAN)}" class="clFond">&#160;</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="BILCONSOAN">
    <xsl:if test="position()=last()">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td width="19">&#160;</td>
          <td width="597" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
            </xsl:call-template>
          </td>
          <td width="19">

          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
        <tr>
          <td width="140" colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComCon'"/>
            </xsl:call-template>
          </td>
          <td colspan="3">&#160;</td>
        </tr>
        <tr>
          <td height="5" colspan="5"></td>
        </tr>
        <tr>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/@DATCLOT" mode="chifcles"/>
          <td width="{80-40*count(//CHIFRCONSAN/BILCONSOAN)}%" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/@DUREEEX" mode="chifcles"/>
          <td class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
        </tr>
        <tr>
          <td width="140" height="15" class="clCouleur2" colspan="2">
            CA Groupe (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td colspan="3" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td width="39"></td>
          <td width="101" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/pCACONS1"/>
          <td class="clFond">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Etranger'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/p2010AD"/>
          <td class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
        </tr>
        <tr>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONSAN/BILCONSOAN/pEFFECT1"/>
          <td class="clFond">&#160;</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p2052FL1|p209101|p2052FK|pCACONS1|p2010AD">
    <xsl:if test="@ETAT">
      <td class="clFond" align="right">
        &#160;<xsl:value-of select="@ETAT"/>&#160;
      </td>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <td class="clFond" align="right">
        &#160;<xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p2058YP1|pEFFECT1">
    <xsl:if test="@ETAT">
      <td class="clFond" align="right">
        &#160;<xsl:value-of select="@ETAT"/>&#160;
      </td>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <td class="clFond" align="right">
        &#160;<xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DATCLOT|@DUREEEX" mode="chifcles">
    <td class="clFond" align="right">
      <xsl:if test="$Lang='FR'">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
      <xsl:if test="$Lang='UK'">
        &#160;<xsl:call-template name ="displayDateUKXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
  </xsl:template>

  <!--********************************************************************************************************************************************************************-->
  <!-- partie INFOCOTATIONEJ -->
  <xsl:template match="INFOCOTATIONEJ">

    <a name="ancCotation"></a>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="19"></td>
        <td width="597" class="clCouleur2"> LA COTATION BANQUE DE FRANCE</td>
        <td width="19"></td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="69" class="clCouleur2">Cotation :</td>

        <xsl:if test="DATEXA">
          <td width="218" class="clFond">
            &#160;<xsl:value-of select="VALCOT"/>
          </td>
          <td width="105" class="clCouleur2" align="center" height="18">depuis le</td>
          <td width="69" class="clFond">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
            </xsl:call-template>
          </td>
          <td width="105" class="clCouleur2" align="center" height="18">actualise le</td>
          <td width="69" class="clFond" height="18">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATEXA)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(DATEXA)">
          <td width="392" class="clFond">
            &#160;<xsl:value-of select="VALCOT"/>
          </td>
          <td width="105" class="clCouleur2" align="center" height="18">depuis le</td>
          <td width="69" class="clFond">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
      </tr>
    </table>


    <xsl:apply-templates select="DATBILS"/>
    <xsl:apply-templates select="DATBILC"/>
    <xsl:apply-templates select="COTPREC"/>

    <xsl:if test="//INFLUENCANTE or //TETEDEGROUPE">
      <xsl:call-template name="shim"/>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <xsl:apply-templates select="//INFLUENCANTE"/>
        <xsl:apply-templates select="//TETEDEGROUPE"/>
      </table>
    </xsl:if>
    <xsl:if test="not(//IEC01)">
      <div class="clBreakPage"></div>
      <xsl:if test="//MEJIG|//MEJIS|//MEJ/B5|//MEJ/B6|//MEJ/B7|//MEJ/B8|//MEJ/B9|//MEJ/IT01">
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="19"></td>
            <td width="597" class="clCouleur2"> CARACTRISTIQUES</td>
            <td width="19">&#160;</td>
          </tr>
        </table>

        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <xsl:apply-templates select="//MEJIG/*" mode="displayLib"/>
          <xsl:apply-templates select="//MEJIS/*" mode="displayLib"/>
          <xsl:apply-templates select="//MEJ/B5|//MEJ/B6|//MEJ/B7|//MEJ/B8|//MEJ/B9" mode="displayLib"/>
          <xsl:apply-templates select="//MEJ/IT01" mode="displayLib"/>
        </table>

      </xsl:if>
      <xsl:call-template name="shim"/>
      <table width="635" border="0" cellspacing="0" cellpadding="0">

        <tr align="center">
          <td width="19"></td>
          <td width="597" class="clCouleur2"> EXPLICATION</td>
          <td width="19">&#160;</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <xsl:apply-templates select="//MPMCA"/>
      <xsl:call-template name="coteDeCredit"/>
      <xsl:apply-templates select="//MEJCO"/>

    </xsl:if>

  </xsl:template>

  <xsl:template match="INFLUENCANTE">
    <tr>
      <td width="130" class="clCouleur2">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m37_EntInf'"/>
        </xsl:call-template>
      </td>
      <td class="clFond" width="80">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
      <td class="clFond" colspan="5">
        &#160;<xsl:value-of select="EJ/DENOM"/>
      </td>
    </tr>
    <xsl:if test="not($NonResident='NR')">
      <tr>
        <td width="130" height="14"></td>
        <td width="80" height="14"></td>
        <td colspan="5" width="426" height="14" align="right" valign="middle">&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="$NonResident='NR'">
      <tr>
        <td width="130" height="14"></td>
        <td width="80" height="14"></td>
        <td colspan="5" width="426" height="14" align="right" valign="middle">&#160;</td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template match="TETEDEGROUPE">
    <tr>
      <td width="130" class="clCouleur2" height="14">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="codeLib" select="'m37_TetGro'"/>
        </xsl:call-template>
      </td>
      <td class="clFond" width="80" height="14">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
      <td class="clFond" colspan="5" height="14">
        &#160;<xsl:value-of select="EJ/DENOM"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="IS01|IS02|IS03|IS04|IS05|IS06|IS07|IS08|IG01|IG02|IG03|B5|B6|B7|B8|B9|IT01" mode="displayLib">
    <tr>
      <td width="130"></td>
      <td width="505" class="clTexte">
        - <xsl:apply-templates select="."/>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="MPMCA">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_CotAct'"/>
          </xsl:call-template>
        </td>
        <td width="505" class="clGrasFond">
          &#160;<xsl:value-of select="substring(//INFOCOTATIONEJ/VALCOT,1,1)"/>
        </td>
      </tr>
      <tr>
        <td width="130"></td>
        <td width="505" class="clTexte">
          - <xsl:apply-templates select="./*"/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template name="coteDeCredit">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_CotCre'"/>
          </xsl:call-template>
        </td>
        <td width="505" class="clGrasFond">
          &#160;<xsl:value-of select="substring(//INFOCOTATIONEJ/VALCOT,2,3)"/>
        </td>
      </tr>
      <xsl:apply-templates select="//MG3pp|//MG3p|//MG3|//MG4p|//MG4|//MG5p|//MG5|//MG6|//MG7|//MG8|//MG9|//MGP" mode="displayLib"/>
      <tr>
        <td width="130" height="11">&#160;</td>
        <td width="505" class="clTexte">
          <xsl:apply-templates select="//CC01|//CC03|//CC04" mode="displayLib"/>
          <xsl:apply-templates select="//CCG1|//CCG2|//CCG3A|//CCG3B|//CCG4|//CCG5|//CCG6|//CCG7" mode="displayLib"/>
          <xsl:apply-templates select="//CCB0|//CCB1A|//CCB1Ap|//CCB1B|//CCB1Bp|//CCB1C|//CCB1Cp|//CCB1D|//CCB1Dp|//CCB1E|//CCB1Ep|//CCB1F|//CCB1Fp"  mode="displayLib"/>
          <xsl:apply-templates select="//CCR1A|//CCR1Ap|//CCR1B|//CCR1Bp|//CCR1C|//CCR1Cp|//CCR1D|//CCR1Dp|//CCR1E|//CCR1Ep|//CCR1F|//CCR1Fp"  mode="displayLib"/>
          <xsl:apply-templates select="//CCI1|//CCI2|//CCI3|//CCI4" mode="displayLib"/>
          <xsl:apply-templates select="//CCJ1A|//CCJ1B|//CCJ2|//CCJ3" mode="displayLib"/>
          <xsl:apply-templates select="//CCE1A|//CCE1B|//CCE2A|//CCE2B|//CCE3|//CCE4|//CCE4A|//CCE4B|//CCE4C|//CCE4D|//CCE4E|//CCE5|//CCE6A|//CCE6B|//CCE7|//CCE8|//CCE9A|//CCE9B"  mode="displayLib"/>
          <xsl:apply-templates select="//CCS1A|//CCS1Ap|//CCS1B" mode="displayLib"/>
          <xsl:apply-templates select="//CCS1" mode="displayLib"/>
          <xsl:apply-templates select="//CCD1|//CCD2|//CCD3" mode="displayLib">
            <xsl:sort select="(name(.)='CCD2')*1.1+(name(.)='CCS1')*1.2"/>
          </xsl:apply-templates>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!-- on supprime les liens PLUS D DINFOS en redefinissant  vide le template du commun -->
  <xsl:template match="MG3pp|MG3p|MG3|MG4p|MG4|MG5p|MG5|MG6|MG7|MG8|MG9|MGP" mode="displayAfterLibelle"/>
  <xsl:template match="CC01|CC03|CC04" mode="displayAfterLibelle"/>
  <xsl:template match="CCG1|CCG2|CCG3A|CCG3B|CCG4|CCG5|CCG6|CCG7" mode="displayAfterLibelle"/>
  <xsl:template match="CCB0|CCB1A|CCB1Ap|CCB1B|CCB1Bp|CCB1C|CCB1Cp|CCB1D|CCB1Dp|CCB1E|CCB1Ep|CCB1F|CCB1Fp"  mode="displayAfterLibelle"/>
  <xsl:template match="CCR1A|CCR1Ap|CCR1B|CCR1Bp|CCR1C|CCR1Cp|CCR1D|CCR1Dp|CCR1E|CCR1Ep|CCR1F|CCR1Fp"  mode="displayAfterLibelle"/>
  <xsl:template match="CCI1|CCI2|CCI3|CCI4" mode="displayAfterLibelle"/>
  <xsl:template match="CCD1|CCD2|CCD3"  mode="displayAfterLibelle"/>
  <xsl:template match="COD1|COD2|COD3"  mode="displayAfterLibelle"/>
  <xsl:template match="CCJ1A|CCJ1B|CCJ2|CCJ3" mode="displayAfterLibelle"/>
  <xsl:template match="CCE1A|CCE1B|CE2A|CCE2B|CCE3|CCE4|CCE4A|CCE4B|CCE4C|CCE4D|CCE4E|CCE5|CCE6A|CCE6B|CCE7|CCE8|CCE9A|CCE9B"  mode="displayAfterLibelle"/>
  <xsl:template match="CCS1|COS1" mode="displayAfterLibelle"/>

  <xsl:template match="ICB02" mode="displayAfterLibelle"/>

  <xsl:template match="MEJCO">

    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="19"></td>
        <td width="597" class="clCouleur2"> AUTRES INFORMATIONS</td>
        <td width="19">&#160;</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130"></td>
        <td width="505" class="clTexte">
          <xsl:apply-templates select="COB1" mode="displayLib"/>
          <xsl:apply-templates select="COR1" mode="displayLib"/>
          <xsl:apply-templates select="COI1|COI2|COI3|COI4|COI5" mode="displayLib"/>
          <xsl:apply-templates select="COD1|COD2|COD3" mode="displayLib"/>
          <xsl:apply-templates select="COJ1|COJ2|COJ3" mode="displayLib"/>
          <xsl:apply-templates select="COE1|COE2|COE3|COE4|COE5|COE7|COE9" mode="displayLib"/>
          <xsl:apply-templates select="COS1" mode="displayLib"/>

        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>
  <xsl:template match="CC01|CC02|CC03|CC04|CCG1|CCG2|CCG3A|CCG3B|CCG4|CCG5|CCG6|CCG7|CCB0|CCB1A|CCB1Ap|CCB1B|CCB1Bp|CCB1C|CCB1Cp|CCB1D|CCB1Dp|CCB1E|CCB1Ep|CCB1F|CCB1Fp|CCR1A|CCR1Ap|CCR1B|CCR1Bp|CCR1C|CCR1Cp|CCR1D|CCR1Dp|CCR1E|CCR1Ep|CCR1F|CCR1Fp|CCI1|CCI2|CCI3|CCI4|CCD1|CCD2|CCD3|CCJ1A|CCJ1B|CCJ2|CCJ3|CCE1A|CCE1B|CCE2A|CCE2B|CCE3|CCE4|CCE4A|CCE4B|CCE4C|CCE4D|CCE4E|CCE5|CCE6A|CCE6B|CCE7|CCE8|CCE9A|CCE9B|CCS1" mode="displayLib">
    - <xsl:apply-templates select="."/><br />
  </xsl:template>

  <xsl:template match="COS1|COB1|COR1|COI1|COI2|COI3|COI4|COI5|COD1|COD2|COD3|COJ1|COJ2|COJ3|COE1|COE2|COE3|COE4|COE5|COE7|COE9" mode="displayLib">
    - <xsl:apply-templates select="."/><br />
  </xsl:template>
  <xsl:template match="MG3pp|MG3p|MG3|MG4p|MG4|MG5p|MG5|MG6|MG7|MG8|MG9|MGP" mode="displayLib">
    <tr>
      <td>&#160;</td>
    </tr>
    <tr>
      <td colspan="2" class="clCouleur2" width="635">
        <xsl:apply-templates select="."/>
      </td>
    </tr>
  </xsl:template>
  <!--********************************************************************************************************************************************************************-->

  <!--********************************************************************************************************************************************************************-->
  <!-- l'arborescence XML a tait modifi le 18/08/2008 -->

  <!--<xsl:template match="INFODIRIGEANTS">
<div class="clBreakPage"></div>  
	<xsl:apply-templates select="NBDIRIGEANTDO" />
	<xsl:apply-templates select="DIRIGEANT" />
  <xsl:if test="NBDIRIGEANTCESSEDO">
     <xsl:call-template name="shim"/>
  </xsl:if>
  <xsl:apply-templates select="NBDIRIGEANTCESSEDO" />
  <xsl:apply-templates select="DIRIGEANTCESSE" />
  <xsl:apply-templates select="SUITE" />
    <xsl:call-template name="shim"/>
 </xsl:template>-->


  <xsl:template match="INFODIRIGEANTS">
    <!--<div class="clBreakPage"></div>-->
    <xsl:if test="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFODIRIGEANTS/DIRIGEANTS">
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFODIRIGEANTS/DIRIGEANTS/NBDIRIGEANTDO" />
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFODIRIGEANTS/DIRIGEANTS/DIRIGEANT" />

      <xsl:if test="not((//INFODIRIGEANTS/DIRIGEANTS/SUITE) or (//INFODIRIGEANTS/DIRIGEANTS/AUTRFDEJ))" >
        <xsl:call-template name="shim"/>
      </xsl:if>

    </xsl:if>



    <xsl:if test="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFODIRIGEANTS/DIRIGEANTSCESSES">

      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFODIRIGEANTS/DIRIGEANTSCESSES/NBDIRIGEANTCESSEDO" />
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFODIRIGEANTS/DIRIGEANTSCESSES/DIRIGEANTCESSE" />
      <!--<xsl:apply-templates select="SUITE" />  le template suite est supprimer car il y a deux fois suite au mme niveau-->
      <!-- le plus d'infos est donc rajout  la fin des templates DIRIGEANT ET DIRIGEANTCESSE -->
      <!--<xsl:call-template name="shim"/>-->

      <xsl:if test="not(//INFODIRIGEANTS/DIRIGEANTSCESSES/SUITE)" >
        <xsl:call-template name="shim"/>
      </xsl:if>


    </xsl:if>



  </xsl:template>


  <xsl:template match="NBDIRIGEANTDO">
    <a name="Dirigeants"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          DIRIGEANT(S) ACTIF(S) DE L'ENTREPRISE (<xsl:value-of select="."/>)<br/>

        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="DIRIGEANT">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <tr>
        <xsl:if test="EJ/DENOM">
          <td class="clTexteGras" colspan="5">
            &#160;<xsl:value-of select="EJ/DENOM"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EJ/DENOM)">
          <td class="clTexteGras" colspan="2">
            &#160;<xsl:call-template name ="displayInLowerCaseXsl">
              <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
              <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
            </xsl:call-template>
          </td>
          <xsl:if test="PP/IDENTITE/NOMCONJ">
            <td class="clCouleur2" colspan="3">
              &#160;Nom marital&#160;&#160;&#160;<span class="clTexte">
                <xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
              </span>
            </td>

          </xsl:if>
          <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
            <td width="54">&#160;</td>
            <td colspan="2">&#160;</td>
          </xsl:if>
        </xsl:if>
      </tr>
      <xsl:if test ="EJ">
        <xsl:variable name="ident" select="EJ/IDENTS"/>
        <xsl:if test ="not (FONCTCOT/SEGMENT)">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clFond" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td >
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
            <td class="clFond" width="166"></td>
            <td class="clCouleur2" width="60">&#160;Cotation</td>
            <td class="clFond" width="89" align="right" valign="middle">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
            </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="315" colspan="3"></td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="92">
              &#160;
            </td>
          </tr>
        </xsl:if>
        <xsl:if test ="FONCTCOT/SEGMENT">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clFond" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td >
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="81"></td>
              <td class="clCouleur2" width="145">&#160;Cotation | Segmentation</td>
              <td class="clFond" width="89" align="right" valign="middle">
                &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
                <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                  &#160;|&#160;
                  <u>
                    <xsl:value-of select="FONCTCOT/SEGMENT"/>
                  </u>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="315" colspan="3"></td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="92">
              &#160;
            </td>
          </tr>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="PP">
        <xsl:variable name="ident" select="PP/IDENTC"/>
        <tr>
          <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
          <td class="clFond" width="255">
            &#160;<xsl:value-of select="PP/IDENTC"/>
          </td>
          <xsl:if test="not(FONCTCOT/VALCOT='NS')">
            <td class="clFond" width="166"></td>
            <td class="clCouleur2" width="60">&#160;Indicateur</td>
            <td class="clFond" width="89" align="right" valign="middle">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="(FONCTCOT/VALCOT='NS')">
            <td class="clFond" width="315" colspan="3"></td>
          </xsl:if>
        </tr>
        <xsl:choose>
          <xsl:when test ="FONCTCOT/AUTRFDEI">
            <tr>
              <td class="clTexte" colspan="4" align="left" valign="middle">
                &#160;Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)
              </td>
              <xsl:if test="not(FONCTCOT/VALCOT='NS')">
                <td width="89" align="right" valign="middle">
                  &#160;<a href="#nullePart" onclick="requestBDFInfos('56','','1','{$ident}',cstSimpleConfirm);">
                    <img src="{$root}Images/Commun/clignotant2.gif" width="84" border="0" />
                  </a>
                </td>
              </xsl:if>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr>
              <td class="clTexteGras" colspan="4" align="left">
                &#160;
              </td>
              <td width="92">
                &#160;
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>


      <xsl:call-template name="shim"/>
    </table>
    <xsl:if test="position() mod 9 = 0">
      <div class="clBreakPage"></div>
    </xsl:if>
    <xsl:if test="position() = last()">

      <xsl:if test="//INFODIRIGEANTS/DIRIGEANTS/AUTRFDEJ">
        <xsl:call-template name="shim"/>
        <xsl:apply-templates select="//INFODIRIGEANTS/DIRIGEANTS/AUTRFDEJ"/>
        <xsl:call-template name="shim"/>
      </xsl:if>
      <xsl:if test="not(//INFODIRIGEANTS/DIRIGEANTS/AUTRFDEJ)">
       
        <xsl:if test="//INFODIRIGEANTS/DIRIGEANTS/SUITE" >
          <xsl:call-template name="shim"/>
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>

              <td width="530" height="14" colspan="4" class="clCouleur2" ></td>

              <td width="105" height="14" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('51','','1','{/FIBEN/PERSONNE/MODULEAN/EJ/IDENTS}',cstSimpleConfirm);">
                  <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
                </a>
              </td>
            </tr>

          </table>
          <xsl:call-template name="shim"/>
        </xsl:if>
      </xsl:if>
    </xsl:if>
  </xsl:template>
  <xsl:template match="AUTRFDEJ">
    <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
      <tr>
        <td  width="522" align="left">
          <br/>  Le(s) responsable(s) lgal(aux) de cette entreprise dtienne(nt) d&#039;autres fonctions de reprsentant(s) lgal(aux)
        </td>
        <td  width="103" align="right">
          <a href="#nullepart" onclick="requestBDFInfos('51','','','',cstSimpleConfirm);">
            <img border="0" height="12" 	src="{$root}images/Commun/clignotant2.gif" width="90"/>
          </a>
        </td>
      </tr>

    </table>
    <!--<xsl:call-template name="shim"/>-->
  </xsl:template>

  <xsl:template match="NBDIRIGEANTCESSEDO">
    <a name="ancCesse" />

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          DIRIGEANT(S) DE L'ENTREPRISE AYANT CESS&#201; SON(LEUR) ACTIVIT&#201; (<xsl:value-of select="."/>)<br/>
          <!--<xsl:call-template name="shim"/>-->
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template match="DIRIGEANTCESSE">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <xsl:apply-templates select="CESSATION"/>

      <tr>
        <xsl:if test="EJ/DENOM">
          <td class="clGrasFond" colspan="5">
            &#160;<xsl:value-of select="EJ/DENOM"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EJ/DENOM)">
          <td class="clGrasFond" colspan="2">
            &#160;<xsl:call-template name ="displayInLowerCaseXsl">
              <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
              <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
            </xsl:call-template>
          </td>
          <xsl:if test="PP/IDENTITE/NOMCONJ">
            <td colspan="3">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <td width="77" class="clCouleur2">&#160;Nom marital</td>
                <td colspan="2" class="clFond" align="left">
                  &#160;
                  <xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
                </td>
              </table>
            </td>
          </xsl:if>
          <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
            <td width="54" class="clFond">&#160;</td>
            <td colspan="2" class="clFond">&#160;</td>
          </xsl:if>
        </xsl:if>
      </tr>

      <xsl:if test ="EJ">
        <xsl:variable name="ident" select="EJ/IDENTS"/>
        <xsl:if test ="FONCTCOT/SEGMENT">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clTexte" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" width="81"></td>
              <td class="clCouleur2" width="145">&#160;Cotation | Segmentation</td>
              <td class="clTexte" width="89" align="right" valign="middle">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
                <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                  &#160;|&#160;
                  <u>
                    <xsl:value-of select="FONCTCOT/SEGMENT"/>
                  </u>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" colspan="3"></td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexte" colspan="4" align="left">
              &#160;
            </td>
            <td width="92">
              &#160;
            </td>
          </tr>
        </xsl:if>
        <xsl:if test ="not(FONCTCOT/SEGMENT)">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clTexte" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" width="166"></td>
              <td class="clCouleur2" width="60">&#160;Cotation</td>
              <td class="clTexte" width="89" align="right" valign="middle">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" colspan="3"></td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexte" colspan="4" align="left">
              &#160;
            </td>
            <td width="92">
              &#160;
            </td>
          </tr>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="PP">
        <xsl:variable name="ident" select="PP/IDENTC"/>
        <tr>
          <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
          <td class="clTexte" width="255">
            &#160;<xsl:value-of select="PP/IDENTC"/>
          </td>
          <xsl:if test="not(FONCTCOT/VALCOT='NS')">
            <td class="clTexte" width="166"></td>
            <td class="clCouleur2" width="60">&#160;Indicateur</td>
            <td class="clTexte" width="89" align="right" valign="middle">
              &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="(FONCTCOT/VALCOT='NS')">
            <td class="clTexte" ></td>
          </xsl:if>
        </tr>
        <xsl:choose>
          <xsl:when test ="FONCTCOT/AUTRFDEI">
            <tr>
              <td class="clTexte" colspan="4" align="left" valign="middle">
                &#160;Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)
              </td>
              <xsl:if test="not(FONCTCOT/VALCOT='NS')">
                <td width="89" align="right" valign="middle">
                  &#160;<a href="#nullePart" onclick="requestBDFInfos('56','','1','{$ident}',cstSimpleConfirm);">
                    <img src="{$root}Images/Commun/clignotant2.gif" width="84"  border="0" />
                  </a>
                </td>
              </xsl:if>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr>
              <td class="clTexte" colspan="4" align="left">
                &#160;
              </td>
              <td width="92">
                &#160;
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>


      <xsl:call-template name="shim"/>
    </table>

    <xsl:if test="position() = last()">
      
      <xsl:if test="//INFODIRIGEANTS/DIRIGEANTSCESSES/SUITE" >
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>

            <td width="530" height="14" colspan="4" class="clCouleur2" ></td>

            <td width="105" height="14" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('51','','1','{/FIBEN/PERSONNE/MODULEAN/EJ/IDENTS}',cstSimpleConfirm);">
                <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
              </a>
            </td>
          </tr>

        </table>
        <xsl:call-template name="shim"/>
      </xsl:if>
      <xsl:if test="position() mod 10 = 0">
        <div class="clBreakPage"></div>
      </xsl:if>
    </xsl:if>

  </xsl:template>

  <xsl:template match="CESSATION">
    <tr>
      <td class="clTexte" colspan="2" >
        &#160;<xsl:call-template name="traduction">
          <xsl:with-param name="code" select="@COCESS"/>
        </xsl:call-template>
      </td>
      <xsl:if test="@DATCESS != ''">
        <td class="clTexte" align="right" colspan="2"> Cess&#233;(e) depuis le :</td>
        <td align="right" class="clTexte" width="90">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(@DATCESS)"/>
          </xsl:call-template>
        </td>
      </xsl:if>
      <xsl:if test="not(@DATCESS)">
        <td colspan="2" class="clFond">&#160;</td>
        <td class="clTexte" width="90">&#160;</td>
      </xsl:if>


    </tr>
  </xsl:template>

  <!-- ******************************************************************************************* -->

  <xsl:template match="INFOASSOCIES">
    <xsl:apply-templates select="NBASSOCIEDO" />
    <xsl:apply-templates select="ASSOCIE" />
  </xsl:template>

  <xsl:template match="NBASSOCIEDO">
    <a name="ancAssocies"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="631" colspan="7" class="clCouleur2">
          PRINCIPAL(AUX) ASSOCIE(S) (<xsl:value-of select="." />)
        </td>
        <td></td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCIE">
    <xsl:apply-templates select="CAPITAL">
      <xsl:with-param name="indice" select="position()"/>
    </xsl:apply-templates>
    <xsl:apply-templates select="ASSOCSPE|ASSOCPP|ASSOCEJ"/>
  </xsl:template>

  <xsl:template match="CAPITAL">
    <xsl:param name="indice"/>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="121" class="clCouleur2">&#160;Pourcentage dtenu</td>
        <td width="114" class="clFond">
          &#160;<xsl:value-of select="POURCENTAGE"/>
        </td>
        <td width="57" class="clFond">&#160;</td>
        <td width="171" class="clFond" align="right">&#160;</td>
        <xsl:if test="DATDET">
          <td class="clFond" align="right" width="60">&#160;Depuis le</td>
          <td class="clFond" align="right" width="89">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATDET)"/>
            </xsl:call-template>&#160;
          </td>
        </xsl:if>
        <xsl:if test="not(DATDET)">
          <td class="clFond" align="right" width="60">&#160;</td>
          <td class="clFond" align="right" width="89">&#160;</td>
        </xsl:if>
        <xsl:if test="$indice mod 3 = 0">
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="$indice mod 3 != 0">
          <td width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="ASSOCSPE">
    <table width="636" border="0" cellspacing="0" cellpadding="0">
      <tr align="left" valign="middle">
        <td colspan="2" class="clGras">
          &#160;<xsl:value-of select="DENOM"/>
        </td>
        <td width="57"></td>
        <td colspan="3"></td>
      </tr>
      <tr>
        <td colspan="4" >
          &#160;
        </td>
        <td width="95" >
          &#160;
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCPP">
    <table width="636" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="2" class="clGras" >
          &#160;<xsl:call-template name ="displayInLowerCaseXsl">
            <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
            <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
          </xsl:call-template>
        </td>
        <xsl:if test="PP/IDENTITE/NOMCONJ">
          <td width="77" class="clCouleur2">&#160;Nom marital</td>
          <td class="clTexte" colspan="3">
            &#160;<xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
          </td>
        </xsl:if>
        <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
          <td width="57" class="clCouleur2">&#160;</td>
          <td class="clTexte" colspan="3">&#160;</td>
        </xsl:if>
      </tr>
        <xsl:choose>
          <xsl:when test ="AUTRFDEI">
            <tr valign="middle">
              <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
              <td class="clFond" width="182" align="left">
                &#160;<xsl:value-of select="PP/IDENTC"/>
              </td>
              <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
              <td class="clFond" width="118" align="left">
                &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                  <u>
                    <xsl:value-of select="VALCOT"/>
                  </u>
                </a>
              </td>
              <td class="clFond" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|53|56|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </tr>
            <tr>
              <td class="clTexte" colspan="4" align="left">
                &#160;Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)
              </td>
              <td width="95" >
                &#160;
              </td>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr valign="middle">
              <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
              <td class="clFond" width="182" align="left">
                &#160;<xsl:value-of select="PP/IDENTC"/>
              </td>
              <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
              <td class="clFond" width="118" align="left">
                &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                  <u>
                    <xsl:value-of select="VALCOT"/>
                  </u>
                </a>
              </td>
              <td class="clFond" width="95" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                  <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
                </a>
              </td>
            </tr>
            <tr>
              <td class="clTexteGras" colspan="4" align="left">
                &#160;
              </td>
              <td width="95" >
                &#160;
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCEJ">
    <table width="636" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="3" class="clGras">
          &#160;<xsl:value-of select="EJ/DENOM"/>
        </td>
        <td class="clCouleur2" colspan="3" width="114"></td>
      </tr>
      <tr>
        <td class="clFond" colspan="6" align="left">
          &#160;<xsl:value-of select="LOCALI"/>
        </td>
      </tr>
    </table>
    <xsl:if test ="SEGMENT">
      <table width="636" border="0" cellspacing="0" cellpadding="0">
        <tr align="left" valign="middle">
          <td class="clCouleur2" width="121" align="left" height="16">&#160;Identifiant </td>
          <td class="clTexte" width="114" align="left">
            &#160;<xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
            </xsl:call-template>
          </td>
          <td class="clTexte" colspan="2"></td>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
			<xsl:choose>
				<!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
					<td class="clCouleur2" width="145" align="left">&#160;Cotation | Segmentation</td>
					<td class="clTexte" width="89" align="right">
						<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
							<u>
								<xsl:value-of select="VALCOT"/>
							</u>
						</a>
						<a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
							&#160;|&#160;
							<u>
								<xsl:value-of select="SEGMENT"/>
							</u>
						</a>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td width="145" align="left">&#160;</td>
					<td width="89" align="right">
						<a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
							&#160;|&#160;
							<u>
								<xsl:value-of select="SEGMENT"/>
							</u>
						</a>
					</td>
				</xsl:otherwise>
			</xsl:choose>
          </tr>
        <tr>
          <td colspan="4" >
            &#160;
          </td>
          <td width="95" >
            &#160;
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:if test ="not (SEGMENT)">
      <table width="636" border="0" cellspacing="0" cellpadding="0">
        <tr align="left" valign="middle">
          <td class="clCouleur2" width="130" align="left" height="16">&#160;Identifiant </td>
          <td class="clTexte" width="182" align="left">
            &#160;<xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
            </xsl:call-template>
          </td>
          <td class="clTexte" colspan="2"></td>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
			<xsl:choose>
				<!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
					<td class="clCouleur2" width="80" align="left">&#160;Cotation</td>
					<td class="clTexte" width="118" align="left">
						<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
							<u>
								<xsl:value-of select="VALCOT"/>
							</u>
						</a>
					</td>
          <td class="clTexte" width="95" align="right">
            <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
              <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
            </a>
          </td>
				</xsl:when>
				<xsl:otherwise>
					<td width="60" align="left">&#160;</td>
					<td width="89" align="right"></td>
				</xsl:otherwise>
			</xsl:choose>
        </tr>
        <tr>
          <td colspan="4" >
            &#160;
          </td>
          <td width="95" >
            &#160;
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:call-template name="shim"/>
  </xsl:template>


  <!--********************************************************************************************************************************************************************-->
  <xsl:template match="INFOPARTICIPATIONS">
    <xsl:apply-templates select="NBPARTICIPATIONDO" />
    <xsl:apply-templates select="PARTICIPATION" />
  </xsl:template>

  <xsl:template match="NBPARTICIPATIONDO">

    <div class="clBreakPage"></div>

    <a name="ancParticipation"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          PRINCIPALE(S) PARTICIPATION(S) (<xsl:value-of select="."/>)
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
  </xsl:template>

  <xsl:template match="PARTICIPATION">
    <xsl:call-template name="CAPITALP">
      <xsl:with-param name="indice" select="position()"/>
    </xsl:call-template>
    <tr>
      <td class="clGras" colspan="6">
        &#160;<xsl:value-of select="EJ/DENOM"/>
      </td>
    </tr>
    <tr align="left" valign="middle">
      <td class="clCouleur2" width="125" align="left">&#160;Identifiant</td>
      <td class="clFond" width="117" align="left">
        &#160;<xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
      <td class="clFond" width="151" >
        &#160;<xsl:value-of select="LOCALI"/>
      </td>
      <xsl:choose >
        <xsl:when test ="SEGMENT">
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
			<xsl:choose>
				<!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
					<td class="clCouleur2" width="145" align="right">Cotation | Segmentation </td>
					<td class="clFond" width="91" align="right">
						&#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
							<u>
								<xsl:value-of select="VALCOT"/>
							</u>
						</a>
						<a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
							&#160;|&#160;
							<u>
								<xsl:value-of select="SEGMENT"/>
							</u>
						</a>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td width="145" align="right"></td>
					<td width="91" align="right">
						<a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
							&#160;|&#160;
							<u>
								<xsl:value-of select="SEGMENT"/>
							</u>
						</a>
					</td>
				</xsl:otherwise>
			</xsl:choose>

        </xsl:when>
        <xsl:otherwise>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
			<xsl:choose>
				<!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
					<td class="clCouleur2" width="145" align="right">Cotation </td>
					<td class="clFond" width="91" align="right">
						&#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS}');">
							<u>
								<xsl:value-of select="VALCOT"/>
							</u>
						</a>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td width="145" align="right"></td>
					<td width="91" align="right"></td>
				</xsl:otherwise>
			</xsl:choose>
        </xsl:otherwise>
      </xsl:choose>

    </tr>
    <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
    <xsl:if test="position() = last()">
      <xsl:if test="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOPARTICIPATIONS/SUITE">

        <table width="635" border="0" cellspacing="0" cellpadding="0">

          <tr>
            <td width="530" height="14" colspan="4" class="clCouleur2" ></td>
            <td width="105" height="14" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('53','','1','{/FIBEN/PERSONNE/MODULEAN/EJ/IDENTS}',cstSimpleConfirm);">
                <img src="../images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
              </a>
            </td>
          </tr>
        </table>

      </xsl:if>
    </xsl:if>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template name="CAPITALP">
    <xsl:param name="indice"/>
    <xsl:variable name="actbdf" select="ACTBDF"/>
    <xsl:variable name="from">'</xsl:variable>
    <xsl:variable name="to">&#146;</xsl:variable>
    <xsl:variable name="libActivite" select="translate($dictionnaire//ssclasse[@id=$actbdf],$from,$to)" />
    <xsl:text disable-output-escaping="yes">&lt;table width=&quot;739&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
    <tr>
      <td width="125" class="clCouleur2">&#160;Pourcentage dtenu</td>
      <td width="117" class="clFond">
        &#160;<xsl:value-of select="CAPITAL/POURCENTAGE"/>
      </td>

      <xsl:if test="CAPITAL/DATDET">
        <!-- <td class="clFond" align="center" width="92">&#160;Depuis le</td>
        <td class="clFond" align="left" width="131">
        <xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(CAPITAL/DATDET)"/>
        </xsl:call-template>&#160;
        </td-->
        <td class="clFond" width="141">
          &#160;Depuis le&#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(CAPITAL/DATDET)"/>
          </xsl:call-template>
        </td>
      </xsl:if>
      <xsl:if test="not(CAPITAL/DATDET)">
        <td class="clFond" align="right" width="60">&#160;</td>
        <td class="clFond" align="right" width="156">&#160;</td>
      </xsl:if>
      <td width="155" class="clCouleur2" align="right">&#160;Activit BDF&#160;</td>
      <td width="91" class="clFond" align="right">
        <a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{$libActivite}',cstWording)" >
          <u>
            <xsl:value-of select="ACTBDF"/>
          </u>
        </a>

      </td>
      <xsl:if test="$indice mod 3 = 0">
        <td width="110" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </xsl:if>
      <xsl:if test="$indice mod 3 != 0">
        <td width="110" align="right">
          &#160;
        </td>
      </xsl:if>
    </tr>
  </xsl:template>



  <!--********************************************************************************************************************************************************************-->

  <!--TEMPLATE 7eme PAVE : EVENEMENT MARQUANT, DERNIER JUGEMENT-->
  <xsl:template match="INFOEVMEVJAN">
    <a name="ancEffet"></a>

    <xsl:if test="EVMARQ or JUGEMENTS/JUGEMENT/EVJUD">

      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td colspan="6"  class="clCouleur2">
            VNEMENT(S) MARQUANT(S) ET JUDICIAIRE (S)
            <br />
          </td>
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>

    <xsl:apply-templates select="EVMARQ"/>
    <xsl:apply-templates select="IEVJ01" mode="genMessage"/>
    <xsl:apply-templates select="JUGEMENTS/JUGEMENT/EVJUD"/>
    <xsl:apply-templates select="JUGEMENTS/PEVJANT" mode="genMessage"/>

  </xsl:template>

  <xsl:template match="EVMARQ">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;739&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>


      <tr>
        <td colspan="6" width="255"  class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_DerEve'"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr>
        <td width="20" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_Le'"/>
          </xsl:call-template>
        </td>
        <td width="110" class="clFond">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATEVM)"/>
          </xsl:call-template>&#160;
        </td>
        <xsl:if test="EVMDO">
          <td class="clFond" colspan="2">
            <xsl:apply-templates select="EVMDO"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EVMDO)">
          <td class="clFond" colspan="3" width="518">
            <xsl:apply-templates select="EVMC|EVMCD|EVMCI|EVMD|EVMDC|EVMDO|EVME|EVMJ|EVMJM|EVMM|EVMR|EVMS|EVMV"/>
          </td>
        </xsl:if>
        <xsl:apply-templates select="IDENTS" mode="clFond"/>
        <td  width="90" align="right">
        </td>
      </tr>
      <xsl:call-template name="savoirSirenAbsorbant"/>
      <xsl:if test="count(//EVMARQ)=1">
        <!-- Mise en place d'un trait de fin de tableau dans le cas ou il n'y a que 1 vnement marquant -->
        <tr>
          <td class="clTexte" colspan="8">
            <xsl:call-template name="shim"/>
          </td>
        </tr>
        <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      </xsl:if>


    </xsl:if>

    <xsl:if test="position()=2">
      <!-- Mise en place d'un trait de sparation entre les 2vnements marquant-->
      <tr>
        <td class="clTexte" colspan="8">
          <xsl:call-template name="shim"/>
        </td>
      </tr>
      <tr>
        <td width="20" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_Le'"/>
          </xsl:call-template>
        </td>
        <td width="110" class="clFond">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATEVM)"/>
          </xsl:call-template>&#160;
        </td>
        <xsl:if test="EVMDO">
          <td class="clFond" colspan="2">
            <xsl:apply-templates select="EVMDO"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EVMDO)">
          <td class="clFond" colspan="3" width="518">
            <xsl:apply-templates select="EVMC|EVMCD|EVMCI|EVMD|EVMDC|EVMDO|EVME|EVMJ|EVMJM|EVMM|EVMR|EVMS|EVMV"/>
          </td>
        </xsl:if>
        <xsl:apply-templates select="IDENTS" mode="clFond"/>
        <td width="90" align="right">

        </td>
      </tr>
      <xsl:call-template name="savoirSirenAbsorbant"/>
      <!-- Mise en place d'un trait de fin de tableau dans le cas ou il y a 2 vnements marquants -->
      <tr>
        <td class="clTexte" colspan="8">

          <xsl:call-template name="shim"/>

        </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>

    </xsl:if>


  </xsl:template>

  <xsl:template name="savoirSirenAbsorbant">
    <xsl:if test="IDENTS">
      <xsl:if test="not($NonResident='NR')">
        <tr>
          <td width="20">&#160;</td>
          <td width="110">&#160;</td>
          <td width="125">&#160;</td>
          <td width="130">&#160;</td>
          <td width="125" height="12">
            <a href="#nullepart" onclick="requestBDFInfos('27','','1','{IDENTS[1]}',cstSimpleConfirm);">
              <img align="middle" border="0" height="12" name="ev1" src="{$root}images/Commun/clignotant2.gif" width="85"/>
            </a>
          </td>
          <xsl:if test="IDENTS[2]">
            <td width="125" height="12">
              <a href="#nullepart" onclick="requestBDFInfos('27','','1','{IDENTS[2]}',cstSimpleConfirm);">
                <img align="middle" border="0" height="12" name="ev2" 	src="{$root}images/Commun/clignotant2.gif" width="85"/>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="not(IDENTS[2])">
            <td width="125" height="12">&#160;</td>
          </xsl:if>
        </tr>
      </xsl:if>

    </xsl:if>
  </xsl:template>

  <xsl:template match="EVMARQ/IDENTS" mode="clFond">
    <td width="125" class="clFond">
      <xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(.)"/>
      </xsl:call-template>
    </td>
    <xsl:if test="position()=1 and position()=last()">
      <td width="125" class="clFond">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="EVMARQ/IDENTS" mode="clTexte">
    <td width="125" class="clTexte">
      <xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(.)"/>
      </xsl:call-template>
    </td>
    <xsl:if test="position()=1 and position()=last()">
      <td width="125" class="clTexte">&#160;</td>
    </xsl:if>
  </xsl:template>


  <xsl:template match="JUGEMENTS/JUGEMENT/EVJUD">

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="6" class="clGrasFond">
          <xsl:apply-templates select="EVJAM|EVJAP|EVJCM|EVJCP|EVJCT|EVJCV|EVJDM|EVJDU|EVJEM|EVJFM|EVJFP|EVJGA|EVJGD|EVJGO|EVJGR|EVJHC|EVJHM|EVJIA|EVJIC|EVJIG|EVJIM|EVJIP|EVJIT|EVJLB|EVJLG|EVJLJ|EVJLM|EVJPA|EVJPC|EVJPM|EVJPO|EVJPV|EVJRC|EVJRD|EVJRG|EVJRJ|EVJRL|EVJRM|EVJRP|EVJRR|EVJRS|EVJSM|EVJAC|EVJCR|EVJOS|EVJOB|EVJPS|EVJRPS|EVJOD"/>
        </td>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="13" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="13" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <tr>
        <td width="30" class="clCouleur2">&#160;Le</td>
        <td width="90" class="clTexte">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATEVJ)"/>
          </xsl:call-template>
        </td>
        <td width="120" align="right" class="clCouleur2">
          <xsl:if test="DATECHJUG">
            Jusqu'au&#160;&#160;
          </xsl:if>
        </td>
        <td width="108" class="clTexte">
          &#160;
          <xsl:if test="DATECHJUG">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATECHJUG)"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <xsl:if test="../TRIBU">
          <td width="100" class="clCouleur2">&#160;Tribunal</td>
          <td width="187" class="clTexte">
            &#160;<xsl:value-of select="../TRIBU"/>
          </td>
        </xsl:if>
        <xsl:if test="not(../TRIBU)">
          <td width="100" class="clCouleur2">&#160;</td>
          <td width="187" class="clTexte">&#160;</td>
        </xsl:if>
      </tr>

      <xsl:if test="not(DATECHJUG)">

        <tr>
          <xsl:if test="/FIBEN/PERSONNE/MODULEAN/*//IDENTC">
            <td colspan="6" align="right">
            </td>
          </xsl:if>
          <xsl:if test="not(/FIBEN/PERSONNE/MODULEAN/*//IDENTC)">
            <td colspan="6" align="right">

            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="not(position()=1)">
        <xsl:call-template name="shim"/>
      </xsl:if>
    </table>
  </xsl:template>



  <xsl:template match="PEVJANT" mode="genMessage">
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="left">
        <td class="clCouleur2" width="100%" >
          <xsl:apply-templates select="."/>

        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template match="IEVJ01" mode="genMessage">

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <xsl:apply-templates select="."/>
      <br />

    </table>

  </xsl:template>
  <!--********************************************************************************************************************************************************************-->
  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 6eme PAVE : INCIDENTS DE PAIEMENT-->

  <xsl:template match="INFOIMPAYESRESUM">



    <a name="ancIPE"></a>
    <xsl:if test="not(CIP01)">
      <div class="clBreakPage"></div>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="635" align="center" class="clCouleur2">
            INCIDENTS DE PAIEMENT
            SUR EFFETS DE COMMERCE
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:if test="CIP01">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">
              <xsl:apply-templates select="CIP01"/>
            </font>
          </td>
        </tr>
      </table>
    </xsl:if>

    <xsl:apply-templates select="IPERESUME"/>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="IPERESUME">

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="19">&#160;</td>
        <td width="597" align="center" class="clCouleur2b">
          SITUATION RSUME SUR 15 MOIS&#160;(en
          <xsl:call-template name ="displayUnitXsl">
            <xsl:with-param name ="InputUnit" select ="(./@UNITE)"/>
          </xsl:call-template>
          euros)
        </td>
        <td width="19">&#160;</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="110" align="right" valign="top">&#160;</td>
        <td width="210" colspan="2" align="right" class="clCouleur2">
          Incapacit
          de payer&#160;&#160;&#160;&#160;&#160;&#160;
        </td>
        <td width="210" colspan="2" align="right" class="clCouleur2">
          Contestation de
          crance&#160;&#160;&#160;
        </td>
        <td width="105" align="right" valign="top" class="clCouleur2">&#160;</td>
      </tr>
      <tr>
        <td class="clCouleur2" width="110" align="right">Mois&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Nombre&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Montant&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Nombre&#160;</td>
        <td width="105" align="right" class="clCouleur2" height="17">Montant&#160;</td>
        <td width="105" align="right" class="clCouleur2">Total&#160;</td>
      </tr>
      <xsl:apply-templates select="SITRESM"/>
      <xsl:apply-templates select="SITREST"/>
    </table>
    <!--<div class="clBreakPage"/>-->
  </xsl:template>

  <xsl:template match="SITRESM">
    <tr align="right">
      <xsl:if test="position() mod 2 = 0">
        <td class="clTexte" width="110">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexte">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clTexteGras">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTMIPE)"/>
          </xsl:call-template>&#160;
        </td>
      </xsl:if>
      <xsl:if test="position() mod 2 != 0">
        <td class="clFond" width="110">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(MOISREF)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTIP)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(NBCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTCC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="105" class="clGrasFond">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(MTMIPE)"/>
          </xsl:call-template>&#160;
        </td>
      </xsl:if>
    </tr>
  </xsl:template>

  <xsl:template match="SITREST">
    <tr align="right">
      <td class="clTexte" width="110">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="clTexte">&#160;</td>
      <td width="105" class="t3b">&#160;</td>
    </tr>
    <tr align="right">
      <td width="110" class="clCouleur2">Total&#160;</td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTNBIP)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTMTIP)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTNBCC)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTMTCC)"/>
        </xsl:call-template>&#160;
      </td>
      <td width="105" class="clGrasFond">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(TOTSEIPE)"/>
        </xsl:call-template>&#160;
      </td>
    </tr>
  </xsl:template>
  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 8eme PAVE : CONCOURS BANCAIRES A COURT TERME-->

  <xsl:template match="INFORISQUESAN">
    <a name="ancConcours"></a>
    <xsl:choose>
      <xsl:when test ="ICB01">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clTexte" colspan="6">
              <font class="clCouleur2">
                <xsl:apply-templates select="ICB01"/>
              </font>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br/>
      </xsl:when>
      <xsl:when test ="ICB05">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clTexte" colspan="6">
              <font class="clCouleur2">
                <xsl:apply-templates select="ICB05"/>
              </font>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clCouleur2" width="335" height="12">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
            <td width="400" class="clCouleur2" height="12">
            </td>
          </tr>
        </table>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="635" class="clCouleur2">
              <br/>
              <div align="left">
                &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
              </div>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br/>
      </xsl:when>
      <xsl:otherwise>
        <!--div class="clBreakPage"></div-->
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="602" class="clCouleur2">
              CONCOURS BANCAIRES
            </td>
            <td width="34"> </td>
            <td width="103" align="right"></td>
          </tr>
        </table>

        <xsl:call-template name="shim"/>
        <br/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/DATCENTR"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/BILTREDO"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CBEURO"/>
        <xsl:if test="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CUMULCBDO">
          <xsl:call-template name="CUMULCBDO" />
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>


  </xsl:template>


  <xsl:template match="DATCENTR">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200" height="12">&#160;DERNIRE CENTRALISATION AU</td>
        <td width="182" class="clFond" height="12">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(.)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="253" class="clCouleur2" height="12" align="center">
          <div align="right">&#160;&#160;(en milliers d'euros)</div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="BILTREDO">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200">&#160;BILLETS DE TRSORERIE AU</td>
        <td colspan="2" class="clFond">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATENRBT)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="124" class="clCouleur2" align="right" height="12">&#160;MONTANT&#160;&#160;</td>
        <td width="130" class="clFond" align="right" height="12">
          <div align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(MTBT)"/>
            </xsl:call-template>&#160;
          </div>
        </td>
      </tr>
      <tr height="6">
        <td class="clCouleur2" width="200" height="6">&#160;</td>
        <td width="156" class="clTexte" height="6">
          <div align="right"></div>
        </td>
        <td width="25" class="clCouleur2" height="6" align="center">&#160; </td>
      </tr>
      <xsl:if test="MOYBILTRE">
        <tr>
          <td class="clCouleur2" colspan="2" height="12">
            &#160;Moyenne des billets
            de trsorerie sur les 13 derniers mois
          </td>
          <td width="25"  height="12">
            <div align="right"></div>
          </td>
          <td width="124" class="clCouleur2" height="12" align="center"> </td>
          <td width="130" class="clFond" height="12" align="right">
            <div align="right">
              <xsl:call-template name ="displayNumberXsl">
                <xsl:with-param name ="InputStringNumber" select ="(MOYBILTRE)"/>
              </xsl:call-template>&#160;
            </div>
          </td>
        </tr>
      </xsl:if>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>
  <xsl:template match="CBEURO">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="335" height="12">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
        <td width="400" class="clCouleur2" height="12">
        </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" class="clCouleur2">
          <br/>
          <div align="left">
            &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
          </div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <!--DTAILS DES CREDITS-->

  <xsl:template name="CUMULCBDO">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2" width="635">
          DTAILS DES CRDITS
        </td>
        <td  align="right" width="104">
          <a href="#ancHaut">
            <img src="{$root}images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CUMULCBDO/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CUMULCBDO/MTCODCCT"/>
      </tr>

    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CUMULCBDO/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CUMULCBDO/MTCMLT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CUMULCBDO/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORISQUESAN/RISQUESAN/CUMULCBDO/MTCC"/>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr >
        <td class="clItalic">* Moyenne des crdits sur les 13 derniers mois</td>
      </tr>
    </table>
    <br/>
    <xsl:call-template name="shim"/>
    <br/>

  </xsl:template>

  <xsl:template match="@MOISREF">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="65" height="20" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" height="25" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" height="45" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" class="clItalic" valign="bottom" align="center" height="5"></td>
      </tr>
      <tr>
        <td  width="65" class="clFond" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr>
        <td  width="65" class="clItalic" align="right" height="15" >&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td   width="65" class="clFond" align="right" height="15">
          <b>Moyenne</b>
        </td>
      </tr>
      <tr>
        <td height="1" width="65" class="clItalic">&#160; </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <!--CREDIT COURT-->

  <xsl:template match="MTCODCCT">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>

      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>

        <td height="20"  width="580" colspan="9" class="clCouleur2b" align="center" valign="top" nowrap="true">CREDITS MOBILISES</td>
        <td width="106"></td>
      </tr>
      <tr>

        <td height="25" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">Court terme</td>
      </tr>

      <tr height="30">
        <td height="30" width="110" class="clCouleur2b" align="right" valign="top">
          Cptes ordinaires dbiteurs<br/>(CO)
        </td>
        <td width="4"></td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Crances commerciales<br/>(CC)
        </td>
        <td width="5"></td>
        <td width="100" class="clCouleur2b" align="right" valign="top">
          Affacturage<br/>(AF)
        </td>
        <td width="7" class="clCouleur2b">&#160;</td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Autres crdits  court terme<br/>(CA)
        </td>
        <td width="12" class="clCouleur2b" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/>
        </td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Total court terme <br/>[I]
        </td>
        <td width="106" align="right"></td>
      </tr>
      <tr>
        <td colspan="7" class="clItalic"></td>
        <td width="12" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>
      <tr>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCCCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="100" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAFCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="7" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="12" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="106"></td>
      </tr>
      <tr>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic" align="right">&#160;</td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="5" class="clItalic" align="right">&#160;</td>
        <td width="100" class="clItalic" align="right">&#160;</td>
        <td width="7" class="clItalic" align="right">&#160;</td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="12"  class="clItalic" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="106"></td>
      </tr>
    </xsl:if>

    <xsl:if test="position()=last()">

      <tr>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCODCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="100" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAFCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="7" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTACCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="12" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="106"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160; </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>
  <!--CREDIT MOYEN ET LONG TERME-->

  <xsl:template match="MTCMLT">

    <xsl:if test="position()=1">

      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td height="10"  width="580" colspan="9"></td>
        <td width="106"></td>
      </tr>
      <tr>
        <td width="103" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Moyen
          <br/> et long terme<br/>(TE+TA)<br/>[II]
        </td>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td colspan="3" class="clCouleur2b" align="center" valign="middle" nowrap="true">Crdits-bails </td>
        <td align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="74" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Titriss<br/>(IT)<br/>[V]
        </td>
        <td align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="158" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Total <br/>
          des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
        </td>
        <td width="103" align="right">

        </td>
      </tr>

      <tr height="25">
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="104" class="clCouleur2b" align="right" valign="middle">
          Mobiliers (BM)<br/>[III]
        </td>
        <td width="5" class="clCouleur2" align="right">&#160;</td>
        <td width="108" class="clCouleur2b" align="right" valign="middle">
          Immobiliers (BI)<br/>[IV]
        </td>
        <td width="4"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="4"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td>&#160;</td>
      </tr>
      <tr>
        <td class="clItalic"></td>
        <td class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td class="clItalic"></td>
        <td class="clItalic"></td>
        <td class="clItalic"></td>
        <td class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td width="158" class="clItalic"></td>
        <td width="104" class="clItalic"></td>
      </tr>
      <tr>
        <td width="103" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="104" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td class="clItalic">&#160;</td>
      </tr>
      <tr>
        <td width="103" class="clItalic" align="right">&#160;</td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="104" class="clItalic" align="right">&#160;</td>
        <td width="5" class="clItalic">&#160;</td>
        <td width="108" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td  class="clItalic" align="right">&#160;</td>
        <td ></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="103" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCMLT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="104" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBM)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBI)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTITR)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td  class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT6)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td ></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>

  </xsl:template>

  <!-- CREDIT MOBILISABLE -->

  <xsl:template match="MTCC">
    <div class="clBreakPage"></div>
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">CREDITS MOBILISABLES </td>
        <td width="4" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/>
        </td>
        <td width="94" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Total crdits mobiliss et mobilisables <br/>[VIII]=
          [VI]+[VII]
        </td>
        <td width="4" valign="bottom" align="center" rowspan="2">
          <img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/>
        </td>

        <td width="94" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          ENGAGEMENTS DE GARANTIE<br/>
          (AC)<br/>
        </td>
        <td width="104" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
          </a>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2b" width="113" align="right" valign="middle">
          Partie dispo des crdits mobilis<br/>(OC)
        </td>
        <td width="10"></td>
        <td class="clCouleur2b" width="114" align="right" valign="middle">Crdits documentaires (OD)</td>
        <td width="5" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/>
        </td>
        <td class="clCouleur2b" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
        <td width="4" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/>
        </td>
        <td width="104"></td>
      </tr>
      <tr>
        <td width="113" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="114" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="104"></td>
      </tr>
      <tr>
        <td width="113" class="clItalic"></td>
        <td width="10" class="clItalic" align="center"></td>
        <td width="114" class="clItalic"></td>
        <td width="5" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clItalic"></td>
        <td width="104" class="clItalic"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td width="113" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center"></td>
        <td width="114" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCD)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT7)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT8)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="104"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <!--********************************************************************************************************************************************************************-->

  <!--**************************  RELATIONS BANCAIRES      ****************************************************-->

  <xsl:template match="INFORELBANC">
    <a name="ancRelbanc"></a>
    <table width="739" border="0" cellspacing="0" cellpadding="0">

      <tr align="center">
        <td class="clCouleur2">
          LISTE DES RELATIONS BANCAIRES (<xsl:value-of select="NBRELBAN"/>)
        </td>

        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="24" class="clCouleur2" align="right"></td>
        <td width="66" class="clCouleur2">Banque</td>
        <td width="79" class="clCouleur2">Guichet</td>
        <td width="304" class="clCouleur2">Libell de l'tablissement bancaire </td>
        <td width="162" class="clCouleur2" align="center"> Date de mise  jour</td>
        <td width="104"> &#160;</td>
      </tr>
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFORELBANC/RELBAN"/>
    </table>
    <xsl:call-template name="shim"/>

  </xsl:template>


  <xsl:template match="RELBAN">
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="24" class="clFond">&#160;</td>
        <td width="66" class="clFond">
          <xsl:value-of select="COBAN"/>
        </td>
        <td width="79" class="clFond">
          <xsl:value-of select="COGUI"/>
        </td>
        <td width="304" class="clFond">
          <xsl:value-of select="LIBBAN"/>
        </td>
        <td width="162" class="clFond" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
          </xsl:call-template>
        </td>
        <td width="104" align="right">&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="24" class="clTexte" align="right"></td>
        <td width="66" class="clTexte">
          <xsl:value-of select="COBAN"/>
        </td>
        <td width="79" class="clTexte">
          <xsl:value-of select="COGUI"/>
        </td>
        <td width="304" class="clTexte">
          <xsl:value-of select="LIBBAN"/>
        </td>
        <td width="162" class="clTexte" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
          </xsl:call-template>
        </td>
        <td align="right">&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="position() = last()">
      <xsl:if test="//INFORELBANC/SUITE" >
        <tr>
          <td colspan="5">
            <table width="635" border="0" cellspacing="0" cellpadding="0">

              <tr>
                <td width="530" height="14" colspan="4" class="clCouleur2" ></td>
                <td width="105" height="14" align="right" valign="middle">
                  <a href="#nullepart" onClick="requestBDFInfos('40','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                    <img src="../images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
                  </a>
                </td>
              </tr>
            </table>
          </td>
          <td />
        </tr>
      </xsl:if>

    </xsl:if>

  </xsl:template>
  <!--********************************************************************************************************************************************************************-->
  <xsl:template match="INFOSCORE">
    <a name="ancScore"></a>
    <!--table width="739" border="0" cellspacing="0" cellpadding="0"-->
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2"> LE SCORE BANQUE DE FRANCE</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2b">INDICATEURS DE DFAILLANCE</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>

    <xsl:apply-templates select="DEFAILLANCE[last()]"/>
    <xsl:apply-templates select="TXDEF"/>
    <xsl:apply-templates select="POSITIONNEMENT[last()]"/>
    <div class="clBreakPage"></div>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="19">&#160;</td>
        <td width="597" class="clCouleur2b" align="center">SCORE ET CONTRIBUTIONS DES RATIOS (comparaison aux mdianes du secteur)</td>
        <td width="19">

        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="435" height="14"/>
        <td width="196" class="clCouleur2" colspan="2" height="14" align="center">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Individuels</td>
        <td/>
        <td width="98" class="clCouleur2" align="right">Secteur&#160;(1)</td>
        <!--<td rowspan="15" width="103"/>-->
        <xsl:apply-templates select="SCOREBDF/*/*[1]"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <!--/table-->
  </xsl:template>

  <xsl:template match="DEFAILLANCE">
    <xsl:variable name="nbContrib" select="count(../DEFAILLANCE)"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Date de clture</td>
        <xsl:apply-templates select="../DEFAILLANCE/@DATCLOT">
          <xsl:with-param name="nombre" select="$nbContrib"/>
          <xsl:with-param name="max" select="'3'"/>
        </xsl:apply-templates>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Dure</td>
        <xsl:apply-templates select="../DEFAILLANCE/@DUREEEX" mode="etendu"/>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Effectif</td>
        <xsl:apply-templates select="../DEFAILLANCE/p2058YP" mode="etendu"/>
      </tr>

      <tr>
        <td width="335" class="clCouleur2">&#160;Probabilit de dfaillance  3 ans (%)</td>
        <xsl:apply-templates select="../DEFAILLANCE/PROBDEF" mode="etendu"/>
      </tr>
      <tr>
        <td width="635" colspan="4" height="10"/>
      </tr>
      <tr>
        <td width="635" colspan="4" class="clItalic2">&#160;La probabilit est  relativiser en cas d'effectifs suprieurs  500</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>
  <xsl:template match="@DATCLOT">
    <xsl:param name="nombre"/>
    <xsl:param name="max" select="2"/>
    <td class="clGrasFond" width="100" height="14" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template> &#160;
    </td>
    <xsl:if test="(position()=$nombre) and ($max!=$nombre)">
      <xsl:variable name="nbIntervalle" select="$max - $nombre"/>
      <xsl:choose>
        <xsl:when test="$nbIntervalle=1">
          <td class="clGrasFond" width="100" height="14" align="right">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>

        </xsl:when>
        <xsl:when test="$nbIntervalle=2">
          <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
          <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
        </xsl:when>
      </xsl:choose>
    </xsl:if>
  </xsl:template>
  <xsl:template match="@DATSECT">
    <td class="clGrasFond" width="100" height="14" align="right">
      <xsl:value-of select="."/>&#160;
    </td>
  </xsl:template>
  <xsl:template match="@DUREEEX" mode="etendu">
    <td class="clFond" width="100" height="14" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template> &#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>
  <xsl:template match="p2058YP" mode="etendu">
    <td class="clFond" width="100" height="14" align="right">
      <xsl:call-template name ="displayNumberXsl">
        <xsl:with-param name ="InputStringNumber" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>
  <xsl:template match="PROBDEF" mode="etendu">
    <td class="clFond" width="100" height="14" align="right">
      <xsl:value-of select="."/>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clGrasFond" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>
  <xsl:template match="TXDEF">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="335">
          &#160;Taux de dfaillance sur 3 ans
          <xsl:if test="../SECTEUR='INDUSTRIE'">de l'industrie</xsl:if>
          <xsl:if test="../SECTEUR='COMMERCE'">du commerce</xsl:if>
          <xsl:if test="../SECTEUR='TRANSPORT'">du transport</xsl:if>
          <xsl:if test="../SECTEUR='CONSTRUCTION'">de la construction</xsl:if>
          <xsl:if test="../SECTEUR='RESTAURATION'">de la restauration</xsl:if>
          <xsl:if test="../SECTEUR='HOTELLERIE'">de l'htellerie</xsl:if>
          <xsl:if test="../SECTEUR='COMMERCE DE DETAIL'">du commerce de dtail</xsl:if>
          <xsl:if test="../SECTEUR='COMMERCE DE GROS'">du commerce de gros</xsl:if>
          <xsl:if test="../SECTEUR='SERVICES AUX ENTREPRISES'">
            des
            services aux entreprises (publicit, architecture, scurit, nettoyage, assainissement, recherche et dveloppement)
          </xsl:if>
          <xsl:if test="../SECTEUR='SERVICES PROFESSIONNELS'">
            des
            services aux entreprises (informatique, services professionnels, location sans oprateur,
            slection et fourniture de personnel)
          </xsl:if>
        </td>
        <td width="300" class="clFond">
          &#160;<xsl:value-of select="."/>%
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>
  <xsl:template match="POSITIONNEMENT">
    <a name="ancPosition"/>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2b">POSITIONNEMENT DE L'ENTREPRISE PAR RAPPORT AU SECTEUR</td>
        <td align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0"/>
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">&#160;Secteur d'activit</td>
        <td class="clFond" width="35">
          &#160;<xsl:value-of select="../CODNAF"/>
        </td>
        <td class="clFond" width="480">
          &#160;<xsl:value-of select="../LIBNAF"/>
        </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="4" height="10"/>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Date de clture</td>
        <xsl:variable name="nbContrib" select="count(../POSITIONNEMENT)"/>
        <xsl:apply-templates select="../POSITIONNEMENT/@DATCLOT">
          <xsl:with-param name="nombre" select="$nbContrib"/>
          <xsl:with-param name="max" select="'3'"/>
        </xsl:apply-templates>
      </tr>
      <tr>
        <td width="635" colspan="4" height="10"/>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Score suprieur au 9me dcile</td>
        <xsl:call-template name="genTDforScore">
          <xsl:with-param name="score">SUPD9</xsl:with-param>
          <xsl:with-param name="class">clGrasFond</xsl:with-param>
        </xsl:call-template>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 3me quartile et le 9me dcile</td>
        <xsl:call-template name="genTDforScore">
          <xsl:with-param name="score">Q3D9</xsl:with-param>
          <xsl:with-param name="class">clTexteGras</xsl:with-param>
        </xsl:call-template>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 2me et le 3me quartile</td>
        <xsl:call-template name="genTDforScore">
          <xsl:with-param name="score">Q2Q3</xsl:with-param>
          <xsl:with-param name="class">clGrasFond</xsl:with-param>
        </xsl:call-template>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 1er et le 2me quartile</td>
        <xsl:call-template name="genTDforScore">
          <xsl:with-param name="score">Q1Q2</xsl:with-param>
          <xsl:with-param name="class">clTexteGras</xsl:with-param>
        </xsl:call-template>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Score compris entre le 1er dcile et le 1er quartile </td>
        <xsl:call-template name="genTDforScore">
          <xsl:with-param name="score">D1Q1</xsl:with-param>
          <xsl:with-param name="class">clGrasFond</xsl:with-param>
        </xsl:call-template>
      </tr>
      <tr>
        <td width="335" class="clCouleur2" height="14">&#160;Score infrieur au 1er dcile</td>
        <xsl:call-template name="genTDforScore">
          <xsl:with-param name="score">INFD1</xsl:with-param>
          <xsl:with-param name="class">clTexteGras</xsl:with-param>
        </xsl:call-template>
      </tr>
      <tr>
        <td height="10" width="335"/>
        <td height="10" width="100"/>
        <td height="10" width="100"/>
        <td height="10" width="100"/>
      </tr>
      <tr>
        <td colspan="4" class="clItalic2">&#160;Plus le score est lev, meilleur est le positionnement de l'entreprise par rapport  son secteur</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>
  <xsl:template name="genTDforScore">
    <xsl:param name="score"/>
    <xsl:param name="class"/>
    <xsl:for-each select="//POSITIONNEMENT">
      <xsl:if test="@SCORE=$score">
        <td class="{$class}" width="100" height="14" align="right">X&#160;</td>
      </xsl:if>
      <xsl:if test="@SCORE!=$score">
        <td class="{$class}" width="100" height="14" align="right">&#160;</td>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="count(//POSITIONNEMENT)=1">
      <td class="{$class}" width="100" height="14" align="right">&#160;</td>
      <td class="{$class}" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="count(//POSITIONNEMENT)=2">
      <td class="{$class}" width="100" height="14" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="SCOREBDF/*/*">
    <!-- noeud courrant : BDFI , on remonte d'un cran : SCBDFI  et on compte son nombre de fils -->
    <xsl:variable name="nbAnnees" select="count(../*)"/>
    <tr>

      <xsl:if test="$nbAnnees=2">
        <td width="570" class="clCouleur2" height="14">Date de clture</td>
        <xsl:apply-templates select="@DATCLOT">
          <xsl:with-param name="nombre" select="1"/>
        </xsl:apply-templates>

        <td width="5"></td>
        <!-- noeud courrant : BDFI , on remonte d'un cran : SCBDFI et on descend vers le 2eme fils (BDFIS) duquel on prend l'attribut @DATSECT-->
        <xsl:apply-templates select="(../*[2])/@DATSECT">
          <xsl:with-param name="nombre" select="1"/>
        </xsl:apply-templates>

      </xsl:if>

      <xsl:if test="$nbAnnees=3">
        <td width="570" class="clCouleur2"  border="0" height="14">&#160;Date de clture</td>
        <xsl:apply-templates select="@DATCLOT">
          <xsl:with-param name="nombre" select="2"/>
        </xsl:apply-templates>

        <xsl:apply-templates select="(../*[2])/@DATCLOT">
          <xsl:with-param name="nombre" select="2"/>
        </xsl:apply-templates>

        <td width="5"></td>
        <xsl:apply-templates select="(../*[3])/@DATSECT">
          <xsl:with-param name="nombre" select="2"/>
        </xsl:apply-templates>


      </xsl:if>
    </tr>
    <tr>
      <td colspan="6" height="10"/>
    </tr>

    <!-- noeud courrant : BDFI , pour chaque descendant de BDFI (CONT1..CONT2...), chaque descendant, devient le noeud courrant-->
    <xsl:for-each select="descendant::*">
      <xsl:variable name="nbCont" select="count(../*)"/>
      <xsl:variable name="PosContribution" select="position()"/>
      <tr>
        <xsl:variable name="contribution" select="name(.)"/>
        <xsl:variable name="score" select="name(../..)"/>
        <xsl:if test="$PosContribution &lt;$nbCont">
          <td width="460" class="clCouleur2" height="14" border="0">
            <!--on recupere dans le dictionnaire xml, a la balise "score" la ligne qui correspond a l' id de $score et sa contribution qui correspond a l'id $contribution-->
            &#160;<xsl:value-of select="$dictionnaire/score[@id=$score]/contribution[@id=$contribution]"/>

          </td>
          <!-- on selection le noeud textuel du noeud courrant-->

          <td class="clFond" width="140" height="14" align="right">
            <xsl:value-of select="child::text()"/>&#160;
          </td>

          <xsl:if test="$nbAnnees = 2">
            <td class="clFond" width="140" height="14" align="right">&#160;</td>
            <td width="5" height="14"></td>
            <td class="clFond" width="140" height="14" align="right">
              &#160;
              <!-- meme fonctionnement que : <xsl:value-of select="../../*[1]/*[$PosContribution]"/ -->
              <xsl:value-of select="../following-sibling::*[position()=1]/*[$PosContribution]"/>&#160;
            </td>

          </xsl:if>

          <xsl:if test="$nbAnnees = 3">
            <td class="clFond" width="140" height="14" align="right">
              &#160;
              <xsl:value-of select="../following-sibling::*[position()=1]/*[$PosContribution]"/>&#160;
            </td>
            <td width="5" height="14"></td>
            <td class="clFond" width="140" height="14" align="right">
              &#160;
              <xsl:value-of select="../following-sibling::*[position()=2]/*[$PosContribution]"/>&#160;
            </td>
          </xsl:if>
        </xsl:if>


        <xsl:if test="$PosContribution = $nbCont">
          <tr> </tr>
          <td width="460" class="clCouleur2" height="14" border="0">

            &#160;<xsl:value-of select="$dictionnaire/score[@id=$score]/contribution[@id=$contribution]"/>
            <td class="clGrasFond" width="140" height="14" align="right">
              &#160;<xsl:value-of select="child::text()"/>&#160;
            </td>

            <xsl:if test="$nbAnnees = 2">
              <td class="clGrasFond" width="140" height="14" align="right">&#160;</td>
              <td width="5" height="14"></td>
              <td class="clGrasFond" width="140" height="14" align="right">
                <xsl:value-of select="../following-sibling::*[position()=1]/*[last()]"/>&#160;
              </td>
            </xsl:if>

            <xsl:if test="$nbAnnees = 3">
              <td class="clGrasFond" width="140" height="14" align="right">
                &#160;<xsl:value-of select="../following-sibling::*[position()=1]/*[last()]"/>&#160;
              </td>
              <td width="5" height="14" ></td>
              <td class="clGrasFond" width="140" height="14" align="right">
                &#160;<xsl:value-of select="../following-sibling::*[position()=2]/*[last()]"/>&#160;
              </td>
            </xsl:if>
          </td>
        </xsl:if>
      </tr>
    </xsl:for-each>
    <tr>
      <td colspan="6" class="clItalic" height="14"/>
    </tr>
    <tr>
      <td colspan="6" class="clItalic">(1) anne de centralisation des ratios sectoriels calcule du 1er juillet de l'anne de rfrence au 30 juin de l'anne suivante</td>
    </tr>

  </xsl:template>

  <!--*********************************************************************************************************************-->
  <xsl:template match="INFOCOMPTABLESDETAIL">
    <a name="ancDonneesCompt"></a>
    <div class="clBreakPage"></div>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="19"></td>
        <td width="597" class="clCouleur2" align="center"> DONNES COMPTABLES</td>
        <td width="19">&#160;</td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
    </table>


    <xsl:apply-templates select="COMPTESSOCIAUX" />
    <xsl:apply-templates select="COMPTESCONSO" />

    <xsl:call-template name="shim"/>

  </xsl:template>

  <xsl:template match="COMPTESSOCIAUX">
    <xsl:call-template name="shim"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2b"> COMPTES SOCIAUX</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="150" class="clCouleur2">&#160;Documents comptables</td>
        <td class="clCouleur2" colspan="2" align="right">
          &#160;&#160;(exprims en
          <xsl:call-template name ="displayUnitXsl">
            <xsl:with-param name ="InputUnit" select ="(./@UNITE)"/>
          </xsl:call-template>
          euros)
        </td>
      </tr>

      <xsl:if test="SOC60/@REGFIS">

        <tr>
          <td width="150" class="clCouleur2">&#160;Rgime fiscal</td>
          <td class="clFond" width="300">
            &#160;<xsl:value-of select="SOC60/@REGFIS"/>
          </td>
          <td class="clFond" width="185">&#160;</td>
        </tr>
        <tr>
          <td width="105" height="14"/>
          <td width="300" height="14"/>
          <td width="185" height="14"/>
        </tr>
      </xsl:if>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <xsl:apply-templates select="SOC60" />
    <xsl:call-template name="SIG" />
    <xsl:apply-templates select="SOC64" />

  </xsl:template>

  <xsl:template match="SOC60">

    <!-- Date de clture + Dure + Total du bilan  -->

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" height="14">&#160;Date de clture</td>
        <xsl:apply-templates select="../SOC60/BILAN60AN/@DATCLOT" mode="m60"/>
      </tr>
      <tr>
        <td class="clCouleur2" height="14">&#160;Dure</td>
        <xsl:apply-templates select="../SOC60/BILAN60AN/@DUREEEX" mode="m60"/>
      </tr>
      <tr>
        <td  height="14" colspan="4" />
      </tr>
      <tr>
        <td class="clCouleur2" height="14">&#160;Total du bilan</td>
        <xsl:apply-templates select="./BILAN60AN/pK00035" mode="w120etendu">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
      </tr>
    </table>

    <!-- ACTIF BRUT  -->

    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2b">ACTIF BRUT DU DERNIER EXERCICE</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <xsl:apply-templates select="ACTIFBRUT"/>
    <xsl:call-template name="BILAN60AN"/>
  </xsl:template>

  <xsl:template match="ACTIFBRUT">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Date d'arrt</td>
        <td class="clGrasFond" colspan="3"  align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(../ACTIFBRUT/@DATCLOT)"/>
          </xsl:call-template>&#160;
        </td>
      </tr>
      <tr>
        <td height="10" colspan="4"></td>
      </tr>
      <tr class="clCouleur2" height="15">
        <td width="275">&#160;ACTIF</td>
        <td width="120">
          <div align="right">Brut</div>
        </td>
        <td width="120">
          <div align="right">Amortissements/</div>
        </td>
        <td width="120">
          <div align="right">Net</div>
        </td>
      </tr>
      <tr class="clCouleur2" height="15">
        <td width="395" colspan="2"></td>
        <td width="120">
          <div align="right">Provisions</div>
        </td>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Capital souscrit non appel</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050AA" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <td class="clGrasFond" width="120" align="right">&#160;</td>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/p2050AA" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
      </tr>
      <tr>
        <td height="10" colspan="4"></td>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Actif immobilis</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050BJ"  mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../ACTIFBRUT/p2050BK" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00001" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
      </tr>
      <tr>
        <td height="2" colspan="4"></td>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Immobilisations incorporelles</td>
        <xsl:apply-templates select="../ACTIFBRUT/pK00003" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/pK00004" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00005" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Immobilisations corporelles</td>
        <xsl:apply-templates select="../ACTIFBRUT/pK00009" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/pK00010" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00011" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Immobilisations financires</td>
        <xsl:apply-templates select="../ACTIFBRUT/pK00013" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/pK00014" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00015" mode="w120seul"/>
      </tr>
      <tr>
        <td height="10" colspan="4"></td>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Actif circulant</td>
        <xsl:apply-templates select="../ACTIFBRUT/pK00355"  mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../ACTIFBRUT/pK00055" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00021" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
      </tr>
      <tr>
        <td height="2" colspan="4"></td>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Dt Stocks</td>
        <xsl:apply-templates select="../ACTIFBRUT/pK00142" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/pK00358" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00026" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Avances et acomptes verss</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050BV" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/p2050BW" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00027" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Clients</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050BX" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/p2050BY" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00028" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Autres crances</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050BZ" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/p2050CA" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00030" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Valeurs mobilires de placement</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050CD" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/p2050CE" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00032" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;Disponibilits</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050CF" mode="w120seul"/>
        <xsl:apply-templates select="../ACTIFBRUT/p2050CG" mode="w120seul"/>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00033" mode="w120seul"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;</td>
        <td width="120" class="clFond" height="15">&#160;</td>
        <td width="120" class="clFond" height="15">&#160;</td>
        <td width="120" class="clFond" height="15">&#160;</td>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Autres postes</td>
        <xsl:apply-templates select="../ACTIFBRUT/pK00357" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../ACTIFBRUT/p2050CI" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00359" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
      </tr>
      <tr>
        <td height="10" colspan="4"></td>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Total</td>
        <xsl:apply-templates select="../ACTIFBRUT/p2050CO" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../ACTIFBRUT/p20501A" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
        <xsl:apply-templates select="../BILAN60AN[position()=last()]/pK00035" mode="w120seul">
          <xsl:with-param name="bold">Gras</xsl:with-param>
        </xsl:apply-templates>
      </tr>
    </table>
  </xsl:template>

  <xsl:template name="BILAN60AN">
    <xsl:call-template name="shim"/>
    <div class="clBreakPage"></div>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="615" class="clCouleur2b">BILAN SYNTHTIQUE</td>
        <td width="19">&#160;</td>
        <td align="right">
          <a href="#ancHaut">
            <img src="{$root}images/risque/fleche_haut.gif" width="18" height="18" border="0"/>
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <!-- ****************************************************************************************************************************************************************************
			 table pour l'ACTIF
 *************************************************************************************************************************************************************************** -->
        <td width="307" valign="top">
          <table width="307" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="133" class="clCouleur2" height="14">&#160;Date d'arrt</td>
              <xsl:apply-templates select="BILAN60AN/@DATCLOT" mode="bilsyn"/>

            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" align="center">&#160;ACTIF</td>
              <td width="58"></td>
              <td width="58"></td>
              <td width="58"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">&#160;Cap. sous. non appel</td>
              <xsl:apply-templates select="BILAN60AN/p2050AA" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">&#160;Actif immobilis</td>
              <xsl:apply-templates select="BILAN60AN/pK00001" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="2" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Immob. incorp.</td>
              <xsl:apply-templates select="BILAN60AN/pK00005" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Immob. corporelles</td>
              <xsl:apply-templates select="BILAN60AN/pK00011" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Immob. financires</td>
              <xsl:apply-templates select="BILAN60AN/pK00015" mode="w58etendu"/>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Actif circulant</td>
              <xsl:apply-templates select="BILAN60AN/pK00021" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="2" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Dt Stocks</td>
              <xsl:apply-templates select="BILAN60AN/pK00026" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Av. acptes verss</td>
              <xsl:apply-templates select="BILAN60AN/pK00027" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Clients</td>
              <xsl:apply-templates select="BILAN60AN/pK00028" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Autres crances</td>
              <xsl:apply-templates select="BILAN60AN/pK00030" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Valeurs mob. plact.</td>
              <xsl:apply-templates select="BILAN60AN/pK00032" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Disponibilits</td>
              <xsl:apply-templates select="BILAN60AN/pK00033" mode="w58etendu"/>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Autres postes</td>
              <xsl:apply-templates select="BILAN60AN/pK00359" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Total</td>
              <xsl:apply-templates select="BILAN60AN/pK00035"  mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
          </table>
        </td>
        <!-- ****************************************************************************************************************************************************************************
		 	barre verticale de sparation ACTIF/PASSIF
		 *************************************************************************************************************************************************************************** -->
        <td width="21" align="center" valign="bottom" height="300">
          <xsl:call-template name="svim" />
          <br />
        </td>
        <!-- ****************************************************************************************************************************************************************************
			 table pour le PASSIF
			*************************************************************************************************************************************************************************** -->
        <td width="307" valign="top" height="300">
          <table width="307" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="133" class="clCouleur2" height="14">&#160;Date d'arrt</td>
              <xsl:apply-templates select="BILAN60AN/@DATCLOT" mode="bilsyn" />

            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" align="center">&#160;PASSIF</td>
              <td width="58"></td>
              <td width="58"></td>
              <td width="58"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Capitaux propres</td>
              <xsl:apply-templates select="BILAN60AN/p2051DL" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="2" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Dt capital social</td>
              <xsl:apply-templates select="BILAN60AN/p2051DA" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Rsult. exercice</td>
              <xsl:apply-templates select="BILAN60AN/p2051DI" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Provisions rgl.</td>
              <xsl:apply-templates select="BILAN60AN/p2051DK" mode="w58etendu"/>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Autres fonds propres</td>
              <xsl:apply-templates select="BILAN60AN/p2051DO" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Prov. risq. et charges</td>
              <xsl:apply-templates select="BILAN60AN/p2051DR" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Dettes</td>
              <xsl:apply-templates select="BILAN60AN/pK00041" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="2" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Dt Dettes tab. crdit</td>
              <xsl:apply-templates select="BILAN60AN/p2051DU" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">CBC et s. crd.</td>
              <xsl:apply-templates select="BILAN60AN/p2051EH" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Autres dettes fin.</td>
              <xsl:apply-templates select="BILAN60AN/pK00360" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Av.acptes reus</td>
              <xsl:apply-templates select="BILAN60AN/p2051DW" mode="w58etendu"/>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Fournisseurs</td>
              <xsl:apply-templates select="BILAN60AN/p2051DX" mode="w58etendu"/>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Autres postes</td>
              <xsl:apply-templates select="BILAN60AN/pK00361" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
            <tr>
              <td height="10" colspan="4"></td>
            </tr>
            <tr>
              <td width="133" class="clCouleur2" height="14">Total</td>
              <xsl:apply-templates select="BILAN60AN/p2051EE" mode="w58etendu">
                <xsl:with-param name="bold">Gras</xsl:with-param>
              </xsl:apply-templates>
            </tr>
          </table>
        </td>
      </tr >
    </table>
  </xsl:template>

  <xsl:template match="@DATCLOT" mode="bilsyn">
    <td class="clGrasFond" width="58" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template> &#160;
    </td>
    <xsl:if test="position()=last() and position()=2">
      <td class="clGrasFond" width="$width" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>


  <xsl:template match="pK00003|pK00004|pK00005|pK00009|pK00010|pK00011|pK00013|pK00014|pK00015|pK00142|pK00358|pK00026|p2050BV|p2050BW|pK00027|p2050BX|p2050BY|pK00028|p2050BZ|p2050CA|pK00030|p2050CD|p2050CE|pK00032|p2050CF|p2050CG|pK00033|p2051DA|p2051DI|p2051DK|p2051DU|p2051EH|pK00360|p2051DW|p2051DX|p2050CP|p2050CR|p2051EG|p2058YS|pK00048|pK00050|p2050AA|p2050BJ|p2050BK|pK00001|pK00355|pK00055|pK00021|pK00357|p2050CI|pK00359|p2050CO|p20501A|pK00035|p2051DL|p2051DO|p2051DR|pK00041|pK00361|p2051EE" mode="w120seul">
    <xsl:param name="bold"/>
    <td class="cl{$bold}Fond" width="120" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
  </xsl:template>

  <xsl:template match="pK00003|pK00004|pK00005|pK00009|pK00010|pK00011|pK00013|pK00014|pK00015|pK00142|pK00358|pK00026|p2050BV|p2050BW|pK00027|p2050BX|p2050BY|pK00028|p2050BZ|p2050CA|pK00030|p2050CD|p2050CE|pK00032|p2050CF|p2050CG|pK00033|p2051DA|p2051DI|p2051DK|p2051DU|p2051EH|pK00360|p2051DW|p2051DX|p2050CP|p2050CR|p2051EG|p2058YS|pK00048|pK00050|p2050AA|p2050BJ|p2050BK|pK00001|pK00355|pK00055|pK00021|pK00357|p2050CI|pK00359|p2050CO|p20501A|pK00035|p2051DL|p2051DO|p2051DR|pK00041|pK00361|p2051EE" mode="w58etendu">
    <xsl:param name="bold"/>
    <td class="cl{$bold}Fond" width="58" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="cl{$bold}Fond" width="58" align="right">&#160;</td>
      <td class="cl{$bold}Fond" width="58" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="cl{$bold}Fond" width="58" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p2050CP|p2050CR|p2051EG|p2058YS|pK00048|pK00050|pK00035" mode="w120etendu">
    <xsl:param name="bold"/>
    <td class="cl{$bold}Fond" width="120" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="cl{$bold}Fond" width="120" align="right">&#160;</td>
      <td class="cl{$bold}Fond" width="120" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="cl{$bold}Fond" width="120" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template name="svim">
    <xsl:element name="img">
      <xsl:attribute name="width">1</xsl:attribute>
      <xsl:attribute name="height">303</xsl:attribute>
      <xsl:attribute name="vspace">8</xsl:attribute>
      <xsl:attribute name="src">
        <xsl:value-of select="$root"/>Images/risque/shim.gif
      </xsl:attribute>
    </xsl:element>
  </xsl:template>

  <xsl:template name="SIG">
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="19">&#160;</td>
        <td class="clCouleur2b">SOLDES INTERMDIAIRES DE GESTION</td>
        <td width="19">

        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="275" class="clCouleur2" height="14">&#160;Date de clture</td>
        <xsl:apply-templates select="SIG/@DATCLOT" mode="sig"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="14">&#160;Dure</td>
        <xsl:apply-templates select="SIG/@DUREEEX" mode="sig"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="14">&#160;Chiffre d'affaires</td>
        <xsl:apply-templates select="SIG/p2052FL"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="14">&#160;Oprations de commission</td>
        <xsl:apply-templates select="SIG/pK00061"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="14">&#160;EFFECTIFS MOYENS</td>
        <xsl:apply-templates select="SIG/p2058YP"/>
      </tr>


      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Ventes de marchandises</td>
        <xsl:apply-templates select="SIG/p2052FC"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;- Cot d'achat des marchandises vendues</td>
        <xsl:apply-templates select="SIG/pK00062"/>
      </tr>
      <tr>
        <td height="2" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;= MARGE COMMERCIALE</td>
        <xsl:apply-templates select="SIG/pK00063" mode="Gras"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Marge commerciale</td>
        <xsl:apply-templates select="SIG/pK00063"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;+ Production de l'exercice</td>
        <xsl:apply-templates select="SIG/pK00065"/>
        <!--td width="103" align="right">
					<a href="#ancHaut">
						<img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0"/>
					</a>
				</td-->
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;- Consommation de l'exercice</td>
        <xsl:apply-templates select="SIG/pK00067"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;&#160;Dont Achats de matires prem. et approv.</td>
        <xsl:apply-templates select="SIG/p2052FU"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;&#160;Dont Redevances de crdit-bail</td>
        <xsl:apply-templates select="SIG/pK00052"/>
      </tr>
      <tr>
        <td height="2" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;= VALEUR AJOUTE</td>
        <xsl:apply-templates select="SIG/pK00068" mode="Gras"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Valeur ajoute</td>
        <xsl:apply-templates select="SIG/pK00068"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  Charges de personnel</td>
        <xsl:apply-templates select="SIG/pK00073"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  Excdent brut d'exploitation</td>
        <xsl:apply-templates select="SIG/pK00075"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;&#160;Dont Dotations aux amort. et provisions</td>
        <xsl:apply-templates select="SIG/pK00077"/>
      </tr>
      <tr>
        <td height="2" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  RSULTAT D'EXPLOITATION</td>
        <xsl:apply-templates select="SIG/pK00078" mode="Gras"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Rsultat d'exploitation</td>
        <xsl:apply-templates select="SIG/pK00078"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  Produits financiers</td>
        <xsl:apply-templates select="SIG/p2052GP"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  Charges financires</td>
        <xsl:apply-templates select="SIG/p2052GU"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;&#160;&#160;&#160;&#160;&#160;Dont int. et charges assimiles</td>
        <xsl:apply-templates select="SIG/p2052GR"/>
      </tr>
      <tr>
        <td height="2" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  RSULTAT COURANT AVANT IMPT</td>
        <xsl:apply-templates select="SIG/pK00083" mode="Gras"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Rsultat courant avant impt</td>
        <xsl:apply-templates select="SIG/pK00083"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  Rsultat exceptionnel</td>
        <xsl:apply-templates select="SIG/pK00085"/>
      </tr>
      <tr>
        <td height="2" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;  RSULTAT DE L'EXERCICE</td>
        <xsl:apply-templates select="SIG/p2053HN" mode="Gras"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Capacit d'autofinancement</td>
        <xsl:apply-templates select="SIG/pK00218" mode="Gras"/>
      </tr>
      <tr>
        <td height="10" colspan="4"/>
      </tr>
      <tr>
        <td width="275" class="clCouleur2" height="15">&#160;Autofinancement</td>
        <xsl:apply-templates select="SIG/pK00220" mode="Gras"/>
      </tr>
    </table>
    <xsl:if test="SOC64">
      <xsl:call-template name="shim"/>
    </xsl:if>

    <div class="clBreakPage"></div>
  </xsl:template>

  <xsl:template match="p2052FL|pK00061|pK00061B|p2058YP|p2052FC|pK00062|pK00063|pK00065|pK00067|p2052FU|pK00052|pK00068|pK00073|pK00075|pK00077|pK00078|p2052GP|p2052GU|p2052GR|pK00083|pK00085">
    <td class="clFond" width="120" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="120" align="right">&#160;</td>
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="pK00063|pK00068|pK00078|pK00083|p2053HN|pK00218|pK00220" mode="Gras">
    <td class="clGrasFond" width="120" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="120" align="right">&#160;</td>
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DATCLOT" mode="sig">
    <td class="clGrasFond" width="120" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="120" align="right">&#160;</td>
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>
  <xsl:template match="@DUREEEX" mode="sig">
    <td class="clFond" width="120" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="120" align="right">&#160;</td>
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="120" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>
  <xsl:template match="@DATCLOT" mode="m60">
    <xsl:param name="width" select="120"/>
    <td class="clGrasFond" width="{$width}" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clGrasFond" width="$width" align="right">&#160;</td>
      <td class="clGrasFond" width="$width" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clGrasFond" width="$width" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DUREEEX" mode="m60">
    <xsl:param name="width" select="120"/>
    <td class="clFond" width="120" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="$width" align="right">&#160;</td>
      <td class="clFond" width="$width" align="right">&#160;</td>
    </xsl:if>
    <xsl:if test="position()=last() and position()=2">
      <td class="clFond" width="$width" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>


  <xsl:template match="SOC64">
    <div class="clBreakPage"></div>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="19">&#160;</td>
        <td width="597" align="center" class="clCouleur2">PRINCIPAUX RATIOS INDIVIDUELS ET SECTORIELS AVANT RPARTITION</td>
        <td width="19">	</td>
      </tr>
    </table>
    <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="266" class="clCouleur2" height="16"></td>
        <td class="clCouleur2" width="40" height="16" align="center">&#160;</td>
        <td width="210" class="clCouleur2" colspan="2" height="16" align="right">ENTREPRISE&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
        <td class="clCouleur2" width="5" align="center">&#160;</td>
        <td class="clCouleur2" width="105" height="16" align="right">SECTEUR&#160;(2)</td>
      </tr>
      <tr>
        <td width="266" height="10"></td>
        <td width="40" height="10"></td>
        <td width="105" height="10"></td>
        <td width="105" height="10"></td>
        <td width="5">&#160;</td>
        <td width="105" height="10"></td>
      </tr>
    </table>
    <xsl:call-template name="DONNEESINDIVIDUELLESAN" />

  </xsl:template>

  <xsl:template name="DONNEESINDIVIDUELLESAN">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="269" class="clCouleur2">&#160;Activit conomique</td>
        <td width="40"></td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/CODNAF"/>
        <td width="5"></td>
        <xsl:if test="DONNEESSECTORIELLES/INFOSECTORIELLES">
          <td width="106" class="clGrasFond" align="right">
            <xsl:value-of select="DONNEESSECTORIELLES/CODNAF"/>
          </td>
        </xsl:if>
        <xsl:if test="not(DONNEESSECTORIELLES/INFOSECTORIELLES)">
          <td width="106" class="clGrasFond" align="right">Indisponible </td>
        </xsl:if>
      </tr>
      <tr>
        <td  width="269" class="clCouleur2">&#160;Date d'arrt</td>
        <td  width="40"></td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/@DATCLOT" mode="m64"/>
        <td  width="5"></td>
        <xsl:if test="DONNEESSECTORIELLES/@DATSECT">
          <td width="106" class="clGrasFond" align="right">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DONNEESSECTORIELLES/@DATSECT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(DONNEESSECTORIELLES/INFOSECTORIELLES)">
          <td width="106" class="clFond" align="right">&#160;</td>
        </xsl:if>
      </tr>
    </table>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="269" class="clCouleur2" height="14" align="center" valign="middle">ACTIVIT</td>
        <td width="40"></td>
        <td width="106"></td>
        <td width="106"></td>
        <td width="5"></td>
        <td width="106"></td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" />
          </a>
        </td>
      </tr>
      <tr>
        <td height="10" width="269"></td>
        <td height="10" width="40"></td>
        <td height="10" width="106"></td>
        <td height="10" width="106"></td>
        <td width="5"></td>
        <td height="10" width="106"></td>
      </tr>
      <tr>
        <td width="269" class="clCouleur2" height="14">&#160;Stocks / CA HT</td>
        <td class="clCouleur2" width="40" align="center" height="14">j</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00285|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00285"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2" height="14">
          &#160;Clients + Escompte
          (1) / CA TTC
        </td>
        <td class="clCouleur2" width="40" align="center" height="14">j</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00289|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00289"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2" align="left">
          &#160;Fournisseurs /
          Achats TTC
        </td>
        <td class="clCouleur2" width="40" align="center" height="14">j</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00293|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00293"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          &#160;BFR d'exploitation (1) / CA
          HT
        </td>
        <td class="clCouleur2" width="40" align="center" height="14">j</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00295|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00295"/>
      </tr>
      <tr>
        <td height="10" width="269"></td>
        <td height="10" width="40"></td>
        <td height="10" width="106"></td>
        <td height="10" width="106"></td>
        <td width="5"></td>
        <td height="10" width="106"></td>
      </tr>
      <tr>
        <td width="269" class="clCouleur2" align="center" valign="middle">PRODUCTIVIT</td>
        <td width="40"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="5"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td width="269" height="10"></td>
        <td width="40" height="10"></td>
        <td width="106" height="10"></td>
        <td width="106" height="10"></td>
        <td width="5"></td>
        <td width="106" height="10"></td>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          &#160;Valeur ajoute / CA
          HT&#160;
        </td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00299|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00299"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          &#160;Charges de personnel / Valeur
          ajoute&#160;
        </td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00074|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00074"/>
      </tr>
      <tr>
        <td height="10" width="269"></td>
        <td height="10" width="40"></td>
        <td height="10" width="106"></td>
        <td height="10" width="106"></td>
        <td width="5"></td>
        <td height="10" width="106"></td>
      </tr>
      <tr>
        <td width="269" class="clCouleur2" align="center" height="14">RENTABILIT</td>
        <td width="40"></td>
        <td width="106"></td>
        <td width="106"></td>
        <td width="5"></td>
        <td width="106"></td>
      </tr>
      <tr>
        <td height="10" width="269"></td>
        <td height="10" width="40"></td>
        <td height="10" width="106"></td>
        <td height="10" width="106"></td>
        <td width="5"></td>
        <td height="10" width="106"></td>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          &#160;Marge commerciale / Vente de
          marchandises&#160;
        </td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00303|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00303"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">&#160;EBE / CA HT</td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00304|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00304"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          &#160;Intrts et charges assimiles
          / EBE
        </td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00307|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00307"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          &#160;Intrts et charges assimiles
          / CA HT
        </td>
        <td width="40" class="clCouleur2" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00308|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00308"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">&#160;Rsultat net / CA HT</td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00365|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00365"/>
      </tr>
      <tr>
        <td height="10" width="269"></td>
        <td height="10" width="40"></td>
        <td height="10" width="106"></td>
        <td height="10" width="106"></td>
        <td width="5"></td>
        <td height="10" width="106"></td>
      </tr>






      <tr>
        <td height="14" class="clCouleur2" width="269" align="center" valign="middle">STRUCTURE</td>
        <td width="40"></td>
        <td width="105"></td>
        <td width="105"></td>
        <td width="5"></td>
        <td width="105"></td>
      </tr>
      <tr>
        <td height="10" class="clCouleur2" width="269" align="center" valign="middle"></td>
        <td height="10" width="40"></td>
        <td height="10" width="105"></td>
        <td height="10" width="105"></td>
        <td width="5"></td>
        <td height="10" width="105"></td>
      </tr>
      <tr>
        <td width="269" class="clCouleur2" height="14">
          Fonds propres nets /
          Total du bilan&#160;
        </td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00311|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00311"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          Dettes financ. stables / Fonds propres
          nets
        </td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00317|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00317"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">
          Dettes financires stables
          / CAF
        </td>
        <td class="clCouleur2" width="40" align="center"> A.m</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00319|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00319"/>
      </tr>
      <tr>
        <td width="269" class="clCouleur2">FRNG / BFR (1) </td>
        <td class="clCouleur2" width="40" align="center">%</td>
        <xsl:apply-templates select="DONNEESINDIVIDUELLESAN/pK00320|DONNEESSECTORIELLES/INFOSECTORIELLES/pK00320"/>
      </tr>
      <tr>
        <td height="10" width="269"></td>
        <td height="10" width="40"></td>
        <td height="10" width="105"></td>
        <td height="10" width="105"></td>
        <td width="5"></td>
        <td height="10" width="105"></td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clItalic">(1) hors affacturage et Dailly non comptabiliss en effets escompts non chus</td>
      </tr>
      <tr>
        <td class="clItalic">(2) anne de centralisation des ratios sectoriels calcule du 1er juillet de l'anne de rfrence au 30 juin de l'anne suivante </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="CODNAF">
    <td class="clGrasFond" width="105" align="right">
      <xsl:value-of select="."/>&#160;
    </td>
    <xsl:if test="position()=1 and $isFirstAndLastDI">
      <td class="clGrasFond" width="105" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DATCLOT" mode="m64">
    <td class="clGrasFond" width="105" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=1 and $isFirstAndLastDI">
      <td class="clGrasFond" width="105" align="right">&#160;</td>
    </xsl:if>

  </xsl:template>

  <xsl:template match="pK00285|pK00289|pK00293|pK00295|pK00299|pK00074|pK00303|pK00304|pK00307|pK00308|pK00365|pK00311|pK00317|pK00319|pK00320">

    <xsl:if test="(position()=last()) and $hasSectorielle">
      <td width="5"></td>
    </xsl:if>
    <td class="clFond" width="106" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
    <xsl:if test="position()=1 and $isFirstAndLastDI">
      <td class="clFond" width="106" align="right">&#160;</td>
    </xsl:if>
    <!--xsl:if test="(position()=last()) and not($hasSectorielle)">
			<td width="5"></td>
			<td class="clFond" width="105" align="right">&#160;</td>
	</xsl:if-->
  </xsl:template>

  <xsl:template match="@DATCLOT" mode="entete">
    <td class="clGrasFond" width="165" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="165" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DUREEEX" mode="entete">
    <td class="clFond" width="165" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="165" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="pK00061B">
    <td class="clFond" width="165" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:value-of select="(.)"/>&#160;
      </xsl:if>
    </td>
    <xsl:if test="position()=last() and position()=1">
      <td class="clFond" width="165" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>


  <!--********************************************************************************************************************-->
  <xsl:template match="COMPTESCONSO">
    <xsl:apply-templates select="NOMGROUP" />
    <xsl:apply-templates select="FILIALESPERI" />
    <xsl:call-template name="BILCONSO" />
  </xsl:template>

  <xsl:template match="NOMGROUP">
    <div class="clBreakPage"></div>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">

      <tr align="center">
        <td class="clCouleur2b">&#160;COMPTES CONSOLIDS</td>
      </tr>

    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">

      <tr>
        <td width="150" class="clCouleur2">&#160;Nom du groupe</td>
        <td class="clFond" width="300">
          &#160;<xsl:value-of select="../NOMGROUP"/>
        </td>
        <td class="clFond" width="185" height="14"/>
      </tr>

    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <!-- Date de clture + Dure  -->

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="355" class="clCouleur2" height="14">&#160;Date de clture</td>
        <xsl:apply-templates select="../CHIFFRESCONSO/@DATCLOT" mode="m66"/>
        <xsl:apply-templates select="../CHIFFRESCONSOIFRS/@DATCLOT" mode="m66"/>
      </tr>
      <tr>
        <td class="clCouleur2" height="14">&#160;Dure</td>
        <xsl:apply-templates select="../CHIFFRESCONSO/@DUREEEX" mode="m66"/>
        <xsl:apply-templates select="../CHIFFRESCONSOIFRS/@DUREEEX" mode="m66"/>
      </tr>

    </table>

  </xsl:template>

  <xsl:template match="FILIALESPERI">
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="235" class="clCouleur2" height="15">&#160;Primtre diffus au</td>
        <td width="60" class="clFond" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATPERI)"/>
          </xsl:call-template>
        </td>
        <td width="340" colspan="5" height="15"/>
      </tr>
      <tr>
        <td width="455" colspan="4" height="15"/>
        <td width="60" class="clCouleur2"  align="right" height="15">IG</td>
        <td width="60" class="clCouleur2"  align="right" height="15">IP</td>
        <td width="60" class="clCouleur2"  align="right" height="15">ME</td>
      </tr>
      <tr>
        <td width="235" class="clCouleur2" height="15">&#160;Nombre de filiales consolides</td>
        <td width="60" class="clFond" align="right">
          <xsl:value-of select="NBFILIALES/NBFILTOT"/>&#160;
        </td>
        <td width="60" height="15"/>
        <td width="100" class="clCouleur2"  height="15">&#160;rparties en</td>
        <td width="60" class="clFond" align="right" height="15">
          <xsl:value-of select="NBFILIALES/NBFILIG"/>
        </td>
        <td width="60" class="clFond" align="right" height="15">
          <xsl:value-of select="NBFILIALES/NBFILIP"/>
        </td>
        <td width="60" class="clFond" align="right" height="15">
          <xsl:value-of select="NBFILIALES/NBFILME"/>
        </td>
      </tr>
    </table>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clItalic" height="10"/>
      </tr>
      <tr>
        <td class="clItalic">&#160;IG : Filiale consolide selon la mthode de l'intgration globale</td>
      </tr>
      <tr>
        <td class="clItalic">&#160;IP : Filiale consolide selon la mthode de l'intgration proportionnelle</td>
      </tr>
      <tr>
        <td class="clItalic">&#160;ME : Filiale consolide selon la mthode de la mise en quivalence</td>
      </tr>

    </table>
  </xsl:template>
  <xsl:template name="BILCONSO">
    <xsl:if test="//CHIFFRESCONSO">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clCouleur2" align="right">
            &#160;&#160;(exprims en
            <xsl:call-template name ="displayUnitXsl">
              <xsl:with-param name ="InputUnit" select ="(../COMPTESCONSO/@UNITE)"/>
            </xsl:call-template>
            euros)
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="615" align="center" class="clCouleur2b">GRANDES MASSES DU BILAN</td>
          <td width="19">&#160;</td>
          <td  align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" />
            </a>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
          <xsl:apply-templates select="CHIFFRESCONSO/@DATCLOT" mode="m66"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Actif immobilis net</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01143"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;Dont cart d'acquisition</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01144"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Actif circulant net</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01151"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;Dont disponibilits + VMP</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01411"/>
        </tr>
        <tr>
          <td width="355" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Capitaux propres</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01171"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;Dont intrts minoritaires</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01167"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Fonds non remboursables</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01172"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Provisions pour risques et charges</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01174"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Dettes</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01177"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;Dont dettes financires</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01178"/>
        </tr>
        <tr>
          <td width="355" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Total bilan</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01154"/>
        </tr>
      </table>

      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="615" align="center" class="clCouleur2b">GRANDES MASSES DU COMPTE DE RSULTAT</td>
          <td>

          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
          <xsl:apply-templates select="CHIFFRESCONSO/@DATCLOT" mode="m66"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Chiffre d'affaires</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pCACONS"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Pourcentage de chiffre d'affaires  l'tranger</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pEXPORT"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Excdent brut d'exploitation</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pEBE"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat d'exploitation</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRESEXPL"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat financier</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRESFIN"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat courant avant impt</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRESCAI"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat exceptionnel</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRESEXCEP"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat net consolid av. amortissement cart d'acquisition</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRNCAAEA"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat net consolid</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRNC"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;Dont part des minoritaires</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRNCPM"/>
        </tr>
        <tr>
          <td width="355" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Effectif du groupe</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pEFFECT"/>
        </tr>
      </table>
      <div class="clBreakPage"></div>
      <xsl:call-template name="shim"/>
      <br />

      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="615" align="center" class="clCouleur2b">LMENTS D'ANALYSE FINANCIRE</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="355" colspan="2" class="clCouleur2" height="16">&#160;Date d'arrt</td>
          <xsl:apply-templates select="CHIFFRESCONSO/@DATCLOT" mode="m66"/>
        </tr>
        <tr>
          <td width="325" height="10"/>
          <td width="30" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Capacit d'autofinancement</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="../COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSO/pCAF"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;FRNG</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="../COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01376"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;BFR hors effets escompts non chus</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="../COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01295"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Trsorerie</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="../COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01283"/>
        </tr>
        <tr>
          <td width="325" height="10"/>
          <td width="30" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Dettes financires stables / Fonds propres nets</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pDET_FP"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Concours bancaires courants / CA</td>
          <td class="clCouleur2" align="right">j&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pCBC_CA"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;EBE / CA</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pEBE_CA"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Rsultat net / CA</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRNC_CA"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Rsultat net / Capitaux propres</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pRNC_CP"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Capitaux propres / Total Bilan</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSO/pK01888"/>
        </tr>
      </table>
    </xsl:if>
    <xsl:if test="//CHIFFRESCONSOIFRS">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clCouleur2" align="right">
            &#160;&#160;(exprims en
            <xsl:call-template name ="displayUnitXsl">
              <xsl:with-param name ="InputUnit" select ="(/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/@UNITE)"/>
            </xsl:call-template>
            euros)
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="615" align="center" class="clCouleur2b">GRANDES MASSES DU BILAN</td>
          <td width="19">&#160;</td>
          <td  align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" />
            </a>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/@DATCLOT" mode="m66"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Actif non courant</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02399"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;dont carts d'acquisition totaux</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02618"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Actif courant</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02403"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;Trsorerie et quivalents de trsorerie</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02402"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Actifs destins  la vente</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/p2011EAR"/>
        </tr>
        <tr>
          <td width="355" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Capitaux propres totaux</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02411"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;dont intrts minoritaires</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02410"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Passif non courant</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02419"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;dont dettes  long terme</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02418"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Passif courant</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02423"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;dont dettes financires CT</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02420"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Passifs destins  la vente</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/p2018FBJ"/>
        </tr>
        <tr>
          <td width="355" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Total bilan</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/p2018FBK"/>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="615" align="center" class="clCouleur2b">GRANDES MASSES DU COMPTE DE RSULTAT</td>
          <td>

          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Date d'arrt</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/@DATCLOT" mode="m66"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Chiffre d'affaires</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pCACONS"/>
        </tr>

        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Pourcentage de chiffre d'affaires  l'tranger</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pEXPORT"/>
        </tr>

        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat oprationnel courant</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pROC"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat oprationnel</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SAR"/>
        </tr>

        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Cot de l'endettement financier net</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SAS"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat net des activits en cours</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SBI"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Rsultat net consolid</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pRNC"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;dont part du groupe</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/p2019SBL"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;&#160;dont part des minoritaires</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pRNCPM"/>
        </tr>
        <tr>
          <td width="355" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="355" class="clCouleur2" height="16">&#160;Effectif du groupe</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pEFFECT"/>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="615" align="center" class="clCouleur2b">LMENTS D'ANALYSE FINANCIRE</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="355" colspan="2" class="clCouleur2" height="16">&#160;Date d'arrt</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/@DATCLOT" mode="m66"/>
        </tr>
        <tr>
          <td width="325" height="10"/>
          <td width="30" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Capacit d'autofinancement</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02579"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;FRNG</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02494"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;BFR</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02495"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;(ACTIFS-DETTES) DESTINS  LA VENTE</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02614"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Trsorerie</td>
          <td class="clCouleur2">
            <div align="right">
              <xsl:value-of select="/FIBEN/PERSONNE/MODULEAN/DIFFAN/INFOCOMPTABLESDETAIL/COMPTESCONSO/@UNITE"/><img src="{$root}Images/risque/euro_symb.gif" width="8" height="9" border="0" />&#160;
            </div>
          </td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02496"/>
        </tr>
        <tr>
          <td width="325" height="10"/>
          <td width="30" height="10"/>
          <td width="140" height="10"/>
          <td width="140" height="10"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Dettes financires  + d'un an / Capitaux propres</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02606"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Concours bancaires courants / CA</td>
          <td class="clCouleur2" align="right">j&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pCBC_CA"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Rsultat oprationnel courant / CA HT</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pROC_CA"/>
        </tr>

        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Rsultat oprationnel / CA HT</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02685"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Rsultat net des activits en cours / CA HT</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02705"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Rsultat net / Capitaux propres</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pRNC_CP"/>
        </tr>
        <tr>
          <td width="325" class="clCouleur2" height="16">&#160;Capitaux propres / Total Bilan</td>
          <td class="clCouleur2" align="right">%&#160;	</td>
          <xsl:apply-templates select="CHIFFRESCONSOIFRS/pK02615"/>
        </tr>
      </table>
    </xsl:if>
    <!--xsl:call-template name="shim"/><br /-->
  </xsl:template>
  <xsl:template match="@DATCLOT" mode="m66">
    <td class="clGrasFond" width="140" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="$isOnlyOneCC">
      <td class="clGrasFond" width="140" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DUREEEX" mode="m66">
    <td class="clFond" width="140" align="right">
      <xsl:call-template name ="displayDateXsl">
        <xsl:with-param name ="InputDate" select ="(.)"/>
      </xsl:call-template>&#160;
    </td>
    <xsl:if test="$isOnlyOneCC">
      <td class="clFond" width="140" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="pCACONS|pEXPORT|pEBE|pRESEXPL|pRESFIN|pRESCAI|pRESEXCEP|pRNCAAEA|pRNC|pRNCPM|pEFFECT|pK01143|pK01144|pK01151|pK01411|pK01171|pK01167|pK01172|pK01174|pK01177|pK01178|pK01154|pCAF|pK01376|pK01295|pK01283|pDET_FP|pCBC_CA|pEBE_CA|pRNC_CA|pRNC_CP|pK01888|pROC_CA">
    <td class="clFond" width="140" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
    <xsl:if test="$isOnlyOneCC">
      <td class="clFond" width="140" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="pROC|p2019SAR|p2019SAS|p2019SBI|pRNC|p2019SBL|pRNCPM|pEFFECT|pK02399|pK02618|pK02403|pK02402|p2011EAR|pK02411|pK02410|pK02419|pK02418|pK02423|pK02420|p2018FBJ|p2018FBK|pK02579|pK02494|pK02495|pK02614|pK02496|pK02606|pCBC_CA|pK02685|pK02705|pRNC_CP|pK02615|pROC_CA">
    <td class="clFond" width="140" align="right">
      <xsl:if test="@ETAT">
        <xsl:value-of select="@ETAT"/>&#160;
      </xsl:if>
      <xsl:if test="not(@ETAT)">
        <xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
    <xsl:if test="$isOnlyOneCC">
      <td class="clFond" width="140" align="right">&#160;</td>
    </xsl:if>
  </xsl:template>

  <!--*****************************************************************************************************************-->
  <!--TEMPLATE 5eme PAVE : SOCIETE CONSOLIDANTE-->

  <xsl:template match="DIFFAN/EJ">
    <!--<div class="clBreakPage"></div>-->
    <a name="SteConso"></a>
    <xsl:if test="position()=last()">
      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_SoCoEn'"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <xsl:for-each select="../EJ">
          <tr>
            <td width="130" class="clFond">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(IDENTS)"/>
              </xsl:call-template>
            </td>
            <td width="425" class="clFond">
              &#160;<xsl:value-of select="DENOM"/>
            </td>
            <td width="80" class="clFond" align="right">
              &#160;	<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_Au'"/>
              </xsl:call-template>&#160;
              <xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(@DATPERI)"/>
              </xsl:call-template>
            </td>
          </tr>
          <xsl:if test="not($NonResident='NR')">
            <tr>
              <td colspan="3" width="635" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{IDENTS}',cstMultipleConfirm);">
                  <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90"/>
                </a>
              </td>
            </tr>
          </xsl:if>

        </xsl:for-each>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="IST/EJ">
    <xsl:if test="position()=last()">
      <xsl:call-template name="shim"/>
      <br />
      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_SoCoEn'"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <xsl:for-each select="../EJ">
          <tr>
            <td width="130" class="clFond">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(IDENTS)"/>
              </xsl:call-template>
            </td>
            <td width="425" class="clFond">
              &#160;<xsl:value-of select="DENOM"/>
            </td>
            <td width="80" class="clFond" align="right">
              &#160;	<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_Au'"/>
              </xsl:call-template>&#160;
              <xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(@DATPERI)"/>
              </xsl:call-template>
            </td>
          </tr>

          <tr>
            <td colspan="3" width="635" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{IDENTS}',cstMultipleConfirm);">
                <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90"/>
              </a>
            </td>
          </tr>


        </xsl:for-each>
      </table>
    </xsl:if>

  </xsl:template>
  <xsl:template match="STECONSO" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="2" class="clCouleur2">
          &#160;<xsl:apply-templates select="."/>
        </td>
      </tr>
      <tr>
        <td width="130"/>
        <td width="505" align="right">
          <a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{/FIBEN/PERSONNE/MODULE60/EJ/IDENTS}',cstMultipleConfirm);">
            <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>


  <xsl:template match="BIL02[@ISCODE='1']">
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
      <tr>
        <td>
          <xsl:call-template name="traduction">
            <xsl:with-param name="code" select="'BIL02'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="BIL01S[@ISCODE='1']">
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
      <tr>
        <td>
          <xsl:call-template name="traduction">
            <xsl:with-param name="code" select="'BIL01S'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template match="BIL01C[@ISCODE='1']">
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
      <tr>
        <td>
          <xsl:call-template name="traduction">
            <xsl:with-param name="code" select="'BIL01C'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>


  <!--**************************************************************************************************************-->
  
  <!-- 01/2004 template supprim : plus besoin d'afficher la succursale dans IEC01 -->
  <xsl:template match="IEC01" mode="DisplayM27">
    <br/>
    <xsl:apply-templates select="."/>
  </xsl:template>


</xsl:stylesheet>
