<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:bdf="http://banque-france.fr/namespace">
  <xsl:import href="../../Ressources/XSL/Commun.xsl"/>
  <xsl:import href="../../Ressources/XSL/commun_transfo.xsl"/>
  <xsl:output method="html" version="1.1" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="langage" select="'fr'"/>
  <xsl:param name="root" select="'/Fiebn/'"/>
  <xsl:param name="familyNumber" select="''"/>
  <xsl:param name="familyName" select="''"/>
  <xsl:param name="familyTitle" select="''"/>
  <xsl:param name="nextModule" select="''"/>
  <xsl:param name="nextId" select="''"/>
  <xsl:param name="nextFamily" select="''"/>
  <xsl:param name="menuHTML1"/>
  <xsl:param name="Lang" select="'FR'"/>
  <xsl:param name="codeLib" select="''"/>
  <xsl:param name="NonResident" select="''"/>
  <xsl:param name="titleUK" select="''"/>


  <!--TEMPLATE PRINCIPAL-->
  <xsl:template match="/">
    <html>
      <xsl:call-template name="genHead">
        <xsl:with-param name="ident" select="FIBEN/ERREUR/IDENT | /FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
      </xsl:call-template>
      <body bgcolor="#ffffff" >
        <xsl:call-template name="genFondMenu">
          <xsl:with-param name="root" select="$root" />
        </xsl:call-template>
        <xsl:copy-of select="$menuHTML1"/>
        
        <table class="mainmodule horizontal-auto" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="genLigneConfidentiel"/>

          <xsl:apply-templates select="/FIBEN/ERREUR"/>
          <xsl:if test="not(/FIBEN/ERREUR)">

            <tr>
              <td width="64"></td>
              <td width="739" colspan="3" class="clCouleur2" valign="top">
                <!-- comparaison date-->
                <!--date de revision de la cotation presente-->
                <xsl:if test ="//INFOCOTATIONPM/DATEXA">
                  <!--date de revision de la segmentation prsente -->
                  <xsl:if test="//INFOCOTATIONPM/DATESEGR">
                    <xsl:variable name="res">
                      <xsl:call-template name="CompDate">
                        <xsl:with-param name="date1" select="//INFOCOTATIONPM/DATEXA"/>
                        <xsl:with-param name="date2" select="//INFOCOTATIONPM/DATESEGR"/>
                      </xsl:call-template>
                    </xsl:variable>
                    <!-- date d'attribution de la cotation > ou = date de revision de la segmentation -->
                    <xsl:if test="$res='1'or $res='0'">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATEXA"/>
                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>
                    </xsl:if>
                    <!-- date de revision de la segmentation > date d'attribution de la cotation-->
                    <xsl:if test="$res='-1'">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATESEGR"/>
                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>
                    </xsl:if>
                  </xsl:if>
                  <!-- Pas de date de revision de la segmentation ==> il faut comparer la date d'attribution de la cotation avec la date d'attribution de la segmentation-->
                  <xsl:if test="not(//INFOCOTATIONPM/DATESEGR)">
                    <xsl:variable name="res">
                      <xsl:call-template name="CompDate">
                        <xsl:with-param name="date1" select="//INFOCOTATIONPM/DATEXA"/>
                        <xsl:with-param name="date2" select="//INFOCOTATIONPM/DATESEGA"/>
                      </xsl:call-template>
                    </xsl:variable>
                    <!-- date d'attribution de la cotation > ou = date d'attribution de la segmentation -->
                    <xsl:if test="$res='1'or $res='0'">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATEXA"/>
                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>
                    </xsl:if>
                    <!-- date d'attribution de la cotation <  date d'attribution de la segmentation -->
                    <xsl:if test="$res='-1'">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATESEGA"/>
                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>

                    </xsl:if>
                  </xsl:if >
                </xsl:if>


                <!-- date revision cotation absente (il faut comparer la date de d'attribution de la cotation et la date de revision de la segmentation -->
                <xsl:if test ="not (//INFOCOTATIONPM/DATEXA)">
                  <!-- Pas de date de revision de la cotation et pas de segmentation -->
                  <xsl:if test ="not (//INFOCOTATIONPM/DATESEGR)">
                    <!--au 29/06/2010 : si pas de date de rvision de la cotation ni de rvision de la segmentation, alors date de rvision = date d'attribution de la segmentation-->
                    <xsl:variable name="res">
                      <xsl:call-template name="CompDate">
                        <xsl:with-param name="date1" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="date2" select="//INFOCOTATIONPM/DATESEGA"/>
                      </xsl:call-template>
                    </xsl:variable>
                    <xsl:if test="$res=-1">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>

                        <xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATESEGA"/>

                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>
                    </xsl:if>
                    <xsl:if test="$res!=-1">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>

                        <!--<xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATESEGA"/>-->

                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>
                    </xsl:if>
                  </xsl:if>
                  <xsl:if test="//INFOCOTATIONPM/DATESEGR">
                    <xsl:variable name="res">
                      <xsl:call-template name="CompDate">
                        <xsl:with-param name="date1" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="date2" select="//INFOCOTATIONPM/DATESEGR"/>
                      </xsl:call-template>
                    </xsl:variable>
                    <!-- date d'attribution de la cotation > ou = date de revision de la segmentation -->
                    <xsl:if test="$res='1'or $res='0'">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATEXA"/>
                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>
                    </xsl:if>
                    <!-- date de revision de la segmentation > date d'attribution de la cotation-->
                    <xsl:if test="$res='-1'">
                      <xsl:call-template name="genEnTete">
                        <xsl:with-param name="ident" select="/FIBEN/PERSONNE/MODULEDE/*//IDENTC|/FIBEN/PERSONNE/MODULEDE/*//IDENTS"/>
                        <xsl:with-param name="nom">
                          <xsl:if test="//MODULEDE/EJ/DENOM">
                            <xsl:value-of select="//MODULEDE/EJ/DENOM"/>
                          </xsl:if>
                          <xsl:if test="//MODULEDE/EIPP/IDENTITE/NOM">
                            <xsl:call-template name ="displayInLowerCaseXsl">
                              <xsl:with-param name ="InputStringNom" select ="(//MODULEDE/EIPP/IDENTITE/NOM)"/>
                              <xsl:with-param name ="InputStringPrenom" select ="(//MODULEDE/EIPP/IDENTITE/PRENOM)"/>
                            </xsl:call-template>
                          </xsl:if>
                        </xsl:with-param>
                        <xsl:with-param name="nomconj" select="//MODULEDE/EIPP/IDENTITE/NOMCONJ"/>
                        <xsl:with-param name="valcot" select="//INFOCOTATIONPM/VALCOT"/>
                        <xsl:with-param name="segment">
                          <xsl:if test="//INFOCOTATIONPM/SEGMENT">
                            <xsl:value-of select="//INFOCOTATIONPM/SEGMENT"/>
                          </xsl:if>
                        </xsl:with-param>

                        <xsl:with-param name="datcot" select="//INFOCOTATIONPM/DATCOT"/>
                        <xsl:with-param name="datexa" select="//INFOCOTATIONPM/DATESEGR"/>
                        <xsl:with-param name="idrenv" select="//MODULEDE/EIPP/IDRENV"/>
                        <xsl:with-param name="valindic" select="//INFOCOTATIONPM/VALINDIC"/>
                        <xsl:with-param name="datindic" select="//INFOCOTATIONPM/DATINDIC"/>
                        <xsl:with-param name="indexa2" select="//INFOCOTATIONPM/DATEXAIN"/>
                      </xsl:call-template>
                    </xsl:if>
                  </xsl:if>
                </xsl:if>


                <xsl:apply-templates select="//INFOJURIDIQUES"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOCOMPTABLESDO"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOCOTATIONPM"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFODIRIGEANTS"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOASSOCIES"/>

                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr height="0px">
                    <td width="20"></td>
                    <td width="110"></td>
                    <td width="125"></td>
                    <td width="130"></td>
                    <td width="125"></td>
                    <td width="125"></td>
                  </tr>
                </table>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOEVMEVJ"/>

                <xsl:call-template name="shim"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOIMPAYESTRIM"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO"/>

                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORELBANC"/>
                <!-- appel partie Vitrine Bilan -->
                <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB">
                  <xsl:call-template name ="genVB"/>
                  <!-- tous modules sauf 66 et 67-->
                  <xsl:if test ="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB/DONMODDO[../NUMMOD!=66 and ../NUMMOD!=67]">
                    <xsl:call-template name ="genVBtitre">
                      <xsl:with-param name ="titre" select ="'Donnes comptables sur base sociale'"/>
                    </xsl:call-template>
                    <xsl:call-template name="RechDateTableauVB">
                      <xsl:with-param name ="max" select ="count(//DONMODDO[../NUMMOD!=66 and ../NUMMOD!=67])"/>
                      <xsl:with-param name ="listeDateTest" select ="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB/DONMODDO[../NUMMOD!=66 and ../NUMMOD!=67]/@DATCLOTV"/>
                      <xsl:with-param name ="listeDureeTest" select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB/DONMODDO[../NUMMOD!=66 and ../NUMMOD!=67]/@DUREEEXV"/>
                      <xsl:with-param name="dateClot1" select="'129999'"/>
                      <xsl:with-param name="dateClot2" select="'128888'"/>
                      <xsl:with-param name="dateClot3" select="'127777'"/>
                      <xsl:with-param name="dateDuree1" select="'99'"/>
                      <xsl:with-param name="dateDuree2" select="'88'"/>
                      <xsl:with-param name="dateDuree3" select="'77'"/>
                      <xsl:with-param name ="n" select ="1"/>
                      <xsl:with-param name ="TypeTableau" select ="'Social'"/>
                    </xsl:call-template>
                  </xsl:if>
                  <!-- uniquement modules 66 et 67-->
                  <xsl:if test ="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB/DONMODDO[../NUMMOD=66 or ../NUMMOD=67]">
                    <xsl:call-template name ="genVBtitre">
                      <xsl:with-param name ="titre" select ="'Donnes comptables sur base consolide'"/>
                    </xsl:call-template>
                    <xsl:call-template name="RechDateTableauVB">
                      <xsl:with-param name ="max" select ="count(//DONMODDO[../NUMMOD=66 or ../NUMMOD=67])"/>
                      <xsl:with-param name ="listeDateTest" select ="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB/DONMODDO[../NUMMOD=66 or ../NUMMOD=67]/@DATCLOTV"/>
                      <xsl:with-param name ="listeDureeTest" select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB/DONMODDO[../NUMMOD=66 or ../NUMMOD=67]/@DUREEEXV"/>
                      <xsl:with-param name="dateClot1" select="'129999'"/>
                      <xsl:with-param name="dateClot2" select="'128888'"/>
                      <xsl:with-param name="dateClot3" select="'127777'"/>
                      <xsl:with-param name="dateDuree1" select="'99'"/>
                      <xsl:with-param name="dateDuree2" select="'88'"/>
                      <xsl:with-param name="dateDuree3" select="'77'"/>
                      <xsl:with-param name ="n" select ="1"/>
                      <xsl:with-param name ="TypeTableau" select ="'Conso'"/>
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:call-template name="shim"/>


                </xsl:if>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/EJ"/>
                <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/STECONSO" mode="genLib"/>
                <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/AUTRFDEI" >
                  <xsl:call-template name="FONCDIR"/>
                </xsl:if>
              </td>
              <td width="103" align="right"></td>
            </tr>
            

          </xsl:if>
        </table>
        <xsl:call-template name="genBasPage"/>
      </body>
    </html>
  </xsl:template>
  <xsl:template name="CompDate">
    <xsl:param name="date1"/>
    <xsl:param name="date2"/>
    <xsl:variable name="d1" select="number(concat(substring($date1, 5, 4),substring($date1, 3, 2),substring($date1 , 1, 2)))"/>
    <xsl:variable name="d2" select="number(concat(substring($date2, 5, 4),substring($date2, 3, 2),substring($date2 , 1, 2)))"/>
    <xsl:choose>
      <xsl:when test="$d1>$d2">1</xsl:when>
      <xsl:when test="$d2>$d1">-1</xsl:when>
      <xsl:otherwise>0</xsl:otherwise>
    </xsl:choose>

  </xsl:template>


  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 3eme PAVE : INFORMATIONS JURIDIQUES-->

  <xsl:template match="INFOJURIDIQUES">
    <a name="ancJurid"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_InfJur'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_CatJur'"/>
          </xsl:call-template>
        </td>
        <td class="clFond" colspan="3">
          &#160;<xsl:value-of select="CODECAT"/>&#160;&#160;&#160;<xsl:value-of select="CATJUR"/>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_ActBDF'"/>
          </xsl:call-template>
        </td>
        <td class="clTexte" colspan="3">
          &#160;<xsl:value-of select="ACTBDF"/>&#160;&#160;
          <xsl:if test="$Lang = 'UK'">
            <xsl:call-template name="tradLibNaf">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codelib" select="ACTBDF"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="$Lang = 'FR'">
            <xsl:value-of select="LIBACT"/>
          </xsl:if>
        </td>
      </tr>
      <xsl:apply-templates select="CODNAF"/>
      <xsl:apply-templates select="p2051DA"/>
      <xsl:apply-templates select="ENSEIGNE"/>
      <xsl:if test="not(p2051DA) and not(ENSEIGNE) and DATCRE">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td class="clTexte" width="305">&#160;</td>
          <xsl:apply-templates select="DATCRE"/>
        </tr>
      </xsl:if>
      <xsl:apply-templates select="SIGLE"/>
    </table>
    <xsl:if test="//IDLIES">
      <xsl:apply-templates select="//IDLIES"/>
      <xsl:if test="not(//HOMONYME)">
        <xsl:call-template name="shim"/>
      </xsl:if>
    </xsl:if>

    <xsl:if test="//HOMONYME">
      <xsl:apply-templates select="//HOMONYME"/>
    </xsl:if>

    <xsl:if test="not(//HOMONYME) and not(//IDLIES)">
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="CODNAF">
    <tr>
      <td class="clCouleur2" width="130">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m27_CodeNaf'"/>
        </xsl:call-template>
      </td>
      <td class="clFond" colspan="3">
        &#160;<xsl:value-of select="."/>&#160;&#160;
        <xsl:if test="$Lang = 'UK'">
          <xsl:call-template name="tradLibNaf">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codelib" select="."/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="$Lang = 'FR'">
          <xsl:value-of select="../LIBNAF"/>
        </xsl:if>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="p2051DA">
    <tr>
      <td width="130" class="clCouleur2">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m27_Cap'"/>
        </xsl:call-template>
      </td>
      <xsl:if test="../CODNAF">
        <td width="305" class="clTexte">
          <xsl:if test="@ETAT">
            &#160;<xsl:value-of select="@ETAT"/>
          </xsl:if>
          <xsl:if test="not(@ETAT)">
            &#160;<xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(.)"/>
            </xsl:call-template><img height="9" src="{$root}images/Commun/euro_symb.gif" width="8" />
          </xsl:if>
          <xsl:if test="../DATAG">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_au'"/>
            </xsl:call-template>&#160;
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../DATAG)"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <xsl:apply-templates select="../DATCRE"/>
        <xsl:if test="not(../DATCRE) and ../SIGLE[1]">
          <xsl:call-template name="SIGLEclTexte">
            <xsl:with-param name="titre">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="sigle" select="../SIGLE[1]"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
      <xsl:if test="not(../CODNAF)">
        <td width="305" class="clFond">
          <xsl:if test="@ETAT">
            &#160;<xsl:value-of select="@ETAT"/>
          </xsl:if>
          <xsl:if test="not(@ETAT)">
            &#160;<xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(.)"/>
            </xsl:call-template><img height="9" src="{$root}images/Commun/euro_symb.gif" width="8" />
          </xsl:if>
          <xsl:if test="../DATAG">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_au'"/>
            </xsl:call-template>&#160;
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../DATAG)"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <xsl:apply-templates select="../DATCRE"/>
        <xsl:if test="not(../DATCRE) and ../SIGLE[1]">
          <xsl:call-template name="SIGLEclFond">
            <xsl:with-param name="titre">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="sigle" select="../SIGLE[1]"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
    </tr>
  </xsl:template>

  <xsl:template match="ENSEIGNE">
    <tr>
      <xsl:if test="position()=1">
        <td width="130" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_Enseig'"/>
          </xsl:call-template>
        </td>
        <xsl:if test="(../CODNAF and ../p2051DA) or (not(../CODNAF) and not(../p2051DA))">
          <td class="clFond">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA)">
            <xsl:apply-templates select="../DATCRE"/>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE))and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
        <xsl:if test="(../CODNAF and not(../p2051DA)) or (not(../CODNAF) and ../p2051DA)">
          <td width="305" class="clTexte">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA)">
            <xsl:apply-templates select="../DATCRE"/>
            <xsl:if test="not(../DATCRE)">
              <td width="200" class="clTexte">&#160;</td>
            </xsl:if>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE)) and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
      </xsl:if>
      <xsl:if test="position()=2">
        <td width="130" class="clCouleur2">&#160;</td>
        <xsl:if test="(../CODNAF and ../p2051DA) or (not(../CODNAF) and not(../p2051DA))">
          <td width="305" class="clTexte">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA) and ../DATCRE and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE)) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[3]">
            <xsl:call-template name="SIGLEclTexte">
              <xsl:with-param name="sigle" select="../SIGLE[3]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
        <xsl:if test="(../CODNAF and not(../p2051DA)) or (not(../CODNAF) and ../p2051DA)">
          <td width="305" class="clFond">
            &#160;<xsl:value-of select="."/>
          </td>
          <xsl:if test="not(../p2051DA) and ../DATCRE and ../SIGLE[1]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="titre">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
                </xsl:call-template>
              </xsl:with-param>
              <xsl:with-param name="sigle" select="../SIGLE[1]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="((not(../p2051DA) and not(../DATCRE))or(../p2051DA and ../DATCRE)) and ../SIGLE[2]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="sigle" select="../SIGLE[2]"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="../p2051DA and not(../DATCRE) and ../SIGLE[3]">
            <xsl:call-template name="SIGLEclFond">
              <xsl:with-param name="sigle" select="../SIGLE[3]"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
      </xsl:if>
    </tr>

  </xsl:template>

  <xsl:template match="DATCRE">
    <td class="clCouleur2" width="120">
      &#160;
      <xsl:call-template name="tradlib">
        <xsl:with-param name="Lang" select="$Lang"/>
        <xsl:with-param name="codeLib" select="'m27_DatCre'"/>
      </xsl:call-template>
    </td>
    <xsl:if test="../CODNAF">
      <td class="clTexte" width="80">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>
      </td>
    </xsl:if>
    <xsl:if test="not(../CODNAF)">
      <td class="clFond" width="80">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="SIGLE">
    <xsl:if test="position()=1">
      <xsl:if test="(../DATCRE and not(../ENSEIGNE))or(not(../p2051DA) and count(../ENSEIGNE)=1 and ../DATCRE)">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
            </xsl:call-template>
          </td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="not(../DATCRE) and not(../ENSEIGNE) and not (../p2051DA)">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">
            &#160;
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Sigle'"/>
            </xsl:call-template>
          </td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </xsl:if>
    <xsl:if test="position()=2">
      <xsl:if test="(not(../DATCRE) and not(../ENSEIGNE))or(not(../ENSEIGNE[2]) and not(../DATCRE)and not(../p2051DA))">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">&#160;</td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="(not(../p2051DA) and count(../ENSEIGNE)!=0 and ../DATCRE) or (not(../ENSEIGNE) and ../DATCRE) or (count(../ENSEIGNE)=1 and ../DATCRE and ../p2051DA)">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">&#160;</td>
          <xsl:if test="../CODNAF">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="not(../CODNAF)">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </xsl:if>
    <xsl:if test="position()=3">
      <xsl:if test="not(../ENSEIGNE[2] and ../p2051DA and not(../DATCRE))">
        <tr>
          <td class="clCouleur2" width="130">&#160;</td>
          <td width="305">&#160;</td>
          <td width="120" class="clCouleur2">&#160;</td>
          <xsl:if test="(../CODNAF and ../DATCRE) or (not(../CODNAF) and not(../p2051DA) and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and not(../DATCRE))">
            <td width="80" class="clFond">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
          <xsl:if test="(../CODNAF and ../p2051DA and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and ../DATCRE) or (not(../p2051DA) and not(../CODNAF) and ../DATCRE ) or (not(../DATCRE) and not(../p2051DA) and ../CODNAF)">
            <td width="80" class="clTexte">
              &#160;<xsl:value-of select="."/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </xsl:if>
    <xsl:if test="position()=4">
      <tr>
        <td class="clCouleur2" width="130">&#160;</td>
        <td width="305">&#160;</td>
        <td width="120" class="clCouleur2">&#160;</td>
        <xsl:if test="(../CODNAF and ../DATCRE) or (not(../CODNAF) and not(../p2051DA) and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and not(../DATCRE))">
          <td width="80" class="clTexte">
            &#160;<xsl:value-of select="."/>
          </td>
        </xsl:if>
        <xsl:if test="(../CODNAF and ../p2051DA and not(../DATCRE)) or (../p2051DA and not(../CODNAF) and ../DATCRE) or (not(../p2051DA) and not(../CODNAF) and ../DATCRE ) or (not(../DATCRE) and not(../p2051DA) and ../CODNAF)">
          <td width="80" class="clFond">
            &#160;<xsl:value-of select="."/>
          </td>
        </xsl:if>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="SIGLEclFond">
    <xsl:param name="titre"/>
    <xsl:param name="sigle"/>
    <td width="120" class="clCouleur2">
      &#160;<xsl:value-of select="$titre"/>
    </td>
    <td width="80" class="clFond">
      &#160;<xsl:value-of select="$sigle"/>
    </td>
  </xsl:template>

  <xsl:template name="SIGLEclTexte">
    <xsl:param name="titre"/>
    <xsl:param name="sigle"/>
    <td width="120" class="clCouleur2">
      &#160;<xsl:value-of select="$titre"/>
    </td>
    <td width="80" class="clTexte">
      &#160;<xsl:value-of select="$sigle"/>
    </td>
  </xsl:template>

  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 4eme PAVE : COMPTE SOCIAUX, COMPTES CONSOLIDEES-->

  <xsl:template match="INFOCOMPTABLESDO">
    <a name="ancSociaux"></a>
    <xsl:if test="CHIFRSOC/BIL02">
      <xsl:apply-templates select="CHIFRCONS/BILCONSO"/>

      <xsl:if test="not(CHIFRCONS/BILCONSO)">
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="19">&#160;</td>
            <td width="597" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
              </xsl:call-template>
            </td>
            <td width="19">

            </td>
            <td width="103" align="right">			</td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
      </xsl:if>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">

              <xsl:call-template name="traduction">
                <xsl:with-param name="code" select="'BIL02'"/>
              </xsl:call-template>
            </font>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
    </xsl:if>

    <xsl:if test="CHIFRSOC/BIL01S">
      <xsl:apply-templates select="CHIFRCONS/BILCONSO"/>
      <xsl:if test="not(CHIFRCONS/BILCONSO)">
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="19">&#160;</td>
            <td width="597" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
              </xsl:call-template>
            </td>
            <td width="19">

            </td>
            <td width="103" align="right">			</td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
      </xsl:if>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">

              <xsl:call-template name="traduction">
                <xsl:with-param name="code" select="'BIL01S'"/>
              </xsl:call-template>
            </font>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
    </xsl:if>

    <xsl:if test="not(CHIFRSOC/BIL02) and not(CHIFRSOC/BIL01S) ">
      <xsl:apply-templates select="CHIFRSOC/BILANDE[last()]"/>
    </xsl:if>

    <xsl:if test="CHIFRCONS/BIL01C">
      <xsl:if test="not(CHIFRSOC/BILANDE) and not(CHIFRSOC/BIL01S) and not(CHIFRSOC/BIL02)">
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="19">&#160;</td>
            <td width="597" class="clCouleur2">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
              </xsl:call-template>
            </td>
            <td width="19">

            </td>
            <td width="103" align="right">			</td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br />
      </xsl:if>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">

              <xsl:call-template name="traduction">
                <xsl:with-param name="code" select="'BIL01C'"/>
              </xsl:call-template>
            </font>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
    </xsl:if>
  </xsl:template>

  <xsl:template match="BILANDE">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="19">&#160;</td>
        <td width="597" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
          </xsl:call-template>
        </td>
        <td width="19">

        </td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>

      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br />
    <xsl:if test="//CHIFRCONS/BILCONSO">
      <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComSoc'"/>
            </xsl:call-template>
          </td>
          <td colspan="{count(../BILANDE)}">
            &#160;
          </td>
          <td rowspan="10" width="15" align="middle" valign="bottom" height="125">
            <img height="125" src="{$root}images/risque/shim.gif" width="1"/>
          </td>
          <td width="140" colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComCon'"/>
            </xsl:call-template>
          </td>
          <td colspan="{count(//CHIFRCONS/BILCONSO)}">&#160;</td>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
          <td height="5" colspan="4"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/@DATCLOT"/>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/@DATCLOT"/>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/@DUREEEX"/>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/@DUREEEX"/>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
          <td colspan="4" height="5"></td>
        </tr>
        <tr>
          <td width="85" class="clCouleur2" height="15">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_CA'"/>
            </xsl:call-template>
            (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td width="65" class="clCouleur2" height="15">&#160;</td>
          <td colspan="{count(../BILANDE)}" class="clFond" height="15">&#160;</td>
          <td width="140" height="15" class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_CAGRP'"/>
            </xsl:call-template>
            (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td colspan="{count(//CHIFRCONS/BILCONSO)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td class="clCouleur2"></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/p2052FL"/>
          <td width="39"></td>
          <td width="101" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/pCACONS"/>
        </tr>
        <tr>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Export'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/p2052FK"/>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Etranger'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/p2010AD"/>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
          <td colspan="4" height="5"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/p2058YP"/>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/pEFFECT"/>
        </tr>
        <xsl:if test="../DATDOC">
          <xsl:if test="not($NonResident='NR')">
            <tr>
              <td colspan="10" align="middle">

              </td>
            </tr>
          </xsl:if>
          <!--xsl:if test="$NonResident='NR'">
					<tr> 	
						<td colspan="10" align="middle">&#160;</td>
					</tr>
				</xsl:if-->
        </xsl:if>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
    <xsl:if test="not(//CHIFRCONS/BILCONSO)">
      <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComSoc'"/>
            </xsl:call-template>
          </td>
          <td colspan="4">
            &#160;
          </td>
        </tr>
        <tr>
          <td colspan="6" height="5"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/@DATCLOT"/>
          <td width="{75-25*count(//BILANDE)}%" colspan="{3-count(//BILANDE)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/@DUREEEX"/>
          <td colspan="{3-count(//BILANDE)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="6" height="5"></td>
        </tr>
        <tr>
          <td width="85" class="clCouleur2" height="15">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_CA'"/>
            </xsl:call-template>
            (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td width="65" class="clCouleur2" height="15">&#160;</td>
          <td colspan="4" class="clFond" height="15">&#160;</td>
        </tr>
        <tr>
          <td class="clCouleur2"></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/p2052FL|../BILANDE/p209101"/>
          <td colspan="{3-count(//BILANDE)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Export'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/p2052FK"/>
          <td colspan="{3-count(//BILANDE)}" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="6" height="5"></td>
        </tr>
        <tr>
          <td colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="../BILANDE/p2058YP"/>
          <td colspan="{3-count(//BILANDE)}" class="clFond">&#160;</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="BILCONSO">
    <xsl:if test="position()=last()">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td width="19">&#160;</td>
          <td width="597" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ChiCle'"/>
            </xsl:call-template>
          </td>
          <td width="19">

          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
        <tr>
          <td width="140" colspan="2" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_ComCon'"/>
            </xsl:call-template>
          </td>
          <td colspan="3">&#160;</td>
        </tr>
        <tr>
          <td height="5" colspan="5"></td>
        </tr>
        <tr>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_DatClo'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/@DATCLOT"/>
          <td width="{80-40*count(//CHIFRCONS/BILCONSO)}%" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Duree'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/@DUREEEX"/>
          <td class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
        </tr>
        <tr>
          <td width="140" height="15" class="clCouleur2" colspan="2">
            CA Groupe (M<img height="9" src="{$root}images/risque/euro_symb.gif" width="8"/>)
          </td>
          <td colspan="3" class="clFond">&#160;</td>
        </tr>
        <tr>
          <td width="39"></td>
          <td width="101" class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Net'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/pCACONS"/>
          <td class="clFond">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Etranger'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/p2010AD"/>
          <td class="clFond">&#160;</td>
        </tr>
        <tr>
          <td colspan="5" height="5"></td>
        </tr>
        <tr>
          <td class="clCouleur2" colspan="2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_Effectif'"/>
            </xsl:call-template>
          </td>
          <xsl:apply-templates select="//CHIFRCONS/BILCONSO/pEFFECT"/>
          <td class="clFond">&#160;</td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p2052FL|p209101|p2052FK|pCACONS|p2010AD">
    <xsl:if test="@ETAT">
      <td class="clFond" align="right">
        &#160;<xsl:value-of select="@ETAT"/>&#160;
      </td>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <td class="clFond" align="right">
        &#160;<xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="p2058YP|pEFFECT">
    <xsl:if test="@ETAT">
      <td class="clFond" align="right">
        &#160;<xsl:value-of select="@ETAT"/>&#160;
      </td>
    </xsl:if>
    <xsl:if test="not(@ETAT)">
      <td class="clFond" align="right">
        &#160;<xsl:call-template name ="displayNumberXsl">
          <xsl:with-param name ="InputStringNumber" select ="(.)"/>
        </xsl:call-template>&#160;
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="@DATCLOT|@DUREEEX">
    <td class="clFond" align="right">
      <xsl:if test="$Lang='FR'">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
      <xsl:if test="$Lang='UK'">
        &#160;<xsl:call-template name ="displayDateUKXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
  </xsl:template>

  <xsl:template match="@DATCLOTV|@DUREEEXV">
    <td class="clFond" align="right">
      <xsl:if test="$Lang='FR'">
        &#160;<xsl:call-template name ="displayDateXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
      <xsl:if test="$Lang='UK'">
        &#160;<xsl:call-template name ="displayDateUKXsl">
          <xsl:with-param name ="InputDate" select ="(.)"/>
        </xsl:call-template>&#160;
      </xsl:if>
    </td>
  </xsl:template>

  <!--**************LA COTATION BANQUE DE FRANCE*********************************** *******************************************************************************************************************-->
  <xsl:template match="INFOCOTATIONPM">

    <a name="Cotation"></a>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="19"></td>
        <td width="597" class="clCouleur2"> LA COTATION BANQUE DE FRANCE</td>
        <td width="19"></td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="69" class="clCouleur2">Cotation :</td>

        <xsl:if test="DATEXA">
          <td width="218" class="clFond">
            &#160;<xsl:value-of select="VALCOT"/>
          </td>
          <td width="105" class="clCouleur2" align="center" height="18">depuis le</td>
          <td width="69" class="clFond">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
            </xsl:call-template>
          </td>
          <td width="105" class="clCouleur2" align="center" height="18">actualise le</td>
          <td width="69" class="clFond" height="18">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATEXA)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(DATEXA)">
          <td width="392" class="clFond">
            &#160;<xsl:value-of select="VALCOT"/>
          </td>
          <td width="105" class="clCouleur2" align="center" height="18">depuis le</td>
          <td width="69" class="clFond">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATCOT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
      </tr>
    </table>

    <xsl:apply-templates select="DATBILS"/>
    <xsl:apply-templates select="DATBILC"/>
    <xsl:choose>
      <xsl:when test="//MODULEDE/EIPP/IDENTS">
        <xsl:apply-templates select="COTPREC"/>
        <xsl:apply-templates select="INDPREC"/>
      </xsl:when>

      <xsl:when test="//MODULEDE/EIPP/IDENTC">
        <xsl:apply-templates select="INDPREC"/>
        <xsl:apply-templates select="COTPREC"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="COTPREC"/>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:if test="//INFLUENCANTE or //TETEDEGROUPE">
      <xsl:call-template name="shim"/>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <xsl:apply-templates select="//INFLUENCANTE"/>
        <xsl:apply-templates select="//TETEDEGROUPE"/>
      </table>
    </xsl:if>

    <xsl:if test="not(//IEC01)">
      <div class="clBreakPage"></div>
      <xsl:if test="//MEJIG|//MEJIS|//MEI/IS06|//MEI/B8|//MEI/IT01|//MEJ/B5|//MEJ/B6|//MEJ/B7|//MEJ/B8|//MEJ/B9|//MEJ/IT01">
        <xsl:call-template name="shim"/>

        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clCouleur2">
              <div align="center">
                <xsl:call-template name="tradlib">
                  <xsl:with-param name="Lang" select="$Lang"/>
                  <xsl:with-param name="codeLib" select="'m37_Caract'"/>
                </xsl:call-template>
                <br/>
              </div>
            </td>
          </tr>
        </table>

        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <xsl:apply-templates select="//MEI/IS06|//MEI/B8|//MEI/IT01" mode="displayLib"/>
          <xsl:apply-templates select="//MEJIG/*" mode="displayLib"/>
          <xsl:apply-templates select="//MEJIS/*" mode="displayLib"/>
          <xsl:apply-templates select="//MEJ/B5|//MEJ/B6|//MEJ/B7|//MEJ/B8|//MEJ/B9" mode="displayLib"/>
          <xsl:apply-templates select="//MEJ/IT01" mode="displayLib"/>
        </table>
      </xsl:if>
      <xsl:call-template name="shim"/>

      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clCouleur2">
            <div align="center">
              <xsl:call-template name="tradlib">
                <xsl:with-param name="codeLib" select="'m37_Explititre'"/>
              </xsl:call-template>
              <br/>
            </div>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <xsl:apply-templates select="//MPMCA"/>
      <xsl:call-template name="coteDeCredit"/>
      <xsl:apply-templates select="//MPPCO|//MEICO|//MEJCO"/>
      <br />
    </xsl:if>
    <xsl:if test="//DATESEGA">
      <a name="Segmentation"></a>
      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td width="19"></td>
          <td width="597" class="clCouleur2"> LA SEGMENTATION</td>
          <td width="19"></td>
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </tr>
      </table>

      <xsl:call-template name="shim"/>
      <xsl:if test ="//DATESEGR">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clCouleur2" width="89">Segmentation :</td>
            <td class="clFond" width="200">
              &#160;<xsl:value-of select="SEGMENT"/>
            </td>
            <td class="clCouleur2" align="middle" width="105" height="1">depuis le</td>
            <td class="clFond" width="68">
              &#160;<xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATESEGA)"/>
              </xsl:call-template>
            </td>
            <td class="clCouleur2" align="middle" width="105" height="18">actualise le</td>
            <td class="clFond" width="68" height="18">
              &#160;<xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATESEGR)"/>
              </xsl:call-template>
            </td>
          </tr>
        </table>
      </xsl:if>
      <xsl:if test ="not (//DATESEGR)">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clCouleur2" width="89">Segmentation :</td>
            <td class="clFond" width="200">
              &#160;<xsl:value-of select="SEGMENT"/>
            </td>
            <td class="clFond" colspan="2" width="173" ></td>
            <td class="clCouleur2" align="middle" width="105" height="1">depuis le</td>
            <td class="clFond" width="68">
              &#160;<xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(DATESEGA)"/>
              </xsl:call-template>
            </td>
          </tr>
        </table>
      </xsl:if>
      <xsl:call-template name="shim"/>
      <xsl:if test="SEGDES">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clCouleur2">
              <div align="center">
                EXPLICATION DE LA SEGMENTATION<br/>
              </div>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="175" class="clCouleur2">IMPAYS</td>
            <td width="459" class="clGrasFond">
              <xsl:value-of select="//IMPAYES"/>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td colspan="2" width="175" class="clCouleur2">DESCRIPTIF</td>
            <td width="459" class="clGrasFond">
              <xsl:value-of select="//DESCRIPT"/>
            </td>
          </tr>
          <tr>
            <td width="20" class="clTexte"></td>
            <td width="155" class="clTexte">Age de l'entreprise:</td>
            <td width="459" class="clTexte">
              <xsl:value-of select="//DAGE"/>
            </td>
          </tr>
          <tr>
            <td width="20" class="clTexte"></td>
            <td width="155" class="clTexte">Secteur d'activit:</td>
            <td width="459" class="clTexte">
              <xsl:value-of select="//DNAF"/>
            </td>
          </tr>
          <tr>
            <td width="20" class="clTexte"></td>
            <td width="155" class="clTexte">Catgorie juridique:</td>
            <td width="459" class="clTexte">
              <xsl:value-of select="//DCATJUR"/>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="175" class="clCouleur2">ENDETTEMENT BANCAIRE</td>
            <td width="459" class="clGrasFond">
              <xsl:value-of select="//BANC"/>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
      </xsl:if>
      <xsl:if test="SEG01">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="612" class="clFond">
              <xsl:call-template name="traduction">
                <xsl:with-param name="code" select="'SEG01'"/>
              </xsl:call-template>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
      </xsl:if>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="100%" height="20" colspan="2">&#160;</td>
        </tr>
        <tr>
          <td width="10"></td>
          <td width="620" class="clStyleDescriptif">
            <!--<td width="620" class="cltexte">-->
            <span>
              La variable <strong> Impays </strong> correspond aux montants cumuls d'incidents de paiement
              effets de commerce (les contestations de crances CC sont exclues) sur une anne, dclars  la Centrale des Incidents de Paiement sur
              Effets.
            </span>
            <br/>
            <br/>
          </td>
        </tr>
        <tr>
          <td width="10"></td>
          <td width="620" class="clStyleDescriptif">
            <span>
              La variable <strong> Descriptive </strong> agrge 3 informations:&#160;<br/>
              &#160;&#160;- l'ge de l'entreprise <br/>
              &#160;&#160;- le secteur d'activit au niveau division NAF<br/>
              &#160;&#160;- la catgorie juridique<br/><br/>
            </span>
          </td>
        </tr>
        <tr>
          <td width="10"></td>
          <td width="620" class="clStyleDescriptif">
            <span>
              La variable <strong> Endettement Bancaire </strong>est labore  partir des
              dclarations de concours bancaires mensuels (crdits  court terme et crances commerciales) transmises  la Centrale des
              Risques.<br/><br/>
            </span>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>

    </xsl:if>
  </xsl:template>

  <xsl:template match="INFLUENCANTE">
    <tr>
      <td width="130" class="clCouleur2">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="Lang" select="$Lang"/>
          <xsl:with-param name="codeLib" select="'m37_EntInf'"/>
        </xsl:call-template>
      </td>
      <td class="clFond" width="80">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
      <td class="clFond" colspan="5">
        &#160;<xsl:value-of select="EJ/DENOM"/>
      </td>
    </tr>
    <xsl:if test="not($NonResident='NR')">
      <tr>
        <td width="130" height="14"></td>
        <td width="80" height="14"></td>
        <td colspan="5" width="426" height="14" align="right" valign="middle">&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="$NonResident='NR'">
      <tr>
        <td width="130" height="14"></td>
        <td width="80" height="14"></td>
        <td colspan="5" width="426" height="14" align="right" valign="middle">&#160;</td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template match="TETEDEGROUPE">
    <tr>
      <td width="130" class="clCouleur2" height="14">
        <xsl:call-template name="tradlib">
          <xsl:with-param name="codeLib" select="'m37_TetGro'"/>
        </xsl:call-template>
      </td>
      <td class="clFond" width="80" height="14">
        <xsl:call-template name ="displaySirenXsl">
          <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
        </xsl:call-template>
      </td>
      <td class="clFond" colspan="5" height="14">
        &#160;<xsl:value-of select="EJ/DENOM"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="IS01|IS02|IS03|IS04|IS05|IS06|IS07|IS08|IG01|IG02|IG03|B5|B6|B7|B8|B9|IT01" mode="displayLib">
    <tr>
      <td width="130"></td>
      <td width="505" class="clTexte">
        - <xsl:apply-templates select="."/>
      </td>
    </tr>
  </xsl:template>

  <!--Cote d'activit-->

  <xsl:template match="MPMCA">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_CotAct'"/>
          </xsl:call-template>
        </td>
        <td width="505" class="clGrasFond">
          &#160;<xsl:value-of select="substring(//INFOCOTATIONPM/VALCOT,1,1)"/>
        </td>
      </tr>
      <tr>
        <td width="130"></td>
        <td width="505" class="clTexte">
          - <xsl:apply-templates select="./*"/>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!--Cote de crdit-->
  <xsl:template name="coteDeCredit">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="130">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m37_CotCre'"/>
          </xsl:call-template>
        </td>
        <td width="505" class="clGrasFond">
          &#160;<xsl:value-of select="substring(//INFOCOTATIONPM/VALCOT,2,3)"/>
        </td>
      </tr>
      <xsl:apply-templates select="//MG3pp|//MG3p|//MG3|//MG4p|//MG4|//MG5p|//MG5|//MG6|//MG7|//MG8|//MG9|//MGP" mode="displayLib"/>
      <tr>
        <td width="130" height="11">&#160;</td>
        <td width="505" class="clTexte">
          <!--Entit juridique-->

          <xsl:apply-templates select="//CC01|//CC03|//CC04" mode="displayLib"/>
          <xsl:apply-templates select="//CCG1|//CCG2|//CCG3A|//CCG3B|//CCG4|//CCG5|//CCG6|//CCG7" mode="displayLib"/>
          <xsl:apply-templates select="//CCB0|//CCB1A|//CCB1Ap|//CCB1B|//CCB1Bp|//CCB1C|//CCB1Cp|//CCB1D|//CCB1Dp|//CCB1E|//CCB1Ep|//CCB1F|//CCB1Fp"  mode="displayLib"/>
          <xsl:apply-templates select="//CCR1A|//CCR1Ap|//CCR1B|//CCR1Bp|//CCR1C|//CCR1Cp|//CCR1D|//CCR1Dp|//CCR1E|//CCR1Ep|//CCR1F|//CCR1Fp"  mode="displayLib"/>
          <xsl:apply-templates select="//CCI1|//CCI2|//CCI3|//CCI4" mode="displayLib"/>
          <xsl:apply-templates select="//CCJ1A|//CCJ1B|//CCJ2|//CCJ3" mode="displayLib"/>
          <xsl:apply-templates select="//CCE1A|//CCE1B|//CCE2A|//CCE2B|//CCE3|//CCE4|//CCE4A|//CCE4B|//CCE4C|//CCE4D|//CCE4E|//CCE5|//CCE6A|//CCE6B|//CCE7|//CCE8|//CCE9A|//CCE9B"  mode="displayLib"/>
          <xsl:apply-templates select="//CCS1" mode="displayLib"/>
          <xsl:apply-templates select="//CCD1|//CCD2|//CCD3" mode="displayLib">
            <xsl:sort select="(name(.)='CCD2')*1.1+(name(.)='CCS1')*1.2"/>
          </xsl:apply-templates>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <!-- on supprime les liens PLUS D DINFOS en redefinissant  vide le template du commun -->
  <xsl:template match="MG3pp|MG3p|MG3|MG4p|MG4|MG5p|MG5|MG6|MG7|MG8|MG9|MGP" mode="displayAfterLibelle"/>
  <xsl:template match="CC01|CC03|CC04" mode="displayAfterLibelle"/>
  <xsl:template match="CCG1|CCG2|CCG3A|CCG3B|CCG4|CCG5|CCG6|CCG7" mode="displayAfterLibelle"/>
  <xsl:template match="CCB0|CCB1A|CCB1Ap|CCB1B|CCB1Bp|CCB1C|CCB1Cp|CCB1D|CCB1Dp|CCB1E|CCB1Ep|CCB1F|CCB1Fp"  mode="displayAfterLibelle"/>
  <xsl:template match="CCR1A|CCR1Ap|CCR1B|CCR1Bp|CCR1C|CCR1Cp|CCR1D|CCR1Dp|CCR1E|CCR1Ep|CCR1F|CCR1Fp"  mode="displayAfterLibelle"/>
  <xsl:template match="CCI1|CCI2|CCI3|CCI4" mode="displayAfterLibelle"/>
  <xsl:template match="CCD1|CCD2|CCD3"  mode="displayAfterLibelle"/>
  <xsl:template match="COD1|COD2|COD3"  mode="displayAfterLibelle"/>
  <xsl:template match="CCJ1A|CCJ1B|CCJ2|CCJ3" mode="displayAfterLibelle"/>
  <xsl:template match="CCE1A|CCE1B|CE2A|CCE2B|CCE3|CCE4|CCE4A|CCE4B|CCE4C|CCE4D|CCE4E|CCE5|CCE6A|CCE6B|CCE7|CCE8|CCE9A|CCE9B"  mode="displayAfterLibelle"/>
  <xsl:template match="CCS1|COS1" mode="displayAfterLibelle"/>



  <xsl:template match="ICB02" mode="displayAfterLibelle"/>

  <!--Autres infos complmentaires-->
  <xsl:template match="MPPCO|MEICO|MEJCO">
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2">
          <div align="center">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m37_AutInftitre'"/>

            </xsl:call-template>
            <br/>
          </div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130"></td>
        <td width="505" class="clTexte">
          <xsl:apply-templates select="COB1" mode="displayLib"/>
          <xsl:apply-templates select="COR1" mode="displayLib"/>
          <xsl:apply-templates select="COI1|COI2|COI3|COI4|COI5" mode="displayLib"/>
          <xsl:apply-templates select="COD1|COD2|COD3" mode="displayLib"/>
          <xsl:apply-templates select="COJ1|COJ2|COJ3" mode="displayLib"/>
          <xsl:apply-templates select="COE1|COE2|COE3|COE4|COE5|COE7|COE9" mode="displayLib"/>
          <xsl:apply-templates select="COS1" mode="displayLib"/>

        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>
  <xsl:template match="CC01|CC02|CC03|CC04|CCG1|CCG2|CCG3A|CCG3B|CCG4|CCG5|CCG6|CCG7|CCB0|CCB1A|CCB1Ap|CCB1B|CCB1Bp|CCB1C|CCB1Cp|CCB1D|CCB1Dp|CCB1E|CCB1Ep|CCB1F|CCB1Fp|CCR1A|CCR1Ap|CCR1B|CCR1Bp|CCR1C|CCR1Cp|CCR1D|CCR1Dp|CCR1E|CCR1Ep|CCR1F|CCR1Fp|CCI1|CCI2|CCI3|CCI4|CCD1|CCD2|CCD3|CCJ1A|CCJ1B|CCJ2|CCJ3|CCE1A|CCE1B|CCE2A|CCE2B|CCE3|CCE4|CCE4A|CCE4B|CCE4C|CCE4D|CCE4E|CCE5|CCE6A|CCE6B|CCE7|CCE8|CCE9A|CCE9B|CCS1" mode="displayLib">
    - <xsl:apply-templates select="."/><br />
  </xsl:template>

  <xsl:template match="COS1|COB1|COR1|COI1|COI2|COI3|COI4|COI5|COD1|COD2|COD3|COJ1|COJ2|COJ3|COE1|COE2|COE3|COE4|COE5|COE7|COE9" mode="displayLib">
    - <xsl:apply-templates select="."/><br />
  </xsl:template>
  <xsl:template match="MG3pp|MG3p|MG3|MG4p|MG4|MG5p|MG5|MG6|MG7|MG8|MG9|MGP" mode="displayLib">
    <tr>
      <td>&#160;</td>
    </tr>
    <tr>
      <td colspan="2" class="clCouleur2" width="635">
        <xsl:apply-templates select="."/>
      </td>
    </tr>
  </xsl:template>
  <!--********************************************************************************************************************************************************************-->
  <!-- ********* bloc dirigeants *****************************************************************************************************************************************-->
  <!--********************************************************************************************************************************************************************-->

  <!-- l'arborescence XML a tait modifi le 18/08/2008 -->
  <xsl:template match="INFODIRIGEANTS">
    <!--<div class="clBreakPage"></div>-->
    <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFODIRIGEANTS/DIRIGEANTS">
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFODIRIGEANTS/DIRIGEANTS/NBDIRIGEANTDO" />
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFODIRIGEANTS/DIRIGEANTS/DIRIGEANT" />
      <xsl:if test="not(//INFODIRIGEANTS/DIRIGEANTS/SUITE | //INFODIRIGEANTS/DIRIGEANTS/AUTRFDEJ)" >
        <xsl:call-template name="shim"/>
      </xsl:if>


    </xsl:if>



    <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFODIRIGEANTS/DIRIGEANTSCESSES">
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFODIRIGEANTS/DIRIGEANTSCESSES/NBDIRIGEANTCESSEDO" />
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFODIRIGEANTS/DIRIGEANTSCESSES/DIRIGEANTCESSE" />
      <!--<xsl:apply-templates select="SUITE" />  le template suite est supprimer car il y a deux fois suite au mme niveau-->
      <!-- le plus d'infos est donc rajout  la fin des templates DIRIGEANT ET DIRIGEANTCESSE -->
      <!--<xsl:call-template name="shim"/>-->
      <xsl:if test="not(//INFODIRIGEANTS/DIRIGEANTSCESSES/SUITE)" >
        <xsl:call-template name="shim"/>
      </xsl:if>

    </xsl:if>
  </xsl:template>



  <xsl:template match="NBDIRIGEANTDO">
    <a name="Dirigeants"></a>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          DIRIGEANT(S) ACTIF(S) DE L'ENTREPRISE (<xsl:value-of select="."/>)<br/>

        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="DIRIGEANT">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <tr>
        <xsl:if test="EJ/DENOM">
          <td class="clTexteGras" colspan="5">
            &#160;<xsl:value-of select="EJ/DENOM"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EJ/DENOM)">
          <td class="clTexteGras" colspan="2">
            &#160;<xsl:call-template name ="displayInLowerCaseXsl">
              <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
              <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
            </xsl:call-template>
          </td>
          <xsl:if test="PP/IDENTITE/NOMCONJ">
            <td class="clCouleur2" colspan="3">
              &#160;Nom marital&#160;&#160;&#160;<span class="clTexte">
                <xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
              </span>
            </td>

          </xsl:if>
          <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
            <td width="54">&#160;</td>
            <td colspan="2">&#160;</td>
          </xsl:if>
        </xsl:if>
      </tr>


      <xsl:if test ="EJ">
        <xsl:variable name="ident" select="EJ/IDENTS"/>
        <xsl:if test ="FONCTCOT/SEGMENT">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clFond" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="81"></td>
              <td class="clCouleur2" width="145">&#160;Cotation | Segmentation</td>
              <td class="clFond" width="89" align="right" valign="middle">
                &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
                <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                  &#160;|&#160;
                  <u>
                    <xsl:value-of select="FONCTCOT/SEGMENT"/>
                  </u>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="315" colspan="3"></td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="92" >
              &#160;
            </td>
          </tr>
        </xsl:if>
        <xsl:if test ="not (FONCTCOT/SEGMENT)">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clFond" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="166"></td>
              <td class="clCouleur2" width="60">&#160;Cotation</td>
              <td class="clFond" width="89" align="right" valign="middle">
                &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clFond" width="315" colspan="3"></td>
            </xsl:if>
          </tr>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="PP">
        <xsl:variable name="ident" select="PP/IDENTC"/>
        <tr>
          <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
          <td class="clFond" width="255">
            &#160;<xsl:value-of select="PP/IDENTC"/>
          </td>
          <xsl:if test="not(FONCTCOT/VALCOT='NS')">
            <td class="clFond" width="166"></td>
            <td class="clCouleur2" width="60">&#160;Indicateur</td>
            <td class="clFond" width="89" align="right" valign="middle">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="(FONCTCOT/VALCOT='NS')">
            <td class="clFond" width="315" colspan="3"></td>
          </xsl:if>
        </tr>
        <xsl:choose>
          <xsl:when test ="FONCTCOT/AUTRFDEI">
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <tr>
                <td class="clTexte" colspan="4" align="left">
                  &#160;Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)
                </td>
                <td width="89" align="right" valign="middle">
                  &#160;<a href="#nullePart" onclick="requestBDFInfos('56','','1','{$ident}',cstSimpleConfirm);">
                    <img src="{$root}Images/Commun/clignotant2.gif" width="84" border="0" />
                  </a>
                </td>
              </tr>
            </xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <tr>
              <td class="clTexteGras" colspan="4" align="left">
                &#160;
              </td>
              <td width="92">
                &#160;
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
      <xsl:call-template name="shim"/>
    </table>
    <xsl:if test="position() mod 9 = 0">
      <div class="clBreakPage"></div>
    </xsl:if>
    <xsl:if test="position() = last()">
      <xsl:if test="//INFODIRIGEANTS/DIRIGEANTS/AUTRFDEJ">
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="530" height="14" colspan="4" class="clCouleur2" >
              <br/> Le(s) responsable(s) lgal(aux) de cette entreprise dtienne(nt) d&#039;autres fonctions de reprsentant(s) lgal(aux)
            </td>
            <td width="105" height="14" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('51','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
              </a>
            </td>
          </tr>

        </table>
        <xsl:call-template name="shim"/>
      </xsl:if>
      
      <xsl:if test="not(//INFODIRIGEANTS/DIRIGEANTS/AUTRFDEJ)">
       
        <xsl:if test="//INFODIRIGEANTS/DIRIGEANTS/SUITE" >
          <xsl:call-template name="shim"/> 
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <tr>

              <td width="530" height="14" colspan="4" class="clCouleur2" ></td>

              <td width="105" height="14" align="right" valign="middle">
                <a href="#nullepart" onClick="requestBDFInfos('51','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                  <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
                </a>
              </td>
            </tr>

          </table>
          <xsl:call-template name="shim"/>
        </xsl:if>
      </xsl:if>
     
    </xsl:if>
   
  </xsl:template>


  <xsl:template match="NBDIRIGEANTCESSEDO">
    <a name="ancCesse" />
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          DIRIGEANT(S) DE L'ENTREPRISE AYANT CESS&#201; SON(LEUR) ACTIVIT&#201; (<xsl:value-of select="."/>)<br/>
          <!--<xsl:call-template name="shim"/>-->
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template match="DIRIGEANTCESSE">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clGrasFond" colspan="2">
          <xsl:apply-templates select="FONCTCOT"/>
        </td>
        <xsl:if test="FONCTCOT/DATFONCT">
          <td class="clFond" align="right" colspan="2"> Depuis le :</td>
          <td class="clFond" align="right" width="90">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(FONCTCOT/DATFONCT)"/>
            </xsl:call-template>
          </td>
        </xsl:if>
        <xsl:if test="not(FONCTCOT/DATFONCT)">
          <td colspan="2" class="clFond">&#160;</td>
          <td class="clFond" width="90">&#160;</td>
        </xsl:if>
        <xsl:if test="position() mod 3 = 0">
          <td rowspan="3" width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="position() mod 3 != 0">
          <td rowspan="3" width="103" align="right">
            &#160;
          </td>
        </xsl:if>
      </tr>
      <xsl:apply-templates select="CESSATION"/>

      <tr>
        <xsl:if test="EJ/DENOM">
          <td class="clGrasFond" colspan="5">
            &#160;<xsl:value-of select="EJ/DENOM"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EJ/DENOM)">
          <td class="clGrasFond" colspan="2" width="315">
            &#160;<xsl:call-template name ="displayInLowerCaseXsl">
              <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
              <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
            </xsl:call-template>
          </td>
          <xsl:if test="PP/IDENTITE/NOMCONJ">
            <td colspan="3">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="77" class="clCouleur2">&#160;Nom marital</td>
                  <td colspan="2" class="clFond" align="left">
                    &#160;
                    <xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
                  </td>
                </tr>
              </table>
            </td>
          </xsl:if>
          <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
            <td width="54" class="clGrasFond">&#160;</td>
            <td colspan="2" class="clGrasFond">&#160;</td>
          </xsl:if>
        </xsl:if>
      </tr>

      <xsl:if test ="EJ">
        <xsl:variable name="ident" select="EJ/IDENTS"/>
        <xsl:if test ="FONCTCOT/SEGMENT">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clTexte" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" width="81"></td>
              <td class="clCouleur2" width="145">&#160;Cotation | Segmentation</td>
              <td class="clTexte" width="89" align="right" valign="middle">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
                <a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
                  &#160;|&#160;
                  <u>
                    <xsl:value-of select="FONCTCOT/SEGMENT"/>
                  </u>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" width="315" colspan="3"></td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="92" >
              &#160;
            </td>
          </tr>
        </xsl:if>
        <xsl:if test ="not(FONCTCOT/SEGMENT)">
          <tr>
            <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
            <td class="clTexte" width="255">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
              </xsl:call-template>
            </td>
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" width="166"></td>
              <td class="clCouleur2" width="60">&#160;Cotation</td>
              <td class="clTexte" width="89" align="right" valign="middle">
                &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                  <u>
                    <xsl:value-of select="FONCTCOT/VALCOT"/>
                  </u>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="(FONCTCOT/VALCOT='NS')">
              <td class="clTexte" width="315" colspan="3"></td>
            </xsl:if>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="92" >
              &#160;
            </td>
          </tr>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="PP">
        <xsl:variable name="ident" select="PP/IDENTC"/>
        <tr>
          <td class="clCouleur2" width="59" align="left" valign="middle">&#160;Identifiant</td>
          <td class="clTexte" width="255">
            &#160;<xsl:value-of select="PP/IDENTC"/>
          </td>
          <xsl:if test="not(FONCTCOT/VALCOT='NS')">
            <td class="clTexte" width="166"></td>
            <td class="clCouleur2" width="60">&#160;Indicateur</td>
            <td class="clTexte" width="89" align="right" valign="middle">
              &#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{FONCTCOT/VALCOT}',cstCotation,'{$ident}')">
                <u>
                  <xsl:value-of select="FONCTCOT/VALCOT"/>
                </u>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="(FONCTCOT/VALCOT='NS')">
            <td class="clTexte" width="315" colspan="3"></td>
          </xsl:if>
        </tr>
        <xsl:choose>
          <xsl:when test ="FONCTCOT/AUTRFDEI">
            <xsl:if test="not(FONCTCOT/VALCOT='NS')">
              <tr>
                <td class="clTexte" colspan="4" align="left">
                  &#160;Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)
                </td>
                <td width="89" align="right" valign="middle">
                  &#160;<a href="#nullePart" onclick="requestBDFInfos('56','','1','{$ident}',cstSimpleConfirm);">
                    <img src="{$root}Images/Commun/clignotant2.gif" width="84" border="0" />
                  </a>
                </td>
              </tr>
            </xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <tr>
              <td class="clTexteGras" colspan="4" align="left">
                &#160;
              </td>
              <td width="92">
                &#160;
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
      <xsl:call-template name="shim"/>
    </table>

    <xsl:if test="position() = last()">
      <xsl:if test="//INFODIRIGEANTS/DIRIGEANTSCESSES/SUITE" >
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>

            <td width="530" height="14" colspan="4" class="clCouleur2" ></td>

            <td width="105" height="14" align="right" valign="middle">
              <a href="#nullepart" onClick="requestBDFInfos('51','','1','{MODULEDE/EJ/IDENTS}',cstSimpleConfirm);">
                <img src="{$root}images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
              </a>
            </td>
          </tr>

        </table>
        <xsl:call-template name="shim"/>
      </xsl:if>
      <xsl:if test="position() mod 10 = 0">
        <div class="clBreakPage"></div>
      </xsl:if>
    </xsl:if>

  </xsl:template>

  <xsl:template match="CESSATION">
    <tr>
      <td class="clTexte" colspan="2" >
        &#160;<xsl:call-template name="traduction">
          <xsl:with-param name="code" select="@COCESS"/>
        </xsl:call-template>
      </td>
      <xsl:if test="@DATCESS != ''">
        <td class="clTexte" align="right" colspan="2"> Cess&#233;(e) depuis le :</td>
        <td align="right" class="clTexte" width="90">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(@DATCESS)"/>
          </xsl:call-template>
        </td>
      </xsl:if>
      <xsl:if test="not(@DATCESS)">
        <td colspan="2" class="clFond">&#160;</td>
        <td class="clTexte" width="90">&#160;</td>
      </xsl:if>


    </tr>
  </xsl:template>

  <!--********************************************************************************************************************************************************************-->

  <!--*********************************    Bloc associe(s)    *************************************************************************************-->

  <!--********************************************************************************************************************************************************************-->


  <xsl:template match="INFOASSOCIES">
    <xsl:apply-templates select="NBASSOCIEDO" />
    <xsl:apply-templates select="ASSOCIE" />
  </xsl:template>

  <xsl:template match="NBASSOCIEDO">
    <a name="Associes"></a>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td width="631" colspan="7" class="clCouleur2">
          PRINCIPAL(AUX) ASSOCIE(S) (<xsl:value-of select="." />)
        </td>
        <td></td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>

      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCIE">
    <xsl:apply-templates select="CAPITAL">
      <xsl:with-param name="indice" select="position()"/>
    </xsl:apply-templates>
    <xsl:apply-templates select="ASSOCSPE|ASSOCPP|ASSOCEJ"/>


  </xsl:template>

  <xsl:template match="CAPITAL">
    <xsl:param name="indice"/>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="130" class="clCouleur2">&#160;Pourcentage dtenu</td>
        <td width="105" class="clFond">
          &#160;<xsl:value-of select="POURCENTAGE"/>
        </td>
        <td width="57" class="clFond">&#160;</td>
        <td width="167" class="clFond" align="right">&#160;</td>
        <xsl:if test="DATDET">
          <td class="clFond" align="right" width="65">&#160;Depuis le :</td>
          <td class="clFond" align="right" width="89">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATDET)"/>
            </xsl:call-template>&#160;
          </td>
        </xsl:if>
        <xsl:if test="not(DATDET)">
          <td class="clFond" align="right" width="60">&#160;</td>
          <td class="clFond" align="right" width="89">&#160;</td>
        </xsl:if>
        <xsl:if test="$indice mod 3 = 0">
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </xsl:if>
        <xsl:if test="$indice mod 3 != 0">
          <td width="103" align="right">
            &#160;
          </td>
        </xsl:if>

      </tr>
    </table>
  </xsl:template>

  <xsl:template match="ASSOCSPE">
    <table width="633" border="0" cellspacing="0" cellpadding="0">
      <tr align="left" valign="middle">
        <td colspan="2" class="clGras">
          &#160;<xsl:value-of select="DENOM"/>
        </td>
        <td width="57"></td>
        <td colspan="3"></td>
      </tr>
      <tr>
        <td colspan="4" >
          &#160;
        </td>
        <td width="95" >
          &#160;
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCPP">
    <table width="633" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="2" class="clGras" >
          &#160;<xsl:call-template name ="displayInLowerCaseXsl">
            <xsl:with-param name ="InputStringNom" select ="(PP/IDENTITE/NOM)"/>
            <xsl:with-param name ="InputStringPrenom" select ="(PP/IDENTITE/PRENOM)"/>
          </xsl:call-template>
        </td>
        <xsl:if test="PP/IDENTITE/NOMCONJ">
          <td width="77" class="clCouleur2">&#160;Nom marital</td>
          <td class="clTexte" colspan="3">
            &#160;<xsl:value-of select="PP/IDENTITE/NOMCONJ"/>
          </td>
        </xsl:if>
        <xsl:if test="not(PP/IDENTITE/NOMCONJ)">
          <td width="57" class="clCouleur2">&#160;</td>
          <td class="clTexte" colspan="3">&#160;</td>
        </xsl:if>
      </tr>
      <xsl:choose>
        <xsl:when test ="AUTRFDEI">
          <tr valign="middle">
            <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
            <td class="clFond" width="182" align="left">
              &#160;<xsl:value-of select="PP/IDENTC"/>
            </td>
            <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
            <td class="clFond" width="118" align="left">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                <u>
                  <xsl:value-of select="VALCOT"/>
                </u>
              </a>
            </td>
            <td class="clFond" width="95" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|53|56|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                <img src="{$root}Images/Commun/clignotant2.gif" width="90" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
          <tr>
            <td class="clTexte" colspan="4" align="left">
              &#160;Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)              
            </td>
            <td width="95" >
              &#160;
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr valign="middle">
            <td class="clCouleur2" width="130" align="left">&#160;Identifiant </td>
            <td class="clFond" width="182" align="left">
              &#160;<xsl:value-of select="PP/IDENTC"/>
            </td>
            <td class="clCouleur2" width="80" align="left">&#160;Indicateur</td>
            <td class="clFond" width="118" align="left">
              &#160;<a href="#nullepart" class="clFond" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{PP/IDENTC}');">
                <u>
                  <xsl:value-of select="VALCOT"/>
                </u>
              </a>
            </td>
            <td class="clFond" width="95" align="right">
              <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','1','{PP/IDENTC}',cstMultipleConfirm);">
                <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
              </a>
            </td>
          </tr>
          <tr>
            <td class="clTexteGras" colspan="4" align="left">
              &#160;
            </td>
            <td width="95" >
              &#160;
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="ASSOCEJ">
    <table width="633" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="6" width="635" class="clGras">
          &#160;<xsl:value-of select="EJ/DENOM"/>
        </td>
      </tr>
      <tr>
        <td class="clFond" colspan="6" width="636" align="left">
          &#160;<xsl:value-of select="LOCALI"/>
        </td>
      </tr>
    </table>

    <xsl:if test="not(SEGMENT)">
      <table width="633" border="0" cellspacing="0" cellpadding="0">
        <tr align="left" valign="middle">
          <td class="clCouleur2" width="130" align="left" height="16">&#160;Identifiant </td>
          <td class="clTexte" width="182" align="left">
            &#160;<xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
            </xsl:call-template>
          </td>
          <td class="clTexte" colspan="2"></td>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
			<xsl:choose>
				<!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
					<td class="clCouleur2" width="80" align="left">&#160;Cotation</td>
					<td class="clTexte" width="118" align="left">
						&#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS|PP/IDENTC}')">
							<u>
								<xsl:value-of select="VALCOT"/>
							</u>
						</a>
					</td>
          <td class="clTexte" width="95" align="right">
            <a href="#nullepart" onClick="requestBDFInfos('27|37|53|','','{$familyNumber}','{EJ/IDENTS}',cstMultipleConfirm);">
              <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" title="Plus d'infos" alt="Plus d'infos" border="0"/>
            </a>
          </td>
				</xsl:when>
				<xsl:otherwise>
					<td width="65" align="left">&#160;</td>
					<td width="89" align="right"></td>
				</xsl:otherwise>
			</xsl:choose>

        </tr>
        <tr>
          <td colspan="4" >
            &#160;
          </td>
          <td width="95" >
            &#160;
          </td>
        </tr>
      </table>
    </xsl:if >
    <xsl:if test ="SEGMENT">
      <table width="633" border="0" cellspacing="0" cellpadding="0">
        <tr align="left" valign="middle">
          <td class="clCouleur2" width="130" align="left" height="16">&#160;Identifiant </td>
          <td class="clTexte" width="105" align="left">
            &#160;<xsl:call-template name ="displaySirenXsl">
              <xsl:with-param name ="InputSiren" select ="(EJ/IDENTS)"/>
            </xsl:call-template>
          </td>
          <td class="clTexte" colspan="2" width="143"></td>
          <xsl:variable name="locali" select="LOCALI"></xsl:variable>
			<xsl:choose>
				<!--Test si le dbut de la localit est un code postal -> Rsident ou non-->
        <xsl:when test="(number(substring(LOCALI,0,5)) or ($locali='MC MONACO'))">
					<td class="clCouleur2" width="145" align="left">&#160;Cotation | Segmentation</td>
					<td class="clTexte" width="89" align="right">
						&#160;<a href="#nullepart" class="clTexte" onclick="requestVariousInfos('{VALCOT}',cstCotation,'{EJ/IDENTS|PP/IDENTC}')">
							<u>
								<xsl:value-of select="VALCOT"/>
							</u>
						</a>
						<a href="#nullepart" class="clTexte" onclick="requestStatic('',cstSegment);">
							&#160;|&#160;
							<u>
								<xsl:value-of select="SEGMENT"/>
							</u>
						</a>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td class="clCouleur2" width="145" align="left">&#160;</td>
					<td class="clTexte" width="89" align="right"></td>
				</xsl:otherwise>
			</xsl:choose>
        </tr>
        <tr>
          <td colspan="4" >
            &#160;
          </td>
          <td width="95" >
            &#160;
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:call-template name="shim"/>
  </xsl:template>


  <!--********************************************************************************************************************************************************************-->

  <!--TEMPLATE 7eme PAVE : EVENEMENT MARQUANT, DERNIER JUGEMENT-->
  <xsl:template match="INFOEVMEVJ">
    <a name="ancEvent"></a>
    <div class="clBreakPage"></div>
    <xsl:if test="EVMARQDO or JUGEMENTS/JUGEIND or JUGEMENTS/JUGEMENT/EVJUD">
      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td colspan="6"  class="clCouleur2">
            VNEMENT(S) MARQUANT(S) ET JUDICIAIRE (S)
            <br />
          </td>
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>
    <xsl:apply-templates select="EVMARQDO"/>

    <xsl:apply-templates select="IEVJ01" mode="genMessage"/>

    <xsl:if test="not(IEVJ01)">
      <xsl:apply-templates select="JUGEMENTS/JUGEMENT/EVJUD"/>
    </xsl:if>

    <xsl:apply-templates select="JUGEMENTS/JUGEIND" mode="genTable"/>

  </xsl:template>

  <xsl:template match="EVMARQDO">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;739&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td colspan="6" width="255"  class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_DerEve'"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr>
        <td width="20" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_Le'"/>
          </xsl:call-template>
        </td>
        <td width="110" class="clFond">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATEVM)"/>
          </xsl:call-template>&#160;
        </td>
        <xsl:if test="EVMDO">
          <td class="clFond" colspan="2">
            <xsl:apply-templates select="EVMDO"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EVMDO)">
          <td class="clFond" colspan="3" width="518">
            <xsl:apply-templates select="EVMC|EVMCD|EVMCI|EVMD|EVMDC|EVMDO|EVME|EVMJ|EVMJM|EVMM|EVMR|EVMS|EVMV"/>
          </td>
        </xsl:if>
        <xsl:apply-templates select="IDENTS" mode="clFond"/>
        <td  width="90" align="right">
        </td>
      </tr>
      <xsl:call-template name="savoirSirenAbsorbant"/>
      <xsl:if test="count(//EVMARQDO)=1">

        <!-- Mise en place d'un trait de fin de tableau dans le cas ou il n'y a que 1 vnement marquant -->
        <tr>
          <td class="clTexte" colspan="8">
            <xsl:call-template name="shim"/>
          </td>
        </tr>
        <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      </xsl:if>
    </xsl:if>
    <xsl:if test="position()=2">
      <!-- Mise en place d'un trait de sparation entre les 2vnements marquant-->
      <tr>
        <td class="clTexte" colspan="8">
          <xsl:call-template name="shim"/>
        </td>
      </tr>

      <tr>
        <td width="20" class="clCouleur2">
          <xsl:call-template name="tradlib">
            <xsl:with-param name="Lang" select="$Lang"/>
            <xsl:with-param name="codeLib" select="'m27_Le'"/>
          </xsl:call-template>
        </td>
        <td width="110" class="clFond">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATEVM)"/>
          </xsl:call-template>&#160;
        </td>
        <xsl:if test="EVMDO">
          <td class="clFond" colspan="2">
            <xsl:apply-templates select="EVMDO"/>
          </td>
        </xsl:if>
        <xsl:if test="not(EVMDO)">
          <td class="clFond" colspan="3" width="518">
            <xsl:apply-templates select="EVMC|EVMCD|EVMCI|EVMD|EVMDC|EVMDO|EVME|EVMJ|EVMJM|EVMM|EVMR|EVMS|EVMV"/>
          </td>
        </xsl:if>
        <xsl:apply-templates select="IDENTS" mode="clFond"/>
        <td width="90" align="right">

        </td>
      </tr>
      <xsl:call-template name="savoirSirenAbsorbant"/>
      <!-- Mise en place d'un trait de fin de tableau dans le cas ou il y a 2 vnements marquants -->
      <tr>
        <td class="clTexte" colspan="8">

          <xsl:call-template name="shim"/>

        </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
    </xsl:if>


  </xsl:template>

  <xsl:template name="savoirSirenAbsorbant">
    <xsl:if test="IDENTS">
      <xsl:if test="not($NonResident='NR')">
        <tr>
          <td width="20">&#160;</td>
          <td width="110">&#160;</td>
          <td width="125">&#160;</td>
          <td width="130">&#160;</td>
          <td width="125" height="12">
            <a href="#nullepart" onclick="requestBDFInfos('27','','1','{IDENTS[1]}',cstSimpleConfirm);">
              <img align="middle" border="0" height="12" name="ev1" src="{$root}images/Commun/clignotant2.gif" width="85"/>
            </a>
          </td>
          <xsl:if test="IDENTS[2]">
            <td width="125" height="12">
              <a href="#nullepart" onclick="requestBDFInfos('27','','1','{IDENTS[2]}',cstSimpleConfirm);">
                <img align="middle" border="0" height="12" name="ev2" 	src="{$root}images/Commun/clignotant2.gif" width="85"/>
              </a>
            </td>
          </xsl:if>
          <xsl:if test="not(IDENTS[2])">
            <td width="125" height="12">&#160;</td>
          </xsl:if>
        </tr>
      </xsl:if>

    </xsl:if>
  </xsl:template>

  <xsl:template match="EVMARQDO/IDENTS" mode="clFond">
    <td width="125" class="clFond">
      <xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(.)"/>
      </xsl:call-template>
    </td>
    <xsl:if test="position()=1 and position()=last()">
      <td width="125" class="clFond">&#160;</td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="EVMARQDO/IDENTS" mode="clTexte">
    <td width="125" class="clTexte">
      <xsl:call-template name ="displaySirenXsl">
        <xsl:with-param name ="InputSiren" select ="(.)"/>
      </xsl:call-template>
    </td>
    <xsl:if test="position()=1 and position()=last()">
      <td width="125" class="clTexte">&#160;</td>
    </xsl:if>
  </xsl:template>


  <xsl:template match="EVJUD">

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="6" class="clGrasFond">
          <xsl:apply-templates select="EVJAM|EVJAP|EVJCM|EVJCP|EVJCT|EVJCV|EVJDM|EVJDU|EVJEM|EVJFM|EVJFP|EVJGA|EVJGD|EVJGO|EVJGR|EVJHC|EVJHM|EVJIA|EVJIC|EVJIG|EVJIM|EVJIP|EVJIT|EVJLB|EVJLG|EVJLJ|EVJLM|EVJPA|EVJPC|EVJPM|EVJPO|EVJPV|EVJRC|EVJRD|EVJRG|EVJRJ|EVJRL|EVJRM|EVJRP|EVJRR|EVJRS|EVJSM|EVJAC|EVJCR|EVJOS|EVJOB|EVJPS|EVJRPS|EVJOD"/>
        </td>
        <td rowspan="13" width="103" align="right">
          &#160;
        </td>
      </tr>
      <tr>
        <td width="30" class="clCouleur2">&#160;Le</td>
        <td width="90" class="clTexte">
          &#160;<xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATEVJ)"/>
          </xsl:call-template>
        </td>
        <td width="120" align="right" class="clCouleur2">
          <xsl:if test="DATECHJUG">
            Jusqu'au&#160;&#160;
          </xsl:if>
        </td>
        <td width="108" class="clTexte">
          &#160;
          <xsl:if test="DATECHJUG">
            <xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATECHJUG)"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <xsl:if test="../TRIBU">
          <td width="100" class="clCouleur2">&#160;Tribunal</td>
          <td width="187" class="clTexte">
            &#160;<xsl:value-of select="../TRIBU"/>
          </td>
        </xsl:if>
        <xsl:if test="not(../TRIBU)">
          <td width="100" class="clCouleur2">&#160;</td>
          <td width="187" class="clTexte">&#160;</td>
        </xsl:if>
      </tr>

      <xsl:if test="not(DATECHJUG)">
        <xsl:if test="not($NonResident='NR')">
          <tr>
            <xsl:if test="/FIBEN/PERSONNE/MODULEDE/*//IDENTC">
              <td colspan="6" align="right">
              </td>
            </xsl:if>
            <xsl:if test="not(/FIBEN/PERSONNE/MODULEDE/*//IDENTC)">
              <td colspan="6" align="right">

              </td>
            </xsl:if>
          </tr>
        </xsl:if>
        <xsl:if test="$NonResident='NR'">
          <tr>
            <xsl:if test="/FIBEN/PERSONNE/MODULEDE/*//IDENTC">
              <td colspan="6" align="right">&#160;</td>
            </xsl:if>
            <xsl:if test="not(/FIBEN/PERSONNE/MODULEDE/*//IDENTC)">
              <td colspan="6" align="right">&#160;</td>
            </xsl:if>
          </tr>
        </xsl:if>
      </xsl:if>
      <xsl:if test="not(position()=1)">
        <xsl:call-template name="shim"/>
      </xsl:if>
    </table>
  </xsl:template>

  <xsl:template match="JUGEIND"  mode="genTable">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <xsl:if test="count(//EVMARQDO)>0 or //EVJUD">
        <tr>
          <td colspan="6" class="clCouleur2">&#160;</td>
        </tr>
      </xsl:if>
      <tr>
        <td class="clCouleur2" colspan="4">
          <xsl:apply-templates select="."/>
        </td>
        <td class="clFond" colspan="2" width="290">
          &#160;<xsl:value-of select="."/>
        </td>
      </tr>
      <xsl:if test="not($NonResident='NR')">
        <tr>
          <td width="20">&#160;</td>
          <td width="110">&#160;</td>
          <td width="125">&#160;</td>
          <td width="130">&#160;</td>
          <td width="125">&#160;</td>
          <td width="125" align="right"></td>
        </tr>
      </xsl:if>
      <xsl:if test="$NonResident='NR'">
        <tr>
          <td width="20">&#160;</td>
          <td width="110">&#160;</td>
          <td width="125">&#160;</td>
          <td width="130">&#160;</td>
          <td width="125">&#160;</td>
          <td width="125">&#160;</td>
        </tr>
      </xsl:if>
    </table>
  </xsl:template>

  <xsl:template match="IEVJ01" mode="genMessage">

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <xsl:apply-templates select="."/>
      <br />
    </table>
  </xsl:template>
  <!--********************************************************************************************************************************************************************-->
  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 6eme PAVE : INCIDENTS DE PAIEMENT-->

  <xsl:template match="INFOIMPAYESTRIM">
    <a name="ancEffet"></a>
    <xsl:if test="CIP01 or CIP02">
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clTexte">
            <font class="clCouleur2">
              <xsl:apply-templates select="CIP01|CIP02"/>
            </font>
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:apply-templates select="IMPAYEDO"/>
    <xsl:call-template name="shim"/>
  </xsl:template>

  <xsl:template match="IMPAYEDO">
    <div class="clBreakPage"></div>
    <xsl:if test="position()=last()">
      <table width="742" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="602" align="center" class="clCouleur2">
            INCIDENTS DE
            PAIEMENT SUR EFFETS DE COMMERCE&#160;(en
            <xsl:call-template name ="displayUnitXsl">
              <xsl:with-param name ="InputUnit" select ="(./UNITE)"/>
            </xsl:call-template>
            <!--<xsl:value-of select="bdf:displayUnit(./UNITE)"/>-->
            euros)
          </td>
          <td width="19">  </td>
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
            </a>
          </td>
        </tr>
      </table>
      <img width="635" height="1" vspace="8" src="{$root}Images/risque/shim.gif"/>
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="clCouleur2" width="138" align="right" valign="top"></td>
          <td colspan="2" align="right" class="clCouleur2">
            Incapacit
            de payer
          </td>
          <td colspan="2" align="right" class="clCouleur2">
            Contestation de
            crance
          </td>
          <td width="80" align="right" valign="top" class="clCouleur2"></td>
        </tr>
        <tr>
          <td class="clCouleur2" width="138" align="right">Trimestre</td>
          <td width="99" align="right" class="clCouleur2" height="17">Nombre</td>
          <td width="84" align="right" class="clCouleur2" height="17">Montant</td>
          <td width="150" align="right" class="clCouleur2" height="17">Nombre</td>
          <td width="84" align="right" class="clCouleur2" height="17">Montant</td>
          <td width="80" align="right" class="clCouleur2">Total</td>
        </tr>

        <xsl:variable name="tmp" select="../IMPAYEDO[1]/MTIPEIP + ../IMPAYEDO[2]/MTIPEIP + ../IMPAYEDO[3]/MTIPEIP + ../IMPAYEDO[4]/MTIPEIP"/>

        <tr>
          <td class="clFond" width="138" align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../IMPAYEDO[1]/TRIM)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="99" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[1]/NBIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[1]/MTIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="150" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[1]/NBIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[1]/MTIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="80" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[1]/TOT)"/>
            </xsl:call-template>&#160;
          </td>
        </tr>
        <tr>
          <td class="clTexte" width="138" align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../IMPAYEDO[2]/TRIM)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="99" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[2]/NBIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[2]/MTIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="150" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[2]/NBIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[2]/MTIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="80" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[2]/TOT)"/>
            </xsl:call-template>&#160;
          </td>
        </tr>
        <tr>
          <td class="clFond" width="138" align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../IMPAYEDO[3]/TRIM)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="99" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[3]/NBIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[3]/MTIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="150" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[3]/NBIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[3]/MTIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clFond" width="80" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[3]/TOT)"/>
            </xsl:call-template>&#160;
          </td>
        </tr>
        <tr>
          <td class="clTexte" width="138" align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(../IMPAYEDO[4]/TRIM)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="99" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[4]/NBIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[4]/MTIPEIP)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="150" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[4]/NBIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="84" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[4]/MTIPECC)"/>
            </xsl:call-template>&#160;
          </td>
          <td class="clTexte" width="80" align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../IMPAYEDO[4]/TOT)"/>
            </xsl:call-template>&#160;
          </td>
        </tr>


        <xsl:if test="$tmp>'0'">
          <xsl:if test="not($NonResident='NR')">
            <tr>
              <td colspan="2" width="405"></td>
              <td width="230" align="right">
                <a href="#nullepart" onclick="requestBDFInfos('29','','','',cstSimpleConfirm);">
                  <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90"/>
                </a>
              </td>
            </tr>
          </xsl:if>
          <xsl:if test="$NonResident='NR'">
            <tr>
              <td width="635" colspan="3">&#160;</td>
            </tr>
          </xsl:if>
        </xsl:if>
      </table>
    </xsl:if>
  </xsl:template>

  <!--********************************************************************************************************************************************************************-->

  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 8eme PAVE : CONCOURS BANCAIRES A COURT TERME-->

  <xsl:template match="INFORISQUESDO">
    <a name="ancConcours"></a>
    <xsl:choose>
      <xsl:when test ="ICB01">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clTexte">
              <font class="clCouleur2">
                <xsl:apply-templates select="ICB01"/>
              </font>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
      </xsl:when>
      <xsl:when test ="ICB05">
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clTexte">
              <font class="clCouleur2">
                <xsl:apply-templates select="ICB05"/>
              </font>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="clCouleur2" width="335" height="12">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
            <td width="400" class="clCouleur2" height="12">
            </td>
          </tr>
        </table>
        <table width="635" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="635" class="clCouleur2">
              <br/>
              <div align="left">
                &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
              </div>
            </td>
          </tr>
        </table>
        <xsl:call-template name="shim"/>
        <br/>
      </xsl:when>
      <xsl:otherwise>
        <!--<div class="clBreakPage"></div>-->
        <table width="739" border="0" cellspacing="0" cellpadding="0">
          <tr align="center">
            <td width="602" class="clCouleur2">CONCOURS BANCAIRES</td>
            <td width="34"> </td>
            <td width="103" align="right">
              <a href="#ancHaut">
                <img src="{$root}images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112"/>
              </a>
            </td>
          </tr>
        </table>

        <xsl:call-template name="shim"/>
        <br/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/DATCENTR"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CBEURO"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/BILTREDO"/>
        <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDO">
          <xsl:call-template name="CUMULCBDO" />
        </xsl:if>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/ICB04" />
        <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/ICB04">
          <xsl:call-template name="shim"/>
          <br/>
        </xsl:if>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/ICB03" />
        <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDOC">
          <xsl:call-template name="CUMULCBDOC" />
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>


  </xsl:template>

  <xsl:template match="DATCENTR">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200" height="12">&#160;DERNIRE CENTRALISATION AU</td>
        <td width="182" class="clFond" height="12">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(.)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="253" class="clCouleur2" height="12" align="center">
          <div align="right">&#160;&#160;(en milliers d'euros)</div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="BILTREDO">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="200">&#160;BILLETS DE TRSORERIE AU</td>
        <td colspan="2" class="clFond">
          <div align="right">
            &#160;<xsl:call-template name ="displayDateXsl">
              <xsl:with-param name ="InputDate" select ="(DATENRBT)"/>
            </xsl:call-template>
          </div>
        </td>
        <td width="124" class="clCouleur2" align="right" height="12">&#160;MONTANT&#160;&#160;</td>
        <td width="130" class="clFond" align="right" height="12">
          <div align="right">
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(MTBT)"/>
            </xsl:call-template>&#160;
          </div>
        </td>
      </tr>
      <tr height="6">
        <td class="clCouleur2" width="200" height="6">&#160;</td>
        <td width="156" class="clTexte" height="6">
          <div align="right"></div>
        </td>
        <td width="25" class="clCouleur2" height="6" align="center">&#160; </td>
      </tr>
      <xsl:if test="MOYBILTRE">
        <tr>
          <td class="clCouleur2" colspan="2" height="12">
            &#160;Moyenne des billets
            de trsorerie sur les 13 derniers mois
          </td>
          <td width="25"  height="12">
            <div align="right"></div>
          </td>
          <td width="124" class="clCouleur2" height="12" align="center"> </td>
          <td width="130" class="clFond" height="12" align="right">
            <div align="right">
              <xsl:call-template name ="displayNumberXsl">
                <xsl:with-param name ="InputStringNumber" select ="(MOYBILTRE)"/>
              </xsl:call-template>&#160;
            </div>
          </td>
        </tr>
      </xsl:if>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <xsl:template match="CBEURO">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" width="335" height="12">&#160;PRESENCE DE CONCOURS BANCAIRES EUROPEENS </td>
        <td width="400" class="clCouleur2" height="12">
        </td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" class="clCouleur2">
          <br/>
          <div align="left">
            &#160;Pour obtenir le dtail de l'endettement europen de cette entreprise, vous pouvez contacter le ple "produits" &#160;du Service Central des Risques par tlphone : 05 49 55 86 05 ou par mail : <a href="mailto:4072-produits-ut@banque-france.fr"></a>4072-produits-ut@banque-france.fr
          </div>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>

  <!--DTAILS DES CREDITS-->

  <xsl:template name="CUMULCBDO">
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2" width="635">D&#201;TAILS DES CONCOURS INDIVIDUELS</td>
        <td  align="right" width="104">&#160;</td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDO/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDO/MTCODCCT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDO/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDO/MTCMLT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDO/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDO/MTCC"/>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr >
        <td class="clItalic">* Moyenne des crdits sur les 13 derniers mois</td>
      </tr>
    </table>
    <br/>
    <xsl:call-template name="shim"/>
    <br/>

  </xsl:template>

  <xsl:template match="CUMULCBDO/@MOISREF">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="65" height="20" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" height="25" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" height="45" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" class="clItalic" valign="bottom" align="center" height="5"></td>
      </tr>

      <tr>
        <td  width="65" class="clFond" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>

      <tr>
        <td  width="65" class="clItalic" align="right" height="15"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td   width="65" class="clFond" align="right" height="15">
          <b>Moyenne*</b>
        </td>
      </tr>
      <tr>
        <td height="1" width="65" class="clItalic">&#160; </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <!--CREDIT COURT-->

  <xsl:template match="CUMULCBDO/MTCODCCT">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>

      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>

        <td height="20"  width="580" colspan="9" class="clCouleur2b" align="center" valign="top" nowrap="true">CREDITS MOBILISES</td>
        <td width="106"></td>
      </tr>
      <tr>

        <td height="25" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">Court terme</td>
      </tr>

      <tr height="30">
        <td height="30" width="110" class="clCouleur2b" align="right" valign="top">
          Cptes ordinaires dbiteurs<br/>(CO)
        </td>
        <td width="4"></td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Crances commerciales<br/>(CC)
        </td>
        <td width="5"></td>
        <td width="100" class="clCouleur2b" align="right" valign="top">
          Affacturage<br/>(AF)
        </td>
        <td width="7" class="clCouleur2b">&#160;</td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Autres crdits  court terme<br/>(CA)
        </td>
        <td width="12" class="clCouleur2b" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/>
        </td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Total court terme <br/>[I]
        </td>
        <td width="106" align="right"></td>
      </tr>
      <tr>
        <td colspan="7" class="clItalic"></td>
        <td width="12" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>

      <tr>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCCCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="100" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAFCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="7" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="12" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="106"></td>
      </tr>

      <tr>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic" align="right">&#160;</td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="5" class="clItalic" align="right">&#160;</td>
        <td width="100" class="clItalic" align="right">&#160;</td>
        <td width="7" class="clItalic" align="right">&#160;</td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="12"  class="clItalic" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="106"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCODCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="100" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAFCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="7" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTACCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="12" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="106"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160; </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>
  <!--CREDIT MOYEN ET LONG TERME-->

  <xsl:template match="CUMULCBDO/MTCMLT">

    <xsl:if test="position()=1">

      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td height="10"  width="580" colspan="9"></td>
        <td width="106"></td>
      </tr>
      <tr>
        <td width="103" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Moyen
          <br/> et long terme<br/>(TE+TA)<br/>[II]
        </td>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td colspan="3" class="clCouleur2b" align="center" valign="middle" nowrap="true">Crdits-bails </td>
        <td align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="74" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Titriss<br/>(IT)<br/>[V]
        </td>
        <td align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="158" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Total <br/>
          des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
        </td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>

      <tr height="25">
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="104" class="clCouleur2b" align="right" valign="middle">
          Mobiliers (BM)<br/>[III]
        </td>
        <td width="5" class="clCouleur2" align="right">&#160;</td>
        <td width="108" class="clCouleur2b" align="right" valign="middle">
          Immobiliers (BI)<br/>[IV]
        </td>
        <td width="4"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="4"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td>&#160;</td>
      </tr>
      <tr>
        <td class="clItalic"></td>
        <td class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td class="clItalic"></td>
        <td class="clItalic"></td>
        <td class="clItalic"></td>
        <td class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td width="158" class="clItalic"></td>
        <td width="104" class="clItalic"></td>
      </tr>
      <tr>
        <td width="103" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="104" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td class="clItalic">&#160;</td>
      </tr>
      <tr>
        <td width="103" class="clItalic" align="right">&#160;</td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="104" class="clItalic" align="right">&#160;</td>
        <td width="5" class="clItalic">&#160;</td>
        <td width="108" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td  class="clItalic" align="right">&#160;</td>
        <td ></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="103" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCMLT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="104" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBM)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCBI)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTITR)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td  class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT6)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td ></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>

  </xsl:template>

  <!-- CREDIT MOBILISABLE -->

  <xsl:template match="CUMULCBDO/MTCC">
    <!--<div class="clBreakPage"></div>-->
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">CREDITS MOBILISABLES </td>
        <td width="4" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/>
        </td>
        <td width="94" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Total crdits mobiliss et mobilisables <br/>[VIII]=
          [VI]+[VII]
        </td>
        <td width="4" valign="bottom" align="center" rowspan="2">
          <img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/>
        </td>
        <td width="94" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          ENGAGEMENTS DE GARANTIE<br/>
          (AC)<br/>
        </td>
        <td width="104" align="right">&#160;</td>
      </tr>
      <tr>
        <td class="clCouleur2b" width="113" align="right" valign="middle">
          Partie dispo des crdits mobilis<br/>(OC)
        </td>
        <td width="10"></td>
        <td class="clCouleur2b" width="114" align="right" valign="middle">Crdits documentaires (OD)</td>
        <td width="5" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/>
        </td>
        <td class="clCouleur2b" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
        <td width="4" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/>
        </td>
        <td width="104"></td>
      </tr>
      <tr>
        <td width="113" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="114" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="104" class="clItalic"></td>
      </tr>
      <tr>
        <td width="113" class="clItalic"></td>
        <td width="10" class="clItalic" align="center"></td>
        <td width="114" class="clItalic"></td>
        <td width="5" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clItalic"></td>
        <td width="104" class="clItalic"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="113" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center"></td>
        <td width="114" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTCD)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT7)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTTOT8)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCB/MTAC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="104"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>

    </xsl:if>
  </xsl:template>
  <xsl:template name="CUMULCBDOC">
    <div class="clBreakPage"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <xsl:if test="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/ICB03">
        <xsl:call-template name="shim"/>
      </xsl:if>
      <tr align="center">
        <td class="clCouleur2">
          D&#201;TAILS DES PARTICIPATIONS EN COMPTE COLLECTIF
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDOC/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDOC/MTCODCCT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDOC/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDOC/MTCMLT"/>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>

    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDOC/@MOISREF"/>
        <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/CUMULCBDOC/MTCC"/>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr >
        <td class="clItalic">* Moyenne des crdits sur les 13 derniers mois</td>
      </tr>
    </table>
    <br/>
    <xsl:call-template name="shim"/>
    <br/>

  </xsl:template>

  <xsl:template match="CUMULCBDOC/@MOISREF">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;45&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="65" height="20" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" height="25" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" height="45" class="clCouleur2"></td>
      </tr>
      <tr>
        <td width="65" class="clItalic" valign="bottom" align="center" height="5"></td>
      </tr>

      <tr>
        <td  width="65" class="clFond" align="right" height="15">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(.)"/>
          </xsl:call-template>
        </td>
      </tr>

      <tr>
        <td  width="65" class="clItalic" align="right" height="15"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td   width="65" class="clFond" align="right" height="15">
          <b>Moyenne*</b>
        </td>
      </tr>
      <tr>
        <td height="1" width="65" class="clItalic">&#160; </td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>


  <!--CREDIT COURT-->

  <xsl:template match="CUMULCBDOC/MTCODCCT">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>

      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>

        <td height="20"  width="580" colspan="9" class="clCouleur2b" align="center" valign="top" nowrap="true">CREDITS MOBILISES</td>
        <td width="106"></td>
      </tr>
      <tr>

        <td height="25" colspan="9" class="clCouleur2" align="center" valign="top" nowrap="true">Court terme</td>
      </tr>

      <tr height="30">
        <td height="30" width="110" class="clCouleur2b" align="right" valign="top">
          Cptes ordinaires dbiteurs<br/>(CO)
        </td>
        <td width="4"></td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Crances commerciales<br/>(CC)
        </td>
        <td width="5"></td>
        <td width="100" class="clCouleur2b" align="right" valign="top">
          Affacturage<br/>(AF)
        </td>
        <td width="7" class="clCouleur2b">&#160;</td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Autres crdits  court terme<br/>(CA)
        </td>
        <td width="12" class="clCouleur2b" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="45" vspace="0"/>
        </td>
        <td width="110" class="clCouleur2b" align="right" valign="top">
          Total court terme <br/>[I]
        </td>
        <td width="106" align="right"></td>
      </tr>
      <tr>
        <td colspan="7" class="clItalic"></td>
        <td width="12" class="clItalic" valign="bottom" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="5" vspace="0"/>
        </td>
        <td colspan="2" class="clItalic"></td>
      </tr>

      <tr>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCCCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="100" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAFCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="7" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTACCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="12" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBCT)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="106"></td>
      </tr>

      <tr>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic" align="right">&#160;</td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="5" class="clItalic" align="right">&#160;</td>
        <td width="100" class="clItalic" align="right">&#160;</td>
        <td width="7" class="clItalic" align="right">&#160;</td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="12"  class="clItalic" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clItalic" align="right">&#160;</td>
        <td width="106"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">

      <tr>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCODCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCCCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="100" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTAFCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="7" class="clFond" align="right">&#160;</td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTACCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="12" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="110" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBCT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="106"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160; </td>
      </tr>

      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>
  </xsl:template>
  <!--CREDIT MOYEN ET LONG TERME-->

  <xsl:template match="CUMULCBDOC/MTCMLT">

    <xsl:if test="position()=1">

      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td height="10"  width="580" colspan="9"></td>
        <td width="106"></td>
      </tr>
      <tr>
        <td width="103" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Moyen
          <br/> et long terme<br/>(TE+TA)<br/>[II]
        </td>
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td colspan="3" class="clCouleur2b" align="center" valign="middle" nowrap="true">Crdits-bails </td>
        <td align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="74" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Titriss<br/>(IT)<br/>[V]
        </td>
        <td align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="158" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Total <br/>
          des crdits mobiliss [VI]<br/>[I]+[II]+[III]+[IV]+[V]
        </td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>

      <tr height="25">
        <td width="10" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="104" class="clCouleur2b" align="right" valign="middle">
          Mobiliers (BM)<br/>[III]
        </td>
        <td width="5" class="clCouleur2" align="right">&#160;</td>
        <td width="108" class="clCouleur2b" align="right" valign="middle">
          Immobiliers (BI)<br/>[IV]
        </td>
        <td width="4"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td width="4"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="40" vspace="0"/>
        </td>
        <td>&#160;</td>
      </tr>
      <tr>
        <td class="clItalic"></td>
        <td class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td class="clItalic"></td>
        <td class="clItalic"></td>
        <td class="clItalic"></td>
        <td class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif"  width="1" height="5" vspace="0"/>
        </td>
        <td width="158" class="clItalic"></td>
        <td width="104" class="clItalic"></td>
      </tr>
      <tr>
        <td width="103" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="104" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBM)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond">&#160;</td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCBI)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTITR)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT6)"/>
          </xsl:call-template>&#160;
        </td>
        <td class="clItalic">&#160;</td>
      </tr>
      <tr>
        <td width="103" class="clItalic" align="right">&#160;</td>
        <td width="10" class="clItalic" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="104" class="clItalic" align="right">&#160;</td>
        <td width="5" class="clItalic">&#160;</td>
        <td width="108" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clItalic" align="right">&#160;</td>
        <td width="4" class="clItalic"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td  class="clItalic" align="right">&#160;</td>
        <td ></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="103" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCMLT)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="104" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBM)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="right">&#160;</td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCBI)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td width="74" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTITR)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0" />
        </td>
        <td  class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT6)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td ></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
    </xsl:if>

  </xsl:template>

  <!-- CREDIT MOBILISABLE -->

  <xsl:template match="CUMULCBDOC/MTCC">
    <xsl:if test="position()=1">
      <xsl:text disable-output-escaping="yes">&lt;td width=&quot;739&quot; align=&quot;left&quot; valign=&quot;top&quot;&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;table width=&quot;100%&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;</xsl:text>
      <tr>
        <td width="344" height="25" colspan="5" class="clCouleur2" align="center" valign="middle" nowrap="true">CREDITS MOBILISABLES </td>
        <td width="4" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="22" vspace="0"/>
        </td>
        <td width="94" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          Total crdits mobiliss et mobilisables <br/>[VIII]=
          [VI]+[VII]
        </td>
        <td width="4" valign="bottom" align="center" rowspan="2">
          <img src="{$root}images/risque/shim.gif" width="1" height="91"  vspace="0"/>
        </td>
        <td width="94" rowspan="2" class="clCouleur2b" align="right" valign="middle" nowrap="true">
          ENGAGEMENTS DE GARANTIE<br/>
          (AC)<br/>
        </td>
        <td width="104" align="right">&#160;</td>
      </tr>
      <tr>
        <td class="clCouleur2b" width="113" align="right" valign="middle">
          Partie dispo des crdits mobilis<br/>(OC)
        </td>
        <td width="10"></td>
        <td class="clCouleur2b" width="114" align="right" valign="middle">Crdits documentaires (OD)</td>
        <td width="5" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70"  vspace="0"/>
        </td>
        <td class="clCouleur2b" width="108" align="right" valign="middle">Total crdits mobilisables [VII]</td>
        <td width="4" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="70" vspace="0"/>
        </td>
        <td width="104"></td>
      </tr>
      <tr>
        <td width="113" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(.)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="10" class="clFond">&#160;</td>
        <td width="114" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTCD)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="5" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT7)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTTOT8)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="4" class="clFond" valign="bottom" align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <xsl:call-template name ="displayNumberXsl">
            <xsl:with-param name ="InputStringNumber" select ="(../MTAC)"/>
          </xsl:call-template>&#160;
        </td>
        <td width="104" class="clItalic"></td>
      </tr>
      <tr>
        <td width="113" class="clItalic"></td>
        <td width="10" class="clItalic" align="center"></td>
        <td width="114" class="clItalic"></td>
        <td width="5" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clItalic"></td>
        <td width="4" class="clItalic" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clItalic"></td>
        <td width="104" class="clItalic"></td>
      </tr>
    </xsl:if>
    <xsl:if test="position()=last()">
      <tr>
        <td width="113" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="10" class="clFond" align="center"></td>
        <td width="114" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTCD)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="5" class="clFond" align="center">
          <img src="{$root}Images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="108" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT7)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTTOT8)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="4" class="clFond"  align="center">
          <img src="{$root}images/risque/shim.gif" width="1" height="15" vspace="0"/>
        </td>
        <td width="94" class="clFond" align="right">
          <b>
            <xsl:call-template name ="displayNumberXsl">
              <xsl:with-param name ="InputStringNumber" select ="(../../MOYCBC/MTAC)"/>
            </xsl:call-template>
          </b>&#160;
        </td>
        <td width="104"></td>
      </tr>
      <tr>
        <td height="1" colspan="10" class="clItalic">&#160;</td>
      </tr>
      <xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>

    </xsl:if>
  </xsl:template>
  <xsl:template match="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/ICB03" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clTexte">
          <font class="clcouleur2">
            <xsl:apply-templates select="ICB03"/>
          </font>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>
  <xsl:template match="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORISQUESDO/RISQUES/ICB04" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clTexte">
          <font class="clcouleur2">
            <xsl:apply-templates select="ICB04"/>
          </font>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <br/>
  </xsl:template>
  <!--********************************************************************************************************************************************************************-->


  <!--**************************  RELATIONS BANCAIRES      ****************************************************-->

  <xsl:template match="INFORELBANC">
    <a name="Relbanc"></a>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr align="center">
        <td class="clCouleur2">
          LISTE DES RELATIONS BANCAIRES (<xsl:value-of select="NBRELBAN"/>)
        </td>
        <td width="103" align="right">
          <a href="#ancHaut">
            <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="24" class="clCouleur2" align="right"></td>
        <td width="66" class="clCouleur2">Banque</td>
        <td width="79" class="clCouleur2">Guichet</td>
        <td width="304" class="clCouleur2">Libell de l'tablissement bancaire </td>
        <td width="162" class="clCouleur2" align="center">Date de mise  jour</td>
        <td>&#160;</td>
      </tr>
      <xsl:apply-templates select="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFORELBANC/RELBAN"/>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>


  <xsl:template match="RELBAN">
    <xsl:if test="position() mod 2 != 0">
      <tr>
        <td width="24" class="clFond"></td>
        <td width="66" class="clFond">
          <xsl:value-of select="COBAN"/>
        </td>
        <td width="79" class="clFond">
          <xsl:value-of select="COGUI"/>
        </td>
        <td width="304" class="clFond">
          <xsl:value-of select="LIBBAN"/>
        </td>
        <td width="162" class="clFond" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
          </xsl:call-template>
        </td>
        <td align="right">&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 0">
      <tr>
        <td width="24" class="clTexte" align="right"></td>
        <td width="66" class="clTexte">
          <xsl:value-of select="COBAN"/>
        </td>
        <td width="79" class="clTexte">
          <xsl:value-of select="COGUI"/>
        </td>
        <td width="304" class="clTexte">
          <xsl:value-of select="LIBBAN"/>
        </td>
        <td width="162" class="clTexte" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="(DATMAJ)"/>
          </xsl:call-template>
        </td>
        <td align="right">&#160;</td>
      </tr>
    </xsl:if>
    <xsl:if test="position() = last()">
      <xsl:if test="//INFORELBANC/SUITE" >
        <tr>
          <td colspan="5">
            <table width="635" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="530" height="14" colspan="4" class="clCouleur2" ></td>
                <td width="105" height="14" align="right" valign="middle">
                  <a href="#nullepart" onClick="requestBDFInfos('40','','1','{EJ/IDENTS}',cstSimpleConfirm);">
                    <img src="../images/Commun/clignotant2.gif" width="85" height="12" border="0" align="absbottom" />
                  </a>
                </td>
              </tr>
            </table>
          </td>
          <td />
        </tr>
      </xsl:if>

    </xsl:if>

  </xsl:template>


  <!--************************************* Partie Tableau Vitrine Bilan ********************************************************************-->

  <xsl:template name ="RechDateTableauVB">
    <xsl:param name ="n"/>
    <xsl:param name ="max"/>
    <xsl:param name ="listeDateTest"/>
    <xsl:param name ="listeDureeTest"/>
    <xsl:param name ="dateTest"/>
    <xsl:param name ="dateClot1"/>
    <xsl:param name ="dateClot2"/>
    <xsl:param name ="dateClot3"/>
    <xsl:param name ="dateDuree1"/>
    <xsl:param name ="dateDuree2"/>
    <xsl:param name ="dateDuree3"/>
    <xsl:param name ="TypeTableau"/>

    <xsl:if test ="$n &gt; $max">
      <!-- fin du test -->
      <xsl:call-template name ="ChoixTableauVB">
        <xsl:with-param name="dateClot1" select="$dateClot1"/>
        <xsl:with-param name="dateClot2" select="$dateClot2"/>
        <xsl:with-param name="dateClot3" select="$dateClot3"/>
        <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
        <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
        <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
        <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test ="$n &lt;= $max">
      <!-- test -->
      <xsl:choose>
        <xsl:when test ="($dateClot1 = '129999') and ($dateClot1 != $listeDateTest[position()=$n])">

          <xsl:call-template name ="RechDateTableauVB">
            <xsl:with-param name ="n" select ="$n + 1"/>
            <xsl:with-param name ="max" select ="$max"/>
            <xsl:with-param name="dateClot1" select="$listeDateTest[position()=$n]"/>
            <xsl:with-param name="dateClot2" select="$dateClot2"/>
            <xsl:with-param name="dateClot3" select="$dateClot3"/>
            <xsl:with-param name="dateDuree1" select="$listeDureeTest[position()=$n]"/>
            <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
            <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
            <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
            <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
            <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
          </xsl:call-template>
        </xsl:when>

        <!-- ***************** 2eme date cloture ********************* -->

        <xsl:when test ="($dateClot2 = '128888') and ($dateClot1 != $listeDateTest[position()=$n])">

          <xsl:call-template name ="RechDateTableauVB">
            <xsl:with-param name ="n" select ="$n + 1"/>
            <xsl:with-param name ="max" select ="$max"/>
            <xsl:with-param name="dateClot1" select="$dateClot1"/>
            <xsl:with-param name="dateClot2" select="$listeDateTest[position()=$n]"/>
            <xsl:with-param name="dateClot3" select="$dateClot3"/>
            <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
            <xsl:with-param name="dateDuree2" select="$listeDureeTest[position()=$n]"/>
            <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
            <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
            <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
            <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
          </xsl:call-template>
        </xsl:when>

        <!-- ***************** 3eme date cloture ********************* -->

        <xsl:when test ="($dateClot3 = '127777') and (($dateClot1 != $listeDateTest[position()=$n]) and ($dateClot2 != $listeDateTest[position()=$n]))">

          <xsl:call-template name ="RechDateTableauVB">
            <xsl:with-param name ="n" select ="$n + 1"/>
            <xsl:with-param name ="max" select ="$max"/>
            <xsl:with-param name="dateClot1" select="$dateClot1"/>
            <xsl:with-param name="dateClot2" select="$dateClot2"/>
            <xsl:with-param name="dateClot3" select="$listeDateTest[position()=$n]"/>
            <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
            <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
            <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
            <xsl:with-param name="dateDuree3" select="$listeDureeTest[position()=$n]"/>
            <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
            <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
          </xsl:call-template>
        </xsl:when>

        <xsl:otherwise>
          <!-- **************************** boucle de retour ***************************** -->
          <xsl:if test ="$n &lt;= $max ">
            <xsl:call-template name ="RechDateTableauVB">
              <xsl:with-param name ="n" select ="$n + 1"/>
              <xsl:with-param name ="max" select ="$max"/>
              <xsl:with-param name="dateClot1" select="$dateClot1"/>
              <xsl:with-param name="dateClot2" select="$dateClot2"/>
              <xsl:with-param name="dateClot3" select="$dateClot3"/>
              <xsl:with-param name ="listeDateTest" select ="$listeDateTest"/>
              <xsl:with-param name="dateDuree1" select="$dateDuree1"/>
              <xsl:with-param name="dateDuree2" select="$dateDuree2"/>
              <xsl:with-param name="dateDuree3" select="$dateDuree3"/>
              <xsl:with-param name ="listeDureeTest" select ="$listeDureeTest"/>
              <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:otherwise>

      </xsl:choose>
    </xsl:if>

  </xsl:template>

  <xsl:template name ="ChoixTableauVB">
    <xsl:param name ="dateClot1"/>
    <xsl:param name ="dateClot2"/>
    <xsl:param name ="dateClot3"/>
    <xsl:param name ="dateDuree1"/>
    <xsl:param name ="dateDuree2"/>
    <xsl:param name ="dateDuree3"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:choose>
      <xsl:when test ="$dateClot2 = 128888">
        <!-- tableau  1 colonne -->
        <xsl:call-template name ="TableauVb1Col">
          <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
          <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
        </xsl:call-template>
        <xsl:call-template name ="RemplirTableauVb1">
          <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
          <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test ="$dateClot3 != 127777">
            <!-- tableau  3 colonnes -->
            <xsl:choose>
              <xsl:when test ="($dateClot3 &gt; $dateClot2) and ($dateClot2 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree3"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot2 &gt; $dateClot3) and ($dateClot3 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree2"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot2) and ($dateClot3 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree3"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot3) and ($dateClot2 &gt; $dateClot1)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree1"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree2"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot2) and ($dateClot2 &gt; $dateClot3)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree1"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test ="($dateClot1 &gt; $dateClot3) and ($dateClot3 &gt; $dateClot2)">
                <xsl:call-template name ="TableauVb3Cols">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree2"/>
                  <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree3"/>
                  <xsl:with-param name ="DateDuree3emeCols" select ="$dateDuree1"/>
                </xsl:call-template>
                <xsl:call-template name ="RemplirTableauVb3">
                  <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                  <xsl:with-param name ="DateClot2emeCols" select ="$dateClot3"/>
                  <xsl:with-param name ="DateClot3emeCols" select ="$dateClot1"/>
                  <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
                </xsl:call-template>
              </xsl:when>
            </xsl:choose>


          </xsl:when>
          <xsl:otherwise>
            <!-- tableau  2 colonnes-->

            <xsl:if test ="$dateClot1 &gt; $dateClot2">
              <xsl:call-template name ="TableauVb2Cols">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree2"/>
                <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree1"/>
              </xsl:call-template>
              <xsl:call-template name ="RemplirTableauVb2">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot2"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot1"/>
                <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:if test ="$dateClot2 &gt; $dateClot1">
              <xsl:call-template name ="TableauVb2Cols">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                <xsl:with-param name ="DateDuree1erCols" select ="$dateDuree1"/>
                <xsl:with-param name ="DateDuree2emeCols" select ="$dateDuree2"/>
              </xsl:call-template>
              <xsl:call-template name ="RemplirTableauVb2">
                <xsl:with-param name ="DateClot1erCols" select ="$dateClot1"/>
                <xsl:with-param name ="DateClot2emeCols" select ="$dateClot2"/>
                <xsl:with-param name ="TypeTableau" select ="$TypeTableau"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>

  </xsl:template>



  <!-- ***************************** TEMPLATE GENVB ************************************ -->

  <xsl:template name ="genVB">
    <div class="clBreakPage"></div>
    <a name="VB"></a>
    <table width="739" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="635" align="center" class="clCouleur2">VITRINE BILANS</td>
        <td width="103" align="right">
        </td>
      </tr>
      <tr>
        <td colspan="2">
          <img src="{$root}Images/risque/shim.gif" width="635" height="1" vspace="8"/>
        </td>
      </tr>
      <tr>
        <td width="635" class="clCouleur2" colspan="2">&#160;Bilans disponibles dans les modules Fiben : </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="genVBtitre">
    <xsl:param name ="titre"/>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" height="10" width="285"></td>
      </tr>
      <tr>
        <td class="clCouleur2" height="10" width="285"></td>
      </tr>
    </table>
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="clCouleur2" height="10" width="285">
          <xsl:value-of select ="$titre"/>
        </td>
      </tr>
      <tr>
        <td class="clCouleur2" height="10" width="285"></td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name ="TableauVb1Col">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateDuree1erCols"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Date de clture</td>
        <td class="clGrasFond" width="350" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot1erCols"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Dure d'exercice</td>
        <td class="clTexte" width="350" align="center">
          <xsl:value-of select ="$DateDuree1erCols"/>&#160;mois
        </td>
      </tr>
      <tr>
        <td colspan="9" class="clCouleur2" height="10"></td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="TableauVb2Cols">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="DateDuree1erCols"/>
    <xsl:param name ="DateDuree2emeCols"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Date de clture</td>
        <td class="clGrasFond" width="175" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot1erCols"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="175" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot2emeCols"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Dure d'exercice</td>
        <td class="clTexte" width="175" align="center">
          <xsl:value-of select ="$DateDuree1erCols"/>&#160;mois
        </td>
        <td class="clTexte" width="175" align="center">
          <xsl:value-of select ="$DateDuree2emeCols"/>&#160;mois
        </td>
      </tr>
      <tr>
        <td colspan="9" class="clCouleur2" height="10"></td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="TableauVb3Cols">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="DateClot3emeCols"/>
    <xsl:param name ="DateDuree1erCols"/>
    <xsl:param name ="DateDuree2emeCols"/>
    <xsl:param name ="DateDuree3emeCols"/>

    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Date de clture</td>
        <td class="clGrasFond" width="116" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot1erCols"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="116" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot2emeCols"/>
          </xsl:call-template>
        </td>
        <td class="clGrasFond" width="116" align="center">
          <xsl:call-template name ="displayDateXsl">
            <xsl:with-param name ="InputDate" select ="$DateClot3emeCols"/>
          </xsl:call-template>
        </td>
      </tr>
      <tr width="100%">
        <td class="clCouleur2" width="285">&#160;Dure d'exercice</td>
        <td class="clTexte" width="116" align="center">
          <xsl:value-of select ="$DateDuree1erCols"/>&#160;mois
        </td>
        <td class="clTexte" width="116" align="center">
          <xsl:value-of select ="$DateDuree2emeCols"/>&#160;mois
        </td>
        <td class="clTexte" width="116" align="center">
          <xsl:value-of select ="$DateDuree3emeCols"/>&#160;mois
        </td>
      </tr>
      <tr>
        <td colspan="9" class="clCouleur2" height="10"></td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name ="RemplirTableauVb1">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:for-each select ="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB">
      <xsl:if test ="$TypeTableau = 'Social'">
        <xsl:if test ="DONMODDO[../NUMMOD!=66 and ../NUMMOD!=67]">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="$TypeTableau = 'Conso'">
        <xsl:if test ="DONMODDO[../NUMMOD=66 or ../NUMMOD=67]">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="350" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name ="RemplirTableauVb2">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:for-each select ="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB">
      <xsl:if test ="$TypeTableau = 'Social'">
        <xsl:if test ="DONMODDO[../NUMMOD!=66 and ../NUMMOD!=67]">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
      <xsl:if test ="$TypeTableau = 'Conso'">
        <xsl:if test ="DONMODDO[../NUMMOD=66 or ../NUMMOD=67]">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="175" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name ="RemplirTableauVb3">
    <xsl:param name ="DateClot1erCols"/>
    <xsl:param name ="DateClot2emeCols"/>
    <xsl:param name ="DateClot3emeCols"/>
    <xsl:param name ="TypeTableau"/>
    <xsl:for-each select ="/FIBEN/PERSONNE/MODULEDE/DIFFDE/INFOVB">
      <xsl:if test ="$TypeTableau = 'Social'">
        <xsl:if test ="DONMODDO[../NUMMOD!=66 and ../NUMMOD!=67]">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if >
      <xsl:if test ="$TypeTableau = 'Conso'">
        <xsl:if test ="DONMODDO[../NUMMOD=66 or ../NUMMOD=67]">
          <table width="635" border="0" cellspacing="0" cellpadding="0">
            <xsl:if test="position() mod 2 = 0">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clTexte" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
            <xsl:if test="position() mod 2 = 1">
              <tr width="100%">
                <td class="clCouleur2" width="285">
                  <xsl:variable name ="NumMod" select ="NUMMOD"/>
                  <a href="#nullePart" onclick="requestBDFInfos('{NUMMOD}','','9','',false,false,this);" class="clCouleur2">
                    <u>
                      <xsl:value-of select="NUMMOD"/>
                    </u>
                  </a>
                  &#160;<xsl:value-of select="$dictionnaire/titre[@module=$NumMod]"/>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest1" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest1 = $DateClot1erCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest2" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest2 = $DateClot2emeCols">
                    X
                  </xsl:if>
                </td>
                <td class="clFond" width="116" align="center">
                  <xsl:variable name ="datetest3" select ="DONMODDO/@DATCLOTV"/>
                  <xsl:if test ="$datetest3 = $DateClot3emeCols">
                    X
                  </xsl:if>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
      </xsl:if >
    </xsl:for-each>
  </xsl:template>

  <!--********************************************************************************************************************************************************************-->
  <!--TEMPLATE 5eme PAVE : SOCIETE CONSOLIDANTE-->

  <xsl:template match="DIFFDE/EJ">
    <a name="SteConso"></a>
    <xsl:if test="position()=last()">
      <table width="739" border="0" cellspacing="0" cellpadding="0">
        <tr align="center">
          <td class="clCouleur2">
            <xsl:call-template name="tradlib">
              <xsl:with-param name="Lang" select="$Lang"/>
              <xsl:with-param name="codeLib" select="'m27_SoCoEn'"/>
            </xsl:call-template>
          </td>
          <td width="103" align="right">
            <a href="#ancHaut">
              <img src="{$root}Images/risque/fleche_haut.gif" width="18" height="18" border="0" name="Image112" />
            </a>
          </td>
        </tr>
      </table>
      <xsl:call-template name="shim"/>
      <br />
      <table width="635" border="0" cellspacing="0" cellpadding="0">
        <xsl:for-each select="../EJ">
          <tr>
            <td width="130" class="clFond">
              &#160;<xsl:call-template name ="displaySirenXsl">
                <xsl:with-param name ="InputSiren" select ="(IDENTS)"/>
              </xsl:call-template>
            </td>
            <td width="425" class="clFond">
              &#160;<xsl:value-of select="DENOM"/>
            </td>
            <td width="80" class="clFond" align="right">
              &#160;	<xsl:call-template name="tradlib">
                <xsl:with-param name="Lang" select="$Lang"/>
                <xsl:with-param name="codeLib" select="'m27_Au'"/>
              </xsl:call-template>&#160;
              <xsl:call-template name ="displayDateXsl">
                <xsl:with-param name ="InputDate" select ="(@DATPERI)"/>
              </xsl:call-template>
            </td>
          </tr>
          <xsl:if test="not($NonResident='NR')">
            <tr>
              <td colspan="3" width="635" align="right">
                <a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{IDENTS}',cstMultipleConfirm);">
                  <img border="0" height="12" src="{$root}images/Commun/clignotant2.gif" width="90"/>
                </a>
              </td>
            </tr>
          </xsl:if>
          <xsl:if test="$NonResident='NR'">
            <tr>
              <td colspan="3" width="635" align="right">&#160;</td>
            </tr>
          </xsl:if>
        </xsl:for-each>
      </table>
      <xsl:call-template name="shim"/>
    </xsl:if>

  </xsl:template>




  <!--********************************************************************************************************************************************************************-->


  <xsl:template match="STECONSO" mode="genLib">
    <table width="635" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td colspan="2" class="clCouleur2">
          &#160;<xsl:apply-templates select="."/>
        </td>
      </tr>
      <tr>
        <td width="130"/>
        <td width="505" align="right">
          <a href="#nullepart" onClick="requestBDFInfos('27|30|66|67|','','1','{/FIBEN/PERSONNE/MODULE60/EJ/IDENTS}',cstMultipleConfirm);">
            <img src="{$root}Images/Commun/clignotant2.gif" width="90" height="12" alt="Plus d'infos" border="0"/>
          </a>
        </td>
      </tr>
    </table>
    <xsl:call-template name="shim"/>
  </xsl:template>




  <xsl:template match="BIL01S[@ISCODE='1']">
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
      <tr>
        <td>
          <xsl:call-template name="traduction">
            <xsl:with-param name="code" select="'BIL01S'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template match="BIL01C[@ISCODE='1']">
    <xsl:call-template name="shim"/>
    <br />
    <table width="635" border="0" cellspacing="0" cellpadding="0" height="125">
      <tr>
        <td>
          <xsl:call-template name="traduction">
            <xsl:with-param name="code" select="'BIL01C'"/>
          </xsl:call-template>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template name="FONCDIR">
    <table width="635" border="0" cellspacing="0" cellpadding="0" class="clCouleur2">
      <tr>
        <td  width="522" align="left">
          Prsence d&#039;autre(s) fonction(s) de reprsentant(s) lgal(aux) exerce(s)
        </td>
        <td  width="103" align="right">
          <a href="#nullepart" onclick="requestBDFInfos('56','','','',cstSimpleConfirm);">
            <img border="0" height="12" 	src="{$root}images/Commun/clignotant2.gif" width="90"/>
          </a>
        </td>
      </tr>

    </table>
    <xsl:call-template name="shim"/>
    <br/>


  </xsl:template>

  <!-- 01/2004 template supprim : plus besoin d'afficher la succursale dans IEC01 -->
  <xsl:template match="IEC01" mode="DisplayMDE">
    <br/>
    <xsl:apply-templates select="."/>
  </xsl:template>

</xsl:stylesheet>
